<?php // $Revision: 1.15 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: admin.php,v 1.15 2006/07/14 04:08:52 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php', lang_strings('administration'), in));
$blockPage->itemBreadcrumbs(lang_strings('admin_intro'));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->heading(lang_strings('administration'));
$block1->openContent();
$block1->contentTitle(lang_strings('admin_intro'));
$block1->contentRow('', $blockPage->buildLink('../users/listusers.php', lang_strings('user_management'), in));

if ($profilSession == PF_ADMINISTRATOR) {
    if ($supportType == 'admin') {
        $block1->contentRow('', $blockPage->buildLink('../administration/support.php', lang_strings('support_management'), in));
    }

    $block1->contentRow('', $blockPage->buildLink('../administration/systeminfo.php', lang_strings('system_information'), in));
    $block1->contentRow('', $blockPage->buildLink('../administration/listlogs.php', lang_strings('logs'), in));
    $block1->contentRow('', $blockPage->buildLink('../administration/updatesettings.php', lang_strings('edit_settings'), in));
}

$block1->contentRow('', $blockPage->buildLink('../services/listservices.php', lang_strings('service_management'), in));
$block1->contentRow('', $blockPage->buildLink('../administration/mycompany.php', lang_strings('company_details'), in));
$block1->contentRow('', $blockPage->buildLink('../administration/viewworkcalendar.php', lang_strings('workcalendar_management'), in));
$block1->contentRow('', $blockPage->buildLink('../timetickets/listtimetickets.php', lang_strings('timeticket_management'), in));
$block1->contentRow('', $blockPage->buildLink('../leaves/listleaves.php', lang_strings('leave_management'), in));

if ($updateChecker == 'true' && $installationType == 'online' && $profilSession == PF_ADMINISTRATOR) {
    $block1->contentRow('', dwinsupdatechecker($version));
}

if (is_dir('../installation')) {
    $block1->contentRow('', '<b>' . $strings['attention'] . '</b> : ' . $strings['install_erase']);
}

$block1->closeContent();
require_once('../themes/' . THEME . '/footer.php');

?>
