<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listlogs.php,v 1.7 2006/09/05 02:42:33 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if ($profilSession != PF_ADMINISTRATOR) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];

    if ($action == 'delete') {
        $dateunix = date('U');
        $tmpquery = "UPDATE " . $tableCollab['logs'] . " SET compt=1 WHERE connected>$dateunix-5*60";
        connectSql($tmpquery);
        $tmpquery = 'DELETE FROM ' . $tableCollab['logs'] . " WHERE connected IS NULL OR connected<=$dateunix-5*60";
        connectSql($tmpquery);
    }
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php?', lang_strings('administration'), in));
$blockPage->itemBreadcrumbs(lang_strings('logs'));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = 'adminD';
$block1->openForm('../administration/listlogs.php?#' . $block1->form . 'Anchor');
$block1->heading(lang_strings('logs'));
$tmpquery = 'ORDER BY last_visite DESC';
$listLogs = new request();
$listLogs->openLogs($tmpquery);
$comptListLogs = count($listLogs->log_id);
echo "<input name=\"action\" type=\"hidden\" value=\"delete\">";
$dateunix = date("U");
$block1->openResults($checkbox = false);
$block1->labels($labels = array(0 => lang_strings('user_name'), 1 => lang_strings('ip'), 2 => lang_strings('session'), 3 => lang_strings('compteur'), 4 => lang_strings('last_visit'), 5 => lang_strings('connected')), false, $sorting = false, $sortingOff = array(0 => '4', 1 => 'DESC'));

for ($i = 0;$i < $comptListLogs;$i++) {
    $block1->openRow();
    $block1->checkboxRow($listLogs->log_id[$i], $checkbox = false);
    $block1->cellRow($listLogs->log_login[$i]);
    $block1->cellRow($listLogs->log_ip[$i]);
    $block1->cellRow($listLogs->log_session[$i]);
    $block1->cellRow($listLogs->log_compt[$i]);
    $block1->cellRow(createDate($listLogs->log_last_visite[$i], $timezoneSession));

    if ($listLogs->log_mem_profil[$i] == PF_CLIENT_USER) {
        $z = ' (Client on project site)';
    } else {
        $z = '';
    } 

    if ($listLogs->log_connected[$i] > $dateunix-5*60) {
        $block1->cellRow(lang_strings('yes') . $z);
    } else {
        $block1->cellRow(lang_strings('no'));
    } 
}

$block1->closeRow();
$block1->closeResults();
$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("delete") . "\">");
$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
