<?php // $Revision: 1.15 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: mycompany.php,v 1.15 2006/07/31 02:03:23 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');
$bodyCommand = 'onLoad="document.myCForm.cn.focus();"';

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];

    if ($action == 'update') {
        $extension = $_POST['extension'];
        $extensionOld = $_POST['extensionOld'];
        $cn = $_POST['cn'];
        $add = $_POST['add'];
        $wp = $_POST['wp'];
        $fa = $_POST['fa'];
        $url = $_POST['url'];
        $email = $_POST['email'];
        $c = $_POST['c'];
        $logoDel = $_POST['logoDel'];

        if ($cn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = 'onLoad="document.myCForm.cn.focus();"';
            $cn_highlight = true;
        } else if ($email != '' && !ValidateMail($email)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = 'onLoad="document.myCForm.email.focus();document.myCForm.email.select();"';
            $email_highlight = true;
        } else {
            if ($logoDel == 'on') {
                $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET extension_logo='' WHERE id='1'";
                connectSql($tmpquery);
                @unlink("../logos_clients/1.$extensionOld");
            }

            $extension = strtolower(substr(strrchr($_FILES['upload']['name'], '.'), 1));

            if (@move_uploaded_file($_FILES['upload']['tmp_name'], "../logos_clients/1.$extension")) {
                $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET extension_logo='$extension' WHERE id='1'";
                connectSql($tmpquery);
            }

            $add = htmlentities($add, ENT_QUOTES, $htmlEntityCharset);
            $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);

            if (strlen($add) > 254) {
                $add1 = substr($add, 0, 254);
                $add2 = substr($add, 254, 254);
            } else {
                $add1 = $add;
                $add2 = '';
            }

            $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET name='$cn',address1='$add1',address2='$add2',phone='$wp',fax='$fa',url='$url',email='$email',comments='$c' WHERE id = '1'";
            connectSql($tmpquery);
            header('Location: ../administration/mycompany.php?msg=update');
            exit;
        }
    }
}

if ($error == '') {
    $tmpquery = "WHERE org.id='1'";
    $clientDetail = new request();
    $clientDetail->openOrganizations($tmpquery);
    $add = html_entity_decode($clientDetail->org_address1[0] . $clientDetail->org_address2[0], ENT_QUOTES, $htmlEntityCharset);
    $wp = $clientDetail->org_phone[0];
    $fa = $clientDetail->org_fax[0];
    $url = $clientDetail->org_url[0];
    $email = $clientDetail->org_email[0];
    $c = html_entity_decode($clientDetail->org_comments[0], ENT_QUOTES, $htmlEntityCharset);
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php?', lang_strings('administration'), in));
$blockPage->itemBreadcrumbs(lang_strings('company_details'));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "myC";
$block1->openForm("../administration/mycompany.php?#" . $block1->form . "Anchor");
echo '<input type="hidden" name="MAX_FILE_SIZE" value="100000000">';
echo '<input type="hidden" name="action" value="update">';

if ($error != '') {
    $block1->headingError(lang_strings('errors'));
    $block1->contentError($error);
} else {
    $cn = $clientDetail->org_name[0];
}

$block1->heading(lang_strings('company_details'));
$block1->openContent();
$block1->contentTitle(lang_strings('company_info'));

if ($cn_highlight) {
    $block1->contentRow("* " . lang_strings('name'), '<input size="44" value="' . $cn . '" class="input_text_highlight" name="cn" maxlength="254" type="TEXT">');
} else {
    $block1->contentRow("* " . lang_strings('name'), '<input size="44" value="' . $cn . '" class="input_text" name="cn" maxlength="254" type="TEXT">');
}

$block1->contentRow(lang_strings('address'), '<textarea rows="3" class="textarea_3rows" name="add" cols="43">' . $add . '</textarea>');
$block1->contentRow(lang_strings('phone'), '<input size="32" value="' . $wp . '" class="input_text" name="wp" maxlength="154" type="TEXT">');
$block1->contentRow(lang_strings('fax'), '<input size="32" value="' . $fa . '" class="input_text" name="fa" maxlength="154" type="TEXT">');
$block1->contentRow(lang_strings('url'), '<input size="44" value="' . $url . '" class="input_text" name="url" maxlength="254" type="TEXT">');

if ($email_highlight) {
    $block1->contentRow(lang_strings('email'), '<input size="44" value="' . $email . '" class="input_text_highlight" name="email" maxlength="154" type="TEXT">');
} else {
    $block1->contentRow(lang_strings('email'), '<input size="44" value="' . $email . '" class="input_text" name="email" maxlength="154" type="TEXT">');
}

$block1->contentRow(lang_strings('comments'), '<textarea rows="3" class="textarea_3rows" name="c" cols="43">' . $c . '</textarea>');
$block1->contentRow(lang_strings('logo') . $blockPage->printHelp('mycompany_logo'), '<input size="44" class="input_text" name="upload" type="file">');

if (file_exists('../logos_clients/1.' . $clientDetail->org_extension_logo[0])) {
    $block1->contentRow('', '<img src="../logos_clients/1.' . $clientDetail->org_extension_logo[0] . '" border="0" alt="' . $clientDetail->org_name[0] . '"><input name="extensionOld" type="hidden" value="' . $clientDetail->org_extension_logo[0] . '"> <input name="logoDel" type="checkbox" value="on"> ' . lang_strings('delete'));
}

$block1->contentRow('', '<input type="SUBMIT" value="' . lang_strings('save') . '">');
$block1->closeContent();
$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
