<?php // $Revision: 1.4 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: support.php,v 1.4 2006/03/13 03:01:38 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if ($profilSession != PF_ADMINISTRATOR || $enableHelpSupport != 'true') {
    header('Location: ../general/permissiondenied.php');
    exit;
} 

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php?', lang_strings('administration'), in));
$blockPage->itemBreadcrumbs(lang_strings('support_management'));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
} 

if ($enableHelpSupport == true) {
    $tmpquery = "WHERE sr.status='" . RQ_NEW . "'";
    $listNewRequests = new request();
    $listNewRequests->openSupportRequests($tmpquery);
    $comptListNewRequests = count($listNewRequests->sr_id);

    $tmpquery = "WHERE sr.status='" . RQ_OPEN . "'";
    $listOpenRequests = new request();
    $listOpenRequests->openSupportRequests($tmpquery);
    $comptListOpenRequests = count($listOpenRequests->sr_id);

    $tmpquery = "WHERE sr.status='" . RQ_COMPLETE . "'";
    $listCompleteRequests = new request();
    $listCompleteRequests->openSupportRequests($tmpquery);
    $comptListCompleteRequests = count($listCompleteRequests->sr_id);

    $block1 = new block();
    $block1->form = 'help';

    if ($error != '') {
        $block1->headingError(lang_strings('errors'));
        $block1->contentError($error);
    } 

    $block1->heading(lang_strings('support_requests'));
    $block1->openContent();
    $block1->contentTitle(lang_strings('information'));
    $block1->contentRow(lang_strings('new_requests'), "$comptListNewRequests - " . $blockPage->buildLink('../support/support.php?action=new', lang_strings('manage_new_requests'), in) . '<br><br>');
    $block1->contentRow(lang_strings('open_requests'), "$comptListOpenRequests - " . $blockPage->buildLink('../support/support.php?action=open', lang_strings('manage_open_requests'), in) . '<br><br>');
    $block1->contentRow(lang_strings('closed_requests'), "$comptListCompleteRequests - " . $blockPage->buildLink('../support/support.php?action=complete', lang_strings('manage_closed_requests'), in) . '<br><br>');
    $block1->closeContent();
} 

require_once('../themes/' . THEME . '/footer.php');

?>
