<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editbookmark.php,v 1.9 2006/07/31 02:03:23 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');
$bodyCommand = 'onLoad="document.booForm.name.focus();"';

if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $tmpquery = "WHERE boo.id = '$id'";
    $bookmarkDetail = new request();
    $bookmarkDetail->openBookmarks($tmpquery);

    if ($bookmarkDetail->boo_owner[0] != $idSession && $profilSession != PF_ADMINISTRATOR) {
        header('Location: ../bookmarks/listbookmarks.php?view=my&msg=bookmarkOwner');
        exit;
    }
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $piecesNew = $_POST['piecesNew'];
    $category_new = $_POST['category_new'];
    $name = $_POST['name'];
    $url = $_POST['url'];
    $description = $_POST['description'];
    $shared = $_POST['shared'];
    $home = $_POST['home'];
    $comments = $_POST['comments'];

    if ($name == '') {
        $error = lang_strings("blank_fields");
        $bodyCommand = 'onLoad="document.booForm.name.focus();"';
        $name_highlight = true;
    } else {
        if ($piecesNew != '') {
            $users = '|' . implode('|', $piecesNew) . '|';
        }

        if ($category_new != '') {
            $tmpquery = "WHERE boocat.name = '$category_new'";
            $listCategories = new request();
            $listCategories->openBookmarksCategories($tmpquery);
            $comptListCategories = count($listCategories->boocat_id);

            if ($comptListCategories == '0') {
                $tmpquery1 = 'INSERT INTO ' . $tableCollab['bookmarks_categories'] . "(name) VALUES('$category_new')";
                connectSql($tmpquery1);
                $tmpquery = $tableCollab['bookmarks_categories'];
                last_id($tmpquery);
                $num = $lastId[0];
                unset($lastId);
                $category = $num;
            } else {
                $category = $listCategories->boocat_id[0];
            }
        }

        if ($shared == '' || $users != '') {
            $shared = '0';
        }

        if ($home == '') {
            $home = '0';
        }

        if ($comments == '') {
            $comments = '0';
        }

        $description = htmlentities($description, ENT_QUOTES, $htmlEntityCharset);

        if ($action == 'update') {
            $tmpquery5 = 'UPDATE ' . $tableCollab['bookmarks'] . " SET url='$url',name='$name',description='$description',modified='$dateheures',category='$category',shared='$shared',home='$home',comments='$comments',users='$users' WHERE id = '$id'";
            connectSql($tmpquery5);
            header('Location: ../bookmarks/listbookmarks.php?view=my&msg=update');
            exit;
        } else if ($action == 'add') {
            $tmpquery1 = 'INSERT INTO ' . $tableCollab['bookmarks'] . "(owner,category,name,url,description,shared,home,comments,users,created) VALUES('$idSession','$category','$name','$url','$description','$shared','$home','$comments','$users','$dateheures')";
            connectSql($tmpquery1);
            header('Location: ../bookmarks/listbookmarks.php?view=my&msg=add');
            exit;
        }
    }
}

if ($error == '') {
    // set value in form
    if ($id == '') {
        $name = '';
        $url = 'http://';
        $description = '';
        $category = '';
        $checkedShared = 'checked';
        $checkedComments = 'checked'; 
    } else {
        $name = $bookmarkDetail->boo_name[0];
        $url = $bookmarkDetail->boo_url[0];
        $description = html_entity_decode($bookmarkDetail->boo_description[0], ENT_QUOTES, $htmlEntityCharset);
        $category = $bookmarkDetail->boo_category[0];
        $shared = $bookmarkDetail->boo_shared[0];

        if ($shared == '1') {
            $checkedShared = 'checked';
        }

        $home = $bookmarkDetail->boo_home[0];

        if ($home == '1') {
            $checkedHome = 'checked';
        }

        $comments = $bookmarkDetail->boo_comments[0];

        if ($comments == '1') {
            $checkedComments = 'checked';
        }
    } 
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../bookmarks/listbookmarks.php?view=my', lang_strings('bookmarks'), in));

if ($id == '') {
    $blockPage->itemBreadcrumbs(lang_strings('add_bookmark'));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../bookmarks/viewbookmark.php?id=' . $bookmarkDetail->boo_id[0], $bookmarkDetail->boo_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings('edit_bookmark'));
}

$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = 'boo';

if ($id == '') {
    $block1->openForm('../bookmarks/editbookmark.php?#' . $block1->form . 'Anchor');
    $block1->heading(lang_strings('add_bookmark'));
    echo "<input type=\"hidden\" name=\"action\" value=\"add\">";
} else {
    $block1->openForm('../bookmarks/editbookmark.php?id=' . $id . '#' . $block1->form . 'Anchor');
    $block1->heading(lang_strings('edit_bookmark') . ' : ' . $bookmarkDetail->boo_name[0]);
    echo "<input type=\"hidden\" name=\"action\" value=\"update\">";
}

if ($error != '') {
    $block1->headingError(lang_strings('errors'));
    $block1->contentError($error);
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));
$tmpquery = 'ORDER BY boocat.name';
$listCategories = new request();
$listCategories->openBookmarksCategories($tmpquery);
$comptListCategories = count($listCategories->boocat_id);
$catSel = "<select name=\"category\"><option value=\"0\">-</option>";

for ($i = 0;$i < $comptListCategories;$i++) {
    if ($listCategories->boocat_id[$i] == $category) {
        $catSel .= '<option value="' . $listCategories->boocat_id[$i] . '" selected>' . $listCategories->boocat_name[$i] . '</option>';
    } else {
        $catSel .= '<option value="' . $listCategories->boocat_id[$i] . '">' . $listCategories->boocat_name[$i] . '</option>';
    }
}

$catSel .= "</select>";
$block1->contentRow(lang_strings('bookmark_category'), $catSel);
$block1->contentRow(lang_strings('bookmark_category_new'), "<input size=\"44\" value=\"$category_new\" class=\"input_text\" name=\"category_new\" maxlength=\"254\" type=\"TEXT\">");

if ($name_highlight) {
    $block1->contentRow("* " . lang_strings('name'), "<input size=\"44\" value=\"$name\" class=\"input_text_highlight\" name=\"name\" maxlength=\"254\" type=\"TEXT\">");
} else {
    $block1->contentRow("* " . lang_strings('name'), "<input size=\"44\" value=\"$name\" class=\"input_text\" name=\"name\" maxlength=\"254\" type=\"TEXT\">");
}

$block1->contentRow(lang_strings('url'), "<input size=\"44\" value=\"$url\" class=\"input_text\" name=\"url\" maxlength=\"254\" type=\"TEXT\">");
$block1->contentRow(lang_strings('description'), '<textarea rows="3" class="textarea_3rows" name="description" cols="47">' . $description . '</textarea>');
$block1->contentRow(lang_strings('shared'), '<input size="32" value="1" name="shared" type="checkbox" ' . $checkedShared . '>');
$block1->contentRow(lang_strings('home'), '<input size="32" value="1" name="home" type="checkbox" ' . $checkedHome . '>');
$block1->contentRow(lang_strings('comments'), '<input size="32" value="1" name="comments" type="checkbox" ' . $checkedComments . '>');

if ($demoMode == true) {
    $tmpquery = "WHERE mem.id != '$idSession' AND mem.profil != '" . PF_CLIENT_USER . "' ORDER BY mem.login";
} else {
    $tmpquery = "WHERE mem.id != '$idSession' AND mem.profil != '" . PF_CLIENT_USER . "' AND mem.id != '2' ORDER BY mem.login";
}

$listUsers = new request();
$listUsers->openMembers($tmpquery);
$comptListUsers = count($listUsers->mem_id);

if ($bookmarkDetail->boo_users[0] != "") {
    $listCaptured = explode('|', $bookmarkDetail->boo_users[0]);
    $comptListCaptured = count($listCaptured);
}

if ($comptListUsers > 0) {
    $priSel = '<select name="piecesNew[]" multiple size=' . $comptListUsers . '>';

    for($i = 0; $i < $comptListUsers; $i++) {
        $selected[$i] = '';

        for($j = 0; $j < $comptListCaptured; $j++) {
            if ($listUsers->mem_id[$i] == $listCaptured[$j]) {
                $selected[$i] = 'selected'; 
                break;
            }
        }

        $priSel .= '<option value=' . $listUsers->mem_id[$i] . ' ' . $selected[$i] . '>' . $listUsers->mem_login[$i] . ' / ' . $listUsers->mem_name[$i] . '</option>';
    }

    $priSel .= '</select>';
}

$block1->contentRow(lang_strings('private'), $priSel);
$block1->contentRow("", '<input type="SUBMIT" value="' . lang_strings('save') . '">');
$block1->closeContent();
$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
