<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewbookmark.php,v 1.7 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');
$id = $_GET['id'];
$tmpquery = "WHERE boo.id = '$id'";
$bookmarkDetail = new request();
$bookmarkDetail->openBookmarks($tmpquery);

if ($bookmarkDetail->boo_users[0] != '') {
    $pieces = explode('|', $bookmarkDetail->boo_users[0]);
    $comptPieces = count($pieces);
    $private = 'false';

    for ($i = 0;$i < $comptPieces;$i++) {
        if ($idSession == $pieces[$i]) {
            $private = 'true';
            break;
        }
    }
}

if (($bookmarkDetail->boo_users[0] == '' && $bookmarkDetail->boo_owner[0] != $idSession && $bookmarkDetail->boo_shared[0] == '0') || ($private == 'false' && $bookmarkDetail->boo_owner[0] != $idSession)) {
    header('Location: ../bookmarks/listbookmarks.php?view=my&msg=bookmarkOwner');
    exit;
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../bookmarks/listbookmarks.php?view=' . $view, lang_strings('bookmarks'), in));
$blockPage->itemBreadcrumbs($bookmarkDetail->boo_name[0]);
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = 'tdD';
$block1->openForm('../bookmarks/viewbookmark.php#' . $block1->form . 'Anchor');
$block1->heading(lang_strings('bookmark') . ' : ' . $bookmarkDetail->boo_name[0]);

if ($bookmarkDetail->boo_owner[0] == $idSession) {
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, 'remove', lang_strings('delete'));
    $block1->paletteIcon(4, 'edit', lang_strings('edit'));
    $block1->closePaletteIcon();
}

$block1->openContent();
$block1->contentTitle(lang_strings('info'));
$block1->contentRow(lang_strings('name'), $bookmarkDetail->boo_name[0]);
$block1->contentRow(lang_strings('url'), $blockPage->buildLink($bookmarkDetail->boo_url[0], $bookmarkDetail->boo_url[0], out));
$block1->contentRow(lang_strings('description'), nl2br(html_entity_decode($bookmarkDetail->boo_description[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->closeContent();

if ($bookmarkDetail->boo_owner[0] == $idSession) {
    $block1->openPaletteScript();
    $block1->paletteScript(0, 'remove', '../bookmarks/deletebookmarks.php?id=' . $bookmarkDetail->boo_id[0], 'true,true,false', lang_strings('delete'));
    $block1->paletteScript(4, 'edit', '../bookmarks/editbookmark.php?id=' . $bookmarkDetail->boo_id[0], 'true,true,false', lang_strings('edit'));
    $block1->closePaletteScript('', '');
}

$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
