<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deleteclients.php,v 1.5 2006/03/13 03:01:38 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

// these user levels can't perform this action
if ( ($profilSession == PF_USER) || ($profilSession == PF_CLIENT_USER) || ($profilSession == PF_DISABLED) ) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

$id = $_GET['id'];
$ids = str_replace('**', ',', $id);
$tmpquery = "WHERE org.id IN($ids) ORDER BY org.name";
$listOrganizations = new request();
$listOrganizations->openOrganizations($tmpquery);
$comptListOrganizations = count($listOrganizations->org_id);

if (isset($_POST['action'])) {
    $action = $_POST['action'];

    if ($action == 'delete') {
        for ($i = 0; $i < $comptListOrganizations; $i++) {
            if (file_exists('logos_clients/' . $listOrganizations->org_id[$i] . '.' . $listOrganizations->org_extension_logo[$i])) {
                @unlink('logos_clients/' . $listOrganizations->org_id[$i] . '.' . $listOrganizations->org_extension_logo[$i]);
            }
        }

        $tmpquery1 = 'DELETE FROM ' . $tableCollab['organizations'] . " WHERE id IN($ids)";
        connectSql($tmpquery1);
        $tmpquery2 = 'UPDATE ' . $tableCollab['projects'] . " SET organization='1' WHERE organization IN($ids)";
        connectSql($tmpquery2);
        $tmpquery3 = 'DELETE FROM ' . $tableCollab['members'] . " WHERE organization IN($ids)";
        connectSql($tmpquery3);
        header('Location: ../clients/listclients.php?msg=delete');
        exit;
    }
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../clients/listclients.php?', lang_strings('clients'), in));
$blockPage->itemBreadcrumbs(lang_strings('delete_organizations'));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = 'saP';
$block1->openForm("../clients/deleteclients.php?id=$id");
echo "<input type=\"hidden\" name=\"action\" value=\"delete\">";
$block1->heading(lang_strings('delete_organizations'));
$block1->openContent();
$block1->contentTitle(lang_strings('delete_following'));

for ($i = 0; $i < $comptListOrganizations; $i++) {
    $block1->contentRow('#' . $listOrganizations->org_id[$i], $listOrganizations->org_name[$i]);
}

$block1->contentRow('', '<input type="submit" name="delete" value="' . lang_strings('delete') . '"> <input type="button" name="cancel" value="' . lang_strings('cancel') . '" onClick="history.back();">');
$block1->closeContent();
$block1->closeForm();
$block1->note(lang_strings('delete_organizations_note'));
require_once('../themes/' . THEME . '/footer.php');

?>
