<?php // $Revision: 1.13 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editclient.php,v 1.13 2006/07/31 02:03:24 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');
$bodyCommand = 'onLoad="document.edCForm.cn.focus();"';

// these user levels can't perform this action
if (($profilSession == PF_USER) || ($profilSession == PF_CLIENT_USER) || ($profilSession == PF_DISABLED)) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

if (isset($_GET['id'])) {
    $id = $_GET['id'];
    // test exists selected client organization, redirect to list if not
    $tmpquery = "WHERE org.id = '$id'";
    $clientDetail = new request();
    $clientDetail->openOrganizations($tmpquery);
    $comptClientDetail = count($clientDetail->org_id);

    if ($comptClientDetail == '0') {
        header('Location: ../clients/listclients.php?msg=blankClient');
        exit;
    }
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $logoDel = $_POST['logoDel'];
    $extensionOld = $_POST['extensionOld'];
    $cn = $_POST['cn'];
    $add = htmlentities($_POST['add'], ENT_QUOTES, $htmlEntityCharset);
    $c = htmlentities($_POST['c'], ENT_QUOTES, $htmlEntityCharset);
    $wp = $_POST['wp'];
    $fa = $_POST['fa'];
    $url = $_POST['url'];
    $email = $_POST['email'];
    $cown = $_POST['cown'];

    // test if name blank
    if ($cn == '') {
        $error = lang_strings('blank_organization_field');
        $bodyCommand = 'onLoad="document.edCForm.cn.focus();"';
        $cn_highlight = true;
    } else {
        if (strlen($add) > 254) {
            $add1 = substr($add, 0, 254);
            $add2 = substr($add, 254, 254);
        } else {
            $add1 = $add;
            $add2 = '';
        }

        if ($action == 'update') { // case update client organization
            if ($logoDel == 'on') {
                $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET extension_logo='' WHERE id='$id'";
                connectSql($tmpquery);
                @unlink("../logos_clients/" . $id . ".$extensionOld");
            }

            $extension = strtolower(substr(strrchr($_FILES['upload']['name'], '.'), 1));

            if (@move_uploaded_file($_FILES['upload']['tmp_name'], '../logos_clients/' . $id . ".$extension")) {
                $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET extension_logo='$extension' WHERE id='$id'";
                connectSql($tmpquery);
            }

            $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET name='$cn',address1='$add1',address2='$add2',phone='$wp',fax='$fa',url='$url',email='$email',comments='$c',owner='$cown' WHERE id = '$id'";
            connectSql($tmpquery);
            header("Location: ../clients/viewclient.php?id=$id&msg=update");
            exit;
        } else if ($action == 'add') { // case add client organization
            // test if name already exists
            $tmpquery = "WHERE org.name = '$cn'";
            $existsClient = new request();
            $existsClient->openOrganizations($tmpquery);
            $comptExistsClient = count($existsClient->org_id);

            if ($comptExistsClient != '0') {
                $error = lang_strings('organization_already_exists');
            } else {
                // insert into organizations and redirect to new client organization detail (last id)
                $tmpquery1 = "INSERT INTO " . $tableCollab["organizations"] . "(name,address1,address2,phone,fax,url,email,comments,created,owner) VALUES('$cn','$add1','$add2','$wp','$fa','$url','$email','$c','$dateheures','$cown')";
                connectSql($tmpquery1);
                $tmpquery = $tableCollab['organizations'];
                last_id($tmpquery);
                $num = $lastId[0];
                unset($lastId);
                $extension = strtolower(substr(strrchr($upload_name, '.'), 1));

                if (@move_uploaded_file($upload, '../logos_clients/' . $num . ".$extension")) {
                    $tmpquery = 'UPDATE ' . $tableCollab['organizations'] . " SET extension_logo='$extension' WHERE id='$num'";
                    connectSql($tmpquery);
                }

                header("Location: ../clients/viewclient.php?id=$num&msg=add");
                exit;
            }
        }
    }
}

if ($error == '') {
    // set value in form
    if ($id != '') {
        $cn = $clientDetail->org_name[0];
        $add = html_entity_decode($clientDetail->org_address1[0] . $clientDetail->org_address2[0], ENT_QUOTES, $htmlEntityCharset);
        $wp = $clientDetail->org_phone[0];
        $fa = $clientDetail->org_fax[0];
        $url = $clientDetail->org_url[0];
        $email = $clientDetail->org_email[0];
        $c = html_entity_decode($clientDetail->org_comments[0], ENT_QUOTES, $htmlEntityCharset);
    } else {
        $cn = '';
        $add = '';
        $wp = '';
        $fa = '';
        $url = 'http://';
        $email = '';
        $c = '';
    }
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../clients/listclients.php?', lang_strings('clients'), in));

if ($id == '') {
    $blockPage->itemBreadcrumbs(lang_strings('add_organization'));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../clients/viewclient.php?id=' . $clientDetail->org_id[0], $clientDetail->org_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings('edit_organization'));
}

$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "edC";

if ($id == '') {
    $block1->openForm('../clients/editclient.php?#' . $block1->form . 'Anchor');
    echo "<input type=\"hidden\" name=\"action\" value=\"add\">\n";
} else {
    $block1->openForm("../clients/editclient.php?id=$id#" . $block1->form . 'Anchor');
    echo "<input type=\"hidden\" name=\"action\" value=\"update\">\n";
}

if ($error != '') {
    $block1->headingError(lang_strings('errors'));
    $block1->contentError($error);
}

if ($id == '') {
    $block1->heading(lang_strings('add_organization'));
} else {
    $block1->heading(lang_strings('edit_organization') . ' : ' . $clientDetail->org_name[0]);
}

echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"100000000\">\n";
$block1->openContent();
$block1->contentTitle(lang_strings('details'));

if ($clientsFilter == 'true') {
    $selectOwner = '<select name="cown">';
    $tmpquery = "WHERE mem.profil IN ('" . PF_ADMINISTRATOR . "','" . PF_PROJECT_MANAGER . "','" . PF_PROJECT_MANAGER_ADMINISTRATOR . "','" . PF_HR_MANAGER . "') AND mem.login != 'demo' ORDER BY mem.name";
    $clientOwner = new request();
    $clientOwner->openMembers($tmpquery);
    $comptClientOwner = count($clientOwner->mem_id);

    for ($i = 0; $i < $comptClientOwner; $i++) {
        if ($clientDetail->org_owner[0] == $clientOwner->mem_id[$i] || $idSession == $clientOwner->mem_id[$i]) {
            $selectOwner .= '<option value="' . $clientOwner->mem_id[$i] . '" selected>' . $clientOwner->mem_login[$i] . ' / ' . $clientOwner->mem_name[$i] . '</option>';
        } else {
            $selectOwner .= '<option value="' . $clientOwner->mem_id[$i] . '">' . $clientOwner->mem_login[$i] . ' / ' . $clientOwner->mem_name[$i] . '</option>';
        }
    }

    $selectOwner .= '</select>';
    $block1->contentRow(lang_strings('owner'), $selectOwner);
} else {
    echo "<input type=\"hidden\" name=\"cown\" value=\"0\">\n";
}

if ($cn_highlight) {
    $block1->contentRow('* ' . lang_strings('name'), '<input size="44" value="' . $cn . '" class="input_text_highlight" name="cn" maxlength="254" type="TEXT">');
} else {
    $block1->contentRow('* ' . lang_strings('name'), '<input size="44" value="' . $cn . '" class="input_text" name="cn" maxlength="254" type="TEXT">');
}

$block1->contentRow(lang_strings('address'), '<textarea rows="3" class="textarea_3rows" name="add" cols="43">' . $add . '</textarea>');
$block1->contentRow(lang_strings('phone'), '<input size="32" value="' . $wp . '" class="input_text" name="wp" maxlength="154" type="TEXT">');
$block1->contentRow(lang_strings('fax'), '<input size="32" value="' . $fa . '" class="input_text" name="fa" maxlength="154" type="TEXT">');
$block1->contentRow(lang_strings('url'), '<input size="44" value="' . $url . '" class="input_text" name="url" maxlength="254" type="TEXT">');
$block1->contentRow(lang_strings('email'), '<input size="44" value="' . $email . '" class="input_text" name="email" maxlength="154" type="TEXT">');
$block1->contentRow(lang_strings('comments'), '<textarea rows="3" class="textarea_3rows" name="c" cols="43">' . $c . '</textarea>');
$block1->contentRow(lang_strings('logo'), '<input size="44" class="input_text" name="upload" type="file">');

if ($id != '') {
    if (file_exists('../logos_clients/' . $id . '.' . $clientDetail->org_extension_logo[0])) {
        $block1->contentRow('', '<img src="../logos_clients/' . $id . '.' . $clientDetail->org_extension_logo[0] . '"> <input name="extensionOld" type="hidden" value="' . $clientDetail->org_extension_logo[0] . '"><input name="logoDel" type="checkbox" value="on"> ' . lang_strings('delete'));
    }
}

$block1->contentRow('', '<input type="SUBMIT" value="' . lang_strings('save') . '">');
$block1->closeContent();
$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
