<?php // $Revision: 1.11 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: home.php,v 1.11 2006/07/03 08:12:27 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

$test = $date;
$DateAnnee = substr($test, 0, 4);
$DateMois = substr($test, 5, 2);
$DateJour = substr($test, 8, 2);
$DateMois = $DateMois - 1;

if ($DateMois <= 0) {
    $DateMois = $DateMois + 12;
    $DateAnnee = $DateAnnee - 1;
} 

$DateMois = (strlen($DateMois) > 1) ? $DateMois : '0' . $DateMois;

$dateFilter = "$DateAnnee-$DateMois-$DateJour";
// echo $dateFilter;
if ($action == 'publish') {
    if ($closeTopic == 'true') {
        $multi = strstr($id, '**');

        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET status='0' WHERE id IN($id)";
            $pieces = explode(',', $id);
            $num = count($pieces);
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET status='0' WHERE id = '$id'";
            $num = '1';
        } 

        connectSql($tmpquery1);
        $msg = 'closeTopic';
    } 

    if ($addToSiteTopic == 'true') {
        $multi = strstr($id, '**');

        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        } 

        connectSql($tmpquery1);
        $msg = 'addToSite';
    } 

    if ($removeToSiteTopic == 'true') {
        $multi = strstr($id, '**');

        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_NO . "' WHERE id = '$id'";
        } 

        connectSql($tmpquery1);
        $msg = 'removeToSite';
    } 
} 

require_once('../themes/' . THEME . '/header.php');

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../general/home.php', lang_strings('home'), in));
$blockPage->itemBreadcrumbs($nameSession);
$blockPage->closeBreadcrumbs();

if ($msg != '') {
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
} 

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages();
}

$block1 = new block();

$block1->form = "wbP";
$block1->openForm('../general/home.php#' . $block1->form . 'Anchor');

$block1->headingToggle(lang_strings("my_projects"));

$block1->openPaletteIcon();

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER || $profilSession == PF_HR_MANAGER) {
    $block1->paletteIcon(0, "add", lang_strings("add"));
    $block1->paletteIcon(1, "remove", lang_strings("delete"));
    $block1->paletteIcon(2, "copy", lang_strings("copy")); 
    // $block1->paletteIcon(3,"import",lang_strings("import"));
    // $block1->paletteIcon(4,"export",lang_strings("export"));
} 

$block1->paletteIcon(5, "info", lang_strings("view"));

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER || $profilSession == PF_HR_MANAGER) {
    $block1->paletteIcon(6, "edit", lang_strings("edit"));
} 

if ($enable_cvs == "true") {
    $block1->paletteIcon(7, "cvs", lang_strings("browse_cvs"));
} 
// if mantis bug tracker enabled
if ($enableMantis == "true") {
    $block1->paletteIcon(8, "bug", lang_strings("bug"));
} 

$block1->closePaletteIcon();

$block1->sorting("home_projects", $sortingUser->sor_home_projects[0], "pro.name ASC", $sortingFields = array(0 => "pro.id", 1 => "pro.name", 2 => "pro.priority", 3 => "org2.name", 4 => "pro.status", 5 => "mem2.login", 6 => "pro.published"));

$tmpquery = "WHERE tea.member = '$idSession' AND pro.status IN(0,2,3) ORDER BY $block1->sortingValue";
$listProjects = new request();
$listProjects->openTeams($tmpquery);
$comptListProjects = count($listProjects->tea_id);

if ($comptListProjects != "0") {
    $block1->openResults();

    $block1->labels($labels = array(0 => lang_strings("id"), 1 => lang_strings("project"), 2 => lang_strings("priority"), 3 => lang_strings("organization"), 4 => lang_strings("status"), 5 => lang_strings("owner"), 6 => lang_strings("project_site")), 'true');

    for ($i = 0;$i < $comptListProjects;$i++) {
        if ($listProjects->tea_org2_id[$i] == "1") {
            $listProjects->tea_org2_name[$i] = lang_strings("none");
        } 

        $idStatus = $listProjects->tea_pro_status[$i];
        $idPriority = $listProjects->tea_pro_priority[$i];

        $block1->openRow();
        $block1->checkboxRow($listProjects->tea_pro_id[$i]);
        $block1->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listProjects->tea_pro_id[$i], $listProjects->tea_pro_id[$i], in));
        $block1->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listProjects->tea_pro_id[$i], $listProjects->tea_pro_name[$i], in));
        // $block1->cellRow("<img src=\"../themes/".THEME."/gfx_priority/".$idPriority.".gif\" alt=\"\">&nbsp;".$priority[$idPriority]);
        $block1->cellRow("<img src=\"../themes/" . THEME . "/gfx_priority/" . $idPriority . ".gif\" alt=\"" . $priority[$idPriority] . "\">&nbsp;" . $priority[$idPriority], '', true);
        $block1->cellRow($listProjects->tea_org2_name[$i]);
        $block1->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
        $block1->cellRow($blockPage->buildLink($listProjects->tea_mem2_email_work[$i], $listProjects->tea_mem2_login[$i], mail));

        if ($sitePublish == "true") {
            if ($listProjects->tea_pro_published[$i] != PB_YES) {
                $block1->cellRow("&lt;" . $blockPage->buildLink("../projects/addprojectsite.php?id=" . $listProjects->tea_pro_id[$i], lang_strings("create") . "...", in) . "&gt;");
            } else {
                $block1->cellRow("&lt;" . $blockPage->buildLink("../projects/viewprojectsite.php?id=" . $listProjects->tea_pro_id[$i], lang_strings("details"), in) . "&gt;");
            } 
        } 

        $block1->closeRow();
        $projectsTopics .= $listProjects->tea_pro_id[$i];

        if ($i != $comptListProjects-1) {
            $projectsTopics .= ",";
        } 
    } 

    $block1->closeResults();
} else {
    $block1->noresults();
} 

$block1->closeToggle();
$block1->closeFormResults();

$block1->openPaletteScript();

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER || $profilSession == PF_HR_MANAGER) {
    $block1->paletteScript(0, "add", "../projects/editproject.php", "true,false,false", lang_strings("add"));
    $block1->paletteScript(1, "remove", "../projects/deleteproject.php", "false,true,false", lang_strings("delete"));
    $block1->paletteScript(2, "copy", "../projects/editproject.php?cpy=true", "false,true,false", lang_strings("copy")); 
    // $block1->paletteScript(3,"import","import.php","true,false,false",lang_strings("import"));
    // $block1->paletteScript(4,"export","export.php","false,true,false",lang_strings("export"));
} 

$block1->paletteScript(5, "info", "../projects/viewproject.php", "false,true,false", lang_strings("view"));

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER || $profilSession == PF_HR_MANAGER) {
    $block1->paletteScript(6, "edit", "../projects/editproject.php", "false,true,false", lang_strings("edit"));
} 

if ($enable_cvs == "true") {
    $block1->paletteScript(7, "cvs", "../browsecvs/browsecvs.php", "false,true,false", lang_strings("browse_cvs"));
} 
// if mantis bug tracker enabled
if ($enableMantis == "true") {
    $block1->paletteScript(8, "bug", $pathMantis . "login.php?url=http://{$HTTP_HOST}{$REQUEST_URI}&f_username=$loginSession&f_password=$passwordSession", "false,true,false", lang_strings("bug"));
} 

$block1->closePaletteScript($comptListProjects, $listProjects->tea_pro_id);

$block2 = new block();

$block2->form = "xwbT";
$block2->openForm("../general/home.php#" . $block2->form . "Anchor");

$block2->headingToggle(lang_strings("my_tasks"));

$block2->openPaletteIcon();

$block2->paletteIcon(0, "remove", lang_strings("delete"));
$block2->paletteIcon(1, "copy", lang_strings("copy"));
// $block2->paletteIcon(2,"export",lang_strings("export"));
$block2->paletteIcon(3, "info", lang_strings("view"));
$block2->paletteIcon(4, "edit", lang_strings("edit"));
$block2->paletteIcon(5, "timelog", lang_strings("loghours"));

$block2->closePaletteIcon();

$block2->sorting("home_tasks", $sortingUser->sor_home_tasks[0], "tas.name ASC", $sortingFields = array(0 => "tas.id", 1 => "tas.name", 2 => "tas.priority", 3 => "tas.status", 4 => "tas.completion", 5 => "tas.due_date", 6 => "tas.owner", 7 => "pro.name", 8 => "tas.published"));

$tmpquery = " INNER JOIN " . $tableCollab["tasks_resource"] . " res ON res.task=tas.id WHERE res.type='members' AND res.resource='$_SESSION[idSession]' AND tas.status IN(0,2,3) AND pro.status IN(0,2,3) ORDER BY $block2->sortingValue";

$listTasks = new request();
$listTasks->openTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);

if ($comptListTasks != "0") {
    $block2->openResults();

    $block2->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings('name'), 2 => lang_strings('priority'), 3 => lang_strings('status'), 4 => lang_strings('completion'), 5 => lang_strings('due_date'), 6 => lang_strings('assigned_by'), 7 => lang_strings('project'), 8 => lang_strings('published')), 'true');

    for ($i = 0;$i < $comptListTasks;$i++) {
        if ($listTasks->tas_due_date[$i] == "") {
            $listTasks->tas_due_date[$i] = lang_strings("none");
        } 

        $idStatus = $listTasks->tas_status[$i];
        $idPriority = $listTasks->tas_priority[$i];
        $idPublish = $listTasks->tas_published[$i];
        $complValue = ($listTasks->tas_completion[$i] > 0) ? $listTasks->tas_completion[$i] . "0 %": $listTasks->tas_completion[$i] . " %";
        $block2->openRow();
        $block2->checkboxRow($listTasks->tas_id[$i]);

        $block1->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_id[$i], in));
        $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_name[$i], in));

        $block2->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);

        $block2->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);

        $block2->cellRow($complValue);

        if ($listTasks->tas_due_date[$i] <= $date && $listTasks->tas_completion[$i] != "10") {
            $block2->cellRow("<b>" . $listTasks->tas_due_date[$i] . "</b>");
        } else {
            $block2->cellRow($listTasks->tas_due_date[$i]);
        } 

        $block2->cellRow($blockPage->buildLink($listTasks->tas_mem2_email_work[$i], $listTasks->tas_mem2_login[$i], mail));

        $block2->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTasks->tas_project[$i], $listTasks->tas_pro_name[$i], in));

        if ($sitePublish == "true") {
            $block2->cellRow($statusPublish[$idPublish]);
        } 

        $block2->closeRow();
    } 

    $block2->closeResults();
} else {
    $block2->noresults();
} 

$block2->closeToggle();
$block2->closeFormResults();

$block2->openPaletteScript();
$block2->paletteScript(0, "remove", "../tasks/deletetasks.php", "false,true,true", lang_strings("delete"));
$block2->paletteScript(1, "copy", "../tasks/edittask.php?cpy=true", "false,true,false", lang_strings("copy"));
// $block2->paletteScript(2,"export","export.php","false,true,true",lang_strings("export"));
$block2->paletteScript(3, "info", "../tasks/viewtask.php", "false,true,false", lang_strings("view"));
$block2->paletteScript(4, "edit", "../tasks/edittask.php", "false,true,false", lang_strings("edit"));
$block2->paletteScript(5, "timelog", "../tasks/addtasktime.php", "false,true,false", lang_strings("loghours"));
$block2->closePaletteScript($comptListTasks, $listTasks->tas_id);

//HB 12-24-2004
//Added MY MEETINGS block
$block7 = new block();
$block7->form = "Met";
$block7->openForm("../general/home.php?project=$project#" . $block7->form . "Anchor");
$block7->headingToggle(lang_strings("my_meetings"));

$block7->openPaletteIcon();
$block7->paletteIcon(5, "info", lang_strings("view"));
$block7->paletteIcon(6, "edit", lang_strings("edit"));
$block7->closePaletteIcon();

$block7->sorting("meetings", $sortingUser->sor_meetings[0], "mee.date ASC", $sortingFields = array(0 => "mee.id", 1 => "mee.name", 2 => "mee.date", 3 => "mee.start_time", 4 => "mee.end_time", 5 => "mee.published"));

$tmpquery = " INNER JOIN " . $tableCollab["attendants"] . " att ON att.meeting=mee.id WHERE att.member = '$idSession' AND mee.date >= '$dateFilter' AND mee.status IN(0,2,3) ORDER BY $block7->sortingValue";
$listMeetings= new request();
$listMeetings->openMeetings($tmpquery);
$comptListMeetings= count($listMeetings->mee_id);

if ($comptListMeetings != "0") {
    $block7->openResults();

    $block7->labels($labels = array(0 => lang_strings("id"), 1 => lang_strings("name"), 2 => lang_strings("date"), 3 => lang_strings("start_time"), 4 => lang_strings("end_time"), 5 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListMeetings;$i++) {
        $idPublish = $listMeetings->mee_published[$i];
        $block7->openRow();
        $block7->checkboxRow($listMeetings->mee_id[$i]);
        $block7->cellRow($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_id[$i], in));
        $block7->cellRow($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_name[$i], in));

        $block7->cellRow($listMeetings->mee_date[$i]);
        $block7->cellRow($listMeetings->mee_start_time[$i]);
        $block7->cellRow($listMeetings->mee_end_time[$i]);

        if ($sitePublish == "true") {
            $block7->cellRow($statusPublish[$idPublish]);
        } 

        $block7->closeRow();
    } 

    $block7->closeResults();
} else {
    $block7->noresults();
} 

$block7->closeToggle();
$block7->closeFormResults();

$block7->openPaletteScript();
$block7->paletteScript(5, "info", "../meetings/viewmeeting.php", "false,true,false", lang_strings("view"));
$block7->paletteScript(6, "edit", "../meetings/editmeeting.php?project=$project", "false,true,false", lang_strings("edit"));
$block7->closePaletteScript($comptListMeetings, $listMeetings->mee_id);
//End HB Edits

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

$block6 = new block();

$block6->sorting('bookmarks', $sortingUser->sor_bookmarks[0], 'boo.name ASC', $sortingFields = array(0 => 'boo.name', 1 => 'boo.category', 2 => 'boo.shared'));

$tmpquery = "WHERE boo.home = '1' AND boo.owner = '$idSession' ORDER BY $block6->sortingValue";

$listBookmarks = new request();
$listBookmarks->openBookmarks($tmpquery);

$comptListBookmarks = count($listBookmarks->boo_id);

if ($comptListBookmarks != '0') {
    $block6->form = 'boo';
    $block6->openForm('../bookmarks/listbookmarks.php?view=my&amp;project=' . $project . '#' . $block6->form . 'Anchor');

    $block6->headingToggle(lang_strings('bookmarks_my'));

    $block6->openPaletteIcon();
    $block6->paletteIcon(0, 'add', lang_strings('add'));
    $block6->paletteIcon(1, 'remove', lang_strings('delete'));
    /*if ($sitePublish == 'true') {
		$block6->paletteIcon(3,'add_projectsite',lang_strings('add_project_site'));
		$block6->paletteIcon(4,'remove_projectsite',lang_strings('remove_project_site'));
	}*/
    $block6->paletteIcon(5, 'info', lang_strings('view'));
    $block6->paletteIcon(6, 'edit', lang_strings('edit'));

    $block6->closePaletteIcon();

    $block6->sorting('bookmarks', $sortingUser->sor_bookmarks[0], 'boo.name ASC', $sortingFields = array(0 => 'boo.name', 1 => 'boo.category', 2 => 'boo.shared'));

    $tmpquery = "WHERE boo.home = '1' AND boo.owner = '$idSession' ORDER BY $block6->sortingValue";

    $listBookmarks = new request();
    $listBookmarks->openBookmarks($tmpquery);

    $comptListBookmarks = count($listBookmarks->boo_id);

    if ($comptListBookmarks != '0') {
        $block6->openResults();

        $block6->labels($labels = array(0 => lang_strings('name'), 1 => lang_strings('bookmark_category'), 2 => lang_strings('shared')), 'false');

        for ($i = 0;$i < $comptListBookmarks;$i++) {
            $block6->openRow();
            $block6->checkboxRow($listBookmarks->boo_id[$i]);
            $block6->cellRow($blockPage->buildLink("../bookmarks/viewbookmark.php?view=$view&amp;id=" . $listBookmarks->boo_id[$i], $listBookmarks->boo_name[$i], in) . ' ' . $blockPage->buildLink($listBookmarks->boo_url[$i], "(" . lang_strings("url") . ")", out));
            $block6->cellRow($listBookmarks->boo_boocat_name[$i]);

            if ($listBookmarks->boo_shared[$i] == "1") {
                $printShared = lang_strings("yes");
            } else {
                $printShared = lang_strings("no");
            } 

            $block6->cellRow($printShared);
            $block6->closeRow();
        } 

        $block6->closeResults();
    } else {
        $block6->noresults();
    } 

    $block6->closeToggle();
    $block6->closeFormResults();

    $block6->openPaletteScript();
    $block6->paletteScript(0, "add", "../bookmarks/editbookmark.php", "true,false,false", lang_strings("add"));
    $block6->paletteScript(1, "remove", "../bookmarks/deletebookmarks.php", "false,true,true", lang_strings("delete"));
    /*$if ($sitePublish == "true") {
		$block6->paletteScript(3,"add_projectsite","../general/home.php?addToSite=true&project=".$projectDetail->pro_id[0]."&action=publish","false,true,true",lang_strings("add_project_site"));
		$block6->paletteScript(4,"remove_projectsite","../general/home.php?removeToSite=true&project=".$projectDetail->pro_id[0]."&action=publish","false,true,true",lang_strings("remove_project_site"));
	}*/

    $block6->paletteScript(5, "info", "../bookmarks/viewbookmark.php", "false,true,false", lang_strings("view"));
    $block6->paletteScript(6, "edit", "../bookmarks/editbookmark.php", "false,true,false", lang_strings("edit"));

    $block6->closePaletteScript($comptListBookmarks, $listBookmarks->boo_id);
} 

$block3 = new block();

$block3->form = "wbTh";
$block3->openForm("../general/home.php#" . $block3->form . "Anchor");

$block3->headingToggle(lang_strings("my_discussions"));

$block3->openPaletteIcon();

$block3->paletteIcon(0, "add", lang_strings("add"));
$block3->paletteIcon(1, "lock", lang_strings("close"));
$block3->paletteIcon(2, "add_projectsite", lang_strings("add_project_site"));
$block3->paletteIcon(3, "remove_projectsite", lang_strings("remove_project_site"));
$block3->paletteIcon(4, "info", lang_strings("view"));

$block3->closePaletteIcon();

$block3->sorting("home_discussions", $sortingUser->sor_home_discussions[0], "topic.last_post DESC", $sortingFields = array(0 => "topic.subject", 1 => "mem.login", 2 => "topic.posts", 3 => "topic.last_post", 4 => "topic.status", 5 => "pro.name", 6 => "topic.published"));

if ($projectsTopics == "") {
    $projectsTopics = "0";
} 

$tmpquery = "WHERE topic.project IN($projectsTopics) AND topic.last_post > '$dateFilter' AND topic.status = '1' ORDER BY $block3->sortingValue";
$listTopics = new request();
$listTopics->openTopics($tmpquery);
$comptListTopics = count($listTopics->top_id);

if ($comptListTopics != "0") {
    $block3->openResults();

    $block3->labels($labels = array(0 => lang_strings("topic"), 1 => lang_strings("owner"), 2 => lang_strings("posts"), 3 => lang_strings("last_post"), 4 => lang_strings("status"), 5 => lang_strings("project"), 6 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListTopics;$i++) {
        $idStatus = $listTopics->top_status[$i];
        $idPublish = $listTopics->top_published[$i];
        $block3->openRow();
        $block3->checkboxRow($listTopics->top_id[$i]);
        $block3->cellRow($blockPage->buildLink("../topics/viewtopic.php?project=" . $listTopics->top_project[$i] . "&amp;id=" . $listTopics->top_id[$i], $listTopics->top_subject[$i], in));
        $block3->cellRow($blockPage->buildLink($listTopics->top_mem_email_work[$i], $listTopics->top_mem_login[$i], mail));
        $block3->cellRow($listTopics->top_posts[$i]);

        if ($listTopics->top_last_post[$i] > $lastvisiteSession) {
            $block3->cellRow("<b>" . createDate($listTopics->top_last_post[$i], $timezoneSession) . "</b>");
        } else {
            $block3->cellRow(createDate($listTopics->top_last_post[$i], $timezoneSession));
        } 

        $block3->cellRow($statusTopic[$idStatus]);
        $block3->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTopics->top_project[$i], $listTopics->top_pro_name[$i], in));

        if ($sitePublish == "true") {
            $block3->cellRow($statusPublish[$idPublish]);
        } 

        $block3->closeRow();
    } 

    $block3->closeResults();
} else {
    $block3->noresults();
} 

$block3->closeToggle();
$block3->closeFormResults();

$block3->openPaletteScript();
$block3->paletteScript(0, "remove", "../topics/deletetopics.php", "false,true,true", lang_strings("delete"));
$block3->paletteScript(1, "lock", "../general/home.php?closeTopic=true&action=publish", "false,true,true", lang_strings("close"));
$block3->paletteScript(2, "add_projectsite", "../general/home.php?addToSiteTopic=true&action=publish", "false,true,true", lang_strings("add_project_site"));
$block3->paletteScript(3, "remove_projectsite", "../general/home.php?removeToSiteTopic=true&action=publish", "false,true,true", lang_strings("remove_project_site"));
$block3->paletteScript(4, "info", "threaddetail", "false,true,false", lang_strings("view"));
$block3->closePaletteScript($comptListTopics, $listTopics->top_id);

$block4 = new block();

$block4->form = "wbSe";
$block4->openForm("../general/home.php#" . $block4->form . "Anchor");

$block4->headingToggle(lang_strings("my_reports"));

$block4->openPaletteIcon();
$block4->paletteIcon(0, "add", lang_strings("new"));
$block4->paletteIcon(1, "remove", lang_strings("delete"));
$block4->paletteIcon(2, "info", lang_strings("view"));
$block4->closePaletteIcon();

$block4->sorting("home_reports", $sortingUser->sor_home_reports[0], "rep.name ASC", $sortingFields = array(0 => "rep.name", 1 => "rep.created"));

$tmpquery = "WHERE rep.owner = '$idSession' ORDER BY $block4->sortingValue";
$listReports = new request();
$listReports->openReports($tmpquery);
$comptListReports = count($listReports->rep_id);

if ($comptListReports != "0") {
    $block4->openResults();

    $block4->labels($labels = array(0 => lang_strings("name"), 1 => lang_strings("created")), "false");

    for ($i = 0;$i < $comptListReports;$i++) {
        $block4->openRow();
        $block4->checkboxRow($listReports->rep_id[$i]);
        $block4->cellRow($blockPage->buildLink("../reports/resultsreport.php?id=" . $listReports->rep_id[$i], $listReports->rep_name[$i], in));
        $block4->cellRow(createDate($listReports->rep_created[$i], $timezoneSession));
        $block4->closeRow();
    } 

    $block4->closeResults();
} else {
    $block4->noresults();
} 

$block4->closeToggle();
$block4->closeFormResults();

$block4->openPaletteScript();
$block4->paletteScript(0, "add", "../reports/createreport.php?typeReports=create", "true,false,false", lang_strings("new"));
$block4->paletteScript(1, "remove", "../reports/deletereports.php", "false,true,true", lang_strings("delete"));
$block4->paletteScript(2, "info", "../reports/resultsreport.php", "false,true,true", lang_strings("view"));
$block4->closePaletteScript($comptListReports, $listReports->rep_id);

$block5 = new block();
$block5->form = "saJ";
$block5->openForm("../general/home.php?project=$project#" . $block5->form . "Anchor");
$block5->headingToggle(lang_strings("my_notes"));

$block5->openPaletteIcon();
// $block5->paletteIcon(0,"add",lang_strings("add"));
// $block5->paletteIcon(1,"remove",lang_strings("delete"));
// $block5->paletteIcon(2,"export",lang_strings("export"));
/*if ($sitePublish == "true") {
	$block5->paletteIcon(3,"add_projectsite",lang_strings("add_project_site"));
	$block5->paletteIcon(4,"remove_projectsite",lang_strings("remove_project_site"));
}*/
$block5->paletteIcon(5, "info", lang_strings("view"));
$block5->paletteIcon(6, "edit", lang_strings("edit"));
$block5->closePaletteIcon();

$comptTopic = count($topicNote);

if ($comptTopic != "0") {
    $block5->sorting("notes", $sortingUser->sor_notes[0], "note.date DESC", $sortingFields = array(0 => "note.subject", 1 => "note.topic", 2 => "note.date", 3 => "mem.login", 4 => "note.published"));
} else {
    $block5->sorting("notes", $sortingUser->sor_notes[0], "note.date DESC", $sortingFields = array(0 => "note.subject", 1 => "note.date", 2 => "mem.login", 3 => "note.published"));
} 

$tmpquery = "WHERE note.owner = '$idSession' AND note.date > '$dateFilter' AND pro.status IN(0,2,3) ORDER BY $block5->sortingValue";
$listNotes = new request();
$listNotes->openNotes($tmpquery);
$comptListNotes = count($listNotes->note_id);

if ($comptListNotes != "0") {
    $block5->openResults();

    if ($comptTopic != "0") {
        $block5->labels($labels = array(0 => lang_strings("subject"), 1 => lang_strings("topic"), 2 => lang_strings("date"), 3 => lang_strings("owner"), 4 => lang_strings("published")), "true");
    } else {
        $block5->labels($labels = array(0 => lang_strings("subject"), 1 => lang_strings("date"), 2 => lang_strings("owner"), 3 => lang_strings("published")), "true");
    } 

    for ($i = 0;$i < $comptListNotes;$i++) {
        $idPublish = $listNotes->note_published[$i];
        $block5->openRow();
        $block5->checkboxRow($listNotes->note_id[$i]);
        $block5->cellRow($blockPage->buildLink("../notes/viewnote.php?id=" . $listNotes->note_id[$i], $listNotes->note_subject[$i], in));

        if ($comptTopic != "0") {
            $block5->cellRow($topicNote[$listNotes->note_topic[$i]]);
        } 

        $block5->cellRow($listNotes->note_date[$i]);
        $block5->cellRow($blockPage->buildLink($listNotes->note_mem_email_work[$i], $listNotes->note_mem_login[$i], mail));

        if ($sitePublish == "true") {
            $block5->cellRow($statusPublish[$idPublish]);
        } 

        $block5->closeRow();
    } 

    $block5->closeResults();
} else {
    $block5->noresults();
} 

$block5->closeToggle();
$block5->closeFormResults();

$block5->openPaletteScript();
// $block5->paletteScript(0,"add","../notes/editnote.php?project=$project","true,false,false",lang_strings("add"));
// $block5->paletteScript(1,"remove","../notes/deletenotes.php?project=$project","false,true,true",lang_strings("delete"));
// $block5->paletteScript(2,"export","export.php","false,true,true",lang_strings("export"));
/*if ($sitePublish == "true") {
	$block5->paletteScript(3,"add_projectsite","../general/home.php?addToSite=true&project=".$projectDetail->pro_id[0]."&action=publish","false,true,true",lang_strings("add_project_site"));
	$block5->paletteScript(4,"remove_projectsite","../general/home.php?removeToSite=true&project=".$projectDetail->pro_id[0]."&action=publish","false,true,true",lang_strings("remove_project_site"));
}*/
$block5->paletteScript(5, "info", "../notes/viewnote.php", "false,true,false", lang_strings("view"));
$block5->paletteScript(6, "edit", "../notes/editnote.php?project=$project", "false,true,false", lang_strings("edit"));
$block5->closePaletteScript($comptListNotes, $listNotes->note_id);

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
