<?php // $Revision: 1.3 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: lang_pt-br.php,v 1.3 2006/06/15 09:46:46 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// translator(s): Felipe Fonseca <http://hipercortex.tk>
//                Edney Matias <edney@prognus.com.br>
$topicNote = array(1 => 'Conversa por telefone',
    2 => 'Notas de conferncia',
    3 => 'Notas gerais'
    );

$phaseArraySets = array(
    // Define the names of your phase sets
    'sets' => array(1 => 'Website', 2 => 'Aplicao'), 
    // List the individual items within each phase set.
    // Website Set
    1 => array(0 => 'Conceito', 1 => 'Planejamento', 2 => 'Desenvolvimento',
        3 => 'Teste', 4 => 'Entrega', 5 => 'Manuteno'), 
    // Application Set
    2 => array(0 => 'Conceito', 1 => 'Planejamento', 2 => 'Desenvolvimento',
        3 => 'Teste', 4 => 'Entrega', 5 => 'Manuteno')
    );

$autoLogoutOptions = array(
    0 => 'Desabilitado',
    300 => '5 minutos',
    600 => '10 minutos',
    900 => '15 minutos',
    1800 => '30 minutos',
    2700 => '45 minutos',
    3600 => '60 minutos'
    );

$startPageOptions = array(
    'general/home.php' => 'Pgina inicial',
    'calendar/viewcalendar.php' => 'Calendario',
    'bookmarks/listbookmarks.php?view=my' => 'Meus favoritos',
    'reports/createreport.php?typeReports=custom' => 'Relatrios',
    'timesheet/viewtimesheet.php' => 'Timesheet'
    );

$setCharset = 'ISO-8859-1';

$byteUnits = array('Bytes', 'KB', 'MB', 'GB');

$dayNameArray = array(0 => 'Domingo', 1 => 'Segunda', 2 => 'Tera', 3 => 'Quarta', 4 => 'Quinta', 5 => 'Sexta', 6 => 'Sabado', 7 => 'Domingo');
$dayShortNameArray = array(0 => 'Dom', 1 => 'Seg', 2 => 'Ter', 3 => 'Qua', 4 => 'Qui', 5 => 'Sex', 6 => 'Sab', 7 => 'Dom');

$monthNameArray = array(1 => 'Janeiro', 'Fevereiro', 'Maro', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro');

$status = array(
    ST_CLIENT_COMPLETED => 'Realizada pelo cliente',
    ST_COMPLETED => 'Realizada',
    ST_NOT_STARTED => 'No iniciada',
    ST_OPEN => 'Iniciada',
    ST_SUSPENDED => 'Suspensa'
    );

$profil = array(
    PF_ADMINISTRATOR => 'Admininstrador',
    PF_PROJECT_MANAGER => 'Gerente de Projetos',
    PF_USER => 'Usurio',
    PF_CLIENT_USER => 'Usurio do Cliente',
    PF_DISABLED => 'Desabilitado',
    PF_PROJECT_MANAGER_ADMINISTRATOR => 'Administrador do NetOffice',
    PF_HR_MANAGER => 'Gerente de Recursos Humanos'
    );

$priority = array(
    PR_NONE => 'Nenhuma',
    PR_VERY_LOW => 'Muito baixa',
    PR_LOW => 'Baixa',
    PR_MEDIUM => 'Mdia',
    PR_HIGH => 'Alta',
    PR_VERY_HIGH => 'Muito alta'
    );

$statusTopic = array(0 => 'Fechado', 1 => 'Aberto');
$statusTopicBis = array(0 => 'Sim', 1 => 'No');

$statusPublish = array(PB_YES => 'Sim', PB_NO => 'No');

$statusFile = array(
    FS_APPROVED => 'Aprovado',
    FS_APPROVED_WITH_CHANGES => 'Aprovado com ressalvas',
    FS_NEEDS_APPROVAL => 'Precisa de aprovao',
    FS_NO_APPROVALS_NEEDED => 'No precisa de aprovao',
    FS_NOT_APPROVED => 'No aprovado'
    );

$phaseStatus = array(
    PS_NOT_STARTED => 'No iniciada',
    PS_OPEN => 'Iniciada',
    PS_COMPLETE => 'Realizada',
    PS_SUSPENDED => 'Suspensa'
    );

$requestStatus = array(RQ_NEW => 'Novo', RQ_OPEN => 'Aberto', RQ_COMPLETE => 'Realizado');

$projectType = array(
    PT_INTERNAL_PROJECT => 'Projeto interno',
    PT_EXTERNAL_PROJECT => 'Projeto externo',
    2 => 'Pesquisa',
    3 => 'Administrao',
    4 => 'Treinamento'
    );

$strings["please_login"] = "Por favor identifique-se";
$strings["requirements"] = "Requisitos do Sistema";
$strings["license"] = "Licena";
$strings["login"] = "Entrar";
$strings["no_items"] = "No h itens para mostrar";
$strings["logout"] = "Sair";
$strings["preferences"] = "Preferncias";
$strings["my_tasks"] = "Minhas Tarefas";
$strings["edit_task"] = "Editar Tarefas";
$strings["copy_task"] = "Copiar Tarefas";
$strings["add_task"] = "Adicionar Tarefas";
$strings["delete_tasks"] = "Apagar Tarefas";
$strings["assignment_history"] = "Histrico de Delegaes";
$strings["assigned_on"] = "Delegado Em";
$strings["assigned_by"] = "Delegado Por";
$strings["to"] = "Para";
$strings["comment"] = "Comentrio";
$strings["task_assigned"] = "Tarefa delegada a ";
$strings["task_unassigned"] = "Tarefa no delegada";
$strings["edit_multiple_tasks"] = "Editar Mltiplas Tarefas";
$strings["tasks_selected"] = "tarefas selecionadas. Escolher novos valores para estas tarefas, ou selecionar [Sem Alteraes] para reter valores atuais.";
$strings["assignment_comment"] = "Comentrio da delegao";
$strings["no_change"] = "[Sem Alteraes]";
$strings["my_discussions"] = "Meus Debates";
$strings["discussions"] = "Debates";
$strings["delete_discussions"] = "Apagar Debates";
$strings["delete_discussions_note"] = "Nota: Debates no podem ser reabertos, uma vez apagados.";
$strings["topic"] = "Tpico";
$strings["posts"] = "envios";
$strings["latest_post"] = "ltimo item enviado";
$strings["my_reports"] = "Meus Relatrios";
$strings["reports"] = "Relatrios";
$strings["create_report"] = "Criar Relatrio";
$strings["report_intro"] = "Selecione os parmetros da sua tarefa aqui e guarde a pesquisa na pgina de resultados depois de executar o seu relatrio.";
$strings["admin_intro"] = "Configurao e parmetros do Projeto.";
$strings["copy_of"] = "Copia de ";
$strings["add"] = "Adicionar";
$strings["delete"] = "Apagar";
$strings["remove"] = "Remover";
$strings["copy"] = "Copiar";
$strings["view"] = "Ver";
$strings["edit"] = "Editar";
$strings["update"] = "Atualizar";
$strings["details"] = "Detalhes";
$strings["none"] = "Nenhuma";
$strings["close"] = "Fechar";
$strings["new"] = "Nova";
$strings["select_all"] = "Selecionar Todos";
$strings["unassigned"] = "No Delegada";
$strings["administrator"] = "Administrador";
$strings["my_projects"] = "Meus Projetos";
$strings["project"] = "Projeto";
$strings["active"] = "Ativo";
$strings["inactive"] = "Inativo";
$strings["project_id"] = "ID Projeto";
$strings["edit_project"] = "Editar Projeto";
$strings["copy_project"] = "Copiar Projeto";
$strings["add_project"] = "Adicionar Projeto";
$strings["clients"] = "Clientes";
$strings["organization"] = "Organizao Cliente";
$strings["client_projects"] = "Projetos do Cliente";
$strings["client_users"] = "Usurios do Cliente";
$strings["edit_organization"] = "Editar Organizao Cliente";
$strings["add_organization"] = "Adicionar Organizao Cliente";
$strings["organizations"] = "Organizaes Cliente";
$strings["info"] = "Info";
$strings["status"] = "Estado";
$strings["owner"] = "Dono";
$strings["home"] = "Incio";
$strings["projects"] = "Projetos";
$strings["files"] = "Arquivos";
$strings["search"] = "Procurar";
$strings["admin"] = "Administrao";
$strings["user"] = "Usurio";
$strings["project_manager"] = "Gerente do Projeto";
$strings["due"] = "Finalizado";
$strings["task"] = "Tarefa";
$strings["tasks"] = "Tarefas";
$strings["team"] = "Equipe";
$strings["add_team"] = "Adicionar Membros de Equipe";
$strings["team_members"] = "Membros de Equipe";
$strings["full_name"] = "Nome Completo";
$strings["title"] = "Ttulo";
$strings["user_name"] = "Nome de Usurio";
$strings["work_phone"] = "Telefone Trabalho";
$strings["priority"] = "Prioridade";
$strings["name"] = "Nome";
$strings["id"] = "ID";
$strings["description"] = "Descrio";
$strings["phone"] = "Telefone";
$strings["url"] = "URL";
$strings["address"] = "Endereo";
$strings["comments"] = "Comentrios";
$strings["created"] = "Criado";
$strings["assigned"] = "Delegado";
$strings["modified"] = "Modificado";
$strings["assigned_to"] = "Delegado a";
$strings["due_date"] = "Data de Finalizao";
$strings["estimated_time"] = "Tempo Estimado";
$strings["atual_time"] = "Tempo Real";
$strings["delete_following"] = "Apagar o seguinte?";
$strings["cancel"] = "Cancelar";
$strings["and"] = "e";
$strings["administration"] = "Administrao";
$strings["user_management"] = "Gerenciamento Usurio";
$strings["system_information"] = "Informao Sistema";
$strings["product_information"] = "Informao Produto";
$strings["system_properties"] = "Propriedades Sistema";
$strings["create"] = "Criar";
$strings["report_save"] = "Guarde este relatrio na sua homepage para voltar a utiliz-lo.";
$strings["report_name"] = "Nome Relatrio";
$strings["save"] = "Salvar";
$strings["matches"] = "Iguais";
$strings["match"] = "Igual";
$strings["report_results"] = "Resultados Relatrio";
$strings["success"] = "Sucesso";
$strings["addition_succeeded"] = "Adicionado com sucesso";
$strings["deletion_succeeded"] = "Apagado com sucesso";
$strings["report_created"] = "Criado relatrio";
$strings["deleted_reports"] = "Relatrios Apagados";
$strings["modification_succeeded"] = "Modificaes feitas";
$strings["errors"] = "Erros encontrados!";
$strings["blank_user"] = "O usurio no pde ser encontrado.";
$strings["blank_organization"] = "O organizao do cliente no pde ser localizada.";
$strings["blank_project"] = "O projeto no pde ser localizado.";
$strings["user_profile"] = "Perfil Usurio";
$strings["change_password"] = "Mudar Senha";
$strings["change_password_user"] = "Mudar a senha do usurio.";
$strings["old_password_error"] = "A senha antiga digitada est incorreta. Por favor insira novamente a senha antiga.";
$strings["new_password_error"] = "As duas senhas digitadas no so iguais. Por favor insira novamente a sua nova senha.";
$strings["notifications"] = "Notificaes";
$strings["change_password_intro"] = "Insira a sua antiga senha e depois insira e confirme a sua nova senha.";
$strings["old_password"] = "Antiga Senha";
$strings["password"] = "Senha";
$strings["new_password"] = "Nova Senha";
$strings["confirm_password"] = "Confirme Senha";
$strings["email"] = "E-Mail";
$strings["home_phone"] = "Telefone Casa";
$strings["mobile_phone"] = "Telefone Celular";
$strings["fax"] = "Fax";
$strings["permissions"] = "Permisses";
$strings["administrator_permissions"] = "Permisses de Administrador";
$strings["project_manager_permissions"] = "Permisses Gestor de Projeto";
$strings["user_permissions"] = "Permisses de Usurio";
$strings["account_created"] = "Conta Criada";
$strings["edit_user"] = "Editar Usurio";
$strings["edit_user_details"] = "Editar os detalhes do usurio.";
$strings["change_user_password"] = "Mudar a senha do usurio.";
$strings["select_permissions"] = "Selecionar permisses para este usurio";
$strings["add_user"] = "Adicionar Usurio";
$strings["enter_user_details"] = "Introduzir detalhes para a conta do usurio.";
$strings["enter_password"] = "Introduza a senha do usurio.";
$strings["success_logout"] = "Saiu com sucesso. Pode voltar a entrar introduzindo o nome de usurio e a senha em baixo.";
$strings["invalid_login"] = "O nome de usurio e/ou senha digitados so invlidos. Por favor insira novamente os seus dados.";
$strings["profile"] = "Perfil";
$strings["user_details"] = "Detalhes da Conta de Usurio.";
$strings["edit_user_account"] = "Edite a informao da sua conta.";
$strings["no_permissions"] = "Voc no tem permisso para realizar esta operao.";
$strings["discussion"] = "Debate";
$strings["retired"] = "Reformado";
$strings["last_post"] = "ltima mensagem";
$strings["post_reply"] = "Resposta  mensagem";
$strings["posted_by"] = "Mensagem enviada por";
$strings["when"] = "Quando";
$strings["post_to_discussion"] = "Enviar para debate";
$strings["message"] = "Mensagem";
$strings["delete_reports"] = "Apagar Relatrios";
$strings["delete_projects"] = "apagar Projetos";
$strings["delete_organizations"] = "Apagar Organizaes Cliente";
$strings["delete_organizations_note"] = "Nota: Isto vai apagar todos os usurios de clientes para estas organizaes de clientes, e dissociar todos os projetos abertos para estas organizaes clientes.";
$strings["delete_messages"] = "Apagar Mensagens";
$strings["attention"] = "Ateno";
$strings["delete_teamownermix"] = "Removido com sucesso, mas o dono do projeto no pode ser removido da equipe do projeto.";
$strings["delete_teamowner"] = "Voc no pode remover o dono do projeto de equipe do projeto.";
$strings["enter_keywords"] = "Introduza as palavras-chave";
$strings["search_options"] = "Palavras-chave e Opes de Busca";
$strings["search_note"] = "Voc tem de introduzir a informao no campo de Procura Por.";
$strings["search_results"] = "Resultados da Procura";
$strings["users"] = "Usurios";
$strings["search_for"] = "Procura Por";
$strings["results_for_keywords"] = "Resultados de Procura por Palavras-Chave";
$strings["add_discussion"] = "Adicionar Debate";
$strings["delete_users"] = "Apagar Conta de usurio";
$strings["reassignment_user"] = "Redelegao de Projeto e Tarefas";
$strings["there"] = "Existem";
$strings["owned_by"] = "Pertencem aos usurios acima.";
$strings["reassign_to"] = "Antes de apagar usurios, redelegar estas a";
$strings["no_files"] = "Sem arquivos relacionados";
$strings["published"] = "Publicado";
$strings["project_site"] = "Site do Projeto";
$strings["approval_tracking"] = "Histrico de Aprovaes";
$strings["size"] = "Tamanho";
$strings["add_project_site"] = "Adicionar ao Site do Projeto";
$strings["remove_project_site"] = "Remover do Site do Projeto";
$strings["more_search"] = "Mais opes de Procura";
$strings["results_with"] = "Procurar Resultados Com";
$strings["search_topics"] = "Tpicos de Procura";
$strings["search_properties"] = "Propriedades de Procura";
$strings["date_restrictions"] = "Restries de Datas";
$strings["case_sensitive"] = "Sensvel  caixa";
$strings["yes"] = "Sim";
$strings["no"] = "No";
$strings["sort_by"] = "Organizar Por";
$strings["type"] = "Tipo";
$strings["date"] = "Data";
$strings["all_words"] = "todas as palavras";
$strings["any_words"] = "qualquer das palavras";
$strings["exact_match"] = "exatamente igual";
$strings["all_dates"] = "Todas as datas";
$strings["between_dates"] = "Entre as datas";
$strings["all_content"] = "Todo o contedo";
$strings["all_properties"] = "Todas as propriedades";
$strings["no_results_search"] = "A procura no obteve resultados.";
$strings["no_results_report"] = "O relatrio no obteve resultados.";
$strings["schema_date"] = "AAAA/MM/DD";
$strings["hours"] = "horas";
$strings["choice"] = "Escolha";
$strings["missing_file"] = "Arquivo em falta!";
$strings["project_site_deleted"] = "O Site do Projeto foi apagado com sucesso.";
$strings["add_user_project_site"] = "O usurio recebeu autorizao para aceder ao Site do Projeto.";
$strings["remove_user_project_site"] = "As permisses de usurio foram removidas.";
$strings["add_project_site_success"] = "A colocao do Site do Projeto foi feita.";
$strings["remove_project_site_success"] = "A remoo do Site do Projeto foi feita.";
$strings["add_file_success"] = "Ligado 1 item de contedo.";
$strings["delete_file_success"] = "Arquivo removido com sucesso.";
$strings["update_comment_file"] = "O comentrio ao arquivo foi atualizado com sucesso.";
$strings["session_false"] = "Erro na Sesso";
$strings["logs"] = "Registros";
$strings["logout_time"] = "Sair automaticamente";

$strings["noti_foot1"] = "Esta notificao foi gerada pelo PhpCollab.";
$strings["noti_foot2"] = "Para ver sua Pgina Principal do PhpCollab, visite:";
$strings["noti_taskassignment1"] = "Nova Tarefa:";
$strings["noti_taskassignment2"] = "Uma tarefa foi delegada a voc:";
$strings["noti_moreinfo"] = "Para mais informaes visite:";
$strings["noti_prioritytaskchange1"] = "Prioridade da Tarefa Alterada:";
$strings["noti_prioritytaskchange2"] = "A prioridade da seguinte tarefa foi alterada:";
$strings["noti_statustaskchange1"] = "Status da Tarefa Alterado:";
$strings["noti_statustaskchange2"] = "O status da seguinte tarefa foi alterado:";
$strings["login_username"] = "Voc deve digitar um nome de usurio.";
$strings["login_password"] = "Por favor, digite sua senha.";
$strings["login_clientuser"] = "Esta  uma conta de usurio de cliente. Voc no pode acessar o PhpCollab com uma conta de usurio de cliente.";
$strings["user_already_exists"] = "J existe um usurio com este nome. Por favor, escolha uma variao desse nome de usurio.";
$strings["noti_duedatetaskchange1"] = "Data final da Tarefa alterada.";
$strings["noti_duedatetaskchange2"] = "A data final da seguinte tarefa foi alterada:";
$strings["company"] = "Companhia";
$strings["show_all"] = "Mostrar Tudo";
$strings["information"] = "Informao";
$strings["delete_message"] = "Apagar esta mensagem";
$strings["project_team"] = "Equipe do Projeto";
$strings["document_list"] = "Lista de Documentos";
$strings["bulletin_board"] = "Quadro de Avisos";
$strings["bulletin_board_topic"] = "Tpico do Quadro de Avisos";
$strings["create_topic"] = "Cria um Novo Tpico";
$strings["topic_form"] = "Formulrio de Tpico";
$strings["enter_message"] = "Digite sua Mensagem";
$strings["upload_file"] = "Enviar um Arquivo";
$strings["upload_form"] = "Enviar um Formulrio";
$strings["upload"] = "Enviar";
$strings["document"] = "Documento";
$strings["approval_comments"] = "Comentrios de Aprovao";
$strings["client_tasks"] = "Tarefas do Cliente";
$strings["team_tasks"] = "Tarefas da Equipe";
$strings["team_member_details"] = "Detalhes do Membro da Equipe";
$strings["client_task_details"] = "Detalhes da Tarefa do Cliente";
$strings["team_task_details"] = "Detalhes da Tarefa da Equipe";
$strings["language"] = "Idioma";
$strings["welcome"] = "Bem-vindo";
$strings["your_projectsite"] = "ao Seu Site de Projeto";
$strings["contact_projectsite"] = "Se voc tem quaisquer questes sobre a extranet ou sobre as informaes encontradas aqui, por favor entre em contato com o gerente de projeto";
$strings["company_details"] = "Detalhes da Companhia";
$strings["database"] = "Backup e Restaurao do database";
$strings["company_info"] = "Editar as informaes de sua companhia";
$strings["create_projectsite"] = "Criar Site do Projeto";
$strings["projectsite_url"] = "URL do Site do Projeto";
$strings["design_template"] = "Modelo de Design";
$strings["preview_design_template"] = "Pr-Visualizar Modelo de Design";
$strings["delete_projectsite"] = "Apagar o Site do Projeto";
$strings["add_file"] = "Adicionar Arquivo";
$strings["linked_content"] = "Contedo Anexo";
$strings["edit_file"] = "Editar detalhes do arquivo";
$strings["permitted_client"] = "Usurios do Cliente Permitidos";
$strings["grant_client"] = "Dar permisso para ver o site do projeto";
$strings["add_client_user"] = "Adicionar Usurio do Cliente";
$strings["edit_client_user"] = "Editar Usurio do Cliente";
$strings["client_user"] = "Usurio do Cliente";
$strings["client_change_status"] = "Mude seu status abaixo quando voc tiver completado a tarefa";
$strings["project_status"] = "Status do Projeto";
$strings["view_projectsite"] = "Ver Site do Projeto";
$strings["enter_login"] = "Digite seu nome de usurio para receber uma nova senha";
$strings["send"] = "Enviar";
$strings["no_login"] = "Nome de usurio no encontrado no banco de dados";
$strings["email_pwd"] = "Senha enviada";
$strings["no_email"] = "Usurio sem e-mail cadastrado";
$strings["forgot_pwd"] = "Esqueceu a senha ?";
$strings["project_owner"] = "Voc somente pode fazer alteraes em seus prprios projetos.";
$strings["connected"] = "Conectado";
$strings["session"] = "Sesso";
$strings["last_visit"] = "ltima Visita";
$strings["compteur"] = "Contador";
$strings["ip"] = "IP";
$strings["task_owner"] = "Voc no  um membro da equipe deste projeto";
$strings["export"] = "Exportar";
$strings["browse_cvs"] = "Navegar no CVS";
$strings["repository"] = "Repositorio CVS";
$strings["reassignment_clientuser"] = "Reatribuio de Tarefa";
$strings["organization_already_exists"] = "Este nome j est em uso no sistema. Por favor, escolha outro.";
$strings["blank_organization_field"] = "Voc deve entrar com o nome da organizao cliente.";
$strings["blank_fields"] = "campos obrigatrios";
$strings["projectsite_login_fails"] = "Impossvel confirmar combinao usurio e senha.";
$strings["start_date"] = "Data de incio";
$strings["completion"] = "Finalizao";
$strings["update_available"] = "Uma nova verso do PhpCollab est disponvel!";
$strings["version_current"] = "Voc est usando a verso";
$strings["version_latest"] = "A ltima verso ";
$strings["sourceforge_link"] = "Ver o site do projeto no SourceForge";
$strings["demo_mode"] = "Modo demonstrativo. Ao no disponvel.";
$strings["setup_erase"] = "Apague o arquivo setup.php!!";
$strings["no_file"] = "Nenhum arquivo selecionado";
$strings["exceed_size"] = "Ultrapassou tamanho mximo de arquivos";
$strings["no_php"] = "Arquivos PHP no so permitidos";
$strings["approval_date"] = "Data de Aprovao";
$strings["approver"] = "Aprovador";
$strings["error_database"] = "Erro ao conectar ao banco de dados";
$strings["error_server"] = "Erro ao conectar ao servidor";
$strings["version_control"] = "Controle de Verso";
$strings["vc_status"] = "Status";
$strings["vc_last_in"] = "Data da ltima modificao";
$strings["ifa_comments"] = "Comentrios de Aprovao";
$strings["ifa_command"] = "Mudar status da aprovao";
$strings["vc_version"] = "Verso";
$strings["ifc_revisions"] = "Anlise dos Colegas";
$strings["ifc_revision_of"] = "Anlise da verso";
$strings["ifc_add_revision"] = "Adicionar Anlise";
$strings["ifc_update_file"] = "Atualizar arquivo";
$strings["ifc_last_date"] = "Data da ltima modificao";
$strings["ifc_version_history"] = "Histrico da Verso";
$strings["ifc_delete_file"] = "Apagar o arquivo e todas as verses e revises";
$strings["ifc_delete_version"] = "Apagar Verso Selecionada";
$strings["ifc_delete_review"] = "Apager Anlise Selecionada";
$strings["ifc_no_revisions"] = "Atualmente no h revises para este documento";
$strings["unlink_files"] = "Remover links dos arquivos";
$strings["remove_team"] = "Remover Membros da Equipe";
$strings["remove_team_info"] = "Remover estes usurios da equipe de projeto?";
$strings["remove_team_client"] = "Remover permisso para ver o site do projeto";
$strings["note"] = "Anotao";
$strings["notes"] = "Anotaes";
$strings["subject"] = "Assunto";
$strings["delete_note"] = "Apagar Anotaes";
$strings["add_note"] = "Adicionar Anotao";
$strings["edit_note"] = "Editar Anotao";
$strings["version_increm"] = "Selecione a mudana de verso para aplicar:";
$strings["url_dev"] = "URL do Site em Desenvolvimento";
$strings["url_prod"] = "URL do Site de Produo";
$strings["note_owner"] = "Voc pode alterar somente suas prprias anotaes";
$strings["alpha_only"] = "Somente caracteres alfanumricos na identificao";
$strings["edit_notifications"] = "Editar Notificaes por E-mail";
$strings["edit_notifications_info"] = "Selecione os eventos sobre os quais quer receber notificaes por e-mail.";
$strings["select_deselect"] = "Selecionar/Deselecionar Tudo";
$strings["noti_addprojectteam1"] = "Adicionado  equipe do projeto:";
$strings["noti_addprojectteam2"] = "Voc foi adicionado  equipe do projeto por: ";
$strings["noti_removeprojectteam1"] = "Removido da equipe do projeto: ";
$strings["noti_removeprojectteam2"] = "Voc foi removido da equipe do projeto por: ";
$strings["noti_newpost1"] = "Nova postagem :";
$strings["noti_newpost2"] = "Uma nova mensagem foi postada ao seguinte debate :";
$strings["edit_noti_taskassignment"] = "Eu fui designado a uma nova tarefa.";
$strings["edit_noti_statustaskchange"] = "O status de uma de minhas tarefas mudou.";
$strings["edit_noti_prioritytaskchange"] = "A prioridade de uma de minhas tarefas mudou.";
$strings["edit_noti_duedatetaskchange"] = "A data final de uma de minhas tarefas mudou.";
$strings["edit_noti_addprojectteam"] = "Eu fui adicionado a uma equipe de projeto.";
$strings["edit_noti_removeprojectteam"] = "Eu fui removido de uma equipe de projeto.";
$strings["edit_noti_newpost"] = "Uma nova mensagem foi enviada a um debate.";
$strings["add_optional"] = "Adicionar um opcional";
$strings["assignment_comment_info"] = "Adicionar comentrios sobre a delegao desta tarefa";
$strings["my_notes"] = "Minhas Anotaes";
$strings["edit_settings"] = "Editar configuraes";
$strings["max_upload"] = "Tamanho mximo de arquivo";
$strings["project_folder_size"] = "Tamanho do diretrio do projeto";
$strings["calendar"] = "Calendrio";
$strings["date_start"] = "Data Inicial";
$strings["date_end"] = "Data Final";
$strings["time_start"] = "Hora Inicial";
$strings["time_end"] = "Hora Final";
$strings["calendar_reminder"] = "Lembrete";
$strings["shortname"] = "Abreviao";
$strings["calendar_recurring"] = "Evento repete toda semana neste dia";
$strings["edit_database"] = "Editar database";
$strings["noti_newtopic1"] = "Novo debate: ";
$strings["noti_newtopic2"] = "Um novo debate foi adicionado ao seguinte projeto: ";
$strings["edit_noti_newtopic"] = "Um novo tpico de debate foi criado.";
$strings["today"] = "Hoje";
$strings["previous"] = "Anterior";
$strings["next"] = "Prximo";
$strings["help"] = "Ajuda";
$strings["complete_date"] = "Complete date";
$strings["scope_creep"] = "Scope creep";
$strings["days"] = "Dias";
$strings["logo"] = "Logo";
$strings["remember_password"] = "Lembrar da senha";
$strings["client_add_task_note"] = "Lembrete: a tarefa includa est registrada na base de dados e aparece aqui, mas somente se delegada a um membro da equipe";
$strings["noti_clientaddtask1"] = "Tarefa adicionada pelo cliente :";
$strings["noti_clientaddtask2"] = "Nova tarefa aficionada pelo cliente a partir do site do seguinte projeto :";
$strings["phase"] = "Fase";
$strings["phases"] = "Fases";
$strings["phase_id"] = "ID da Fase";
$strings["current_phase"] = "Fase(s) ativa(s)";
$strings["total_tasks"] = "Total de tarefas";
$strings["uncomplete_tasks"] = "Tarefas incompletas";
$strings["no_current_phase"] = "Nenhuma fase ativa atualmente";
$strings["true"] = "Sim";
$strings["false"] = "No";
$strings["enable_phases"] = "Habilitar Fases";
$strings["phase_enabled"] = "Fase habilitada";
$strings["order"] = "Order";
$strings["options"] = "Opes";
$strings["support"] = "Suporte";
$strings["support_request"] = "Pedido de suporte";
$strings["support_requests"] = "Pedidos de suporte";
$strings["support_id"] = "ID do pedido";
$strings["my_support_request"] = "Meus pedidos de suporte";
$strings["introduction"] = "Introduo";
$strings["submit"] = "Enviar";
$strings["support_management"] = "Gerenciamento de Suporte";
$strings["date_open"] = "Data de abertura";

$strings["date_close"] = "Data de encerramento";
$strings["add_support_request"] = "Adicionar pedido de suporte";
$strings["add_support_response"] = "Adicionar resposta de suporte";
$strings["respond"] = "Responder";
$strings["delete_support_request"] = "Pedido de suporte excludo";
$strings["delete_request"] = "Excluir pedido de suporte";
$strings["delete_support_post"] = "Excluir envio de suporte";
$strings["new_requests"] = "Novos pedidos";
$strings["open_requests"] = "Pedidos abertos";
$strings["closed_requests"] = "Pedidos completos";
$strings["manage_new_requests"] = "Gerenciar novos pedidos";
$strings["manage_open_requests"] = "Gerenciar pedidos abertos";
$strings["manage_closed_requests"] = "Gerenciar pedidos completos";
$strings["responses"] = "Respostas";
$strings["edit_status"] = "Editar Status";
$strings["noti_support_request_new2"] = "Voc enviou um pedido de suporte a respeito de: ";
$strings["noti_support_post2"] = "Uma nova resposta foi adicionada ao seu pedido de suporte. Por favor, verifique os detalhes abaixo.";
$strings["noti_support_status2"] = "O seu pedido de suporte foi atualizado. Por favor, verifique os detalhes abaixo.";
$strings["noti_support_team_new2"] = "Um novo pedido de suporte foi adicionado ao projeto: ";
// 2.0
$strings["delete_subtasks"] = "Apagar subtarefas";
$strings["add_subtask"] = "Adicionar subtarefas";
$strings["edit_subtask"] = "Editar subtarefas";
$strings["subtask"] = "Subtarefa";
$strings["subtasks"] = "Subtarefas";
$strings["show_details"] = "Exibir detalhes";
$strings["updates_task"] = "Histrico de atualizao da tarefa";
$strings["updates_subtask"] = "Histrico de atualizao da subtarefa";
// 2.1
$strings["go_projects_site"] = "Ir para o site de projetos";
$strings["bookmark"] = "Favorido";
$strings["bookmarks"] = "Favoritos";
$strings["bookmark_category"] = "Categoria";
$strings["bookmark_category_new"] = "Nova categoria";
$strings["bookmarks_all"] = "Todo";
$strings["bookmarks_my"] = "Meus favoritos";
$strings["my"] = "Meu";
$strings["bookmarks_private"] = "Privado";
$strings["shared"] = "Compartilhado";
$strings["private"] = "Privado";
$strings["add_bookmark"] = "Adicionar favorito";
$strings["edit_bookmark"] = "Editar favorito";
$strings["delete_bookmarks"] = "Apagar favorito";
$strings["team_subtask_details"] = "Detalhes das subtarefas do time";
$strings["client_subtask_details"] = "Detalhes das subtarefas do cliente";
$strings["client_change_status_subtask"] = "Mude o seu estado abaixo quando tiver completado esta subtarefa";
$strings["disabled_permissions"] = "Conta desabilitada";
$strings["user_timezone"] = "Timezone (GMT)";
// 2.2
$strings["project_manager_administrator_permissions"] = "Administrador do NetOffice";
$strings["bug"] = "Rastreamento de erros";
// 2.3
$strings["report"] = "Relatorio";
$strings["license"] = "Licena";
// 2.4
$strings["settings_notwritable"] = "No  possvel escrever no arquivo Settings.php";
// 2.5
$strings['name_print'] = 'Nome impresso';
$strings['calculation'] = 'Clculo';
$strings['items'] = 'Itens';
$strings['position'] = 'Posio';
$strings['completed'] = 'Realizado';
$strings['service'] = 'Servio';
$strings['service_management'] = 'Gerenciamento de servio';
$strings['hourly_rate'] = 'Valor da hora';
$strings['add_service'] = 'Adicionar servio';
$strings['edit_service'] = 'Editar servio';
$strings['delete_services'] = 'Apagar servio';
$strings['worked_hours'] = 'Horas trabalhadas';
$strings["loghours"] = 'Registrar horas';
$strings["logtime"] = 'Registrar tempo';
$strings["loggedby"] = 'Registrado por';
$strings["error_required"] = ' requerido';
$strings["error_numerical"] = 'dever ser um valor numrico';
$strings["hours_updated"] = 'Horas trabalhadas atualizadas';
$strings['add_task_time'] = 'Adicionar tempo de tarefa';
$strings['edit_task_time'] = 'Editar tempo de tarefa';
$strings['delete_task_time'] = 'Apagar tempo de tarefa';
$strings['task_time'] = 'Tempo da tarefa';
// 2.5.1
$strings["email_users"] = "Enviar e-mail aos usurios";
$strings["email_following"] = "Encaminhar e-mail";
$strings["email_sent"] = "Seu e-mail foi enviado com sucesso.";
$strings['all'] = 'Todos';
$strings['custom_reports'] = 'Relatrios personalizados';
$strings['custom_report_intro'] = 'Escolha o relatrio personalizado abaixo baseado na descrio que melhor atende suas necessidades.';
$strings['completed_task_report'] = 'Tarefas realizadas';
$strings['completed_task_report_desc'] = 'Este relatrio apresenta a lista de tarefas realizadas durante o ms anterior.';
$strings['time_report'] = 'Relatrio de tempo';
$strings['time_report_desc'] = 'Este relatrio apresenta a lista de horas registradas pelos empregados para cada projeto no ms anterior e permite exportar estas informaes.';
$strings['overdue_tasks'] = 'Tarefas atrasadas';
$strings['overdue_tasks_desc'] = 'Este relatrio apresenta a lista de tarefas atrasadas em todos os projetos.';
$strings['project_snapshot'] = 'Viso geral dos projetos';
$strings['project_snapshot_desc'] = 'Este relatrio apresenta para o usurio atual uma viso geral dos relatrios dos quais ele  o responsvel e as tarefas associadas a este projeto.';
$strings['pending_tasks'] = 'Tarefas pendentes';
$strings['pending_tasks_desc'] = 'Este relatrio apresenta uma viso gerencial de todos os projetos e tarefas registradas.';
$strings['pm_report'] = 'Relatrio do Gerente de Projeto';
$strings['pm_report_desc'] = 'Este relatrio apresenta uma lista recursos alocados por projeto e os projetos sem recursos alocados.';
$strings['project_phasestatus'] = 'Estado das fases do projeto';
$strings['project_phasestatus_desc'] = 'Este relatrio apresenta uma viso geral de todas as atividades dos projetos e suas fases.';
$strings['resource_usage'] = 'Utilizao de recursos';
$strings['resource_usage_desc'] = 'Este relatrio sumariza o tempo total registrado por projeto e organizao.';
// 2.5.2
$strings['install_erase'] = 'Apague o diretrio \'installation\' e todo o seu contedo!!';
$strings['error_phpversion'] = 'A verso do PHP deve ser maior ou igual a 4.1.0 para executar o NetOffice!';
$strings['display_options'] = 'Exibir opes';
$strings['member_items'] = "Itens do membro";
$strings['project_totals'] = "Totais do projeto";
$strings['organization_totals'] = "Totais da organizao";
$strings['member_totals'] = "Totais do membro";
$strings['member_period_totals'] = "Totais do membro no perodo";
// 2.5.3
$strings['project_breakdown'] = "Diviso do projeto";
$strings['project_breakdown_desc'] = "Este relatrio apresenta uma lista dos projetos destancado os reponsveis, o estado do projeto e os parceiros.";
$strings['start_page'] = 'Pgina inicial';
$strings['task_id'] = 'ID da tarefa';

// dwins custom

$dayHourArray = array(
    0 => "0",
    1 => "8",
    2 => "8",
    3 => "8",
    4 => "8",
    5 => "8",
    6 => "0",
    7 => "0"
    );
$taskPredecessorTypes = array(
    "FS" => "Finalizar para Iniciar",
    "FF" => "Finalizar para Finalizar",
    "SF" => "Iniciar para Finalizar",
    "SS" => "Iniciar para Iniciar"
    );
$timestampArray = array(
    "00:00" => "00:00",
    "00:30" => "00:30",
    "01:00" => "01:00",
    "01:30" => "01:30",
    "02:00" => "02:00",
    "02:30" => "02:30",
    "03:00" => "03:00",
    "03:30" => "03:30",
    "04:00" => "04:00",
    "04:30" => "04:30",
    "05:00" => "05:00",
    "05:30" => "05:30",
    "06:00" => "06:00",
    "06:30" => "06:30",
    "07:00" => "07:00",
    "07:30" => "07:30",
    "08:00" => "08:00",
    "08:30" => "08:30",
    "09:00" => "09:00",
    "09:30" => "09:30",
    "10:00" => "10:00",
    "10:30" => "10:30",
    "11:00" => "11:00",
    "11:30" => "11:30",
    "12:00" => "12:00",
    "12:30" => "12:30",
    "13:00" => "13:00",
    "13:30" => "13:30",
    "14:00" => "14:00",
    "14:30" => "14:30",
    "15:00" => "15:00",
    "15:30" => "15:30",
    "16:00" => "16:00",
    "16:30" => "16:30",
    "17:00" => "17:00",
    "17:30" => "17:30",
    "18:00" => "18:00",
    "18:30" => "18:30",
    "19:00" => "19:00",
    "19:30" => "19:30",
    "20:00" => "20:00",
    "20:30" => "20:30",
    "21:00" => "21:00",
    "21:30" => "21:30",
    "22:00" => "22:00",
    "22:30" => "22:30",
    "23:00" => "23:00",
    "23:30" => "23:30"
    );
$reminderTimeArray = array(
    "0"     => "--",
    "5"     => "5 minutos",
    "15"    => "15 minutos",
    "30"    => "30 minutos",
    "60"    => "1 hora",
    "120"   => "2 horas",
    "180"   => "3 horas",
    "360"   => "6 horas",
    "720"   => "12 horas",
    "1440"  => "1 dia",
    "2880"  => "2 dias",
    "4320"  => "3 dias",
    "5760"  => "4 dias",
    "7200"  => "5 dias",
    "8640"  => "6 dias",
    "10080" => "1 semana",
    "11520" => "8 dias",
    "12960" => "9 dias",
    "14400" => "10 dias",
    "15840" => "11 dias",
    "17280" => "12 dias",
    "18720" => "13 dias",
    "20160" => "2 semanas"
    );
$resourceTypeArray = array(
    "members"    => "Pessoas"
    );
$personEvaluationTypeArray = array(
    0   => "Tarefa",
    1   => "Gerenciamento de projeto",
    2   => "Atendimento"
    );
$personEvaluationItemArraySets = array(
    // Define the names of person evaluation item sets
    'sets' => array(
        0    => "Documento - Plano de desenvolvimento de software",
        1    => "Documento - Especificao de sistema",
        2    => "Documento - Anlise de sistema",
        3    => "Documento - Projeto de sistema",
        4    => "Documento - Especificao do programa",
        5    => "Codificao",
        6    => "Teste de unidade",
        7    => "Documento - Manual do sistema",
        8    => "Documento - Plano de teste de integrao de software",
        9    => "Documento - Relatrio de teste de integrao de software",
        10   => "Teste de integrao de software",
        11   => "Documento - Instalao do sistema/Guia de utilizao",
        12   => "Documento - Plano de teste de integrao de sistema",
        13   => "Documento - elatrio de teste de integrao de sistema",
        14   => "Teste de integrao de sistema",
        15   => "Documento - Plano de distribuio do sistema",
        16   => "Distribuio do sistema",
        17   => "Rastreamento de erros",
        100  => "Documento - Material de ensino",
        101  => "Treinamento",
        102  => "Classe de atendimento",
        103  => "Estudo",
        104  => "Manuteno de sistema",
        1000 => "Gerenciamento de projeto",
        2000 => "Late For Operation Duty",
        2001 => "Late For Duty"
        ),
    // List the individual items within each person evaluation item set.
    // Document - Software Development Plan Set
    0 => array(0 => "300", 1 => "item"),
    // Document - System Specification Set
    1 => array(0 => "300", 1 => "item"),
    // Document - System Analysis Set
    2 => array(0 => "150", 1 => "dia"),
    // Document - System Design Set
    3 => array(0 => "150", 1 => "dia"),
    // Document - Program Specification Set
    4 => array(0 => "100", 1 => "dia"),
    // Coding Set
    5 => array(0 => "100", 1 => "dia"),
    // Unit Test Set
    6 => array(0 => "100", 1 => "dia"),
    // Document - System Manual Set
    7 => array(0 => "100", 1 => "dia"),
    // Document - Software Integration Test Plan Set
    8 => array(0 => "150", 1 => "dia"),
    // Document - Software Integration Test Report Set
    9 => array(0 => "150", 1 => "dia"),
    // Software Integration Test Set
    10 => array(0 => "150", 1 => "dia"),
    // Document - System Installation/Usage Guide Set
    11 => array(0 => "150", 1 => "dia"),
    // Document - System Integration Test Plan Set
    12 => array(0 => "150", 1 => "dia"),
    // Document - System Integration Test Report Set
    13 => array(0 => "150", 1 => "dia"),
    // System Integration Test Set
    14 => array(0 => "150", 1 => "dia"),
    // Document - System Deployment Plan Set
    15 => array(0 => "150", 1 => "dia"),
    // System Deployment Set
    16 => array(0 => "150", 1 => "dia"),
    // Bug Tracking Set
    17 => array(0 => "50", 1 => "dia"),
    // Document - Teaching Material Set
    100 => array(0 => "0", 1 => "item"),
    // Teaching Set
    101 => array(0 => "40", 1 => "hora"),
    // Attend Class Set
    102 => array(0 => "20", 1 => "hora"),
    // Self-Study Set
    103 => array(0 => "500", 1 => "qtr"),
    // System Maintenance Set
    104 => array(0 => "500", 1 => "qtr"),
    // Project Management Set
    1000 => array(0 => "1000", 1 => "item"),
    // Late For Operation Duty Set
    2000 => array(0 => "10", 1 => "min"),
    // Late For Duty Set
    2001 => array(0 => "10", 1 => "min")
    );
$personEvaluationUnitArray = array(
    "item" => "Item",
    "day"  => "Dia",
    "hour" => "Hora",
    "qtr"  => "Qtr",
    "min"  => "Min"
    );
$personEvaluationPhaseArray = array(
    // List the individual default person evaluation items within each phase set.
    'Concept'      => '0',
    'Planning'     => '2',
    'Development'  => '5',
    'Testing'      => '6',
    'Rollout'      => '16',
    'Maintenance'  => '104'
    );
$statusEvaluation = array(PE_SUBMITTED => "Sim", PE_OPEN => "No");
$milestoneis = array(MS_YES => 'Sim', MS_NO => 'No');
$statusTimesheet = array(
    TS_SUBMITTED => "Enviado", 
    TS_OPEN => "Aberto",
    TS_APPROVED => "Aprovado",
    TS_REJECTED => "Rejeitado"
    );
$workTypes = array(
    WT_PROJECT => 'Projetos', 
    WT_OTHERS => 'Outros', 
    WT_SALES => 'Vendas', 
    WT_LEAVE => 'Ausncia'
    );
$hourCodeArray = array(
    0     => "Document - Software Development Plan",
    1     => "Document - System Specification",
    2     => "Document - System Analysis",
    3     => "Document - System Design",
    4     => "Document - Program Specification",
    5     => "Coding",
    6     => "Unit Test",
    7     => "Document - System Manual",
    8     => "Document - Software Integration Test Plan",
    9     => "Document - Software Integration Test Report",
    10    => "Software Integration Test",
    11    => "Document - System Installation/Usage Guide",
    12    => "Document - System Integration Test Plan",
    13    => "Document - System Integration Test Report",
    14    => "System Integration Test",
    15    => "Document - System Deployment Plan",
    16    => "System Deployment",
    17    => "Bug Tracking",
    100   => "Document - Teaching Material",
    101   => "Teaching",
    102   => "Attend Class",
    103   => "Self Study",
    104   => "System Maintenance",
    105   => "Recruiting",
    106   => "Self Study",
    107   => "Vendor Product Presentation",
    108   => "Outside Seminar",
    109   => "Outside Training",
    110   => "Internal Seminar",
    111   => "Internal Training",
    112   => "Meeting",
    199   => "Misc.",
    10000 => "First Call",
    10001 => "Presale Call",
    10002 => "Requirement Discussion",
    10003 => "Proposal Preparation",
    10004 => "Quotation Preparation",
    10005 => "Contract Preparation",
    10006 => "Marketing Activity",
    10099 => "Misc.",
    10100 => "Annual Leave",
    10101 => "Sick Leave",
    10102 => "Leave Of Absence",
    10103 => "Bank Holiday",
    10104 => "Mourning Leave",
    10105 => "Honeymoon",
    10106 => "Maternity Leave"
    );
$dayType = array(
    DT_WEEKEND => 'Final de semana',
    DT_STATUTORY_HOLIDAY => 'Feriado estatutrio',
    DT_MAKEUP_HOLIDAY => 'Makeup holiday',
    DT_WORKDAY => 'Dia de trabalho'
    );

$billingFlag = array(
    BF_YES => 'Cobrvel',
    BF_NO => 'No cobrvel'
    );

$actionType = array(
    AT_TIMESHEET => 'Timesheet',
    AT_LEAVE => 'Ausncia'
    );

$strings['hours_logged'] = 'Horas registradas';
$strings['hours_logged_from'] = 'de';
$strings['hours_logged_to'] = 'para';
$strings['hours_total'] = 'Total';
$strings['ru_detail'] = 'Detalhe de utilizao de recursos';
$strings['ru_detail_from'] = 'de';
$strings['ru_detail_to'] = 'para';
$strings['ru_total_project'] = 'Total de horas do projeto';
$strings['ru_total_org'] = 'Total para a organizao';
$strings['ru_total_mem'] = 'Total para os membros';
$strings['ru_subtotal'] = 'Subtotal';
$strings['meetings'] = 'Reunies';
$strings['meeting'] = 'Reunio';
$strings['edit_meeting'] = 'Editar reunio';
$strings['copy_meeting'] = 'Copiar reunio';
$strings['add_meeting'] = 'Adicionar reunio';
$strings['delete_meetings'] = 'Apagar reunio';
$strings['me_agenda'] = 'Agenda';
$strings['me_location'] = 'Local';
$strings['me_minutes'] = 'Minutos';
$strings['me_chairman'] = 'Chairman';
$strings['me_recorder'] = 'Secretrio';
$strings['attendants'] = 'Convidados';
$strings['select_all_but_clients'] = 'Selecion todos menos os clientes';
$strings['start_time'] = 'Incio';
$strings['end_time'] = 'Fim';
$strings['meeting_id'] = 'ID da reunio';
$strings['updates_meeting'] = 'Histrico de atualizao da reunio';
$strings['add_meeting_time'] = 'Adicionar tempo de reunio';
$strings['edit_meeting_time'] = 'Editar tempo de reunio';
$strings['delete_meeting_time'] = 'Apagar tempo de reunio';
$strings['meeting_time'] = 'Tempo de reunio';
$strings['edit_noti_meetingassignment'] = 'Eu estou alocado para uma nova reunio.';
$strings['edit_noti_statusmeetingchange'] = 'O estado de uma das minhas reunies mudar.';
$strings['edit_noti_prioritymeetingchange'] = 'A prioridade de uma de minhas reunies mudar.';
$strings['edit_noti_locationmeetingchange'] = 'O local de uma de minhas reunies mudar.';
$strings['edit_noti_timemeetingchange'] = 'O dia/hora de uma de minhas reunies mudar.';
$strings['edit_noti_checklogtime'] = 'Avisar-me de registrar horas semanalmente.';
$strings['edit_noti_todolist'] = 'Exibir a lista de afazeres de hoje.';
$strings['edit_noti_timesheetapproved'] = 'Minha planilha de trabalho foi aprovada.';
$strings['edit_noti_timesheetrejected'] = 'Minha planilha de trabalho foi rejeitada.';
$strings['noti_meetingassignment1'] = 'Nova reunio:';
$strings['noti_meetingassignment2'] = 'Uma reunio foi alocada  voc:';
$strings['noti_prioritymeetingchange1'] = 'A prioridade da reunio mudou:';
$strings['noti_prioritymeetingchange2'] = 'A prioridade da reunio a seguir mudou:';
$strings['noti_statusmeetingchange1'] = 'O estado da reunio mudou:';
$strings['noti_statusmeetingchange2'] = 'O estado da reunio a seguir mudou:';
$strings['noti_locationmeetingchange1'] = 'O local da reunio mudou:';
$strings['noti_locationmeetingchange2'] = 'O local da reuinio a seguir mudou:';
$strings['noti_timemeetingchange1'] = 'O horrio da reunio mudou:';
$strings['noti_timemeetingchange2'] = 'O horrio da reunio a seguir mudou:';
$strings['noti_checklogtime1'] = 'Registro de tempo faltando:';
$strings['noti_checklogtime2'] = 'Os registros de tempo dos dias a seguir no registrados:';
$strings['noti_todolist1'] = 'Lista de afazeres:';
$strings['noti_todolist2'] = 'Esta  a lista de afazeres para hoje:';
$strings['noti_todolist3'] = 'Lista de atrasados:';
$strings['noti_todolist4'] = 'Lista de tarefas:';
$strings['noti_todolist5'] = 'Lista de reunies:';
$strings['noti_todolist6'] = 'Lista de lembretes:';
$strings['noti_todolist7'] = 'Esta  a lista de lembretes para hoje:';
$strings['noti_todolist8'] = 'Lista de lembretes:';
$strings['noti_orphan1'] = 'Lista de tarefas orfs:';
$strings['noti_orphan2'] = 'Esta  a lista de tarefas atribudas a usuriso invlidos, por favor re-aloque as tarefas:';
$strings['attendants_modification_succeeded'] = 'As modificaes dos atendentes foram realizadas com sucesso';
$strings['cal_personal'] = 'Pessoal';
$strings['fixed_duration'] = 'Durao fixa';
$strings['milestone'] = 'Marco';
$strings['interdependency_failed'] = 'Conflito de dependncia entre tarefas, a atualizao falhou';
$strings['hour'] = 'hora';
$strings['duration'] = 'Durao';
$strings['task_dependencies'] = 'Dependncias da tarefa';
$strings['lag'] = 'Atraso';
$strings['predecessor'] = 'Predecessor';
$strings['add_predecessor'] = 'Adicionar predecessor da tarefa';
$strings['edit_predecessor'] = 'Editar predecessor da tarefa';
$strings['delete_predecessors'] = 'Apagar predecessor da tarefa';
$strings['add_predecessor_success'] = 'A adio do predecessor a tarefa foi bem sucedida.';
$strings['delete_predecessor_success'] = 'O predecessor foi apagado com sucesso.';
$strings['no_possible_tasks'] = 'No existe tarefas possveis.';
$strings['lack_of_dates'] = 'Dia de incio e dia de entrega necessrios.';
$strings['ftok_error'] = 'Falhou, contate o administrador agora!!';
$strings['sem_get_error'] = 'Falhou, contate o administrador do sistema agora!!';
$strings['sem_acquire_error'] = 'Transao falhou, tente novamente mais tarde';
$strings['calendar_reminder_time1'] = 'Enviar um lembrete';
$strings['calendar_reminder_time2'] = 'antes e';
$strings['calendar_reminder_time3'] = 'antes do evento';
$strings["send_reminder1"] = "Lista de lembretes pessoais:";
$strings["send_reminder2"] = "Esta  a lista de lembretes pessoais:";
$strings["send_reminder3"] = "Lista de lembretes do projeto:";
$strings["send_reminder4"] = "Estes so os ";
$strings["send_reminder5"] = " lembretes do projeto:";
$strings["send_reminder6"] = "Lembrete de reunio:";
$strings['meeting_reminder'] = 'Lembrete';
$strings['meeting_reminder_time1'] = 'Enviar um lembrete';
$strings['meeting_reminder_time2'] = 'antes e';
$strings['meeting_reminder_time3'] = 'antes da reunio';
$strings['add_resource'] = 'Adicionar recurso a tarefa';
$strings['edit_resource'] = 'Editar recurso da tarefa';
$strings['delete_resources'] = 'Apagar recurso da tarefa';
$strings['no_available_resources'] = 'No existe recursos disponveis do tipo especificado.';
$strings['delete_resource_success'] = 'O recurso foi apagado com sucesso..';
$strings['supervisor'] = 'Supervisor';
$strings['agent'] = 'Agente';
$strings['person_evaluation'] = 'Avaliao';
$strings['person_evaluations'] = 'Avaliaes';
$strings['open_items'] = 'Aberto';
$strings['submitted_items'] = 'Enviado';
$strings['item'] = 'Item';
$strings['appraiser'] = 'Avaliador';
$strings['member'] = 'Membro';
$strings['standard'] = 'Padro';
$strings['value'] = 'Valor';
$strings['submitted'] = 'Enviado';
$strings['add_person_evaluation'] = 'Adicionar avaliao';
$strings['delete_person_evaluations'] = 'Apagar avaliao';
$strings['edit_person_evaluation'] = 'Editar avaliao';
$strings['copy_person_evaluation'] = 'Copiar avaliao';
$strings['add_submitted_items'] = 'Adicionar aos itens enviados';
$strings['remove_submitted_items'] = 'Remover dos itens enviados';
$strings['points'] = 'pontos';
$strings['no_partial_task_type'] = "Apagar avaliaes com tipo de tarefa no permitido.";
$strings['no_partial_submitted'] = "No  permitido apagar avaliaes enviadas.";
$strings['add_submitted_item_success'] = "O item foi adicionado com sucesso.";
$strings['remove_submitted_item_success'] = "O item foi removido com sucesso.";
$strings['appraiser_missing'] = "Adicionar/Remover um item sem especificar o avaliador no  permitido..";
$strings['person_performance_report'] = 'Relatio de performance';
$strings['person_performance_report_desc'] = 'Este relatrio apresenta uma lista com a performance dos empregados e permite exportar estas informaes..';
$strings['leave_report'] = 'Relatrio de ausncias';
$strings['leave_report_desc'] = 'Este relatrio apresenta uma lista com as ausncias dos empregados e permite expotar estas informaes..';
$strings['my_meetings'] = 'Minhas reunies';
$strings['dwins_link'] = 'Visite a pgina do projeto em Dwins.com';
$strings['noti_meetingminutes1'] = 'Minutas da reunio:';
$strings['noti_meetingminutes2'] = 'Esta so as minutas da reunio:';
$strings['indentation'] = 'Adicionar indentao';
$strings['unindentation'] = 'Remover indentao';
$strings['taskgroup'] = 'Grupo de tarefas';
$strings['add_taskgroup'] = 'Adicionar grupo de tarefas';
$strings['edit_taskgroup'] = 'Editar grupo de tarefas';
$strings['copy_taskgroup'] = 'Copiar grupo de tarefas';
$strings['task_indentation'] = 'Identar de tarefa';
$strings['task_unindentation'] = 'Desidentar de tarefa';
$strings['no_milestone_indentation'] = "No  possvel mover o marco";
$strings['no_leading_task_indentation'] = "No  possvel mover a primeira tarefa";
$strings['no_leading_subtask_indentation'] = "No  possvel mover a primeira subtarefa";
$strings['result_in_a_loop_indentation'] = 'No pode mover a tarefa, pois iria resultar em um loop.';
$strings['task_indent_success'] = 'A tarefa foi identada com sucesso.';
$strings['no_parent_task_unindentation'] = 'No pode mover a tarefa, pois ela no possui uma tarefa pai.';
$strings['task_unindent_success'] = 'A tarefa foi desidentada com sucesso.';
$strings['tasks_in_different_levels'] = 'No  possvel agrupar tarefas em diferentes nveis.';
$strings['tasks_belong_to_different_parent'] = 'No  possvel agrupar tarefas com pais diferentes.';
$strings['tasks_belong_to_different_phase'] = 'No  possvel agrupar tarefas em diferentes fases.';
$strings['no_milestone_belong_to_task_group'] = 'No  possvel agrupar marcos.';
$strings['delete_dependencies'] = 'Apagar dependncias de tarefa';
$strings['delete_dependencies_success'] = 'Todas as dependncias foram removidas com sucesso.';
$strings['delete_subtasks'] = 'As subtarefas das seguintes tarefas tambm sero apagadas';
$strings['meeting_details'] = 'Detalhes da reunio';
$strings['working_hours'] = 'Horas de trabalho';
$strings['timesheet'] = 'Planilha de trabalho';
$strings['hr_manager_permissions'] = 'Permisses de gerente de Recursos Humanos';
$strings['hourtype'] = 'Tipo de hora';
$strings['hourcode'] = 'Cdigo de hora';
$strings['billable'] = 'Cobrvel';
$strings['submit_timesheet'] = 'Enviar planilha de trabalho';
$strings['edit_work_hours'] = 'Editar horas de trabalho';
$strings['delete_work_hours'] = 'Apagar horas de trabalho';
$strings['month'] = 'Ms';
$strings['actual'] = 'Atual';
$strings['timesheet_report'] = 'Relatrio de planilha de trabalho';
$strings['timesheet_report_desc'] = 'Este relatrio apresenta uma lista de todas as horas registrads pelos empregados para projetos/vendas/ausncias/outros para o ms anterior e permite exportar estas informaes.';
$strings['actived'] = 'Menbros ativos';
$strings['last_month'] = 'ltimo msLast month';
$strings['between_months'] = 'Entres os meses';
$strings['delayed_list'] = 'Lista atrasada';
$strings['workcalendar'] = 'Calendrio de trabalho';
$strings['workcalendar_management'] = 'Gerenciamento do calendrio de trabalho';
$strings['this_year'] = 'Este ano';
$strings['previous_year'] = 'Ano anterior';
$strings['next_year'] = 'Prximo ano';
$strings['billing'] = 'Fatura';
$strings["timesheet_management"] = "Gerenciamento de planilha de trabalho";
$strings["edit_timesheet"] = "Editar planliha de trabalho";
$strings['approve_timesheet'] = 'Aprovar planilha de trabalho';
$strings['reject_timesheet'] = 'Rejeitar planilha de trabalho';
$strings['submit_timesheets_success'] = 'As planilhas de trabalho foram enviadas com sucesso.';
$strings['approve_timesheets_success'] = 'As planilhas foram aprovadas com sucesso.';
$strings['reject_timesheets_success'] = 'As planilhas foram rejeitadas com sucesso.';
$strings['submit_following'] = 'Eviar o seguinte?';
$strings['approve_following'] = 'Aprovar o seguinte?';
$strings['reject_following'] = 'Rejeitar o seguinte?';
$strings['theme'] = 'Tema';
$strings["noti_timesheetsubmit1"] = "Planilha de trabalho enviada:";
$strings["noti_timesheetsubmit2"] = "A seguinte planilha de trabalho foi enviada:";
$strings["noti_timesheetapproval1"] = "Planilha de trabalho aprovada:";
$strings["noti_timesheetapproval2"] = "A seguinte planilha de trabalho foi aprovada:";
$strings["noti_timesheetreject1"] = "Planilha de trabalho rejeitada:";
$strings["noti_timesheetreject2"] = "A seguinte planilha de trabalho foi rejeitada:";
$strings["layout"] = "Layout";
$strings['action_expired'] = 'A ao expirou';
$strings["more_approval"] = "Mais aprovao";
$strings["approval_history"] = "Histrico de aprovaes";
$strings["error_hours"] = 'deve ser menor ou igual a 24';
$strings['view_work_hours'] = 'Visualizar horas trabalhadas';
$strings['view_task_time'] = 'Visualizar tempo da tarefa';
$strings['view_meeting_time'] = 'Visualizar temo da reunio';
$strings['add_work_hours'] = 'Adicionar horas trabalhadas';
$strings['leave'] = 'Ausncia';
$strings['leaves'] = 'Ausncias';
$strings['leave_management'] = 'Gerenciamento de ausncia';
$strings['add_leave'] = 'Adicionar ausncia';
$strings['edit_leave'] = 'Editar ausncia';
$strings['delete_leaves'] = 'Apagar ausncia';
$strings['year'] = 'Ano';
$strings['leave_request'] = 'Pedido de ausncia';
$strings['leave_request_id'] = 'ID do pedido de ausncia';
$strings['leave_requests'] = 'Pedidos de ausncia';
$strings['add_leave_request'] = 'Adicionar pedido de ausncia';
$strings['edit_leave_request'] = 'Editar pedido de ausncia';
$strings['delete_leave_request'] = 'Apagar pedido de ausncia';
$strings['noti_leaverequest1'] = 'Pedido de ausncia:';
$strings['noti_leaverequest2'] = 'O seguinte pedido de ausncia foi enviado:';
$strings['noti_leavechanged1'] = 'Pedido de ausncia alterado:';
$strings['noti_leavechanged2'] = 'O seguinte pedido de ausncia foi alterado:';
$strings['noti_leavewithdraw1'] = 'Pedido de ausncia retirado:';
$strings['noti_leavewithdraw2'] = 'O seguinte pedido de ausncia foi retirado:';
$strings['noti_leaveapproval1'] = 'Pedido de ausncia aprovado:';
$strings['noti_leaveapproval2'] = 'O seguinte pedido de ausncia foi aprovado:';
$strings['noti_leavereject1'] = 'Pedido de ausncia rejeitado:';
$strings['noti_leavereject2'] = 'O seguinte pedido de ausncia foi rejeitado:';
$strings['approve_leaverequest'] = 'Aprovar pedido de ausncia';
$strings['reject_leaverequest'] = 'Rejeitar pedido de ausncia';
$strings['approve_leaverequest_success'] = 'O pedido de ausncia foi aprovado com sucesso.';
$strings['reject_leaverequest_success'] = 'O pedido de ausncia foi rejeitado com sucesso.';
$strings['proposer'] = 'Proponente';
$strings['edit_noti_leaveapproved'] = 'Meu pedido de ausncia foi aprovado.';
$strings['edit_noti_leaverejected'] = 'Meu pedido de ausncia foi rejeitado.';
$strings['hours_left'] = 'Horas restantes';
$strings['action_missing'] = 'Esta notificao esta vencida !';
$strings['overtime'] = 'Prorrogao';
$strings['work_hours'] = 'Horas de trabalho';
$strings['timeticket_management'] = 'Gerenciamento de timeticket';
$strings['add_timeticket'] = 'Adicionar timeticket';
$strings['edit_timeticket'] = 'Editar timeticket';
$strings['delete_timetickets'] = 'Apagar timetickets';
$strings['timeticket'] = 'TimeTicket';
$strings['recalculate'] = 'Recalcular';
$strings['meeting_owner'] = 'Voc no tem permisses para alterar esta reunio.';
$strings['timeticket_in_use'] = 'Este timeticket est em uso.';
$strings['here'] = 'Aqui';
$strings['assigned_to_above'] = 'atribudo aos usurios abaixo.';
$strings['actions'] = 'Aes';
$strings['need_to_approve'] = ' necessrio que os usuriso abaixo aprovem.';


?>
