<?php // $Revision: 1.1.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: lang_pt.php,v 1.1.2.1 2007/07/04 09:23:26 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// translator(s): Nuno Henriques <nunoachenriques@gmail.com>
// (2007-06-26: recoded to UTF-8 (Carlos Figueiredo initial translation contribution) and updated with lang_en.php 1.49)
$topicNote = array(1 => 'Conversação telefónica',
		   2 => 'Notas de conferência',
		   3 => 'Notas gerais'
		   );

$phaseArraySets = array(
    // Define the names of your phase sets
    'sets' => array(1 => 'Portal', 2 => 'Aplicação', 3 => 'Sistema de informação'), 
    // List the individual items within each phase set.
    // Portal
    1 => array(0 => 'Concepção', 1 => 'Planeamento', 2 => 'Desenvolvimento',
        3 => 'Teste', 4 => 'Produção', 5 => 'Manutenção'),
    // Aplicação
    2 => array(0 => 'Concepção', 1 => 'Planeamento', 2 => 'Desenvolvimento',
        3 => 'Teste', 4 => 'Produção', 5 => 'Manutenção'),
    // Sistema de informação
    3 => array(0 => 'Concepção', 1 => 'Planeamento', 2 => 'Desenvolvimento',
        3 => 'Teste', 4 => 'Produção', 5 => 'Manutenção')
    );

$autoLogoutOptions = array(
    0 => 'Desactivado',
    300 => '5 minutos',
    600 => '10 minutos',
    900 => '15 minutos',
    1800 => '30 minutos',
    2700 => '45 minutos',
    3600 => '60 minutos'
    );

$startPageOptions = array(
    'general/home.php' => 'Entrada',
    'calendar/viewcalendar.php' => 'Calendário',
    'bookmarks/listbookmarks.php?view=my' => 'Referências pessoais',
    'reports/createreport.php?typeReports=custom' => 'Relatórios',
    'timesheet/viewtimesheet.php' => 'Folha de horas'
    );

$setCharset = "UTF-8";

$byteUnits = array('Bytes', 'KB', 'MB', 'GB');

$dayNameArray = array(0 => 'Domingo', 1 => "Segunda", 2 => "Terça", 3 => "Quarta", 4 => "Quinta", 5 => "Sexta", 6 => "Sábado", 7 => "Domingo");

$dayShortNameArray = array(0 => 'Dom', 1 => "2ª", 2 => "3ª", 3 => "4ª", 4 => "5ª", 5 => "6ª", 6 => "Sáb", 7 => "Dom");

$monthNameArray = array(1 => "Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro");

$status = array(
    ST_CLIENT_COMPLETED => 'Completo no cliente',
    ST_COMPLETED => 'Completo',
    ST_NOT_STARTED => 'Não iniciado',
    ST_OPEN => 'Aberto',
    ST_SUSPENDED => 'Suspenso'
    );

$profil = array(
    PF_ADMINISTRATOR => 'Administrador',
    PF_PROJECT_MANAGER => 'Gestor de Projecto',
    PF_USER => 'Membro',
    PF_CLIENT_USER => 'Cliente membro',
    PF_DISABLED => 'Desactivado',
    PF_PROJECT_MANAGER_ADMINISTRATOR => 'Gestor de Projecto Administrator',
    PF_HR_MANAGER => 'Gestor de Recursos Humanos'
    );

$priority = array(
    PR_NONE => 'Nenhuma',
    PR_VERY_LOW => 'Muito baixa',
    PR_LOW => 'Baixa',
    PR_MEDIUM => 'Média',
    PR_HIGH => 'Alta',
    PR_VERY_HIGH => 'Crítica'
    );

$statusTopic = array(0 => "Fechado", 1 => "Aberto");
$statusTopicBis = array(0 => "Sim", 1 => "Não");

$statusPublish = array(PB_YES => "Sim", PB_NO => "Não");

$statusFile = array(
    FS_APPROVED => 'Aprovado',
    FS_APPROVED_WITH_CHANGES => 'Aprovado com alterações',
    FS_NEEDS_APPROVAL => 'Necessita aprovação',
    FS_NO_APPROVALS_NEEDED => 'Não necessita aprovação',
    FS_NOT_APPROVED => 'Não aprovado'
    );

$phaseStatus = array(
    PS_NOT_STARTED => 'Não iniciado',
    PS_OPEN => 'Aberto',
    PS_COMPLETE => 'Completo',
    PS_SUSPENDED => 'Suspenso'
    );

$requestStatus = array(RQ_NEW => 'Novo', RQ_OPEN => 'Aberto', RQ_COMPLETE => 'Completo');

$projectType = array(
    PT_INTERNAL_PROJECT => 'Projecto interno',
    PT_EXTERNAL_PROJECT => 'Projecto externo',
    2 => 'Investigação',
    3 => 'Administração',
    4 => 'Treino'
    );

$strings["please_login"] = "Por favor identifique-se";
$strings["requirements"] = "Requisitos do sistema";
$strings["login"] = "Entrar";
$strings["no_items"] = "Não há itens para mostrar";
$strings["logout"] = "Sair";
$strings["preferences"] = "Preferências";
$strings["my_tasks"] = "Minhas Tarefas";
$strings["edit_task"] = "Editar Tarefas";
$strings["copy_task"] = "Copiar Tarefas";
$strings["add_task"] = "Adicionar Tarefas";
$strings["delete_tasks"] = "Apagar Tarefas";
$strings["assignment_history"] = "Histórico de Delegações";
$strings["assigned_on"] = "Delegado Em";
$strings["assigned_by"] = "Delegado Por";
$strings["to"] = "Para";
$strings["comment"] = "Comentar";
$strings["task_assigned"] = "Tarefa delegada a ";
$strings["task_unassigned"] = "Tarefa não delegada";
$strings["edit_multiple_tasks"] = "Editar Várias Tarefas";
$strings["tasks_selected"] = "tarefas seleccionadas. Escolher novos valores para estas tarefas, ou seleccionar [Sem Alterações] para reter valores actuais.";
$strings["assignment_comment"] = "Comentário da delegação";
$strings["no_change"] = "[Sem Alterações]";
$strings["my_discussions"] = "Minhas Discussões";
$strings["discussions"] = "Discussões";
$strings["delete_discussions"] = "Apagar Discussões";
$strings["delete_discussions_note"] = "Nota: Discussões não podem ser reabertas uma vez apagadas.";
$strings["topic"] = "Tópico";
$strings["posts"] = "correio";
$strings["latest_post"] = "último Correio";
$strings["my_reports"] = "Meus Relatórios";
$strings["reports"] = "Relatórios";
$strings["create_report"] = "Criar Relatório";
$strings["report_intro"] = "Seleccione os par&acirc;metros da sua tarefa aqui e guarde a pesquisa na página de resultados depois de executar o seu relatório.";
$strings["admin_intro"] = "Configuração e par&acirc;metros do Projecto.";
$strings["copy_of"] = "Copia de ";
$strings["add"] = "Adicionar";
$strings["delete"] = "Apagar";
$strings["remove"] = "Remover";
$strings["copy"] = "Copiar";
$strings["view"] = "Ver";
$strings["edit"] = "Editar";
$strings["update"] = "Actualizar";
$strings["details"] = "Detalhes";
$strings["none"] = "Nenhuma";
$strings["close"] = "Fechar";
$strings["new"] = "Nova";
$strings["select_all"] = "Seleccionar Todos";
$strings["unassigned"] = "Não Delegada";
$strings["administrator"] = "Administrador";
$strings["my_projects"] = "Meus Projectos";
$strings["project"] = "Projecto";
$strings["active"] = "Activo";
$strings["inactive"] = "Inactivo";
$strings["project_id"] = "ID Projecto";
$strings["edit_project"] = "Editar Projecto";
$strings["copy_project"] = "Copiar Projecto";
$strings["add_project"] = "Adicionar Projecto";
$strings["clients"] = "Clientes";
$strings["organization"] = "Cliente";
$strings["client_projects"] = "Projectos do Cliente";
$strings["client_users"] = "Membros do Cliente";
$strings["edit_organization"] = "Editar Cliente";
$strings["add_organization"] = "Adicionar Cliente";
$strings["organizations"] = "Clientes";
$strings["info"] = "Info";
$strings["status"] = "Estado";
$strings["owner"] = "Dono";
$strings["home"] = "Início";
$strings["projects"] = "Projectos";
$strings["files"] = "Ficheiros";
$strings["search"] = "Pesquisar";
$strings["admin"] = "Admin";
$strings["user"] = "Membro";
$strings["project_manager"] = "Gestor do projecto";
$strings["due"] = "Finalizado";
$strings["task"] = "Tarefa";
$strings["tasks"] = "Tarefas";
$strings["team"] = "Equipa";
$strings["add_team"] = "Adicionar membros de equipa";
$strings["team_members"] = "Membros de equipa";
$strings["full_name"] = "Nome completo";
$strings["title"] = "Título";
$strings["user_name"] = "Identificador";
$strings["work_phone"] = "Telefone do trabalho";
$strings["priority"] = "Prioridade";
$strings["name"] = "Nome";
$strings["id"] = "ID";
$strings["description"] = "Descrição";
$strings["phone"] = "Telefone";
$strings["url"] = "URL";
$strings["address"] = "Morada";
$strings["comments"] = "Comentários";
$strings["created"] = "Criado";
$strings["assigned"] = "Delegado";
$strings["modified"] = "Modificado";
$strings["assigned_to"] = "Delegado a";
$strings["due_date"] = "Data de Finalização";
$strings["estimated_time"] = "Tempo Estimado";
$strings["actual_time"] = "Tempo Actual";
$strings["delete_following"] = "Apagar o seguinte?";
$strings["cancel"] = "Cancelar";
$strings["and"] = "e";
$strings["administration"] = "Administração";
$strings["user_management"] = "Gestão de pessoas";
$strings["system_information"] = "Informação do sistema";
$strings["product_information"] = "Informação do produto";
$strings["system_properties"] = "Propriedades Sistema";
$strings["create"] = "Criar";
$strings["report_save"] = "Guarde este relatório pesquisa para o poder voltar a utilizar.";
$strings["report_name"] = "Nome Relatório";
$strings["save"] = "Guardar";
$strings["matches"] = "Iguais";
$strings["match"] = "Igual";
$strings["report_results"] = "Resultados Relatório";
$strings["success"] = "Sucesso";
$strings["addition_succeeded"] = "Adicionado com sucesso";
$strings["deletion_succeeded"] = "Apagado com sucesso";
$strings["report_created"] = "Criado relatório";
$strings["deleted_reports"] = "Relatórios Apagados";
$strings["modification_succeeded"] = "Modificações feitas";
$strings["errors"] = "Erros encontrados!";
$strings["blank_user"] = "O identificador não pôde ser encontrado.";
$strings["blank_organization"] = "O cliente não pôde ser localizado.";
$strings["blank_project"] = "O projecto não pôde ser localizado.";
$strings["user_profile"] = "Perfil Membro";
$strings["change_password"] = "Mudar Senha";
$strings["change_password_user"] = "Mudar a senha do membro.";
$strings["old_password_error"] = "A senha antiga que introduziu está incorrecta. Por favor reintroduza a senha antiga.";
$strings["new_password_error"] = "As duas senhas que introduziu não são iguais. Por favor reintroduza a sua nova senha.";
$strings["notifications"] = "Notificações";
$strings["change_password_intro"] = "Introduza a sua antiga senha e depois introduza e confirme a sua nova senha.";
$strings["old_password"] = "Antiga senha";
$strings["password"] = "Senha";
$strings["new_password"] = "Nova senha";
$strings["confirm_password"] = "Confirme senha";
$strings["email"] = "eMail";
$strings["home_phone"] = "Telefone de casa";
$strings["mobile_phone"] = "Telemóvel";
$strings["fax"] = "Fax";
$strings["permissions"] = "Permissões";
$strings["administrator_permissions"] = "Permissões de Administrador";
$strings["project_manager_permissions"] = "Permissões de Gestor de Projecto";
$strings["user_permissions"] = "Permissões de Membro";
$strings["account_created"] = "Conta Criada";
$strings["edit_user"] = "Editar Membro";
$strings["edit_user_details"] = "Editar os detalhes do membro.";
$strings["change_user_password"] = "Mudar a senha do membro.";
$strings["select_permissions"] = "Seleccionar permissões para este membro";
$strings["add_user"] = "Adicionar Membro";
$strings["enter_user_details"] = "Introduzir detalhes para a conta do membro que está a criar.";
$strings["enter_password"] = "Introduza a senha do membro.";
$strings["success_logout"] = "Saiu com sucesso. Pode voltar a entrar introduzindo o identificador e a senha em baixo.";
$strings["invalid_login"] = "O identificador e/ou senha que introduziu são inválidos. Por favor reintroduza os seus dados de registo.";
$strings["profile"] = "Perfil";
$strings["user_details"] = "Detalhes da conta do membro.";
$strings["edit_user_account"] = "Edite a informação da sua conta.";
$strings["no_permissions"] = "Não tem permissões suficientes para realizar esta operação.";
$strings["discussion"] = "Discussão";
$strings["retired"] = "Reformado";
$strings["last_post"] = "última mensagem";
$strings["post_reply"] = "Resposta à mensagem";
$strings["posted_by"] = "Mensagem enviada por";
$strings["when"] = "Quando";
$strings["post_to_discussion"] = "Mensagem para discussão";
$strings["message"] = "Mensagem";
$strings["delete_reports"] = "Apagar relatórios";
$strings["delete_projects"] = "Apagar projectos";
$strings["delete_organizations"] = "Apagar clientes";
$strings["delete_organizations_note"] = "Nota: Isto vai apagar todos os membros de clientes para estes clientes, e disassociar todos os projectos abertos para os mesmos clientes.";
$strings["delete_messages"] = "Apagar mensagens";
$strings["attention"] = "Atenção";
$strings["delete_teamownermix"] = "Removido com sucesso, mas o dono do projecto não pode ser removido da equipa do projecto.";
$strings["delete_teamowner"] = "Você não pode remover o dono do projecto de equipa do project.";
$strings["enter_keywords"] = "Introduza as palavras-chave";
$strings["search_options"] = "Palavras-chave e opções de pesquisa";
$strings["search_note"] = "Introduza a informação no campo de Pesquisa por.";
$strings["search_results"] = "Resultados da pesquisa";
$strings["users"] = "Membros";
$strings["search_for"] = "Pesquisa por";
$strings["results_for_keywords"] = "Resultados de Pesquisa por Palavras-Chave";
$strings["add_discussion"] = "Adicionar Discussão";
$strings["delete_users"] = "Apagar Conta de membro";
$strings["reassignment_user"] = "Redelegação de Projecto e Tarefas";
$strings["there"] = "Existem";
$strings["owned_by"] = "Pertencem aos membros acima.";
$strings["reassign_to"] = "Antes de apagar membros, redelegar estas a";
$strings["no_files"] = "Sem ficheiros ligados";
$strings["published"] = "Publicado";
$strings["project_site"] = "Sítio do projecto";
$strings["approval_tracking"] = "Histórico de aprovações";
$strings["size"] = "Tamanho";
$strings["add_project_site"] = "Adicionar ao sítio do projecto";
$strings["remove_project_site"] = "Remover do sítio do projecto";
$strings["more_search"] = "Mais opções de pesquisa";
$strings["results_with"] = "Pesquisar resultados com";
$strings["search_topics"] = "Tópicos de pesquisa";
$strings["search_properties"] = "Propriedades de pesquisa";
$strings["date_restrictions"] = "Restrições de datas";
$strings["case_sensitive"] = "Distingue maiúsculas/minúsculas";
$strings["yes"] = "Sim";
$strings["no"] = "Não";
$strings["sort_by"] = "Organizar por";
$strings["type"] = "Tipo";
$strings["date"] = "Data";
$strings["all_words"] = "todas as palavras";
$strings["any_words"] = "qualquer das palavras";
$strings["exact_match"] = "exactamente igual";
$strings["all_dates"] = "Todas as datas";
$strings["between_dates"] = "Entre as datas";
$strings["all_content"] = "Todo o conteúdo";
$strings["all_properties"] = "Todas as propriedades";
$strings["no_results_search"] = "A procura não devolveu resultados.";
$strings["no_results_report"] = "O relatório não devolveu resultados.";
$strings["schema_date"] = "AAAA/MM/DD";
$strings["hours"] = "horas";
$strings["choice"] = "Escolha";
$strings["missing_file"] = "Ficheiro em falta!";
$strings["project_site_deleted"] = "O sítio do projecto foi apagado com sucesso.";
$strings["add_user_project_site"] = "O membro recebeu autorização para aceder ao sítio do projecto.";
$strings["remove_user_project_site"] = "As permissões de membro foram removidas.";
$strings["add_project_site_success"] = "A colocação do sítio do projecto foi feita.";
$strings["remove_project_site_success"] = "A remoção do sítio do projecto foi feita.";
$strings["add_file_success"] = "Ligado um item de conteúdo.";
$strings["delete_file_success"] = "Ficheiro removido com sucesso.";
$strings["update_comment_file"] = "O comentário ao ficheiro foi actualizado com sucesso.";
$strings["session_false"] = "Erro na Sessão";
$strings["logs"] = "Logs";
$strings["logout_time"] = "Auto log out";
$strings["noti_foot1"] = "Notificação gerada por PhpCollab.";
$strings["noti_foot2"] = "Para visualizar a sua página no PhpCollab, visite:";
$strings["noti_taskassignment1"] = "Nova tarefa:";
$strings["noti_taskassignment2"] = "Uma tarefa foi-lhe atribuida:";
$strings["noti_moreinfo"] = "Para mais informação, visite:";
$strings["noti_prioritytaskchange1"] = "Modificada a prioridade da tarefa:";
$strings["noti_prioritytaskchange2"] = "A prioridade da seguinte tarefa foi modificada:";
$strings["noti_statustaskchange1"] = "Modificado o estado da tarefa:";
$strings["noti_statustaskchange2"] = "O estado da seguinte tarefa foi modificado:";
$strings["login_username"] = "Identificador necessário.";
$strings["login_password"] = "Senha necessária.";
$strings["login_clientuser"] = "O seu perfil de cliente não permite aceder ao PhpCollab.";
$strings["user_already_exists"] = "Já existe um utente com este nome. Por favor, escolha um diferente.";
$strings["noti_duedatetaskchange1"] = "Modificada a data de fim da tarefa:";
$strings["noti_duedatetaskchange2"] = "A data de fim da seguinte tarefa foi modificada:";
$strings["company"] = "Organização";
$strings["show_all"] = "Mostrar tudo";
$strings["information"] = "Informação";
$strings["delete_message"] = "Apagar mensagem";
$strings["project_team"] = "Equipa de projecto";
$strings["document_list"] = "Lista de documentos";
$strings["bulletin_board"] = "Fórum de discussão";
$strings["bulletin_board_topic"] = "Tópico de fórum de discussão";
$strings["create_topic"] = "Criar novo tópico";
$strings["topic_form"] = "Formulário para tópico";
$strings["enter_message"] = "Escrever a mensagem";
$strings["upload_file"] = "Enviar ficheiro";
$strings["upload_form"] = "Enviar formulário";
$strings["upload"] = "Enviar";
$strings["document"] = "Documento";
$strings["approval_comments"] = "Aprovar comentários";
$strings["client_tasks"] = "Tarefas do cliente";
$strings["team_tasks"] = "Tarefas da equipa";
$strings["team_member_details"] = "Detalhes de membro da equipa de projecto";
$strings["client_task_details"] = "Detalhes das tarefas do cliente";
$strings["team_task_details"] = "Detalhes das tarefas da equipa";
$strings["language"] = "Língua";
$strings["welcome"] = "Bem-vindo";
$strings["your_projectsite"] = "ao teu sítio de projecto";
$strings["contact_projectsite"] = "Questões sobre a informação encontrada aqui: contactar o coordenador do projecto";
$strings["company_details"] = "Detalhes da organização";
$strings["database"] = "Salvaguarda e reposição da base de dados";
$strings["company_info"] = "Editar as informações da organização";
$strings["create_projectsite"] = "Criar sítio do projecto";
$strings["projectsite_url"] = "URL do sítio do projecto";
$strings["design_template"] = "Modelo de design";
$strings["preview_design_template"] = "Antever o modelo do design";
$strings["delete_projectsite"] = "Remover o sítio do projecto";
$strings["add_file"] = "Adicionar ficheiro";
$strings["linked_content"] = "Ligar conteúdo";
$strings["edit_file"] = "Editar detalhes do ficheiro";
$strings["permitted_client"] = "Utentes clientes permitidos";
$strings["grant_client"] = "Atribuir permissão para ver o sítio do projecto";
$strings["add_client_user"] = "Adicionar utente cliente";
$strings["edit_client_user"] = "Editar utente cliente";
$strings["client_user"] = "Utente cliente";
$strings["client_change_status"] = "Modificar o estado abaixo quando a tarefa estiver completada";
$strings["project_status"] = "Estado do projecto";
$strings["view_projectsite"] = "Ver o sítio do projecto";
$strings["enter_login"] = "Escreva o seu identificador para receber uma nova senha";
$strings["send"] = "Enviar";
$strings["no_login"] = "Identificador não encontrado";
$strings["email_pwd"] = "Senha enviada";
$strings["no_email"] = "Utente sem eMail";
$strings["forgot_pwd"] = "Esqueceu-se da senha?";
$strings["project_owner"] = "Modificações permitidas apenas nos projectos próprios.";
$strings["connected"] = "Ligado";
$strings["session"] = "Sessão";
$strings["last_visit"] = "Última visita";
$strings["compteur"] = "Contador";
$strings["ip"] = "IP";
$strings["task_owner"] = "Não é um membro da equipa neste projecto";
$strings["export"] = "Exportar";
$strings["browse_cvs"] = "Navegar no CVS";
$strings["repository"] = "Repositório CVS";
$strings["reassignment_clientuser"] = "Tarefa re-atribuída";
$strings["organization_already_exists"] = "Nome em uso. É necessário escolher outro.";
$strings["blank_organization_field"] = "É necessário escrever o nome da organização.";
$strings["blank_fields"] = "campos obrigatórios";
$strings["projectsite_login_fails"] = "Não é possível confirmar a combinação identificador e senha.";
$strings["start_date"] = "Data de princípio";
$strings["completion"] = "Feito";
$strings["update_available"] = "Actualização disponível!";
$strings["version_current"] = "Versão actual";
$strings["version_latest"] = "A última versão é";
$strings["sourceforge_link"] = "Projecto em Sourceforge";
$strings["demo_mode"] = "Demonstração. Acção não permitida.";
$strings["setup_erase"] = "Apagar o ficheiro setup.php!!";
$strings["no_file"] = "Nenhum ficheiro seleccionado";
$strings["exceed_size"] = "Excede o tamanho máximo para ficheiro";
$strings["no_php"] = "Ficheiro PHP não permitido";
$strings["approval_date"] = "Data de aprovação";
$strings["approver"] = "Aprovador";
$strings["error_database"] = "Não há ligação à base de dados";
$strings["error_server"] = "Não há ligação ao servidor";
$strings["version_control"] = "Controlo de versão";
$strings["vc_status"] = "Estado";
$strings["vc_last_in"] = "Data da última modificação";
$strings["ifa_comments"] = "Comentários da aprovação";
$strings["ifa_command"] = "Modificar o estado da aprovação";
$strings["vc_version"] = "Versão";
$strings["ifc_revisions"] = "Revisão pelos pares";
$strings["ifc_revision_of"] = "Revisão da versão";
$strings["ifc_add_revision"] = "Adicionar a revisão de um par";
$strings["ifc_update_file"] = "Actualizar o ficheiro";
$strings["ifc_last_date"] = "Data da última modificação";
$strings["ifc_version_history"] = "Histórico das versões";
$strings["ifc_delete_file"] = "Remover ficheiro e todas as versões e revisões";
$strings["ifc_delete_version"] = "Remover a versão seleccionada";
$strings["ifc_delete_review"] = "Remover a revisão seleccionada";
$strings["ifc_no_revisions"] = "Não existem revisões deste documento";
$strings["unlink_files"] = "Remover ligação dos ficheiros";
$strings["remove_team"] = "Remover membros da equipa";
$strings["remove_team_info"] = "Remover estes membros da equipa de projecto?";
$strings["remove_team_client"] = "Remover permissão para ver o sítio do projecto";
$strings["note"] = "Nota";
$strings["notes"] = "Notas";
$strings["subject"] = "Assunto";
$strings["delete_note"] = "Remover notas";
$strings["add_note"] = "Adicionar nota";
$strings["edit_note"] = "Editar nota";
$strings["version_increm"] = "Seleccionar a nova versão a aplicar:";
$strings["url_dev"] = "URL do sítio de desenvolvimento";
$strings["url_prod"] = "URL do sítio";
$strings["note_owner"] = "Modificações apenas nas próprias notas.";
$strings["alpha_only"] = "Identificador só aceita letras e números";
$strings["edit_notifications"] = "Editar notificações de eMail";
$strings["edit_notifications_info"] = "Seleccionar eventos para os quais deseja receber uma notificação por eMail.";
$strings["select_deselect"] = "Marcar/Desmarcar todos";
$strings["noti_addprojectteam1"] = "Adicionado à equipa de projecto:";
$strings["noti_addprojectteam2"] = "Foi adicionado à equipa de projecto para:";
$strings["noti_removeprojectteam1"] = "Removido da equipa de projecto:";
$strings["noti_removeprojectteam2"] = "Foi removido da equipa de projecto para:";
$strings["noti_newpost1"] = "Nova mensagem:";
$strings["noti_newpost2"] = "Mensagem adicionada à seguinte discussão:";
$strings["edit_noti_taskassignment"] = "Tenho uma nova tarefa atribuida.";
$strings["edit_noti_statustaskchange"] = "O estado de uma das minhas tarefas modificou-se.";
$strings["edit_noti_prioritytaskchange"] = "A prioridade de uma das minhas tarefas modificou-se.";
$strings["edit_noti_duedatetaskchange"] = "A data de fim de uma das minhas tarefas modificou-se.";
$strings["edit_noti_addprojectteam"] = "Fui adicionado a uma equipa de projecto.";
$strings["edit_noti_removeprojectteam"] = "Fui removido de uma equipa de projecto.";
$strings["edit_noti_newpost"] = "Nova mensagem enviada para uma discussão.";
$strings["add_optional"] = "Adicionar opcional";
$strings["assignment_comment_info"] = "Adicionar comentário sobre a atribuição desta tarefa";
$strings["my_notes"] = "Minhas Notas";
$strings["edit_settings"] = "Editar configurações";
$strings["max_upload"] = "Tamanho máximo de ficheiro";
$strings["project_folder_size"] = "Tamanho da pasta de projecto";
$strings["calendar"] = "Calendário";
$strings["date_start"] = "Data de princípio";
$strings["date_end"] = "Data de fim";
$strings["time_start"] = "Momento de princípio";
$strings["time_end"] = "Momento de fim";
$strings["calendar_reminder"] = "Lembrete";
$strings["shortname"] = "Nome curto";
$strings["calendar_recurring"] = "Evento ocorre semanalmente neste dia";
$strings["edit_database"] = "Editar base de dados";
$strings["noti_newtopic1"] = "Nova discussão:";
$strings["noti_newtopic2"] = "Nova discussão adicionada ao seguinte projecto:";
$strings["edit_noti_newtopic"] = "Foi criado um novo tópico para discussão.";
$strings["today"] = "Hoje";
$strings["previous"] = "Anterior";
$strings["next"] = "Próximo";
$strings["help"] = "Ajuda";
$strings["complete_date"] = "Data completa";
$strings["scope_creep"] = "Desvios ao âmbito";
$strings["days"] = "Dias";
$strings["logo"] = "Logo";
$strings["remember_password"] = "Recordar senha";
$strings["client_add_task_note"] = "Nota: a tarefa está registada na base de dados, aparece aqui apenas se foi adicionada a um membro da equipa!";
$strings["noti_clientaddtask1"] = "Tarefa adicionada pelo cliente:";
$strings["noti_clientaddtask2"] = "Nova tarefa adicionada pelo cliente do sítio do projecto para o seguinte projecto:";
$strings["phase"] = "Fase";
$strings["phases"] = "Fases";
$strings["phase_id"] = "Fase ID";
$strings["current_phase"] = "Fase(s) activa(s)";
$strings["total_tasks"] = "Total de tarefas";
$strings["uncomplete_tasks"] = "Tarefas incompletas";
$strings["no_current_phase"] = "Nenhuma fase está activa";
$strings["true"] = "Verdadeiro";
$strings["false"] = "Falso";
$strings["enable_phases"] = "Activar fases";
$strings["phase_enabled"] = "Fase activada";
$strings["order"] = "Encomendar";
$strings["options"] = "Opções";
$strings["support"] = "Apoio";
$strings["support_request"] = "Pedido de apoio";
$strings["support_requests"] = "Pedidos de apoio";
$strings["support_id"] = "Pedido ID";
$strings["my_support_request"] = "Meus pedidos de apoio";
$strings["introduction"] = "Introdução";
$strings["submit"] = "Enviar";
$strings["support_management"] = "Gestão do apoio";
$strings["date_open"] = "Data de abertura";
$strings["date_close"] = "Data de fecho";
$strings["add_support_request"] = "Adicionar pedido de apoio";
$strings["add_support_response"] = "Adicionar resposta de apoio";
$strings["respond"] = "Responder";
$strings["delete_support_request"] = "Remover pedido de apoio";
$strings["delete_request"] = "Remover pedido";
$strings["delete_support_post"] = "Remover mensagem do pedido de apoio";
$strings["new_requests"] = "Novos pedidos";
$strings["open_requests"] = "Pedidos em aberto";
$strings["closed_requests"] = "Pedidos fechados";
$strings["manage_new_requests"] = "Gerir novos pedidos";
$strings["manage_open_requests"] = "Gerir pedidos em aberto";
$strings["manage_closed_requests"] = "Gerir pedidos fechados";
$strings["responses"] = "Respostas";
$strings["edit_status"] = "Editar estado";
$strings["noti_support_request_new2"] = "Enviou um pedido de apoio sobre: ";
$strings["noti_support_post2"] = "Nova resposta adicionada ao seu pedido de apoio. Por favor, reveja os detalhes abaixo.";
$strings["noti_support_status2"] = "O pedido de apoio foi actualizado. Por favor, reveja os detalhes abaixo.";
$strings["noti_support_team_new2"] = "Novo pedido de apoio adicionado ao projecto: ";
// 2.0
$strings["delete_subtasks"] = "Remover sub-tarefas";
$strings["add_subtask"] = "Adicionar sub-tarefa";
$strings["edit_subtask"] = "Editar sub-tarefa";
$strings["subtask"] = "Sub-tarefa";
$strings["subtasks"] = "Sub-tarefas";
$strings["show_details"] = "Mostrar detalhes";
$strings["updates_task"] = "História das actualizações da tarefa";
$strings["updates_subtask"] = "História das actualizações da sub-tarefa";
// 2.1
$strings["go_projects_site"] = "Sítio dos projectos";
$strings["bookmark"] = "Referência";
$strings["bookmarks"] = "Referências";
$strings["bookmark_category"] = "Categoria";
$strings["bookmark_category_new"] = "Nova categoria";
$strings["bookmarks_all"] = "Todas";
$strings["bookmarks_my"] = "Minhas Referências";
$strings["my"] = "Meus";
$strings["bookmarks_private"] = "Privado";
$strings["shared"] = "Partilhado";
$strings["private"] = "Privado";
$strings["add_bookmark"] = "Adicionar referência";
$strings["edit_bookmark"] = "Editar referência";
$strings["delete_bookmarks"] = "Remover referências";
$strings["team_subtask_details"] = "Detalhes de sub-tarefa da equipa";
$strings["client_subtask_details"] = "Detalhes da sub-tarefa do cliente";
$strings["client_change_status_subtask"] = "Modificar o estado abaixo quando completar esta sub-tarefa";
$strings["disabled_permissions"] = "Permissões desactivadas";
$strings["user_timezone"] = "Timezone (GMT)";
// 2.2
$strings["project_manager_administrator_permissions"] = "Permissões de Gestor de Projecto Administrador";
$strings["bug"] = "Bug Tracking";
// 2.3
$strings["report"] = "Relatório";
$strings["license"] = "Licença";
// 2.4
$strings["settings_notwritable"] = "Settings.php ficheiro só de leitura";
// 2.5
$strings['name_print'] = 'Nome impresso';
$strings['calculation'] = 'Cálculo';
$strings['items'] = 'Itens';
$strings['position'] = 'Cargo';
$strings['completed'] = 'Completado';
$strings['service'] = 'Serviço';
$strings['service_management'] = 'Gestão do serviço';
$strings['hourly_rate'] = 'Taxa horária';
$strings['add_service'] = 'Adicionar serviço';
$strings['edit_service'] = 'Editar serviço';
$strings['delete_services'] = 'Remover serviço';
$strings['worked_hours'] = 'Horas trabalhadas';
$strings["loghours"] = 'Horas de registo';
$strings["logtime"] = 'Tempo de registo';
$strings["loggedby"] = 'Registado por';
$strings["error_required"] = 'é requerido';
$strings["error_numerical"] = 'valor numérico';
$strings["hours_updated"] = 'Actualizadas as horas da tarefa';
$strings['add_task_time'] = 'Adicionar tempo de tarefa';
$strings['edit_task_time'] = 'Editar tempo de tarefa';
$strings['delete_task_time'] = 'Remover tempo de tarefa';
$strings['task_time'] = 'Tempo de tarefa';
// 2.5.1
$strings["email_users"] = "Enviar eMail aos utentes";
$strings["email_following"] = "eMail a seguir";
$strings["email_sent"] = "O eMail foi enviado com sucesso.";
$strings['all'] = 'Tudo';
$strings['custom_reports'] = 'Relatórios tipo';
$strings['custom_report_intro'] = 'Escolher o relatório tipo baseado na descrição que melhor se adequa ao desejado para o relatório a gerar.';
$strings['completed_task_report'] = 'Tarefa completa';
$strings['completed_task_report_desc'] = 'Este relatório fornece a listagem das tarefas completadas no mês anterior.';
$strings['time_report'] = 'Relatório temporal';
$strings['time_report_desc'] = 'Este relatório fornece uma listagem das horas registadas pelo colaborador por projecto para o mês anterior e permite exportar essa informação.';
$strings['overdue_tasks'] = 'Tarefas em atraso';
$strings['overdue_tasks_desc'] = 'Este relatório mostra a listagem das tarefas em atraso em todos os projectos.';
$strings['project_snapshot'] = 'Síntese do projecto';
$strings['project_snapshot_desc'] = 'Este relatório fornece ao membro autenticado uma síntese dos projectos de que é responsável e as tarefas associadas.';
$strings['pending_tasks'] = 'Tarefas pendentes';
$strings['pending_tasks_desc'] = 'Este relatório fornece uma vista organizacional das tarefas atribuidas aos projectos.';
$strings['pm_report'] = 'Relatório de Gestão de Projecto';
$strings['pm_report_desc'] = 'Este relatório mostra os projectos atribuidos por recurso e os projectos sem atribuição.';
$strings['project_phasestatus'] = 'Estado da fase do projecto';
$strings['project_phasestatus_desc'] = 'Mostra genericamente todos os projectos activos e as suas fases';
$strings['resource_usage'] = 'Utilização dos recursos';
$strings['resource_usage_desc'] = 'Este relatório faz um sumário dos totais temporais para projectos e clientes.';
// 2.5.2
$strings['install_erase'] = 'Remover a directoria de instalação e o seu conteúdo!!';
$strings['error_phpversion'] = 'Para correr o NetOffice é necessário PHP versão maior ou igual a 4.1.0!';
$strings['display_options'] = 'Mostra opções';
$strings['member_items'] = "Itens dos membros";
$strings['project_totals'] = "Totais do projecto";
$strings['organization_totals'] = "Totais dos clientes";
$strings['member_totals'] = "Totais do membro";
$strings['member_period_totals'] = "Totais do membro por período";
// 2.5.3
$strings['project_breakdown'] = "Descriminação do projecto";
$strings['project_breakdown_desc'] = "Listagem do projecto descriminando o dono, o estado, e parceiros";
$strings['start_page'] = 'Começo em';
$strings['task_id'] = 'Tarefa ID';

// dwins custom

$dayHourArray = array(
    0 => "0",
    1 => "8",
    2 => "8",
    3 => "8",
    4 => "8",
    5 => "8",
    6 => "0",
    7 => "0"
    );
$taskPredecessorTypes = array(
    "FS" => "Fim para Princípio",
    "FF" => "Fim para Fim",
    "SF" => "Princípio para Fim",
    "SS" => "Princípio para Princípio"
    );
$timestampArray = array(
    "00:00" => "00:00",
    "00:30" => "00:30",
    "01:00" => "01:00",
    "01:30" => "01:30",
    "02:00" => "02:00",
    "02:30" => "02:30",
    "03:00" => "03:00",
    "03:30" => "03:30",
    "04:00" => "04:00",
    "04:30" => "04:30",
    "05:00" => "05:00",
    "05:30" => "05:30",
    "06:00" => "06:00",
    "06:30" => "06:30",
    "07:00" => "07:00",
    "07:30" => "07:30",
    "08:00" => "08:00",
    "08:30" => "08:30",
    "09:00" => "09:00",
    "09:30" => "09:30",
    "10:00" => "10:00",
    "10:30" => "10:30",
    "11:00" => "11:00",
    "11:30" => "11:30",
    "12:00" => "12:00",
    "12:30" => "12:30",
    "13:00" => "13:00",
    "13:30" => "13:30",
    "14:00" => "14:00",
    "14:30" => "14:30",
    "15:00" => "15:00",
    "15:30" => "15:30",
    "16:00" => "16:00",
    "16:30" => "16:30",
    "17:00" => "17:00",
    "17:30" => "17:30",
    "18:00" => "18:00",
    "18:30" => "18:30",
    "19:00" => "19:00",
    "19:30" => "19:30",
    "20:00" => "20:00",
    "20:30" => "20:30",
    "21:00" => "21:00",
    "21:30" => "21:30",
    "22:00" => "22:00",
    "22:30" => "22:30",
    "23:00" => "23:00",
    "23:30" => "23:30",
    "24:00" => "24:00"
    );
$reminderTimeArray = array(
    "0"     => "--",
    "5"     => "5 minutos",
    "15"    => "15 minutos",
    "30"    => "30 minutos",
    "60"    => "1 hora",
    "120"   => "2 horas",
    "180"   => "3 horas",
    "360"   => "6 horas",
    "720"   => "12 horas",
    "1440"  => "1 dia",
    "2880"  => "2 dias",
    "4320"  => "3 dias",
    "5760"  => "4 dias",
    "7200"  => "5 dias",
    "8640"  => "6 dias",
    "10080" => "1 semana",
    "11520" => "8 dias",
    "12960" => "9 dias",
    "14400" => "10 dias",
    "15840" => "11 dias",
    "17280" => "12 dias",
    "18720" => "13 dias",
    "20160" => "2 semanas"
    );
$resourceTypeArray = array(
    "members"    => "Humano"
    );
$personEvaluationValueArray = array(
    1 => array("percent" => 0.2, "display" => "Insuficiente"),
    2 => array("percent" => 0.4, "display" => "Fraco"),
    3 => array("percent" => 0.6, "display" => "Suficiente"),
    4 => array("percent" => 0.8, "display" => "Bom"),
    5 => array("percent" => 1,   "display" => "Excelente")
    );
$personEvaluationTypeArray = array(
    0   => "Tarefa",
    1   => "Gestão de Projecto"
    );
$personEvaluationItemArraySets = array(
    // Define the names of person evaluation item sets
    'sets' => array(
        0    => "Documento - Plano de desenvolvimento da aplicação",
        1    => "Documento - Especificação do sistema",
        2    => "Documento - Análise de sistema",
        3    => "Documento - Desenho do sistema",
        4    => "Documento - Especificação da aplicação",
        5    => "Programação",
        6    => "Teste unitário",
        7    => "Documento - Manual do sistema",
        8    => "Documento - Plano de testes de integração da aplicação",
        9    => "Documento - Relatório dos testes de integração da aplicação",
        10   => "Testes de integração da aplicação",
        11   => "Documento - Guia da instalação/uso do sistema",
        12   => "Documento - Plano de testes de integração de sistema",
        13   => "Documento - Relatório dos testes de integração de sistema",
        14   => "Testes de integração de sistema",
        15   => "Documento - Plano de colocação em produção do sistema",
        16   => "Colocação em produção do sistema",
        17   => "Bug Tracking",
        18   => "Treino",
        100  => "Documento - Material de treino",
        101  => "Formação",
        102  => "Assistir a aulas",
        103  => "Auto-estudo",
        104  => "Manutenção do sistema",
        1000 => "Gestão de Projecto"
        ),
    // List the individual items within each person evaluation item set.
    // Document - Software Development Plan Set
    0 => array(0 => "300", 1 => "item"),
    // Document - System Specification Set
    1 => array(0 => "300", 1 => "item"),
    // Document - System Analysis Set
    2 => array(0 => "150", 1 => "dia"),
    // Document - System Design Set
    3 => array(0 => "150", 1 => "dia"),
    // Document - Program Specification Set
    4 => array(0 => "100", 1 => "dia"),
    // Coding Set
    5 => array(0 => "100", 1 => "dia"),
    // Unit Test Set
    6 => array(0 => "100", 1 => "dia"),
    // Document - System Manual Set
    7 => array(0 => "100", 1 => "dia"),
    // Document - Software Integration Test Plan Set
    8 => array(0 => "150", 1 => "dia"),
    // Document - Software Integration Test Report Set
    9 => array(0 => "150", 1 => "dia"),
    // Software Integration Test Set
    10 => array(0 => "150", 1 => "dia"),
    // Document - System Installation/Usage Guide Set
    11 => array(0 => "150", 1 => "dia"),
    // Document - System Integration Test Plan Set
    12 => array(0 => "150", 1 => "dia"),
    // Document - System Integration Test Report Set
    13 => array(0 => "150", 1 => "dia"),
    // System Integration Test Set
    14 => array(0 => "150", 1 => "dia"),
    // Document - System Deployment Plan Set
    15 => array(0 => "150", 1 => "dia"),
    // System Deployment Set
    16 => array(0 => "150", 1 => "dia"),
    // Bug Tracking Set
    17 => array(0 => "50", 1 => "dia"),
    // Training Set
    18 => array(0 => "40", 1 => "hora"),
    // Document - Teaching Material Set
    100 => array(0 => "0", 1 => "item"),
    // Teaching Set
    101 => array(0 => "40", 1 => "hora"),
    // Attend Class Set
    102 => array(0 => "20", 1 => "hora"),
    // Self-Study Set
    103 => array(0 => "500", 1 => "trimestre"),
    // System Maintenance Set
    104 => array(0 => "500", 1 => "trimestre"),
    // Project Management Set
    1000 => array(0 => "1000", 1 => "item")
    );
$personEvaluationUnitArray = array(
    "item" => "Item",
    "day"  => "Dia",
    "hour" => "Hora",
    "qtr"  => "Trimestre"
    );
$personEvaluationPhaseArray = array(
    // List the individual default person evaluation items within each phase set.
    'Concept'      => '0',
    'Planning'     => '2',
    'Development'  => '5',
    'Testing'      => '6',
    'Rollout'      => '16',
    'Maintenance'  => '104'
    );
$statusEvaluation = array(PE_SUBMITTED => "Sim", PE_OPEN => "Não");
$milestoneis = array(MS_YES => 'Sim', MS_NO => 'Não');
$statusTimesheet = array(
    TS_SUBMITTED => "Enviado", 
    TS_OPEN => "Aberto",
    TS_APPROVED => "Aprovado",
    TS_REJECTED => "Rejeitado"
    );
$workTypes = array(
    WT_PROJECT => 'Projecto', 
    WT_OTHERS => 'Outros', 
    WT_SALES => 'Vendas', 
    WT_LEAVE => 'Ausência'
    );
$hourCodeArray = array(
    0     => "Documento - Plano de desenvolvimento da aplicação",
    1     => "Documento - Especificação do sistema",
    2     => "Documento - Análise de sistema",
    3     => "Documento - Desenho do sistema",
    4     => "Documento - Especificação da aplicação",
    5     => "Programação",
    6     => "Teste unitário",
    7     => "Documento - Manual do sistema",
    8     => "Documento - Plano de testes de integração da aplicação",
    9     => "Documento - Relatório dos testes de integração da aplicação",
    10    => "Testes de integração da aplicação",
    11    => "Documento - Guia da instalação/uso do sistema",
    12    => "Documento - Plano de testes de integração de sistema",
    13    => "Documento - Relatório dos testes de integração de sistema",
    14    => "Testes de integração de sistema",
    15    => "Documento - Plano de colocação em produção do sistema",
    16    => "Colocação em produção do sistema",
    17    => "Bug Tracking",
    18    => "Treino",
    100   => "Documento - Material de treino",
    101   => "Formação",
    102   => "Assistir a aulas",
    103   => "Auto-estudo",
    104   => "Manutenção do sistema",
    105   => "Recrutamento",
    106   => "Auto-estudo",
    107   => "Aprensentação de produto para venda",
    108   => "Seminário externo",
    109   => "Treino externo",
    110   => "Seminário interno",
    111   => "Treino interno",
    112   => "Reunião",
    199   => "Diversos",
    10000 => "Primeiro contacto",
    10001 => "Contacto pré-venda",
    10002 => "Discussão de requisitos",
    10003 => "Preparação de proposta",
    10004 => "Preparação de citação",
    10005 => "Preparação de contracto",
    10006 => "Actividade de mercado",
    10099 => "Diversos",
    10100 => "Ausência anual",
    10101 => "Ausência por doença",
    10102 => "Ausência por abstinência",
    10103 => "Férias",
    10104 => "Ausência por luto",
    10105 => "Lua de mel",
    10106 => "Licença de maternidade"
    );
$dayType = array(
    DT_WEEKEND => 'Fim-de-semana',
    DT_STATUTORY_HOLIDAY => 'Feriado',
    DT_MAKEUP_HOLIDAY => 'Feriado pontual',
    DT_WORKDAY => 'Dia de trabalho'
    );

$billingFlag = array(
    BF_YES => 'Cobrável',
    BF_NO => 'Não cobrável'
    );

$actionType = array(
    AT_TIMESHEET => 'Timesheet',
    AT_LEAVE => 'Ausência'
    );

$strings['hours_logged'] = 'Horas registadas';
$strings['hours_logged_from'] = 'por';
$strings['hours_logged_to'] = 'em';
$strings['hours_total'] = 'Total';
$strings['ru_detail'] = 'Detalhe da utilização dos recursos';
$strings['ru_detail_from'] = 'por';
$strings['ru_detail_to'] = 'em';
$strings['ru_total_project'] = 'Total de horas no projecto';
$strings['ru_total_org'] = 'Total do cliente';
$strings['ru_total_mem'] = 'Total dos membros';
$strings['ru_subtotal'] = 'Sub-total';
$strings['meetings'] = 'Reuniões';
$strings['meeting'] = 'Reunião';
$strings['edit_meeting'] = 'Editar reunião';
$strings['copy_meeting'] = 'Copiar reunião';
$strings['add_meeting'] = 'Adicionar reunião';
$strings['delete_meetings'] = 'Apagar reunião';
$strings['me_agenda'] = 'Agenda';
$strings['me_location'] = 'Localização';
$strings['me_minutes'] = 'Minutas';
$strings['me_chairman'] = 'Responsável';
$strings['me_recorder'] = 'Registador';
$strings['attendants'] = 'Participantes';
$strings['select_all_but_clients'] = 'Seleccionar todos excepto os clientes';
$strings['start_time'] = 'Hora de princípio';
$strings['end_time'] = 'Hora de fim';
$strings['meeting_id'] = 'Reunião ID';
$strings['updates_meeting'] = 'Histórico das actualizações da reunião';
$strings['add_meeting_time'] = 'Adicionar duração da reunião';
$strings['edit_meeting_time'] = 'Editar duração da reunião';
$strings['delete_meeting_time'] = 'Apagar duração da reunião';
$strings['meeting_time'] = 'Duração da reunião';
$strings['edit_noti_meetingassignment'] = 'Adicionado a uma nova reunião.';
$strings['edit_noti_statusmeetingchange'] = 'O estado de uma das minhas reuniões modificou-se.';
$strings['edit_noti_prioritymeetingchange'] = 'A prioridade de uma das minhas reuniões modificou-se.';
$strings['edit_noti_locationmeetingchange'] = 'A localização de uma das minhas reuniões modificou-se.';
$strings['edit_noti_timemeetingchange'] = 'O momento de uma das minhas reuniões modificou-se.';
$strings['edit_noti_checklogtime'] = 'Lembrar-me de registar o tempo semanal.';
$strings['edit_noti_todolist'] = 'Mostrar a lista de afazeres para hoje.';
$strings['edit_noti_timesheetapproved'] = 'A minha folha de horas foi aprovada.';
$strings['edit_noti_timesheetrejected'] = 'A minha folha de horas foi rejeitada.';
$strings['noti_meetingassignment1'] = 'Nova reunião:';
$strings['noti_meetingassignment2'] = 'Uma reunião foi-lhe atribuida:';
$strings['noti_prioritymeetingchange1'] = 'A prioridade da reunião foi modificada:';
$strings['noti_prioritymeetingchange2'] = 'A prioridade da seguinte reunião foi modificada:';
$strings['noti_statusmeetingchange1'] = 'O estado da reunião foi modificado:';
$strings['noti_statusmeetingchange2'] = 'O estado da seguinte reunião foi modificado:';
$strings['noti_locationmeetingchange1'] = 'A localização da reunião foi modificada:';
$strings['noti_locationmeetingchange2'] = 'A localização da seguinte reunião foi modificada:';
$strings['noti_timemeetingchange1'] = 'O momento da reunião foi modificado:';
$strings['noti_timemeetingchange2'] = 'O momento da seguinte reunião foi modificado:';
$strings['noti_checklogtime1'] = 'Registo de horas em falta:';
$strings['noti_checklogtime2'] = 'O registo dos seguintes dias não foi completamente efectuado:';
$strings['noti_todolist1'] = 'Lista de afazeres:';
$strings['noti_todolist2'] = 'Os afazeres para hoje:';
$strings['noti_todolist3'] = 'Lista de atrasos:';
$strings['noti_todolist4'] = 'Lista de tarefas:';
$strings['noti_todolist5'] = 'Lista de reuniões:';
$strings['noti_todolist6'] = 'Lista de lembretes:';
$strings['noti_todolist7'] = 'Os lembretes para hoje:';
$strings['noti_todolist8'] = 'Lista de lembretes:';
$strings['noti_orphan1'] = 'Lista de tarefas avulso:';
$strings['noti_orphan2'] = 'As seguintes tarefas avulso necessitam de atribuição a recursos:';
$strings['attendants_modification_succeeded'] = 'Modificação dos participantes com sucesso';
$strings['cal_personal'] = 'Pessoal';
$strings['fixed_duration'] = 'Duração fixa';
$strings['milestone'] = 'Marco';
$strings['interdependency_failed'] = 'Conflito de interdependência de tarefas, actualização falhou';
$strings['hour'] = 'hora';
$strings['duration'] = 'Duração';
$strings['task_dependencies'] = 'Dependências da tarefa';
$strings['lag'] = 'Desfasamento';
$strings['predecessor'] = 'Predecessor';
$strings['add_predecessor'] = 'Adicionar tarefa predecessora';
$strings['edit_predecessor'] = 'Editar tarefa predecessora';
$strings['delete_predecessors'] = 'Remover tarefas predecessoras';
$strings['add_predecessor_success'] = 'A atribuição à tarefa sucedeu.';
$strings['delete_predecessor_success'] = 'O predecessor foi removido com sucesso.';
$strings['no_possible_tasks'] = 'Não existem tarefas possíveis.';
$strings['lack_of_dates'] = 'Data de princípio e de fim são necessárias.';
$strings['ftok_error'] = 'Mutex lock failed, contactar administrador do sistema imediatamente!!';
$strings['sem_get_error'] = 'Mutex lock failed, contactar administrador do sistema imediatamente!!';
$strings['sem_acquire_error'] = 'Transacção falhou, tentar novamente mais tarde';
$strings['calendar_reminder_time1'] = 'Enviar lembrete';
$strings['calendar_reminder_time2'] = 'antes e';
$strings['calendar_reminder_time3'] = 'antes do evento';
$strings["send_reminder1"] = "Lista pessoal de lembretes:";
$strings["send_reminder2"] = "Lista pessoal dos seguintes lembretes:";
$strings["send_reminder3"] = "Lista de lembretes do projecto:";
$strings["send_reminder4"] = "Os seguintes são ";
$strings["send_reminder5"] = " lista de lembretes do projecto:";
$strings["send_reminder6"] = "Lembrete de reunião:";
$strings['meeting_reminder'] = 'Lembrete';
$strings['meeting_reminder_time1'] = 'Enviar lembrete';
$strings['meeting_reminder_time2'] = 'antes e';
$strings['meeting_reminder_time3'] = 'antes da reunião';
$strings['add_resource'] = 'Adicionar recurso da tarefa';
$strings['edit_resource'] = 'Editar recurso da tarefa';
$strings['delete_resources'] = 'Remover recursos da tarefa';
$strings['no_available_resources'] = 'Não existem recursos deste tipo disponíveis.';
$strings['delete_resource_success'] = 'O recurso foi removido com sucesso.';
$strings['supervisor'] = 'Supervisor';
$strings['agent'] = 'Agente';
$strings['person_evaluation'] = 'Avaliação de pessoa';
$strings['person_evaluations'] = 'Avaliação de pessoas';
$strings['open_items'] = 'Abertos';
$strings['submitted_items'] = 'Enviados';
$strings['item'] = 'Item';
$strings['appraiser'] = 'Avaliador';
$strings['member'] = 'Membro';
$strings['standard'] = 'Norma';
$strings['value'] = 'Valor';
$strings['submitted'] = 'Enviado';
$strings['add_person_evaluation'] = 'Adicionar avaliação de pessoa';
$strings['delete_person_evaluations'] = 'Remover avaliação de pessoas';
$strings['edit_person_evaluation'] = 'Editar avaliação de pessoa';
$strings['copy_person_evaluation'] = 'Copiar avaliação de pessoa';
$strings['add_submitted_items'] = 'Adicionar aos itens enviados';
$strings['remove_submitted_items'] = 'Remover dos itens enviados';
$strings['points'] = 'pontos';
$strings['no_partial_task_type'] = "Remover avaliações de pessoa com o tipo 'task' não são permitidas.";
$strings['no_partial_task_type_cpy'] = "Copiar avaliações de pessoa com o tipo 'task' não são permitidas.";
$strings['no_partial_submitted'] = "Remover avaliações de pessoa não permitidas.";
$strings['add_submitted_item_success'] = "A adição aos itens enviados sucedeu.";
$strings['remove_submitted_item_success'] = "A remoção dos itens enviados sucedeu.";
$strings['appraiser_missing'] = "Adicionar/remover item enviado sem avaliador e não autorizado.";
$strings['person_performance_report'] = 'Relatório de desempenho de pessoa';
$strings['person_performance_report_desc'] = 'Este relatório fornece a listagem do desempenho do colaborador e permite exportar a informação.';
$strings['leave_report'] = 'Relatório de ausências';
$strings['leave_report_desc'] = 'Este relatório fornece a listagem das ausências do colaborador e permite exportar a informação.';
$strings['my_meetings'] = 'Minhas Reuniões';
$strings['dwins_link'] = 'Ver o projecto Dwins.com';
$strings['noti_meetingminutes1'] = 'Minutas da reunião:';
$strings['noti_meetingminutes2'] = 'Seguintes minutas de reunião:';
$strings['indentation'] = 'Descer nível';
$strings['unindentation'] = 'Subir nível';
$strings['taskgroup'] = 'Grupo de tarefas';
$strings['add_taskgroup'] = 'Adicionar grupo de tarefas';
$strings['edit_taskgroup'] = 'Editar grupo de tarefas';
$strings['copy_taskgroup'] = 'Copiar grupo de tarefas';
$strings['task_indentation'] = 'Descer tarefa de nível';
$strings['task_unindentation'] = 'Subir tarefa de nível';
$strings['no_milestone_indentation'] = "Não pode mover o marco";
$strings['no_leading_task_indentation'] = "Não pode mover a tarefa líder";
$strings['no_leading_subtask_indentation'] = "Não pode mover a sub-tarefa líder";
$strings['result_in_a_loop_indentation'] = 'Não pode mover a tarefa, resultaria num ciclo.';
$strings['task_indent_success'] = 'A tarefa desceu de nível com sucesso.';
$strings['no_parent_task_unindentation'] = 'Não pode mover a tarefa, não tem tarefas no nível acima.';
$strings['task_unindent_success'] = 'A tarefa subiu de nível com sucesso.';
$strings['tasks_in_different_levels'] = 'Não é possível agrupar tarefas de níveis diferentes.';
$strings['tasks_belong_to_different_parent'] = 'Não é possível agrupar tarefas com diferentes tarefas de topo.';
$strings['tasks_belong_to_different_phase'] = 'Não é possível agrupar tarefas com diferentes fases.';
$strings['no_milestone_belong_to_task_group'] = 'Não é possível agrupar marcos.';
$strings['delete_dependencies'] = 'Remover dependências da tarefa';
$strings['delete_dependencies_success'] = 'Todas as dependências da tarefa forma removidas com sucesso.';
$strings['delete_subtasks'] = 'As sub-tarefas das seguintes tarefas também serão removidas';
$strings['meeting_details'] = 'Detalhes da reunião';
$strings['working_hours'] = 'Horas de trabalho';
$strings['timesheet'] = 'Folha de horas';
$strings['hr_manager_permissions'] = 'Permissões de Gestor de Recursos Humanos';
$strings['hourtype'] = 'Tipo de hora';
$strings['hourcode'] = 'Código de hora';
$strings['billable'] = 'Cobrável';
$strings['submit_timesheet'] = 'Enviar folha de horas';
$strings['edit_work_hours'] = 'Editar folha de horas';
$strings['delete_work_hours'] = 'Remover horas de trabalho';
$strings['month'] = 'Mês';
$strings['actual'] = 'Actual';
$strings['timesheet_report'] = 'Relatório de folha de horas';
$strings['timesheet_report_desc'] = 'Este relatório fornece as listagens das horas registadas por colaboradaor por projecto/vendas/ausências/outros para o mês anterior e permitir exportar essa informação.';
$strings['actived'] = 'Membros activados';
$strings['last_month'] = 'Mês anterior';
$strings['between_months'] = 'Entre meses';
$strings['delayed_list'] = 'Lista de atrasos';
$strings['workcalendar'] = 'Calendário de trabalho';
$strings['workcalendar_management'] = 'Gestão do calendário de trabalho';
$strings['this_year'] = 'Este ano';
$strings['previous_year'] = 'Ano anterior';
$strings['next_year'] = 'Ano seguinte';
$strings['billing'] = 'Cobrança';
$strings["timesheet_management"] = "Gestão da folha de horas";
$strings["edit_timesheet"] = "Editar folha de horas";
$strings['approve_timesheet'] = 'Aprovar folha de horas';
$strings['reject_timesheet'] = 'Rejeitar folha de horas';
$strings['submit_timesheets_success'] = 'A folha de horas foi enviada com sucesso.';
$strings['approve_timesheets_success'] = 'A folha de horas foi aprovada com sucesso.';
$strings['reject_timesheets_success'] = 'A folha de horas foi rejeitada com sucesso.';
$strings['submit_following'] = 'Enviar o seguinte?';
$strings['approve_following'] = 'Aprovar o seguinte?';
$strings['reject_following'] = 'Rejeitar o seguinte?';
$strings['theme'] = 'Tema';
$strings["noti_timesheetsubmit1"] = "Folha de horas enviada:";
$strings["noti_timesheetsubmit2"] = "A seguinte folha de horas foi enviada:";
$strings["noti_timesheetapproval1"] = "Folha de horas aprovada:";
$strings["noti_timesheetapproval2"] = "A seguinte folha de horas foi aprovada:";
$strings["noti_timesheetreject1"] = "Folha de horas rejeitada:";
$strings["noti_timesheetreject2"] = "A seguinte folha de horas foi rejeitada:";
$strings["layout"] = "Disposição";
$strings['action_expired'] = 'A acção expirou';
$strings["more_approval"] = "Mais aprovação";
$strings["approval_history"] = "Histórico de aprovações";
$strings["error_hours"] = 'tem que ser menor ou igual a 24';
$strings['view_work_hours'] = 'Ver horas de trabalho';
$strings['view_task_time'] = 'Ver duração da tarefa';
$strings['view_meeting_time'] = 'Ver duração da reunião';
$strings['add_work_hours'] = 'Adicionar horas de trabalho';
$strings['leave'] = 'Ausência';
$strings['leaves'] = 'Ausências';
$strings['leave_management'] = 'Gestão das ausências';
$strings['add_leave'] = 'Adicionar ausência';
$strings['edit_leave'] = 'Editar ausência';
$strings['delete_leaves'] = 'Remover ausência';
$strings['year'] = 'Ano';
$strings['leave_request'] = 'Pedido de ausência';
$strings['leave_request_id'] = 'Pedido de ausência ID';
$strings['leave_requests'] = 'Pedidos de ausência';
$strings['add_leave_request'] = 'Adicionar pedido de ausência';
$strings['edit_leave_request'] = 'Editar pedido de ausência';
$strings['delete_leave_request'] = 'Remover pedido de ausência';
$strings['noti_leaverequest1'] = 'Pedido de ausência:';
$strings['noti_leaverequest2'] = 'A seguinte ausência foi requerida:';
$strings['noti_leavechanged1'] = 'Pedido de ausência modificado:';
$strings['noti_leavechanged2'] = 'O seguinte pedido de ausência foi modificado:';
$strings['noti_leavewithdraw1'] = 'Retirar o pedido de ausência:';
$strings['noti_leavewithdraw2'] = 'O seguinte pedido de ausência foi retirado:';
$strings['noti_leaveapproval1'] = 'Pedido de ausência aprovado:';
$strings['noti_leaveapproval2'] = 'O seguinte pedido de ausência foi aprovado:';
$strings['noti_leavereject1'] = 'Pedido de ausência recusado:';
$strings['noti_leavereject2'] = 'O seguinte pedido de ausência foi recusado:';
$strings['approve_leaverequest'] = 'Aprovar pedido de ausência';
$strings['reject_leaverequest'] = 'Rejeitar pedido de ausência';
$strings['approve_leaverequest_success'] = 'O pedido de ausência foi aprovado com sucesso.';
$strings['reject_leaverequest_success'] = 'O pedido de ausência foi rejeitado com sucesso.';
$strings['proposer'] = 'Proponente';
$strings['edit_noti_leaveapproved'] = 'O meu pedido de ausência foi aprovado.';
$strings['edit_noti_leaverejected'] = 'O meu pedido de ausência foi rejeitado.';
$strings['hours_left'] = 'Horas disponíveis';
$strings['action_missing'] = 'Esta notificação está em falta!';
$strings['overtime'] = 'Horas extraordinárias';
$strings['work_hours'] = 'Horas de trabalho';
$strings['timeticket_management'] = 'Gestão de senhas temporais';
$strings['add_timeticket'] = 'Adicionar senha temporal';
$strings['edit_timeticket'] = 'Editar senha temporal';
$strings['delete_timetickets'] = 'Remover senhas temporais';
$strings['timeticket'] = 'Senha temporal';
$strings['calculate'] = 'Calcular';
$strings['meeting_owner'] = 'Não tem permissões para modificar esta reunião.';
$strings['timeticket_in_use'] = 'Esta senha temporal está a ser usada.';
$strings['here'] = 'Aqui';
$strings['assigned_to_above'] = 'atribuido aos coalboradores acima.';
$strings['actions'] = 'Acções';
$strings['need_to_approve'] = 'são necessários os colaboradores acima para aprovar.';
$strings['parent_task'] = 'Tarefa do nível acima';
$strings['no_workcalendar'] = 'Calendário de trabalho não existente, contactar o Gestor de Recursos Humanos.';
$strings['edit_noti_clientaddtask'] = 'Nova tarefa adicionada pelo cliente via sítio do projecto.';
$strings['no_supervisors'] = 'Ninguém para aprovar o pedido de ausência, contactar o Gestor de Recursos Humanos.';
$strings['member_allocation'] = 'Distribuição dos colaboradores';
$strings['member_allocation_desc'] = 'Este relatório sintetiza a distribuição dos colaboradores individualmente e permite estimar a carga de trabalho. Apenas os colaboradores activos (não clientes) são elegíveis e somente se mostra os projectos e as tarefas abertos.';
$strings['daily_total'] = 'Totais diários';
$strings['overdue_hours'] = 'Horas extraordinárias';
$strings['reset_sortings'] = 'Repôr todos os valores de ordenação';
$strings['sortings_resetted'] = 'Todos os valores pré-definidos para ordenação foram repostos.';
$strings['opposite'] = 'Oposto';
$strings['no_available_users'] = 'Não existem colaboradores disponíveis para esta acção.';
$strings['invalid_email'] = 'eMail inválido.';
$strings["simple_search"] = "Pesquisa simples";
$strings["advance_search"] = "Pesquisa avançada";
$strings["keywords_too_short"] = "Palavras chave com um mínimo de 2 caracteres";
$strings["dear"] = "Caro";
$strings["invalid_depth"] = "Nível do parâmetro deve ser maior que 0.";

?>
