<?php // $Revision: 1.48 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: lang_zh-tw.php,v 1.48 2006/09/25 07:59:03 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// translator(s): Luis, Wang <luis.wang@dwins.cm>

$setCharset = "UTF-8";

$topicNote = array(
    1 => '電話記錄',
    2 => '會議記錄',
    3 => '一般記錄'
    );

$phaseArraySets = array(
    // Define the names of your phase sets
    'sets' => array(
        1 => '網站',
        2 => '應用程式',
        3 => '軟體開發'
        ),
    // List the individual items within each phase set.
    // 網站 Set
    1 => array(
        0 => '構思',
        1 => '規劃',
        2 => '開發',
        3 => '測試',
        4 => '上線',
        5 => '維護'
        ),
    // 應用程式 Set
    2 => array(
        0 => '構思',
        1 => '規劃',
        2 => '開發',
        3 => '測試',
        4 => '上線',
        5 => '維護'
        ),
    // 軟體開發 Set
    3 => array(
        0 => '系統規劃',
        1 => '軟體需求分析',
        2 => '軟體設計',
        3 => '程式製作與元件測試',
        4 => '軟體整合與測試',
        5 => '系統整合與測試',
        6 => '系統建置',
        7 => '軟體維護'
        )
    );

$autoLogoutOptions = array(
    0 => '停用',
    300 => '5分鐘',
    600 => '10分鐘',
    900 => '15分鐘',
    1800 => '30分鐘',
    2700 => '45分鐘',
    3600 => '60分鐘'
    );

$startPageOptions = array(
    'general/home.php' => '首頁',
    'calendar/viewcalendar.php' => '行事曆',
    'bookmarks/listbookmarks.php?view=my' => '我的書籤',
    'reports/createreport.php?typeReports=custom' => '報表',
    'timesheet/viewtimesheet.php' => '工時紀錄表'
    );

$byteUnits = array('Bytes', 'KB', 'MB', 'GB');

$dayNameArray = array(
    0 => "星期日",
    1 => "星期一",
    2 => "星期二",
    3 => "星期三",
    4 => "星期四",
    5 => "星期五",
    6 => "星期六",
    7 => "星期日"
    );
$dayShortNameArray = array(0 => "日", 1 => "一", 2 => "二", 3 => "三", 4 => "四", 5 => "五", 6 => "六", 7 => "日");

$monthNameArray = array(1 => "一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月");

$status = array(
    ST_CLIENT_COMPLETED => "客戶核可",
    ST_COMPLETED => "已完成",
    ST_NOT_STARTED => "未開始",
    ST_OPEN => "進行中",
    ST_SUSPENDED => "暫停"
    );

$profil = array(
    PF_ADMINISTRATOR => "系統管理者",
    PF_PROJECT_MANAGER => "專案經理",
    PF_USER => "一般使用者",
    PF_CLIENT_USER => "客戶使用者",
    PF_DISABLED => "停用",
    PF_PROJECT_MANAGER_ADMINISTRATOR => "專案經理管理者",
    PF_HR_MANAGER => "人事經理"
    );

$priority = array(
    PR_NONE => "無",
    PR_VERY_LOW => "極低",
    PR_LOW => "較低",
    PR_MEDIUM => "中等",
    PR_HIGH => "較高",
    PR_VERY_HIGH => "極高"
    );

$statusTopic = array(0 => "關閉", 1 => "開啟");
$statusTopicBis = array(0 => "是", 1 => "否");

$statusPublish = array(PB_YES => "是", PB_NO => "否");

$statusFile = array(
    FS_APPROVED => "批準",
    FS_APPROVED_WITH_CHANGES => "修訂批準",
    FS_NEEDS_APPROVAL => "待審核",
    FS_NO_APPROVALS_NEEDED => "不需審核",
    FS_NOT_APPROVED => "不批準"
    );

$phaseStatus = array(
    PS_NOT_STARTED => "未開始",
    PS_OPEN => "進行中",
    PS_COMPLETE => "已完成",
    PS_SUSPENDED => "暫停"
    );

$requestStatus = array(RQ_NEW => "新需求", RQ_OPEN => "處理中", RQ_COMPLETE => "已完成");

$projectType = array(
    PT_INTERNAL_PROJECT => '內部專案',
    PT_EXTERNAL_PROJECT => '外部專案'
    );

$strings["please_login"] = "請登入系統";
$strings["requirements"] = "系統需求";
$strings["login"] = "登入";
$strings["no_items"] = "沒有相關項目";
$strings["logout"] = "登出";
$strings["preferences"] = "偏好設定";
$strings["my_tasks"] = "我的任務";
$strings["edit_task"] = "編輯任務";
$strings["copy_task"] = "複製任務";
$strings["add_task"] = "新增任務";
$strings["delete_tasks"] = "刪除任務";
$strings["assignment_history"] = "任務指派記錄";
$strings["assigned_on"] = "指派於";
$strings["assigned_by"] = "指派人";
$strings["to"] = "指派給";
$strings["comment"] = "註解";
$strings["task_assigned"] = "任務指派給";
$strings["task_unassigned"] = "任務未被指派";
$strings["edit_multiple_tasks"] = "編輯多重任務";
$strings["tasks_selected"] = "任務已被選取。指定任務新的設定或選擇[不變更]以保留現有設定。";
$strings["assignment_comment"] = "任務指派註解";
$strings["no_change"] = "[不變更]";
$strings["my_discussions"] = "我的討論區";
$strings["discussions"] = "討論區";
$strings["delete_discussions"] = "刪除討論區";
$strings["delete_discussions_note"] = "注意：一旦討論區被刪除後即無法重新開啟";
$strings["topic"] = "主題";
$strings["posts"] = "發表文章";
$strings["latest_post"] = "最新文章";
$strings["my_reports"] = "我的報表";
$strings["reports"] = "報表";
$strings["create_report"] = "建立報表";
$strings["report_intro"] = "在此選擇您的任務報表參數並儲存查詢結果";
$strings["admin_intro"] = "系統設定和配置";
$strings["copy_of"] = "Copy of ";
$strings["add"] = "新增";
$strings["delete"] = "刪除";
$strings["remove"] = "刪除";
$strings["copy"] = "複製";
$strings["view"] = "查看";
$strings["edit"] = "編輯";
$strings["update"] = "更新";
$strings["details"] = "詳情";
$strings["none"] = "無";
$strings["close"] = "關閉";
$strings["new"] = "新增";
$strings["select_all"] = "全選";
$strings["unassigned"] = "未被指派";
$strings["administrator"] = "系統管理者";
$strings["my_projects"] = "我的專案";
$strings["project"] = "專案";
$strings["active"] = "現行專案";
$strings["inactive"] = "閒置專案";
$strings["project_id"] = "專案編號";
$strings["edit_project"] = "編輯專案";
$strings["copy_project"] = "複製專案";
$strings["add_project"] = "新增專案";
$strings["clients"] = "客戶";
$strings["organization"] = "客戶組織";
$strings["client_projects"] = "客戶專案";
$strings["client_users"] = "客戶使用者";
$strings["edit_organization"] = "編輯客戶組織";
$strings["add_organization"] = "新增客戶組織";
$strings["organizations"] = "客戶組織";
$strings["info"] = "資訊";
$strings["status"] = "狀態";
$strings["owner"] = "擁有者";
$strings["home"] = "主頁";
$strings["projects"] = "專案";
$strings["files"] = "檔案";
$strings["search"] = "搜尋";
$strings["admin"] = "管理";
$strings["user"] = "使用者";
$strings["project_manager"] = "專案經理";
$strings["due"] = "到期日";
$strings["task"] = "任務";
$strings["tasks"] = "任務";
$strings["team"] = "團隊成員";
$strings["add_team"] = "新增團隊成員";
$strings["team_members"] = "團隊成員";

$strings["full_name"] = "全名";
$strings["title"] = "稱謂";
$strings["user_name"] = "使用者名稱";
$strings["work_phone"] = "公司電話";
$strings["priority"] = "優先權";
$strings["name"] = "名稱";
$strings["id"] = "編號";
$strings["description"] = "敘述";
$strings["phone"] = "電話";
$strings["url"] = "網頁";
$strings["address"] = "地址";
$strings["comments"] = "註解";
$strings["created"] = "建立";
$strings["assigned"] = "指派";
$strings["modified"] = "修改";
$strings["assigned_to"] = "指派給";
$strings["due_date"] = "到期日期";
$strings["estimated_time"] = "預估時間";
$strings["actual_time"] = "實際時間";
$strings["delete_following"] = "確認要刪除下列的資料？";
$strings["cancel"] = "取消";
$strings["and"] = "至";
$strings["administration"] = "系統管理";
$strings["user_management"] = "使用者管理";
$strings["system_information"] = "系統資訊";
$strings["product_information"] = "產品資訊";
$strings["system_properties"] = "系統資源";
$strings["create"] = "建立";
$strings["report_save"] = "儲存報表結果至首頁以便下次執行";
$strings["report_name"] = "報表名稱";
$strings["save"] = "儲存";
$strings["matches"] = "符合";
$strings["match"] = "符合";
$strings["report_results"] = "報表結果";
$strings["success"] = "完成";
$strings["addition_succeeded"] = "新增完成";
$strings["deletion_succeeded"] = "刪除完成";
$strings["report_created"] = "建立報表";
$strings["deleted_reports"] = "刪除報表";
$strings["modification_succeeded"] = "修改完成";
$strings["errors"] = "發生錯誤！";
$strings["blank_user"] = "找不到此使用者";
$strings["blank_organization"] = "找不到此客戶組織";
$strings["blank_project"] = "找不到此專案";
$strings["blank_task"] = "找不到此任務";
$strings["user_profile"] = "使用者角色";
$strings["change_password"] = "變更密碼";
$strings["change_password_user"] = "變更使用者密碼";
$strings["old_password_error"] = "你輸入的舊密碼錯誤，請重新輸入舊的密碼";
$strings["new_password_error"] = "你輸入二次的新密碼不符，請重新輸入新的密碼";
$strings["notifications"] = "系統通知";
$strings["change_password_intro"] = "輸入你的舊密碼及新密碼";
$strings["old_password"] = "舊的密碼";
$strings["password"] = "密碼";
$strings["new_password"] = "新的密碼";
$strings["confirm_password"] = "確認密碼";
$strings["email"] = "電子郵件";
$strings["home_phone"] = "住宅電話";
$strings["mobile_phone"] = "行動電話";
$strings["fax"] = "傳真號碼";
$strings["permissions"] = "使用者權限";
$strings["administrator_permissions"] = "系統管理者";
$strings["project_manager_permissions"] = "專案經理";
$strings["user_permissions"] = "一般使用者";
$strings["account_created"] = "被建立於";
$strings["edit_user"] = "編輯使用者";
$strings["edit_user_details"] = "編輯使用者資料";
$strings["change_user_password"] = "變更使用者密碼";
$strings["select_permissions"] = "請選擇使用者權限";
$strings["add_user"] = "新增使用者";
$strings["enter_user_details"] = "請輸入使用者詳細資料";
$strings["enter_password"] = "請輸入使用者密碼";
$strings["success_logout"] = "您已成功登出。您可以輸入使用者名稱和密碼再次登入。";
$strings["invalid_login"] = "使用者名稱或密碼輸入錯誤，請再重新輸入一次";
$strings["profile"] = "使用者角色";
$strings["user_details"] = "使用者詳細資料";
$strings["edit_user_account"] = "編輯使用者資料";
$strings["no_permissions"] = "您沒有足夠的權限執行這個動作";
$strings["discussion"] = "討論區";
$strings["retired"] = "是否有人回覆";
$strings["last_post"] = "最後發表日期";
$strings["post_reply"] = "回應";
$strings["posted_by"] = "發表人";
$strings["when"] = "發表日期";
$strings["post_to_discussion"] = "發表至討論區";
$strings["message"] = "訊息";
$strings["delete_reports"] = "刪除報表";
$strings["delete_projects"] = "刪除專案";
$strings["delete_organizations"] = "刪除客戶組織";
$strings["delete_organizations_note"] = "注意: 此動作會刪除所有此客戶組織的使用者及相關專案的連結";
$strings["delete_messages"] = "刪除訊息";
$strings["attention"] = "注意";
$strings["delete_teamownermix"] = "刪除成功，但不允許自專案團隊中刪除專案擁有者";
$strings["delete_teamowner"] = "不允許自專案團隊中刪除專案擁有者";
$strings["delete_yourselfmix"] = "刪除成功，但不允許自專案團隊中刪除自己";
$strings["delete_yourself"] = "不允許自專案團隊中刪除自己";
$strings["enter_keywords"] = "請輸入關鍵字";
$strings["search_options"] = "關鍵字和搜尋條件";
$strings["search_note"] = "您必須輸入搜尋條件";
$strings["search_results"] = "搜尋結果";
$strings["users"] = "使用者";
$strings["search_for"] = "搜尋";
$strings["results_for_keywords"] = "關鍵字查詢結果";
$strings["add_discussion"] = "增加討論區";
$strings["delete_users"] = "刪除使用者帳號";
$strings["reassignment_user"] = "專案和任務重新指派";
$strings["there"] = "目前有";
$strings["owned_by"] = "為此使用者負責";
$strings["reassign_to"] = "在刪除此使用者前，請重新指派為";
$strings["no_files"] = "無相關檔案";
$strings["published"] = "是否發佈";
$strings["project_site"] = "專案網站";
$strings["approval_tracking"] = "審核追蹤";
$strings["size"] = "大小";
$strings["add_project_site"] = "加入專案網站";
$strings["remove_project_site"] = "自專案網站移除";
$strings["more_search"] = "更多選項";
$strings["results_with"] = "查詢字詞位於";
$strings["search_topics"] = "搜尋主題";
$strings["search_properties"] = "搜尋屬性";
$strings["date_restrictions"] = "日期條件";
$strings["case_sensitive"] = "區分大小寫";
$strings["yes"] = "是";
$strings["no"] = "否";
$strings["sort_by"] = "排序方式：";
$strings["type"] = "型態";
$strings["date"] = "日期";
$strings["all_words"] = "包含全部的字詞";
$strings["any_words"] = "包含任何一個字詞";
$strings["exact_match"] = "包含完整的字句";
$strings["all_dates"] = "所有日期";
$strings["between_dates"] = "選擇日期";
$strings["all_content"] = "所有內容";

$strings["all_properties"] = "所有屬性";
$strings["no_results_search"] = "無符合的資料";
$strings["no_results_report"] = "無符合的資料";
$strings["schema_date"] = "YYYY/MM/DD";
$strings["hours"] = "小時";
$strings["choice"] = "選擇";
$strings["missing_file"] = "檔案遺失！";
$strings['project_site_created'] = '已成功建立專案網站';
$strings["project_site_deleted"] = "已成功刪除專案網站";
$strings["add_user_project_site"] = "使用者已成功被授權存取專案網站";
$strings["remove_user_project_site"] = "使用者權限已被移除";
$strings["add_project_site_success"] = "專案網站已成功建立";
$strings["remove_project_site_success"] = "專案網站己成功移除";
$strings["add_file_success"] = "文件已新增";
$strings["delete_file_success"] = "文件已刪除";
$strings["update_comment_file"] = "檔案說明已更新";
$strings["session_false"] = "Session error";
$strings["logs"] = "系統日誌";
$strings["logout_time"] = "自動登出";
$strings["noti_foot1"] = "此通知是由NetOffice所產生。";
$strings["noti_foot2"] = "欲查看你的NetOffice網頁，請至：";
$strings["noti_taskassignment1"] = "新任務：";
$strings["noti_taskassignment2"] = "你已被指派一項新任務：";
$strings["noti_moreinfo"] = "欲取得更多資訊，請至：";
$strings["noti_prioritytaskchange1"] = "任務優先順序已變更：";
$strings["noti_prioritytaskchange2"] = "以下任務優先順序已變更：";
$strings["noti_statustaskchange1"] = "任務狀態已變更：";
$strings["noti_statustaskchange2"] = "以下任務狀態已變更：";
$strings["login_username"] = "您必須輸入使用者名稱";
$strings["login_password"] = "請輸入密碼";
$strings["login_clientuser"] = "這是客戶帳號。你不能使用客戶帳號存取。";
$strings["user_already_exists"] = "帳號已存在，請重新命名";
$strings["noti_duedatetaskchange1"] = "任務到期日已變更：";
$strings["noti_duedatetaskchange2"] = "以下任務到期日已變更：";
$strings["company"] = "公司";
$strings["show_all"] = "全部顯示";
$strings["information"] = "資訊";
$strings["delete_message"] = "刪除此文章";
$strings["project_team"] = "專案團隊";
$strings["document_list"] = "文件列表";
$strings["bulletin_board"] = "電子佈告欄";
$strings["bulletin_board_topic"] = "電子佈告欄主題";
$strings["create_topic"] = "新增主題";
$strings["topic_form"] = "主題形式";
$strings["enter_message"] = "輸入你的訊息";
$strings["upload_file"] = "上傳檔案";
$strings["upload_form"] = "上傳自...";
$strings["upload"] = "上傳";
$strings["document"] = "文件";
$strings["approval_comments"] = "審核說明";
$strings["client_tasks"] = "客戶任務";
$strings["team_tasks"] = "團隊任務";
$strings["team_member_details"] = "專案團隊成員簡介";
$strings["client_task_details"] = "客戶任務簡介";
$strings["team_task_details"] = "團隊任務簡介";
$strings["language"] = "語言";
$strings["welcome"] = "歡迎";
$strings["your_projectsite"] = "進入你的專案網站";
$strings["contact_projectsite"] = "如有任何問題，請洽專案主管";
$strings["company_details"] = "公司簡介";
$strings["database"] = "備份／回存資料庫";
$strings["company_info"] = "編輯您的公司資料";
$strings["create_projectsite"] = "建立專案網站";
$strings["projectsite_url"] = "專案網站網址";
$strings["design_template"] = "設計範本";
$strings["preview_design_template"] = "預覽設計範本";
$strings["delete_projectsite"] = "刪除專案網站";
$strings["add_file"] = "新增檔案";
$strings["linked_content"] = "相關文件";
$strings["edit_file"] = "編輯檔案簡介";
$strings["permitted_client"] = "已被授權的客戶使用者";
$strings["grant_client"] = "取得授權觀看專案網站";
$strings["add_client_user"] = "新增客戶使用者";
$strings["edit_client_user"] = "編輯客戶使用者";
$strings["client_user"] = "客戶使用者";
$strings["client_change_status"] = "當你完成此項任務時，請變更以下的狀態";
$strings["project_status"] = "專案狀態";
$strings["view_projectsite"] = "查看專案網站";
$strings["enter_login"] = "輸入你的帳號以接收新的密碼";
$strings["send"] = "送出";
$strings["no_login"] = "無此使用者";
$strings["email_pwd"] = "密碼已送出";
$strings["no_email"] = "使用者未使用電子郵件";
$strings["forgot_pwd"] = "忘記了密碼？";
$strings["project_owner"] = "你只能修改自已的專案";
$strings["connected"] = "是否連線";
$strings["session"] = "Session";
$strings["last_visit"] = "最後上線時間";
$strings["compteur"] = "上線次數";
$strings["ip"] = "網路位址";
$strings["task_owner"] = "您並沒有權限修改這個任務";
$strings["export"] = "匯出";
$strings["browse_cvs"] = "流覽CVS";
$strings["repository"] = "CVS資料庫";
$strings["reassignment_clientuser"] = "任務重新指派";
$strings["organization_already_exists"] = "這個組織名稱已存在，請使用其他名稱。";
$strings["blank_organization_field"] = "你必須輸入客戶組織名稱";
$strings["blank_fields"] = "必要欄位";
$strings["projectsite_login_fails"] = "登入失敗";
$strings["start_date"] = "開始日期";
$strings["completion"] = "完成度";
$strings["update_available"] = "有更新的版本！";
$strings["version_current"] = "您目前所使用的版本是";
$strings["version_latest"] = "最新的版本是";
$strings["sourceforge_link"] = "請參閱phpCollab在Sourceforge中的主頁";
$strings["demo_mode"] = "目前是展示模式，此動作不被允許。";
$strings["setup_erase"] = "請刪除Setup.php檔案！";
$strings["no_file"] = "未選擇任何檔案";
$strings["exceed_size"] = "超過檔案大小限制";
$strings["no_php"] = "不允許使用Php檔";
$strings["approval_date"] = "批準日期";
$strings["approver"] = "審核者";
$strings["error_database"] = "無法連接資料庫";
$strings["error_server"] = "無法連接伺服器";
$strings["version_control"] = "版本控制";
$strings["vc_status"] = "狀態";
$strings["vc_last_in"] = "最後修改日期";
$strings["ifa_comments"] = "審核說明";
$strings["ifa_command"] = "改變審核狀態";
$strings["vc_version"] = "版本";
$strings["ifc_revisions"] = "版本修訂";
$strings["ifc_revision_of"] = "原版本";
$strings["ifc_add_revision"] = "新增版本修訂";
$strings["ifc_update_file"] = "更新檔案";
$strings["ifc_last_date"] = "上次修改日期";
$strings["ifc_version_history"] = "版本歷程";
$strings["ifc_delete_file"] = "刪除檔案的所有版本及修訂";
$strings["ifc_delete_version"] = "刪除選取的版本";
$strings["ifc_delete_review"] = "刪除選取的版本修訂";
$strings["ifc_no_revisions"] = "目前無任何修訂";
$strings["unlink_files"] = "移除檔案連結";
$strings["remove_team"] = "移除團隊成員";
$strings["remove_team_info"] = "確認要從專案團隊中移除這些成員？";
$strings["remove_team_client"] = "移除查看專案網站的權限";
$strings["note"] = "筆記";
$strings["notes"] = "筆記";
$strings["subject"] = "主旨";
$strings["delete_note"] = "刪除筆記";
$strings["add_note"] = "新增筆記";
$strings["edit_note"] = "編輯筆記";
$strings["version_increm"] = "選擇版本編號：";
$strings["url_dev"] = "開發網址";
$strings["url_prod"] = "最終網址";
$strings["note_owner"] = "你只能修改你自己的筆記";
$strings["alpha_only"] = "帳號只能包含英文字母及數字";
$strings["edit_notifications"] = "編輯電子郵件通知項目";
$strings["edit_notifications_info"] = "選擇您希望收到電子郵件通知的項目";
$strings["select_deselect"] = "選擇／取消 全部";
$strings["noti_addprojectteam1"] = "加入專案團隊：";
$strings["noti_addprojectteam2"] = "你已加入專案團隊：";
$strings["noti_removeprojectteam1"] = "已移除自專案團隊：";
$strings["noti_removeprojectteam2"] = "你已移除自專案團隊：";
$strings["noti_newpost1"] = "新發表文章：";
$strings["noti_newpost2"] = "文章已加入討論區：";
$strings["edit_noti_taskassignment"] = "我已被指派一項新的任務";
$strings["edit_noti_statustaskchange"] = "我的任務狀態已變更";
$strings["edit_noti_prioritytaskchange"] = "我的任務優先順序已變更";
$strings["edit_noti_duedatetaskchange"] = "我的任務到期日已變更";
$strings["edit_noti_addprojectteam"] = "我已加入專案團隊";
$strings["edit_noti_removeprojectteam"] = "我已自專案團隊中移除";
$strings["edit_noti_newpost"] = "討論區中有新的文章發表";
$strings["add_optional"] = "新增一選項";
$strings["assignment_comment_info"] = "新增任務指派註解";
$strings["my_notes"] = "我的筆記";
$strings["edit_settings"] = "系統設定";
$strings["max_upload"] = "最大檔案大小";
$strings["project_folder_size"] = "專案資料夾大小";

$strings["calendar"] = "行事曆";
$strings["date_start"] = "開始日期";
$strings["date_end"] = "結束日期";
$strings["time_start"] = "開始時間";
$strings["time_end"] = "結束時間";
$strings["calendar_reminder"] = "鬧鈴";
$strings["shortname"] = "簡稱";
$strings["calendar_recurring"] = "週期事件（每週）";
$strings["edit_database"] = "編輯資料庫";
$strings["noti_newtopic1"] = "新討論區：";
$strings["noti_newtopic2"] = "已新增一新討論主題至專案：";
$strings["edit_noti_newtopic"] = "已新增一新討論主題";
$strings["today"] = "本月";
$strings["previous"] = "上個月";
$strings["next"] = "下個月";
$strings["help"] = "說明";
$strings["complete_date"] = "完成日期";
$strings["scope_creep"] = "時間差異";
$strings["days"] = "天";
$strings["logo"] = "Logo";

$strings["remember_password"] = "記住密碼";
$strings["client_add_task_note"] = "注意：除非任務已被指派，否則儲存後不會出現於任務列表中！";
$strings["noti_clientaddtask1"] = "客戶新增任務：";
$strings["noti_clientaddtask2"] = "客戶自專案網站在以下的專案中新增一任務：";
$strings["phase"] = "階段";
$strings["phases"] = "階段";
$strings["phase_id"] = "階段編號";
$strings["current_phase"] = "進行中的階段";
$strings["total_tasks"] = "所有的任務";
$strings["uncomplete_tasks"] = "未完成的任務";
$strings["no_current_phase"] = "無進行中的階段";
$strings["true"] = "真";
$strings["false"] = "假";
$strings["enable_phases"] = "開發方法";
$strings["phase_enabled"] = "階段已啟用";
$strings["order"] = "順序";
$strings["options"] = "選項";
$strings["support"] = "支援";
$strings["support_request"] = "支援需求";
$strings["support_requests"] = "支援需求";
$strings["support_id"] = "需求編號";
$strings["my_support_request"] = "我的支援需求";
$strings["introduction"] = "簡介";
$strings["submit"] = "確認";
$strings["support_management"] = "支援管理";
$strings["date_open"] = "開始日期";
$strings["date_close"] = "結束日期";
$strings["add_support_request"] = "新增支援需求";
$strings["add_support_response"] = "新增支援回覆";
$strings["respond"] = "回覆";
$strings["delete_support_request"] = "支援需求己刪除";
$strings["delete_request"] = "刪除支援需求";
$strings["delete_support_post"] = "刪除支援文章";
$strings["new_requests"] = "新的需求";
$strings["open_requests"] = "處理中的需求";
$strings["closed_requests"] = "已完成的需求";
$strings["manage_new_requests"] = "管理新的需求";
$strings["manage_open_requests"] = "管理處理中的需求";
$strings["manage_closed_requests"] = "管理已完成的需求";
$strings["responses"] = "回覆";
$strings["edit_status"] = "編輯狀態";
$strings["noti_support_request_new2"] = "你已經提出一個新的支援需求：";
$strings["noti_support_post2"] = "你的支援需求有新的支援回覆。詳細資料如下。";
$strings["noti_support_status2"] = "你的支援需求已更新。詳細資料如下。";
$strings["noti_support_team_new2"] = "新的支援需求已被加入專案：";
// 2.0
$strings["delete_subtasks"] = "刪除子任務";
$strings["add_subtask"] = "新增子任務";
$strings["edit_subtask"] = "編輯子任務";
$strings["subtask"] = "子任務";
$strings["subtasks"] = "子任務";
$strings["show_details"] = "詳細內容";
$strings["updates_task"] = "任務變更歷程";
$strings["updates_subtask"] = "子任務變更歷程";
// 2.1
$strings["go_projects_site"] = "專案網站";
$strings["bookmark"] = "書籤";
$strings["bookmarks"] = "書籤";
$strings["bookmark_category"] = "類別";
$strings["bookmark_category_new"] = "新類別";
$strings["bookmarks_all"] = "所有的";
$strings["bookmarks_my"] = "我的書籤";
$strings["my"] = "自己的";
$strings["bookmarks_private"] = "私人的";
$strings["shared"] = "分享";
$strings["private"] = "私人";
$strings["add_bookmark"] = "新增書籤";
$strings["edit_bookmark"] = "編輯書籤";
$strings["delete_bookmarks"] = "刪除書籤";
$strings["team_subtask_details"] = "團隊子任務簡介";
$strings["client_subtask_details"] = "客戶子任務簡介";
$strings["client_change_status_subtask"] = "在完成此項子任務時請變更以下的狀態設定";
$strings["disabled_permissions"] = "停用帳號";
$strings["user_timezone"] = "時區（格林威治時間）";
// 2.2
$strings["project_manager_administrator_permissions"] = "專案經理管理者";
$strings["bug"] = "臭蟲追蹤";
// 2.3
$strings["report"] = "報表";
$strings["license"] = "版權說明";
// 2.4
$strings["settings_notwritable"] = "無法寫入Settings.php";
// 2.5
$strings['name_print'] = '服務名稱';
$strings['calculation'] = '計算';
$strings['items'] = '項目';
$strings['position'] = '狀態';
$strings['completed'] = '已完成';
$strings['service'] = '服務';
$strings['service_management'] = '服務管理';
$strings['hourly_rate'] = '收費／小時';
$strings['add_service'] = '新增服務';
$strings['edit_service'] = '編輯服務';
$strings['delete_services'] = '刪除服務';
$strings['worked_hours'] = '工時';
$strings["loghours"] = '記錄工時';
$strings["logtime"] = '工時紀錄';
$strings["loggedby"] = '指派給';
$strings["error_required"] = '為必要欄位';
$strings["error_numerical"] = '必需為數字';
$strings["hours_updated"] = '任務工時已更新';
$strings['add_task_time'] = '新增任務工時';
$strings['edit_task_time'] = '編輯任務工時';
$strings['delete_task_time'] = '刪除任務工時';
$strings['task_time'] = '任務工時';
// 2.5.1
$strings["email_users"] = "發送電子郵件";
$strings["email_following"] = "寄送電子郵件給以下人員";
$strings["email_sent"] = "你的郵件已成功寄出";
$strings['all'] = '所有的';
$strings['custom_reports'] = '一般報表';
$strings['custom_report_intro'] = '選擇下列符合你需求的報表類別';
$strings['completed_task_report'] = '完成任務';
$strings['completed_task_report_desc'] = '這份報表提供最近已完成的任務清單。';
$strings['time_report'] = '工時報表';
$strings['time_report_desc'] = '這份報表提供所有職員在各專案中實際的工作時數資訊。';
$strings['overdue_tasks'] = '遲滯任務';
$strings['overdue_tasks_desc'] = '這份報表提供在所有專案中到期卻未完成的任務清單。';
$strings['project_snapshot'] = '專案描述';
$strings['project_snapshot_desc'] = '這份報表提供所有專案的基本及相關資料。';
$strings['pending_tasks'] = '待決任務';
$strings['pending_tasks_desc'] = '這份報表提供以企業觀點來查看所有專案中已開始的任務。';
$strings['pm_report'] = '專案管理報表';
$strings['pm_report_desc'] = '這份報表提供所有已指派或未指派資源的專案清單。';
$strings['project_phasestatus'] = '專案階段狀態';
$strings['project_phasestatus_desc'] = '顯示所有正在進行的專案說明及其階段狀態。';
$strings['resource_usage'] = '資源使用';
$strings['resource_usage_desc'] = '這份報表提供各專案及組織的資源使用情形。';
// 2.5.2
$strings['install_erase'] = '請移除installation目錄及其內容！';
$strings['error_phpversion'] = '你的PHP版本必須大於或等於4.1.0！';
$strings['display_options'] = '顯示選項';
$strings['member_items'] = "成員項目";
$strings['project_totals'] = "專案合計";
$strings['organization_totals'] = "組織合計";
$strings['member_totals'] = "成員合計";
$strings['member_period_totals'] = "成員分時合計";
// 2.5.3
$strings['project_breakdown'] = "專案簡介";
$strings['project_breakdown_desc'] = "列舉各專案之所有人，狀態及客戶。";
$strings['start_page'] = '預設頁面';
$strings['task_id'] = '任務編號';

// dwins custom

$dayHourArray = array(
    0 => "0",
    1 => "8",
    2 => "8",
    3 => "8",
    4 => "8",
    5 => "8",
    6 => "0",
    7 => "0"
    );
$taskPredecessorTypes = array(
    "FS" => "結束後開始",
    "FF" => "結束後結束",
    "SF" => "開始後結束",
    "SS" => "開始後開始"
    );
$timestampArray = array(
    "00:00" => "上午 00:00",
    "00:30" => "上午 00:30",
    "01:00" => "上午 01:00",
    "01:30" => "上午 01:30",
    "02:00" => "上午 02:00",
    "02:30" => "上午 02:30",
    "03:00" => "上午 03:00",
    "03:30" => "上午 03:30",
    "04:00" => "上午 04:00",
    "04:30" => "上午 04:30",
    "05:00" => "上午 05:00",
    "05:30" => "上午 05:30",
    "06:00" => "上午 06:00",
    "06:30" => "上午 06:30",
    "07:00" => "上午 07:00",
    "07:30" => "上午 07:30",
    "08:00" => "上午 08:00",
    "08:30" => "上午 08:30",
    "09:00" => "上午 09:00",
    "09:30" => "上午 09:30",
    "10:00" => "上午 10:00",
    "10:30" => "上午 10:30",
    "11:00" => "上午 11:00",
    "11:30" => "上午 11:30",
    "12:00" => "下午 12:00",
    "12:30" => "下午 12:30",
    "13:00" => "下午 01:00",
    "13:30" => "下午 01:30",
    "14:00" => "下午 02:00",
    "14:30" => "下午 02:30",
    "15:00" => "下午 03:00",
    "15:30" => "下午 03:30",
    "16:00" => "下午 04:00",
    "16:30" => "下午 04:30",
    "17:00" => "下午 05:00",
    "17:30" => "下午 05:30",
    "18:00" => "下午 06:00",
    "18:30" => "下午 06:30",
    "19:00" => "下午 07:00",
    "19:30" => "下午 07:30",
    "20:00" => "下午 08:00",
    "20:30" => "下午 08:30",
    "21:00" => "下午 09:00",
    "21:30" => "下午 09:30",
    "22:00" => "下午 10:00",
    "22:30" => "下午 10:30",
    "23:00" => "下午 11:00",
    "23:30" => "下午 11:30",
    "24:00" => "上午 00:00"
    );
$reminderTimeArray = array(
    "0"     => "--",
    "5"     => "5 分鐘",
    "15"    => "15 分鐘",
    "30"    => "30 分鐘",
    "60"    => "1 小時",
    "120"   => "2 小時",
    "180"   => "3 小時",
    "360"   => "6 小時",
    "720"   => "12 小時",
    "1440"  => "1 天",
    "2880"  => "2 天",
    "4320"  => "3 天",
    "5760"  => "4 天",
    "7200"  => "5 天",
    "8640"  => "6 天",
    "10080" => "1 星期",
    "11520" => "8 天",
    "12960" => "9 天",
    "14400" => "10 天",
    "15840" => "11 天",
    "17280" => "12 天",
    "18720" => "13 天",
    "20160" => "2 星期"
    );
$resourceTypeArray = array(
    "members"    => "人力"
    );
$personEvaluationValueArray = array(
    1 => array("percent" => 0.2, "display" => "極差"),
    2 => array("percent" => 0.4, "display" => "差"),
    3 => array("percent" => 0.6, "display" => "普通"),
    4 => array("percent" => 0.8, "display" => "佳"),
    5 => array("percent" => 1,   "display" => "極佳")
    );
$personEvaluationTypeArray = array(
    0   => "任務",
    1   => "專案管理"
    );
$personEvaluationItemArraySets = array(
    // Define the names of person evaluation item sets
    'sets' => array(
        0    => "撰寫軟體開發計畫",
        1    => "撰寫系統規格",
        2    => "撰寫系統分析文件",
        3    => "撰寫系統設計文件",
        4    => "撰寫程式規格說明書",
        5    => "程式製作",
        6    => "元件測試",
        7    => "撰寫系統使用手冊",
        8    => "撰寫軟體整合測試計畫",
        9    => "撰寫軟體整合測試報告",
        10   => "軟體整合測試",
        11   => "撰寫系統安裝及管理手冊",
        12   => "撰寫系統整合測試計畫",
        13   => "撰寫系統整合測試報告",
        14   => "系統整合測試",
        15   => "撰寫系統建置計畫",
        16   => "系統建置",
        17   => "問題記錄及追蹤",
        18   => "教育訓練",
        100  => "撰寫教材",
        101  => "講師授課",
        102  => "學員上課",
        103  => "自修",
        104  => "系統維護",
        1000 => "專案管理"
        ),
    // List the individual items within each person evaluation item set.
    // 撰寫軟體開發計畫 Set
    0 => array(0 => "300", 1 => "item"),
    // 撰寫系統規格 Set
    1 => array(0 => "300", 1 => "item"),
    // 撰寫系統分析文件 Set
    2 => array(0 => "150", 1 => "day"),
    // 撰寫系統設計文件 Set
    3 => array(0 => "150", 1 => "day"),
    // 撰寫程式規格說明書 Set
    4 => array(0 => "100", 1 => "day"),
    // 程式製作 Set
    5 => array(0 => "100", 1 => "day"),
    // 元件測試 Set
    6 => array(0 => "100", 1 => "day"),
    // 撰寫系統使用手冊 Set
    7 => array(0 => "100", 1 => "day"),
    // 撰寫軟體整合測試計畫 Set
    8 => array(0 => "150", 1 => "day"),
    // 撰寫軟體整合測試報告 Set
    9 => array(0 => "150", 1 => "day"),
    // 軟體整合測試 Set
    10 => array(0 => "150", 1 => "day"),
    // 撰寫系統安裝及管理手冊 Set
    11 => array(0 => "150", 1 => "day"),
    // 撰寫系統整合測試計畫 Set
    12 => array(0 => "150", 1 => "day"),
    // 撰寫系統整合測試報告 Set
    13 => array(0 => "150", 1 => "day"),
    // 系統整合測試 Set
    14 => array(0 => "150", 1 => "day"),
    // 撰寫系統建置計畫 Set
    15 => array(0 => "150", 1 => "day"),
    // 系統建置 Set
    16 => array(0 => "150", 1 => "day"),
    // 問題記錄及追蹤 Set
    17 => array(0 => "50", 1 => "day"),
    // 教育訓練 Set
    18 => array(0 => "40", 1 => "hour"),
    // 撰寫教材 Set
    100 => array(0 => "0", 1 => "item"),
    // 講師授課 Set
    101 => array(0 => "40", 1 => "hour"),
    // 學員上課 Set
    102 => array(0 => "20", 1 => "hour"),
    // 自修 Set
    103 => array(0 => "500", 1 => "qtr"),
    // 系統維護 Set
    104 => array(0 => "500", 1 => "qtr"),
    // 專案管理 Set
    1000 => array(0 => "1000", 1 => "item")
    );
$personEvaluationUnitArray = array(
    "item" => "項",
    "day"  => "天",
    "hour" => "小時",
    "qtr"  => "季"
    );
$personEvaluationPhaseArray = array(
    // List the individual default person evaluation items within each phase set.
    '構思'                   => '0',
    '規劃'                   => '2',
    '開發'                   => '5',
    '測試'                   => '6',
    '上線'                   => '16',
    '維護'                   => '104',
    '系統規劃'               => '0',
    '軟體需求分析'           => '2',
    '軟體設計'               => '3',
    '程式製作與元件測試'     => '5',
    '軟體整合與測試'         => '10',
    '系統整合與測試'         => '14',
    '系統建置'               => '16',
    '軟體維護'               => '104'
    );
$statusEvaluation = array(PE_SUBMITTED => "是", PE_OPEN => "否");
$milestoneis = array(MS_YES => "是", MS_NO => "否");
$statusTimesheet = array(
    TS_SUBMITTED => "已提交",
    TS_OPEN => "未完成",
    TS_APPROVED => "審核通過",
    TS_REJECTED => "駁回"
    );
$workTypes = array(
    WT_PROJECT => '專案',
    WT_OTHERS => '其他',
    WT_SALES => '業務',
    WT_LEAVE => '請假'
    );
$hourCodeArray = array(
    0     => "撰寫軟體開發計畫",
    1     => "撰寫系統規格",
    2     => "撰寫系統分析文件",
    3     => "撰寫系統設計文件",
    4     => "撰寫程式規格說明書",
    5     => "程式製作",
    6     => "元件測試",
    7     => "撰寫系統使用手冊",
    8     => "撰寫軟體整合測試計畫",
    9     => "撰寫軟體整合測試報告",
    10    => "軟體整合測試",
    11    => "撰寫系統安裝及管理手冊",
    12    => "撰寫系統整合測試計畫",
    13    => "撰寫系統整合測試報告",
    14    => "系統整合測試",
    15    => "撰寫系統建置計畫",
    16    => "系統建置",
    17    => "問題記錄及追蹤",
    18    => "教育訓練",
    100   => "撰寫教材",
    101   => "講師授課",
    102   => "學員上課",
    103   => "自修",
    104   => "系統維護",
    105   => "召募人員",
    106   => "自修",
    107   => "廠商產品介紹",
    108   => "外部研討會",
    109   => "外部訓練",
    110   => "內部研討會",
    111   => "內部訓練",
    112   => "會議",
    199   => "其他",
    10000 => "初次訪談",
    10001 => "銷售訪談",
    10002 => "需求討論",
    10003 => "提案",
    10004 => "報價",
    10005 => "簽約",
    10006 => "行銷",
    10099 => "其他",
    10100 => "年假",
    10101 => "病假",
    10102 => "事假",
    10103 => "公假",
    10104 => "喪假",
    10105 => "婚假",
    10106 => "(陪)產假"
    );
$dayType = array(
    DT_WEEKEND => '週末',
    DT_STATUTORY_HOLIDAY => '法定假日',
    DT_MAKEUP_HOLIDAY => '補假',
    DT_WORKDAY => '工作日'
    );

$billingFlag = array(
    BF_YES => '計費',
    BF_NO => '不計費'
    );

$actionType = array(
    AT_TIMESHEET => '工時紀錄表',
    AT_LEAVE => '請假'
    );

$strings['hours_logged'] = '工時紀錄';
$strings['hours_logged_from'] = '自';
$strings['hours_logged_to'] = '至';
$strings['hours_total'] = '總計';
$strings['ru_detail'] = '資源使用情形';
$strings['ru_detail_from'] = '自';
$strings['ru_detail_to'] = '至';
$strings['ru_total_project'] = '專案合計';
$strings['ru_total_org'] = '客戶組織合計';
$strings['ru_total_mem'] = '職員合計';
$strings['ru_subtotal'] = '小計';
$strings['meetings'] = '會議';
$strings['meeting'] = '會議';
$strings['edit_meeting'] = '編輯會議';
$strings['copy_meeting'] = '複製會議';
$strings['add_meeting'] = '新增會議';
$strings["delete_meetings"] = "刪除會議";
$strings['me_agenda'] = '主題';
$strings['me_location'] = '地點';
$strings['me_minutes'] = '會議紀錄';
$strings['me_chairman'] = '主席';
$strings['me_recorder'] = '記錄';
$strings['attendants'] = '參與人員';
$strings['select_all_but_clients'] = '全選但不包含客戶';
$strings['start_time'] = '開始時間';
$strings['end_time'] = '結束時間';
$strings['meeting_id'] = '會議編號';
$strings['updates_meeting'] = '會議變更歷程';
$strings['add_meeting_time'] = '新增會議工時';
$strings['edit_meeting_time'] = '編輯會議工時';
$strings['delete_meeting_time'] = '刪除會議工時';
$strings['meeting_time'] = '會議工時';
$strings["edit_noti_meetingassignment"] = "我已被指派一項新的會議";
$strings["edit_noti_statusmeetingchange"] = "我的會議狀態已變更";
$strings["edit_noti_prioritymeetingchange"] = "我的會議優先順序已變更";
$strings["edit_noti_locationmeetingchange"] = "我的會議地點已變更";
$strings["edit_noti_timemeetingchange"] = "我的會議時間已變更";
$strings['edit_noti_checklogtime'] = '每週提醒我填寫紀錄工時';
$strings['edit_noti_todolist'] = '提醒我今天的工作事項';
$strings['edit_noti_timesheetapproved'] = '我的工時紀錄表被核准';
$strings['edit_noti_timesheetrejected'] = '我的工時紀錄表被駁回';
$strings["noti_meetingassignment1"] = "新會議：";
$strings["noti_meetingassignment2"] = "你已被指派一項新會議：";
$strings["noti_prioritymeetingchange1"] = "會議優先順序已變更：";
$strings["noti_prioritymeetingchange2"] = "以下會議優先順序已變更：";
$strings["noti_statusmeetingchange1"] = "會議狀態已變更：";
$strings["noti_statusmeetingchange2"] = "以下會議狀態已變更：";
$strings["noti_locationmeetingchange1"] = "會議地點已變更：";
$strings["noti_locationmeetingchange2"] = "以下會議地點已變更：";
$strings["noti_timemeetingchange1"] = "會議時間已變更：";
$strings["noti_timemeetingchange2"] = "以下會議時間已變更：";
$strings["noti_checklogtime1"] = "工時紀錄未填寫：";
$strings["noti_checklogtime2"] = "以下日期的工時紀錄未詳實填寫：";
$strings['noti_todolist1'] = '今日工作清單：';
$strings['noti_todolist2'] = '以下是今日的工作清單：';
$strings['noti_todolist3'] = '延遲清單：';
$strings['noti_todolist4'] = '任務清單：';
$strings['noti_todolist5'] = '會議清單：';
$strings['noti_todolist6'] = '今日鬧鈴清單：';
$strings['noti_todolist7'] = '以下是今日的鬧鈴清單：';
$strings['noti_todolist8'] = '鬧鈴清單：';
$strings['noti_orphan1'] = '問題任務清單：';
$strings['noti_orphan2'] = '以下任務所指派的人員已不存在，請重新指派：';
$strings["attendants_modification_succeeded"] = "參與人員修改完成";
$strings['cal_personal'] = '個人';
$strings['fixed_duration'] = '固定期間';
$strings['milestone'] = '里程埤';
$strings['interdependency_failed'] = '任務相依性衝突，修改失敗！';
$strings["hour"] = "小時";
$strings['duration'] = '期間';
$strings['task_dependencies'] = '任務從屬';
$strings['lag'] = '間隔期間';
$strings["predecessor"] = "從屬";
$strings["add_predecessor"] = "新增任務從屬";
$strings["edit_predecessor"] = "編輯任務從屬";
$strings["delete_predecessors"] = "刪除任務從屬";
$strings["add_predecessor_success"] = "任務從屬已新增";
$strings["delete_predecessor_success"] = "任務從屬已刪除";
$strings['no_possible_tasks'] = '沒有可連結的任務';
$strings['lack_of_dates'] = '開始／到期日資訊不足';
$strings['ftok_error'] = 'Mutex鎖定失敗，請連絡系統管理員！';
$strings['sem_get_error'] = 'Mutex鎖定失敗，請連絡系統管理員！';
$strings['sem_acquire_error'] = '交易失敗，請稍後再試！';
$strings['calendar_reminder_time1'] = '於事件之前';
$strings['calendar_reminder_time2'] = '及';
$strings['calendar_reminder_time3'] = '傳送提醒訊息';
$strings["send_reminder1"] = "個人鬧鈴清單：";
$strings["send_reminder2"] = "以下是個人的鬧鈴清單：";
$strings["send_reminder3"] = "專案鬧鈴清單：";
$strings["send_reminder4"] = "以下是";
$strings["send_reminder5"] = "專案的鬧鈴清單：";
$strings["send_reminder6"] = "會議通知：";
$strings["meeting_reminder"] = "鬧鈴";
$strings['meeting_reminder_time1'] = '於會議之前';
$strings['meeting_reminder_time2'] = '及';
$strings['meeting_reminder_time3'] = '傳送提醒訊息';
$strings["add_resource"] = "新增任務資源";
$strings["edit_resource"] = "編輯任務資源";
$strings["delete_resources"] = "刪除任務資源";
$strings['no_available_resources'] = '沒有此種型態的資源';
$strings["delete_resource_success"] = "任務資源已刪除";
$strings['supervisor'] = '主管';
$strings['agent'] = '代理人';
$strings['person_evaluation'] = '人員評量';
$strings['person_evaluations'] = '人員評量';
$strings['open_items'] = '未提交的';
$strings['submitted_items'] = '已提交的';
$strings['item'] = '項目';
$strings['appraiser'] = '評價人員';
$strings['member'] = '受評人員';
$strings['standard'] = '標準';
$strings['value'] = '評價';
$strings['submitted'] = '已提交';
$strings['add_person_evaluation'] = '新增人員評量';
$strings['delete_person_evaluations'] = '刪除人員評量';
$strings['edit_person_evaluation'] = '編輯人員評量';
$strings['copy_person_evaluation'] = '複製人員評量';
$strings['add_submitted_items'] = '加入已提交項目中';
$strings['remove_submitted_items'] = '自已提交項目中移除';
$strings['points'] = '點';
$strings['no_partial_task_type'] = "不允許刪除型態為'任務'的人員評量項目";
$strings['no_partial_task_type_cpy'] = "不允許複製型態為'任務'的人員評量項目";
$strings['no_partial_submitted'] = "不允許刪除已提交的人員評量項目";
$strings['add_submitted_item_success'] = "已成功加入已提交項目中";
$strings['remove_submitted_item_success'] = "已成功自已提交項目中移除";
$strings['appraiser_missing'] = "不允許新增或刪除提交無評價人員的評量項目";
$strings['person_performance_report'] = '人員績效報表';
$strings['person_performance_report_desc'] = '這份報表提供所有職員的工作績效。';
$strings['leave_report'] = '休假報表';
$strings['leave_report_desc'] = '這份報表提供所有職員的休假紀錄。';
$strings['my_meetings'] = '我的會議';
$strings["dwins_link"] = "請參閱netOffice在敦緯數位服務中的主頁";
$strings['noti_meetingminutes1'] = '會議紀錄：';
$strings['noti_meetingminutes2'] = '下列為會議紀錄：';
$strings['indentation'] = '縮排';
$strings['unindentation'] = '取消縮排';
$strings['taskgroup'] = '任務群組';
$strings['add_taskgroup'] = '新增任務群組';
$strings['edit_taskgroup'] = '編輯任務群組';
$strings['copy_taskgroup'] = '複製任務群組';
$strings['task_indentation'] = '任務縮排';
$strings['task_unindentation'] = '取消任務縮排';
$strings['no_milestone_indentation'] = '無法移動里程埤！';
$strings['no_leading_task_indentation'] = '無法移動開頭的任務！';
$strings['no_leading_subtask_indentation'] = '無法移動開頭的子任務！';
$strings['result_in_a_loop_indentation'] = '無法移動這個任務，因為它會導致無窮迴圈！';
$strings['task_indent_success'] = '任務已被向下移動';
$strings['no_parent_task_unindentation'] = '無法移動這個任務，因為它不是一個子任務！';
$strings['task_unindent_success'] = '任務已被向上移動';
$strings['tasks_in_different_levels'] = '無法將不同層的任務組成群組！';
$strings['tasks_belong_to_different_parent'] = '無法將屬於不同父任務的任務組成群組！';
$strings['tasks_belong_to_different_phase'] = '無法將屬於不同階段的任務組成群組！';
$strings['no_milestone_belong_to_task_group'] = '無法將里程埤組成群組！';
$strings['delete_dependencies'] = '刪除任務相依性';
$strings['delete_dependencies_success'] = '任務相依性已刪除';
$strings['delete_subtasks'] = '任務中的子任務也會被一併刪除';
$strings['meeting_details'] = '會議簡介';
$strings['working_hours'] = '工作時數';
$strings['timesheet'] = '時間紀錄表';
$strings['hr_manager_permissions'] = '人事經理';
$strings['hourtype'] = '工時別';
$strings['hourcode'] = '工時碼';
$strings['billable'] = '計費';
$strings['submit_timesheet'] = '提交工時紀錄表';
$strings['edit_work_hours'] = '編輯工時';
$strings['delete_work_hours'] = '刪除工時';
$strings['month'] = '月份';
$strings['actual'] = '實際';
$strings['timesheet_report'] = '時間紀錄報表';
$strings['timesheet_report_desc'] = '這份報表提供所有職員的時間紀錄表。';
$strings['actived'] = '有效的成員';
$strings['last_month'] = '上個月';
$strings['between_months'] = '選擇月份';
$strings['delayed_list'] = '延遲清單';
$strings['workcalendar'] = '工作行事曆';
$strings['workcalendar_management'] = '工作行事曆管理';
$strings['this_year'] = '本年度';
$strings['previous_year'] = '上一年度';
$strings['next_year'] = '下一年度';
$strings['billing'] = '計費';
$strings["timesheet_management"] = "工時紀錄表管理";
$strings['edit_timesheet'] = '編輯工時紀錄表';
$strings['approve_timesheet'] = '核准工時紀錄表';
$strings['reject_timesheet'] = '駁回工時紀錄表';
$strings['submit_timesheets_success'] = '工時紀錄表已提交';
$strings['approve_timesheets_success'] = '工時紀錄表已核准';
$strings['reject_timesheets_success'] = '工時紀錄表已駁回';
$strings['submit_following'] = '確認要提交下列的資料？';
$strings['approve_following'] = '確認要核准下列的資料？';
$strings['reject_following'] = '確認要駁回下列的資料？';
$strings['theme'] = '佈景主題';
$strings["noti_timesheetsubmit1"] = "工時紀錄表已提交：";
$strings["noti_timesheetsubmit2"] = "以下工時紀錄表已被提交：";
$strings["noti_timesheetapproval1"] = "工時紀錄表已核准：";
$strings["noti_timesheetapproval2"] = "以下工時紀錄表已被核准：";
$strings["noti_timesheetreject1"] = "工時紀錄表已駁回：";
$strings["noti_timesheetreject2"] = "以下工時紀錄表已被駁回：";
$strings['layout'] = '版面編排';
$strings['action_expired'] = '此事件已過期';
$strings['more_approval'] = '更多審核';
$strings['approval_history'] = '審核歷程';
$strings['error_hours'] = '需小於或等於24小時';
$strings['view_work_hours'] = '查看工時';
$strings['view_task_time'] = '查看任務工時';
$strings['view_meeting_time'] = '查看會議工時';
$strings['add_work_hours'] = '新增工時';
$strings['leave'] = '休假';
$strings['leaves'] = '休假';
$strings['leave_management'] = '休假管理';
$strings['add_leave'] = '新增休假';
$strings['edit_leave'] = '編輯休假';
$strings['delete_leaves'] = '刪除休假';
$strings['year'] = '年度';
$strings['leave_request'] = '休假申請';
$strings['leave_request_id'] = '休假申請編號';
$strings['leave_requests'] = '休假申請';
$strings['add_leave_request'] = '新增休假申請';
$strings['edit_leave_request'] = '編輯休假申請';
$strings['delete_leave_request'] = '刪除休假申請';
$strings['noti_leaverequest1'] = '休假申請通知：';
$strings['noti_leaverequest2'] = '以下為休假的申請：';
$strings['noti_leavechanged1'] = '休假申請變更通知：';
$strings['noti_leavechanged2'] = '以下休假申請已變更：';
$strings['noti_leavewithdraw1'] = '休假申請撤回通知：';
$strings['noti_leavewithdraw2'] = '以下休假申請已撤回：';
$strings['noti_leaveapproval1'] = '休假申請已核准：';
$strings['noti_leaveapproval2'] = '以下休假申請已被核准：';
$strings['noti_leavereject1'] = '休假申請已駁回：';
$strings['noti_leavereject2'] = '以下休假申請已被駁回：';
$strings['approve_leaverequest'] = '核准休假申請';
$strings['reject_leaverequest'] = '駁回休假申請';
$strings['approve_leaverequest_success'] = '休假申請已核准';
$strings['reject_leaverequest_success'] = '休假申請已駁回';
$strings['proposer'] = '申請人';
$strings['edit_noti_leaveapproved'] = '我的休假申請被核准';
$strings['edit_noti_leaverejected'] = '我的休假申請被駁回';
$strings['hours_left'] = '剩下時數';
$strings['action_missing'] = '此通知已經失效！';
$strings['overtime'] = '超時';
$strings['work_hours'] = '工時';
$strings['timeticket_management'] = '工時單管理';
$strings['add_timeticket'] = '新增工時單';
$strings['edit_timeticket'] = '編輯工時單';
$strings['delete_timetickets'] = '刪除工時單';
$strings['timeticket'] = '工時單';
$strings['calculate'] = '計算';
$strings["meeting_owner"] = "您並沒有權限修改這個會議";
$strings['timeticket_in_use'] = '此工時單使用中';
$strings['here'] = '這裡';
$strings['assigned_to_above'] = '指派給此使用者';
$strings['actions'] = '動作';
$strings['need_to_approve'] = '等待此使用者核准';
$strings['parent_task'] = '父任務';
$strings['no_workcalendar'] = '工作行事曆尚未維護，請洽您的人事經理';
$strings['edit_noti_clientaddtask'] = '客戶自專案網站新增一任務';
$strings['no_supervisors'] = '沒人可審核你的休假申請，請洽您的人事經理';
$strings['member_allocation'] = '人員配置';
$strings['member_allocation_desc'] = '這份報表彙總目前人員配置資訊，做為未來工作配置參考。';
$strings['daily_total'] = '每日合計';
$strings['overdue_hours'] = '過期工時';
$strings['reset_sortings'] = '重設清單排序';
$strings['sortings_resetted'] = '清單排序已回復初始值';
$strings['opposite'] = '相對的';
$strings['no_available_users'] = '沒有可執行此項動作的使用者';
$strings['invalid_email'] = '電子郵件地址是無效的！';
$strings["simple_search"] = "簡單搜尋";
$strings["advance_search"] = "進階搜尋";
$strings["keywords_too_short"] = "關鍵字長度至少為2";
$strings["dear"] = "親愛的";
$strings["invalid_depth"] = "參數depth必須大於0";


// Defines for graphtasks
DEFINE("GRAPH_TITLE_FONT", FF_CHINESE);
DEFINE("GRAPH_TITLE_FONT_STYLE", FS_NORMAL);
DEFINE("GRAPH_WEEK_FONT", FF_CHINESE);
DEFINE("GRAPH_ACTINFO_FONT", FF_CHINESE);
DEFINE("GRAPH_ACTINFO_FONT_STYLE", FS_NORMAL);
DEFINE("ACTIVITY_TITLE_FONT", FF_CHINESE);
DEFINE("ACTIVITY_CAPTION_FONT", FF_CHINESE);


?>
