<?php // $Revision: 1.1.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listfiles.php,v 1.1.2.1 2007/11/24 13:45:16 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$tmpquery = " WHERE pro.id='$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$teamMember = "false";
$tmpquery = " WHERE tea.project='$project' AND tea.member='$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $id = $_GET['id'];

    if ($action == "publish") {
        $addToSiteFile = $_GET['addToSiteFile'];

        if ($addToSiteFile == 'true') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['files'] . " SET published='" . PB_YES . "' WHERE id IN($id) OR vc_parent IN ($id)";
            connectSql($tmpquery1);
            $msg = 'addToSite';
        }

        $removeToSiteFile = $_GET['removeToSiteFile'];

        if ($removeToSiteFile == 'true') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['files'] . " SET published='" . PB_NO . "' WHERE id IN($id) OR vc_parent IN ($id)";
            connectSql($tmpquery1);
            $msg = 'removeToSite';
        }
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("linked_content"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "lsF";
$block1->openForm("../linkedcontent/listfiles.php?project=$project#" . $block1->form . "Anchor");
$block1->heading(lang_strings("linked_content"));
$block1->openPaletteIcon();

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->paletteIcon(0, 'add', lang_strings('add'));
    $block1->paletteIcon(1, 'remove', lang_strings('delete'));

    if ($sitePublish == 'true') {
        $block1->paletteIcon(2, 'add_projectsite', lang_strings('add_project_site'));
        $block1->paletteIcon(3, 'remove_projectsite', lang_strings('remove_project_site'));
    }
}

$block1->paletteIcon(4, 'info', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->paletteIcon(5, 'edit', lang_strings('edit'));
}

$block1->closePaletteIcon();
$block1->sorting('files', $sortingUser->sor_files[0], 'fil.name ASC', $sortingFields = array(0 => 'fil.extension', 1 => 'fil.name', 2 => 'fil.task', 3 => 'fil.date', 4 => 'fil.status', 5 => 'fil.published'));
$tmpquery = " WHERE fil.project='$project' AND fil.vc_parent='0' ORDER BY $block1->sortingValue";
$listFiles = new request();
$listFiles->openFiles($tmpquery);
$comptListFiles = count($listFiles->fil_id);

if ($comptListFiles != '0') {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings('type'), 1 => lang_strings('name'), 2 => lang_strings('task'), 3 => lang_strings('date'), 4 => lang_strings('approval_tracking'), 5 => lang_strings('published')), 'true');
    require_once('../includes/files_types.php');

    for ($i = 0; $i < $comptListFiles; $i++) {
        $existFile = 'false';
        $idStatus = $listFiles->fil_status[$i];
        $idPublish = $listFiles->fil_published[$i];
        $type = file_info_type($listFiles->fil_extension[$i]);

        if ($listFiles->fil_task[$i] != '0') {
            if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_task[$i] . '/' . $listFiles->fil_name[$i])) {
                $existFile = 'true';
            }
        } else {
            if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_name[$i])) {
                $existFile = 'true';
            }
        } 

        $block1->openRow();
        $block1->checkboxRow($listFiles->fil_id[$i]);

        if ($existFile == 'true') {
            $block1->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $type, icone));
        } else {
            $block1->cellRow('&nbsp;');
        } 

        if ($existFile == 'true') {
            $block1->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $listFiles->fil_name[$i], in));
        } else {
            $block1->cellRow(lang_strings('missing_file') . ' (' . $listFiles->fil_name[$i] . ')');
        } 

        if ($listFiles->fil_task[$i] != '0') {
            $block1->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listFiles->fil_task[$i], $listFiles->fil_tas_name[$i], in));
        } else {
            $block1->cellRow('&nbsp;');
        }

        $block1->cellRow($listFiles->fil_date[$i]);
        $block1->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $statusFile[$idStatus], in));

        if ($sitePublish == 'true') {
            $block1->cellRow($statusPublish[$idPublish]);
        } 

        $block1->closeRow();
    } 

    $block1->closeResults();
} else {
    $block1->noresults();
} 

$block1->closeToggle();
$block1->closeFormResults();
$block1->openPaletteScript();

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->paletteScript(0, 'add', '../linkedcontent/addfile.php?project=' . $project, 'true,false,false', lang_strings('add'));
    $block1->paletteScript(1, 'remove', '../linkedcontent/deletefiles.php?project=' . $project, 'false,true,true', lang_strings('delete'));

    if ($sitePublish == 'true') {
        $block1->paletteScript(2, 'add_projectsite', '../linkedcontent/listfiles.php?addToSiteFile=true&project=' . $project . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
        $block1->paletteScript(3, 'remove_projectsite', '../linkedcontent/listfiles.php?removeToSiteFile=true&project=' . $project . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
    }
}

$block1->paletteScript(4, 'info', '../linkedcontent/viewfile.php', 'false,true,false', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->paletteScript(5, 'edit', '../linkedcontent/viewfile.php?edit=true', 'false,true,false', lang_strings('edit'));
} 

$block1->closePaletteScript($comptListFiles, $listFiles->fil_id);
require_once("../themes/" . THEME . "/footer.php");

?>
