<?php // $Revision: 1.13 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: addmeetingtime.php,v 1.13 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = 'onLoad="document.saMForm.hr.focus();"';

if ($meeting != "") {
    $cheatCode = "true";
}

if ($meeting != "" && $cheatCode == "true") {
    $id = $meeting;
}

// Meeting Detail
$tmpquery = "WHERE mee.id = '$id'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);

// Project Detail
$tmpquery = "WHERE pro.id = '" . $meetingDetail->mee_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

// Make sure this person has thr right to log hours for this meeting
$teamMember = "false";
$tmpquery = "WHERE tea.project = '" . $meetingDetail->mee_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if ($teamMember == 'false' && $projectsFilter == "true" && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header("Location:../general/permissiondenied.php");
    exit;
}

// Check field values
if ($_GET['action'] == 'add') {
    $msgLabel .= ''; // init
     
    // make sure we have the required information
    if (!empty($hr)) {
        if (!is_numeric($hr)) {
            // we need this to be numeric
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_numerical');
        } 
    } else {
        // we need this to be numeric
        $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_required');
    } 

    if (empty($msgLabel)) {
        $tmpquery = "WHERE tim.owner='$owner' AND tim.month='" . substr($ld, 0, 4) . substr($ld, 5, 2) . "' AND tim.status<>'" . TS_OPEN . "'";
        $listTimeSheet = new request();
        $listTimeSheet->openTimesheet($tmpquery);
        $comptListTimeSheet = count($listTimesheet->tim_id);

        if ($comptListTimeSheet > 0)
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('timesheet') . ' ' . lang_strings('submitted');
    }

    // insert meeting time in database
    if (empty($msgLabel)) {
        $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery1 = 'INSERT INTO ' . $tableCollab['meetings_time'] . " (owner,project,meeting,date,hours,comments,created) VALUES ('$owner','" . $meetingDetail->mee_project[0] . "','$id','$ld','$hr','$comm','$dateheures')";
        connectSql($tmpquery1);
        $ld = null;
        $hr = null;
        $comm = null; 
        // successful insert
        $msgLabel = '<b>' . lang_strings('success') . '</b> : ' . lang_strings('hours_updated');
    } else {
        $bodyCommand = 'onLoad="document.saMForm.hr.focus();"';
        $hr_highlight = true;
    }
} 

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $meetingDetail->mee_id[0], $meetingDetail->mee_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("add_meeting_time"));
$blockPage->closeBreadcrumbs();

// message for success/failure
if ($msgLabel) {
    $blockPage->messagebox($msgLabel);
}

$tmpquery1 = "SELECT sum(hours) FROM " . $tableCollab['meetings_time'];
$blockPage->bornesNumber = "1";
// get actual time for meeting
$meetingActualTime = new request();
$actualTime = $meetingActualTime->getMeetingTime($id);
$block1 = new block();
$block1->form = "saM";
$block1->openForm("../meetings/addmeetingtime.php?id=$id&amp;project=" . $projectDetail->pro_name[0] . "&amp;action=add#" . $block1->form . "Anchor");
$block1->heading(lang_strings("add_meeting_time") . " : " . $meetingDetail->mee_name[0]);
$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
$block1->contentRow(lang_strings("meetings"), $meetingDetail->mee_name[0]);
$block1->contentRow(lang_strings("me_agenda"), nl2br(html_entity_decode($meetingDetail->mee_agenda[0])));
$block1->contentRow(lang_strings("actual_time"), $actualTime . " " . lang_strings("hours"));
$block1->contentTitle(lang_strings("add_meeting_time"));
$tmpquery = "WHERE tea.project = '" . $projectDetail->pro_id[0] . "' ORDER BY mem.name";
$projmem = new request();
$projmem->openTeams($tmpquery);
$comptProjmem = count($projmem->tea_mem_id);
$ownerSel = '<select name="owner">';

// get project team listing for owner select lists, default to logged user
for ($i = 0;$i < $comptProjmem;$i++) {
    if ($projmem->tea_mem_profil[$i] == PF_CLIENT_USER) {
        $clientUser = ' (' . lang_strings('client_user') . ')';
    } else {
        $clientUser = '';
    }

    if ($nameSession == $projmem->tea_mem_name[$i]) {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "' selected>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
    } else {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "'>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
    }
}

$ownerSel .= '</select>';
$block1->contentRow(lang_strings('owner'), $ownerSel);

if ($ld == '') {
    $ld = $date;
}

$block1->contentRow(lang_strings('date'), "<input type=\"text\" class=\"input_datetime\" name=\"ld\" id=\"sel1\" 
size=\"20\" value=\"$ld\" readonly><button type=\"reset\" id=\"trigger_a\">...</button>
<script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");

if ($hr_highlight) {
    $block1->contentRow("* " . lang_strings("worked_hours"), '<input size="20" value="' . $hr . '" class="input_hours_highlight" name="hr" maxlength="6" type="text">');
} else {
    $block1->contentRow("* " . lang_strings("worked_hours"), '<input size="20" value="' . $hr . '" class="input_hours" name="hr" maxlength="6" type="text">');
}

$block1->contentRow(lang_strings("comments"), '<textarea rows="3" class="textarea_3rows" name="comm" cols="47">' . $comm . '</textarea>');
$block1->contentRow("", "<input type='SUBMIT' value='" . lang_strings("save") . "'>");
$block1->closeContent();
$block1->closeForm();
// This will display time log detail for the current meeting
$block2 = new block();
$block2->form = "ahT";
$block2->openForm("../meetings/addmeetingtime.php?id=$id#" . $block2->form . "Anchor");
$block2->heading(lang_strings("meeting_time") . ' : ' . lang_strings("details"));
$block2->openPaletteIcon();
$block2->paletteIcon(0, "remove", lang_strings("delete"));
$block2->paletteIcon(1, "edit", lang_strings("edit"));
$block2->closePaletteIcon();
$block2->borne = $blockPage->returnBorne("1");
$block2->rowsLimit = "20";
$block2->sorting('meetings_time', $sortingUser->sor_meetings_time[0], 'mti.date ASC', $sortingFields = array(0 => 'mem.name', 1 => 'mti.date', 2 => 'mti.hours', 3 => 'mti.created', 4 => 'mti.modified', 5 => 'mti.comments'));
$tmpquery = "WHERE mti.meeting = '$id' ORDER BY $block2->sortingValue";
$block2->recordsTotal = compt($initrequest["meetings_time"] . " " . $tmpquery);
$listMeetingTimes = new request();
$listMeetingTimes->openMeetingTime($tmpquery, $block2->borne, $block2->rowsLimit);
$comptListMeetingTimes = count($listMeetingTimes->mti_id);

if ($comptListMeetingTimes != "0") {
    $block2->openResults();
    $block2->labels($labels = array(0 => lang_strings("owner"), 1 => lang_strings("date"), 2 => ucfirst(lang_strings("hours")), 3 => lang_strings("created"), 4 => lang_strings("modified"), 5 => lang_strings('comment')), "true"); 

    // display logged hours for project
    for ($i = 0;$i < $comptListMeetingTimes;$i++) {
        $block2->openRow();
        $block2->checkboxRow($listMeetingTimes->mti_id[$i], 'true');
        $block2->cellRow($listMeetingTimes->mti_mem_name[$i]);
        $block2->cellRow($listMeetingTimes->mti_date[$i]);
        $block2->cellRow($listMeetingTimes->mti_hours[$i]);
        $block2->cellRow($listMeetingTimes->mti_created[$i]);
        $block2->cellRow($listMeetingTimes->mti_modified[$i]); 
        // truncate large comments to keep the display clean
        $comments = nl2br(html_entity_decode($listMeetingTimes->mti_comments[$i], ENT_QUOTES, $htmlEntityCharset));
        $lenComm = 40;

        if (strLen($comments) > $lenComm) {
            $comments = substr($comments, 0, $lenComm) . ' ...';
        }

        $block2->cellRow($comments);
        $block2->closeRow();
    }

    $block2->closeResults();
    $block2->bornesFooter("1", $blockPage->bornesNumber, "", "id=$id");
} else {
    $block2->noresults();
}

$block2->closeFormResults();
$block2->openPaletteScript();
$block2->paletteScript(0, "remove", "../meetings/deletemeetingtime.php?meeting=$id", "false,true,true", lang_strings("delete"));
$block2->paletteScript(1, "edit", "../meetings/editmeetingtime.php?meeting=$id", "false,true,false", lang_strings("edit"));
$block2->closePaletteScript($comptListMeetingTimes, $listMeetingTimes->mti_id);
require_once("../themes/" . THEME . "/footer.php");

?>
