<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletemeetings.php,v 1.5 2006/07/25 05:59:39 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
} 

if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if ($action == "delete") {
    $id = str_replace("**", ",", $id);
    $tmpquery1 = "DELETE FROM " . $tableCollab["meetings"] . " WHERE id IN($id)";
    $tmpquery2 = "DELETE FROM " . $tableCollab["attendants"] . " WHERE meeting IN($id)";
    $tmpquery3 = "DELETE FROM " . $tableCollab["meetings_attachment"] . " WHERE meeting IN($id)";
    $tmpquery4 = "DELETE FROM " . $tableCollab["meetings_time"] . " WHERE meeting IN($id)";

    $tmpquery = "WHERE mee.id IN($id)";
    $listMeetings = new request();
    $listMeetings->openMeetings($tmpquery);
    $comptListMeetings = count($listMeetings->mee_id);
    for ($i = 0;$i < $comptListMeetings;$i++) {
        if ($fileManagement == "true") {
            delDir("files/" . $listMeetings->mee_project[$i] . "/meetings/" . $listMeetings->mee_id[$i]);
        } 
    } 
    connectSql("$tmpquery1");
    connectSql("$tmpquery2");
    connectSql("$tmpquery3");
    connectSql("$tmpquery4");
    if ($project != "") {
        header("Location: ../projects/viewproject.php?id=$project&msg=delete");
        exit;
    } else {
        header("Location: ../general/home.php?msg=delete");
        exit;
    } 
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
if ($project != "") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("delete_meetings"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../general/home.php?", lang_strings("home"), in));
    $blockPage->itemBreadcrumbs(lang_strings("my_meetings"));
} 
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();

$block1->form = "saP";
$block1->openForm("../meetings/deletemeetings.php?project=$project&amp;action=delete&amp;id=$id");

$block1->heading(lang_strings("delete_meetings"));

$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));

$id = str_replace("**", ",", $id);
$tmpquery = "WHERE mee.id IN($id) ORDER BY mee.name";
$listMeetings = new request();
$listMeetings->openMeetings($tmpquery);
$comptListMeetings = count($listMeetings->mee_id);

for ($i = 0;$i < $comptListMeetings;$i++) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">#" . $listMeetings->mee_id[$i] . "</td><td>" . $listMeetings->mee_name[$i] . "</td></tr>";
} 

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"delete\" 
value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" 
onClick=\"history.back();\"></td></tr>";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
