<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletemeetingtime.php,v 1.7 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
// Meeting Detail
$tmpquery = "WHERE mee.id = '$meeting'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);
// Project Detail
$tmpquery = "WHERE pro.id = '" . $meetingDetail->mee_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$project = $meetingDetail->mee_project[0];
// Make sure this person has thr right to delete hours for this meeting
$id1 = str_replace("**", ",", $id);
$tmpquery = "WHERE mti.id IN($id1) ORDER BY mti.id";
$listMeetingTime = new request();
$listMeetingTime->openMeetingTime($tmpquery);
$comptListMeetingTime = count($listMeetingTime->mti_id);
$tmpquery = "WHERE mti.id IN($id1) AND mti.owner='$idSession' ORDER BY mti.id";
$listMeetingTimeOwner = new request();
$listMeetingTimeOwner->openMeetingTime($tmpquery);
$comptListMeetingTimeOwner = count($listMeetingTimeOwner->mti_id);
$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
}

if (!(($teamMember == 'true' && ($profilSession == PF_PROJECT_MANAGER || $comptListMeetingTime == $comptListMeetingTimeOwner)) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header("Location:../general/permissiondenied.php");
    exit;
} 

if ($action == "delete") {
    $id = str_replace("**", ",", $id);
    $tmpquery1 = 'DELETE FROM ' . $tableCollab['meetings_time'] . " WHERE id IN($id)";
    connectSql("$tmpquery1");

    if ($meeting != "") {
        header("Location: ../meetings/addmeetingtime.php?id=$meeting&msg=delete");
        exit;
    } else {
        header("Location: ../general/home.php?msg=delete");
        exit;
    } 
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $meetingDetail->mee_id[0], $meetingDetail->mee_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("delete_meeting_time"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = 'saP';
$block1->openForm("../meetings/deletemeetingtime.php?meeting=$meeting&amp;action=delete&amp;id=$id");
$block1->heading(lang_strings("delete_meeting_time"));
$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));

for ($i = 0;$i < $comptListMeetingTime;$i++) {
    echo "<tr class='odd'><td valign='top' class='leftvalue'>#"
     . $listMeetingTime->mti_id[$i] . "</td><td> : " . lang_strings('worked_hours')
     . " = " . $listMeetingTime->mti_hours[$i] . ", " . nl2br(html_entity_decode($listMeetingTime->mti_comments[$i], ENT_QUOTES, $htmlEntityCharset))
     . "</td></tr>";
} 

echo "
<tr class='odd'>
  <td valign='top' class='leftvalue'>&nbsp;</td>
  <td><input type='submit' name='delete' value='" . lang_strings('delete') . "'> 
    <input type='button' name='cancel' value='" . lang_strings('cancel') . "' onClick='history.back();'></td></tr>";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
