<?php // $Revision: 1.12 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editmeetingtime.php,v 1.12 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onload=\"document.saMForm.hr.focus();\"";

// Meeting Detail
$tmpquery = "WHERE mee.id = '$meeting'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);
// Make sure this person has the right to log hours for this meeting
$teamMember = "false";
$tmpquery = "WHERE tea.project = '" . $meetingDetail->mee_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if (!(($teamMember == 'true' && ($profilSession == PF_PROJECT_MANAGER || $comptListTaskTime == 1)) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header("Location:../general/permissiondenied.php");
    exit;
}

// Project Detail
$tmpquery = "WHERE pro.id = '" . $meetingDetail->mee_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
// Meeting Time Detail
$tmpquery = "WHERE mti.id = '$id'";
$meetingTimeDetail = new request();
$meetingTimeDetail->openMeetingTime($tmpquery);

// Check field values
if ($_GET['action'] == 'edit') {
    $msgLabel .= ''; // init
     
    // make sure we have the required information
    if (!empty($hr)) {
        if (!is_numeric($hr)) {
            // we need this to be numeric
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_numerical');
        } 
    } else {
        // we need this to be numeric
        $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_required');
    }

    // update meeting time in database
    if (empty($msgLabel)) {
        $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery1  = "UPDATE " . $tableCollab['meetings_time'] . " ";
        $tmpquery1 .= "SET owner='$owner', date='$ld', hours='$hr', ";
        $tmpquery1 .= "comments='$comm', modified='$dateheures' ";
        $tmpquery1 .= "WHERE id=$id";
        connectSql($tmpquery1);
        header("Location: ../meetings/addmeetingtime.php?id=$meeting&msg=update");
        exit;
    } else {
        $bodyCommand = "onload=\"document.saMForm.hr.focus();\"";
        $hr_highlight = true;
    }
} 

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $meetingDetail->mee_id[0], $meetingDetail->mee_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("edit_meeting_time"));
$blockPage->closeBreadcrumbs();

// message for failure
if ($msgLabel) {
    $blockPage->messagebox($msgLabel);
} else {
    $hr = $meetingTimeDetail->mti_hours[0];
    $comm = html_entity_decode($meetingTimeDetail->mti_comments[0], ENT_QUOTES, $htmlEntityCharset);
}

$blockPage->bornesNumber = "1";
// get actual time for meeting
$meetingActualTime = new request();
$actualTime = $meetingActualTime->getMeetingTime($meeting);
$block1 = new block();
$block1->form = "saM";
$block1->openForm("../meetings/editmeetingtime.php?id=$id&meeting=$meeting&amp;action=edit#" . $block1->form . "Anchor");
$block1->heading(lang_strings("edit_meeting_time") . " : " . $meetingDetail->mee_name[0]);
$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
$block1->contentRow(lang_strings("meetings"), $meetingDetail->mee_name[0]);
$block1->contentRow(lang_strings("me_agenda"), nl2br(html_entity_decode($meetingDetail->mee_agenda[0])));
$block1->contentRow(lang_strings("actual_time"), $actualTime . " " . lang_strings("hours"));
$block1->contentTitle(lang_strings("edit_meeting_time"));
$tmpquery = "WHERE tea.project = '" . $projectDetail->pro_id[0] . "' ORDER BY mem.name";
$projmem = new request();
$projmem->openTeams($tmpquery);
$comptProjmem = count($projmem->tea_mem_id);
$ownerSel = '<select name="owner">';

// get project team listing for owner select lists, default to logged user
for ($i = 0;$i < $comptProjmem;$i++) {
    if ($projmem->tea_mem_profil[$i] == PF_CLIENT_USER) {
        $clientUser = ' (' . lang_strings('client_user') . ')';
    } else {
        $clientUser = '';
    }

    if ($meetingTimeDetail->mti_owner[0] == $projmem->tea_mem_id[$i]) {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "' selected>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
    } else {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "'>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
    }
}

$ownerSel .= '</select>';
$block1->contentRow(lang_strings('owner'), $ownerSel);

if ($ld == '') {
    $ld = $date;
} 

$block1->contentRow(lang_strings('date'), '<input type="text" class="input_datetime" name="ld" id="sel1" size="20" value="' . $meetingTimeDetail->mti_date[0] . '" readonly><button type="reset" id="trigger_a">...</button><script type="text/javascript">Calendar.setup({ inputField:"sel1", button:"trigger_a" });</script>');

if ($hr_highlight) {
    $block1->contentRow("* " . lang_strings("worked_hours"), '<input size="20" value="' . $hr . '" class="input_hours_highlight" name="hr" maxlength="6" type="text">');
} else {
    $block1->contentRow("* " . lang_strings("worked_hours"), '<input size="20" value="' . $hr . '" class="input_hours" name="hr" maxlength="6" type="text">');
}

$block1->contentRow(lang_strings("comments"), '<textarea rows="3" class="textarea_3rows" name="comm" cols="47">' . $comm . '</textarea>');
$block1->contentRow("", '<input type="SUBMIT" value="' . lang_strings("update") . '"><input type="button" name="cancel" value="' . lang_strings('cancel') . '" onClick="history.back();">');
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
