<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: historymeeting.php,v 1.5 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($type == "M") {
    $tmpquery = "WHERE mee.id = '$item'";
    $meetingDetail = new request();
    $meetingDetail->openMeetings($tmpquery);
    $project = $meetingDetail->mee_project[0];
    $tmpquery = "WHERE pro.id = '$project'";
    $projectDetail = new request();
    $projectDetail->openProjects($tmpquery);
} 

$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header("Location:../general/permissiondenied.php");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $meetingDetail->mee_id[0], $meetingDetail->mee_name[0], in));

if ($type == "M") {
    $blockPage->itemBreadcrumbs(lang_strings("updates_meeting"));
}

$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "mdP";
$block1->openForm("");

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($type == "M") {
    $block1->heading(lang_strings("meeting") . " : " . $meetingDetail->mee_name[0]);
}

$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$tmpquery = "WHERE upd.type='$type' AND upd.item = '$item' ORDER BY upd.created DESC";
$listUpdates = new request();
$listUpdates->openUpdates($tmpquery);
$comptListUpdates = count($listUpdates->upd_id);

for ($i = 0;$i < $comptListUpdates;$i++) {
    $upd_comm = nl2br(html_entity_decode($listUpdates->upd_comments[$i], ENT_QUOTES, $htmlEntityCharset));

    if (ereg("\[status:([0-9])\]", $upd_comm)) {
        preg_match("|\[status:([0-9])\]|i", $upd_comm, $matches);
        $upd_comm = ereg_replace("\[status:([0-9])\]", "", $upd_comm . "<br>");
        $upd_comm .= lang_strings("status") . " " . $status[$matches[1]];
    }

    if (ereg("\[priority:([0-9])\]", $upd_comm)) {
        preg_match("|\[priority:([0-9])\]|i", $upd_comm, $matches);
        $upd_comm = ereg_replace("\[priority:([0-9])\]", "", $upd_comm . "<br>");
        $upd_comm .= lang_strings("priority") . " " . $priority[$matches[1]];
    }

    if (ereg("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", $upd_comm)) {
        preg_match("|\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]|i", $upd_comm, $matches);
        $upd_comm = ereg_replace("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", "", $upd_comm . "<br>");
        $upd_comm .= lang_strings("due_date") . " " . $matches[1];
    }

    $block1->contentRow(lang_strings("posted_by"), $blockPage->buildLink($listUpdates->upd_mem_email_work[$i], $listUpdates->upd_mem_name[$i], mail));

    if ($listUpdates->upd_created[$i] > $lastvisiteSession) {
        $block1->contentRow(lang_strings("when"), "<b>" . createDate($listUpdates->upd_created[$i], $timezoneSession) . "</b>");
    } else {
        $block1->contentRow(lang_strings("when"), createDate($listUpdates->upd_created[$i], $timezoneSession));
    }

    $block1->contentRow("", $upd_comm);
    $block1->contentRow("", "", "true");
}

$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
