<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewnote.php,v 1.7 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($action == "publish") {
    if ($addToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["notes"] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        connectSql("$tmpquery1");
        $msg = "addToSite";
    } 
    if ($removeToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["notes"] . " SET published='" . PB_NO . "' WHERE id = '$id'";
        connectSql("$tmpquery1");
        $msg = "removeToSite";
    } 
} 

require_once("../themes/" . THEME . "/header.php");

$tmpquery = "WHERE note.id = '$id'";
$noteDetail = new request();
$noteDetail->openNotes($tmpquery);

$tmpquery = "WHERE pro.id = '" . $noteDetail->note_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = "false";
$tmpquery = "WHERE tea.project = '" . $noteDetail->note_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);
if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../notes/listnotes.php?project=" . $projectDetail->pro_id[0], lang_strings("notes"), in));
$blockPage->itemBreadcrumbs($noteDetail->note_subject[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "tdD";
$block1->openForm("../notes/viewnote.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings("note") . " : " . $noteDetail->note_subject[0]);
if ($teamMember == "true" && $idSession == $noteDetail->note_owner[0]) {
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, "remove", lang_strings("delete")); 
    // $block1->paletteIcon(1,"export",lang_strings("export"));
    if ($sitePublish == "true") {
        $block1->paletteIcon(2, "add_projectsite", lang_strings("add_project_site"));
        $block1->paletteIcon(3, "remove_projectsite", lang_strings("remove_project_site"));
    } 
    $block1->paletteIcon(4, "edit", lang_strings("edit"));
    $block1->closePaletteIcon();
} 
if ($projectDetail->pro_org_id[0] == "1") {
    $projectDetail->pro_org_name[0] = lang_strings("none");
} 

$block1->openContent();
$block1->contentTitle(lang_strings("info"));

$block1->contentRow(lang_strings("project"), $blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));

if ($noteDetail->note_topic[0] != "") {
    $block1->contentRow(lang_strings("topic"), $topicNote[$noteDetail->note_topic[0]]);
} 

$block1->contentRow(lang_strings("subject"), $noteDetail->note_subject[0]);
$block1->contentRow(lang_strings("description"), nl2br(html_entity_decode($noteDetail->note_description[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings("date"), $noteDetail->note_date[0]);
$block1->contentRow(lang_strings("owner"), $blockPage->buildLink($noteDetail->note_mem_email_work[0], $noteDetail->note_mem_login[0], mail));

$idPublish = $noteDetail->note_published[0];
if ($sitePublish == "true") {
    $block1->contentRow(lang_strings("published"), $statusPublish[$idPublish]);
} 

$block1->closeContent();
$block1->closeForm();

if ($teamMember == "true" && $idSession == $noteDetail->note_owner[0]) {
    $block1->openPaletteScript();
    $block1->paletteScript(0, "remove", "../notes/deletenotes.php?project=" . $noteDetail->note_project[0] . "&id=" . $noteDetail->note_id[0] . "", "true,true,false", lang_strings("delete")); 
    // $block1->paletteScript(1,"export","export.php?","true,true,false",lang_strings("export"));
    if ($sitePublish == "true") {
        $block1->paletteScript(2, "add_projectsite", "../notes/viewnote.php?addToSite=true&id=" . $noteDetail->note_id[0] . "&action=publish", "true,true,true", lang_strings("add_project_site"));
        $block1->paletteScript(3, "remove_projectsite", "../notes/viewnote.php?removeToSite=true&id=" . $noteDetail->note_id[0] . "&action=publish", "true,true,true", lang_strings("remove_project_site"));
    } 
    $block1->paletteScript(4, "edit", "../notes/editnote.php?project=" . $noteDetail->note_project[0] . "&id=" . $noteDetail->note_id[0] . "", "true,true,false", lang_strings("edit"));
    $block1->closePaletteScript("", "");
} 

require_once("../themes/" . THEME . "/footer.php");

?>
