<?php // $Revision: 1.7.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listphases.php,v 1.7.2.1 2007/02/04 14:56:44 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

require_once("../themes/" . THEME . "/header.php");

$tmpquery = "WHERE pro.id = '$id'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = "false";
$tmpquery = "WHERE tea.project = '$id' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);
if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("phases"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block7 = new block();
$block7->form = "wbSe";
$block7->openForm("../phases/listphases.php?id=$id#" . $block7->form . "Anchor");
$block7->headingToggle(lang_strings("phases"));
$block7->openPaletteIcon();
$block7->paletteIcon(0, "info", lang_strings("view"));

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block7->paletteIcon(1, "edit", lang_strings("edit"));
} 

$block7->closePaletteIcon();
$block7->sorting("phases", $sortingUser->sor_phases[0], "pha.order_num ASC", $sortingFields = array(0 => "pha.order_num", 1 => "pha.name", 2 => "none", 3 => "none", 4 => "pha.status", 5 => "pha.date_start", 6 => "pha.date_end"));

$tmpquery = "WHERE pha.project_id = '$id' ORDER BY $block7->sortingValue";
$listPhases = new request();
$listPhases->openPhases2($tmpquery);
$comptListPhases = count($listPhases->pha_id);

if ($comptListPhases != "0") {
    $block7->openResults();
    $block7->labels($labels = array(0 => lang_strings("order"), 1 => lang_strings("name"), 2 => lang_strings("total_tasks"), 3 => lang_strings("uncomplete_tasks"), 4 => lang_strings("status"), 5 => lang_strings("date_start"), 6 => lang_strings("date_end")), "false");

    for ($i = 0;$i < $comptListPhases;$i++) {
        if ($listPhases->pha_status[$i] == PS_NOT_STARTED) {
            $phaseStart = lang_strings("none");
            $phaseEnd = lang_strings("none");
        } else if ($listPhases->pha_status[$i] == PS_COMPLETE) {
            $phaseStart = $listPhases->pha_date_start[$i];
            $phaseEnd = $listPhases->pha_date_end[$i];
        } else {
            $phaseStart = $listPhases->pha_date_start[$i];
            $phaseEnd = lang_strings("none");
        }

        $block7->openRow();
        $block7->checkboxRow($listPhases->pha_id[$i]);
        $block7->cellRow($listPhases->pha_order_num[$i]);
        $block7->cellRow($blockPage->buildLink("../phases/viewphase.php?id=" . $listPhases->pha_id[$i], $listPhases->pha_name[$i], in));
        $block7->cellRow($listPhases->pha_total_tasks[$i]);
        $block7->cellRow($listPhases->pha_uncompleted_tasks[$i]);
        $block7->cellRow('<img src="../themes/' . THEME . '/gfx_status/phase_' . $listPhases->pha_status[$i] . '.gif" alt="' . $phaseStatus[$listPhases->pha_status[$i]] . '">&nbsp;' . $phaseStatus[$listPhases->pha_status[$i]], '', true);
        $block7->cellRow($phaseStart);
        $block7->cellRow($phaseEnd);
        $block7->closeRow();
    }

    $block7->closeResults();
} else {
    $block7->noresults();
}

$block7->closeToggle();
$block7->closeFormResults();
$block7->openPaletteScript();
$block7->paletteScript(0, "info", "../phases/viewphase.php?", "false,true,true", lang_strings("view"));

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block7->paletteScript(1, "edit", "../phases/editphase.php?", "false,true,true", lang_strings("edit"));
} 

$block7->closePaletteScript($comptListPhases, $listPhases->pha_id);

require_once("../themes/" . THEME . "/footer.php");

?>
