<?php // $Revision: 1.19 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editproject.php,v 1.19 2006/07/31 02:03:24 luis Exp $
 *
 * Copyright (c) 2003 by the NetOffice developers
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');
$bodyCommand = 'onLoad="document.epDForm.pn.focus();"';

$id = $_REQUEST['id'];
$msg = $_REQUEST['msg'];
$cpy = $_REQUEST['cpy'];
$action = $_REQUEST['action'];
$project = $_REQUEST['project'];
$organization = $_REQUEST['organization'];

$pn = $_POST['pn'];
$pr = $_POST['pr'];
$d = $_POST['d'];
$url_dev = $_POST['url_dev'];
$url_prod = $_POST['url_prod'];
$pown = $_POST['pown'];
$clod = $_POST['clod'];
$thisPhase = $_POST['thisPhase'];
$st = $_POST['st'];
$pt = $_POST['pt'];
$up = $_POST['up'];

if ($htaccessAuth == 'true') {
    require_once('../includes/htpasswd.class.php');
    $Htpasswd = new Htpasswd;
}

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_PROJECT_MANAGER && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header('Location: ../projects/viewproject.php?id=' . $id);
    exit;
}

if ($id != '') {
    // test exists selected project, redirect to list if not
    $tmpquery = "WHERE pro.id = '$id'";
    $projectDetail = new request();
    $projectDetail->openProjects($tmpquery);
    $comptProjectDetail = count($projectDetail->pro_id);

    if ($comptProjectDetail == '0') {
        header('Location: ../projects/listprojects.php?msg=blankProject');
        exit;
    }
}

if ($enable_cvs == 'true') {
    require_once('../includes/cvslib.php');
}

if ($action != '' && $pn == '') {
    $error = lang_strings("blank_fields");
    $bodyCommand = 'onLoad="document.epDForm.pn.focus();"';
    $pn_highlight = true;
}

// case update or copy project
if ($id != '' && $error == '') {
    if ($idSession != $projectDetail->pro_owner[0] && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
        header('Location: ../projects/listprojects.php?msg=projectOwner');
        exit;
    }

    // case update or copy project
    if ($action == 'update') {
        // replace quotes by html code in name and description
        $d = htmlentities($d, ENT_QUOTES, $htmlEntityCharset);
        // case copy project
        if ($cpy == 'true') {
            // insert into projects and teams (with last id project)
            $tmpquery1 = 'INSERT INTO ' . $tableCollab['projects'] . "(name,priority,description,owner,organization,status,created,published,upload_max,url_dev,url_prod,phase_set,type) VALUES('$pn','$pr','$d','$pown','$clod','$st','$dateheures','$projectPublished','$up','$url_dev','$url_prod','$thisPhase','$pt')";
            connectSql($tmpquery1);
            $tmpquery = $tableCollab['projects'];
            last_id($tmpquery);
            $projectNew = $lastId[0];
            unset($lastId);

            $tmpquery2 = 'INSERT INTO ' . $tableCollab['teams'] . "(project,member,published,authorized) VALUES('$projectNew','$pown','" . PB_NO . "','0')";
            connectSql($tmpquery2);
            // create project folder if filemanagement = true
            if ($fileManagement == 'true') {
                createDir("files/" . $projectNew);
            }

            if ($htaccessAuth == 'true') {
                $content = <<<STAMP
AuthName "$setTitle"
AuthType Basic
Require valid-user
AuthUserFile $fullPath/files/$projectNew/.htpasswd
STAMP;
                $fp = @fopen('../files/' . $projectNew . '/.htaccess', 'wb+');
                $fw = fwrite($fp, $content);
                $fp = @fopen('../files/' . $projectNew . '/.htpasswd', 'wb+');

                $tmpquery = "WHERE mem.id = '$pown'";
                $detailMember = new request();
                $detailMember->openMembers($tmpquery);

                $Htpasswd = new Htpasswd;
                $Htpasswd->initialize('../files/' . $projectNew . '/.htpasswd');
                $Htpasswd->addUser($detailMember->mem_login[0], $detailMember->mem_password[0]);
            }

            $tmpquery = "WHERE tas.project = '$id'";
            $listTasks = new request();
            $listTasks->openTasks($tmpquery);
            $comptListTasks = count($listTasks->tas_id);
            $IdMap = array();

            for ($i = 0; $i < $comptListTasks; $i++) {
                $assigned = '';
                $at = '';
                $tn = $listTasks->tas_name[$i];
                $d = $listTasks->tas_description[$i];
                $ow = $listTasks->tas_owner[$i];
                $at = $listTasks->tas_assigned_to[$i];
                $st = $listTasks->tas_status[$i];
                $pr = $listTasks->tas_priority[$i];
                $sd = $listTasks->tas_start_date[$i];
                $dd = $listTasks->tas_due_date[$i];
                $cd = $listTasks->tas_complete_date[$i];
                $etm = $listTasks->tas_estimated_time[$i];
                $atm = $listTasks->tas_actual_time[$i];
                $c = $listTasks->tas_comments[$i];
                $pha = $listTasks->tas_parent_phase[$i];
                $published = $listTasks->tas_published[$i];
                $compl = $listTasks->tas_completion[$i];
                $sv = $listTasks->tas_service[$i];
                $fixd = $listTasks->tas_fixed_duration[$i];
                $miles = $listTasks->tas_milestone[$i];
                $ty = $listTasks->tas_type[$i];
                $tg = $listTasks->tas_task_group[$i];
                $lvl = $listTasks->tas_level[$i];
                $pt = $listTasks->tas_parent_task[$i];
                $subt = $listTasks->tas_subtask[$i];

                if ($at != '0') {
                    $assigned = $dateheures;
                }

                $tmpquery1 = 'INSERT INTO ' . $tableCollab['tasks'] . "(project,name,description,owner,assigned_to,status,priority,start_date,due_date,complete_date,estimated_time,actual_time,comments,created,assigned,published,completion,parent_phase,service,fixed_duration,milestone,type,task_group,level,parent_task,subtask) VALUES('$projectNew','$tn','$d','$ow','$at','$st','$pr','$sd','$dd','$cd','$etm','$atm','$c','$dateheures','$assigned','$published','$compl','$pha','$sv','$fixd','$miles','$ty','$tg','$lvl','$pt','$subt')";
                connectSql($tmpquery1);
                $tmpquery = $tableCollab['tasks'];
                last_id($tmpquery);
                $num = $lastId[0];
                unset($lastId);
                $IdMap[$listTasks->tas_id[$i]] = $num;
                $tmpquery2 = 'INSERT INTO ' . $tableCollab['assignments'] . "(task,owner,assigned_to,assigned) VALUES('$num','$ow','$at','$dateheures')";
                connectSql($tmpquery2);

                if ($at != '0') {
                    $tmpquery = "WHERE tea.project = '$projectNew' AND tea.member = '$at'";
                    $testinTeam = new request();
                    $testinTeam->openTeams($tmpquery);
                    $comptTestinTeam = count($testinTeam->tea_id);

                    if ($comptTestinTeam == '0') {
                        $tmpquery3 = 'INSERT INTO ' . $tableCollab['teams'] . "(project,member,published,authorized) VALUES('$projectNew','$at','1','0')";
                        connectSql($tmpquery3);

                        if ($htaccessAuth == 'true') {
                            $tmpquery = "WHERE mem.id = '$at'";
                            $detailMember = new request();
                            $detailMember->openMembers($tmpquery);

                            $Htpasswd->initialize('../files/' . $projectNew . '/.htpasswd');
                            $Htpasswd->addUser($detailMember->mem_login[0], $detailMember->mem_password[0]);
                        }
                    }
                }
                // create task sub-folder if filemanagement = true
                if ($fileManagement == 'true') {
                    createDir("files/" .$projectNew . "/" .$num);
                }
            }

            foreach ($IdMap as $OId => $NId) {
                $tmpquery = 'UPDATE ' . $tableCollab['tasks'] . " SET parent_task='$NId' WHERE project = '$projectNew' AND parent_task = '$OId'";
                connectSql("$tmpquery");
                $tmpquery = "WHERE pre.task='$OId'";
                $listTaskPredecessors = new request();
                $listTaskPredecessors->openTaskPredecessor($tmpquery);
                $comptListTaskPredecessors = count($listTaskPredecessors->pre_id);

                for ($preL=0; $preL<$comptListTaskPredecessors; $preL++) {
                    $tmpquery = "INSERT INTO " . $tableCollab['tasks_predecessor'] . " (task,predecessor,type,lag,created) VALUES ('$NId','" . $IdMap[$listTaskPredecessors->pre_predecessor[$preL]] . "','" . $listTaskPredecessors->pre_type[$preL] . "','" . $listTaskPredecessors->pre_lag[$preL] . "','$dateheures')";
                    connectSql("$tmpquery");
                }

                $tmpquery = "WHERE res.task='$OId'";
                $listTaskResources = new request();
                $listTaskResources->openTaskResource($tmpquery);
                $comptListTaskResources = count($listTaskResources->res_id);

                for ($resL=0; $resL<$comptListTaskResources; $resL++) {
                    $tmpquery = "INSERT INTO " . $tableCollab['tasks_resource'] . " (task,resource,type,support,created) VALUES ('$NId','" . $listTaskResources->res_resource[$resL] . "','" . $listTaskResources->res_type[$resL] . "','" . $listTaskResources->res_support[$resL] . "','$dateheures')";
                    connectSql("$tmpquery");
                }
            }

            // if mantis bug tracker enabled
            if ($enableMantis == 'true') {
                // call mantis function to copy project
                require_once('../mantis/proj_add.php');
            }
            // if CVS repository enabled
            if ($enable_cvs == 'true') {
                $user_query = "WHERE mem.id = '$pown'";
                $cvsUser = new request();
                $cvsUser->openMembers($user_query);
                cvs_add_repository($cvsUser->mem_login[0], $cvsUser->mem_password[0], $projectNew);
            }
            // create phase structure if enable phase was selected as true
            if ($thisPhase != '0') {
                $comptThisPhase = count($phaseArraySets[$thisPhase]);

                for($i = 0; $i < $comptThisPhase; $i++) {
                    $tmpquery = 'INSERT INTO ' . $tableCollab['phases'] . "(project_id,order_num,status,name) VALUES('$projectNew','$i','0','" . $phaseArraySets[$thisPhase][$i] . "')";
                    connectSql($tmpquery);
                }
            }

            header('Location: ../projects/viewproject.php?id=' . $projectNew . '&msg=add');
            exit;
        } else {
            // if project owner change, add new to team members (only if doesn't already exist)
            if ($pown != $projectDetail->pro_owner[0]) {
                $tmpquery = "WHERE tea.project = '$id' AND tea.member = '$pown'";
                $testinTeam = new request();
                $testinTeam->openTeams($tmpquery);
                $comptTestinTeam = count($testinTeam->tea_id);
                if ($comptTestinTeam == '0') {
                    $tmpquery2 = 'INSERT INTO ' . $tableCollab['teams'] . "(project,member,published,authorized) VALUES('$id','$pown','" . PB_NO . "','0')";
                    connectSql($tmpquery2);

                    if ($htaccessAuth == 'true') {
                        $tmpquery = "WHERE mem.id = '$pown'";
                        $detailMember = new request();
                        $detailMember->openMembers($tmpquery);

                        $Htpasswd->initialize('../files/' . $id . '/.htpasswd');
                        $Htpasswd->addUser($detailMember->mem_login[0], $detailMember->mem_password[0]);
                    }
                }
            }
            // if organization change, delete old organization permitted users from teams
            if ($clod != $projectDetail->pro_organization[0]) {
                $tmpquery = "WHERE tea.project = '$id' AND mem.profil = '" . PF_CLIENT_USER . "'";
                $suppTeamClient = new request();
                $suppTeamClient->openTeams($tmpquery);
                $comptSuppTeamClient = count($suppTeamClient->tea_id);

                if ($comptSuppTeamClient > 0) {
                    for ($i = 0; $i < $comptSuppTeamClient; $i++) {
                        $membersTeam .= $suppTeamClient->tea_mem_id[$i];

                        if ($i < $comptSuppTeamClient-1) {
                            $membersTeam .= ',';
                        }

                        if ($htaccessAuth == 'true') {
                            $Htpasswd->initialize('../files/' . $id . '/.htpasswd');
                            $Htpasswd->deleteUser($suppTeamClient->mem_login[$i]);
                        }
                    }

                    $tmpquery4 = 'DELETE FROM ' . $tableCollab['teams'] . " WHERE project = '$id' AND member IN($membersTeam)";
                    connectSql($tmpquery4);
                }
            }
            // -------------------------------------------------------------------------------------------------
            $tmpquery = "WHERE pro.id = '$id'";
            $targetProject = new request();
            $targetProject->openProjects($tmpquery);
            // Delete old or unused phases
            if ($targetProject->pro_phase_set[0] != $thisPhase) {
                $tmpquery = 'DELETE FROM ' . $tableCollab['phases'] . " WHERE project_id = $id";
                connectSql($tmpquery);
            }
            // Create new Phases
            if ($targetProject->pro_phase_set[0] != $thisPhase) {
                $comptThisPhase = count($phaseArraySets[$thisPhase]);

                for($i = 0; $i < $comptThisPhase; $i++) {
                    $tmpquery = 'INSERT INTO ' . $tableCollab['phases'] . "(project_id,order_num,status,name) VALUES('$id','$i','" . PS_NOT_STARTED . "','" . $phaseArraySets[$thisPhase][$i] . "')";
                    connectSql($tmpquery);
                }
                // Get a listing of project tasks and files and re-assign them to new phases if the phase set of a project is changed.
                $tmpquery = "WHERE tas.project = '" . $targetProject->pro_id[0] . "'";
                $listTasks = new request();
                $listTasks->openTasks($tmpquery);
                $comptListTasks = count($listTasks->tas_id);

                $tmpquery = "WHERE fil.project = '" . $targetProject->pro_id[0] . "' AND fil.phase !='0'";
                $listFiles = new request();
                $listFiles->openFiles($tmpquery);
                $comptListFiles = count($listFiles->fil_id);

                $tmpquery = "WHERE pha.project_id = '" . $targetProject->pro_id[0] . "' AND pha.order_num ='0'";
                $targetPhase = new request();
                $targetPhase->openPhases($tmpquery);
                $comptTargetPhase = count($targetPhase->pha_id);

                for($i = 0; $i < $comptListTasks; $i++) {
                    $tmpquery = 'UPDATE ' . $tableCollab['tasks'] . " SET parent_phase='0' WHERE id = '" . $listTasks->tas_id[$i] . "'";
                    connectSql("$tmpquery");
                    $tmpquery = 'UPDATE ' . $tableCollab['files'] . " SET phase='" . $targetPhase->pha_id[0] . "' WHERE id = '" . $listFiles->fil_id[$i] . "'";
                    connectSql($tmpquery);
                }
            }
            // update project
            $tmpquery = 'UPDATE ' . $tableCollab['projects'] . " SET name='$pn',priority='$pr',description='$d',url_dev='$url_dev',url_prod='$url_prod',owner='$pown',organization='$clod',status='$st',modified='$dateheures',upload_max='$up',phase_set='$thisPhase', type='$pt' WHERE id = '$id'";
            connectSql($tmpquery);
            // if mantis bug tracker enabled
            if ($enableMantis == 'true') {
                // call mantis function to copy project
                require_once('../mantis/proj_update.php');
            }
            header('Location: ../projects/viewproject.php?id=' . $id . '&msg=update');
            exit;
        }
    }

    // set value in form
    $pn = $projectDetail->pro_name[0];
    $pr = $projectDetail->pro_priority[0];
    $d = html_entity_decode($projectDetail->pro_description[0], ENT_QUOTES, $htmlEntityCharset);
    $url_dev = $projectDetail->pro_url_dev[0];
    $url_prod = $projectDetail->pro_url_prod[0];
    $pown = $projectDetail->pro_mem_id[0];
    $clod = $projectDetail->pro_org_id[0];
    $thisPhase = $projectDetail->pro_phase_set[0];
    $st = $projectDetail->pro_status[0];
    $pt = $projectDetail->pro_type[0];
    $up = $projectDetail->pro_upload_max[0];
}

// case add project
if ($id == '' && $error == '') {
    // set organization if add project action done from clientdetail
    if ($organization != '') {
        $projectDetail->pro_org_id[0] = $organization;
        $clod = $organization;
    }
    // set default values
    $projectDetail->pro_mem_id[0] = $idSession;
    $projectDetail->pro_priority[0] = PR_MEDIUM;

    $projectDetail->pro_status[0] = ST_NOT_STARTED;
    $projectDetail->pro_upload_max[0] = $maxFileSize;
    // case add project
    if ($action == 'add') {
        // replace quotes by html code in name and description
        $d = htmlentities($d, ENT_QUOTES, $htmlEntityCharset);

        // insert into projects and teams (with last id project)
        $tmpquery1 = 'INSERT INTO ' . $tableCollab['projects'] . "(name,priority,description,owner,organization,status,created,published,upload_max,url_dev,url_prod,phase_set,type) VALUES('$pn','$pr','$d','$pown','$clod','$st','$dateheures','" . PB_NO . "','$up','$url_dev','$url_prod','$thisPhase','$pt')";

        connectSql($tmpquery1);

        $tmpquery = $tableCollab['projects'];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);

        $tmpquery2 = 'INSERT INTO ' . $tableCollab['teams'] . "(project,member,published,authorized) VALUES('$num','$pown','" . PB_NO . "','0')";
        connectSql($tmpquery2);

        // if CVS repository enabled
        if ($enable_cvs == 'true') {
            $user_query = "WHERE mem.id = '$pown'";
            $cvsUser = new request();
            $cvsUser->openMembers($user_query);
            cvs_add_repository($cvsUser->mem_login[0], $cvsUser->mem_password[0], $num);
        }

        // create project folder if filemanagement = true
        if ($fileManagement == 'true') {
            createDir("files/" . $num);
        }

        if ($htaccessAuth == 'true') {
            $content = <<<STAMP
AuthName "$setTitle"
AuthType Basic
Require valid-user
AuthUserFile $fullPath/files/$num/.htpasswd
STAMP;
            $fp = @fopen('../files/' . $num . '/.htaccess', 'wb+');
            $fw = fwrite($fp, $content);
            $fp = @fopen('../files/' .$num . '/.htpasswd', 'wb+');

            $tmpquery = "WHERE mem.id = '$pown'";
            $detailMember = new request();
            $detailMember->openMembers($tmpquery);

            $Htpasswd = new Htpasswd;
            $Htpasswd->initialize('../files/' . $num . '/.htpasswd');
            $Htpasswd->addUser($detailMember->mem_login[0], $detailMember->mem_password[0]);
        }
        // if mantis bug tracker enabled
        if ($enableMantis == 'true') {
            // call mantis function to copy project
            require_once('../mantis/proj_add.php');
        }
        // create phase structure if enable phase was selected as true
        if ($thisPhase != '0') {
            $comptThisPhase = count($phaseArraySets[$thisPhase]);

            for($i = 0; $i < $comptThisPhase; $i++) {
                $tmpquery = 'INSERT INTO ' . $tableCollab['phases'] . "(project_id,order_num,status,name) VALUES('$num','$i','" . PS_NOT_STARTED . "','" . $phaseArraySets[$thisPhase][$i] . "')";
                connectSql($tmpquery);
            }
        }

        header('Location: ../projects/viewproject.php?id=' . $num . '&msg=add');
        exit;
    }

    $pown = $idSession;
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../projects/listprojects.php', lang_strings('projects'), in));
// case add project
if ($id == '') {
    $blockPage->itemBreadcrumbs(lang_strings('add_project'));
}
// case update or copy project
if ($id != '') {
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../projects/viewproject.php?id=' . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
    if ($cpy == 'true') {
        $blockPage->itemBreadcrumbs(lang_strings('copy_project'));
    } else {
        $blockPage->itemBreadcrumbs(lang_strings('edit_project'));
    }
}

$blockPage->closeBreadcrumbs();

if ($msg != '') {
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = 'epD';

// case add project
if ($id == '') {
    $block1->openForm('../projects/editproject.php?action=add&amp;#' . $block1->form . 'Anchor');
}
// case update or copy project
if ($id != '') {
    $block1->openForm('../projects/editproject.php?id=' . $id . '&amp;action=update&amp;cpy=' . $cpy . '&amp;#' . $block1->form . 'Anchor');
    echo '<input type="hidden" value="' . $projectDetail->pro_published[0] . '" name="projectPublished">';
}

if ($error != '') {
    $block1->headingError(lang_strings('errors'));
    $block1->contentError($error);
}
// case add project
if ($id == '') {
    $block1->heading(lang_strings('add_project'));
}
// case update or copy project
if ($id != '') {
    if ($cpy == 'true') {
        $block1->heading(lang_strings('copy_project') . ' : ' . $projectDetail->pro_name[0]);
    } else {
        $block1->heading(lang_strings('edit_project') . ' : ' . $projectDetail->pro_name[0]);
    }
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesMore");
    $block1->openContent();
}

$proRow = '<input size="44" value="';

// case copy project
if ($cpy == 'true') {
    $proRow .= lang_strings('copy_of');
}

if ($pn_highlight) {
    $proRow .= "$pn\" class=\"input_text_highlight\" name=\"pn\" maxlength=\"100\" type=\"text\">";
} else {
    $proRow .= "$pn\" class=\"input_text\" name=\"pn\" maxlength=\"100\" type=\"text\">";
}

$block1->contentRow("* " . lang_strings('name'), $proRow);
$prSel = '<select name="pr">';
$comptPri = count($priority);

for ($i = 0; $i < $comptPri; $i++) {
    if ($i == $pr) {
        $prSel .= '<option value="' . $i . '" selected>' . $priority[$i] . '</option>';
    } else {
        $prSel .= '<option value="' . $i . '">' .$priority[$i] . '</option>';
    }
}

$prSel .= "</select>";
$block1->contentRow(lang_strings('priority'), $prSel);
$block1->contentRow(lang_strings('description'), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"d\" cols=\"47\">$d</textarea>");
$block1->contentRow(lang_strings('url_dev'), "<input size=\"44\" value=\"$url_dev\" class=\"input_text\" name=\"url_dev\" maxlength=\"100\" type=\"text\">");
$block1->contentRow(lang_strings('url_prod'), "<input size=\"44\" value=\"$url_prod\" class=\"input_text\" name=\"url_prod\" maxlength=\"100\" type=\"text\">");

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->openContent();
}

if ($demoMode == true) {
    $tmpquery = "WHERE mem.profil IN ('" . PF_ADMINISTRATOR . "','" . PF_PROJECT_MANAGER . "','" . PF_PROJECT_MANAGER_ADMINISTRATOR . "','" . PF_HR_MANAGER . "') ORDER BY mem.name";
} else {
    $tmpquery = "WHERE mem.profil IN ('" . PF_ADMINISTRATOR . "','" . PF_PROJECT_MANAGER . "','" . PF_PROJECT_MANAGER_ADMINISTRATOR . "','" . PF_HR_MANAGER . "') AND mem.id != '2' ORDER BY mem.name";
}

$assignOwner = new request();
$assignOwner->openMembers($tmpquery);
$comptAssignOwner = count($assignOwner->mem_id);
$pownSel = "<select name=\"pown\">";

for ($i = 0; $i < $comptAssignOwner; $i++) {
    if ($assignOwner->mem_id[$i] == $pown) {
        $pownSel .= '<option value="' . $assignOwner->mem_id[$i] . '" selected>' . $assignOwner->mem_login[$i] . ' / ' . $assignOwner->mem_name[$i] . '</option>';
    } else {
        $pownSel .= '<option value="' . $assignOwner->mem_id[$i] . '">' . $assignOwner->mem_login[$i] . ' / ' . $assignOwner->mem_name[$i] . '</option>';
    }
} 

$pownSel .= '</select>';
$block1->contentRow(lang_strings('owner'), $pownSel);

if ($clientsFilter == 'true' && $profilSession == PF_PROJECT_MANAGER) {
    $tmpquery = "WHERE org.owner = '$idSession' AND org.id != '1' ORDER BY org.name";
} else {
    $tmpquery = "WHERE org.id != '1' ORDER BY org.name";
}

$listClients = new request();
$listClients->openOrganizations($tmpquery);
$comptListClients = count($listClients->org_id);
$clodSel = '<select name="clod">';

if ($clod == '1') {
    $clodSel .= '<option value="1" selected>' . lang_strings('none') . '</option>';
} else {
    $clodSel .= '<option value="1">' . lang_strings('none') . '</option>';
}

for ($i = 0; $i < $comptListClients; $i++) {
    if ($listClients->org_id[$i] == $clod) {
        $clodSel .= '<option value="' . $listClients->org_id[$i] . '" selected>' . $listClients->org_name[$i] . '</option>';
    } else {
        $clodSel .= '<option value="' . $listClients->org_id[$i] . '">' . $listClients->org_name[$i] . '</option>';
    }
}

$clodSel .= '</select>';
$block1->contentRow(lang_strings('organization'), $clodSel);

if ($cpy == "true") {
    echo '<input type="hidden" name="thisPhase" value="' . $projectDetail->pro_phase_set[0] . '">';

    if ($projectDetail->pro_phase_set[0] == '0') {
        $block1->contentRow(lang_strings('enable_phases'), lang_strings('none'));
    } else {
        $block1->contentRow(lang_strings('enable_phases'), $phaseArraySets['sets'][$projectDetail->pro_phase_set[0]]);
    }
} else {
    $phaSel = '<select name="thisPhase">';
    $compSets = count($phaseArraySets['sets']);

    if ($thisPhase == '0') {
        $phaSel .= '<option value="0" selected>' . lang_strings('none') . '</option>';
    } else {
        $phaSel .= '<option value="0">' . lang_strings('none') . '</option>';
    }

    for($i = 1; $i <= $compSets; $i++) {
        if ($i == $thisPhase) {
            $phaSel .= '<option value="' . $i . '" selected>' . $phaseArraySets['sets'][$i] . '</option>';
        } else {
            $phaSel .= '<option value="' . $i . '">' . $phaseArraySets['sets'][$i] . '</option>';
        } 
    } 

    $phaSel .= '</select>';
    $block1->contentRow(lang_strings('enable_phases'), $phaSel);
}

$comptSta = count($status);
$stSel = '<select name="st">';

for ($i = 0; $i < $comptSta; $i++) {
    if ($i == $st) {
        $stSel .= '<option value="' . $i . '" selected>' . $status[$i] . '</option>';
    } else {
        $stSel .= '<option value="' . $i . '">' . $status[$i] . '</option>';
    }
}

$stSel .= '</select>';
$block1->contentRow(lang_strings('status'), $stSel);
$ptSel = '<select name="pt">';

foreach ($projectType as $k => $v) {
    if ($k == $pt || ($organization != '' && $organization != '1' && $k == PT_EXTERNAL_PROJECT)) {
        $ptSel .= '<option value="' . $k . '" selected>' . $v . '</option>';
    } else {
        $ptSel .= '<option value="' . $k . '">' . $v . '</option>';
    }
}

$ptSel .= '</select>';
$block1->contentRow(lang_strings('type'), $ptSel);

if ($fileManagement == 'true') {
    if ($up == '') $up = $maxFileSize;

    $block1->contentRow(lang_strings('max_upload'), '<input size="20" value="' . $up . '" class="input_datetime" name="up" maxlength="100" type="TEXT"> ' . $byteUnits[0]);
}

$block1->contentRow("", '<input type="SUBMIT" value="' . lang_strings('save') . '">');

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->closeTwoPages();
}

$block1->closeContent();
$block1->closeForm();
require_once('../themes/' . THEME . '/footer.php');

?>
