<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: exportproject.php,v 1.5 2006/07/31 02:03:24 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = false;
require_once('../includes/library.php');

$id = $_REQUEST['id'];
$project = $_REQUEST['project'];

function which_crlf()
{
    $the_crlf = "\n"; 

    // The 'NETOFFICE_USR_OS' constant is defined in "../includes/defines.lib.php"
    if (NETOFFICE_USR_OS == 'Win') {
        // Win case
        $the_crlf = "\r\n";
    } else if (NETOFFICE_USR_OS == 'Mac') {
        // Mac case
        $the_crlf = "\r";
    } else {
        // Others
        $the_crlf = "\n";
    }

    return($the_crlf);
} 

@set_time_limit(600);
$crlf = which_crlf();

/**
 * Send headers depending on whether the user choosen to download a dump file
 * or not
 */

$tmpquery = "WHERE pro.id = '$id'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

if ($projectDetail->pro_org_id[0] == '1') {
    $projectDetail->pro_org_name[0] = lang_strings('none');
}

$idStatus = $projectDetail->pro_status[0];
$idPriority = $projectDetail->pro_priority[0];
$idType = $projectDetail->pro_type[0];

$dump_buffer .= lang_strings('project') . $crlf;
$dump_buffer .= '"' . lang_strings('name') . '";"' . lang_strings('description') . '";"' . lang_strings('owner') . '";"' . lang_strings('priority') . '";"' . lang_strings('status') . '";"' . lang_strings('type') . '";"' . lang_strings('created') . '";"' . lang_strings('organization') . '"' . $crlf;
$dump_buffer .= '"' . $projectDetail->pro_name[0] . '";"' . convert_html2txt(html_entity_decode($projectDetail->pro_description[0], ENT_QUOTES, $htmlEntityCharset)) . '";"' . $projectDetail->pro_mem_login[0] . '";"' . $priority[$idPriority] . '";"' . $status[$idStatus] . '";"' . $projectType[$idType] . '";"' . createDate($projectDetail->pro_created[0], $timezoneSession) . '";"' . $projectDetail->pro_org_name[0] . '"' . $crlf . $crlf;

$tmpquery = "WHERE tas.project = '$id'";
$listTasks = new request();
$listTasks->openTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);

if ($comptListTasks != '0') {
    $dump_buffer .= lang_strings('tasks') . $crlf;
    $dump_buffer .= '"' . lang_strings('name') . '";"' . lang_strings('description') . '";"' . lang_strings('owner') . '";"' . lang_strings('priority') . '";"' . lang_strings('status') . '";"' . lang_strings('created') . '";"' . lang_strings('start_date') . '";"' . lang_strings('due_date') . '";"' . lang_strings('complete_date') . '";"' . lang_strings('completion') . '";"' . lang_strings('scope_creep') . '";"' . lang_strings('estimated_time') . '";"' . lang_strings('actual_time') . '";"' . lang_strings('published') . '";"' . lang_strings('comments') . '";"' . lang_strings('assigned') . '";"' . lang_strings('assigned_to') . '"' . $crlf;

    for ($i = 0; $i < $comptListTasks; $i++) {
        if ($listTasks->tas_assigned_to[$i] == '0') {
            $listTasks->tas_mem_login[$i] = lang_strings('unassigned');
        }

        // get actual time for task
        $taskActualTime = new request();
        $actual_time = $taskActualTime->getTaskTime($i);

        $idStatus = $listTasks->tas_status[$i];
        $idPriority = $listTasks->tas_priority[$i];
        $idPublish = $listTasks->tas_published[$i];
        $complValue = ($listTasks->tas_completion[$i] > 0) ? $listTasks->tas_completion[$i] . '0 %': $listTasks->tas_completion[$i] . ' %';

        if ($listTasks->tas_complete_date[$i] != '' && $listTasks->tas_complete_date[$i] != '--' && $listTasks->tas_due_date[$i] != '--') {
            $diff = diff_date($listTasks->tas_complete_date[$i], $listTasks->tas_due_date[$i]);
        } 

        $dump_buffer .= '"' . $listTasks->tas_name[$i] . '";"' . convert_html2txt(html_entity_decode($listTasks->tas_description[$i], ENT_QUOTES, $htmlEntityCharset)) . '";"' . $listTasks->tas_mem2_login[$i] . '";"' . $priority[$idPriority] . '";"' . $status[$idStatus] . '";"' . createDate($listTasks->tas_created[$i], $timezoneSession) . '";"' . $listTasks->tas_start_date[$i] . '";"' . $listTasks->tas_due_date[$i] . '";"' . $listTasks->tas_complete_date[$i] . '";"' . $complValue . '";"' . $diff . '";"' . $listTasks->tas_estimated_time[$i] . '";"' . $actual_time . '";"' . $statusPublish[$idPublish] . '";"' . html_entity_decode($listTasks->tas_comments[$i], ENT_QUOTES, $htmlEntityCharset) . '";"' . $listTasks->tas_assigned[$i] . '";"' . $listTasks->tas_mem_login[$i] . '"' . $crlf;
    } 
} 

$filename = lang_strings('project') . $projectDetail->pro_id[0];

$ext = 'csv';
$mime_type = 'text/x-csv';

// Send headers
header('Content-Type: ' . $mime_type);

// lem9: we need "inline" instead of "attachment" for IE 5.5
$content_disp = (NETOFFICE_USR_BROWSER_AGENT == 'IE') ? 'inline' : 'attachment';

header('Content-Disposition:  ' . $content_disp . '; filename="' . $filename . '.' . $ext . '"');
header('Pragma: no-cache');
header('Expires: 0');

echo $dump_buffer;

?>
