<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: meetingdetail.php,v 1.6 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE mee.id = '$id'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);

if ($meetingDetail->mee_published[0] != PB_YES || $meetingDetail->mee_project[0] != $projectSession) {
    header('Location: index.php');
    exit;
} 

$bouton[7] = "over";
$titlePage = lang_strings("meeting_details");
require_once ("include_header.php");

$block1 = new block();

$block1->heading(lang_strings("meeting_details"));

echo "<table cellspacing=\"0\" cellpadding=\"3\">";
if ($meetingDetail->mee_name[0] != "") {
    echo "<tr><td>" . lang_strings("name") . " :</td><td>" . $meetingDetail->mee_name[0] . "</td></tr>";
}
if ($meetingDetail->mee_agenda[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("me_agenda") . " :</td><td>" . nl2br(html_entity_decode($meetingDetail->mee_agenda[0], ENT_QUOTES, $htmlEntityCharset)) . "</td></tr>";
}
if ($meetingDetail->mee_location[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("me_location") . " :</td><td>" . nl2br(html_entity_decode($meetingDetail->mee_location[0], ENT_QUOTES, $htmlEntityCharset)) . "</td></tr>";
}
if ($meetingDetail->mee_date[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("date") . " :</td><td>" . $meetingDetail->mee_date[0] . "</td></tr>";
}
if ($meetingDetail->mee_start_time[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("start_time") . " :</td><td>" . $meetingDetail->mee_start_time[0] . "</td></tr>";
}
if ($meetingDetail->mee_end_time[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("end_time") . " :</td><td>" . $meetingDetail->mee_end_time[0] . "</td></tr>";
}
if ($meetingDetail->mee_chairman_name[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("me_chairman") . " :</td><td>" . $meetingDetail->mee_chairman_name[0] . "</td></tr>";
}
$tmpquery = " WHERE att.meeting='$id'";
$listAttendants = new request();
$listAttendants->openAttendants($tmpquery);
$comptListAttendants = count($listAttendants->att_id);
if ($comptListAttendants > 0) {
    echo "<tr><td>" . lang_strings("attendants") . " :</td>";

    for ($i = 0;$i < $comptListAttendants;$i++) {
        if ($i > 0) {
            echo "<tr><td></td>";
        }
        echo "<td>" . $listAttendants->att_mem_name[$i] . "</td></tr>";
    }
} 
if ($meetingDetail->mee_minutes[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("me_minutes") . " :</td><td>" . nl2br(html_entity_decode($meetingDetail->mee_minutes[0], ENT_QUOTES, $htmlEntityCharset)) . "</td></tr>";
}
echo "<tr><td>" . lang_strings("updates_meeting") . " :</td><td>";
$tmpquery = "WHERE upd.type='M' AND upd.item = '$id' ORDER BY upd.created DESC";
$listUpdates = new request();
$listUpdates->openUpdates($tmpquery);
$comptListUpdates = count($listUpdates->upd_id);

if ($comptListUpdates != "0") {
    $j = 1;
    for ($i = 0;$i < $comptListUpdates;$i++) {
        echo "<b>" . $j . ".</b> <i>" . createDate($listUpdates->upd_created[$i], $timezoneSession) . "</i><br>" . nl2br(html_entity_decode($listUpdates->upd_comments[$i], ENT_QUOTES, $htmlEntityCharset));
        echo "<br>";
        $j++;
    } 
} else {
    echo lang_strings("no_items");
} 

echo "</td></tr> </table> <hr>";

echo "<br><br>
<a href=\"showallmeetings.php\">" . lang_strings("show_all") . "</a>";

require_once ("include_footer.php");

?>
