<?php // $Revision: 1.8 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: showallclienttasks.php,v 1.8 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$bouton[3] = "over";
$titlePage = lang_strings("client_tasks");
require_once ("include_header.php");

$tmpquery = " AND mem.profil='" . PF_CLIENT_USER . "' AND tas.project = '$projectSession' AND tas.published = '" . PB_YES . "' AND tas.milestone != '0' ORDER BY tas.id";
$listHumanResource = new request();
$listHumanResource->openTaskHumanResource($tmpquery);
$comptListHumanResource = count($listHumanResource->res_id);

$block1 = new block();

$block1->heading(lang_strings("client_tasks"));

if ($comptListHumanResource != "0") {
    echo "<table cellspacing=\"0\" width=\"90%\" border=\"0\" cellpadding=\"3\" cols=\"4\" class=\"listing\">
<tr><th class=\"active\">" . lang_strings("name") . "</th><th>" . lang_strings("description") . "</th><th>" . lang_strings("status") . "</th><th>" . lang_strings("due") . "</th></tr>";

    $j = 0;
    $lastTask = "";
    for ($i = 0;$i < $comptListHumanResource;$i++) {
        if ($lastTask == $listHumanResource->res_task[$i]) {
            continue;
        }
        if (!($j % 2)) {
            $class = "odd";
            $highlightOff = $block1->oddColor;
        } else {
            $class = "even";
            $highlightOff = $block1->evenColor;
        } 
        if ($listHumanResource->res_tas_due_date[$i] == "") {
            $listHumanResource->res_tas_due_date[$i] = lang_strings("none");
        } 
        $idStatus = $listHumanResource->res_tas_status[$i];
        echo "<tr class=\"$class\" onmouseover=\"this.style.backgroundColor='" . $block1->highlightOn . "'\" onmouseout=\"this.style.backgroundColor='" . $highlightOff . "'\"><td><a href=\"clienttaskdetail.php?id=" . $listHumanResource->res_task[$i] . "\">" . $listHumanResource->res_tas_name[$i] . "</a></td><td>" . nl2br(html_entity_decode($listHumanResource->res_tas_description[$i], ENT_QUOTES, $htmlEntityCharset)) . "</td><td>$status[$idStatus]</td><td>" . $listHumanResource->res_tas_due_date[$i] . "</td></tr>";
    } 
    echo "</table>
<hr />\n";
} else {
    echo "<table cellspacing=\"0\" border=\"0\" cellpadding=\"2\"><tr><td colspan=\"4\">" . lang_strings("no_items") . "</td></tr></table><hr>";
} 

require_once ("include_footer.php");

?>
