<?php // $Revision: 1.8 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: teamtaskdetail.php,v 1.8 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE tas.id = '$id'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);

if ($taskDetail->tas_published[0] != PB_YES || $taskDetail->tas_project[0] != $projectSession) {
    header('Location: index.php');
    exit;
} 

$bouton[2] = "over";
$titlePage = lang_strings("team_task_details");
require_once ("include_header.php");

$block1 = new block();

$block1->heading(lang_strings("team_task_details"));

echo "<table cellspacing=\"0\" cellpadding=\"3\">";
if ($taskDetail->tas_name[0] != "") {
    echo "<tr><td>" . lang_strings("name") . " :</td><td>" . $taskDetail->tas_name[0] . "</td></tr>";
} 
if ($taskDetail->tas_description[0] != "") {
    echo "<tr><td valign=\"top\">" . lang_strings("description") . " :</td><td>" . nl2br(html_entity_decode($taskDetail->tas_description[0], ENT_QUOTES, $htmlEntityCharset)) . "</td></tr>";
} 
$complValue = ($taskDetail->tas_completion[0] > 0) ? $taskDetail->tas_completion[0] . "0 %": $taskDetail->tas_completion[0] . " %";
echo "<tr><td>" . lang_strings("completion") . " :</td><td>" . $complValue . "</td></tr>";
if ($taskDetail->tas_assigned_to[0] != "0") {
    echo "<tr><td>" . lang_strings("assigned_to") . " :</td>";

    $tmpquery = " AND res.task='$id'";
    $resourceUsage = new request();
    $resourceUsage->openTaskHumanResource($tmpquery);
    $comptResourceUsage = count($resourceUsage->res_id);

    for ($i = 0;$i < $comptResourceUsage;$i++) {
        if ($i > 0) {
            echo "<tr><td></td>";
        }
        echo "<td>" . $resourceUsage->res_mem_name[$i] . "</td></tr>";
    }
} 
if ($taskDetail->tas_comments[0] != "") {
    echo "<tr><td>" . lang_strings("comments") . " :</td><td>" . nl2br(html_entity_decode($taskDetail->tas_comments[0], ENT_QUOTES, $htmlEntityCharset)) . "</td></tr>";
} 
if ($taskDetail->tas_start_date[0] != "") {
    echo "<tr><td>" . lang_strings("start_date") . " :</td><td>" . $taskDetail->tas_start_date[0] . "</td></tr>";
} 
if ($taskDetail->tas_due_date[0] != "") {
    echo "<tr><td>" . lang_strings("due_date") . " :</td><td>" . $taskDetail->tas_due_date[0] . "</td></tr>";
} 
echo "<tr><td>" . lang_strings("updates_task") . " :</td><td>";
$tmpquery = "WHERE upd.type='1' AND upd.item = '$id' ORDER BY upd.created DESC";
$listUpdates = new request();
$listUpdates->openUpdates($tmpquery);
$comptListUpdates = count($listUpdates->upd_id);

if ($comptListUpdates != "0") {
    $j = 1;
    for ($i = 0;$i < $comptListUpdates;$i++) {
        echo "<b>" . $j . ".</b> <i>" . createDate($listUpdates->upd_created[$i], $timezoneSession) . "</i><br>" . nl2br(html_entity_decode($listUpdates->upd_comments[$i], ENT_QUOTES, $htmlEntityCharset));
        echo "<br>";
        $j++;
    } 
} else {
    echo lang_strings("no_items");
} 

echo "</td></tr> </table> <hr>";

echo "<br><br>
<a href=\"showallteamtasks.php\">" . lang_strings("show_all") . "</a>";

require_once ("include_footer.php");

?>
