<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: exporthours.php,v 1.9 2006/04/24 00:18:07 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// configuration options
// set up the member selection
if ($_GET['S_ATSEL']) {
    if ($_GET['S_ATSEL'] == 'ALL') {
        $S_mem = "ALL";
    } else {
        $S_mem = $_GET['S_ATSEL'];
    } 
} else {
    $S_mem = "ALL";
} 
// a date range was selected
if ($_GET{'S_COMPLETEDATE'} == 'DATERANGE') {
    $dateRange = true; 
    // get the range start date (if given)
    if ($_GET{'S_SDATE2'}) {
        $s_sdate2 = $_GET{'S_SDATE2'};
    } else {
        $s_sdate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), "1", date("Y")));
    } 
    // get the range end date
    if ($_GET{'S_EDATE2'}) {
        $s_edate2 = $_GET{'S_EDATE2'};
    } else {
        $s_edate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), date("d"), date("Y")));
    } 
} else {
    // select all dates
    $dateRange = false;
} 
// billing selection
$billing = $_GET{'S_BILLING'};
// end of configuration
// this is the filename the 'save as' file window will bring up by default
$filename = "hours";

$checkSession = false;
require_once("../includes/library.php");

function which_crlf()
{
    $the_crlf = "\n"; 
    // The 'NETOFFICE_USR_OS' constant is defined in "../includes/defines.lib.php"
    // Win case
    if (NETOFFICE_USR_OS == 'Win') {
        $the_crlf = "\r\n";
    } 
    // Mac case
    else if (NETOFFICE_USR_OS == 'Mac') {
        $the_crlf = "\r";
    } 
    // Others
    else {
        $the_crlf = "\n";
    } 

    return $the_crlf;
} 

@set_time_limit(600);
$crlf = which_crlf();

/**
 * Send headers depending on whether the user choosen to download a dump file
 * or not
 */

$reportHeader = "\"" . lang_strings("hours_logged") . "\"";

if ($dateRange) {
    if ($query != "") {
        $query .= "AND (tim.date >= '$s_sdate2'  AND tim.date <= '$s_edate2')";
    } else {
        $query .= "WHERE (tim.date >= '$s_sdate2'  AND tim.date <= '$s_edate2')";
    } 
    if ($query1 != "") {
        $query1 .= "AND (mti.date >= '$s_sdate2'  AND mti.date <= '$s_edate2')";
    } else {
        $query1 .= "WHERE (mti.date >= '$s_sdate2'  AND mti.date <= '$s_edate2')";
    } 
    if ($query2 != "") {
        $query2 .= "AND (wkh.date >= '$s_sdate2'  AND wkh.date <= '$s_edate2')";
    } else {
        $query2 .= "WHERE (wkh.date >= '$s_sdate2'  AND wkh.date <= '$s_edate2')";
    }
    $reportHeader .= ",\"" . lang_strings("hours_logged_from") . "\",\"$s_sdate2\",\"" . lang_strings("hours_logged_to") . "\",\"$s_edate2\"";
}

$reportHeader .= $crlf;

// a member selection was made
if ($S_mem != 'ALL' && $S_mem != "") {
    if ($query != "") {
        $query .= " AND tim.owner IN($S_mem)";
    } else {
        $query .= "WHERE tim.owner IN($S_mem)";
    } 
    if ($query1 != "") {
        $query1 .= " AND mti.owner IN($S_mem)";
    } else {
        $query1 .= "WHERE mti.owner IN($S_mem)";
    } 
    if ($query2 != "") {
        $query2 .= " AND wkh.owner IN($S_mem)";
    } else {
        $query2 .= "WHERE wkh.owner IN($S_mem)";
    } 
} 
// billing selection
if ($billing != 'ALL') {
    if ($query != "") {
        $query .= " AND tim.billing='$billing'";
    } else {
        $query .= "WHERE tim.billing='$billing'";
    }
    if ($query2 != "") {
        $query2 .= " AND wkh.billing='$billing'";
    } else {
        $query2 .= "WHERE wkh.billing='$billing'";
    }
}

$tmpquery = "$query ORDER BY org.name,pro.name,mem.name,tim.date";
$listHours = new request();
$listHours->openTaskTime($tmpquery);
$comptListHours = count($listHours->tim_id);

if ($billing != BF_YES) {
    $tmpquery1 = "$query1 ORDER BY org.name,pro.name,mem.name,mti.date";
    $listHours1 = new request();
    $listHours1->openMeetingTime($tmpquery1);
    $comptListHours1 = count($listHours1->mti_id);
} else {
    $comptListHours1 = 0;
}

$tmpquery2 = "$query2 ORDER BY org.name,pro.name,mem.name,wkh.date";
$listHours2 = new request();
$listHours2->openWorkHours($tmpquery2);
$comptListHours2 = count($listHours2->wkh_id);

$comptListHoursT = $comptListHours + $comptListHours1 + $comptListHours2;

$dump_buffer = $reportHeader . $crlf;

if ($comptListHoursT != "0") {
    /**
     * Construct the header row
     */

    $dump_buffer .= "\"" . lang_strings("organization") . "\",\"" . lang_strings("project") . "\",\"" . lang_strings("type") . "\",\"" . lang_strings("name") . "\",\"" . lang_strings("date") . "\",\"" . lang_strings("task") . "\",\"" . lang_strings('hourcode') . "\",\"\",\"" . lang_strings('hours') . "\",\"" . lang_strings('billing') . "\",\"" . lang_strings('service') . "\",\"" . lang_strings('hourly_rate') . "\"" . $crlf;

    for ($i = 0;$i < $comptListHours;$i++) {
        /**
         * The individual fields
         */
        // organization name
        $dump_buffer .= "\"" . $listHours->tim_org_name[$i] . "\","; 
        // project name
        $dump_buffer .= "\"" . $listHours->tim_pro_name[$i] . "\","; 
        // project type
        $dump_buffer .= "\"" . $projectType[$listHours->tim_pro_type[$i]] . "\","; 
        // member name
        $dump_buffer .= "\"" . $listHours->tim_mem_name[$i] . "\","; 
        // date
        $dump_buffer .= "\"" . $listHours->tim_date[$i] . "\","; 
        // task name
        $dump_buffer .= "\"" . $listHours->tim_task_name[$i] . "\","; 
        // hour code
        $dump_buffer .= "\"" . $listHours->tim_task_type[$i] . "\",";
        $dump_buffer .= "\"" . $hourCodeArray[$listHours->tim_task_type[$i]] . "\",";
        // hours
        $dump_buffer .= $listHours->tim_hours[$i] . ",";
        // billing
        $dump_buffer .= "\"" . $billingFlag[$listHours->tim_billing[$i]] . "\",";
        // service name
        $dump_buffer .= "\"" . $listHours->tim_svc_name_print[$i] . "\",";
        // hourly rate
        $dump_buffer .= $listHours->tim_svc_hourly_rate[$i];
        $dump_buffer .= $crlf;
    } 

    for ($i = 0;$i < $comptListHours1;$i++) {
        /**
         * The individual fields
         */
        // organization name
        $dump_buffer .= "\"" . $listHours1->mti_org_name[$i] . "\","; 
        // project name
        $dump_buffer .= "\"" . $listHours1->mti_pro_name[$i] . "\","; 
        // project type
        $dump_buffer .= "\"" . $projectType[$listHours1->mti_pro_type[$i]] . "\","; 
        // member name
        $dump_buffer .= "\"" . $listHours1->mti_mem_name[$i] . "\","; 
        // date
        $dump_buffer .= "\"" . $listHours1->mti_date[$i] . "\","; 
        // task name
        $dump_buffer .= "\"" . $listHours1->mti_meeting_name[$i] . "\","; 
        // hour code
        $dump_buffer .= "\"112\","; 
        $dump_buffer .= "\"" . $hourCodeArray[112] . "\",";
        // hours
        $dump_buffer .= $listHours1->mti_hours[$i] . ",";
        // billing
        $dump_buffer .= "\"" . $billingFlag[BF_NO] . "\"";
        $dump_buffer .= $crlf;
    } 

    for ($i = 0;$i < $comptListHours2;$i++) {
        /**
         * The individual fields
         */
        if ($listHours2->wkh_project[$i] == 0) {
            $dump_buffer .= "\"\",\"\",\"\",";
        } else {
            // organization name
            $dump_buffer .= "\"" . $listHours2->wkh_org_name[$i] . "\","; 
            // project name
            $dump_buffer .= "\"" . $listHours2->wkh_pro_name[$i] . "\","; 
            // project type
            $dump_buffer .= "\"" . $projectType[$listHours2->wkh_pro_type[$i]] . "\","; 
        }
        // member name
        $dump_buffer .= "\"" . $listHours2->wkh_mem_name[$i] . "\","; 
        // date
        $dump_buffer .= "\"" . $listHours2->wkh_date[$i] . "\","; 
        // task name
        $dump_buffer .= "\"\","; 
        // hour code
        $dump_buffer .= "\"" . $listHours2->wkh_work[$i] . "\",";
        $dump_buffer .= "\"" . $hourCodeArray[$listHours2->wkh_work[$i]] . "\",";
        // hours
        $dump_buffer .= $listHours2->wkh_hours[$i] . ",";
        // billing
        $dump_buffer .= "\"" . $billingFlag[$listHours2->wkh_billing[$i]] . "\",";
        // service name
        $dump_buffer .= "\"" . $listHours2->wkh_svc_name_print[$i] . "\",";
        // hourly rate
        $dump_buffer .= $listHours2->wkh_svc_hourly_rate[$i];
        $dump_buffer .= $crlf;
    } 
} 

$ext = 'csv';
$mime_type = 'text/x-csv';
// Send headers
header('Content-Type: ' . $mime_type);
$content_disp = (NETOFFICE_USR_BROWSER_AGENT == 'IE') ? 'inline' : 'attachment';
header('Content-Disposition:  ' . $content_disp . '; filename="' . $filename . '.' . $ext . '"');
header('Pragma: no-cache');
header('Expires: 0');

echo $dump_buffer;

?>
