<?php // $Revision: 1.11 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: hours.php,v 1.11 2006/06/29 14:34:38 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * ../reports/hours.php
 * 
 * show hours logged
 * 
 * TODO: add month/year selection
 *        enable sorting
 */
// configuration options
// set up the member selection
if ($S_mem == "") {
    if ($_POST['S_ATSEL']) {
        if ($_POST['S_ATSEL'] == 'ALL') {
            $S_mem = "ALL";
        } else {
            $S_mem = implode (',', $_POST['S_ATSEL']);
        } 
    } else {
        $S_mem = "ALL";
    } 
}
// a date range was selected
if ($dateRange == "") {
    if ($_POST{'S_COMPLETEDATE'} == 'DATERANGE') {
        $dateRange = true; 
        // get the range start date (if given)
        if ($_POST{'S_SDATE2'}) {
            $s_sdate2 = $_POST{'S_SDATE2'};
        } else {
            $s_sdate2 = date("Y-m-d",
                mktime (12, 0, 0, date("m"), "1", date("Y")));
        } 
        // get the range end date
        if ($_POST{'S_EDATE2'}) {
            $s_edate2 = $_POST{'S_EDATE2'};
        } else {
            $s_edate2 = date("Y-m-d",
                mktime (12, 0, 0, date("m"), date("d"), date("Y")));
        } 
    } else {
        // select all dates
        $dateRange = false;
    } 
}
// billing selection
if ($billingSelection == "") {
    $billingSelection = $_POST{'S_BILLING'};
}
// end of configuration
$checkSession = true;
require_once("../includes/library.php");

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?', lang_strings('reports'), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?typeReports=create', lang_strings("create_report"), in) . ' | ' . $blockPage->buildLink('../reports/createreport.php?typeReports=custom', lang_strings('custom_reports'), in) . ' | ' . $blockPage->buildLink("../reports/listreports.php?", lang_strings("my_reports"), in));
$blockPage->itemBreadcrumbs(lang_strings("time_report"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 
// start the first block
$block1 = new block();
$block1->form = "xwbT";
$block1->openForm("../reports/hours.php#" . $block1->form . "Anchor");
$block1->openContent();
$block1->sorting("tasks_time",$sortingUser->sor_tasks_time[0],"tim.date ASC",$sortingFields = array(0=>"org.name",1=>"pro.name",2=>"pro.type",3=>"mem.name",4=>"tim.date",5=>"tas.name",6=>"tim.hours",7=>"tim.billing"));
// a date range was selected
if ($dateRange) {
    if ($query != "") {
        $query .= "AND (tim.date <= '$s_edate2'  AND tim.date >= '$s_sdate2')";
    } else {
        $query .= "WHERE (tim.date <= '$s_edate2'  AND tim.date >= '$s_sdate2')";
    } 
} 
// a member selection was made
if ($S_mem != 'ALL' && $S_mem != "") {
    if ($query != "") {
        $query .= " AND tim.owner IN($S_mem)";
    } else {
        $query .= "WHERE tim.owner IN($S_mem)";
    } 
} 
// billing selection
if ($billingSelection != 'ALL') {
    if ($query != "") {
        $query1 = " AND tim.billing='$billingSelection'";
    } else {
        $query1 = "WHERE tim.billing='$billingSelection'";
    }
}

$comptListHours = 0;

$tmpquery = $query . $query1;
$listHours1 = new request();
$listHours1->openTaskTime($tmpquery);
$comptListHours1 = count($listHours1->tim_id);
for ($i=0; $i<$comptListHours1; $i++) {
    $listHours->tim_id[$comptListHours] = $listHours1->tim_id[$i];
    $listHours->tim_org_name[$comptListHours] = $listHours1->tim_org_name[$i];
    $listHours->tim_project[$comptListHours] = $listHours1->tim_project[$i];
    $listHours->tim_pro_name[$comptListHours] = $listHours1->tim_pro_name[$i];
    $listHours->tim_pro_type[$comptListHours] = $listHours1->tim_pro_type[$i];
    $listHours->tim_mem_name[$comptListHours] = $listHours1->tim_mem_name[$i];
    $listHours->tim_date[$comptListHours] = $listHours1->tim_date[$i];
    $listHours->tim_task_name[$comptListHours] = $listHours1->tim_task_name[$i];
    $listHours->tim_hours[$comptListHours] = $listHours1->tim_hours[$i];

    if ($listHours1->tim_billing[$i] == BF_YES) {
        $listHours->tim_service[$comptListHours] = $listHours1->tim_svc_name_print[$i] . ' (' . lang_strings('hourly_rate') . ' $' . $listHours1->tim_svc_hourly_rate[$i] . ')';
    } else {
        $listHours->tim_service[$comptListHours] = lang_strings('none');
    }

    $comptListHours++;
}

if ($billingSelection != BF_YES) {
    $tmpquery = str_replace("tim", "mti", $query);
    $tmpquery = str_replace("tas", "mee", $tmpquery);
    $listHours1 = new request();
    $listHours1->openMeetingTime($tmpquery);
    $comptListHours1 = count($listHours1->mti_id);
    for ($i=0; $i<$comptListHours1; $i++) {
        $listHours->tim_id[$comptListHours] = $listHours1->mti_id[$i];
        $listHours->tim_org_name[$comptListHours] = $listHours1->mti_org_name[$i];
        $listHours->tim_project[$comptListHours] = $listHours1->mti_project[$i];
        $listHours->tim_pro_name[$comptListHours] = $listHours1->mti_pro_name[$i];
        $listHours->tim_pro_type[$comptListHours] = $listHours1->mti_pro_type[$i];
        $listHours->tim_mem_name[$comptListHours] = $listHours1->mti_mem_name[$i];
        $listHours->tim_date[$comptListHours] = $listHours1->mti_date[$i];
        $listHours->tim_task_name[$comptListHours] = $listHours1->mti_meeting_name[$i];
        $listHours->tim_hours[$comptListHours] = $listHours1->mti_hours[$i];
        $listHours->tim_service[$comptListHours] = lang_strings('none');
        $comptListHours++;
    }
}

$tmpquery = $query . $query1;
$tmpquery = str_replace("tim", "wkh", $tmpquery);
$tmpquery = str_replace("tas.name", "wkh.work", $tmpquery);
$listHours1 = new request();
$listHours1->openWorkHours($tmpquery);
$comptListHours1 = count($listHours1->wkh_id);
for ($i=0; $i<$comptListHours1; $i++) {
    $listHours->tim_id[$comptListHours] = $listHours1->wkh_id[$i];
    if ($listHours1->wkh_project[$i] == 0) {
        $listHours->tim_org_name[$comptListHours] = '';
        $listHours->tim_project[$comptListHours] = '';
        $listHours->tim_pro_name[$comptListHours] = '';
        $listHours->tim_pro_type[$comptListHours] = '';
    } else {
        $listHours->tim_org_name[$comptListHours] = $listHours1->wkh_org_name[$i];
        $listHours->tim_project[$comptListHours] = $listHours1->wkh_project[$i];
        $listHours->tim_pro_name[$comptListHours] = $listHours1->wkh_pro_name[$i];
        $listHours->tim_pro_type[$comptListHours] = $listHours1->wkh_pro_type[$i];
    }
    $listHours->tim_mem_name[$comptListHours] = $listHours1->wkh_mem_name[$i];
    $listHours->tim_date[$comptListHours] = $listHours1->wkh_date[$i];
    $listHours->tim_task_name[$comptListHours] = $hourCodeArray[$listHours1->wkh_work[$i]];
    $listHours->tim_hours[$comptListHours] = $listHours1->wkh_hours[$i];

    if ($listHours1->wkh_billing[$i] == BF_YES) {
        $listHours->tim_service[$comptListHours] = $listHours1->wkh_svc_name_print[$i] . ' (' . lang_strings('hourly_rate') . ' $' . $listHours1->wkh_svc_hourly_rate[$i] . ')';
    } else {
        $listHours->tim_service[$comptListHours] = lang_strings('none');
    }

    $comptListHours++;
}

if ($comptListHours > 0) {
    list($sortKey, $orderFlag) = split(" ", $block1->sortingValue);
    if ($sortKey == "org.name") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_org_name, SORT_ASC, SORT_STRING, $listHours->tim_id, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_org_name, SORT_DESC, SORT_STRING, $listHours->tim_id, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "pro.name") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_pro_name, SORT_ASC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_pro_name, SORT_DESC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "pro.type") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_pro_type, SORT_ASC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_pro_type, SORT_DESC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "mem.name") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_mem_name, SORT_ASC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_mem_name, SORT_DESC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "tim.date") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_date, SORT_ASC, SORT_REGULAR, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_date, SORT_DESC, SORT_REGULAR, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_task_name, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "tas.name") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_task_name, SORT_ASC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_hours, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_task_name, SORT_DESC, SORT_STRING, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_hours, $listHours->tim_service);
        }
    } else if ($sortKey == "tim.hours") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_hours, SORT_ASC, SORT_NUMERIC, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_service);
        } else {
            array_multisort($listHours->tim_hours, SORT_DESC, SORT_NUMERIC, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_service);
        }
    } else if ($sortKey == "tim.billing") {
        if ($orderFlag == "ASC") {
            array_multisort($listHours->tim_service, SORT_ASC, SORT_NUMERIC, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours);
        } else {
            array_multisort($listHours->tim_service, SORT_DESC, SORT_NUMERIC, $listHours->tim_id, $listHours->tim_org_name, $listHours->tim_project, $listHours->tim_pro_name, $listHours->tim_pro_type, $listHours->tim_mem_name, $listHours->tim_date, $listHours->tim_task_name, $listHours->tim_hours);
        }
    }
}

$block0 = new block();

$block0->openContent();
$block0->contentTitle(lang_strings("report_results"));

if ($comptListHours == "0") {
    $block1->contentRow("", "0 " . lang_strings("matches") . "<br>" . lang_strings("no_results_report"));
} else if ($comptListHours == "1") {
    $block1->contentRow("", "1 " . lang_strings("match"));
} else {
    $block1->contentRow("", $comptListHours . " " . lang_strings("matches"));
} 

$block0->closeContent();

if ($comptListHours != "0") {
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, "export", lang_strings("export"));
    $block1->closePaletteIcon();

    $block1->openPaletteScript();

    $exportOptions = "";
    // handle date ranges
    if ($dateRange) {
        if ($exportOptions != "") {
            $exportOptions = "&S_COMPLETEDATE=DATERANGE&S_SDATE2=$s_sdate2&S_EDATE2=$s_edate2";
        } else {
            $exportOptions = "S_COMPLETEDATE=DATERANGE&S_SDATE2=$s_sdate2&S_EDATE2=$s_edate2";
        } 
    } 
    // a member selection was made
    if ($S_mem != 'ALL' && $S_mem != "") {
        if ($exportOptions != "") {
            $exportOptions .= "&S_ATSEL=$S_mem";
        } else {
            $exportOptions .= "S_ATSEL=$S_mem";
        } 
    } 
    // billing selection
    if ($exportOptions != "") {
        $exportOptions .= "&S_BILLING=$billingSelection";
    } else {
        $exportOptions .= "S_BILLING=$billingSelection";
    } 

    $block1->paletteScript(0, "export", "../reports/exporthours.php?$exportOptions", "true,false,false", lang_strings("export"));
    $block1->closePaletteScript($comptListHours, $listHours->tim_id);
}

// set up the header string
$block1HeadingText = lang_strings("hours_logged") . " ";
if ($dateRange) {
    $block1HeadingText .= lang_strings("hours_logged_from") . " " . $s_sdate2 . " " . lang_strings("hours_logged_to") . " " . $s_edate2;
}
$block1->heading($block1HeadingText);
// initialize counters
$totalMemHours = 0;

echo "<input type=\"hidden\" name=\"S_mem\" value=\"$S_mem\">";
echo "<input type=\"hidden\" name=\"dateRange\" value=\"$dateRange\">";
echo "<input type=\"hidden\" name=\"s_sdate2\" value=\"$s_sdate2\">";
echo "<input type=\"hidden\" name=\"s_edate2\" value=\"$s_edate2\">";
echo "<input type=\"hidden\" name=\"billingSelection\" value=\"$billingSelection\">";

if ($comptListHours != "0") {
    $block1->openResults($checkbox = "false");
    $block1->labels($labels = array(0 => lang_strings("organization"), 1 => lang_strings("project"), 2 => lang_strings("type"), 3 => lang_strings("name"), 4 => lang_strings("date"), 5 => lang_strings("task"), 6 => lang_strings("hours"), 7 => lang_strings("billing")), "true");

    for ($i = 0;$i < $comptListHours;$i++) {
        $block1->openRow();
        $block1->checkboxRow($listHours->tim_id[$i], $checkbox = "false");
        $block1->cellRow($listHours->tim_org_name[$i]);
        $block1->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listHours->tim_project[$i], $listHours->tim_pro_name[$i], in));
        $block1->cellRow($projectType[$listHours->tim_pro_type[$i]]); 
        $block1->cellRow($listHours->tim_mem_name[$i]);
        $block1->cellRow($listHours->tim_date[$i]);
        $block1->cellRow($listHours->tim_task_name[$i]);
        $block1->cellRow($listHours->tim_hours[$i]);
        $block1->cellRow($listHours->tim_service[$i]);
        $block1->closeRow(); 
        // add to total hours
        $totalMemHours += $listHours->tim_hours[$i];
    } 

    // print the totals
    $block1->openRow();
    $block1->checkboxRow($listHours->tim_id[$i], $checkbox = "false");
    $block1->cellRow("");
    $block1->cellRow("");
    $block1->cellRow("");
    $block1->cellRow("");
    $block1->cellRow("");
    $block1->cellRow(lang_strings("hours_total") . ":");
    $block1->cellRow($totalMemHours);
    $block1->cellRow("");
    $block1->closeRow();

    $block1->closeResults();
} else {
    $block1->noresults();
} 
// close block1
$block1->closeFormResults();

require_once("../themes/" . THEME . "/footer.php");

?>
