<?php  // $Revision: 1.3.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * Author:     Graham Sutcliffe
 * Date:       9/28/2005
 * File:       /reports/selectma.php
 *
 * Resource allocation within a date range by Employee.  Keep date range within
 * 4 weeks for decient looking report.
 *
 * Copyright (c) 2006 by RD2, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?', lang_strings('reports'), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?typeReports=create', lang_strings("create_report"), in) . ' | ' . $blockPage->buildLink('../reports/createreport.php?typeReports=custom', lang_strings('custom_reports'), in) . ' | ' . $blockPage->buildLink("../reports/listreports.php?", lang_strings("my_reports"), in));
$blockPage->itemBreadcrumbs(lang_strings("member_allocation"));
$blockPage->closeBreadcrumbs();

//
// start the first block
$block1 = new block();
$block1->form = "smaT";
$block1->openForm("../reports/member_allocation.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings('member_allocation'));
$block1->openContent();

if ($projectsFilter != 'true' || $profilSession==PF_ADMINISTRATOR || $profilSession==PF_PROJECT_MANAGER || $profilSession==PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession==PF_HR_MANAGER) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("team_members") . " :</td><td>";

    if ($demoMode != true) {
        if ($profilSession == PF_PROJECT_MANAGER && $projectsFilter == 'true') {
            $tmpquery = " WHERE mem.id!='2' AND EXISTS (SELECT * FROM " . $tableCollab['teams'] . " tea INNER JOIN " . $tableCollab['projects'] . " prj ON prj.id=tea.project AND prj.owner='$idSession' WHERE tea.member=mem.id)";
        } else {
            $tmpquery = " WHERE mem.id!='2' AND mem.profil!='" . PF_CLIENT_USER . "'";
        }
    } 

    $tmpquery .= " ORDER BY mem.login";
    $listMembers = new request();
    $listMembers->openMembers($tmpquery);
    $comptListMembers = count($listMembers->mem_id);

    echo "<select name=\"S_ATSEL[]\" size=\"4\" multiple>";

    if ($profilSession != PF_PROJECT_MANAGER) {
        echo "<option value=\"ALL\">" . lang_strings("select_all") . "</option>";
    }

    for ($i = 0;$i < $comptListMembers;$i++) {
        if ($listMembers->mem_id[$i] == $idSession) {
            echo "<option selected value=\"" . $listMembers->mem_id[$i] . "\">" . $listMembers->mem_login[$i] . "</option>";
        } else {
            echo "<option value=\"" . $listMembers->mem_id[$i] . "\">" . $listMembers->mem_login[$i] . "</option>";
        }
    }

    echo "</select></td></tr>";
} else {
    echo "<input type=\"hidden\" name=\"S_ATSEL[]\" value=\"" . $_SESSION['idSession'] . "\">";
}

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("date_restrictions") . " :</td><td>";

$year = date('Y');
$month = date('m');
$timestamp = mktime(0, 0, 0, $month, 1, $year);
$startDate = date('Y-m-d');
$month++;

if ($month == '13') {
    $year++;
    $month = '1';
}

$timestamp = mktime(0, 0, 0, $month, 1, $year) - 1;
$lastDayOfMonth = date('Y-m-d', $timestamp);

echo "
<table border=0 cellpadding=2 cellspacing=0>
<tr><td width=18><img height=8 src=\"../themes/" . THEME . "/spacer.gif\" alt=\"\" width=18></td>
<td class=infoValue noWrap><input type=\"text\" class=\"input_datetime\" name=\"S_SDATE2\" id=\"sel1\" size=\"20\" value=\"" . $startDate . "\"><button type=\"reset\" id=\"trigger_a\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script></td>
</tr>
<tr>
<td width=18>&nbsp;" . lang_strings("and") . "&nbsp;<TD class=infoValue noWrap><input type=\"text\" class=\"input_datetime\" name=\"S_EDATE2\" id=\"sel3\" size=\"20\" value=\"" . $lastDayOfMonth . "\"><button type=\"reset\" id=\"trigger_b\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel3\", button:\"trigger_b\" });</script></TD>
</tr>
</table>";

echo "</select></td></tr>
<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"Save\" value=\"" . lang_strings("create") . "\"></td></tr>";
echo "</td></tr></table>\n";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
