<?php // $Revision: 1.8.2.2 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: selectru.php,v 1.8.2.2 2007/11/22 07:52:52 luiswang Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * ../reports/selectru.php
 * 
 * select options for report of resource usage
 * 
 * TODO:
 */

$checkSession = true;
require_once("../includes/library.php");
require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?', lang_strings('reports'), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink('../reports/createreport.php?typeReports=create', lang_strings("create_report"), in) . ' | ' . $blockPage->buildLink('../reports/createreport.php?typeReports=custom', lang_strings('custom_reports'), in) . ' | ' . $blockPage->buildLink("../reports/listreports.php?", lang_strings("my_reports"), in));
$blockPage->itemBreadcrumbs(lang_strings("resource_usage"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 
// start the first block
$block1 = new block();
$block1->form = "xwbT";
$block1->openForm("../reports/resource_usage.php#" . $block1->form . "Anchor");
$block1->openContent();

echo "<table>\n";

if ($projectsFilter != 'true' || $profilSession==PF_ADMINISTRATOR || $profilSession==PF_PROJECT_MANAGER || $profilSession==PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession==PF_HR_MANAGER) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("loggedby") . " :</td><td>";

    if ($demoMode != true) {
        if ($profilSession == PF_PROJECT_MANAGER && $projectsFilter == 'true') {
            $tmpquery = " WHERE mem.id!='2' AND EXISTS (SELECT * FROM " . $tableCollab['teams'] . " tea INNER JOIN " . $tableCollab['projects'] . " prj ON prj.id=tea.project AND prj.owner='$idSession' WHERE tea.member=mem.id)";
        } else {
            $tmpquery = " WHERE mem.id!='2' AND mem.profil!='" . PF_CLIENT_USER . "'";
        }
    } 

    $tmpquery .= " ORDER BY mem.login";
    $listMembers = new request();
    $listMembers->openMembers($tmpquery);
    $comptListMembers = count($listMembers->mem_id);

    echo "<select name=\"S_ATSEL[]\" size=\"4\" multiple>";

    if ($profilSession != PF_PROJECT_MANAGER) {
        echo "<option value=\"ALL\">" . lang_strings("select_all") . "</option>";
    }

    for ($i = 0;$i < $comptListMembers;$i++) {
        if ($listMembers->mem_id[$i] == $idSession) {
            echo "<option selected value=\"" . $listMembers->mem_id[$i] . "\">" . $listMembers->mem_login[$i] . "</option>";
        } else {
            echo "<option value=\"" . $listMembers->mem_id[$i] . "\">" . $listMembers->mem_login[$i] . "</option>";
        }
    }

    echo "</select></td></tr>";
} else {
    echo "<input type=\"hidden\" name=\"S_ATSEL[]\" value=\"" . $_SESSION['idSession'] . "\">";
}

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("logtime") . " :</td><td>";

$year1 = date('Y');
$month1 = date('m');
$timestamp1 = mktime(12, 0, 0, $month1, 1, $year1);
$firstDayOfMonth = date('Y-m-d', $timestamp1);
$month1++;
                                                                                
if ($month1 == '13') {
    $year1++;
    $month1 = '1';
}
                                                                                
$timestamp1 = mktime(12, 0, 0, $month1, 0, $year1);
$lastDayOfMonth = date('Y-m-d', $timestamp1);

echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\">
<tr>
<td width=\"16\" align=\"center\" class=\"infovalue\"><input name=S_COMPLETEDATE type=radio value=ALL></td>
<td align=\"left\" width=\"200\">" . lang_strings("all_dates") . "</td>
</tr>
<tr>
<td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=S_COMPLETEDATE type=radio value=DATERANGE></td>
<td align=\"left\" width=\"200\">" . lang_strings("between_dates") . "</td>
</tr>
</table>
<table border=0 cellpadding=2 cellspacing=0>
<tr><td width=18><img height=8 src=\"../themes/" . THEME . "/spacer.gif\" alt=\"\" width=18></td>
<td class=infoValue noWrap><input type=\"text\" class=\"input_datetime\" name=\"S_SDATE2\" id=\"sel1\" size=\"20\" value=\"" . $firstDayOfMonth . "\"><button type=\"reset\" id=\"trigger_a\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script></td>
</tr>
<tr>
<td width=18>&nbsp;" . lang_strings("and") . "&nbsp;<TD class=infoValue noWrap><input type=\"text\" class=\"input_datetime\" name=\"S_EDATE2\" id=\"sel3\" size=\"20\" value=\"" . $lastDayOfMonth . "\"><button type=\"reset\" id=\"trigger_b\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel3\", button:\"trigger_b\" });</script></TD>
</tr>
</table>";

echo "</select></td></tr><tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("display_options") . " :</td><td>";
echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\">
<tr><td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=\"S_MEMITEM\" type=\"checkbox\" value=\"TRUE\"></td><td>" . lang_strings('member_items') . "</td></tr>
<tr><td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=\"S_PROJTOTAL\" type=\"checkbox\" value=\"TRUE\"></td><td>" . lang_strings('project_totals') . "</td></tr>
<tr><td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=\"S_ORGTOTAL\" type=\"checkbox\" value=\"TRUE\"></td><td>" . lang_strings('organization_totals') . "</td></tr>";
if ($profilSession==PF_ADMINISTRATOR || $profilSession==PF_PROJECT_MANAGER || $profilSession==PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession==PF_HR_MANAGER) {
    echo "<tr><td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=\"S_MEMTOTAL\" type=\"checkbox\" value=\"TRUE\"></td><td>" . lang_strings('member_totals') . "</td></tr>";
    echo "<tr><td width=\"16\" align=\"center\" class=\"infovalue\"><input checked name=\"S_MEMPTOTAL\" type=\"checkbox\" value=\"TRUE\"></td><td>" . lang_strings('member_period_totals') . "</td></tr>";
}
echo "</table>";
echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("billing") . " :</td><td>";
echo "<select name=\"S_BILLING\" size=\"3\"><option selected value=\"ALL\">" . lang_strings("select_all") . "</option>";
foreach ($billingFlag as $bfKey => $bfVal) {
    echo "<option value=\"$bfKey\">$bfVal</option>";
} 
echo "</select></td></tr>";
// need a submit button
echo "</select></td></tr>
<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"Save\" value=\"" . lang_strings("create") . "\"></td></tr>";
echo "</td></tr></table>\n";

$block1->closeContent();
$block1->closeForm();
// close this block
require_once("../themes/" . THEME . "/footer.php");

?>
