<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: createsearch.php,v 1.5 2006/07/08 13:42:42 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.searchForm.searchfor.focus()\"";

// test required field searchfor
if ($action == "search") {
    // if searchfor blank, $error set
    if ($searchfor == "") {
        $error = lang_strings("search_note"); 
        $bodyCommand = "onLoad=\"document.searchForm.searchfor.focus()\"";
        $searchfor_highlight = true;
    } else if (strlen($searchfor) < 2) {
        $error = lang_strings("keywords_too_short");
        $bodyCommand = "onLoad=\"document.searchForm.searchfor.focus()\"";
        $searchfor_highlight = true;
    } else {
        // if searchfor not blank, redirect to searchresults
        if ($tbl_check[0] == '0') $validNotes = "true";
        if ($tbl_check[1] == '0') $validOrganizations = "true";
        if ($tbl_check[2] == '0') $validProjects = "true";
        if ($tbl_check[3] == '0') $validTasks = "true";
        if ($tbl_check[4] == '0') $validTopics = "true";
        if ($tbl_check[5] == '0') $validMembers = "true";
        if ($tbl_check[6] == '0') $validMeetings = "true";
        if ($tbl_check[7] == '0') $validFiles = "true";

        $searchfor = urlencode($searchfor);
        header("Location: ../search/resultssearch.php?searchfor=$searchfor&searchType=$searchType&validNotes=$validNotes&validOrganizations=$validOrganizations&validProjects=$validProjects&validTasks=$validTasks&validTopics=$validTopics&validMembers=$validMembers&validMeetings=$validMeetings&validFiles=$validFiles");
        exit;
    }
}

if ($searchType == '') {
    $searchType = 'advance';
    $chkbox_slt = 'false';

    for ($i=0; $i<8; $i++) {
        $tbl_check[$i] = '0';
    }
} else if ($error == '') {
    if ($validNotes == "true") $tbl_check[0] = '0';
    if ($validOrganizations == "true") $tbl_check[1] = '0';
    if ($validProjects == "true") $tbl_check[2] = '0';
    if ($validTasks == "true") $tbl_check[3] = '0';
    if ($validTopics == "true") $tbl_check[4] = '0';
    if ($validMembers == "true") $tbl_check[5] = '0';
    if ($validMeetings == "true") $tbl_check[6] = '0';
    if ($validFiles == "true") $tbl_check[7] = '0';
}

if ($searchType == 'advance') {
    if ($tbl_check[0] == '0') $checkedNotes = 'checked';
    if ($tbl_check[1] == '0') $checkedOrganizations = 'checked';
    if ($tbl_check[2] == '0') $checkedProjects = 'checked';
    if ($tbl_check[3] == '0') $checkedTasks = 'checked';
    if ($tbl_check[4] == '0') $checkedDiscussions = 'checked';
    if ($tbl_check[5] == '0') $checkedUsers = 'checked';
    if ($tbl_check[6] == '0') $checkedMeetings = 'checked';
    if ($tbl_check[7] == '0') $checkedFiles = 'checked';

    $headBonus = "<script type=\"text/JavaScript\">
function checkboxes(){
    for (var i = 0; i < document.searchForm.elements.length; i++) {
        var e = document.searchForm.elements[i];

        if (e.type=='checkbox') {
            if (document.searchForm.chkbox_slt.value == \"true\") {
                e.checked = true;
            } else {
                e.checked = false;
            }
        }
    }

    if (document.searchForm.chkbox_slt.value == \"true\" ) {
        document.searchForm.chkbox_slt.value = \"false\";
    } else {
        document.searchForm.chkbox_slt.value = \"true\";
    }
}
</script>";
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../search/createsearch.php?", lang_strings("search"), in));
$blockPage->itemBreadcrumbs(lang_strings("search_options"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "search";
$block1->openForm("../search/createsearch.php?action=search&amp;searchType=$searchType");

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

$block1->heading(lang_strings("search"));
$block1->openContent();
$block1->contentTitle(lang_strings("enter_keywords"));
$searchforContent =  "<input value=\"$searchfor\" type=\"text\" name=\"searchfor\" ";

if ($searchfor_highlight) {
    $searchforContent .=  "class=\"input_text_highlight\" ";
} else {
    $searchforContent .=  "class=\"input_text\" ";
}

$searchforContent .= "size=\"30\" maxlength=\"64\"><input type=\"submit\" name=\"Save\" value=\"" . lang_strings("search") . "\">&nbsp;&nbsp;";

if ($searchType == 'simple') {
    $searchforContent .= $blockPage->buildLink("../search/createsearch.php?searchType=advance&validNotes=true&validOrganizations=true&validProjects=true&validTasks=true&validTopics=true&validMembers=true&validMeetings=true&validFiles=true", lang_strings('advance_search'), in);
} else {
    $searchforContent .= $blockPage->buildLink("../search/createsearch.php?searchType=simple", lang_strings('simple_search'), in);
}

$block1->contentRow("* " . lang_strings("search_for"), $searchforContent);

if ($searchType == 'advance') {
    echo "<input type=\"hidden\" name=\"chkbox_slt\" value=\"$chkbox_slt\">";
    $block1->contentRow("<a href=\"javascript:checkboxes();\" onmouseover=\"window.status = '" . lang_strings("select_deselect") . "';return true;\" onmouseout=\"window.status = '';return true;\"><img name=\"all\" src=\"../themes/" . THEME ."/checkbox_off_16.gif\" border=\"0\" alt=\"\"></a>", lang_strings("select_deselect"), "false", "&nbsp;");
    $block1->contentRow("", "<input type=\"checkbox\" name=\"tbl_check[0]\" value=\"0\" $checkedNotes>" . lang_strings("notes") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[1]\" value=\"0\" $checkedOrganizations>" . lang_strings("organizations") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[2]\" value=\"0\" $checkedProjects>" . lang_strings("projects") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[3]\" value=\"0\" $checkedTasks>" . lang_strings("tasks") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[4]\" value=\"0\" $checkedDiscussions>" . lang_strings("discussions") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[5]\" value=\"0\" $checkedUsers>" . lang_strings("users") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[6]\" value=\"0\" $checkedMeetings>" . lang_strings("meetings") . "&nbsp;&nbsp;&nbsp;&nbsp;"
        . "<input type=\"checkbox\" name=\"tbl_check[7]\" value=\"0\" $checkedFiles>" . lang_strings("files")
        , "false", "&nbsp;");
}

$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
