<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deleteservices.php,v 1.6 2006/03/13 03:01:39 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
} 

if ($action == "delete") {
    $id = str_replace("**", ",", $id);
    $tmpquery1 = "DELETE FROM " . $tableCollab["services"] . " WHERE id IN($id)";
    connectSql($tmpquery1);
    header("Location: ../services/listservices.php?msg=delete");
    exit;
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../services/listservices.php?", lang_strings("service_management"), in));
$blockPage->itemBreadcrumbs(lang_strings("delete_services"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();

$block1->form = "service_delete";
$block1->openForm("../services/deleteservices.php?action=delete");

$block1->heading(lang_strings("delete_services"));

$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));

$id = str_replace("**", ",", $id);
$tmpquery = "WHERE serv.id IN($id) ORDER BY serv.name";
$listServices = new request();
$listServices->openServices($tmpquery);
$comptListServices = count($listServices->serv_id);

for ($i = 0;$i < $comptListServices;$i++) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td>" . $listServices->serv_name[$i] . "&nbsp;(" . $listServices->serv_name_print[$i] . ")</td></tr>";
} 

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"delete\" value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" onClick=\"history.back();\"><input type=\"hidden\" value=\"$id\" name=\"id\"></td></tr>";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
