<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewservice.php,v 1.6 2006/03/13 03:01:39 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
} 

$tmpquery = "WHERE serv.id = '$id'";
$detailService = new request();
$detailService->openServices($tmpquery);
$comptDetailService = count($detailService->serv_id);

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../services/listservices.php?", lang_strings("service_management"), in));
$blockPage->itemBreadcrumbs($detailService->serv_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();

$block1->form = "serviceD";
$block1->openForm("../services/viewservice.php#" . $block1->form . "Anchor");

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
} 

$block1->heading(lang_strings("service"));

$block1->openPaletteIcon();
$block1->paletteIcon(0, "remove", lang_strings("delete"));
$block1->paletteIcon(1, "edit", lang_strings("edit"));
$block1->closePaletteIcon();

$block1->openContent();
$block1->contentTitle(lang_strings("details"));

$block1->contentRow(lang_strings("name"), $detailService->serv_name[0]);
$block1->contentRow(lang_strings("name_print"), $detailService->serv_name_print[0]);
$block1->contentRow(lang_strings("hourly_rate"), $detailService->serv_hourly_rate[0]);

$block1->closeContent();
$block1->closeForm();

$block1->openPaletteScript();
$block1->paletteScript(0, "remove", "../services/deleteservices.php?id=$id", "true,true,true", lang_strings("delete"));
$block1->paletteScript(1, "edit", "../services/editservice.php?id=$id", "true,true,true", lang_strings("edit"));
$block1->closePaletteScript("", "");

require_once("../themes/" . THEME . "/footer.php");

?>
