<?php // $Revision: 1.4 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listrequests.php,v 1.4 2006/07/03 09:09:08 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($enableHelpSupport != "true") {
    header("Location: ../general/permissiondenied.php");
    exit;
} 

if ($supportType == "admin") {
    if ($profilSession != PF_ADMINISTRATOR) {
        header("Location: ../general/permissiondenied.php");
        exit;
    } 
} 

$tmpquery = "WHERE pro.id = '$id'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = "false";
$tmpquery = "WHERE tea.project = '$id' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);
if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
if ($supportType == "team") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("support_requests"));
} else if ($supportType == "admin") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/support.php?", lang_strings("support_management"), in));
    $blockPage->itemBreadcrumbs(lang_strings("support_requests"));
} 
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "srs";
$block1->openForm("../support/listrequests.php?id=$id#" . $block1->form . "Anchor");
$block1->heading(lang_strings("support_requests"));
if ($teamMember == "true" || $profilSession == PF_ADMINISTRATOR) {
    $block1->openPaletteIcon(); 
    // $block1->paletteIcon(0,"add",lang_strings("add"));
    $block1->paletteIcon(1, "edit", lang_strings("edit_status"));
    $block1->paletteIcon(2, "remove", lang_strings("delete"));
    $block1->paletteIcon(3, "info", lang_strings("view"));
    $block1->closePaletteIcon();
} 
$block1->sorting("support_requests", $sortingUser->sor_support_requests[0], "sr.id ASC", $sortingFields = array(0 => "sr.id", 1 => "sr.subject", 2 => "sr.priority", 3 => "sr.status", 4 => "sr.date_open", 5 => "sr.date_close"));

/*$tmpquery = "WHERE mem.id = '$idSession'";
$userDetail = new request();
$userDetail->openMembers($tmpquery);*/

$tmpquery = "WHERE sr.project = '$id' ORDER BY $block1->sortingValue";
$listRequests = new request();
$listRequests->openSupportRequests($tmpquery);
$comptListRequests = count($listRequests->sr_id);

if ($comptListRequests != "0") {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings("id"), 1 => lang_strings("subject"), 2 => lang_strings("priority"), 3 => lang_strings("status"), 4 => lang_strings("date_open"), 5 => lang_strings("date_close")), "false");

    for ($i = 0;$i < $comptListRequests;$i++) {
        $comptSta = count($requestStatus);
        for ($sr = 0;$sr < $comptSta;$sr++) {
            if ($listRequests->sr_status[$i] == $sr) {
                $currentStatus = $requestStatus[$sr];
            } 
        } 

        $comptPri = count($priority);
        for ($rp = 0;$rp < $comptPri;$rp++) {
            if ($listRequests->sr_priority[$i] == $rp) {
                $requestPriority = $priority[$rp];
            } 
        } 
        $block1->openRow();
        $block1->checkboxRow($listRequests->sr_id[$i]);
        $block1->cellRow($listRequests->sr_id[$i]);
        $block1->cellRow($blockPage->buildLink("../support/viewrequest.php?id=" . $listRequests->sr_id[$i], $listRequests->sr_subject[$i], in));
        $block1->cellRow($requestPriority);
        $block1->cellRow($currentStatus);
        $block1->cellRow($listRequests->sr_date_open[$i]);
        $block1->cellRow($listRequests->sr_date_close[$i]);
        $block1->closeRow();
    } 
    $block1->closeResults();
} else {
    $block1->noresults();
} 
$block1->closeFormResults();
if ($teamMember == "true" || $profilSession == PF_ADMINISTRATOR) {
    $block1->openPaletteScript(); 
    // $block1->paletteScript(0,"add","addsupport.php?","true,false,false",lang_strings("add"));
    $block1->paletteScript(1, "edit", "../support/addpost.php?action=status", "false,true,false", lang_strings("edit_status"));
    $block1->paletteScript(2, "remove", "../support/deleterequests.php?action=deleteR", "false,true,true", lang_strings("delete"));
    $block1->paletteScript(3, "info", "../support/viewrequest.php?", "false,true,false", lang_strings("view"));
    $block1->closePaletteScript($comptListRequests, $listRequests->sr_id);
} 

require_once("../themes/" . THEME . "/footer.php");

?>
