<?php // $Revision: 1.21 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: addtasktime.php,v 1.21 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = 'onLoad="document.saTForm.hr.focus();"';

// Task Detail
$tmpquery = "WHERE tas.id = '$id'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);

if ($taskDetail->tas_estimated_time[0] < 1) {
    $taskDetail->tas_estimated_time[0] = 0;
}

// Project Detail
$tmpquery = "WHERE pro.id = '" . $taskDetail->tas_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

// Make sure this person has thr right to log hours for this task
$teamMember = "false";
$tmpquery = "WHERE tea.project = '" . $taskDetail->tas_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);

if (count($memberTest->tea_id) != "0") {
    $teamMember = "true";
}

if (($teamMember == 'false' && $projectsFilter == "true" && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) || $taskDetail->tas_milestone[0] == MS_YES) {
    header("Location:../general/permissiondenied.php");
    exit;
}

// Check field values
if ($_GET['action'] == 'add') {
    $msgLabel .= ''; // init
     
    // make sure we have the required information
    if (!empty($hr)) {
        if (!is_numeric($hr)) {
            // we need this to be numeric
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_numerical');
        } else if ($hr > 24) {
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_hours');
        }
    } else {
        // we need this to be numeric
        $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours') . ' ' . lang_strings('error_required');
    }

    if (empty($msgLabel)) {
        $tmpquery = "WHERE tim.owner='$owner' AND tim.month='" . substr($ld, 0, 4) . substr($ld, 5, 2) . "' AND tim.status NOT IN ('" . TS_OPEN . "','" . TS_REJECTED . "')";
        $listTimeSheet = new request();
        $listTimeSheet->openTimesheet($tmpquery);
        $comptListTimeSheet = count($listTimesheet->tim_id);

        if ($comptListTimeSheet > 0) {
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('timesheet') . ' ' . lang_strings('submitted');
        }
    } else {
        $bodyCommand = 'onLoad="document.saTForm.hr.focus();"';
        $hr_highlight = true;
    }

    // insert task time in database
    if (empty($msgLabel)) {
        $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery1 = 'INSERT INTO ' . $tableCollab['tasks_time'] . " (project,task,owner,date,hours,comments,billing,created) VALUES ('" . $projectDetail->pro_id[0] . "', '$id','$owner','$ld','$hr','$comm','$bf','$dateheures')";
        connectSql($tmpquery1);
        $ld = null;
        $hr = null;
        $comm = null; 
        // successful insert
        $msgLabel = '<b>' . lang_strings('success') . '</b> : ' . lang_strings('hours_updated');
    }
}

// get actual time for task
$taskActualTime = new request();
$actualTime = $taskActualTime->getTaskTime($id);

// set billing flag
if ($bf == '') {
    if ($taskDetail->tas_service[0] == '0') {
        $bf = BF_NO;
    } else {
        $bf = BF_YES;
        $tmpquery = " WHERE serv.id='" . $taskDetail->tas_service[0] . "'";
        $serviceDetail = new request();
        $serviceDetail->openServices($tmpquery);
    }
}

// get team member list
if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
    $tmpquery = "WHERE tea.project = '" . $projectDetail->pro_id[0] . "' AND mem.profil<>'" . PF_CLIENT_USER . "' ORDER BY mem.name";
} else {
    $tmpquery = "WHERE tea.project = '" . $projectDetail->pro_id[0] . "' AND tea.member='$idSession' ORDER BY mem.name";
}

$projmem = new request();
$projmem->openTeams($tmpquery);
$comptProjmem = count($projmem->tea_mem_id);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $projectDetail->pro_id[0], lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("add_task_time"));
$blockPage->closeBreadcrumbs();
$blockPage->bornesNumber = "1";

// message for success/failure
if ($msgLabel) {
    $blockPage->messagebox($msgLabel);
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages();
}

$block1 = new block();
$block1->form = "saT";
$block1->openForm("../tasks/addtasktime.php?id=$id&amp;project=" . $projectDetail->pro_name[0] . "&amp;action=add#" . $block1->form . "Anchor");
$block1->heading(lang_strings("add_task_time") . " : " . $taskDetail->tas_name[0]);
$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
$block1->contentRow(lang_strings("tasks"), $taskDetail->tas_name[0]);
$block1->contentRow(lang_strings("description"), nl2br(html_entity_decode($taskDetail->tas_description[0])));
$block1->contentRow(lang_strings("estimated_time"), $taskDetail->tas_estimated_time[0] . " " . lang_strings("hours"));
$block1->contentRow(lang_strings("actual_time"), $actualTime . " " . lang_strings("hours"));
$block1->contentTitle(lang_strings("add_task_time"));
// owner
$ownerSel = "<select name='owner'>";

for ($i=0; $i<$comptProjmem; $i++) {
    if ($idSession == $projmem->tea_member[$i]) {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "' selected>" . $projmem->tea_mem_name[$i] . "</option>";
    } else {
        $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "'>" . $projmem->tea_mem_name[$i] . "</option>";
    }
}

$ownerSel .= "</select>";
$block1->contentRow(lang_strings('owner'), $ownerSel);

// date
if ($ld == '') {
    $ld = $date;
}

$block1->contentRow(lang_strings('date'), "<input type=\"text\" class=\"input_datetime\" name=\"ld\" id=\"sel1\" 
size=\"20\" value=\"$ld\" readonly><button type=\"reset\" id=\"trigger_a\">...</button>
<script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");
// billing
$bfSel = "<select name=\"bf\">";

if ($bf == BF_NO) {
    $bfSel .= "<option value='" . BF_NO . "' selected>" . lang_strings("none") . "</option>";
} else {
    $bfSel .= "<option value='" . BF_NO . "'>" . lang_strings("none") . "</option>";
}

if ($taskDetail->tas_service[0] != '0') {
    if ($bf == BF_YES) {
        $bfSel .= "<option value=\"" . BF_YES . "\" selected>" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    } else {
        $bfSel .= "<option value=\"" . BF_YES . "\">" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    }
}

$bfSel .= "</select>";
$block1->contentRow(lang_strings("service"), $bfSel);

// hours
if ($hr_highlight) {
    $block1->contentRow("* " . lang_strings("worked_hours"), "<input size='20' value='$hr' class='input_hours_highlight' name='hr' maxlength='6' type='text'>");
} else {
    $block1->contentRow("* " . lang_strings("worked_hours"), "<input size='20' value='$hr' class='input_hours' name='hr' maxlength='6' type='text'>");
}

// comments
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>$comm</textarea>");
$block1->contentRow("", "<input type='SUBMIT' value='" . lang_strings("save") . "'>");
$block1->closeContent();
$block1->closeForm();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

// This will display time log detail for the current task
$block2 = new block();
$block2->form = "ahT";
$block2->openForm("../tasks/addtasktime.php?id=$id#" . $block2->form . "Anchor");
$block2->heading(lang_strings("task_time") . ' : ' . lang_strings("details"));
$block2->openPaletteIcon();
$block2->paletteIcon(0, "remove", lang_strings("delete"));
$block2->paletteIcon(1, "edit", lang_strings("edit"));
$block2->closePaletteIcon();
$block2->borne = $blockPage->returnBorne("1");
$block2->rowsLimit = "20";
$block2->sorting('tasks_time', $sortingUser->sor_tasks_time[0], 'tim.date ASC', $sortingFields = array(0 => 'mem.name', 1 => 'tim.date', 2 => 'tim.hours', 3 => 'tim.created', 4 => 'tim.modified', 5 => 'tim.comments', 6 => 'tim.billing'));
$tmpquery = "WHERE tim.task = '$id' ORDER BY $block2->sortingValue";
$block2->recordsTotal = compt($initrequest["tasks_time"] . " " . $tmpquery);
$listTaskTimes = new request();
$listTaskTimes->openTaskTime($tmpquery, $block2->borne, $block2->rowsLimit);
$comptListTaskTimes = count($listTaskTimes->tim_id);

if ($comptListTaskTimes != "0") {
    $block2->openResults();
    $block2->labels($labels = array(0 => lang_strings("owner"), 1 => lang_strings("date"), 2 => ucfirst(lang_strings("hours")), 3 => lang_strings("created"), 4 => lang_strings("modified"), 5 => lang_strings('comment'), 6 => lang_strings('billing')), "true"); 

    // display logged hours for project
    for ($i = 0;$i < $comptListTaskTimes;$i++) {
        $block2->openRow();
        $block2->checkboxRow($listTaskTimes->tim_id[$i], 'true');
        $block2->cellRow($listTaskTimes->tim_mem_name[$i]);
        $block2->cellRow($listTaskTimes->tim_date[$i]);
        $block2->cellRow($listTaskTimes->tim_hours[$i]);
        $block2->cellRow($listTaskTimes->tim_created[$i]);
        $block2->cellRow($listTaskTimes->tim_modified[$i]); 
        // truncate large comments to keep the display clean
        $comments = nl2br(html_entity_decode($listTaskTimes->tim_comments[$i], ENT_QUOTES, $htmlEntityCharset));
        $lenComm = 40;

        if (strLen($comments) > $lenComm) {
            $comments = substr($comments, 0, $lenComm) . ' ...';
        }

        $block2->cellRow($comments);
        $block2->cellRow($billingFlag[$listTaskTimes->tim_billing[$i]]); 
        $block2->closeRow();
    }

    $block2->closeResults();
    $block2->bornesFooter("1", $blockPage->bornesNumber, "", "id=$id");
} else {
    $block2->noresults();
}

$block2->closeFormResults();
$block2->openPaletteScript();
$block2->paletteScript(0, "remove", "../tasks/deletetasktime.php?task=$id", "false,true,true", lang_strings("delete"));
$block2->paletteScript(1, "edit", "../tasks/edittasktime.php?task=$id", "false,true,false", lang_strings("edit"));
$block2->closePaletteScript($comptListTaskTimes, $listTaskTimes->tim_id);

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
