<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletepredecessors.php,v 1.6 2006/06/30 00:04:38 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if (isset($_POST['action'])) {
    $action = $_POST['action'];

    if ($action == 'delete') {
        $task = $_POST['task'];
        $id = $_POST['id'];
        $criticalSection = enter_critical_section();

        if ($criticalSection == -1) {
            header("Location: ../tasks/viewtask.php?id=$task&msg=$msg");
            exit;
        }

        $id = str_replace("**", ",", $id);
        $tmpquery1 = "DELETE FROM " . $tableCollab["tasks_predecessor"] . " WHERE id IN ($id)";
        connectSql("$tmpquery1");
        leave_critical_section($criticalSection);
        header("Location: ../tasks/viewtask.php?id=$task&msg=deletePredecessor");
        exit;
    }
}

$tmpquery = "WHERE tas.id = '$task'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);
$teamMember = 'false';
$tmpquery = "WHERE tea.project = '" . $taskDetail->tas_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
}

if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $taskDetail->tas_project[0], $taskDetail->tas_pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $taskDetail->tas_project[0], lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("delete_predecessors"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "saP";
$block1->openForm("../tasks/deletepredecessors.php?");
echo "<input type=\"hidden\" name=\"action\" value=\"delete\">";
echo "<input type=\"hidden\" name=\"task\" value=\"$task\">";
echo "<input type=\"hidden\" name=\"id\" value=\"$id\">";
$block1->heading(lang_strings("delete_predecessors"));
$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));
$id = str_replace("**", ",", $id);
$tmpquery = "WHERE pre.id IN($id)";
$listPredecessors = new request();
$listPredecessors->openTaskPredecessor($tmpquery);
$comptListPredecessors = count($listPredecessors->pre_id);

for ($i = 0;$i < $comptListPredecessors;$i++) {
    $block1->contentRow("", $listPredecessors->pre_tas2_name[$i] . "&nbsp;&nbsp;<b><i>" . $taskPredecessorTypes[$listPredecessors->pre_type[$i]] . "</i></b>&nbsp;&nbsp;" . $listPredecessors->pre_tas_name[$i]);
} 

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("delete") . "\">&#160;<input type=\"BUTTON\" value=\"" . lang_strings("cancel") . "\" onClick=\"history.back();\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
