<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletetasktime.php,v 1.7 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

// Task Detail
$tmpquery = "WHERE tas.id = '$task'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);

if ($taskDetail->tas_estimated_time[0] < 1) {
    $taskDetail->tas_estimated_time[0] = 0;
} 

$project = $taskDetail->tas_project[0];
// Make sure this person has thr right to delete hours for this task
$id1 = str_replace("**", ",", $id);
$tmpquery = "WHERE tim.id IN($id1) ORDER BY tim.id";
$listTaskTime = new request();
$listTaskTime->openTaskTime($tmpquery);
$comptListTaskTime = count($listTaskTime->tim_id);
$tmpquery = "WHERE tim.id IN($id1) AND tim.owner='$idSession' ORDER BY tim.id";
$listTaskTimeOwner = new request();
$listTaskTimeOwner->openTaskTime($tmpquery);
$comptListTaskTimeOwner = count($listTaskTimeOwner->tim_id);
$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
}

if (!(($teamMember == 'true' && ($profilSession == PF_PROJECT_MANAGER || $comptListTaskTime == $comptListTaskTimeOwner)) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header("Location:../general/permissiondenied.php");
    exit;
} 

if ($action == "delete") {
    $tmpquery1 = 'DELETE FROM ' . $tableCollab['tasks_time'] . " WHERE id IN($id1)";
    connectSql("$tmpquery1");

    if ($task != "") {
        header("Location: ../tasks/addtasktime.php?id=$task&msg=delete");
        exit;
    } else {
        header("Location: ../general/home.php?msg=delete");
        exit;
    } 
} 

// Project Detail
$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $projectDetail->pro_id[0], lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("delete_task_time"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = 'saP';
$block1->openForm("../tasks/deletetasktime.php?task=$task&amp;action=delete&amp;id=$id");
$block1->heading(lang_strings("delete_task_time"));
$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));

for ($i = 0;$i < $comptListTaskTime;$i++) {
    echo "<tr class='odd'><td valign='top' class='leftvalue'>#"
     . $listTaskTime->tim_id[$i] . "</td><td> : " . lang_strings('worked_hours')
     . " = " . $listTaskTime->tim_hours[$i] . ", " . nl2br(html_entity_decode($listTaskTime->tim_comments[$i], ENT_QUOTES, $htmlEntityCharset))
     . "</td></tr>";
} 

echo "
<tr class='odd'>
  <td valign='top' class='leftvalue'>&nbsp;</td>
  <td><input type='submit' name='delete' value='" . lang_strings('delete') . "'> 
    <input type='button' name='cancel' value='" . lang_strings('cancel') . "' onClick='history.back();'></td></tr>";
$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
