<?php // $Revision: 1.35.2.2 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: edittask.php,v 1.35.2.2 2007/05/10 03:59:17 luis Exp $
 *
 * Copyright (c) 2003 by the NetOffice developers
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$taskgroupList = array();

function add_taskgroup_to_changelist($parent, $level)
{
    global $taskgroupList;

    if (array_key_exists($parent, $taskgroupList))
        return;

    $taskgroupList[$parent] = $level;
    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    if ($parentDetail->tas_parent_task[0] != 0) {
        add_taskgroup_to_changelist($parentDetail->tas_parent_task[0], $parentDetail->tas_level[0]);
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;
    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }

            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }

            $newCompletion += $completion;

            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }

            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }

            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;

            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }

            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;

            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }

            $newPublished = $published;
        }
    }

    $newCompletion = floor($newCompletion / $newSubtask);
    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='" . TG_YES . "', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
}

function change_subtasks_level($id)
{
    global $tableCollab, $dateheures;
    $tmpquery = "WHERE tas.parent_task='$id'";
    $subtasksList = new request();
    $subtasksList->openTasks($tmpquery);
    $comptSubtasksList = count($subtasksList->tas_id);

    for ($i = 0;$i < $comptSubtasksList;$i++) {
        $newLevel = $subtasksList->tas_level[$i] + 1;
        $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET level='$newLevel', modified='$dateheures' WHERE id='" . $subtasksList->tas_id[$i] . "'";
        connectSql("$tmpquery");

        if ($subtasksList->tas_task_group[$i] == TG_YES) {
            change_subtasks_level($subtasksList->tas_id[$i]);
        }
    }
}

if ($action == "taskgroup") {
    $subtaskids = str_replace("**", ",", $id);
}

if ($subtaskids != "") {
    $tmpquery = "WHERE tas.id in($subtaskids)";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $comptSubtaskList = count($subtaskList->tas_id);
    $st = $subtaskList->tas_status[0];
    $compl = $subtaskList->tas_completion[0];
    $pr = $subtaskList->tas_priority[0];
    $sd = $subtaskList->tas_start_date[0];
    $dd = $subtaskList->tas_due_date[0];
    $cd = $subtaskList->tas_complete_date[0];
    $etm = $subtaskList->tas_estimated_time[0];
    $atm = $subtaskList->tas_actual_time[0];
    $pub = $subtaskList->tas_published[0];
    $tg = TG_YES;
    $lvl = $subtaskList->tas_level[0];
    $pta = $subtaskList->tas_parent_task[0];
    $sta = $comptSubtaskList;
    $pha = $subtaskList->tas_parent_phase[0];

    for ($i = 1;$i < $comptSubtaskList;$i++) {
        if ($subtaskList->tas_level[$i] != $lvl) {
            header("Location: ../tasks/listtasks.php?project=$project&msg=diffLevel");
            exit;
        }

        if ($subtaskList->tas_parent_task[$i] != $pta) {
            header("Location: ../tasks/listtasks.php?project=$project&msg=diffParent");
            exit;
        }

        if ($subtaskList->tas_parent_phase[$i] != $pha) {
            header("Location: ../tasks/listtasks.php?project=$project&msg=diffPhase");
            exit;
        }

        if ($subtaskList->tas_milestone[$i] == MS_YES) {
            header("Location: ../tasks/listtasks.php?project=$project&msg=noMilestoneGroup");
            exit;
        }

        if ($pr < $subtaskList->tas_priority[$i]) {
            $pr = $subtaskList->tas_priority[$i];
        }

        if ($subtaskList->tas_status[$i] == ST_NOT_STARTED || $st == ST_NOT_STARTED) {
            $st = ST_NOT_STARTED;
        } else if ($subtaskList->tas_status[$i] == ST_OPEN || $st == ST_OPEN) {
            $st = ST_OPEN;
        } else if ($subtaskList->tas_status[$i] == ST_SUSPENDED || $st == ST_SUSPENDED) {
            $st = ST_SUSPENDED;
        } else if ($subtaskList->tas_status[$i] == ST_CLIENT_COMPLETED || $st == ST_CLIENT_COMPLETED) {
            $st = ST_CLIENT_COMPLETED;
        }

        $compl += $subtaskList->tas_completion[$i];

        if ($sd > $subtaskList->tas_start_date[$i]) {
            $sd = $subtaskList->tas_start_date[$i];
        }

        if ($dd < $subtaskList->tas_due_date[$i]) {
            $dd = $subtaskList->tas_due_date[$i];
        }

        $etm += $subtaskList->tas_estimated_time[$i];
        $atm += $subtaskList->tas_actual_time[$i];

        if ($subtaskList->tas_published[$i] == PB_YES) {
            $pub = PB_YES;
        }

        if ($st == ST_COMPLETED) {
            if ($cd < $subtaskList->tas_complete_date[$i]) {
                $cd = $subtaskList->tas_complete_date[$i];
            }
        } else {
            $cd = '--';
        }
    }

    $compl = floor($compl / $comptSubtaskList);
    $id = "";
}

// case multiple edit tasks
$multi = strstr($id, "**");

if ($multi != "") {
    header("Location: ../tasks/updatetasks.php?report=$report&project=$project&id=$id");
    exit;
}

if ($id != "" && $action != "update" && $action != "add") {
    $tmpquery = "WHERE tas.id = '$id'";
    $taskDetail = new request();
    $taskDetail->openTasks($tmpquery);
    $tmpquery = "WHERE pro.id = '" . $taskDetail->tas_project[0] . "'";
    $project = $taskDetail->tas_project[0];
} else {
    $tmpquery = "WHERE pro.id = '$project'";
}

$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if ($id == "") {
    if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
        header('Location: ../general/permissiondenied.php');
        exit;
    }
} else {
    $tmpquery = " AND res.task='$id' AND res.resource='$idSession'";
    $taskAssigned = new request();
    $taskAssigned->openTaskHumanResource($tmpquery);
    $comptTaskAssigned = count($taskAssigned->res_id);

    if (!(($teamMember == 'true' && ($profilSession == PF_PROJECT_MANAGER || $taskDetail->tas_owner[0] == $idSession || $comptTaskAssigned > 0)) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
        header("Location: ../tasks/listtasks.php?project=$project&msg=taskOwner");
        exit;
    }
}

if ($id == "") {
    $comptListTaskResources = 0;
    $comptListTaskHumanResources = 0;
} else {
    $tmpquery = "WHERE res.task='$id'";
    $listTaskResources = new request();
    $listTaskResources->openTaskResource($tmpquery);
    $comptListTaskResources = count($listTaskResources->res_id);
    $tmpquery = "AND res.task='$id'";
    $listTaskHumanResources = new request();
    $listTaskHumanResources->openTaskHumanResource($tmpquery);
    $comptListTaskHumanResources = count($listTaskHumanResources->res_id);
}

// case update or copy task
if ($id != "") {
    // case update or copy task
    if ($action == "update") {
        if ($tn == "") {
            $error = lang_strings("blank_fields");
            $tn_highlight = true;
        } else {
        // concat values from date selector and replace quotes by html code in name
        $d = htmlentities($d, ENT_QUOTES, $htmlEntityCharset);
        $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);

        if ($tg == "") {
            $tg = TG_NO;
        }

        // case copy task
        if ($cpy == "true") {
            if ($compl == "10") {
                $st = ST_COMPLETED;
            }

            if ($pub == "") {
                $pub = PB_NO;
            }

            if ($fixd == "") {
                $fixd = FD_YES;
            }

            if ($miles == "") {
                $miles = MS_NO;
            }

            if ($miles == MS_YES) {
                unset($thr);
                $st = ST_NOT_STARTED;
                $pr = PR_NONE;
                $dd = $sd;
                $etm = "0";
                $compl = "0";
                $serv = "0";
                $fixd = FD_NO;
                $tt = "99999";
            }

            $resCount = 0;

            for ($i=0; $i<count($thr); $i++) {
                if ($thr[$i] != "0") $resCount++;
            }

            // Adjust task due date & estimated time
            if ($miles == MS_NO) {
                if ($fixd == FD_YES) {
                    $dd = hours_after($sd, $etm);
                } else {
                    $etm = diff_hour($sd, $dd);
                }
            }

            if ($resCount == 0)
                $tasAssigned = '';
            else
                $tasAssigned = $dateheures;

            // Insert Task details with or without parent phase
            if ($projectDetail->pro_phase_set[0] != "0") {
                $tmpquery1 = "INSERT INTO " . $tableCollab["tasks"] . "(project,name,description,owner,assigned_to,status,priority,start_date,due_date,estimated_time,comments,created,published,completion,parent_phase,service,fixed_duration,milestone,type,assigned) VALUES('$project','$tn','$d','$idSession','$resCount','$st','$pr','$sd','$dd','$etm','$c','$dateheures','$pub','$compl','$pha','$serv','$fixd','$miles','$tt','$tasAssigned')";
            } else {
                $tmpquery1 = "INSERT INTO " . $tableCollab["tasks"] . "(project,name,description,owner,assigned_to,status,priority,start_date,due_date,estimated_time,comments,created,published,completion,service,fixed_duration,milestone,type,assigned) VALUES('$project','$tn','$d','$idSession','$resCount','$st','$pr','$sd','$dd','$etm','$c','$dateheures','$pub','$compl','$serv','$fixd','$miles','$tt','$tasAssigned')";
            }

            connectSql("$tmpquery1");
            $tmpquery = $tableCollab["tasks"];
            last_id($tmpquery);
            $num = $lastId[0];
            unset($lastId);

            if ($st == ST_COMPLETED && $cd != "--") {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET complete_date='$date' WHERE id = '$num'";
                connectSql("$tmpquery6");
            }

            if ($resCount == 0) {
                $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . "(task,owner,assigned_to,assigned) VALUES ('$num','$idSession','0','$dateheures')";
                connectSql("$tmpquery1");
                $tmpquery = $tableCollab["assignments"];
                last_id($tmpquery);
                $assids = $lastId[0];
                unset($lastId);
            } else {
                $assids = "";

                for ($i=0; $i<count($thr); $i++) {
                    if ($thr[$i] == "0") continue;

                    $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . "(task,owner,assigned_to,assigned) VALUES ('$num','$idSession','" . $thr[$i] . "','$dateheures')";
                    $tmpquery2 = "INSERT INTO " . $tableCollab["tasks_resource"] . "(task,resource,type,support,created) VALUES ('$num','" . $thr[$i] . "','members','10','$dateheures')";
                    connectSql("$tmpquery1");
                    connectSql("$tmpquery2");
                    $tmpquery = $tableCollab["assignments"];
                    last_id($tmpquery);

                    if ($assids != "") $assids .= "**";

                    $assids .= $lastId[0];
                    unset($lastId);

                    if ($tt != "99999") {
                        $tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE id='" . $thr[$i] . "' AND profil NOT IN (" . PF_CLIENT_USER . "," . PF_DISABLED . "," . PF_DELETED . ")";
                        if (compt($tmpquery) == 1) {
                            $tmpquery3 = "INSERT INTO " . $tableCollab["person_evaluations"] . "(type,item,member,submitted,created) VALUES ('0','$num','" . $thr[$i] . "','" . PE_OPEN . "','$dateheure')";
                            connectSql("$tmpquery3");
                        }
                    }
                }
            }

            // create task sub-folder if filemanagement = true
            if ($fileManagement == "true") {
                createDir("files/$project/$num");
            }

            if ($projectDetail->pro_phase_set[0] != "0") {
                // change parent phase status
                $tmpquery = " WHERE tas.parent_phase='$pha'";
                $statusList = new request();
                $statusList->openTasks($tmpquery);
                $comptStatusList = count($statusList->tas_id);
                $statusArray = array(0, 0, 0, 0, 0);

                for ($i = 0;$i < $comptStatusList; $i++) {
                    $statusArray[$statusList->status[$i]]++;
                }

                if ($comptStatusList == 0) {
                    $parentPhaseStatus = PS_NOT_STARTED;
                } else if ($statusArray[ST_COMPLETED] == $comptStatusList) {
                    $parentPhaseStatus = PS_COMPLETE;
                } else if ($statusArray[ST_NOT_STARTED] == $comptStatusList) {
                    $parentPhaseStatus = PS_NOT_STARTED;
                } else if ($statusArray[ST_SUSPENDED] == $comptStatusList) {
                    $parentPhaseStatus = PS_SUSPENDED;
                } else {
                    $parentPhaseStatus = PS_OPEN;
                }

                $tmpquery = " WHERE pha.id='$pha'";
                $phaseStatus = new request();
                $phaseStatus->openPhases($tmpquery);

                if ($phaseStatus->pha_status[0] != $parentPhaseStatus) {
                    $tmpquery = "UPDATE " . $tableCollab["phases"] . " SET status='$parentPhaseStatus' WHERE id='$pha'";
                    connectSql("$tmpquery");
                }
            }

            // send task assignment mail if notifications = true
            if ($notifications == "true" && $resCount > 0) {
                $at = "";

                for ($i = 0;$i < count($thr);$i++) {
                    if ($thr[$i] == "0") continue;

                    if ($i > 0) {
                        $at .= ",";
                    }

                    $at .= "'" . $thr[$i] . "'";
                }

                require_once("../tasks/noti_taskassignment.php");
            }

            header("Location: ../tasks/viewtask.php?id=$num&assids=$assids&msg=addAssignment");
            exit;
        } else {
            // case update task
            $criticalSection = enter_critical_section();

            if ($criticalSection == -1) {
                header("Location: ../tasks/viewtask.php?id=$id&msg=$msg");
                exit;
            }

            if ($pub == "") {
                $pub = PB_NO;
            }

            if ($fixd == "") {
                $fixd = FD_YES;
            }

            if ($miles == "") {
                $miles = MS_NO;
            }

            if ($compl == "10") {
                $st = ST_COMPLETED;
            }

            // Postpone start date if it is holiday
            $sd = hours_after($sd, 1);

            if ($miles == MS_YES) {
                unset($thr);
                $st = ST_NOT_STARTED;
                $pr = PR_NONE;
                $dd = $sd;
                $etm = "0";
                $compl = "0";
                $serv = "0";
                $fixd = FD_NO;
                $tt = "99999";
            // Adjust task due date & estimated time
            } else if ($fixd == FD_YES) {
                $dd = hours_after($sd, $etm);
            } else {
                $dd = hours_before($dd, 1);

                if ($dd < $sd) {
                    $dd = $sd;
                }

                $etm = diff_hour($sd, $dd);
            }

            $oldTHR = explode(",", $old_thr);
            $resCount = $comptListTaskResources - $comptListTaskHumanResources;
            $newTHR = array();

            foreach ($thr as $thrOption) {
                if ($thrOption == "0") continue;

                $newTHR[] = $thrOption;
                $resCount++;
            }

            // Remove all dependencies if parent phase changed
            if ($projectDetail->pro_phase_set[0] != "0" && $old_pha != $pha) {
                $tmpquery8 = "DELETE FROM " . $tableCollab['tasks_predecessor'] . " WHERE task='$id' OR predecessor='$id'";
                connectSql("$tmpquery8");
            // Adjust task start & due date with predecessor tasks
            } else {
                $tmpquery8 = " WHERE pre.task = '$id'";
                $predecessorList = new request();
                $predecessorList->openTaskPredecessor($tmpquery8);
                $comptPredecessorList = count($predecessorList->pre_id);

                if (($dd != $old_dd || $sd != $old_sd) && $comptPredecessorList > 0) {
                    $sdLowerLimit = -1;
                    $sdUpperLimit = -1;
                    $ddLowerLimit = -1;
                    $ddUpperLimit = -1;
                    $timestampSD = date2timestamp($sd);
                    $timestampDD = date2timestamp($dd);

                    for ($i = 0; $i < $comptPredecessorList; $i++) {
                        $timestampSD2 = date2timestamp($predecessorList->pre_tas2_start_date[$i]);
                        $timestampDD2 = date2timestamp($predecessorList->pre_tas2_due_date[$i]);
                        $timestampSD3 = date2timestamp(hours_after(date('Y-m-d', $timestampSD2), $predecessorList->pre_lag[$i]+1));
                        $timestampDD3 = date2timestamp(hours_after(date('Y-m-d', $timestampDD2), $predecessorList->pre_lag[$i]+1));

                        switch ($predecessorList->pre_type[$i]) {
                            case 'FF':
                                if ($ddLowerLimit < $timestampDD2) {
                                    $ddLowerLimit = $timestampDD2;
                                }
                                if ($ddUpperLimit == -1 || $ddUpperLimit > $timestampDD3) {
                                    $ddUpperLimit = $timestampDD3;
                                }
                                break;
                            case 'FS':
                                if ($sdLowerLimit < $timestampDD2) {
                                    $sdLowerLimit = $timestampDD2;
                                }
                                if ($sdUpperLimit == -1 || $sdUpperLimit > $timestampDD3) {
                                    $sdUpperLimit = $timestampDD3;
                                }
                                break;
                            case 'SF':
                                if ($ddLowerLimit < $timestampSD2) {
                                    $ddLowerLimit = $timestampSD2;
                                }
                                if ($ddUpperLimit == -1 || $ddUpperLimit > $timestampSD3) {
                                    $ddUpperLimit = $timestampSD3;
                                }
                                break;
                            case 'SS':
                                if ($sdLowerLimit < $timestampSD2) {
                                    $sdLowerLimit = $timestampSD2;
                                }
                                if ($sdUpperLimit == -1 || $sdUpperLimit > $timestampSD3) {
                                    $sdUpperLimit = $timestampSD3;
                                }
                                break;
                        }
                        if (($sdLowerLimit != -1 && $sdUpperLimit != -1 && $sdLowerLimit > $sdUpperLimit)
                         || ($ddLowerLimit != -1 && $ddUpperLimit != -1 && $ddLowerLimit > $ddUpperLimit)
                         || ($fixd == FD_YES && $sdUpperLimit != -1 && $ddLowerLimit != -1 && date2timestamp(hours_after(date('Y-m-d', $sdUpperLimit), $etm)) < $ddLowerLimit)
                         || ($fixd == FD_YES && $sdLowerLimit != -1 && $ddUpperLimit != -1 && date2timestamp(hours_after(date('Y-m-d', $sdLowerLimit), $etm)) > $ddUpperLimit)
                         || ($miles == MS_YES && $sdUpperLimit != -1 && $ddLowerLimit != -1 && $sdUpperLimit < $ddLowerLimit)) {

                            leave_critical_section($criticalSection);

                            header("Location: ../tasks/viewtask.php?id=$id&msg=taskDependency");
                            exit;
                        }
                        if ($miles == MS_YES) {
                            if ($ddLowerLimit != -1 && $sdLowerLimit < $ddLowerLimit) {
                                $sdLowerLimit = $ddLowerLimit;
                            }
                            if ($sdUpperLimit != -1 && $sdUpperLimit < $ddUpperLimit) {
                                $ddUpperLimit = $sdUpperLimit;
                            }
                            switch ($predecessorList->pre_type[$i]) {
                                case 'FF':
                                case 'SF':
                                    if ($timestampDD < $ddLowerLimit || $timestampDD > $ddUpperLimit) {
                                        $timestampDD = $ddUpperLimit;
                                        $timestampSD = $timestampDD;
                                    }
                                    break;
                                case 'FS':
                                case 'SS':
                                    if ($timestampSD < $sdLowerLimit || $timestampSD > $sdUpperLimit) {
                                        $timestampDD = $sdUpperLimit;
                                        $timestampSD = $timestampDD;
                                    }
                                    break;
                            }
                        } else if ($fixd == FD_YES) {
                            if ($sdLowerLimit != -1 && $ddLowerLimit != -1 && date2timestamp(hours_after(date('Y-m-d', $sdLowerLimit), $etm)) < $ddLowerLimit) {
                                $sdLowerLimit = date2timestamp(hours_before(date('Y-m-d', $ddLowerLimit), $etm));
                            }
                            if ($sdUpperLimit != -1 && $ddUpperLimit != -1 && date2timestamp(hours_after(date('Y-m-d', $sdUpperLimit), $etm)) < $ddUpperLimit) {
                                $ddUpperLimit = date2timestamp(hours_after(date('Y-m-d', $sdUpperLimit), $etm));
                            }
                            switch ($predecessorList->pre_type[$i]) {
                                case 'FF':
                                case 'SF':
                                    if ($timestampDD <= $ddLowerLimit) {
                                        if ($predecessorList->pre_lag[$i] < "8") {
                                            $timestampDD = $ddLowerLimit;
                                        } else {
                                            $timestampDD = date2timestamp(hours_after(date('Y-m-d', $ddLowerLimit), 9));
                                        }
                                    } else if ($timestampDD > $ddUpperLimit) {
                                        $timestampDD = $ddUpperLimit;
                                    }
                                    $timestampSD = date2timestamp(hours_before(date('Y-m-d', $timestampDD), $etm));
                                    break;
                                case 'FS':
                                case 'SS':
                                    if ($timestampSD <= $sdLowerLimit) {
                                        if ($predecessorList->pre_lag[$i] < "8") {
                                            $timestampSD = $sdLowerLimit;
                                        } else {
                                            $timestampSD = date2timestamp(hours_after(date('Y-m-d', $sdLowerLimit), 9));
                                        }
                                    } else if ($timestampSD > $sdUpperLimit) {
                                        $timestampSD = $sdUpperLimit;
                                    }
                                    $timestampDD = date2timestamp(hours_after(date('Y-m-d', $timestampSD), $etm));
                                    break;
                            }
                        } else {
                            switch ($predecessorList->pre_type[$i]) {
                                case 'FF':
                                case 'SF':
                                    if ($timestampDD <= $ddLowerLimit) {
                                        if ($predecessorList->pre_lag[$i] < "8") {
                                            $timestampDD = $ddLowerLimit;
                                        } else {
                                            $timestampDD = date2timestamp(hours_after(date('Y-m-d', $ddLowerLimit), 9));
                                        }
                                    } else if ($timestampDD > $ddUpperLimit) {
                                        $timestampDD = $ddUpperLimit;
                                    }
                                    if ($timestampSD > $timestampDD) {
                                        $timestampSD = $timestampDD;
                                    }
                                    break;
                                case 'FS':
                                case 'SS':
                                    if ($timestampSD <= $sdLowerLimit) {
                                        if ($predecessorList->pre_lag[$i] < "8") {
                                            $timestampSD = $sdLowerLimit;
                                        } else {
                                            $timestampSD = date2timestamp(hours_after(date('Y-m-d', $sdLowerLimit), 9));
                                        }
                                    } else if ($timestampSD > $sdUpperLimit) {
                                        $timestampSD = $sdUpperLimit;
                                    }
                                    if ($timestampDD < $timestampSD) {
                                        $timestampDD = $timestampSD;
                                    }
                                    break;
                            }
                        }
                    }

                    $sd = date('Y-m-d', $timestampSD);
                    $dd = date('Y-m-d', $timestampDD);

                    if (fixd == "1") {
                        $etm = diff_hour($sd, $dd);
                    }
                }
            }

            // Update task with or without parent phase
            if ($projectDetail->pro_phase_set[0] != "0") {
                $tmpquery5 = "UPDATE " . $tableCollab["tasks"] . " SET name='$tn',description='$d',status='$st',priority='$pr',start_date='$sd',due_date='$dd',estimated_time='$etm',comments='$c',modified='$dateheures',completion='$compl',parent_phase='$pha',published='$pub', service='$serv', fixed_duration='$fixd', milestone='$miles', type='$tt', assigned_to='$resCount' WHERE id = '$id'";
            } else {
                $tmpquery5 = "UPDATE " . $tableCollab["tasks"] . " SET name='$tn',description='$d',status='$st',priority='$pr',start_date='$sd',due_date='$dd',estimated_time='$etm',comments='$c',modified='$dateheures',completion='$compl',published='$pub', service='$serv', fixed_duration='$fixd', milestone='$miles', type='$tt', assigned_to='$resCount' WHERE id = '$id'";
            }

            if ($st == ST_COMPLETED && $cd == "--") {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET complete_date='$date' WHERE id = '$id'";
                connectSql("$tmpquery6");
            } else {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET complete_date='$cd' WHERE id = '$id'";
                connectSql("$tmpquery6");
            }

            if ($old_st == ST_COMPLETED && $st != $old_st) {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET complete_date='--' WHERE id = '$id'";
                connectSql("$tmpquery6");
            }

            if (count(array_diff($oldTHR, $newTHR))>0 || count(array_diff($newTHR, $oldTHR))>0) {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET assigned='$dateheures' WHERE id = '$id'";
                connectSql("$tmpquery6");
            }

            // if project different from past value, set project number in tasks table
            if ($project != $old_project) {
                $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET project='$project' WHERE id = '$id'";
                $tmpquery7 = "UPDATE " . $tableCollab["files"] . " SET project='$project' WHERE task = '$id'";
                $tmpquery8 = "UPDATE " . $tableCollab["tasks_time"] . " SET project='$project' WHERE task = '$id'";
                connectSql("$tmpquery6");
                connectSql("$tmpquery7");
                connectSql("$tmpquery8");
                createDir("files/$project/$id");
                $dir = opendir("../files/$old_project/$id");

                if (is_resource($dir)) {
                    while ($v = readdir($dir)) {
                        if ($v != '.' && $v != '..') {
                            copy("../files/$old_project/$id/" . $v, "../files/$project/$id/" . $v);
                            @unlink("../files/$old_project/$id/" . $v);
                        }
                    }
                }

                // remove all relationships with past project
                $tmpquery8 = "DELETE FROM " . $tableCollab["tasks_predecessor"] . " WHERE task = '$id' OR predecessor = '$id'";
                connectSql("$tmpquery8");
            }

            connectSql("$tmpquery5");
            $tmpquery = "WHERE tas.id = '$id'";
            $taskDetail = new request();
            $taskDetail->openTasks($tmpquery);
            $at = "";
            $assids = "";

            for ($i=0; $i<$comptListTaskHumanResources; $i++) {
                if (in_array($listTaskHumanResources->res_resource[$i], $newTHR)) continue;

                $tmpquery1 = "DELETE FROM " . $tableCollab["tasks_resource"] . " WHERE task='$id' AND resource='" . $listTaskHumanResources->res_resource[$i] . "' AND type='members'";
                $tmpquery2 = "DELETE FROM " . $tableCollab["person_evaluations"] . " WHERE type='0' AND item='$id' AND member='" . $listTaskHumanResources->res_resource[$i] . "'";
                connectSql("$tmpquery1");
                connectSql("$tmpquery2");
            }

            if (count($newTHR) == 0) {
                $tmpquery = " AND res.task='$id'";
                $resourceNoti = new request();
                $resourceNoti->openTaskHumanResource($tmpquery);

                if (count($resourceNoti->res_id) == 0) {
                    $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . " (task,owner,assigned_to,assigned) VALUES ('$id','$idSession','0','$dateheures')";
                    connectSql("$tmpquery1");
                    $tmpquery = $tableCollab["assignments"];
                    last_id($tmpquery);
                    $assids = $lastId[0];
                    unset($lastId);
                }
            } else {
                foreach ($newTHR as $thrOption) {
                    if ($comptListTaskHumanResources > 0 && in_array($thrOption, $listTaskHumanResources->res_resource)) continue;

                    if ($at != "") $at .= ",";

                    $at .= "'$thrOption'";
                    $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . " (task,owner,assigned_to,assigned) VALUES ('$id','$idSession','$thrOption','$dateheures')";
                    $tmpquery2 = "INSERT INTO " . $tableCollab["tasks_resource"] . " (task,resource,type,support,created) VALUES ('$id','$thrOption','members','10','$dateheures')";
                    connectSql("$tmpquery1");
                    connectSql("$tmpquery2");

                    if ($tt != '99999') {
                        $tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE id='$thrOption' AND profil NOT IN (" . PF_CLIENT_USER . "," . PF_DISABLED . "," . PF_DELETED . ")";
                        if (compt($tmpquery) == 1) {
                            $tmpquery3 = "INSERT INTO " . $tableCollab["person_evaluations"] . " (type,item,member,submitted,created) VALUES ('0','$id','$thrOption','" . PE_OPEN . "','$dateheure')";
                            connectSql("$tmpquery3");
                        }
                    }

                    $tmpquery = $tableCollab["assignments"];
                    last_id($tmpquery);

                    if ($assids != "") $assids .= "**";

                    $assids .= $lastId[0];
                    unset($lastId);
                }
            }

            if ($notifications == "true") {
                if ($at != "") {
                    $num = $id;
                    require_once("../tasks/noti_taskassignment.php");
                }

                $tmpquery = " AND res.task='$id'";
                $resourceNoti = new request();
                $resourceNoti->openTaskHumanResource($tmpquery);
                $comptResourceNoti = count($resourceNoti->res_id);

                if ($comptResourceNoti > 0) {
                    $at = "";

                    for ($i = 0;$i < $comptResourceNoti;$i++) {
                        if ($i > 0) {
                            $at .= ",";
                        }

                        $at .= "'" . $resourceNoti->res_resource[$i] . "'";
                    }

                    // send status task change mail if notifications = true
                    if ($st != $old_st) {
                        require_once("../tasks/noti_statustaskchange.php");
                    }
                    // send priority task change mail if notifications = true
                    if ($pr != $old_pr) {
                        require_once("../tasks/noti_prioritytaskchange.php");
                    }
                    // send due date task change mail if notifications = true
                    if ($dd != $old_dd) {
                        require_once("../tasks/noti_duedatetaskchange.php");
                    }
                }
            }

            if ($st != $old_st) {
                $cUp .= "\n[status:$st]";
            }

            if ($pr != $old_pr) {
                $cUp .= "\n[priority:$pr]";
            }

            if ($dd != $old_dd) {
                $cUp .= "\n[datedue:$dd]";
            }

            if ($cUp != "" || $st != $old_st || $pr != $old_pr || $dd != $old_dd) {
                $cUp = htmlentities($cUp, ENT_QUOTES, $htmlEntityCharset);
                $tmpquery6 = "INSERT INTO " . $tableCollab["updates"] . "(type,item,member,comments,created) VALUES ('1','$id','$idSession','$cUp','$dateheures')";
                connectSql("$tmpquery6");
            }

            if ($taskDetail->tas_parent_task[0] != "0" && ($cUp != "" || $st != $old_st || $pr != $old_pr || $dd != $old_dd || $project != $old_project || $old_pha == $pha || $compl != $old_compl)) {
                add_taskgroup_to_changelist($taskDetail->tas_parent_task[0], $taskDetail->tas_level[0]);
            }

            // Adjust task successors
            if (($project != $old_project || $projectDetail->pro_phase_set[0] == "0" || $old_pha == $pha)&&($dd != $old_dd || $sd != old_sd)) {
                $adjArray = array($id);

                while (count($adjArray) > 0) {
                    $adjTaskID = array_shift($adjArray);
                    $tmpquery8 = " WHERE pre.predecessor='$adjTaskID'";
                    $successorList = new request();
                    $successorList->openTaskPredecessor($tmpquery8);
                    $comptSuccessorList = count($successorList->pre_id);

                    for ($i = 0; $i < $comptSuccessorList; $i++) {
                        $timestampSD = date2timestamp($successorList->pre_tas_start_date[$i]);
                        $timestampDD = date2timestamp($successorList->pre_tas_due_date[$i]);
                        $timestampSD2 = date2timestamp($successorList->pre_tas2_start_date[$i]);
                        $timestampDD2 = date2timestamp($successorList->pre_tas2_due_date[$i]);
                        $timestampSD3 = date2timestamp(hours_after(date('Y-m-d', $timestampSD2), $successorList->pre_lag[$i]+1));
                        $timestampDD3 = date2timestamp(hours_after(date('Y-m-d', $timestampDD2), $successorList->pre_lag[$i]+1));

                        switch ($successorList->pre_type[$i]) {
                            case 'FF':
                                if ($timestampDD>$timestampDD3) {
                                    $timestampDD = $timestampDD3;
                                } else if ($timestampDD<=$timestampDD2) {
                                    if ($successorList->pre_lag[$i]<"8") {
                                        $timestampDD = $timestampDD2;
                                    } else {
                                        $timestampDD = date2timestamp(hours_after(date('Y-m-d', $timestampDD2), 9));
                                    }
                                }

                                if ($successorList->pre_tas_milestone[$i]==MS_YES) {
                                    $timestampSD = $timestampDD;
                                } else if ($successorList->pre_tas_fixed_duration[$i] == FD_YES) {
                                    $timestampSD = date2timestamp(hours_before(date('Y-m-d', $timestampDD), $successorList->pre_tas_estimated_time[$i]));
                                }

                                break;
                            case 'FS':
                                if ($timestampSD>$timestampDD3) {
                                    $timestampSD = $timestampDD3;
                                } else if ($timestampSD<=$timestampDD2) {
                                    if ($successorList->pre_lag[$i]<"8") {
                                        $timestampSD = $timestampDD2;
                                    } else {
                                        $timestampSD = date2timestamp(hours_after(date('Y-m-d', $timestampDD2), 9));
                                    }
                                }

                                if ($successorList->pre_tas_milestone[$i]==MS_YES) {
                                    $timestampDD = $timestampSD;
                                } else if ($successorList->pre_tas_fixed_duration[$i] == FD_YES) {
                                    $timestampDD = date2timestamp(hours_after(date('Y-m-d', $timestampSD), $successorList->pre_tas_estimated_time[$i]));
                                }

                                break;
                            case 'SF':
                                if ($timestampDD>$timestampSD3) {
                                    $timestampDD = $timestampSD3;
                                } else if ($timestampDD<=$timestampSD2) {
                                    if ($successorList->pre_lag[$i]<"8") {
                                        $timestampDD = $timestampSD2;
                                    } else {
                                        $timestampDD = date2timestamp(hours_after(date('Y-m-d', $timestampSD2), 9));
                                    }
                                }

                                if ($successorList->pre_tas_milestone[$i]==MS_YES) {
                                    $timestampSD = $timestampDD;
                                } else if ($successorList->pre_tas_fixed_duration[$i] == FD_YES) {
                                    $timestampSD = date2timestamp(hours_before(date('Y-m-d', $timestampDD), $successorList->pre_tas_estimated_time[$i]));
                                }

                                break;
                            case 'SS':
                                if ($timestampSD>$timestampSD3) {
                                    $timestampSD = $timestampSD3;
                                } else if ($timestampSD<=$timestampSD2) {
                                    if ($successorList->pre_lag[$i]<"8") {
                                        $timestampSD = $timestampSD2;
                                    } else {
                                        $timestampSD = date2timestamp(hours_after(date('Y-m-d', $timestampSD2), 9));
                                    }
                                }

                                if ($successorList->pre_tas_milestone[$i]==MS_YES) {
                                    $timestampDD = $timestampSD;
                                } else if ($successorList->pre_tas_fixed_duration[$i] == FD_YES) {
                                    $timestampDD = date2timestamp(hours_after(date('Y-m-d', $timestampSD), $successorList->pre_tas_estimated_time[$i]));
                                }

                                break;
                        }

                        $new_sd = date("Y-m-d", $timestampSD);
                        $new_dd = date("Y-m-d", $timestampDD);
                        $new_etm = diff_hour($new_sd, $new_dd);
                        $tmpquery6 = "";

                        if ($new_sd != $successorList->pre_tas_start_date[$i]) {
                            $tmpquery6 .= "start_date='$new_sd',";
                        }

                        if ($new_dd != $successorList->pre_tas_due_date[$i]) {
                            $tmpquery6 .= "due_date='$new_dd',";
                        }

                        if ($successorList->pre_tas_milestone[$i] == MS_NO && $successorList->pre_tas_fixed_duration[$i] == FD_NO && $new_etm != $successorList->pre_tas_estimated_time[$i]) {
                            $tmpquery6 .= "estimated_time='$new_etm',";
                        }

                        if ($tmpquery6 != "") {
                            array_push($adjArray, $successorList->pre_task[$i]);
                            $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET " . $tmpquery6 . "modified='$dateheures' WHERE id = '" . $successorList->pre_task[$i] . "'";
                            connectSql("$tmpquery6");
                            $cUp = "\n[datedue:$new_dd]";
                            $cUp = htmlentities($cUp, ENT_QUOTES, $htmlEntityCharset);
                            $tmpquery6 = "INSERT INTO " . $tableCollab["updates"] . "(type,item,member,comments,created) VALUES ('1','" . $successorList->pre_task[$i] . "','$idSession','$cUp','$dateheures')";
                            connectSql("$tmpquery6");

                            if ($successorList->pre_tas_parent_task[$i] != '0') {
                                add_taskgroup_to_changelist($successorList->pre_tas_parent_task[$i], $successorList->pre_tas_level[$i]);
                            }
                        }
                    }
                }
            }

            if (count($taskgroupList) > 0) {
                arsort($taskgroupList, SORT_NUMERIC);
                reset($taskgroupList);

                while (list($parentTask, $level) = each($taskgroupList)) {
                    change_parent_task($parentTask);
                }
            }

            leave_critical_section($criticalSection);

            if ($assids == "") {
                header("Location: ../tasks/viewtask.php?id=$id&msg=update");
            } else {
                header("Location: ../tasks/viewtask.php?id=$id&assids=$assids&msg=updateAssignment");
            }

            exit;
        }
        }
    }

    $projActualTime = new request();
    $atm = $projActualTime->getProjectTime($project);
    // set value in form
    $tn = $taskDetail->tas_name[0];
    $d = html_entity_decode($taskDetail->tas_description[0], ENT_QUOTES, $htmlEntityCharset);
    $sd = $taskDetail->tas_start_date[0];
    $dd = $taskDetail->tas_due_date[0];
    $cd = $taskDetail->tas_complete_date[0];
    $etm = $taskDetail->tas_estimated_time[0];
    $c = html_entity_decode($taskDetail->tas_comments[0], ENT_QUOTES, $htmlEntityCharset);
    $pub = $taskDetail->tas_published[0];
    $fixd = $taskDetail->tas_fixed_duration[0];
    $miles = $taskDetail->tas_milestone[0];
    $tt = $taskDetail->tas_type[0];
    $tg = $taskDetail->tas_task_group[0];
    $lvl = $taskDetail->tas_level[0];
    $pta = $taskDetail->tas_parent_task[0];
    $sta = $taskDetail->tas_subtask[0];

    // stand-alone task
    if ($tg != TG_YES) {
        if ($pub == PB_YES) {
            $checkedPub = "checked";
        }

        if ($fixd == FD_YES) {
            $checkedFixD = "checked";
            $ddDisabled = "disabled";
            $triggerBDisabled = "disabled";
        } else {
            $etmDisabled = "disabled";
        }

        if ($miles == MS_YES) {
            $checkedMileS = "checked";
            $ddDisabled = "disabled";
            $triggerBDisabled = "disabled";
            $cdDisabled = "disabled";
            $triggerCDisabled = "disabled";
            $thrDisabled = "disabled";
            $stDisabled = "disabled";
            $complDisabled = "disabled";
            $prDisabled = "disabled";
            $servDisabled = "disabled";
            $typeDisabled = "disabled";
        }

        $tg = TG_NO;
        $sta = "0";

    // task group
    } else {
        $tmpquery = "WHERE tas.parent_task = '$id'";
        $subtaskList = new request();
        $subtaskList->openTasks($tmpquery);
        $comptSubtaskList = count($subtaskList->tas_id);
        $pub = $subtaskList->tas_published[0];
        $st = $subtaskList->tas_status[0];
        $compl = $subtaskList->tas_completion[0];
        $pr = $subtaskList->tas_priority[0];
        $sd = $subtaskList->tas_start_date[0];
        $dd = $subtaskList->tas_due_date[0];
        $cd = $subtaskList->tas_complete_date[0];
        $etm = $subtaskList->tas_estimated_time[0];
        $atm = $subtaskList->tas_actual_time[0];
        $tg = "0";
        $lvl = $subtaskList->tas_level[0];
        $pta = $subtaskList->tas_parent_task[0];
        $sta = $comptSubtaskList;
        $pha = $subtaskList->tas_parent_phase[0];

        for ($i = 1;$i < $comptSubtaskList;$i++) {
            if ($subtaskList->tas_level[$i] != $lvl) {
                header("Location: ../tasks/listtasks.php?project=$project&msg=diffLevel");
                exit;
            }

            if ($subtaskList->tas_parent_task[$i] != $pta) {
                header("Location: ../tasks/listtasks.php?project=$project&msg=diffParent");
                exit;
            }

            if ($subtaskList->tas_published[$i] == PB_YES) {
                $pub = PB_YES;
            }

            if ($pr < $subtaskList->tas_priority[$i]) {
                $pr = $subtaskList->tas_priority[$i];
            }

            if ($subtaskList->tas_status[$i] == ST_NOT_STARTED || $st == ST_NOT_STARTED) {
                $st = ST_NOT_STARTED;
            } else if ($subtaskList->tas_status[$i] == ST_OPEN || $st == ST_OPEN) {
                $st = ST_OPEN;
            } else if ($subtaskList->tas_status[$i] == ST_SUSPENDED || $st == ST_SUSPENDED) {
                $st = ST_SUSPENDED;
            } else if ($subtaskList->tas_status[$i] == ST_CLIENT_COMPLETED || $st == ST_CLIENT_COMPLETED) {
                $st = ST_CLIENT_COMPLETED;
            }

            $compl += $subtaskList->tas_completion[$i];

            if ($sd > $subtaskList->tas_start_date[$i]) {
                $sd = $subtaskList->tas_start_date[$i];
            }

            if ($dd < $subtaskList->tas_due_date[$i]) {
                $dd = $subtaskList->tas_due_date[$i];
            }

            $etm += $subtaskList->tas_estimated_time[$i];
            $atm += $subtaskList->tas_actual_time[$i];

            if ($st == ST_COMPLETED) {
                if ($cd < $subtaskList->tas_complete_date[$i]) {
                    $cd = $subtaskList->tas_complete_date[$i];
                }
            } else {
                $cd = '--';
            }
        }

        $compl = floor($compl / $comptSubtaskList);
    }
} else {
// case add task
    // case add task or task group
    if ($action == "add") {
        if ($tn == "") {
            $error = lang_strings("blank_fields");
            $tn_highlight = true;
        } else {
        // concat values from date selector and replace quotes by html code in name
        $d = htmlentities($d, ENT_QUOTES, $htmlEntityCharset);
        $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);

        if ($tg == "") {
            $tg = TG_NO;
        }

        if ($pub == "") {
            $pub = PB_NO;
        }

        if ($tg != TG_YES) {
            if ($compl == "10") {
                $st = ST_COMPLETED;
            }

            if ($fixd == "") {
                $fixd = FD_YES;
            }

            if ($miles == "") {
                $miles = MS_NO;
            }

            // Postpone start date if it is holiday
            $sd = hours_after($sd, 1);

            if ($miles == MS_YES) {
                unset($thr);
                $st = ST_NOT_STARTED;
                $pr = PR_NONE;
                $dd = $sd;
                $etm = "0";
                $compl = "0";
                $serv = "0";
                $fixd = FD_NO;
                $tt = "99999";
            // Adjust task due date & estimated time
            } else if ($fixd == FD_YES) {
                $dd = hours_after($sd, $etm);
            } else {
                $dd = hours_before($dd, 1);

                if ($dd < $sd) {
                    $dd = $sd;
                }

                $etm = diff_hour($sd, $dd);
            }

            $tg = TG_NO;

            if ($lvl == "") {
                $lvl = "0";
            }

            if ($pta == "") {
                $pta = "0";
            }

            $sta = "0";
        } else {
            $serv = "0";
            $fixd = FD_NO;
            $miles = MS_NO;
        }

        $resCount = 0;

        for ($i=0; $i<count($thr); $i++) {
            if ($thr[$i] != "0") $resCount++;
        }

        if ($resCount == 0)
            $tasAssigned = '';
        else
            $tasAssigned = $dateheures;

        // Insert task with our without parent phase
        if ($projectDetail->pro_phase_set[0] != "0") {
            $tmpquery1 = "INSERT INTO " . $tableCollab["tasks"] . "(project,name,description,owner,assigned_to,status,priority,start_date,due_date,estimated_time,comments,created,published,completion,parent_phase,service,fixed_duration,milestone,type,task_group,level,parent_task,subtask,assigned) VALUES('$project','$tn','$d','$idSession','$resCount','$st','$pr','$sd','$dd','$etm','$c','$dateheures','$pub','$compl','$pha','$serv','$fixd','$miles','$tt','$tg','$lvl','$pta','$sta','$tasAssigned')";
        } else {
            $tmpquery1 = "INSERT INTO " . $tableCollab["tasks"] . "(project,name,description,owner,assigned_to,status,priority,start_date,due_date,estimated_time,comments,created,published,completion,service,fixed_duration,milestone,type,task_group,level,parent_task,subtask,assigned) VALUES('$project','$tn','$d','$idSession','$resCount','$st','$pr','$sd','$dd','$etm','$c','$dateheures','$pub','$compl','$serv','$fixd','$miles','$tt','$tg','$lvl','$pta','$sta','$tasAssigned')";
        }

        connectSql("$tmpquery1");
        $tmpquery = $tableCollab["tasks"];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);

        if ($st == ST_COMPLETED) {
            $tmpquery6 = "UPDATE " . $tableCollab["tasks"] . " SET complete_date='$date' WHERE id = '$num'";
            connectSql("$tmpquery6");
        }

        if ($resCount == 0) {
            $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . "(task,owner,assigned_to,assigned) VALUES ('$num','$idSession','0','$dateheures')";
            connectSql("$tmpquery1");
            $tmpquery = $tableCollab["assignments"];
            last_id($tmpquery);
            $assids = $lastId[0];
            unset($lastId);
        } else {
            $assids = "";

            for ($i=0; $i<count($thr); $i++) {
                if ($thr[$i] == "0") continue;

                $tmpquery1 = "INSERT INTO " . $tableCollab["assignments"] . "(task,owner,assigned_to,assigned) VALUES ('$num','$idSession','" . $thr[$i] . "','$dateheures')";
                $tmpquery2 = "INSERT INTO " . $tableCollab["tasks_resource"] . "(task,resource,type,support,created) VALUES ('$num','" . $thr[$i] . "','members','10','$dateheures')";
                connectSql("$tmpquery1");
                connectSql("$tmpquery2");
                $tmpquery = $tableCollab["assignments"];
                last_id($tmpquery);

                if ($assids != "") $assids .= "**";

                $assids .= $lastId[0];
                unset($lastId);

                if ($tt != "99999") {
                    $tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE id='" . $thr[$i] . "' AND profil NOT IN (" . PF_CLIENT_USER . "," . PF_DISABLED . "," . PF_DELETED . ")";
                    if (compt($tmpquery) == 1) {
                        $tmpquery3 = "INSERT INTO " . $tableCollab["person_evaluations"] . "(type,item,member,submitted,created) VALUES ('0','$num','" . $thr[$i] . "','" . PE_OPEN . "','$dateheure')";
                        connectSql("$tmpquery3");
                    }
                }
            }
        }

        // create task sub-folder if filemanagement = true
        if ($fileManagement == "true") {
            createDir("files/$project/$num");
        }

        // task group
        if ($tg == TG_YES) {
            $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET parent_task='$num' WHERE id IN ($subtaskids)";
            connectSql("$tmpquery");

            change_subtasks_level($num);
        }

        // send task assignment mail if notifications = true
        if ($notifications == "true" && $resCount > 0) {
            $at = "";

            for ($i = 0;$i < count($thr);$i++) {
                if ($thr[$i] == "0") continue;

                if ($i > 0) {
                    $at .= ",";
                }

                $at .= "'" . $thr[$i] . "'";
            }

            require_once("../tasks/noti_taskassignment.php");
        }

        // update parent tasks
        if ($pta != "0") {
            add_taskgroup_to_changelist($pta, $lvl);
            arsort($taskgroupList, SORT_NUMERIC);
            reset($taskgroupList);

            while (list($parentTask, $level) = each($taskgroupList)) {
                change_parent_task($parentTask);
            }
        }

        header("Location: ../tasks/viewtask.php?id=$num&assids=$assids&msg=addAssignment");
        exit;
        }
    }

    // set default values
    $taskDetail->tas_assigned_to[0] = "0";
    $taskDetail->tas_priority[0] = $projectDetail->pro_priority[0];
    $taskDetail->tas_status[0] = ST_NOT_STARTED;
}

if ($projectDetail->pro_org_id[0] == "1") {
    $projectDetail->pro_org_name[0] = lang_strings("none");
}

if ($projectDetail->pro_phase_set[0] != "0") {
    if ($id != "") {
        $tPhase = $taskDetail->tas_parent_phase[0];

        $tmpquery = "WHERE pha.project_id = '" . $taskDetail->tas_project[0] . "' AND pha.order_num = '$tPhase'";
    }
    if ($id == "") {
        $tPhase = $phase;
        $tmpquery = "WHERE pha.project_id = '$project' AND pha.order_num = '$tPhase'";
    }
    $targetPhase = new request();
    $targetPhase->openPhases($tmpquery);
}

if ($tt == "" && $id == "") {
    if ($phase == "") {
        $tt = "99999";
    } else {
        $tt = $personEvaluationPhaseArray[$targetPhase->pha_name[0]];
    }
}

$bodyCommand = "onload=\"document.etDForm.compl.value = document.etDForm.completion.selectedIndex;document.etDForm.tn.focus();\"";
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));

if ($projectDetail->pro_phase_set[0] != "0") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/listphases.php?id=" . $projectDetail->pro_id[0], lang_strings("phases"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/viewphase.php?id=" . $targetPhase->pha_id[0], $targetPhase->pha_name[0], in));
}

$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $projectDetail->pro_id[0], lang_strings("tasks"), in));

if ($id == "") {
    if ($task == "") {
        if ($subtaskids == "") {
            $blockPage->itemBreadcrumbs(lang_strings("add_task"));
        } else {
            $blockPage->itemBreadcrumbs(lang_strings("add_taskgroup"));
        }
    } else {
        $tmpquery = "WHERE tas.id='" . $task . "'";
        $parentTaskDetail = new request();
        $parentTaskDetail->openTasks($tmpquery);
        $pta = $parentTaskDetail->tas_id[0];
        $lvl = $parentTaskDetail->tas_level[0] + 1;
        $blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=$task", $parentTaskDetail->tas_name[0], in));
        $blockPage->itemBreadcrumbs(lang_strings("add_subtask"));
    }
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
    if ($taskDetail->tas_task_group[0] == TG_YES) {
        $blockPage->itemBreadcrumbs(lang_strings("edit_taskgroup"));
    } else {
        $blockPage->itemBreadcrumbs(lang_strings("edit_task"));
    }
}

$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "etD";

if ($id == "") {
    $block1->openForm("../tasks/edittask.php?project=$project&amp;action=add#" . $block1->form . "Anchor");
} else {
    $block1->openForm("../tasks/edittask.php?project=$project&amp;id=$id&amp;action=update&amp;cpy=$cpy#" . $block1->form . "Anchor");
    echo "<input type=\"hidden\" name=\"old_assigned\" value=\"" . $taskDetail->tas_assigned[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_pr\" value=\"" . $taskDetail->tas_priority[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_st\" value=\"" . $taskDetail->tas_status[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_dd\" value=\"" . $taskDetail->tas_due_date[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_project\" value=\"" . $taskDetail->tas_project[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_sd\" value=\"" . $taskDetail->tas_start_date[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_pha\" value=\"" . $taskDetail->tas_parent_phase[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_tt\" value=\"" . $taskDetail->tas_type[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_compl\" value=\"" . $taskDetail->tas_completion[0] . "\">";
    $oldTHR = "";

    for ($j = 0;$j < $comptListTaskHumanResources; $j++) {
        if ($j > 0) $oldTHR .= ",";
        $oldTHR .= $listTaskHumanResources->res_resource[$j];
    }

    echo "<input type=\"hidden\" name=\"old_thr\" value=\"$oldTHR\">";
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id == "") {
    if ($task == "") {
        if ($subtaskids == "") {
            $block1->heading(lang_strings("add_task"));
        } else {
            $block1->heading(lang_strings("add_taskgroup"));
        }
    } else {
        $block1->heading(lang_strings("add_subtask"));
    }
} else {
    if ($taskDetail->tas_task_group[0] == TG_YES) {
        if ($cpy == "true") {
            $block1->heading(lang_strings("copy_taskgroup") . " : " . $taskDetail->tas_name[0]);
        } else {
            $block1->heading(lang_strings("edit_taskgroup") . " : " . $taskDetail->tas_name[0]);
        }
    } else {
        if ($cpy == "true") {
            $block1->heading(lang_strings("copy_task") . " : " . $taskDetail->tas_name[0]);
        } else {
            $block1->heading(lang_strings("edit_task") . " : " . $taskDetail->tas_name[0]);
        }
    }
}

$block1->openContent();
$block1->contentTitle(lang_strings("info"));

if ($task == "") {
    if ($projectsFilter == "true") {
        $tmpquery = "LEFT OUTER JOIN " . $tableCollab["teams"] . " teams ON teams.project = pro.id ";
        $tmpquery .= "WHERE teams.member = '$idSession'";
    } else {
        $tmpquery = "";
    }

    $listProjects = new request();
    $listProjects->openProjects($tmpquery);
    $comptListProjects = count($listProjects->pro_id);
    $projectSel = "<select name=\"project\">";

    for ($i = 0;$i < $comptListProjects;$i++) {
        if ($listProjects->pro_id[$i] == $projectDetail->pro_id[0]) {
            $projectSel .= "<option value=\"" . $listProjects->pro_id[$i] . "\" selected>" . $listProjects->pro_name[$i] . "</option>";
        } else {
            $projectSel .= "<option value=\"" . $listProjects->pro_id[$i] . "\">" . $listProjects->pro_name[$i] . "</option>";
        }
    }

    $projectSel .= "</select>";
    $block1->contentRow(lang_strings("project"), $projectSel);
} else {
    $block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
}

// Display task's phase
if ($projectDetail->pro_phase_set[0] != "0") {
    $block1->contentRow(lang_strings("phase"), $blockPage->buildLink("../phases/viewphase.php?id=" . $targetPhase->pha_id[0], $targetPhase->pha_name[0], in));
}

$block1->contentRow(lang_strings("organization"), $projectDetail->pro_org_name[0]);
$block1->contentTitle(lang_strings("details"));

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages('twopagesLess');
    $block1->openContent();
}

$nameInp = "<input size=\"44\" value=\"";

if ($cpy == "true") {
    $nameInp .= lang_strings("copy_of");
}

if ($tn_highlight) {
    $nameInp .= "$tn\" class=\"input_text_highlight\" name=\"tn\" maxlength=\"100\" type=\"TEXT\">";
} else {
    $nameInp .= "$tn\" class=\"input_text\" name=\"tn\" maxlength=\"100\" type=\"TEXT\">";
}

$block1->contentRow("* " . lang_strings("name"), $nameInp);
$block1->contentRow(lang_strings("description"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"d\" cols=\"47\">$d</textarea>");
$assignedToSel = "<select name=\"thr[]\" multiple=\"multiple\" $thrDisabled>";

if ($taskDetail->tas_assigned_to[0] == "0") {
    $assignedToSel .= "<option value=\"0\" selected>" . lang_strings("unassigned") . "</option>";
} else {
    $assignedToSel .= "<option value=\"0\">" . lang_strings("unassigned") . "</option>";
}

$tmpquery = "WHERE tea.project = '$project' ORDER BY mem.name";
$assignto = new request();
$assignto->openTeams($tmpquery);
$comptAssignto = count($assignto->tea_mem_id);

for ($i = 0;$i < $comptAssignto;$i++) {
    $clientUser = "";

    if ($assignto->tea_mem_profil[$i] == "3") {
        $clientUser = " (" . lang_strings("client_user") . ")";
    }

    for ($j = 0;$j < $comptListTaskHumanResources; $j++) {
        if ($listTaskHumanResources->res_resource[$j] == $assignto->tea_mem_id[$i]) break;
    }

    if ($j < $comptListTaskHumanResources) {
        $assignedToSel .= "<option value=\"" . $assignto->tea_mem_id[$i] . "\" selected>" . $assignto->tea_mem_login[$i] . " / " . $assignto->tea_mem_name[$i] . "$clientUser</option>";
    } else {
        $assignedToSel .= "<option value=\"" . $assignto->tea_mem_id[$i] . "\">" . $assignto->tea_mem_login[$i] . " / " . $assignto->tea_mem_name[$i] . "$clientUser</option>";
    }
}

$assignedToSel .= "</select>";
$block1->contentRow(lang_strings("assigned_to"), $assignedToSel);

// edit task group
if ($subtaskids != "" || $taskDetail->tas_task_group[0] == TG_YES) {
    echo "<input type=\"hidden\" name=\"miles\" value=\"$miles\">";

    if ($subtaskids != "") {
        echo "<input name=\"pha\" type=\"hidden\" value=\"$pha\">";
    } else {
        echo "<input name=\"pha\" type=\"hidden\" value=\"" . $taskDetail->tas_parent_phase[0] . "\">";
    }

    echo "<input name=\"st\" type=\"hidden\" value=\"$st\">";
    echo "<input name=\"compl\" type=\"hidden\" value=\"$compl\">";
    echo "<input name=\"pr\" type=\"hidden\" value=\"$pr\">";
    echo "<input type=\"hidden\" name=\"fixd\" value=\"$fixd\">";
    echo "<input type=\"hidden\" name=\"sd\" value=\"$sd\">";
    echo "<input type=\"hidden\" name=\"dd\" value=\"$dd\">";
    echo "<input type=\"hidden\" name=\"cd\" value=\"$cd\">";
    echo "<input type=\"hidden\" name=\"etm\" value=\"$etm\">";
    echo "<input type=\"hidden\" name=\"atm\" value=\"$atm\">";
    echo "<input type=\"hidden\" name=\"tg\" value=\"$tg\">";
    echo "<input type=\"hidden\" name=\"lvl\" value=\"$lvl\">";
    echo "<input type=\"hidden\" name=\"pta\" value=\"$pta\">";
    echo "<input type=\"hidden\" name=\"sta\" value=\"$sta\">";
    echo "<input type=\"hidden\" name=\"subtaskids\" value=\"$subtaskids\">";
// edit task
} else {
    $block1->contentRow(lang_strings("milestone"), "<input size=\"32\" value=\"$miles\" name=\"mileS\" type=\"checkbox\" onchange=\"changeMilestone(this)\" $checkedMileS>");
    echo "<input type=\"hidden\" name=\"miles\" value=\"$miles\">";

    // Select phase
    if ($projectDetail->pro_phase_set[0] != "0") {
        $projectTarget = $projectDetail->pro_id[0];
        $tmpquery = "WHERE pha.project_id = '$projectTarget' ORDER BY pha.order_num";
        $projectPhaseList = new request();
        $projectPhaseList->openPhases($tmpquery);
        $comptlistPhase = count($projectPhaseList->pha_id);
        $phaseSel = "<select name=\"pha\">";

        for ($i = 0;$i < $comptlistPhase;$i++) {
            $phaseNum = $projectPhaseList->pha_order_num[$i];

            if ($taskDetail->tas_parent_phase[0] == $phaseNum || $phase == $phaseNum) {
                $phaseSel .= "<option value=\"$phaseNum\" selected>" . $projectPhaseList->pha_name[$i] . "</option>";
            } else {
                $phaseSel .= "<option value=\"$phaseNum\">" . $projectPhaseList->pha_name[$i] . "</option>";
            }
        }

        $phaseSel .= "</select>";
        $block1->contentRow(lang_strings("phase"), $phaseSel);
    }

    $statusSel = "<select name=\"st\" onchange=\"changeSt(this)\" $stDisabled>";
    $comptSta = count($status);

    for ($i = 0;$i < $comptSta;$i++) {
        if ($taskDetail->tas_status[0] == $i) {
            $statusSel .= "<option value=\"$i\" selected>$status[$i]</option>";
        } else {
            $statusSel .= "<option value=\"$i\">$status[$i]</option>";
        }
    }

    $statusSel .= "</select>";
    $block1->contentRow(lang_strings("status"), $statusSel);
    $complSel .= "<input name=\"compl\" type=\"hidden\" value=\"" . $taskDetail->tas_completion[0] . "\"><select name=\"completion\" onchange=\"changeCompletion(this)\" $complDisabled>";

    for ($i = 0;$i < 11;$i++) {
        $complValue = ($i > 0) ? $i . "0 %": $i . " %";

        if ($taskDetail->tas_completion[0] == $i) {
            $complSel .= "<option value=\"" . $i . "\" selected>" . $complValue . "</option>";
        } else {
            $complSel .= "<option value=\"" . $i . "\">" . $complValue . "</option>";
        }
    }

    $complSel .= "</select>";
    $block1->contentRow(lang_strings("completion"), $complSel);
    $priSel = "<select name=\"pr\" $prDisabled>";
    $comptPri = count($priority);

    for ($i = 0;$i < $comptPri;$i++) {
        if ($taskDetail->tas_priority[0] == $i) {
            $priSel .= "<option value=\"$i\" selected>$priority[$i]</option>";
        } else {
            $priSel .= "<option value=\"$i\">$priority[$i]</option>";
        }
    }

    $priSel .= "</select>";
    $block1->contentRow(lang_strings("priority"), $priSel);

    if ($sd == "") {
        $sd = $date;
    }

    if ($dd == "") {
        $dd = $date;
    }

    if ($cd == "") {
        $cd = "--";
    }

    if ($etm == "") {
        $etm = diff_hour($sd, $dd);
        $checkedFixD = "checked";
        $ddDisabled = "disabled";
        $triggerBDisabled = "disabled";
    }

    $block1->contentRow(lang_strings("fixed_duration"), "<input size=\"32\" value=\"$fixd\" name=\"fixD\" type=\"checkbox\" onchange=\"changeFixedDuration(this)\" $checkedFixD>");
    echo "<input type=\"hidden\" name=\"fixd\" value=\"$fixd\">";

    if ($layoutSession == LT_TWOPAGES) {
        $block1->closeContent();
        $blockPage->turnPage();
        $block1->openContent();
    }

    $block1->contentRow(lang_strings("start_date"), "<input type=\"text\" class=\"input_datetime\" name=\"sd\" id=\"sel1\" size=\"20\" value=\"$sd\"><button type=\"reset\" id=\"trigger_a\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");
    $block1->contentRow(lang_strings("due_date"), "<input type=\"text\" class=\"input_datetime\" name=\"dd\" id=\"sel3\" size=\"20\" value=\"$dd\" $ddDisabled><button type=\"reset\" id=\"trigger_b\" $triggerBDisabled>...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel3\", button:\"trigger_b\" });</script>");

    if ($id != "") {
        $block1->contentRow(lang_strings("complete_date"), "<input type=\"text\" class=\"input_datetime\" name=\"cd\" id=\"sel5\" size=\"20\" value=\"$cd\" $cdDisabled><button type=\"reset\" id=\"trigger_c\" $triggerCDisabled>...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel5\", button:\"trigger_c\" });</script>");
    }

    $block1->contentRow(lang_strings("estimated_time"), "<input size=\"32\" value=\"$etm\" class=\"input_hours\" name=\"etm\" maxlength=\"32\" type=\"TEXT\" $etmDisabled>&nbsp;" . lang_strings("hours"));
    $tmpquery = 'ORDER BY serv.name_print';
    $listServices = new request();
    $listServices->openServices($tmpquery);
    $comptServiceDetail = count($listServices->serv_id);
    $servSel = "<select name=\"serv\" $servDisabled><option value=\"0\">" . lang_strings("none") . "</option>";

    for ($i = 0;$i < $comptServiceDetail;$i++) {
        if ($listServices->serv_id[$i] == $taskDetail->tas_service[0]) {
            $servSel .= "<option value='" . $listServices->serv_id[$i] . "' selected>" . $listServices->serv_name_print[$i] . ' (' . lang_strings('hourly_rate') . ' $' . $listServices->serv_hourly_rate[$i] . ')</option>';
        } else {
            $servSel .= "<option value='" . $listServices->serv_id[$i] . "'>" . $listServices->serv_name_print[$i] . ' (' . lang_strings('hourly_rate') . ' $' . $listServices->serv_hourly_rate[$i] . ')</option>';
        }
    }

    $servSel .= "</select>";
    $block1->contentRow(lang_strings("service"), $servSel);
    echo "<input type=\"hidden\" name=\"tg\" value=\"$tg\">";
    echo "<input type=\"hidden\" name=\"lvl\" value=\"$lvl\">";
    echo "<input type=\"hidden\" name=\"pta\" value=\"$pta\">";
    echo "<input type=\"hidden\" name=\"sta\" value=\"$sta\">";
}

$block1->contentRow(lang_strings("comments"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"c\" cols=\"47\">$c</textarea>");

if ($subtaskids != "" || $taskDetail->tas_task_group[0] == TG_YES) {
    echo "<input type=\"hidden\" name=\"pub\" value=\"$pub\">";
} else {
    $block1->contentRow(lang_strings("published"), "<input size=\"32\" value=\"0\" name=\"pub\" type=\"checkbox\" $checkedPub $pubDisabled>");
}

$typeSel = "<select name=\"tt\" $typeDisabled>";

if ($tt == "99999") {
    $typeSel.= "<option value=\"99999\" selected>" . lang_strings("none") . "</option>";
} else {
    $typeSel.= "<option value=\"99999\">" . lang_strings("none") . "</option>";
}

foreach ($personEvaluationItemArraySets['sets'] as $key => $value) {
    if ($key < 1000) {
        if ($key == $tt) {
            $typeSel.= "<option value=\"$key\" selected>$value</option>";
        } else {
            $typeSel.= "<option value=\"$key\">$value</option>";
        }
    }
}

$typeSel.= "</select>";
$block1->contentRow(lang_strings("type"), $typeSel);

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->closeTwoPages();
    $block1->openContent();
}

if ($id != "") {
    $block1->contentTitle(lang_strings("updates_task"));
    $block1->contentRow(lang_strings("comments"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"cUp\" cols=\"47\"></textarea>");
}

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
<script>
function changeSt(theObj, firstRun){
	if (theObj.selectedIndex==3) {

		if (firstRun!=true) document.etDForm.completion.selectedIndex=0;
		document.etDForm.compl.value=0;
		document.etDForm.completion.disabled=false;
	} else {
		if (theObj.selectedIndex==0 || theObj.selectedIndex==1) {
			document.etDForm.completion.selectedIndex=10;

			document.etDForm.compl.value=10;

		} else {
			document.etDForm.completion.selectedIndex=0;
			document.etDForm.compl.value=0;
		}
		document.etDForm.completion.disabled=true;

	}
}

function changeCompletion(){
	document.etDForm.compl.value = document.etDForm.completion.selectedIndex;
}

function changeFixedDuration(theObj, firstRun){
    if (theObj.checked==true) {
        document.etDForm.fixd.value=0;
        document.etDForm.dd.disabled=true;
        document.etDForm.trigger_b.disabled=true;
        document.etDForm.etm.disabled=false;
    } else {
        document.etDForm.fixd.value=1;
        document.etDForm.dd.disabled=false;
        document.etDForm.trigger_b.disabled=false;
        document.etDForm.etm.disabled=true;
    }
}

function changeMilestone(theObj, firstRun){
    if (theObj.checked==true) {
        document.etDForm.miles.value=0;
        document.etDForm.elements['thr[]'].disabled=true;
        document.etDForm.st.disabled=true;
        document.etDForm.completion.disabled=true;
        document.etDForm.pr.disabled=true;
        document.etDForm.serv.disabled=true;
        document.etDForm.fixD.disabled=true;
        document.etDForm.dd.disabled=true;
        document.etDForm.trigger_b.disabled=true;
        document.etDForm.etm.disabled=true;
        document.etDForm.cd.disabled=true;
        document.etDForm.trigger_c.disabled=true;
        document.etDForm.tt.disabled=true;
    } else {
        document.etDForm.miles.value=1;
        document.etDForm.elements['thr[]'].disabled=false;
        document.etDForm.st.disabled=false;
        document.etDForm.completion.disabled=false;
        document.etDForm.pr.disabled=false;
        document.etDForm.serv.disabled=false;
        document.etDForm.fixD.disabled=false;
        changeFixedDuration(document.etDForm.fixD);
        document.etDForm.cd.disabled=false;
        document.etDForm.trigger_c.disabled=false;
        document.etDForm.tt.disabled=false;
    }
}

changeSt(document.etDForm.st, true);
changeFixedDuration(document.etDForm.fixD, true);
changeMilestone(document.etDForm.mileS, true);
</script>
