<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: indentation.php,v 1.9 2006/07/27 04:05:01 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE tas.id='$id'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);
$project = $taskDetail->tas_project[0];
$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
} 

if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

function indentation_redirect($msg)
{
    global $phase, $project;

    if ($phase != "") {
        $tmpquery = " WHERE pha.project_id='$project' AND pha.order_num='$phase'";
        $phaseDetail = new request();
        $phaseDetail->openPhases($tmpquery);
        $phaseId = $phaseDetail->pha_id[0];
        header("Location: ../phases/viewphase.php?id=$phaseId&msg=$msg");
    } else if ($project != "") {
        header("Location: ../projects/viewproject.php?id=$project&msg=$msg");
    } else {
        header("Location: ../general/home.php?msg=$msg");
    }

    exit;
}

function change_subtasks_level($id)
{
    global $tableCollab;

    $tmpquery = "WHERE tas.parent_task='$id'";
    $subtasksList = new request();
    $subtasksList->openTasks($tmpquery);
    $comptSubtasksList = count($subtasksList->tas_id);

    for ($i = 0;$i < $comptSubtasksList;$i++) {
        $newLevel = $subtasksList->tas_level[$i] + 1;
        $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET level='$newLevel', modified='$dateheures' WHERE id='" . $subtasksList->tas_id[$i] . "'";
        connectSql("$tmpquery");

        if ($subtasksList->tas_task_group[$i] == TG_YES) {
            change_subtasks_level($subtasksList->tas_id[$i]);
        }
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }

            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }

            $newCompletion += $completion;

            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }

            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }

            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;

            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }

            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;

            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }

            $newPublished = $published;
        }
    }

    $newCompletion = substr($newCompletion / $newSubtask, 0, 1);
    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='0', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
    $tmpquery = "WHERE tas.id='$parent'";
    $parentTaskDetail = new request();
    $parentTaskDetail->openTasks($tmpquery);
    $newParent = $parentTaskDetail->tas_parent_task[0];

    if ($newParent != '0') {
        change_parent_task($newParent);
    }
}

// check milestone
if ($taskDetail->tas_milestone[0] == MS_YES) {
    indentation_redirect("noMilestone");
}

// check loop result
for ($i=0; $i<$comptSubtasksList; $i++) {
    if ($subtasksList->tas_id[$i] != $id)
        continue;

    $tmpquery="WHERE (pre.task='$id' AND pre.predecessor='" . $subtasksList->tas_id[$i-1] . "') OR (pre.task='" . $subtasksList->tas_id[$i-1] . "' AND pre.predecessor='$id')";
    $dependencyDetail = new request();
    $dependencyDetail->openTaskPredecessor($tmpquery);
    $comptDependencyDetail = count($dependencyDetail->pre_id);

    if ($comptDependencyDetail > 0) {
        indentation_redirect("loopError");
    }

    break;
}

// exclude related tasks
$tmpquery = "WHERE pre.task='$id' OR pre.predecessor='$id'";
$relatedTaskList = new request();
$relatedTaskList->openTaskPredecessor($tmpquery);
$comptRelatedTaskList = count($relatedTaskList->pre_id);
$relatedTasks = $id;

for ($i=0; $i<$comptRelatedTaskList; $i++) {
    $relatedTasks .= ',';

    if ($relatedTaskList->pre_task[$i] == $id) {
        $relatedTasks .= $relatedTaskList->pre_predecessor[$i];
    } else {
        $relatedTasks .= $relatedTaskList->pre_task[$i];
    }
}

// check parent tasks available
$tmpquery = "WHERE tas.id NOT IN ($relatedTasks) AND tas.project='$project' AND tas.parent_phase='" . $taskDetail->tas_parent_phase[0] . "' AND tas.milestone='" . MS_NO . "' AND tas.level='" . $taskDetail->tas_level[0] . "' AND tas.parent_task='" . $taskDetail->tas_parent_task[0] . "'";
$listTasks = new request();
$listTasks->openTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);

if ($comptListTasks == 0) {
    if ($taskDetail->tas_parent_task[0] == "0") {
        indentation_redirect("leadingTask");
    } else {
        indentation_redirect("leadingSubTask");
    }
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $parent = $_POST['parent'];

    if ($action == 'indent') {
        $criticalSection = enter_critical_section();

        if ($criticalSection == -1) {
            indentation_redirect($msg);
        }

        // change tasks level
        $newLevel = $taskDetail->tas_level[0] + 1;
        $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET parent_task='$parent', level='$newLevel', modified='$dateheures' WHERE id='$id'";
        connectSql("$tmpquery");

        if ($taskDetail->tas_task_group[0] == TG_YES) {
            change_subtasks_level($id);
        }

        change_parent_task($parent);
        leave_critical_section($criticalSection);
        indentation_redirect("indentation");
    }
}

$tmpquery = "WHERE pro.id='$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));

if ($projectDetail->pro_phase_set[0] != "0") {
    $tmpquery = "WHERE pha.project_id = '$project' AND pha.order_num = '" . $taskDetail->tas_parent_phase[0] . "'";
    $targetPhase = new request();
    $targetPhase->openPhases($tmpquery);
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/listphases.php?id=" . $projectDetail->pro_id[0], lang_strings("phases"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/viewphase.php?id=" . $targetPhase->pha_id[0], $targetPhase->pha_name[0], in));
}

$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $projectDetail->pro_id[0], lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("task_indentation"));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "indent";
$block1->openForm("../tasks/indentation.php?id=$id#" . $block1->form . "Anchor");
echo "<input type=\"hidden\" name=\"action\" value=\"indent\">";
$block1->heading(lang_strings("task_indentation") . " : " . $taskDetail->tas_name[0]);
$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$tasSel = "<select name=\"parent\">\n";

for ($i=0; $i<$comptListTasks; $i++) {
    $tasSel .= "\t<option value=\"" . $listTasks->tas_id[$i] . "\">" . $listTasks->tas_name[$i];

    if ($listTasks->tas_subtask[$i] > 0) {
        $tasSel .= " (" . $listTasks->tas_subtask[$i] . " " . lang_strings('subtasks') . ")";
    }

    $tasSel .= "</option>\n";
}

$tasSel .= "</select>";
$block1->contentRow(lang_strings('parent_task'), $tasSel);
$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
