<?php // $Revision: 1.3 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: unindentation.php,v 1.3 2006/02/18 15:52:34 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE tas.id='$id'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);

$tmpquery = "WHERE pro.id='" . $taskDetail->tas_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = 'false';
$tmpquery = "WHERE tea.project = '" . $taskDetail->tas_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
} 

if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

function unindentation_redirect($msg)
{
    global $phase, $project;

    if ($phase != "") {
        $tmpquery = " WHERE pha.project_id='$project' AND pha.order_num='$phase'";
        $phaseDetail = new request();
        $phaseDetail->openPhases($tmpquery);
        $phaseId = $phaseDetail->pha_id[0];
        header("Location: ../phases/viewphase.php?id=$phaseId&msg=$msg");
    } else if ($project != "") {
        header("Location: ../projects/viewproject.php?id=$project&msg=$msg");
    } else {
        header("Location: ../general/home.php?msg=$msg");
    }

    exit;
}

function change_subtasks_level($id)
{
    global $tableCollab;

    $tmpquery = "WHERE tas.parent_task='$id'";
    $subtasksList = new request();
    $subtasksList->openTasks($tmpquery);
    $comptSubtasksList = count($subtasksList->tas_id);

    for ($i = 0;$i < $comptSubtasksList;$i++) {
        $newLevel = $subtasksList->tas_level[$i] - 1;
        $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET level='$newLevel', modified='$dateheures' WHERE id='" . $subtasksList->tas_id[$i] . "'";
        connectSql("$tmpquery");

        if ($subtasksList->tas_task_group[$i] == TG_YES) {
            change_subtasks_level($subtasksList->tas_id[$i]);
        }
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $projectDetail;

    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $taskList = new request();
    $taskList->openTasks($tmpquery);
    $comptTaskList = count($taskList->tas_id);

    if ($comptTaskList == "0") {
        $newPriority =  $projectDetail->pro_priority[0];
        $newStatus = $projectDetail->pro_status[0];
        if ($newStatus == ST_COMPLETED) {
            $newCompletion = 10;
        } else {
            $newCompletion = 0;
        }
        $newStartDate = $parentDetail->tas_start_date[0];
        $newDueDate = $parentDetail->tas_start_date[0];
        $newEstimatedTime = "8";
        $newActualTime = "0";
        $newCompleteDate = "--";
        $newTaskGroup = TG_NO;
    } else {
        $newPriority = $taskList->tas_priority[0];
        $newStatus = $taskList->tas_status[0];
        $newCompletion = $taskList->tas_completion[0];
        $newStartDate = $taskList->tas_start_date[0];
        $newDueDate = $taskList->tas_due_date[0];
        $newEstimatedTime = $taskList->tas_estimated_time[0];
        $newActualTime = $taskList->tas_actual_time[0];
        $newCompleteDate = $taskList->tas_complete_date[0];
        $newTaskGroup = TG_YES;
        for ($i = 1;$i < $comptTaskList;$i++) {
            if ($newPriority < $taskList->tas_priority[$i]) {
                $newPriority = $taskList->tas_priority[$i];
            }
            if ($taskList->tas_status[$i] == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($taskList->tas_status[$i] == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($taskList->tas_status[$i] == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($taskList->tas_status[$i] == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }
            $newCompletion += $taskList->tas_completion[$i];
            if ($newStartDate > $taskList->tas_start_date[$i]) {
                $newStartDate = $taskList->tas_start_date[$i];
            }
            if ($newDueDate < $taskList->tas_due_date[$i]) {
                $newDueDate = $taskList->tas_due_date[$i];
            }
            $newEstimatedTime += $taskList->tas_estimated_time[$i];
            $newActualTime += $taskList->tas_actual_time[$i];
            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate == '' || $newCompleteDate == '--' || $newCompleteDate < $taskList->tas_complete_date[$i]) {
                    $newCompleteDate = $taskList->tas_complete_date[$i];
                }
            } else {
                $newCompleteDate = '--';
            }
        }
        $newCompletion = substr($newCompletion / $comptTaskList, 0, 1);
    }

    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', complete_date='$newCompleteDate', modified='$dateheures', task_group='$newTaskGroup', subtask='$comptTaskList' WHERE id='$parent'";
    connectSql("$tmpquery");

    if ($parentDetail->tas_parent_task[0] != '0') {
        change_parent_task($parentDetail->tas_parent_task[0]);
    }
}

// check milestone
if ($taskDetail->tas_milestone[0] == MS_YES) {
    indentation_redirect("noMilestone");
}

// check parent task
if ($taskDetail->tas_parent_task[0] == '0') {
    unindentation_redirect("noParentTask");
} else {
    $tmpquery = "WHERE tas.id='" . $taskDetail->tas_parent_task[0] . "'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);
    $newParentTask = $parentDetail->tas_parent_task[0];
    $oldParentTask = $taskDetail->tas_parent_task[0];
}

$criticalSection = enter_critical_section();
if ($criticalSection == -1) {
    unindentation_redirect($msg);
}

// change tasks level & parent task
$newLevel = $taskDetail->tas_level[0] - 1;
$tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET parent_task='$newParentTask', level='$newLevel', modified='$dateheures' WHERE id='$id'";
connectSql("$tmpquery");

if ($taskDetail->tas_task_group[0] == TG_YES) {
    change_subtasks_level($id);
}

change_parent_task($oldParentTask);

leave_critical_section($criticalSection);

unindentation_redirect("unindentation");

?>
