<?php // $Revision: 1.4 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deleteusers.php,v 1.4 2006/07/28 09:57:20 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($enable_cvs == "true") {
    require_once("../includes/cvslib.php");
}

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$comptProjectDetail = count($projectDetail->pro_id);
// test exists selected project, redirect to list if not
if ($comptProjectDetail == "0") {
    header("Location: ../projects/listprojects.php?msg=blank");
    exit;
} 

if ($projectDetail->pro_owner[0] != $idSession && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../projects/viewproject.php?id=$project&msg=permissiondenied");
    exit;
}

if ($action == "delete") {
    $id = str_replace("**", ",", $id);

    if ($htaccessAuth == "true") {
        require_once("../includes/htpasswd.class.php");
        $Htpasswd = new Htpasswd;
        $Htpasswd->initialize("../files/" . $projectDetail->pro_id[0] . "/.htpasswd");
        $tmpquery = "WHERE mem.id IN($id)";
        $listMembers = new request();
        $listMembers->openMembers($tmpquery);
        $comptListMembers = count($listMembers->mem_id);

        for ($i = 0;$i < $comptListMembers;$i++) {
            $Htpasswd->deleteUser($listMembers->mem_login[$i]);
        }
    }

    // if mantis bug tracker enabled
    if ($enableMantis == "true") {
        // include mantis library
        require_once("../mantis/core_API.php");
    }

    $multi = strstr($id, ",");
    $idM = '';

    if ($multi != "") {
        $pieces = explode(",", $id);
    } else {
        $pieces[] = $id;
    }

    foreach ($pieces as $piece) {
        if ($piece == $projectDetail->pro_owner[0]) {
            $foundOwner = "true";
        } else if ($piece == $idSession) {
            $foundSelf = "true";
        } else {
            if ($idM != '') $idM .= ',';

            $idM .= $piece;
            $tmpquery1 = "DELETE FROM " . $tableCollab["teams"] . " WHERE member = '$piece' AND project = '$project'";
            connectSql("$tmpquery1");

            // if mantis bug tracker enabled
            if ($enableMantis == "true") {
                // Unassign multiple user from this project in mantis
                $f_project_id = $project;
                $f_user_id = $piece;
                require_once("../mantis/user_proj_delete.php");
            }

            // if CVS repository enabled
            if ($enable_cvs == "true") {
                $user_query = "WHERE mem.id = '$piece'";
                $cvsMember = new request();
                $cvsMember->openMembers($user_query);
                cvs_delete_user($cvsMember->mem_login[$i], $project);
            }
        }
    }

    if ($foundOwner == "true") {
        if ($multi != "") {
            $msg = "deleteTeamOwnerMix";
        } else {
            $msg = "deleteTeamOwner";
        }
    } else if ($foundSelf == "true") {
        if ($multi != "") {
            $msg = "deleteYourselfMix";
        } else {
            $msg = "deleteYourself";
        }
    } else {
        $msg = "delete";
    }

    if ($idM != '') {
        $id = $idM;
        $tmpquery = "WHERE res.resource IN ($id) AND res.type='members' AND tas.project='$project'";
        $resList = new request();
        $resList->openTaskResource($tmpquery);
        $comptResList = count($resList->res_id);

        for ($i = 0;$i < $comptResList;$i++) {
            $tmpquery1 = "DELETE FROM " . $tableCollab["person_evaluations"] . " WHERE type='0' AND item='" . $resList->res_task[$i] . "' AND member='" . $resList->res_resource[$i] . "'";
            connectSql("$tmpquery1");
            $tmpquery1 = "DELETE FROM " . $tableCollab["tasks_resource"] . " WHERE id='" . $resList->res_id[$i] . "'";
            connectSql("$tmpquery1");
            $tmpquery = "WHERE res.task='" . $resList->res_task[$i] . "' AND res.type='members'";
            $resourceList = new request();
            $resourceList->openTaskResource($tmpquery);
            $comptResourceList = count($resourceList->res_id);
            $tmpquery2 = "UPDATE " . $tableCollab["tasks"] . " SET assigned_to='$comptResourceList',assigned='$dateheures',modified='$dateheures' WHERE id='" . $resList->res_task[$i] . "'";
            connectSql("$tmpquery2");

            if ($comptResourceList == 0) {
                $tmpquery3 = "INSERT INTO " . $tableCollab["assignments"] . " (task,owner,assigned_to,assigned) VALUES ('" . $resList->res_task[$i] . "','$idSession','0','$dateheures')";
                connectSql("$tmpquery3");
            }
        }

        $tmpquery = "UPDATE " . $tableCollab["tasks"] . " SET owner='$idSession' WHERE project='$project' AND status!='" . ST_COMPLETED . "' AND owner IN ($id)";
        connectSql("$tmpquery");
        $tmpquery = "WHERE att.project='$project' AND att.member IN ($id) AND mee.status!='" . ST_COMPLETED . "'";
        $attList = new request();
        $attList->openAttendants($tmpquery);
        $comptAttList = count($attList->att_id);
        $attIdList = "";

        if ($comptAttList > 0) {
            for ($i=0; $i<$comptAttList; $i++) {
                if ($attIdList != "") {
                    $attIdList .= ",";
                }

                $attIdList .= "'" . $attList->att_id[$i] . "'";
            }

            $tmpquery = "DELETE FROM " . $tableCollab["attendants"] . " WHERE id IN ($attIdList)";
            connectSql("$tmpquery");
        }

        $tmpquery = "UPDATE " . $tableCollab["meetings"] . " SET chairman='$idSession' WHERE project='$project' AND status!='" . ST_COMPLETED . "' AND chairman IN ($id)";
        connectSql("$tmpquery");
        $tmpquery = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$idSession' WHERE project='$project' AND status!='" . ST_COMPLETED . "' AND recorder IN ($id)";
        connectSql("$tmpquery");

        if ($notifications == "true") {
            $organization = "1";
            require_once("../teams/noti_removeprojectteam.php");
        }
    }

    header("Location: ../projects/viewproject.php?id=$project&msg=$msg");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("remove_team"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "crM";
$block1->openForm("../teams/deleteusers.php?project=$project&amp;action=delete&amp;id=$id");
$block1->heading(lang_strings("remove_team"));
$block1->openContent();
$block1->contentTitle(lang_strings("remove_team_info"));
$id = str_replace("**", ",", $id);
$tmpquery = "WHERE mem.id IN($id) ORDER BY mem.name";
$listMembers = new request();
$listMembers->openMembers($tmpquery);
$comptListMembers = count($listMembers->mem_id);

for ($i = 0;$i < $comptListMembers;$i++) {
    $block1->contentRow("#" . $listMembers->mem_id[$i], $listMembers->mem_login[$i] . " / " . $listMembers->mem_name[$i]);
}

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("remove") . "\">&#160;<input type=\"BUTTON\" value=\"" . lang_strings("cancel") . "\" onClick=\"history.back();\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
