<?php // $Revision: 1.18.2.2 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: edittasktime.php,v 1.18.2.2 2007/11/22 07:53:02 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.et1Form.prj.focus();\"";

if ($id != "") {
    $tmpquery = " WHERE tim.id='$id'";
    $taskTimeDetail = new request();
    $taskTimeDetail->openTaskTime($tmpquery);

    if ($taskTimeDetail->tim_owner[0] != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
        exit;
    }

    $prj = $taskTimeDetail->tim_project[0];
    $tas = $taskTimeDetail->tim_task[0];
    $owner = $taskTimeDetail->tim_owner[0];
} else {
    if ($owner != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
        exit;
    }
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = date("Y-m-d", $sdate1);
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = date("Y-m-d", $sdate1);
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$actualList[0] = $day0;
$actualList[1] = $day1;
$actualList[2] = $day2;
$actualList[3] = $day3;
$actualList[4] = $day4;
$actualList[5] = $day5;
$actualList[6] = $day6;

// Check field values
if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $totalHours = 0;
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $commO = htmlentities($commO, ENT_QUOTES, $htmlEntityCharset);

    // make sure we have the required information
    for ($daynumber=0; $daynumber<7; $daynumber++) {
        switch ($daynumber) {
            case 0: $hours = $dayA0; $hoursOld = $dayA0Old; break;
            case 1: $hours = $dayA1; $hoursOld = $dayA1Old; break;
            case 2: $hours = $dayA2; $hoursOld = $dayA2Old; break;
            case 3: $hours = $dayA3; $hoursOld = $dayA3Old; break;
            case 4: $hours = $dayA4; $hoursOld = $dayA4Old; break;
            case 5: $hours = $dayA5; $hoursOld = $dayA5Old; break;
            case 6: $hours = $dayA6; $hoursOld = $dayA6Old; break;
            default: continue;
        }

        $dayA[$daynumber] = $hours;

        if (!empty($error)) continue;

        $dayNum = "dayA" . $daynumber;
        $hoursAct = $actualList[$daynumber] - $hoursOld + $hours;

        if ($hours == '') {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_required');
            $bodyCommand = "onLoad=\"document.et1Form.$dayNum.focus();\"";
            $day_highlight = true;
        } else if (!is_numeric($hours)) {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_numerical');
            $bodyCommand = "onLoad=\"document.et1Form.$dayNum.focus();document.et1Form.$dayNum.select();\"";
            $day_highlight = true;
        } else if ($hoursAct > 24) {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_hours');
            $bodyCommand = "onLoad=\"document.et1Form.$dayNum.focus();document.et1Form.$dayNum.select();\"";
            $day_highlight = true;
        } else {
            $totalHours += $hours;
        }
    } 

    if (empty($error) && $totalHours == 0) {
        $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_required');
    }

    // update task time in database
    if (empty($error)) {
        if ($action == 'update') {
            $tmpquery = "DELETE FROM " . $tableCollab['tasks_time'] . " WHERE project='$prj' AND task='$tas' AND owner='$owner' AND date>='$datel' AND date<='$dateu' AND comments='$commO' AND billing='$bfO'";
            connectSql($tmpquery);
        }

        $sdate1 = $sdate;

        for ($daynumber=0; $daynumber<7; $daynumber++) {
            $dateC = date("Y-m-d", $sdate1);

            switch ($daynumber) {
                case 0: $hours = $dayA0; break;
                case 1: $hours = $dayA1; break;
                case 2: $hours = $dayA2; break;
                case 3: $hours = $dayA3; break;
                case 4: $hours = $dayA4; break;
                case 5: $hours = $dayA5; break;
                case 6: $hours = $dayA6; break;
            }

            if ($hours > 0) {
                $tmpquery = "INSERT INTO " . $tableCollab['tasks_time'] . " (project,task,owner,date,hours,comments,billing,created) VALUES ('$prj','$tas','$owner','$dateC','$hours','$comm','$bf','$dateheures')";
                connectSql($tmpquery);
            }

            list($an1, $mois1, $jour1) = split('-', $dateC, 3);
            $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
        }

        if ($action == 'update') {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&owner=$owner&msg=update");
        } else {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&owner=$owner&msg=add");
        }

        exit;
    }
}

$tmpquery = " WHERE tea.member='$owner'";
$listProjects = new request();
$listProjects->openTeams($tmpquery);
$comptListProjects = count($listProjects->tea_id);
$tmpquery = " WHERE wca.date>='$datel' AND wca.date<='$dateu'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $logHours[$daynumber] = 0;
    $date1 = date('Y-m-d', $sdate1);

    if ($comptListWorkCalendar == 0) {
        if ($daynumber==0 || $daynumber == 6) {
            $stdHours[$daynumber] = 0;
            $dayType[$daynumber] = DT_WEEKEND;
        } else {
            $stdHours[$daynumber] = 8;
            $dayType[$daynumber] = DT_WORKDAY;
        }
    } else {
        $i = array_search($date1, $listWorkCalendar->wca_date);
        $stdHours[$daynumber] = $listWorkCalendar->wca_hours[$i];
        $dayType[$daynumber] = $listWorkCalendar->wca_type[$i];
        $dayComments[$daynumber] = nl2br(html_entity_decode($listWorkCalendar->wca_comments[$i], ENT_QUOTES, $htmlEntityCharset));
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

if ($prj == '' && $comptListProjects > 0) {
    $prj = $listProjects->tea_project[0];
}

if ($prj != '') {
    $tmpquery = " WHERE pro.id='$prj'";
    $projectDetail = new request();
    $projectDetail->openProjects($tmpquery);
    $tmpquery = " AND res.resource='$owner' AND tas.project='$prj' AND tas.status NOT IN ('" . ST_NOT_STARTED . "','" . ST_SUSPENDED . "')";
    $listTasks = new request();
    $listTasks->openTaskHumanResource($tmpquery);
    $comptListTasks = count($listTasks->res_id);
} else {
    $comptListTasks = 0;
}

if ($tas == '' && $comptListTasks > 0) {
    $tas = $listTasks->res_task[0];
} else if ($tas != '' && $comptListTasks == 0) {
    $tas = '';
}

if ($tas != '') {
    $tmpquery = " WHERE tas.id='$tas'";
    $taskDetail = new request();
    $taskDetail->openTasks($tmpquery);
    $tmpquery = " WHERE serv.id='" . $taskDetail->tas_service[0] . "'";
    $serviceDetail = new request();
    $serviceDetail->openServices($tmpquery);
}

if ($bf == '') {
    if ($tas != '' && $taskDetail->tas_service[0] != '0') {
        $bf = BF_YES;
    } else {
        $bf = BF_NO;
    }
}

if ($id != '') {
    $tmpquery = " WHERE tim.project='$prj' AND tim.task='$tas' AND tim.owner='$owner' AND tim.date>='$datel' AND tim.date<='$dateu' AND tim.comments='" . $taskTimeDetail->tim_comments[0] . "' AND tim.billing='$bf'";
    $listTaskTime = new request();
    $listTaskTime->openTaskTime($tmpquery);
    $comptListTaskTime = count($listTaskTime->tim_id);
    $sdate1 = $sdate;

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $date1 = date('Y-m-d', $sdate1);

        for ($i=0; $i<$comptListTaskTime; $i++) {
            if ($date1 == $listTaskTime->tim_date[$i]) {
                $logHours[$daynumber] += $listTaskTime->tim_hours[$i];
            }
        }

        list($an1, $mois1, $jour1) = split('-', $date1, 3);
        $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
    }
}

$saveDisabled = '';

if ($prj=='' || $tas=='') {
    $saveDisabled = 'disabled';
}

if (empty($error)) {
    $comm = html_entity_decode($taskTimeDetail->tim_comments[0], ENT_QUOTES, $htmlEntityCharset);
    $bf = $taskTimeDetail->tim_billing[0];

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $dayA[$daynumber] = $logHours[$daynumber];
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));
$tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE supervisor='$idSession'";
$comptListFollowing = compt($tmpquery);

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

if ($id != "") {  // edit task time
    $blockPage->itemBreadcrumbs(lang_strings('edit_task_time'));
} else { // add task time
    $blockPage->itemBreadcrumbs(lang_strings('add_task_time'));
}

$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "et1";

if ($id != "") {  // edit task time
    $block1->openForm("../timesheet/edittasktime.php?action=update&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour&amp;id=$id#" . $block1->form . "Anchor");
} else { // add task time
    $block1->openForm("../timesheet/edittasktime.php?action=add&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour#" . $block1->form . "Anchor");
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id != "") {
    $block1->heading(lang_strings('edit_task_time'));
} else {
    $block1->heading(lang_strings('add_task_time'));
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesMore");
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));
echo "<input type=\"hidden\" name=\"day0\" value=\"$day0\">";
echo "<input type=\"hidden\" name=\"day1\" value=\"$day1\">";
echo "<input type=\"hidden\" name=\"day2\" value=\"$day2\">";
echo "<input type=\"hidden\" name=\"day3\" value=\"$day3\">";
echo "<input type=\"hidden\" name=\"day4\" value=\"$day4\">";
echo "<input type=\"hidden\" name=\"day5\" value=\"$day5\">";
echo "<input type=\"hidden\" name=\"day6\" value=\"$day6\">";

if ($id != "") {
    $block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
    $block1->contentRow(lang_strings("task"), $taskDetail->tas_name[0]);
    echo "<input type=\"hidden\" name=\"prj\" value=\"$prj\">";
    echo "<input type=\"hidden\" name=\"tas\" value=\"$tas\">";
    echo "<input type=\"hidden\" name=\"commO\" value=\"" . html_entity_decode($taskTimeDetail->tim_comments[0], ENT_QUOTES, $htmlEntityCharset) . "\">";
    echo "<input type=\"hidden\" name=\"bfO\" value=\"" . $taskTimeDetail->tim_billing[0] . "\">";
} else {
    // project
    $projectSel = "<select name=\"prj\" onchange=\"changeOptions()\">";

    for ($i=0; $i<$comptListProjects; $i++) {
        if ($prj == $listProjects->tea_project[$i]) {
            $projectSel .= "<option value=\"" . $listProjects->tea_project[$i] . "\" selected>" . $listProjects->tea_pro_name[$i] . "</option>";
        } else {
            $projectSel .= "<option value=\"" . $listProjects->tea_project[$i] . "\">" . $listProjects->tea_pro_name[$i] . "</option>";
        }
    }

    $projectSel .= "</select>";
    $block1->contentRow(lang_strings("project"), $projectSel);

    // task
    $taskSel = "<select name=\"tas\" onchange=\"changeOptions()\">";

    for ($i=0; $i<$comptListTasks; $i++) {
        if ($tas == $listTasks->res_task[$i]) {
            $taskSel .= "<option value=\"" . $listTasks->res_task[$i] . "\" selected>" . $listTasks->res_tas_name[$i] . "</option>";
        } else {
            $taskSel .= "<option value=\"" . $listTasks->res_task[$i] . "\">" . $listTasks->res_tas_name[$i] . "</option>";
        }
    }

    $taskSel .= "</select>";
    $block1->contentRow(lang_strings("task"), $taskSel);
}

// billing
$bfSel = "<select name=\"bf\">";

if ($bf == BF_NO) {
    $bfSel .= "<option value=\"" . BF_NO . "\" selected>" . lang_strings("none") . "</option>";
} else {
    $bfSel .= "<option value=\"" . BF_NO . "\">" . lang_strings("none") . "</option>";
}

if ($tas != '' && $taskDetail->tas_service[0] != '0') {
    if ($bf == BF_YES) {
        $bfSel .= "<option value=\"" . BF_YES . "\" selected>" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    } else {
        $bfSel .= "<option value=\"" . BF_YES . "\">" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    }
}

$bfSel .= "</select>";
$block1->contentRow(lang_strings("service"), $bfSel);
// comments
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>$comm</textarea>");
$block1->closeContent();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

echo "<table border=0 width=100% cellPadding=5 cellSpacing=0 class=listing>";
echo "<tr><th width=27% class=even>&nbsp;</th>";

for ($daynumber=0; $daynumber<7; $daynumber++) {
    echo "<th width=5% class=calendDays>" . $dayShortNameArray[$daynumber] . "</th>";
}

echo "<th width=38% class=even>&nbsp;</th></tr><tr><td width=27% class=odd>&nbsp;</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);
    $day = date('j', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        $comments = $date1 . " " . convert_html2txt($dayComments[$daynumber]);
        echo "<td width=5% class=\"$classCell\"><acronym title=\"$comments\">$day</acronym></td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('standard') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $stdHours[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('actual') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $actualList[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd>&nbsp;</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        if ($day_highlight && $dayNum == "dayA" . $daynumber) {
            echo "<td width=5% class=\"$classCell\"><input type=\"text\" class=\"input_dayhours_highlight\" name=\"dayA$daynumber\" size=\"4\" value=\"" . $dayA[$daynumber] . "\"></td>";
        } else {
            echo "<td width=5% class=\"$classCell\"><input type=\"text\" class=\"input_dayhours\" name=\"dayA$daynumber\" size=\"4\" value=\"" . $dayA[$daynumber] . "\"></td>";
        }
    } else {
        echo "<td width=5% class=odd><input type=\"hidden\" name=\"dayA$daynumber\" value=\"0\">&nbsp;</td>";
    }

    echo "<input type=\"hidden\" name=\"dayA" . $daynumber . "Old\" value=\"" . $logHours[$daynumber] . "\">";
    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr>";
echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td colspan=\"8\"><input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\" $saveDisabled></td></tr></table>";

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
<script>
function changeOptions()
{
    var x=document.et1Form;
    x.action="";
    document.et1Form.submit();
}
</script>
