<?php // $Revision: 1.20.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editworkhours.php,v 1.20.2.1 2007/11/22 07:53:03 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.eh1Form.prj.focus();\"";

if ($id != "") {
    $tmpquery = "WHERE wkh.id='$id'";
    $workHoursDetail = new request();
    $workHoursDetail->openWorkHours($tmpquery);

    if ($workHoursDetail->wkh_owner[0] != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
        exit;
    }

    $prj = $workHoursDetail->wkh_project[0];
    $wk = $workHoursDetail->wkh_work[0];
    $owner = $workHoursDetail->wkh_owner[0];
    $wt = floor($wk / 100);
} else {
    if ($owner != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
        exit;
    }
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = $dateC;
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = $dateC;
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$actualList[0] = $day0;
$actualList[1] = $day1;
$actualList[2] = $day2;
$actualList[3] = $day3;
$actualList[4] = $day4;
$actualList[5] = $day5;
$actualList[6] = $day6;

// Check field values
if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $totalHours = 0;
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $commO = htmlentities($commO, ENT_QUOTES, $htmlEntityCharset);
     
    // make sure we have the required information
    for ($daynumber=0; $daynumber<7; $daynumber++) {
        switch ($daynumber) {
            case 0: $hours = $dayA0; $hoursOld = $dayA0Old; break;
            case 1: $hours = $dayA1; $hoursOld = $dayA1Old; break;
            case 2: $hours = $dayA2; $hoursOld = $dayA2Old; break;
            case 3: $hours = $dayA3; $hoursOld = $dayA3Old; break;
            case 4: $hours = $dayA4; $hoursOld = $dayA4Old; break;
            case 5: $hours = $dayA5; $hoursOld = $dayA5Old; break;
            case 6: $hours = $dayA6; $hoursOld = $dayA6Old; break;
            default: continue;
        }

        $dayA[$daynumber] = $hours;

        if (!empty($error)) continue;

        $dayNum = "dayA" . $daynumber;
        $hoursAct = $actualList[$daynumber] - $hoursOld + $hours;

        if ($hours == '') {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_required');
            $bodyCommand = "onLoad=\"document.eh1Form.$dayNum.focus();\"";
            $day_highlight = true;
        } else if (!is_numeric($hours)) {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_numerical');
            $bodyCommand = "onLoad=\"document.eh1Form.$dayNum.focus();document.eh1Form.$dayNum.select();\"";
            $day_highlight = true;
        } else if ($hoursAct > 24) {
            $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_hours');
            $bodyCommand = "onLoad=\"document.eh1Form.$dayNum.focus();document.eh1Form.$dayNum.select();\"";
            $day_highlight = true;
        } else {
            $totalHours += $hours;
        }
    } 

    if (empty($error) && $totalHours == 0) {
        $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_required');
    }

    // update work hours in database
    if (empty($error)) {
        if ($action == 'update') {
            $tmpquery = "DELETE FROM " . $tableCollab['work_hours'] . " WHERE project='$prj' AND work='$wk' AND owner='$owner' AND date>='$datel' AND date<='$dateu' AND comments='$commO' AND service='$servO'";
            connectSql($tmpquery);
        }

        $sdate1 = $sdate;

        if ($serv == '0') {
            $bf = BF_NO;
        } else {
            $bf = BF_YES;
        }

        for ($daynumber=0; $daynumber<7; $daynumber++) {
            $date1 = date('Y-m-d', $sdate1);

            if ($dayA[$daynumber] > 0) {
                $tmpquery = "INSERT INTO " . $tableCollab['work_hours'] . " (project,work,owner,date,hours,comments,billing,service,created) VALUES ('$prj','$wk','$owner','$date1','" . $dayA[$daynumber] . "','$comm','$bf','$serv','$dateheure')";
                connectSql($tmpquery);
            }

            list($an1, $mois1, $jour1) = split('-', $date1, 3);
            $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
        }

        if ($action == 'update') {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&id=$owner&msg=update");
        } else {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&id=$owner&msg=add");
        }

        exit;
    } 
}

$tmpquery = " ORDER BY serv.name_print";
$listServices = new request();
$listServices->openServices($tmpquery);
$comptListServices = count($listServices->serv_id);
$tmpquery = " WHERE tea.member='$owner'";
$listProjects = new request();
$listProjects->openTeams($tmpquery);
$comptListProjects = count($listProjects->tea_id);
$tmpquery = " WHERE wca.date>='$datel' AND wca.date<='$dateu'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $logHours[$daynumber] = 0;
    $date1 = date('Y-m-d', $sdate1);

    if ($comptListWorkCalendar == 0) {
        if ($daynumber==0 || $daynumber == 6) {
            $stdHours[$daynumber] = 0;
            $dayType[$daynumber] = DT_WEEKEND;
        } else {
            $stdHours[$daynumber] = 8;
            $dayType[$daynumber] = DT_WORKDAY;
        }

        $dayComments[$daynumber] = "";
    } else {
        $i = array_search($date1, $listWorkCalendar->wca_date);
        $stdHours[$daynumber] = $listWorkCalendar->wca_hours[$i];
        $dayType[$daynumber] = $listWorkCalendar->wca_type[$i];
        $dayComments[$daynumber] = nl2br(html_entity_decode($listWorkCalendar->wca_comments[$i], ENT_QUOTES, $htmlEntityCharset));
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

if ($id != "") {
    $tmpquery = "WHERE wkh.project='$prj' AND wkh.work='$wk' AND wkh.owner='$owner' AND wkh.date>='$datel' AND wkh.date<='$dateu' AND wkh.comments='" . $workHoursDetail->wkh_comments[0] . "' AND wkh.service='" . $workHoursDetail->wkh_service[0] . "'";
    $listWorkHours = new request();
    $listWorkHours->openWorkHours($tmpquery);
    $comptListWorkHours = count($listWorkHours->wkh_id);
    $sdate1 = $sdate;

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $date1 = date('Y-m-d', $sdate1);

        for ($i=0; $i<$comptListWorkHours; $i++) {
            if ($date1 == $listWorkHours->wkh_date[$i]) {
                $logHours[$daynumber] += $listWorkHours->wkh_hours[$i];
            }
        }

        list($an1, $mois1, $jour1) = split('-', $date1, 3);
        $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
    }
} else {
    if ($wt == '') {
        if ($comptListProjects == 0) {
            $wt = WT_OTHERS;
        } else {
            $wt = WT_PROJECT;
        }
    } else if ($wt == WT_LEAVE) {
        $serv = "0";
        $disabledService = "disabled";
    }

    if ($prj == '') {
        if ($wt == WT_PROJECT) {
            $prj = $listProjects->tea_project[0];
        } else {
            $prj = '0';
        }
    }

    if ($wt == '') {
        $wk = $wt * 100;
    }

    if ($serv == '') {
        $serv = "0";
    }
}

if (empty($error)) {
    $comm = html_entity_decode($workHoursDetail->wkh_comments[0], ENT_QUOTES, $htmlEntityCharset);
    $serv = $workHoursDetail->wkh_service[0];

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $dayA[$daynumber] = $logHours[$daynumber];
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));
$tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE supervisor='$idSession'";
$comptListFollowing = compt($tmpquery);

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

if ($id != "") {
    $blockPage->itemBreadcrumbs(lang_strings('edit_work_hours'));
} else {
    $blockPage->itemBreadcrumbs(lang_strings('add_work_hours'));
}

$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "eh1";

if ($id != "") {
    $block1->openForm("../timesheet/editworkhours.php?action=update&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour&amp;id=$id#" . $block1->form . "Anchor");
} else {
    $block1->openForm("../timesheet/editworkhours.php?action=add&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour#" . $block1->form . "Anchor");
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id != "") {
    $block1->heading(lang_strings('edit_work_hours'));
} else {
    $block1->heading(lang_strings('add_work_hours'));
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesMore");
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));
echo "<input type=\"hidden\" name=\"day0\" value=\"$day0\">";
echo "<input type=\"hidden\" name=\"day1\" value=\"$day1\">";
echo "<input type=\"hidden\" name=\"day2\" value=\"$day2\">";
echo "<input type=\"hidden\" name=\"day3\" value=\"$day3\">";
echo "<input type=\"hidden\" name=\"day4\" value=\"$day4\">";
echo "<input type=\"hidden\" name=\"day5\" value=\"$day5\">";
echo "<input type=\"hidden\" name=\"day6\" value=\"$day6\">";

if ($id != "") {
    $block1->contentRow(lang_strings("hourtype"), $workTypes[$wt]);

    for ($i=0; $i<$comptListProjects; $i++) {
        if ($prj == $listProjects->tea_project[$i]) {
            $block1->contentRow(lang_strings("project"), $listProjects->tea_pro_name[$i]);
            break;
        }
    }

    $block1->contentRow(lang_strings("hourcode"), $wk . " - " . $hourCodeArray[$wk]);
    echo "<input type=\"hidden\" name=\"wt\" value=\"$wt\">";
    echo "<input type=\"hidden\" name=\"prj\" value=\"$prj\">";
    echo "<input type=\"hidden\" name=\"wk\" value=\"$wk\">";
    echo "<input type=\"hidden\" name=\"commO\" value=\"" . html_entity_decode($workHoursDetail->wkh_comments[0], ENT_QUOTES, $htmlEntityCharset) . "\">";
    echo "<input type=\"hidden\" name=\"servO\" value=\"" . $workHoursDetail->wkh_service[0] . "\">";
} else {
    // work type
    $worktypeSel = "<select name=\"wt\" onchange=\"changeOptions()\">";

    foreach ($workTypes as $tVal => $tTxt) {
        if ($comptListProjects > 0 || $tVal != WT_PROJECT) {
            if ($wt == $tVal) {
                $worktypeSel .= "<option value=\"$tVal\" selected>$tTxt</option>";
            } else {
                $worktypeSel .= "<option value=\"$tVal\">$tTxt</option>";
            }
        }
    }

    $worktypeSel .= "</select>";
    $block1->contentRow(lang_strings("hourtype"), $worktypeSel);

    if ($wt == WT_PROJECT) {
        // project
        $projectSel = "<select name=\"prj\">";

        for ($i=0; $i<$comptListProjects; $i++) {
            if ($prj == $listProjects->tea_project[$i]) {
                $projectSel .= "<option value=\"" . $listProjects->tea_project[$i] . "\" selected>" . $listProjects->tea_pro_name[$i] . "</option>";
            } else {
                $projectSel .= "<option value=\"" . $listProjects->tea_project[$i] . "\">" . $listProjects->tea_pro_name[$i] . "</option>";
            }
        }

        $projectSel .= "</select>";
        $block1->contentRow(lang_strings("project"), $projectSel);
    } else {
        echo "<input type=\"hidden\" name=\"prj\" value=\"0\">";
    }

    // work code
    $workcodeSel = "<select name=\"wk\">";

    foreach ($hourCodeArray as $cVal => $cTxt) {
        $cWt = floor($cVal / 100);

        if ($wt == $cWt) {
            if ($wk == $cVal) {
                $workcodeSel .= "<option value=\"$cVal\" selected>$cVal - $cTxt</option>";
            } else {
                $workcodeSel .= "<option value=\"$cVal\">$cVal - $cTxt</option>";
            }
        }
    }

    $workcodeSel .= "</select>";
    $block1->contentRow(lang_strings("hourcode"), $workcodeSel);
}

if ($disabledService == "") {
    $serviceSel = "<select name=\"serv\"><option value=\"0\">" . lang_strings("none") . "</option>";

    for ($i = 0;$i < $comptListServices;$i++) {
        if ($listServices->serv_id[$i] == $serv) {
            $selected = 'selected';
        } else {
            $selected = '';
        }

        $serviceSel .= "<option value='" . $listServices->serv_id[$i] . "' $selected>" . $listServices->serv_name_print[$i] . ' (' . lang_strings('hourly_rate') . ' $' . $listServices->serv_hourly_rate[$i] . ')</option>';
    } 

    $serviceSel .= "</select>";
    $block1->contentRow(lang_strings("service"), $serviceSel);
} else {
    echo "<input type=\"hidden\" name=\"serv\" value=\"0\">";
}

$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>$comm</textarea>");
$block1->closeContent();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

echo "<table border=0 width=100% cellPadding=5 cellSpacing=0 class=listing>";
echo "<tr><th width=27% class=even>&nbsp;</th>";

for ($daynumber=0; $daynumber<7; $daynumber++) {
    echo "<th width=5% class=calendDays>" . $dayShortNameArray[$daynumber] . "</th>";
}

echo "<th width=38% class=even>&nbsp;</th></tr><tr><td width=27% class=odd>&nbsp;</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);
    $day = date('j', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        $comments = $date1 . " " . convert_html2txt($dayComments[$daynumber]);
        echo "<td width=5% class=\"$classCell\"><acronym title=\"$comments\">$day</acronym></td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('standard') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $stdHours[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('actual') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $actualList[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd>&nbsp;</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        if ($day_highlight && $dayNum == "dayA" . $daynumber) {
            echo "<td width=5% class=\"$classCell\"><input type=\"text\" class=\"input_dayhours_highlight\" name=\"dayA$daynumber\" size=\"4\" value=\"" . $dayA[$daynumber] . "\"></td>";
        } else {
            echo "<td width=5% class=\"$classCell\"><input type=\"text\" class=\"input_dayhours\" name=\"dayA$daynumber\" size=\"4\" value=\"" . $dayA[$daynumber] . "\"></td>";
        }
    } else {
        echo "<td width=5% class=odd><input type=\"hidden\" name=\"dayA$daynumber\" value=\"0\">&nbsp;</td>";
    }

    echo "<input type=\"hidden\" name=\"dayA" . $daynumber . "Old\" value=\"" . $logHours[$daynumber] . "\">";
    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr>";
echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td colspan=\"8\"><input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\"></td></tr></table>";

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
<script>
function changeOptions()
{
    var x=document.eh1Form;
    x.action="";
    document.eh1Form.submit();
}
</script>
