<?php // $Revision: 1.15 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: noti_submittimesheet.php,v 1.15 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

function find_recipient($id, $pid)
{
    $currTime = date('Y-m-dH:i');
    $tmpquery = "WHERE lea.owner='$id' AND lea.sdate<='$currTime' AND lea.edate>='$currTime' AND lea.status='" . TS_APPROVED . "'";
    $detailLeaveRequest = new request();
    $detailLeaveRequest->openLeaveRequests($tmpquery);

    if (count($detailLeaveRequest->lea_id) == 0) {
        return $id;
    }

    $tmpquery = "WHERE mem.id='$id' AND mem.email_work<>''";
    $detailMember = new request();
    $detailMember->openMembers($tmpquery);
    $comptDetailMember = count($detailMember->mem_id);

    if ($comptDetailMember == 0 || $detailMember->mem_agent[0] == $pid) {
        return 0;
    }

    return find_recipient($detailMember->mem_agent[0], $pid);
}

$tmpquery = "WHERE act.id='$num'";
$actionDetail = new request();
$actionDetail->openActions($tmpquery);
$mailFrom = $actionDetail->act_owner[0];
$mailTo = find_recipient($actionDetail->act_appraiser[0], $actionDetail->act_appraiser[0]);
$listActionData = split(',', $actionDetail->act_action_data[0]);
list($nam, $val) = split('=', $listActionData[0]);
$tmpquery = "WHERE tim.owner='" . $actionDetail->act_owner[0] . "' AND month='$val'";
$timesheetDetail = new request();
$timesheetDetail->openTimesheet($tmpquery);
// create notification
$mail = new notification();
$mail->getUserinfo($mailFrom, "from");
$mail->getUserinfo($mailTo, "to");
$mail->partSubject = lang_strings("noti_timesheetsubmit1");
$mail->partMessage = lang_strings("noti_timesheetsubmit2");
$yearTS = substr($monthTS, 0, 4);

if (substr($monthTS, 4, 1) == "0") {
    $monthName = $monthNameArray[substr($monthTS, 5, 1)];
} else {
    $monthName = $monthNameArray[substr($monthTS, 4, 2)];
}

$mail->openBody();
$mail->openContent();
$mail->contentRow(lang_strings("owner"), $timesheetDetail->tim_mem_login[0] . " / " . $timesheetDetail->tim_mem_name[0]);
$mail->contentRow(lang_strings("month"), "$monthName, $yearTS");
$mail->contentRow(lang_strings("standard"), $timesheetDetail->tim_standard_hours[0] . " " . lang_strings('hours'));
$mail->contentRow(lang_strings("actual"), $timesheetDetail->tim_actual_hours[0] . " " . lang_strings('hours'));
$mail->contentRow(lang_strings("overtime"), $timesheetDetail->tim_overtime_hours[0] . " " . lang_strings('hours'));
$mail->contentRow(lang_strings("billable"), $timesheetDetail->tim_billable_hours[0] . " " . lang_strings('hours'));
$mail->contentRow(lang_strings("comments"), nl2br(html_entity_decode($timesheetDetail->tim_comments[0], ENT_QUOTES, $htmlEntityCharset)));
$mail->closeContent();
$comptHist = 0;

foreach ($listActionData as $dataEntry) {
    $pos = strpos($dataEntry, "=");
    $nam = substr($dataEntry, 0, $pos);
    $val = substr($dataEntry, $pos+1);

    if ($nam == "appraiser") {
        $appraiserH[$comptHist] = $val;
    } else if ($nam == "comments") {
        $commentsH[$comptHist] = nl2br(html_entity_decode($val, ENT_QUOTES, $htmlEntityCharset));
    } else if ($nam == "modified") {
        $modifiedH[$comptHist] = $val;
    } else if ($nam == "status") {
        $statusH[$comptHist] = $statusTimesheet[$val];
        $comptHist++;
    }
}

if ($comptHist > 0) {
    $mail->openContent();
    $mail->contentTitle(lang_strings('approval_history'));

    for ($j=$comptHist-1; $j>=0; $j--) {
        $tmpquery = "WHERE mem.id='" . $appraiserH[$j] . "'";
        $memberDetailH = new request();
        $memberDetailH->openMembers($tmpquery);
        $mail->contentRow($statusH[$j], $memberDetailH->mem_name[0] . " " . $modifiedH[$j]);

        if ($commentsH[$j] != "") {
            $mail->contentRow("", $commentsH[$j]);
        }
    }

    $mail->closeContent();
}

$mail->note("$root/general/login.php?url=timesheet/viewtimesheet.php%3FtypeTimesheet=manage%26monthTS=$monthTS%26checkTimesheet=$num");
$mail->closeBody();
$subject = $mail->partSubject . " " . $timesheetDetail->tim_mem_login[0] . " / " . $timesheetDetail->tim_mem_name[0];
$mail->Subject = $subject;
$mail->Priority = "3";
$mail->Send();

?>
