<?php // $Revision: 1.16.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: submittimesheet.php,v 1.16.2.1 2007/11/22 07:53:04 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

function add_supervisors($id, $login, $name, $agent, $prevLogin, $owner)
{
    global $listSupervisors, $idSession;

    if ($id == $idSession || $id == $owner) return;

    $comptListSupervisors = count($listSupervisors->mem_id);

    for ($i=0; $i<$comptListSupervisors; $i++) {
        if ($id == $listSupervisors->mem_id[$i]) break;
    }

    if ($i < $comptListSupervisors) return;

    $nowYmdHi = date("Y-m-dH:i");
    $tmpquery = "WHERE lea.owner='$id' AND lea.sdate<='$nowYmdHi' AND lea.edate>='$nowYmdHi' AND lea.status='" . TS_APPROVED . "'";
    $leaveRequestDetail = new request();
    $leaveRequestDetail->openLeaveRequests($tmpquery);
    $listSupervisors->mem_id[] = $id;
    $listSupervisors->mem_name[] = $login . " / " . $name;
    $listSupervisors->prevLogin[] = $prevLogin;

    if (count($leaveRequestDetail->lea_id) > 0) {
        $listSupervisors->mem_leave_type[] = $leaveRequestDetail->lea_type[0];
        $tmpquery = "WHERE mem.id='$agent'";
        $agentDetail = new request();
        $agentDetail->openMembers($tmpquery);

        if (count($agentDetail->mem_id) > 0) {
            add_supervisors($agentDetail->mem_id[0], $agentDetail->mem_login[0], $agentDetail->mem_name[0], $agentDetail->mem_agent[0], $login, $owner);
        }
    } else {
        $listSupervisors->mem_leave_type[] = "";
    }
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$tmpquery = "WHERE tim.owner='$idSession' AND tim.month='$monthTS'";
$timesheetDetail = new request();
$timesheetDetail->openTimesheet($tmpquery);
$comptTimesheetDetail = count($timesheetDetail->tim_owner);

if ($action == "") {
    $tmpquery = "WHERE act.owner='$idSession' AND act.action='" . AT_TIMESHEET . "' AND act.action_data LIKE 'month=$monthTS,%'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);
    $comptActionDetail = count($actionDetail->act_id);

    if ($comptActionDetail > 0) {
        $action_id = $actionDetail->act_id[0];
        $action_data = $actionDetail->act_action_data[0];
    } else {
        $action_id = "0";
        $action_data = "";
    }

    $tmpquery = "WHERE mem.id='$idSession'";
    $memberDetail = new request();
    $memberDetail->openMembers($tmpquery);

    if (count($memberDetail->mem_id) > 0 && $memberDetail->mem_supervisor[0] != "0") {
        add_supervisors($memberDetail->mem_supervisor[0], $memberDetail->mem_mem2_login[0], $memberDetail->mem_mem2_name[0], $memberDetail->mem_mem2_agent[0], "", $id);
    }

    $tmpquery = "WHERE tea.member='$idSession'";
    $listTeamMembers = new request();
    $listTeamMembers->openTeams($tmpquery);
    $comptListTeamMembers = count($listTeamMembers->tea_id);

    for ($i=0; $i<$comptListTeamMembers; $i++) {
        add_supervisors($listTeamMembers->tea_pro_owner[$i], $listTeamMembers->tea_mem2_login[$i], $listTeamMembers->tea_mem2_name[$i], $listTeamMembers->tea_mem2_agent[$i], "", $id);
    }

    $comptListSupervisors = count($listSupervisors->mem_id);
}

if ($timesheetDetail->tim_owner[0] != $idSession || $timesheetDetail->tim_actual_hours[0] < $timesheetDetail->tim_standard_hours[0]) {
    header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
    exit;
}

if ($action == "submit") {
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $tmpquery1 = 'UPDATE ' . $tableCollab['timesheet'] . " SET status='" . TS_SUBMITTED . "',comments='$comm',submitted='$dateheure',modified='$dateheure' WHERE owner='$idSession' AND month='$monthTS'";
    connectSql("$tmpquery1");

    if ($appraiser == "") {
        $tmpquery = "WHERE mem.id='$idSession'";
        $memberDetail = new request();
        $memberDetail->openMembers($tmpquery);
        $appraiser = $memberDetail->mem_supervisor[0];
    }

    $owner = $idSession;

    if ($action_id != "0") {
        $tmpquery1 = "UPDATE " . $tableCollab['actions'] . " SET appraiser='$appraiser',status='" . ST_OPEN . "',modified='$dateheure' WHERE id='$action_id'";
        connectSql("$tmpquery1");
        $num = $action_id;
    } else {
        $action_data = "month=$monthTS,";
        $tmpquery1 = "INSERT INTO " . $tableCollab['actions'] . " (owner,action,action_data,appraiser,status,created) VALUES ('$owner','" . AT_TIMESHEET . "','$action_data','$appraiser','" . ST_OPEN . "','$dateheure')";
        connectSql($tmpquery1);
        $tmpquery = $tableCollab["actions"];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);
    }

    if ($appraiser != "0") {
        require_once("../timesheet/noti_submittimesheet.php");
    }

    header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=addToSubmitted");
    exit;
} 

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

$blockPage->itemBreadcrumbs(lang_strings('submit_timesheet'));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msg);
} 

$block1 = new block();
$block1->form = 'saP';
$block1->openForm("../timesheet/submittimesheet.php?action=submit");
$block1->heading(lang_strings("submit_timesheet"));
$block1->openContent();
$block1->contentTitle(lang_strings("details"));
echo "<input type=\"hidden\" name=\"monthTS\" value=\"$monthTS\">";
echo "<input type=\"hidden\" name=\"sdate\" value=\"$sdate\">";
echo "<input type=\"hidden\" name=\"action_id\" value=\"$action_id\">";
echo "<input type=\"hidden\" name=\"action_data\" value=\"$action_data\">";
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$block1->contentRow(lang_strings('month'), "$monthName " . substr($monthTS, 0, 4));
$block1->contentRow(lang_strings('standard'), $timesheetDetail->tim_standard_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings('actual'), $timesheetDetail->tim_actual_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings('overtime'), $timesheetDetail->tim_overtime_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings('billable'), $timesheetDetail->tim_billable_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>$comm</textarea>");

if ($comptListSupervisors > 0) {
    $moreApprovalSel = "<select name=\"appraiser\">";
    $defaultAppraisor = "";

    for ($i=0; $i<$comptListSupervisors; $i++) {
        $moreApprovalSel .= "<option value=\"" . $listSupervisors->mem_id[$i] . "\"";

        if ($defaultAppraisor == "" && $listSupervisors->mem_leave_type[$i] == "") {
            $moreApprovalSel .= " selected";
            $defaultAppraisor = $listSupervisors->mem_id[$i];
        }

        $moreApprovalSel .= ">" . $listSupervisors->mem_name[$i];

        if ($listSupervisors->prevLogin[$i] != "") {
            $moreApprovalSel .= " - " . $listSupervisors->prevLogin[$i] . " " . lang_strings('agent');
        }

        if ($listSupervisors->mem_leave_type[$i] != "") {
            $moreApprovalSel .= " ( " . $hourCodeArray[$listSupervisors->mem_leave_type[$i]] . " )";
        }

        $moreApprovalSel .= "</option>";
    }

    $moreApprovalSel .= "</select>";
    $block1->contentRow(lang_strings("approver"), $moreApprovalSel);
}

$block1->contentRow("", "<input type='submit' name='submit' value='" . lang_strings('submit') . "'><input type='button' name='cancel' value='" . lang_strings('cancel') . "' onClick='history.back();'>");
$block1->contentTitle(lang_strings("approval_history"));
$noItems = 1;

if ($comptActionDetail > 0) {
    $actionData = split(",", $actionDetail->act_action_data[0]);
    $comptListHist = 0;

    foreach($actionData as $dataEntry) {
        $pos = strpos($dataEntry, "=");
        $nam = substr($dataEntry, 0, $pos);
        $val = substr($dataEntry, $pos+1);

        if ($nam == "appraiser") {
            $appraiserH[$comptListHist] = $val;
        } else if ($nam == "comments") {
            $commentsH[$comptListHist] = nl2br(html_entity_decode($val, ENT_QUOTES, $htmlEntityCharset));
        } else if ($nam == "modified") {
            $modifiedH[$comptListHist] = $val;
        } else if ($nam == "status") {
            $statusH[$comptListHist] = $val;
            $comptListHist++;
            $noItems = 0;
        }
    }

    if ($actionDetail->act_status[0] == ST_OPEN) {
        $block1->contentRow($statusFile[FS_NEEDS_APPROVAL], $actionDetail->act_mem2_name[0]);
    }

    for ($j=$comptListHist-1; $j>=0; $j--) {
        $tmpquery = "WHERE mem.id='" . $appraiserH[$j] . "'";
        $memberDetailH = new request();
        $memberDetailH->openMembers($tmpquery);
        $rightVal = $memberDetailH->mem_name[0] . "&nbsp;<i>" . $modifiedH[$j] . "</i>";

        if ($commentsH[$j] != "") {
            $rightVal .= "<br>" . $commentsH[$j];
        }

        $block1->contentRow($statusTimesheet[$statusH[$j]], $rightVal);
    }
}

if ($noItems == 1) {
    $block1->contentRow("", lang_strings('no_items'));
}

$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
