<?php // $Revision: 1.7.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewmeetingtime.php,v 1.7.2.1 2007/11/22 07:53:05 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE mti.id='$id'";
$meetingTimeDetail = new request();
$meetingTimeDetail->openMeetingTime($tmpquery);

if ($meetingTimeDetail->mti_owner[0] != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    $editEnabled = FALSE;
}

$prj = $meetingTimeDetail->mti_project[0];
$mee = $meetingTimeDetail->mti_meeting[0];
$comm = nl2br(html_entity_decode($meetingTimeDetail->mti_comments[0], ENT_QUOTES, $htmlEntityCharset));
$dat = $meetingTimeDetail->mti_date[0];
$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = $dateC;
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = $dateC;
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$tmpquery = "WHERE mti.project='$prj' AND mti.meeting='$mee' AND mti.owner='$owner' AND mti.date='$dat' AND mti.comments='" . $meetingTimeDetail->mti_comments[0] . "'";
$listMeetingTime = new request();
$listMeetingTime->openMeetingTime($tmpquery);
$comptListMeetingTime = count($listMeetingTime->mti_id);
$hours = 0;

for ($i=0; $i<$comptListMeetingTime; $i++) {
    $hours += $listMeetingTime->mti_hours[$i];
}

$tmpquery = "WHERE mee.id='$mee'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);
$tmpquery = "WHERE mem.supervisor='$idSession'";
$listFollowing = new request();
$listFollowing->openMembers($tmpquery);
$comptListFollowing = count($listFollowing->mem_id);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));

if ($profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

$blockPage->itemBreadcrumbs(lang_strings('view_meeting_time'));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msg);
} 

$block1 = new block();
$block1->form = "vtm";
$block1->openForm("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=meetingtime#" . $block1->form . "Anchor");
$block1->heading(lang_strings('view_meeting_time'));

if ($editEnabled) {
    $block1->openPaletteIcon();
    $block1->paletteIcon(1, "remove", lang_strings("delete"));
    $block1->paletteIcon(7, "edit", lang_strings("edit"));
    $block1->closePaletteIcon();
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));
$block1->contentRow(lang_strings('project'), $meetingDetail->mee_pro_name[0]);
$block1->contentRow(lang_strings('meeting'), $meetingDetail->mee_name[0]);
$block1->contentRow(lang_strings("date"), $meetingDetail->mee_date[0]);
$block1->contentRow(lang_strings("start_time"), $meetingDetail->mee_start_time[0]);
$block1->contentRow(lang_strings("end_time"), $meetingDetail->mee_end_time[0]);
$block1->contentRow(lang_strings('comments'), $comm);
$block1->contentRow(lang_strings("worked_hours"), $hours);
$block1->closeContent();

if ($editEnabled) {
    $block1->openPaletteScript();
    $block1->paletteScript(1, "remove", "../timesheet/deleteworkhours.php?monthTS=$monthTS&sdate=$sdate&id2=$id", "true,true,false", lang_strings("delete"));
    $block1->paletteScript(7, "edit", "../timesheet/editmeetingtime.php?monthTS=$monthTS&sdate=$sdate$daySum&id=$id", "true,true,false", lang_strings("edit"));
    $block1->closePaletteScript('', '');
}

$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
