<?php // $Revision: 1.32.2.3 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewtimesheet.php,v 1.32.2.3 2007/11/22 07:53:07 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($action == 'chooseEdit') {
    list($wt, $num) = split(':', $id);

    if ($wt == WT_NONSPECIFIC_TASK) {
        header("Location: ../timesheet/editworkhours.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&id=$num");
    } else if ($wt == WT_SPECIFIC_TASK) {
        header("Location: ../timesheet/edittasktime.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&id=$num");
    } else {
        header("Location: ../timesheet/editmeetingtime.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&id=$num");
    }

    exit;
} else if ($action == 'chooseDelete') {
    $rowList = explode("**", $id);
    $comptRowList = count($rowList);
    $id0 = '';
    $id1 = '';
    $id2 = '';

    for ($i=0; $i<$comptRowList; $i++) {
        list($wt, $num) = split(":", $rowList[$i]);

        if ($wt == WT_NONSPECIFIC_TASK) {
            if ($id0 != '') {
                $id0 .= '**';
            }

            $id0 .= $num;
        } else if ($wt == WT_SPECIFIC_TASK) {
            if ($id1 != '') {
                $id1 .= '**';
            }

            $id1 .= $num;
        } else {
            if ($id2 != '') {
                $id2 .= '**';
            }

            $id2 .= $num;
        }
    }

    header("Location: ../timesheet/deleteworkhours.php?monthTS=$monthTS&sdate=$sdate&id0=$id0&id1=$id1&id2=$id2");
    exit;
} else if ($action == 'chooseView') {
    list($wt, $num) = split(':', $id);

    if ($wt == WT_NONSPECIFIC_TASK) {
        header("Location: ../timesheet/viewworkhours.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&editEnabled=$editEnabled&id=$num&owner=$owner");
    } else if ($wt == WT_SPECIFIC_TASK) {
        header("Location: ../timesheet/viewtasktime.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&editEnabled=$editEnabled&id=$num&owner=$owner");
    } else {
        header("Location: ../timesheet/viewmeetingtime.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&editEnabled=$editEnabled&id=$num&owner=$owner");
    }

    exit;
}

if ($checkTimesheet != '') {
    $tmpquery = "WHERE act.id='$checkTimesheet' AND act.action='" . AT_TIMESHEET . "'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);

    if ($actionDetail->act_status[0] == ST_COMPLETED) {
        $msg = 'actionMissing';
    }
}

if ($checkLeaveRequest != '') {
    $tmpquery = "WHERE act.id='$checkLeaveRequest' AND act.action='" . AT_LEAVE . "'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);
    if ($actionDetail->act_status[0] == ST_COMPLETED) {
        $msg = 'actionMissing';
    }
}

if ($typeTimesheet == '') {
    $typeTimesheet = 'edit';
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym");

if ($monthTS == "") {
    $monthTS = $monthThis;
    $sdate = $sdateThis;
}

$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];

// Standard hours
$tmpquery = "WHERE wca.date LIKE '" . substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2) . "%'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);
$sdate1 = mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4));
$standardHours = 0;

while (date('Ym', $sdate1) == $monthTS) {
    $date1 = date('Y-m-d', $sdate1);

    for ($i=0; $i<$comptListWorkCalendar; $i++) {
        if ($listWorkCalendar->wca_date[$i] == $date1)
            break;
    }

    if ($i == $comptListWorkCalendar) {
        $weekDay = date('w', $sdate1);

        if ($weekDay > 0 && $weekDay < 6) {
            $standardHours += 8;
            $listOvertime[$date1] = -8;
            $listOverLeave[$date1] = -8;
        } else {
            $listOvertime[$date1] = 0;
            $listOverLeave[$date1] = 0;
        }
    } else {
        $standardHours += $listWorkCalendar->wca_hours[$i];
        $listOvertime[$date1] = 0 - $listWorkCalendar->wca_hours[$i];
        $listOverLeave[$date1] = 0 - $listWorkCalendar->wca_hours[$i];
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$tmpquery = "WHERE mem.supervisor='$idSession'";
$tmpquery .= " OR EXISTS (SELECT * FROM " . $tableCollab['teams'] . " tea INNER JOIN " . $tableCollab['projects'] . " pro ON pro.id=tea.project WHERE tea.member=mem.id AND pro.owner='$idSession' AND tea.member<>'$idSession')";
$listFollowing = new request();
$listFollowing->openMembers($tmpquery);
$comptListFollowing = count($listFollowing->mem_id);
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);
    $listWeekday[$daynumber] = date("j", (int)$sdate1);
    $listDate[$date1] = $daynumber;

    if ($datel == "") {
        if (date("Ym", (int)$sdate1) == $monthTS) {
            $datel = $date1;
        }
    }

    if (date("Ym", (int)$sdate1) == $monthTS) {
        $dateu = $date1;
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
    $daySumList[$daynumber] = 0;
}

$sdatePast = mktime(12, 0, 0, substr($monthTS, 4, 2)-1, 1, substr($monthTS, 0, 4));
$sdateNext = mktime(12, 0, 0, substr($monthTS, 4, 2)+1, 1, substr($monthTS, 0, 4));
$weekdayPast = date("w", $sdatePast);
$weekdayNext = date("w", $sdateNext);

if ($weekdayPast > 0) {
    $an1 = date("Y", $sdatePast);
    $mois1 = date("m", $sdatePast);
    $jour1 = date("d", $sdatePast);
    $sdatePast = mktime(12,0,0,$mois1,$jour1+7-$weekdayPast,$an1);
}

if ($weekdayNext > 0) {
    $an1 = date("Y", $sdateNext);
    $mois1 = date("m", $sdateNext);
    $jour1 = date("d", $sdateNext);
    $sdateNext = mktime(12,0,0,$mois1,$jour1+7-$weekdayNext,$an1);
}

$monthPast = date("Ym", $sdatePast);
$monthNext = date("Ym", $sdateNext);

if ($typeTimesheet == 'edit') {
    $time1 = mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4));
    $weekday1 = date("w", $time1);
    $time1 = mktime(12, 0, 0, substr($monthTS, 4, 2), 1-$weekday1, substr($monthTS, 0, 4));

    while ($time1 < $sdateNext) {
        $listSdate[] = $time1;
        $an1 = date("Y", $time1);
        $mois1 = date("m", $time1);
        $jour1 = date("d", $time1);
        $time1 = mktime(12,0,0,$mois1,$jour1+7,$an1);
    }

    if ($id != '') {
        $owner = $id;
    } else if ($owner == '') {
        $owner = $idSession;
    }

    // Overtime hours (Daily)
    $tmpquery = "WHERE wkh.owner='$owner' AND wkh.date LIKE '" . substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2) . "%'";
    $listWorkHours = new request();
    $listWorkHours->openWorkHours($tmpquery);
    $comptListWorkHours = count($listWorkHours->wkh_id);

    for ($i=0; $i<$comptListWorkHours; $i++) {
        $listOvertime[$listWorkHours->wkh_date[$i]] += $listWorkHours->wkh_hours[$i];

        if ($listWorkHours->wkh_work[$i] == LV_ANNUAL || $listWorkHours->wkh_work[$i] == LV_SICK || $listWorkHours->wkh_work[$i] == LV_ABSENCE || $listWorkHours->wkh_work[$i] == LV_BANKHOLIDAY || $listWorkHours->wkh_work[$i] == LV_MOURNING || $listWorkHours->wkh_work[$i] == LV_HONEYMOON || $listWorkHours->wkh_work[$i] == LV_MATERNITY) {
            $listOverLeave[$listWorkHours->wkh_date[$i]] += $listWorkHours->wkh_hours[$i];
        }
    }

    $tmpquery = "WHERE tim.owner='$owner' AND tim.date LIKE '" . substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2) . "%'";
    $listTaskTime = new request();
    $listTaskTime->openTaskTime($tmpquery);
    $comptListTaskTime = count($listTaskTime->tim_id);

    for ($i=0; $i<$comptListTaskTime; $i++) {
        $listOvertime[$listTaskTime->tim_date[$i]] += $listTaskTime->tim_hours[$i];
    }

    $tmpquery = "WHERE mti.owner='$owner' AND mti.date LIKE '" . substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2) . "%'";
    $listMeetingTime = new request();
    $listMeetingTime->openMeetingTime($tmpquery);
    $comptListMeetingTime = count($listMeetingTime->mti_id);

    for ($i=0; $i<$comptListMeetingTime; $i++) {
        $listOvertime[$listMeetingTime->mti_date[$i]] += $listMeetingTime->mti_hours[$i];
    }

    $overtimeHoursM = 0;
    $sdate1 = mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4));

    while (date('Ym', $sdate1) == $monthTS) {
        $date1 = date('Y-m-d', $sdate1);
        $listOvertime[$date1] -= ($listOverLeave[$date1]>0)?$listOverLeave[$date1]:0;

        if ($listOvertime[$date1] < 0) {
            $listOvertime[$date1] = 0;
        }

        $overtimeHoursM += $listOvertime[$date1];
        list($an1, $mois1, $jour1) = split('-', $date1, 3);
        $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
    }

    // Actual hours & Billable hours & Overtime hours (Weekly)
    $actualHours = 0;
    $billableHours = 0;
    $overtimeHours = 0;
    $sdate1 = $sdate;

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $date1 = date('Y-m-d', $sdate1);

        if (date("Ym", (int)$sdate1) == $monthTS) {
            $overtimeHours += $listOvertime[$date1];
        }

        list($an1, $mois1, $jour1) = split('-', $date1, 3);
        $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
    }

    $comptListTimeSheet = 0;
    $tmpquery = "WHERE wkh.owner='$owner' AND wkh.date>='$datel' AND wkh.date<='$dateu' ORDER BY wkh.project, wkh.work, wkh.date";
    $listWorkHours = new request();
    $listWorkHours->openWorkHours($tmpquery);
    $comptListWorkHours = count($listWorkHours->wkh_id);

    for ($i=0; $i<$comptListWorkHours; $i++) {
        $actualHours += $listWorkHours->wkh_hours[$i];

        if ($listWorkHours->wkh_billing[$i] == BF_YES) {
            $billableHours += $listWorkHours->wkh_hours[$i];
        }

        for ($j=0; $j<$comptListTimeSheet; $j++) {
            if ($listTimeSheet->project[$j] == $listWorkHours->wkh_project[$i] && $listTimeSheet->work[$j] == $listWorkHours->wkh_work[$i] && $listTimeSheet->comments[$j] == $listWorkHours->wkh_comments[$i] && $listTimeSheet->service[$j] == $listWorkHours->wkh_service[$i]) {
                break;
            }
        }

        if ($j == $comptListTimeSheet) {
            $listTimeSheet->worktype[$j] = WT_NONSPECIFIC_TASK;
            $listTimeSheet->id[$j] = WT_NONSPECIFIC_TASK . ":" . $listWorkHours->wkh_id[$i];
            $listTimeSheet->project[$j] = $listWorkHours->wkh_project[$i];
            $listTimeSheet->work[$j] = $listWorkHours->wkh_work[$i];
            $listTimeSheet->comments[$j] = $listWorkHours->wkh_comments[$i];
            $listTimeSheet->service[$j] = $listWorkHours->wkh_service[$i];
            $listTimeSheet->pro_name[$j] = $listWorkHours->wkh_pro_name[$i];

            for ($daynumber=0; $daynumber<7; $daynumber++) {
                $listTimeSheet->hours[$j][$daynumber] = 0;
            }

            $listTimeSheet->billing[$j] = $listWorkHours->wkh_billing[$i];
            $comptListTimeSheet++;
        }

        $listTimeSheet->hours[$j][$listDate[$listWorkHours->wkh_date[$i]]] += $listWorkHours->wkh_hours[$i];
        $daySumList[$listDate[$listWorkHours->wkh_date[$i]]] += $listWorkHours->wkh_hours[$i];
    }

    $comptListTimeSheetWorkType = $comptListTimeSheet;
    $tmpquery = "WHERE tim.owner='$owner' AND tim.date>='$datel' AND tim.date<='$dateu' ORDER BY tim.project, tim.task, tim.date";
    $listTaskTime = new request();
    $listTaskTime->openTaskTime($tmpquery);
    $comptListTaskTime = count($listTaskTime->tim_id);

    for ($i=0; $i<$comptListTaskTime; $i++) {
        $actualHours += $listTaskTime->tim_hours[$i];

        if ($listTaskTime->tim_billing[$i] == BF_YES) {
            $billableHours += $listTaskTime->tim_hours[$i];
        }

        for ($j=$comptListTimeSheetWorkType; $j<$comptListTimeSheet; $j++) {
            if ($listTimeSheet->project[$j] == $listTaskTime->tim_project[$i] && $listTimeSheet->task[$j] == $listTaskTime->tim_task[$i] && $listTimeSheet->comments[$j] == $listTaskTime->tim_comments[$i] && $listTimeSheet->billing[$j] == $listTaskTime->tim_billing[$i]) {
                break;
            }
        }

        if ($j == $comptListTimeSheet) {
            $listTimeSheet->worktype[$j] = WT_SPECIFIC_TASK;
            $listTimeSheet->id[$j] = WT_SPECIFIC_TASK . ":" . $listTaskTime->tim_id[$i];
            $listTimeSheet->project[$j] = $listTaskTime->tim_project[$i];
            $listTimeSheet->task[$j] = $listTaskTime->tim_task[$i];
            $listTimeSheet->comments[$j] = $listTaskTime->tim_comments[$i];
            $listTimeSheet->service[$j] = $listTaskTime->tim_task_service[$i];
            $listTimeSheet->pro_name[$j] = $listTaskTime->tim_pro_name[$i];
            $listTimeSheet->task_name[$j] = $listTaskTime->tim_task_name[$i];

            for ($daynumber=0; $daynumber<7; $daynumber++) {
                $listTimeSheet->hours[$j][$daynumber] = 0;
            }

            $listTimeSheet->billing[$j] = $listTaskTime->tim_billing[$i];
            $comptListTimeSheet++;
        }

        $listTimeSheet->hours[$j][$listDate[$listTaskTime->tim_date[$i]]] += $listTaskTime->tim_hours[$i];
        $daySumList[$listDate[$listTaskTime->tim_date[$i]]] += $listTaskTime->tim_hours[$i];
    }

    $comptListTimeSheetWorkType = $comptListTimeSheet;
    $tmpquery = "WHERE mti.owner='$owner' AND mti.date>='$datel' AND mti.date<='$dateu' ORDER BY mti.project, mti.meeting, mti.date";
    $listMeetingTime = new request();
    $listMeetingTime->openMeetingTime($tmpquery);
    $comptListMeetingTime = count($listMeetingTime->mti_id);

    for ($i=0; $i<$comptListMeetingTime; $i++) {
        $actualHours += $listMeetingTime->mti_hours[$i];

        for ($j=$comptListTimeSheetWorkType; $j<$comptListTimeSheet; $j++) {
            if ($listTimeSheet->project[$j] == $listMeetingTime->mti_project[$i] && $listTimeSheet->meeting[$j] == $listMeetingTime->mti_meeting[$i] && $listTimeSheet->comments[$j] == $listMeetingTime->mti_comments[$i]) {
                break;
            }
        }

        if ($j == $comptListTimeSheet) {
            $listTimeSheet->worktype[$j] = WT_SPECIFIC_MEETING;
            $listTimeSheet->id[$j] = WT_SPECIFIC_MEETING . ":" . $listMeetingTime->mti_id[$i];
            $listTimeSheet->project[$j] = $listMeetingTime->mti_project[$i];
            $listTimeSheet->meeting[$j] = $listMeetingTime->mti_meeting[$i];
            $listTimeSheet->comments[$j] = $listMeetingTime->mti_comments[$i];
            $listTimeSheet->service[$j] = '0';
            $listTimeSheet->pro_name[$j] = $listMeetingTime->mti_pro_name[$i];
            $listTimeSheet->meeting_name[$j] = $listMeetingTime->mti_meeting_name[$i];

            for ($daynumber=0; $daynumber<7; $daynumber++) {
                $listTimeSheet->hours[$j][$daynumber] = 0;
            }

            $listTimeSheet->billing[$j] = BF_NO;
            $comptListTimeSheet++;
        }

        $listTimeSheet->hours[$j][$listDate[$listMeetingTime->mti_date[$i]]] += $listMeetingTime->mti_hours[$i];
        $daySumList[$listDate[$listMeetingTime->mti_date[$i]]] += $listMeetingTime->mti_hours[$i];
    }

    // Actual hours & Billable hours (Monthly)
    $memberTimeOfMonthDetail = new request();
    $actualHoursOfMonth = $memberTimeOfMonthDetail->getMemberTimeOfMonth($owner, substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2));
    $billableHoursOfMonth = $memberTimeOfMonthDetail->getMemberBillableTimeOfMonth($owner, substr($monthTS, 0, 4) . "-" . substr($monthTS, 4, 2));

    // Timesheet detail
    $tmpquery = "WHERE tim.owner='$owner' AND tim.month='$monthTS'";
    $timesheetDetail = new request();
    $timesheetDetail->openTimesheet($tmpquery);
    $comptTimesheetDetail = count($timesheetDetail->tim_owner);

    if ($comptTimesheetDetail == 0) {
        $tmpquery = "INSERT INTO " . $tableCollab["timesheet"] . "(owner, month, standard_hours, actual_hours, overtime_hours, billable_hours, status, comments, created) VALUES ('$owner', '$monthTS', '$standardHours', '$actualHoursOfMonth', '$overtimeHoursM', '$billableHoursOfMonth', '" . TS_OPEN . "', '', '$dateheure')";
        connectSql("$tmpquery");

        $tmpquery = "WHERE tim.owner='$owner' AND tim.month='$monthTS'";
        $timesheetDetail = new request();
        $timesheetDetail->openTimesheet($tmpquery);
        $comptTimesheetDetail = count($timesheetDetail->tim_owner);
    } else if ($timesheetDetail->tim_standard_hours[0] != $standardHours || $timesheetDetail->tim_overtime_hours[0] != $overtimeHoursM || $timesheetDetail->tim_actual_hours[0] != $actualHoursOfMonth || $timesheetDetail->tim_billable_hours[0] != $billableHoursOfMonth) {
        $tmpquery = "UPDATE " . $tableCollab["timesheet"] . " SET standard_hours='$standardHours',actual_hours='$actualHoursOfMonth',overtime_hours='$overtimeHoursM',billable_hours='$billableHoursOfMonth',modified='$dateheure' WHERE owner='$owner' AND month='$monthTS'";
        connectSql("$tmpquery");

        $timesheetDetail->tim_standard_hours[0] = $standardHours;
        $timesheetDetail->tim_actual_hours[0] = $actualHoursOfMonth;
        $timesheetDetail->tim_overtime_hours[0] = $overtimeHoursM;
        $timesheetDetail->tim_billable_hours[0] = $billableHoursOfMonth;
    }

    if ($timesheetDetail->tim_status[0] == TS_OPEN || $timesheetDetail->tim_status[0] == TS_REJECTED) {
        $editEnabled = true;
    } else {
        $editEnabled = false;
    }

    if ($owner != $idSession) {
        $editEnabled = false;
    }

    $daySum = '';
    $tmpquery = "WHERE wca.date>='$datel' AND wca.date<='$dateu'";
    $listWorkCalendar = new request();
    $listWorkCalendar->openWorkCalendar($tmpquery);
    $comptListWorkCalendar = count($listWorkCalendar->wca_id);
    $sdate1 = $sdate;
    $standardHours = 0;

    for ($daynumber=0; $daynumber<7; $daynumber++) {
        $date1 = date('Y-m-d', (int)$sdate1);

        if ($date1>=$datel && $date1<=$dateu) {
            for ($i=0; $i<$comptListWorkCalendar; $i++) {
                if ($listWorkCalendar->wca_date[$i] == $date1)
                    break;
            }
            if ($i == $comptListWorkCalendar) {
                if ($daynumber > 0 && $daynumber < 6) {
                    $standardHours += 8;
                }
            } else {
                $standardHours += $listWorkCalendar->wca_hours[$i];
            }
        }

        list($an1, $mois1, $jour1) = split('-', $date1, 3);
        $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
        $daySum .= "&day$daynumber=" . $daySumList[$daynumber];
    }
} else { // $typeTimesheet == 'manage'
    if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
        header('Location: ../general/permissiondenied.php');
        exit;
    }

    $tmpquery = "WHERE mem.id NOT IN ('1','2') AND mem.profil NOT IN ('" . PF_ADMINISTRATOR . "','" . PF_CLIENT_USER . "','" . PF_DISABLED . "')";
    $listMembers = new request();
    $listMembers->openMembers($tmpquery);
    $comptListMembers = count($listMembers->mem_id);

    for ($i=0; $i<$comptListMembers; $i++) {
        $tmpquery = "WHERE tim.owner='" . $listMembers->mem_id[$i] . "' AND tim.month='$monthTS'";
        $timesheetDetail = new request();
        $timesheetDetail->openTimesheet($tmpquery);
        $comptTimesheetDetail = count($timesheetDetail->tim_owner);

        if ($comptTimesheetDetail == 0) {
            $tmpquery = "INSERT INTO " . $tableCollab["timesheet"] . "(owner, month, standard_hours, status, comments, created) VALUES ('" . $listMembers->mem_id[$i] . "', '$monthTS', '$standardHours', '" . TS_OPEN . "', '', '$dateheure')";
            connectSql("$tmpquery");
        } else if ($timesheetDetail->tim_standard_hours[0] != $standardHours) {
            $tmpquery = "UPDATE " . $tableCollab["timesheet"] . " SET standard_hours='$standardHours',modified='$dateheure' WHERE owner='" . $listMembers->mem_id[$i] . "' AND month='$monthTS'";
            connectSql("$tmpquery");
        }
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../timesheet/viewtimesheet.php', lang_strings('timesheet'), in));

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs("$monthName " . substr($monthTS, 0, 4));
} else {
    if ($typeTimesheet == 'edit') {
        $blockPage->itemBreadcrumbs("$monthName " . substr($monthTS, 0, 4) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
    } else { // $typeTimesheet == 'manage'
        $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . lang_strings('timesheet_management'));
    }
}

$blockPage->closeBreadcrumbs();

if ($typeTimesheet == 'edit') {
    $pLinks = "";

    foreach ($listSdate as $sdate1) {
        if ($pLinks != "") {
            $pLinks .= " - ";
        }

        if (date('Ym', $sdate1) == $monthTS) {
            $dateFrom = date('Y-m-d', $sdate1);
        } else {
            $dateFrom = substr($monthTS, 0, 4) . '-' . substr($monthTS, 4, 2) . '-01';
        }

        if ($sdate1 == $sdate) {
            $pLinks .= $dateFrom;
        } else {
            $pLinks .= $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;owner=$owner&amp;monthTS=$monthTS&amp;sdate=$sdate1", $dateFrom, in);
        }
    }
} else {
    $pLinks = $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;owner=$owner&amp;monthTS=$monthThis&amp;sdate=$sdateThis", lang_strings("today"), in);
}

$pLinks = $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=$typeTimesheet&amp;owner=$owner&amp;monthTS=$monthPast&amp;sdate=$sdatePast", lang_strings("previous"), in) . " | " . $pLinks . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=$typeTimesheet&amp;owner=$owner&amp;monthTS=$monthNext&amp;sdate=$sdateNext", lang_strings("next"), in);
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($pLinks);
$blockPage->closeBreadcrumbs();
$blockPage->bornesNumber = '2';

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

if ($typeTimesheet == 'edit') {
    $label0 = $listWeekday[0] . '<br>' . $dayShortNameArray[0];
    $label1 = $listWeekday[1] . '<br>' . $dayShortNameArray[1];
    $label2 = $listWeekday[2] . '<br>' . $dayShortNameArray[2];
    $label3 = $listWeekday[3] . '<br>' . $dayShortNameArray[3];
    $label4 = $listWeekday[4] . '<br>' . $dayShortNameArray[4];
    $label5 = $listWeekday[5] . '<br>' . $dayShortNameArray[5];
    $label6 = $listWeekday[6] . '<br>' . $dayShortNameArray[6];

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->openTwoPages("twopagesLess");
    }

    $block4 = new block();
    $block4->heading(lang_strings('timesheet') . " : $monthName " . substr($monthTS, 0, 4));
    $block4->form = "ts4";
    $block4->openForm("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=workhour#" . $block4->form . "Anchor");

    if ($editEnabled && $timesheetDetail->tim_actual_hours[0] >= $timesheetDetail->tim_standard_hours[0]) {
        $block4->openPaletteIcon();
        $block4->paletteIcon(13, 'submit_timesheet', lang_strings('submit_timesheet'));
        $block4->closePaletteIcon();
    }

    $statusText = $statusTimesheet[$timesheetDetail->tim_status[0]];
    $block4->openContent();
    $block4->contentTitle(lang_strings('details'));
    $block4->contentRow(lang_strings('owner'), $blockPage->buildLink("../users/viewuser.php?id=" . $owner, $timesheetDetail->tim_mem_login[0] . "&nbsp;/&nbsp;" . $timesheetDetail->tim_mem_name[0], in));
    $block4->contentRow(lang_strings('status'), $statusText);
    $block4->contentRow(lang_strings('standard'), $timesheetDetail->tim_standard_hours[0] . " " . lang_strings('hours'));
    $block4->contentRow(lang_strings('actual'), $timesheetDetail->tim_actual_hours[0] . " " . lang_strings('hours'));
    $block4->contentRow(lang_strings('overtime'), $timesheetDetail->tim_overtime_hours[0] . " " . lang_strings('hours'));
    $block4->contentRow(lang_strings('billable'), $timesheetDetail->tim_billable_hours[0] . " " . lang_strings('hours'));
    $block4->contentTitle(lang_strings('approval_history'));
    $tmpquery = "WHERE act.owner='$owner' AND act.action='" . AT_TIMESHEET . "' AND act.action_data LIKE 'month=$monthTS,%'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);
    $comptActionDetail = count($actionDetail->act_id);
    $noItems = 1;

    if ($comptActionDetail > 0) {
        $actionData = split(",", $actionDetail->act_action_data[0]);
        $comptListHist = 0;

        foreach($actionData as $dataEntry) {
            $pos = strpos($dataEntry, "=");
            $nam = substr($dataEntry, 0, $pos);
            $val = substr($dataEntry, $pos+1);

            if ($nam == "appraiser") {
                $appraiserH[$comptListHist] = $val;
            } else if ($nam == "comments") {
                $commentsH[$comptListHist] = nl2br(html_entity_decode($val, ENT_QUOTES, $htmlEntityCharset));
            } else if ($nam == "modified") {
                $modifiedH[$comptListHist] = $val;
            } else if ($nam == "status") {
                $statusH[$comptListHist] = $val;
                $comptListHist++;
                $noItems = 0;
            }
        }

        if ($actionDetail->act_status[0] == ST_OPEN) {
            $block4->contentRow($statusFile[FS_NEEDS_APPROVAL], $actionDetail->act_mem2_name[0]);
        }

        for ($j=$comptListHist-1; $j>=0; $j--) {
            $tmpquery = "WHERE mem.id='" . $appraiserH[$j] . "'";
            $memberDetailH = new request();
            $memberDetailH->openMembers($tmpquery);
            $rightVal = $memberDetailH->mem_name[0] . "&nbsp;<i>" . $modifiedH[$j] . "</i>";

            if ($commentsH[$j] != "") {
                $rightVal .= "<br>" . $commentsH[$j];
            }

            $block4->contentRow($statusTimesheet[$statusH[$j]], $rightVal);
        }
    }

    if ($noItems == 1) {
        $block4->contentRow("", lang_strings('no_items'));
    }

    $block4->closeContent();

    if ($editEnabled && $timesheetDetail->tim_actual_hours[0] >= $timesheetDetail->tim_standard_hours[0]) {
        $block4->openPaletteScript();
        $block4->paletteScript(13, 'submit_timesheet', "../timesheet/submittimesheet.php?monthTS=$monthTS&sdate=$sdate", 'true,false,false', lang_strings('submit_timesheet'));
        $block4->closePaletteScript("", "");
    }

    $block4->closeForm();

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->turnPage();
    }

    $block3 = new block();
    $block3->form = "ts3";
    $block3->openForm("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=workhour#" . $block3->form . "Anchor");
    $block3->headingToggle(lang_strings('logtime'));
    $block3->openPaletteIcon();

    if ($editEnabled) {
        $block3->paletteIcon(0, "add_work_hours", lang_strings("add_work_hours"));
        $block3->paletteIcon(2, "add_task_time", lang_strings("add_task_time"));
        $block3->paletteIcon(3, "add_meeting_time", lang_strings("add_meeting_time"));
        $block3->paletteIcon(1, "remove", lang_strings("delete"));
        $block3->paletteIcon(7, "edit", lang_strings("edit"));
    }

    $block3->paletteIcon(6, "info", lang_strings("view"));
    $block3->closePaletteIcon();
    $block3->borne = $blockPage->returnBorne('1');
    $block3->recordsTotal = $comptListTimeSheet;

    if ($comptListTimeSheet != "0") {
        for ($daynumber=0; $daynumber<8; $daynumber++) {
            $subtotalList[$daynumber] = 0;
        }

        $block3->openResults();
        $block3->labels($labels = array(0 => "<br>" . lang_strings('project'), 1 => "<br>" . lang_strings('item'), 2 => "<br>" . lang_strings('billing'), 3 => $label0, 4 => $label1, 5 => $label2, 6 => $label3, 7 => $label4, 8 => $label5, 9 => $label6, 10 => "<br>" . lang_strings('ru_subtotal')), 'false', 'false');

        for ($i=0; $i<$comptListTimeSheet; $i++) {
            if ($listTimeSheet->worktype[$i] == WT_NONSPECIFIC_TASK) {
            // nonspecific project task & leave work hours
                $taskSubtotal = 0;
                $block3->openRow();
                $block3->checkboxRow($listTimeSheet->id[$i]);
                $block3->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTimeSheet->project[$i], $listTimeSheet->pro_name[$i], in), 18);

                if ($listTimeSheet->comments[$i] == '') {
                    $itemCell = $listTimeSheet->work[$i] . " - " . $hourCodeArray[$listTimeSheet->work[$i]];
                } else {
                    $itemCell = "<acronym title=\"" . convert_html2txt(html_entity_decode($listTimeSheet->comments[$i], ENT_QUOTES, $htmlEntityCharset)) . "\">" . $listTimeSheet->work[$i] . " - " . $hourCodeArray[$listTimeSheet->work[$i]] . "</acronym>";
                }

                $block3->cellRow($itemCell, 32);
                $block3->cellRow($billingFlag[$listTimeSheet->billing[$i]], 8);
                $sdate1 = $sdate;

                for ($daynumber=0; $daynumber<7; $daynumber++) {
                    $date1 = date('Y-m-d', $sdate1);
                    $taskSubtotal += $listTimeSheet->hours[$i][$daynumber];
                    $subtotalList[$daynumber] += $listTimeSheet->hours[$i][$daynumber];

                    if ($date1 >= $datel && $date1 <= $dateu)
                        $block3->cellRow($listTimeSheet->hours[$i][$daynumber], 4);
                    else
                        $block3->cellRow('--', 4);

                    list($an1, $mois1, $jour1) = split('-', $date1, 3);
                    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
                }

                $subtotalList[$daynumber] += $taskSubtotal;
                $block3->cellRow($taskSubtotal, 4);
                $block3->closeRow();
            } else if ($listTimeSheet->worktype[$i] == WT_SPECIFIC_TASK) {
            // specific project tasks time
                $taskSubtotal = 0;
                $block3->openRow();
                $block3->checkboxRow($listTimeSheet->id[$i]);
                $block3->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTimeSheet->project[$i], $listTimeSheet->pro_name[$i], in), 18);

                if ($listTimeSheet->comments[$i] == '') {
                    $itemCell = $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTimeSheet->task[$i], $listTimeSheet->task_name[$i], in);
                } else {
                    $itemCell = "<acronym title=\"" . convert_html2txt(html_entity_decode($listTimeSheet->comments[$i], ENT_QUOTES, $htmlEntityCharset)) . "\">" . $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTimeSheet->task[$i], $listTimeSheet->task_name[$i], in) . "</acronym>";
                }

                $block3->cellRow($itemCell, 32);
                $block3->cellRow($billingFlag[$listTimeSheet->billing[$i]], 8);
                $sdate1 = $sdate;

                for ($daynumber=0; $daynumber<7; $daynumber++) {
                    $date1 = date('Y-m-d', $sdate1);
                    $taskSubtotal += $listTimeSheet->hours[$i][$daynumber];
                    $subtotalList[$daynumber] += $listTimeSheet->hours[$i][$daynumber];

                    if ($date1 >= $datel && $date1 <= $dateu)
                        $block3->cellRow($listTimeSheet->hours[$i][$daynumber], 4);
                    else
                        $block3->cellRow('--', 4);

                    list($an1, $mois1, $jour1) = split('-', $date1, 3);
                    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
                }

                $subtotalList[$daynumber] += $taskSubtotal;
                $block3->cellRow($taskSubtotal, 4);
                $block3->closeRow();
            } else {
            // specific project meetings time
                $taskSubtotal = 0;
                $block3->openRow();
                $block3->checkboxRow($listTimeSheet->id[$i]);
                $block3->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTimeSheet->project[$i], $listTimeSheet->pro_name[$i], in), 18);

                if ($listTimeSheet->comments[$i] == '') {
                    $itemCell = $blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listTimeSheet->meeting[$i], $listTimeSheet->meeting_name[$i], in);
                } else {
                    $itemCell = "<acronym title=\"" . convert_html2txt(html_entity_decode($listTimeSheet->comments[$i], ENT_QUOTES, $htmlEntityCharset)) . "\">" . $blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listTimeSheet->meeting[$i], $listTimeSheet->meeting_name[$i], in) . "</acronym>";
                }

                $block3->cellRow($itemCell, 32);
                $block3->cellRow($billingFlag[BF_NO], 8);
                $sdate1 = $sdate;

                for ($daynumber=0; $daynumber<7; $daynumber++) {
                    $date1 = date('Y-m-d', $sdate1);
                    $taskSubtotal += $listTimeSheet->hours[$i][$daynumber];
                    $subtotalList[$daynumber] += $listTimeSheet->hours[$i][$daynumber];

                    if ($date1 >= $datel && $date1 <= $dateu)
                        $block3->cellRow($listTimeSheet->hours[$i][$daynumber], 4);
                    else
                        $block3->cellRow('--', 4);

                    list($an1, $mois1, $jour1) = split('-', $date1, 3);
                    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
                }

                $subtotalList[$daynumber] += $taskSubtotal;
                $block3->cellRow($taskSubtotal, 4);
                $block3->closeRow();
            }
        }

        $block3->openRow();
        $block3->checkboxRow('', 'false');
        $block3->cellRow('', 25);
        $block3->cellRow('', 25);
        $block3->cellRow('', 8);
        $sdate1 = $sdate;

        for ($daynumber=0; $daynumber<7; $daynumber++) {
            $date1 = date('Y-m-d', $sdate1);

            if ($date1 >= $datel && $date1 <= $dateu) {
                $block3->cellRow($subtotalList[$daynumber], 4);
            } else {
                $block3->cellRow('--', 4);
            }

            list($an1, $mois1, $jour1) = split('-', $date1, 3);
            $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
        }

        $block3->cellRow($subtotalList[$daynumber], 4);
        $block3->closeRow();
        $block3->closeResults();
    } else {
        $block3->noresults();
    }

    $block3->closeToggle();
    $block3->closeFormResults();
    $block3->openPaletteScript();

    if ($editEnabled) {
        $block3->paletteScript(0, "add_work_hours", "../timesheet/editworkhours.php?monthTS=$monthTS&sdate=$sdate$daySum&owner=$owner", "true,false,false", lang_strings("add_work_hours"));
        $block3->paletteScript(2, "add_task_time", "../timesheet/edittasktime.php?monthTS=$monthTS&sdate=$sdate$daySum&owner=$owner", "true,false,false", lang_strings("add_task_time"));
        $block3->paletteScript(3, "add_meeting_time", "../timesheet/editmeetingtime.php?monthTS=$monthTS&sdate=$sdate$daySum&owner=$owner", "true,false,false", lang_strings("add_meeting_time"));
        $block3->paletteScript(1, "remove", "../timesheet/viewtimesheet.php?action=chooseDelete&monthTS=$monthTS&sdate=$sdate", "false,true,true", lang_strings("delete"));
        $block3->paletteScript(7, "edit", "../timesheet/viewtimesheet.php?action=chooseEdit&monthTS=$monthTS&sdate=$sdate$daySum", "false,true,false", lang_strings("edit"));
    }

    $block3->paletteScript(6, "info", "../timesheet/viewtimesheet.php?action=chooseView&monthTS=$monthTS&sdate=$sdate$daySum&editEnabled=$editEnabled&owner=$owner", "false,true,false", lang_strings("view"));
    $block3->closePaletteScript($block3->recordsTotal, $listTimeSheet->id);
    $block3->closeForm();

    // leave requests
    $tmpquery = "WHERE lea.owner='$owner' AND lea.sdate LIKE '$year%' ORDER BY lea.sdate DESC";
    $listLeaveRequests = new request();
    $listLeaveRequests->openLeaveRequests($tmpquery);
    $comptListLeaveRequests = count($listLeaveRequests->lea_id);

    $tmpquery = "WHERE mem.id='$owner'";
    $memberDetailL = new request();
    $memberDetailL->openMembers($tmpquery);

    $block5 = new block();
    $block5->form = "leaV";
    $block5->openForm("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=leaverequest#" . $block5->form . "Anchor");
    $block5->headingToggle(lang_strings('leave_requests'));
    $block5->openPaletteIcon();

    if ($editEnabled) {
        $block5->paletteIcon(0, "add", lang_strings("add"));
        $block5->paletteIcon(1, "remove", lang_strings("delete"));
        $block5->paletteIcon(7, "edit", lang_strings("edit"));
    }

    $block5->paletteIcon(3, "info", lang_strings("view"));
    $block5->closePaletteIcon();
    $block5->borne = $blockPage->returnBorne('2');
    $block5->recordsTotal = $comptListLeaveRequests;

    if ($comptListLeaveRequests != "0") {
        $block5->openResults();
        $block5->labels($labels = array(0 => lang_strings('type'), 1 => lang_strings('time_start'), 2 => lang_strings('time_end'), 3 => lang_strings('hours'), 4 => lang_strings('status')), 'false', 'false');

        for ($i=0; $i<$comptListLeaveRequests; $i++) {
            $lea_sd = substr($listLeaveRequests->lea_sdate[$i], 0, 10);
            $lea_st = $timestampArray[substr($listLeaveRequests->lea_sdate[$i], 10, 5)];
            $lea_ed = substr($listLeaveRequests->lea_edate[$i], 0, 10);
            $lea_et = $timestampArray[substr($listLeaveRequests->lea_edate[$i], 10, 5)];
            $block5->openRow();
            $block5->checkboxRow($listLeaveRequests->lea_id[$i]);
            $block5->cellRow($hourCodeArray[$listLeaveRequests->lea_type[$i]]);
            $block5->cellRow("$lea_sd&nbsp;$lea_st");
            $block5->cellRow("$lea_ed&nbsp;$lea_et");
            $block5->cellRow($listLeaveRequests->lea_hours[$i]);
            $block5->cellRow($statusTimesheet[$listLeaveRequests->lea_status[$i]]);
            $block5->closeRow();
        }

        $block5->closeResults();
    } else {
        $block5->noresults();
    }

    $block5->closeToggle();
    $block5->closeFormResults();
    $block5->openPaletteScript();

    if ($editEnabled) {
        $block5->paletteScript(0, "add", "../leaves/editleaverequest.php?monthTS=$monthTS&sdate=$sdate", "true,false,false", lang_strings("add"));
        $block5->paletteScript(1, "remove", "../leaves/deleteleaverequest.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("delete"));
        $block5->paletteScript(7, "edit", "../leaves/editleaverequest.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("edit"));
    }

    $block5->paletteScript(3, "info", "../leaves/viewleaverequest.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("view"));
    $block5->closePaletteScript("", "");
    $block5->closeForm();

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->closeTwoPages();
    }
} else { // $typeTimesheet == 'manage'
    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->openTwoPages();
    }

    $block3 = new block();
    $block3->form = "ts3";
    $block3->openForm("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=manage#" . $block3->form . "Anchor");
    $block3->headingToggle(lang_strings('timesheet_management') . " : $monthName " . substr($monthTS, 0, 4));
    $block3->openPaletteIcon();
    $block3->paletteIcon(1, "approve_timesheet", lang_strings("approve_timesheet"));
    $block3->paletteIcon(2, "reject_timesheet", lang_strings("reject_timesheet"));
    $block3->paletteIcon(3, "info", lang_strings("view"));
    $block3->paletteIcon(4, "email", lang_strings("email"));
    $block3->closePaletteIcon();

    $block3->sorting("timesheets", $sortingUser->sor_timesheets[0], "tim.status ASC", $sortingFields = array(0 => "mem.name", 1 => "tim.standard_hours", 2 => "tim.actual_hours", 3 => "tim.billable_hours", 4 => "tim.status"));

    $listOwner = "";
    if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
        for ($i=0; $i<$comptListMembers; $i++) {
            if ($listOwner != "") $listOwner .= ",";
            $listOwner .= "'" . $listMembers->mem_id[$i] . "'";
        }
    } else {
        for ($i=0; $i<$comptListFollowing; $i++) {
            if ($listOwner != "") $listOwner .= ",";
            $listOwner .= "'" . $listFollowing->mem_id[$i] . "'";
        }
    }

    if ($listOwner=="")
        $listOwner = "''";

    $tmpquery = "WHERE tim.owner IN ($listOwner) AND tim.month='$monthTS' ORDER BY $block3->sortingValue";
    $listTimesheet = new request();
    $listTimesheet->openTimesheet($tmpquery);
    $comptListTimesheet = count($listTimesheet->tim_owner);

    $block3->recordsTotal = $comptListTimesheet;
    if ($comptListTimesheet != "0") {
        $block3->openResults();
        $block3->labels($labels = array(0 => lang_strings('user_name'), 1 => lang_strings('standard'), 2 => lang_strings('actual'), 3 => lang_strings('overtime'), 4 => lang_strings('billable'), 5 => lang_strings('status')), 'true');

        for ($i=0; $i<$comptListTimesheet; $i++) {
            $block3->openRow();
            $block3->checkboxRow($listTimesheet->tim_owner[$i]);
            $block3->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listTimesheet->tim_owner[$i], $listTimesheet->tim_mem_login[$i], in));
            $block3->cellRow($listTimesheet->tim_standard_hours[$i]);
            $block3->cellRow($listTimesheet->tim_actual_hours[$i]);
            $block3->cellRow($listTimesheet->tim_overtime_hours[$i]);
            $block3->cellRow($listTimesheet->tim_billable_hours[$i]);
            $block3->cellRow($statusTimesheet[$listTimesheet->tim_status[$i]]);
            $block3->closeRow();
        }
    
        $block3->closeResults();
    } else {
        $block3->noresults();
    }
    $block3->closeToggle();
    $block3->closeFormResults();
    $block3->openPaletteScript();
    $block3->paletteScript(1, "approve_timesheet", "../timesheet/approvetimesheet.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("approve_timesheet"));
    $block3->paletteScript(2, "reject_timesheet", "../timesheet/rejecttimesheet.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("reject_timesheet"));
    $block3->paletteScript(3, "info", "../timesheet/viewtimesheet.php?typeTimesheet=edit&monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("view"));
    $block3->paletteScript(4, "email", "../users/emailusers.php?", "false,true,true", lang_strings("email"));
    $block3->closePaletteScript($comptListTimesheet, $listTimesheet->tim_owner);
    $block3->closeForm();

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->turnPage();
    }

    $block6 = new block();
    $block6->form = "ts6";
    $block6->openForm("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=leaverequest#" . $block6->form . "Anchor");
    $block6->headingToggle(lang_strings('leave_requests'));
    $block6->openPaletteIcon();
    $block6->paletteIcon(1, "approve_timesheet", lang_strings("approve_leaverequest"));
    $block6->paletteIcon(2, "reject_timesheet", lang_strings("reject_leaverequest"));
    $block6->paletteIcon(3, "info", lang_strings("view"));
    $block6->closePaletteIcon();

    $listOwner = "";
    if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
        for ($i=0; $i<$comptListMembers; $i++) {
            if ($listOwner != "") $listOwner .= ",";
            $listOwner .= "'" . $listMembers->mem_id[$i] . "'";
        }
    } else {
        for ($i=0; $i<$comptListFollowing; $i++) {
            if ($listOwner != "") $listOwner .= ",";
            $listOwner .= "'" . $listFollowing->mem_id[$i] . "'";
        }
    }

    if ($listOwner == "") {
        $comptListLeaveActions = 0;
    } else {
        $tmpquery = "WHERE act.owner IN ($listOwner) AND act.action='" . AT_LEAVE . "' AND act.status='" . ST_OPEN . "'";
        $listLeaveActions = new request();
        $listLeaveActions->openActions($tmpquery);
        $comptListLeaveActions = count($listLeaveActions->act_id);
    }

    $block6->recordsTotal = $comptListLeaveActions;

    if ($comptListLeaveActions != "0") {
        $block6->openResults();
        $block6->labels($labels = array(0 => lang_strings('user_name'), 1 => lang_strings('type'), 2 => lang_strings('time_start'), 3 => lang_strings('time_end'), 4 => lang_strings('hours'), 5 => lang_strings('status')), 'false');

        for ($i=0; $i<$comptListLeaveActions; $i++) {
            $listActionData = split(',', $listLeaveActions->act_action_data[$i]);
            list($nam, $val) = split('=', $listActionData[0]);
            $tmpquery = "WHERE lea.id='$val'";
            $leaveRequestDetail = new request();
            $leaveRequestDetail->openLeaveRequests($tmpquery);
            $block6->openRow();
            $block6->checkboxRow($listLeaveActions->act_id[$i]);
            $block6->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listLeaveActions->act_owner[$i], $listLeaveActions->act_mem_login[$i], in));
            $block6->cellRow($hourCodeArray[$leaveRequestDetail->lea_type[0]]);
            $block6->cellRow(substr($leaveRequestDetail->lea_sdate[0], 0, 10) . " " . $timestampArray[substr($leaveRequestDetail->lea_sdate[0], 10, 5)]);
            $block6->cellRow(substr($leaveRequestDetail->lea_edate[0], 0, 10) . " " . $timestampArray[substr($leaveRequestDetail->lea_edate[0], 10, 5)]);
            $block6->cellRow($leaveRequestDetail->lea_hours[0]);
            $block6->cellRow($statusTimesheet[$leaveRequestDetail->lea_status[0]]);
            $block6->closeRow();
        }
    
        $block6->closeResults();
    } else {
        $block6->noresults();
    }

    $block6->closeToggle();
    $block6->closeFormResults();
    $block6->openPaletteScript();
    $block6->paletteScript(1, "approve_timesheet", "../leaves/approveleave.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("approve_leaverequest"));
    $block6->paletteScript(2, "reject_timesheet", "../leaves/rejectleave.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("reject_leaverequest"));
    $block6->paletteScript(3, "info", "../leaves/viewleaverequest.php?monthTS=$monthTS&sdate=$sdate", "false,true,false", lang_strings("view"));
    $block6->closePaletteScript($comptListLeaveActions, $listLeaveActions->act_id);
    $block6->closeForm();

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->closeTwoPages();
    }
}

$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($pLinks);
$blockPage->closeBreadcrumbs();
require_once("../themes/" . THEME . "/footer.php");

?>
