<?php // $Revision: 1.10.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewworkhours.php,v 1.10.2.1 2007/11/22 07:53:07 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE wkh.id='$id'";
$workHoursDetail = new request();
$workHoursDetail->openWorkHours($tmpquery);

if ($workHoursDetail->wkh_owner[0] != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    $editEnabled = FALSE;
}

$prj = $workHoursDetail->wkh_project[0];
$wk = $workHoursDetail->wkh_work[0];
$comm = nl2br(html_entity_decode($workHoursDetail->wkh_comments[0], ENT_QUOTES, $htmlEntityCharset));
$serv = $workHoursDetail->wkh_service[0];
$wt = floor($wk / 100);
$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = $dateC;
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = $dateC;
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$actualList[0] = $day0;
$actualList[1] = $day1;
$actualList[2] = $day2;
$actualList[3] = $day3;
$actualList[4] = $day4;
$actualList[5] = $day5;
$actualList[6] = $day6;
$tmpquery = "WHERE wca.date>='$datel' AND wca.date<='$dateu'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $logHours[$daynumber] = 0;
    $date1 = date('Y-m-d', $sdate1);

    if ($comptListWorkCalendar == 0) {
        if ($daynumber==0 || $daynumber == 6) {
            $stdHours[$daynumber] = 0;
            $dayType[$daynumber] = DT_WEEKEND;
        } else {
            $stdHours[$daynumber] = 8;
            $dayType[$daynumber] = DT_WORKDAY;
        }

        $dayComments[$daynumber] = "";
    } else {
        $i = array_search($date1, $listWorkCalendar->wca_date);
        $stdHours[$daynumber] = $listWorkCalendar->wca_hours[$i];
        $dayType[$daynumber] = $listWorkCalendar->wca_type[$i];
        $dayComments[$daynumber] = nl2br(html_entity_decode($listWorkCalendar->wca_comments[$i], ENT_QUOTES, $htmlEntityCharset));
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$tmpquery = "WHERE wkh.project='$prj' AND wkh.work='$wk' AND wkh.owner='$owner' AND wkh.date>='$datel' AND wkh.date<='$dateu' and wkh.comments='" . $workHoursDetail->wkh_comments[0] . "' AND wkh.service='$serv'";
$listWorkHours = new request();
$listWorkHours->openWorkHours($tmpquery);
$comptListWorkHours = count($listWorkHours->wkh_id);
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    for ($i=0; $i<$comptListWorkHours; $i++) {
        if ($date1 == $listWorkHours->wkh_date[$i]) {
            $logHours[$daynumber] += $listWorkHours->wkh_hours[$i];
        }
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

$tmpquery = "WHERE mem.supervisor='$idSession'";
$listFollowing = new request();
$listFollowing->openMembers($tmpquery);
$comptListFollowing = count($listFollowing->mem_id);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));

if ($profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

$blockPage->itemBreadcrumbs(lang_strings('view_work_hours'));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msg);
} 

$block1 = new block();
$block1->form = "vwh";
$block1->openForm("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;section=workhour#" . $block1->form . "Anchor");
$block1->heading(lang_strings('view_work_hours'));

if ($editEnabled) {
    $block1->openPaletteIcon();
    $block1->paletteIcon(1, "remove", lang_strings("delete"));
    $block1->paletteIcon(7, "edit", lang_strings("edit"));
    $block1->closePaletteIcon();
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));
$block1->contentRow(lang_strings("hourtype"), $workTypes[$wt]);

if ($prj != 0) {
    $block1->contentRow(lang_strings('project'), $listWorkHours->wkh_pro_name[0]);
}

$block1->contentRow(lang_strings("hourcode"), $wk . " - " . $hourCodeArray[$wk]);

if ($listWorkHours->wkh_service[0] == "0") {
    $servContent = lang_strings('none');
} else {
    $servContent = $listWorkHours->wkh_svc_name_print[0] . ' (' . lang_strings('hourly_rate') . ' $' . $listWorkHours->wkh_svc_hourly_rate[0] . ')';
}

$block1->contentRow(lang_strings('service'), $servContent);
$block1->contentRow(lang_strings('comments'), $comm);
$block1->closeContent();
echo "<table border=0 width=100% cellPadding=5 cellSpacing=0 class=listing>";
echo "<tr><th width=27% class=even>&nbsp;</th>";

for ($daynumber=0; $daynumber<7; $daynumber++) {
    echo "<th width=5% class=calendDays>" . $dayShortNameArray[$daynumber] . "</th>";
}

echo "<th width=38% class=even>&nbsp;</th></tr><tr><td width=27% class=odd>&nbsp;</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);
    $day = date('j', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        $comments = $date1 . " " . convert_html2txt($dayComments[$daynumber]);
        echo "<td width=5% class=\"$classCell\"><acronym title=\"$comments\">$day</acronym></td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('standard') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $stdHours[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('actual') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $actualList[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr><tr><td width=27% class=odd align=right>" . lang_strings('work_hours') . "&nbsp;:</td>";
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $date1 = date('Y-m-d', $sdate1);

    if ($date1 >= $datel && $date1 <= $dateu) {
        if ($dayType[$daynumber] == DT_WEEKEND) {
            $classCell = "weekend";
        } else if ($dayType[$daynumber] == DT_WORKDAY) {
            $classCell = "workday";
        } else if ($dayType[$daynumber] == DT_STATUTORY_HOLIDAY) {
            $classCell = "statutoryHoliday";
        } else if ($dayType[$daynumber] == DT_MAKEUP_HOLIDAY) {
            $classCell = "makeupHoliday";
        } else {
            $classCell = "workday";
        }

        echo "<td width=5% class=\"$classCell\">" . $logHours[$daynumber] . "</td>";
    } else {
        echo "<td width=5% class=odd>&nbsp;</td>";
    }

    list($an1, $mois1, $jour1) = split('-', $date1, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

echo "<td width=38% class=odd>&nbsp;</td></tr></table>";

if ($editEnabled) {
    $block1->openPaletteScript();
    $block1->paletteScript(1, "remove", "../timesheet/deleteworkhours.php?monthTS=$monthTS&sdate=$sdate&id0=$id", "true,true,false", lang_strings("delete"));
    $block1->paletteScript(7, "edit", "../timesheet/editworkhours.php?monthTS=$monthTS&sdate=$sdate&day0=$day0&day1=$day1&day2=$day2&day3=$day3&day4=$day4&day5=$day5&day6=$day6&id=$id", "true,true,false", lang_strings("edit"));
    $block1->closePaletteScript('', '');
}

$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
