<?php // $Revision: 1.3 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listtimetickets.php,v 1.3 2006/03/13 03:01:40 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
} 

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs(lang_strings("timeticket_management"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "timtList";
$block1->openForm("../timetickets/listtimetickets.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings("timeticket_management"));
$block1->openPaletteIcon();
$block1->paletteIcon(0, "add", lang_strings("add"));
$block1->paletteIcon(1, "remove", lang_strings("delete"));
$block1->paletteIcon(2, "info", lang_strings("view"));
$block1->paletteIcon(3, "edit", lang_strings("edit"));
$block1->closePaletteIcon();
$block1->sorting("timetickets", $sortingUser->sor_timetickets[0], "tim.name", $sortingFields = array(0 => "tim.name", 1 => "tim.hours"));
$tmpquery = "ORDER BY $block1->sortingValue";
$listTimeTickets = new request();
$listTimeTickets->openTimeTickets($tmpquery);
$comptListTimeTickets = count($listTimeTickets->tim_id);

if ($comptListTimeTickets != "0") {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings("name"), 1 => lang_strings("hours")), "false");

    for ($i = 0;$i < $comptListTimeTickets;$i++) {
        $block1->openRow();
        $block1->checkboxRow($listTimeTickets->tim_id[$i]);
        $block1->cellRow($listTimeTickets->tim_name[$i]);
        $block1->cellRow($listTimeTickets->tim_hours[$i]);
        $block1->closeRow();
    }

    $block1->closeResults();
} else {
    $block1->noresults();
}

$block1->closeFormResults();
$block1->openPaletteScript();
$block1->paletteScript(0, "add", "../timetickets/edittimeticket.php?", "true,false,false", lang_strings("add"));
$block1->paletteScript(1, "remove", "../timetickets/deletetimetickets.php?", "false,true,true", lang_strings("delete"));
$block1->paletteScript(2, "info", "../timetickets/viewtimeticket.php?", "false,true,false", lang_strings("view"));
$block1->paletteScript(3, "edit", "../timetickets/edittimeticket.php?", "false,true,false", lang_strings("edit"));
$block1->closePaletteScript($comptListTimeTickets, $listTimeTickets->tim_id);
require_once("../themes/" . THEME . "/footer.php");

?>
