<?php // $Revision: 1.4 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewtimeticket.php,v 1.4 2006/05/03 03:27:30 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
}

$tmpquery = "WHERE det.timeticket='$id' ORDER BY det.stamp";
$detailTimeTickets = new request();
$detailTimeTickets->openTimeTicketsDetail($tmpquery);
$comptDetailTimeTickets = count($detailTimeTickets->det_id);
$tmpquery = "WHERE mem.timeticket='$id'";
$listMembers = new request();
$listMembers->openMembers($tmpquery);
$comptListMembers = count($listMembers->mem_id);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timetickets/listtimetickets.php?", lang_strings("timeticket_management"), in));
$blockPage->itemBreadcrumbs($detailTimeTickets->det_tim_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "timV";
$block1->openForm("../timetickets/viewtimeticket.php#" . $block1->form . "Anchor");

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
} 

$block1->heading(lang_strings("timeticket"));
$block1->openPaletteIcon();

if ($comptListMembers == 0) {
    $block1->paletteIcon(0, "remove", lang_strings("delete"));
}

$block1->paletteIcon(1, "edit", lang_strings("edit"));
$block1->closePaletteIcon();
$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$block1->contentRow(lang_strings("name"), $detailTimeTickets->det_tim_name[0]);
$block1->contentRow(lang_strings("hours"), $detailTimeTickets->det_tim_hours[0]);
$work = '0';
$detail = "";

for ($i=0; $i<$comptDetailTimeTickets; $i++) {
    if ($detailTimeTickets->det_work[$i] == $work) {
        if ($detail != "" && $work == '0') {
            $detail .= "<br>";
        }

        $detail .= $timestampArray[$detailTimeTickets->det_stamp[$i]];

        if ($work == '0') {
            $detail .= " - ";
            $work = '1';
        } else {
            $work = '0';
        }
    }
}

if ($work=='1')
    $detail .= $timestampArray['24:00'];

$block1->contentRow("", $detail);
$block1->closeContent();
$block1->closeForm();
$block1->openPaletteScript();

if ($comptListMembers == 0) {
    $block1->paletteScript(0, "remove", "../timetickets/deletetimetickets.php?id=$id", "true,true,true", lang_strings("delete"));
}

$block1->paletteScript(1, "edit", "../timetickets/edittimeticket.php?id=$id", "true,true,true", lang_strings("edit"));
$block1->closePaletteScript("", "");
require_once("../themes/" . THEME . "/footer.php");

?>
