<?php // $Revision: 1.11 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: addclientuser.php,v 1.11 2006/07/31 02:03:25 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.cuAForm.un.focus();\"";

// these user levels can't perform this action
if (($profilSession == PF_USER) || ($profilSession == PF_CLIENT_USER) || ($profilSession == PF_DISABLED)) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

$organization = $_GET['organization'];
$tmpquery = "WHERE org.id = '$organization'";
$clientDetail = new request();
$clientDetail->openOrganizations($tmpquery);
$comptClientDetail = count($clientDetail->org_id);

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $clod = $_POST['clod'];
    $un = $_POST['un'];
    $fn = $_POST['fn'];
    $tit = $_POST['tit'];
    $em = $_POST['em'];
    $wp = $_POST['wp'];
    $hp = $_POST['hp'];
    $mp = $_POST['mp'];
    $fax = $_POST['fax'];
    $c = $_POST['c'];
    $pw = $_POST['pw'];
    $pwa = $_POST['pwa'];

    // case add client user
    // test if login already exists
    if ($action == "add") {
        if ($un == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.cuAForm.un.focus();\"";
            $un_highlight = true;
        } else if (!ereg("^[A-Za-z0-9]+$", $un)) {
            $error = lang_strings("alpha_only");
            $bodyCommand = "onLoad=\"document.cuAForm.un.focus();document.cuAForm.un.select();\"";
            $un_highlight = true;
        } else if ($fn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.cuAForm.fn.focus();\"";
            $fn_highlight = true;
        } else if ($em != '' && !ValidateMail($em)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = "onLoad=\"document.cuAForm.em.focus();document.cuAForm.em.select();\"";
            $em_highlight = true;
        } else {
            $tmpquery = "WHERE mem.login = '$un'";
            $existsUser = new request();
            $existsUser->openMembers($tmpquery);
            $comptExistsUser = count($existsUser->mem_id);

            if ($comptExistsUser != "0") {
                $error = lang_strings("user_already_exists");
                $bodyCommand = "onLoad=\"document.cuAForm.un.focus();document.cuAForm.un.select();\"";
                $un_highlight = true;
            } else {
                // test if 2 passwords match
                if ($pw != $pwa || $pw == "") {
                    $error = lang_strings("new_password_error");
                    $bodyCommand = "onLoad=\"document.cuAForm.pw.focus();\"";
                    $pw_highlight = true;
                } else {
                    // replace quotes by html code in name and address
                    $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);
                    $pw = get_password($pw);
                    $tmpquery1 = "INSERT INTO " . $tableCollab["members"] . "(organization,login,name,title,email_work,phone_work,phone_home,mobile,fax,comments,password,profil,created,timezone) VALUES('$clod','$un','$fn','$tit','$em','$wp','$hp','$mp','$fax','$c','$pw','" . PF_CLIENT_USER . "','$dateheures','0')";
                    connectSql("$tmpquery1");
                    $tmpquery = $tableCollab["members"];
                    last_id($tmpquery);
                    $num = $lastId[0];
                    unset($lastId);
                    $tmpquery3 = "INSERT INTO " . $tableCollab["notifications"] . "(member,taskAssignment,removeProjectTeam,addProjectTeam,newTopic,newPost,statusTaskChange,priorityTaskChange,duedateTaskChange,clientAddTask) VALUES ('$num','0','0','0','0','0','0','0','0','0')";
                    connectSql("$tmpquery3");

                    // if mantis bug tracker enabled
                    if ($enableMantis == "true") {
                        // Call mantis function for new user creation!!!
                        $f_access_level = $client_user_level; // Reporter
                        require_once ("../mantis/create_new_user.php");
                    }

                    header("Location: ../clients/viewclient.php?id=$clod&msg=add");
                    exit;
                }
            }
        }
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/listclients.php?", lang_strings("clients"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/viewclient.php?id=" . $clientDetail->org_id[0], $clientDetail->org_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("add_client_user"));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "cuA";
$block1->openForm("../users/addclientuser.php?organization=$organization#" . $block1->form . "Anchor");
echo "<input type=\"hidden\" name=\"action\" value=\"add\">\n";

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

$block1->heading(lang_strings("add_client_user"));

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages();
}

$block1->openContent();
$block1->contentTitle(lang_strings("enter_user_details"));

if ($un_highlight) {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\">");
} else {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\">");
}

if ($fn_highlight) {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
} else {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
}

$block1->contentRow(lang_strings("title"), "<input size=\"24\" class=\"input_text\" maxlength=\"64\" type=\"text\" name=\"tit\" value=\"$tit\">");
$selectOrganization = "<select name=\"clod\">";
$tmpquery = "WHERE org.id != '1' ORDER BY org.name";
$listOrganizations = new request();
$listOrganizations->openOrganizations($tmpquery);
$comptListOrganizations = count($listOrganizations->org_id);

for ($i = 0;$i < $comptListOrganizations;$i++) {
    if ($organization == $listOrganizations->org_id[$i]) {
        $selectOrganization .= "<option value=\"" . $listOrganizations->org_id[$i] . "\" selected>" . $listOrganizations->org_name[$i] . "</option>";
    } else {
        $selectOrganization .= "<option value=\"" . $listOrganizations->org_id[$i] . "\">" . $listOrganizations->org_name[$i] . "</option>";
    }
}

$selectOrganization .= "</select>";
$block1->contentRow(lang_strings("organization"), $selectOrganization);

if ($em_highlight) {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
} else {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
}

$block1->contentRow(lang_strings("work_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"wp\" value=\"$wp\">");
$block1->contentRow(lang_strings("home_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"hp\" value=\"$hp\">");
$block1->contentRow(lang_strings("mobile_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"mp\" value=\"$mp\">");
$block1->contentRow(lang_strings("fax"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"fax\" value=\"$fax\">");
$block1->contentRow(lang_strings("comments"), "<textarea class=\"textarea_3rows\" name=\"c\" cols=\"35\" rows=\"3\">$c</textarea>");

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->openContent();
}

$block1->contentTitle(lang_strings("enter_password"));

if ($pw_highlight) {
    $block1->contentRow(lang_strings("password"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"16\" type=\"password\" name=\"pw\" value=\"\">");
} else {
    $block1->contentRow(lang_strings("password"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"password\" name=\"pw\" value=\"\">");
}

$block1->contentRow(lang_strings("confirm_password"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"password\" name=\"pwa\" value=\"\">");
$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
