<?php // $Revision: 1.19 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: edituser.php,v 1.19 2006/07/31 02:03:25 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.uAEForm.un.focus();\"";

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
}

if (isset($_GET['id'])) {
    $id = $_GET['id'];

    if ($id == "1" && $idSession == "1") {
        header("Location: ../preferences/updateuser.php");
        exit;
    }

    $tmpquery = "WHERE mem.id = '$id'";
    $detailUser = new request();
    $detailUser->openMembers($tmpquery);
    $comptDetailUser = count($detailUser->mem_id);

    // test exists selected user, redirect to list if not
    if ($comptDetailUser == "0") {
        header("Location: ../users/listusers.php?msg=blankUser");
        exit;
    }
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $un = $_POST['un'];
    $unOld = $_POST['unOld'];
    $fn = $_POST['fn'];
    $tit = $_POST['tit'];
    $c = $_POST['c'];
    $em = $_POST['em'];
    $wp = $_POST['wp'];
    $hp = $_POST['hp'];
    $mp = $_POST['mp'];
    $fax = $_POST['fax'];
    $perm = $_POST['perm'];
    $supr = $_POST['supr'];
    $agent = $_POST['agent'];
    $timt = $_POST['timt'];

    // case update user
    if ($action == "update") {
        if ($htaccessAuth == "true") {
            require_once("../includes/htpasswd.class.php");
            $Htpasswd = new Htpasswd;
        }

        if ($un == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.uAEForm.un.focus();\"";
            $un_highlight = true;
        } else if (!ereg("^[A-Za-z0-9]+$", $un)) {
            $error = lang_strings("alpha_only");
            $bodyCommand = "onLoad=\"document.uAEForm.un.focus();document.uAEForm.un.select();\"";
            $un_highlight = true;
        } else if ($fn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.uAEForm.fn.focus();\"";
            $fn_highlight = true;
        } else if ($em != '' && !ValidateMail($em)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = "onLoad=\"document.uAEForm.em.focus();document.uAEForm.em.select();\"";
            $em_highlight = true;
        } else {
            // test if login already exists
            $tmpquery = "WHERE mem.login = '$un' AND mem.login != '$unOld'";
            $existsUser = new request();
            $existsUser->openMembers($tmpquery);
            $comptExistsUser = count($existsUser->mem_id);

            if ($comptExistsUser != "0") {
                $error = lang_strings("user_already_exists");
                $bodyCommand = "onLoad=\"document.uAEForm.un.focus();document.uAEForm.un.select();\"";
                $un_highlight = true;
            } else {
                // replace quotes by html code in name and address
                $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);
                $tmpquery = "UPDATE " . $tableCollab["members"] . " SET login='$un',name='$fn',title='$tit',email_work='$em',phone_work='$wp',phone_home='$hp',mobile='$mp',fax='$fax',comments='$c',profil='$perm',supervisor='$supr',agent='$agent',timeticket='$timt' WHERE id = '$id'";
                connectSql("$tmpquery");

                if ($htaccessAuth == "true") {
                    if ($un != $unOld) {
                        $tmpquery = "WHERE tea.member = '$id'";
                        $listProjects = new request();
                        $listProjects->openTeams($tmpquery);
                        $comptListProjects = count($listProjects->tea_id);

                        if ($comptListProjects != "0") {
                            for ($i = 0;$i < $comptListProjects;$i++) {
                                $Htpasswd->initialize("../files/" . $listProjects->tea_pro_id[$i] . "/.htpasswd");
                                $Htpasswd->renameUser($unOld, $un);
                            }
                        }
                    }
                }

                // test if new password set
                if ($pw != "") {
                    // test if 2 passwords match
                    if ($pw != $pwa || $pwa == "") {
                        $error = lang_strings("new_password_error");
                        $bodyCommand = "onLoad=\"document.uAEForm.pw.focus();\"";
                        $pw_highlight = true;
                    } else {
                        $pw = get_password($pw);

                        if ($htaccessAuth == "true") {
                            if ($un == $unOld) {
                                $tmpquery = "WHERE tea.member = '$id'";
                                $listProjects = new request();
                                $listProjects->openTeams($tmpquery);
                                $comptListProjects = count($listProjects->tea_id);
                            } 

                            if ($comptListProjects != "0") {
                                for ($i = 0;$i < $comptListProjects;$i++) {
                                    $Htpasswd->initialize("../files/" . $listProjects->tea_pro_id[$i] . "/.htpasswd");
                                    $Htpasswd->changePass($un, $pw);
                                }
                            }
                        }

                        $tmpquery = "UPDATE " . $tableCollab["members"] . " SET password='$pw' WHERE id = '$id'";
                        connectSql("$tmpquery");

                        // if mantis bug tracker enabled
                        if ($enableMantis == "true") {
                            // Call mantis function for user changes..!!!
                            $f_access_level = $team_user_level; // Developer
                            require_once ("../mantis/user_update.php");
                        }

                        header("Location: ../users/listusers.php?msg=update");
                        exit;
                    }
                } else {
                    // if mantis bug tracker enabled
                    if ($enableMantis == "true") {
                        // Call mantis function for user changes..!!!
                        $f_access_level = $team_user_level; // Developer
                        require_once ("../mantis/user_update.php");
                    }

                    header("Location: ../users/listusers.php?msg=update");
                    exit;
                }
            }
        }
    }
    // case add user
    else if ($action == "add") {
        if ($un == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.uAEForm.un.focus();\"";
            $un_highlight = true;
        } else if (!ereg("^[A-Za-z0-9]+$", $un)) {
            $error = lang_strings("alpha_only");
            $bodyCommand = "onLoad=\"document.uAEForm.un.focus();document.uAEForm.un.select();\"";
            $un_highlight = true;
        } else if ($fn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.uAEForm.fn.focus();\"";
            $fn_highlight = true;
        } else if ($em != '' && !ValidateMail($em)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = "onLoad=\"document.uAEForm.em.focus();document.uAEForm.em.select();\"";
            $em_highlight = true;
        } else {
            // test if login already exists
            $tmpquery = "WHERE mem.login = '$un'";
            $existsUser = new request();
            $existsUser->openMembers($tmpquery);
            $comptExistsUser = count($existsUser->mem_id);

            if ($comptExistsUser != "0") {
                $error = lang_strings("user_already_exists");
                $bodyCommand = "onLoad=\"document.uAEForm.un.focus();document.uAEForm.un.select();\"";
                $un_highlight = true;
            } else {
                // test if 2 passwords match
                if ($pw != $pwa || $pw == "") {
                    $error = lang_strings("new_password_error");
                    $bodyCommand = "onLoad=\"document.uAEForm.pw.focus();\"";
                    $pw_highlight = true;
                } else {
                    // replace quotes by html code in name and address
                    $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);
                    $pw = get_password($pw);
                    $tmpquery1 = "INSERT INTO " . $tableCollab["members"] . "(login,name,title,email_work,phone_work,phone_home,mobile,fax,comments,password,profil,created,organization,timezone,supervisor,agent,theme,timeticket) VALUES('$un','$fn','$tit','$em','$wp','$hp','$mp','$fax','$c','$pw','$perm','$dateheures','1','0','$supr','$agent','" . THEME . "','$timt')";
                    connectSql("$tmpquery1");
                    $tmpquery = $tableCollab["members"];
                    last_id($tmpquery);
                    $num = $lastId[0];
                    unset($lastId);
                    $tmpquery2 = "INSERT INTO " . $tableCollab["sorting"] . " (member) VALUES('$num')";
                    connectSql("$tmpquery2");
                    $tmpquery3 = "INSERT INTO " . $tableCollab["notifications"] . "(member,taskAssignment,removeProjectTeam,addProjectTeam,newTopic,newPost,statusTaskChange,priorityTaskChange,duedateTaskChange,clientAddTask,meetingAssignment,statusMeetingChange,priorityMeetingChange,locationMeetingChange,timeMeetingChange,checkLogTime,toDoList) VALUES ('$num','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0')";
                    connectSql("$tmpquery3");

                    // if mantis bug tracker enabled
                    if ($enableMantis == "true") {
                        // Call mantis function for user changes..!!!
                        $f_access_level = $team_user_level; // Developer
                        require_once ("../mantis/create_new_user.php");
                    }

                    header("Location: ../users/listusers.php?msg=add");
                    exit;
                }
            }
        }
    }
}

if ($error == '') {
    if ($id != '') {
        // set values in form
        $un = $detailUser->mem_login[0];
        $fn = $detailUser->mem_name[0];
        $tit = $detailUser->mem_title[0];
        $em = $detailUser->mem_email_work[0];
        $wp = $detailUser->mem_phone_work[0];
        $hp = $detailUser->mem_phone_home[0];
        $mp = $detailUser->mem_mobile[0];
        $fax = $detailUser->mem_fax[0];
        $c = html_entity_decode($detailUser->mem_comments[0], ENT_QUOTES, $htmlEntityCharset);
        $perm = $detailUser->mem_profil[0];
        $supr = $detailUser->mem_supervisor[0];
        $agent = $detailUser->mem_agent[0];
        $timt = $detailUser->mem_timeticket[0];

        // set radio button with permissions value
        if ($perm == "1") {
            $checked1 = "checked";
        }

        if ($perm == "2") {
            $checked2 = "checked";
        }

        if ($perm == "4") {
            $checked4 = "checked";
        }

        if ($perm == "5") {
            $checked5 = "checked";
        }

        if ($perm == "6") {
            $checked6 = "checked";
        }
    }
    // case add user
    else {
        $checked2 = "checked";
    }
} else {
    // set radio button with permissions value
    if ($perm == "1") {
        $checked1 = "checked";
    }

    if ($perm == "2") {
        $checked2 = "checked";
    }

    if ($perm == "4") {
        $checked4 = "checked";
    }

    if ($perm == "5") {
        $checked5 = "checked";
    }

    if ($perm == "6") {
        $checked6 = "checked";
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../users/listusers.php?", lang_strings("user_management"), in));

if ($id == "") {
    $blockPage->itemBreadcrumbs(lang_strings("add_user"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../users/viewuser.php?id=$id", $detailUser->mem_login[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("edit_user"));
}

$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "uAE";

if ($id == "") {
    $block1->openForm("../users/edituser.php?#" . $block1->form . "Anchor");
    echo "<input type=\"hidden\" name=\"action\" value=\"add\">\n";
} else {
    $block1->openForm("../users/edituser.php?id=$id#" . $block1->form . "Anchor");
    echo "<input type=\"hidden\" name=\"action\" value=\"update\">\n";
} 

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id == "") {
    $block1->heading(lang_strings("add_user"));
} else {
    $block1->heading(lang_strings("edit_user") . " : " . $detailUser->mem_login[0]);
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages();
}

$block1->openContent();

if ($id == "") {
    $block1->contentTitle(lang_strings("enter_user_details"));
} else {
    $block1->contentTitle(lang_strings("edit_user_details"));
}

if ($un_highlight) {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\"><input type=\"hidden\" name=\"unOld\" value=\"$un\">");
} else {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\"><input type=\"hidden\" name=\"unOld\" value=\"$un\">");
}

if ($fn_highlight) {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
} else {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
}

$block1->contentRow(lang_strings("title"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"tit\" value=\"$tit\">");

if ($em_highlight) {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
} else {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
}

$block1->contentRow(lang_strings("work_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"wp\" value=\"$wp\">");
$block1->contentRow(lang_strings("home_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"hp\" value=\"$hp\">");
$block1->contentRow(lang_strings("mobile_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"mp\" value=\"$mp\">");
$block1->contentRow(lang_strings("fax"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"fax\" value=\"$fax\">");

$tmpquery = "WHERE mem.profil NOT IN ('" . PF_CLIENT_USER . "','" . PF_DISABLED . "') AND mem.id>'2'";

if ($id != "") {
    $tmpquery .= " AND mem.id<>'$id'";
}

$candidateList = new request();
$candidateList->openMembers($tmpquery);
$comptCandidateList = count($candidateList->mem_id);

if ($id != "") {
  $tmpquery = "WHERE mem.supervisor='$id'";
  $execeptionList = new request();
  $execeptionList->openMembers($tmpquery);
  $comptExeceptionList = count($execeptionList->mem_id);
} else {
  $comptExeceptionList = 0;
}

$supervisorSelection = "<select name=\"supr\">";
$supervisorSelection .= '<option value="0">' . lang_strings('none') . '</option>';

for ($i = 0; $i < $comptCandidateList; $i++) {
    for ($j = 0; $j < $comptExeceptionList; $j++) {
      if ($execeptionList->mem_id[$j] == $candidateList->mem_id[$i])
        break;
    }

    if ($j < $comptExeceptionList)
      continue;

    if ($candidateList->mem_id[$i] == $supr) {
        $supervisorSelection .= '<option value="' . $candidateList->mem_id[$i] . '" selected>' . $candidateList->mem_login[$i] . '</option>';
    } else {
        $supervisorSelection .= '<option value="' . $candidateList->mem_id[$i] . '">' . $candidateList->mem_login[$i] . '</option>';
    }
}

$supervisorSelection .= "</select>";
$block1->contentRow(lang_strings("supervisor"), $supervisorSelection);
$agentSelection = "<select name=\"agent\">";
$agentSelection .= '<option value="0">' . lang_strings('none') . '</option>';

for ($i = 0; $i < $comptCandidateList; $i++) {
    if ($candidateList->mem_id[$i] == $agent) {
        $agentSelection .= '<option value="' . $candidateList->mem_id[$i] . '" selected>' . $candidateList->mem_login[$i] . '</option>';
    } else {
        $agentSelection .= '<option value="' . $candidateList->mem_id[$i] . '">' . $candidateList->mem_login[$i] . '</option>';
    }
}

$agentSelection .= "</select>";
$block1->contentRow(lang_strings("agent"), $agentSelection);
$listTimeTickets = new request();
$listTimeTickets->openTimeTickets("");
$comptListTimeTickets = count($listTimeTickets->tim_id);
$timeticketSelection = "<select name=\"timt\">";

for ($i = 0; $i < $comptListTimeTickets; $i++) {
    if ($timt == $listTimeTickets->tim_id[$i]) {
        $timeticketSelection .= '<option value="' . $listTimeTickets->tim_id[$i] . '" selected>' . $listTimeTickets->tim_name[$i] . '</option>';
    } else {
        $timeticketSelection .= '<option value="' . $listTimeTickets->tim_id[$i] . '">' . $listTimeTickets->tim_name[$i] . '</option>';
    }
}

$timeticketSelection .= "</select>";
$block1->contentRow(lang_strings('timeticket'), $timeticketSelection);
$block1->contentRow(lang_strings("comments"), "<textarea class=\"textarea_3rows\" name=\"c\" cols=\"45\" rows=\"3\">$c</textarea>");

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->openContent();
}

if ($id == "") {
    $block1->contentTitle(lang_strings("enter_password"));
} else {
    $block1->contentTitle(lang_strings("change_password_user"));
} 

if ($pw_highlight) {
    $block1->contentRow(lang_strings("password"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"15\" type=\"password\" name=\"pw\" value=\"\">");
} else {
    $block1->contentRow(lang_strings("password"), "<input size=\"24\" class=\"input_text\" maxlength=\"15\" type=\"password\" name=\"pw\" value=\"\">");
}

$block1->contentRow(lang_strings("confirm_password"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"password\" name=\"pwa\" value=\"\">");
$block1->contentTitle(lang_strings("select_permissions"));
$block1->contentRow("<input type=\"radio\" name=\"perm\" value=\"" . PF_PROJECT_MANAGER . "\" $checked1>", "<b>" . lang_strings("project_manager_permissions") . "</b>");
$block1->contentRow("<input type=\"radio\" name=\"perm\" value=\"" . PF_USER . "\" $checked2>", "<b>" . lang_strings("user_permissions") . "</b>");
$block1->contentRow("<input type=\"radio\" name=\"perm\" value=\"" . PF_DISABLED . "\" $checked4>", "<b>" . lang_strings("disabled_permissions") . "</b>");
$block1->contentRow("<input type=\"radio\" name=\"perm\" value=\"" . PF_PROJECT_MANAGER_ADMINISTRATOR . "\" $checked5>", "<b>" . lang_strings("project_manager_administrator_permissions") . "</b>");
$block1->contentRow("<input type=\"radio\" name=\"perm\" value=\"" . PF_HR_MANAGER . "\" $checked6>", "<b>" . lang_strings("hr_manager_permissions") . "</b>");
$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
