<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listusers.php,v 1.9 2006/07/03 06:06:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs(lang_strings("user_management"));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->form = "ulU";
$block1->openForm("../users/listusers.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings("user_management"));
$block1->openPaletteIcon();
$block1->paletteIcon(0, "add", lang_strings("add"));
$block1->paletteIcon(1, "remove", lang_strings("delete"));
$block1->paletteIcon(2, "info", lang_strings("view"));
$block1->paletteIcon(3, "edit", lang_strings("edit"));
$block1->paletteIcon(4, "email", lang_strings("email"));
$block1->closePaletteIcon();
$block1->sorting("users", $sortingUser->sor_users[0], "mem.name ASC", $sortingFields = array(0 => "mem.name", 1 => "mem.login", 2 => "mem.email_work", 3 => "mem.profil", 4 => "mem2.login", 5 => "mem3.login", 6 => "log.connected"));

if ($demoMode == true) {
    $tmpquery = "WHERE mem.id != '1' AND mem.profil != '" . PF_CLIENT_USER . "' ORDER BY $block1->sortingValue";
} else {
    $tmpquery = "WHERE mem.id != '1' AND mem.profil != '" . PF_CLIENT_USER . "' AND mem.id != '2' ORDER BY $block1->sortingValue";
}

$listMembers = new request();
$listMembers->openMembers($tmpquery);
$comptListMembers = count($listMembers->mem_id);

if ($comptListMembers != "0") {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings("full_name"), 1 => lang_strings("user_name"), 2 => lang_strings("email"), 3 => lang_strings("profile"), 4 => lang_strings("supervisor"), 5 => lang_strings("agent"), 6 => lang_strings("connected")), "false");

    for ($i = 0;$i < $comptListMembers;$i++) {
        $idProfil = $listMembers->mem_profil[$i];
        $block1->openRow();
        $block1->checkboxRow($listMembers->mem_id[$i]);
        $block1->cellRow($listMembers->mem_name[$i]);
        $block1->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listMembers->mem_id[$i], $listMembers->mem_login[$i], in));
        $block1->cellRow($blockPage->buildLink($listMembers->mem_email_work[$i], $listMembers->mem_email_work[$i], mail));
        $block1->cellRow($profil[$idProfil]);

        if ($listMembers->mem_supervisor[$i] == "0") {
            $block1->cellRow(lang_strings('none'));
        } else {
            $block1->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listMembers->mem_supervisor[$i], $listMembers->mem_mem2_login[$i], in));
        }

        if ($listMembers->mem_agent[$i] == "0") {
            $block1->cellRow(lang_strings('none'));
        } else {
            $block1->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listMembers->mem_agent[$i], $listMembers->mem_mem3_login[$i], in));
        }

        if ($listMembers->mem_log_connected[$i] > $dateunix-5 * 60) {
            $block1->cellRow(lang_strings("yes") . " " . $z);
        } else {
            $block1->cellRow(lang_strings("no"));
        }

        $block1->closeRow();
    }

    $block1->closeResults();
} else {
    $block1->noresults();
}

$block1->closeFormResults();
$block1->openPaletteScript();
$block1->paletteScript(0, "add", "../users/edituser.php?", "true,false,false", lang_strings("add"));
$block1->paletteScript(1, "remove", "../users/deleteusers.php?", "false,true,true", lang_strings("delete"));
$block1->paletteScript(2, "info", "../users/viewuser.php?", "false,true,false", lang_strings("view"));
$block1->paletteScript(3, "edit", "../users/edituser.php?", "false,true,false", lang_strings("edit"));
$block1->paletteScript(4, "email", "../users/emailusers.php?", "false,true,true", lang_strings("email"));
$block1->closePaletteScript($comptListMembers, $listMembers->mem_id);
require_once("../themes/" . THEME . "/footer.php");

?>
