<?php // $Revision: 1.10 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: updateclientuser.php,v 1.10 2006/07/31 02:03:25 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.cuEForm.un.focus();\"";

// these user levels can't perform this action
if (($profilSession == PF_USER) || ($profilSession == PF_CLIENT_USER) || ($profilSession == PF_DISABLED)) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

$id = $_GET['id'];
$organization = $_GET['organization'];
$tmpquery = "WHERE org.id = '$organization'";
$detailClient = new request();
$detailClient->openOrganizations($tmpquery);
$comptDetailClient = count($detailClient->org_id);
$tmpquery = "WHERE mem.id = '$id'";
$userDetail = new request();
$userDetail->openMembers($tmpquery);
$comptUserDetail = count($userDetail->mem_id);

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $un = $_POST['un'];
    $unOld = $_POST['unOld'];
    $fn = $_POST['fn'];
    $tit = $_POST['tit'];
    $c = $_POST['c'];
    $em = $_POST['em'];
    $wp = $_POST['wp'];
    $hp = $_POST['hp'];
    $mp = $_POST['mp'];
    $fax = $_POST['fax'];
    $pw = $_POST['pw'];
    $pwa = $_POST['pwa'];

    // case update client user
    if ($action == "update") {
        if ($un == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.cuEForm.un.focus();\"";
            $un_highlight = true;
        } else if (!ereg("^[A-Za-z0-9]+$", $un)) {
            $error = lang_strings("alpha_only");
            $bodyCommand = "onLoad=\"document.cuEForm.un.focus();document.cuEForm.un.select();\"";
            $un_highlight = true;
        } else if ($fn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.cuEForm.fn.focus();\"";
            $fn_highlight = true;
        } else if ($em != '' && !ValidateMail($em)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = "onLoad=\"document.cuEForm.em.focus();document.cuEForm.em.select();\"";
            $em_highlight = true;
        } else {
            // test if login already exists
            $tmpquery = "WHERE mem.login = '$un' AND mem.login != '$unOld'";
            $existsUser = new request();
            $existsUser->openMembers($tmpquery);
            $comptExistsUser = count($existsUser->mem_id);

            if ($comptExistsUser != "0") {
                $error = lang_strings("user_already_exists");
            } else {
                // replace quotes by html code in name
                $c = htmlentities($c, ENT_QUOTES, $htmlEntityCharset);
                $tmpquery = "UPDATE " . $tableCollab["members"] . " SET login='$un',name='$fn',title='$tit',organization='$clod',email_work='$em',phone_work='$wp',phone_home='$hp',mobile='$mp',fax='$fax',comments='$c' WHERE id = '$id'";
                connectSql("$tmpquery");

                // test if new password set
                if ($pw != "") {
                    // test if 2 passwords match
                    if ($pw != $pwa || $pwa == "") {
                        $error = lang_strings("new_password_error");
                    } else {
                        $pw = get_password($pw);
                        $tmpquery = "UPDATE " . $tableCollab["members"] . " SET password='$pw' WHERE id = '$id'";
                        connectSql("$tmpquery");
                        header("Location: ../clients/viewclient.php?msg=update&id=$clod");
                        exit;
                    }
                } else {
                    // if mantis bug tracker enabled
                    if ($enableMantis == "true") {
                        // Call mantis function for user changes..!!!
                        $f_access_level = $client_user_level; // reporter
                        require_once ("../mantis/user_update.php");
                    }

                    header("Location: ../clients/viewclient.php?msg=update&id=$clod");
                    exit;
                }
            }
        }
    }
}

if ($error == '') {
    // set values in form
    $un = $userDetail->mem_login[0];
    $fn = $userDetail->mem_name[0];
    $clod = $userDetail->mem_organization[0];
    $tit = $userDetail->mem_title[0];
    $em = $userDetail->mem_email_work[0];
    $wp = $userDetail->mem_phone_work[0];
    $hp = $userDetail->mem_phone_home[0];
    $mp = $userDetail->mem_mobile[0];
    $fax = $userDetail->mem_fax[0];
    $c = html_entity_decode($userDetail->mem_comments[0], ENT_QUOTES, $htmlEntityCharset);
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/listclients.php?", lang_strings("organizations"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/viewclient.php?id=$organization", $detailClient->org_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../users/viewclientuser.php?organization=$organization&amp;id=" . $userDetail->mem_id[0], $userDetail->mem_login[0], in));
$blockPage->itemBreadcrumbs(lang_strings("edit_client_user"));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "cuE";
$block1->openForm("../users/updateclientuser.php?organization=$organization&amp;id=$id#" . $block1->form . "Anchor");
echo "<input type=\"hidden\" name=\"action\" value=\"update\">\n";
echo "<input type=\"hidden\" name=\"unOld\" value=\"$un\">\n";

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

$block1->heading(lang_strings("edit_client_user") . " : $un");
$block1->openContent();
$block1->contentTitle(lang_strings("edit_user_details"));

if ($un_highlight) {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\">");
} else {
    $block1->contentRow("* " . lang_strings("user_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"text\" name=\"un\" value=\"$un\">");
}

if ($fn_highlight) {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
} else {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text\" maxlength=\"64\" type=\"text\" name=\"fn\" value=\"$fn\">");
}

$block1->contentRow(lang_strings("title"), "<input size=\"24\" class=\"input_text\" maxlength=\"64\" type=\"text\" name=\"tit\" value=\"$tit\">");
$orgSel = "<select name=\"clod\">";

$tmpquery = "WHERE org.id != '1' ORDER BY org.name";
$selectClient = new request();
$selectClient->openOrganizations($tmpquery);
$comptSelectClient = count($selectClient->org_id);

for ($i = 0;$i < $comptSelectClient;$i++) {
    if ($userDetail->mem_organization[0] == $selectClient->org_id[$i]) {
        $orgSel .= "<option value=\"" . $selectClient->org_id[$i] . "\" selected>" . $selectClient->org_name[$i] . "</option>";
    } else {
        $orgSel .= "<option value=\"" . $selectClient->org_id[$i] . "\">" . $selectClient->org_name[$i] . "</option>";
    }
}

$orgSel .= "</select>";
$block1->contentRow(lang_strings("organization"), $orgSel);

if ($em_highlight) {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
} else {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"em\" value=\"$em\">");
}

$block1->contentRow(lang_strings("work_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"wp\" value=\"$wp\">");
$block1->contentRow(lang_strings("home_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"hp\" value=\"$hp\">");
$block1->contentRow(lang_strings("mobile_phone"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"mp\" value=\"$mp\">");
$block1->contentRow(lang_strings("fax"), "<input size=\"14\" class=\"input_text\" maxlength=\"32\" type=\"text\" name=\"fax\" value=\"$fax\">");
$block1->contentRow(lang_strings("comments"), "<textarea class=\"textarea_3rows\" name=\"c\" cols=\"35\" rows=\"3\">$c</textarea>");
$block1->contentTitle(lang_strings("change_password_user"));
$block1->contentRow(lang_strings("password"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"password\" name=\"pw\" value=\"\">");
$block1->contentRow(lang_strings("confirm_password"), "<input size=\"24\" class=\"input_text\" maxlength=\"16\" type=\"password\" name=\"pwa\" value=\"\">");
$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
