<?php // $Revision: 1.15 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewuser.php,v 1.15 2006/08/16 01:11:42 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $tmpquery = "WHERE mem.id = '$id'";
    $userDetail = new request();
    $userDetail->openMembers($tmpquery);
    $comptUserDetail = count($userDetail->mem_id);
} else {
    $comptUserDetail = 0;
}

if ($comptUserDetail == 0) {
    header("Location: ../users/listusers.php?msg=blankUser");
    exit;
} else if ($userDetail->mem_profil[0] == PF_CLIENT_USER) {
    header("Location: ../users/viewclientuser.php?id=$id&organization=" . $userDetail->mem_organization[0]);
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../users/listusers.php?", lang_strings("user_management"), in));
$blockPage->itemBreadcrumbs($userDetail->mem_login[0]);
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesMore");
}

$block1 = new block();
$block1->form = "userD";
$block1->openForm("../users/viewuser.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings("user_profile"));
$block1->openPaletteIcon();

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
    if ($id > 2) {
        $block1->paletteIcon(0, "remove", lang_strings("delete"));
    }
    $block1->paletteIcon(1, "edit", lang_strings("edit"));
}

$block1->paletteIcon(2, "export", lang_strings("export"));
$block1->closePaletteIcon();
$block1->openContent();
$block1->contentTitle(lang_strings("user_details"));
$block1->contentRow(lang_strings("user_name"), $userDetail->mem_login[0]);
$block1->contentRow(lang_strings("full_name"), $userDetail->mem_name[0]);
$block1->contentRow(lang_strings("title"), $userDetail->mem_title[0]);
$block1->contentRow(lang_strings("email"), $blockPage->buildLink($userDetail->mem_email_work[0], $userDetail->mem_email_work[0], mail));
$block1->contentRow(lang_strings("work_phone"), $userDetail->mem_phone_work[0]);
$block1->contentRow(lang_strings("home_phone"), $userDetail->mem_phone_home[0]);
$block1->contentRow(lang_strings("mobile_phone"), $userDetail->mem_mobile[0]);
$block1->contentRow(lang_strings("fax"), $userDetail->mem_fax[0]);

if ($userDetail->mem_profil[0] == PF_ADMINISTRATOR) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("administrator_permissions"));
} else if ($userDetail->mem_profil[0] == PF_PROJECT_MANAGER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("project_manager_permissions"));
} else if ($userDetail->mem_profil[0] == PF_USER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("user_permissions"));
} else if ($userDetail->mem_profil[0] == PF_DISABLED) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("disabled_permissions"));
} else if ($userDetail->mem_profil[0] == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("project_manager_administrator_permissions"));
} else if ($userDetail->mem_profil[0] == PF_HR_MANAGER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("hr_manager_permissions"));
}

if ($userDetail->mem_supervisor[0] == "0") {
    $block1->contentRow(lang_strings("supervisor"), lang_strings('none'));
} else {
    $block1->contentRow(lang_strings("supervisor"), $blockPage->buildLink("../users/viewuser.php?id=" . $userDetail->mem_supervisor[0], $userDetail->mem_mem2_login[0], in) . " / " . $blockPage->buildLink($userDetail->mem_mem2_email_work[0], $userDetail->mem_mem2_name[0], mail));
}

if ($userDetail->mem_agent[0] == "0") {
    $block1->contentRow(lang_strings("agent"), lang_strings('none'));
} else {
    $block1->contentRow(lang_strings("agent"), $blockPage->buildLink("../users/viewuser.php?id=" . $userDetail->mem_agent[0], $userDetail->mem_mem3_login[0], in) . " / " . $blockPage->buildLink($userDetail->mem_mem3_email_work[0], $userDetail->mem_mem3_name[0], mail));
}

$block1->contentRow(lang_strings("timeticket"), $blockPage->buildLink("../timetickets/viewtimeticket.php?id=" . $userDetail->mem_timeticket[0], $userDetail->mem_tim_name[0], in));
$block1->contentRow(lang_strings("comments"), nl2br(html_entity_decode($userDetail->mem_comments[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings("account_created"), createDate($userDetail->mem_created[0], $timezoneSession));

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->heading("&nbsp;");
    $block1->openPaletteIcon();
    $block1->closePaletteIcon();
    $block1->openContent();
}

$block1->contentTitle(lang_strings("information"));
$tmpquery = "SELECT tea.id FROM " . $tableCollab["teams"] . " tea LEFT OUTER JOIN " . $tableCollab["projects"] . " pro ON pro.id = tea.project WHERE tea.member = '" . $userDetail->mem_id[0] . "' AND pro.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "')";
compt($tmpquery);
$valueProjects = $countEnregTotal;
$tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res LEFT OUTER JOIN " . $tableCollab["tasks"] . " tas ON tas.id = res.task LEFT OUTER JOIN " . $tableCollab["projects"] . " pro ON pro.id = tas.project WHERE res.resource = '" . $userDetail->mem_id[0] . "' AND res.type = 'members' AND tas.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "') AND pro.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "')";
compt($tmpquery);
$valueTasks = $countEnregTotal;
$tmpquery = "SELECT note.id FROM " . $tableCollab["notes"] . " note LEFT OUTER JOIN " . $tableCollab["projects"] . " pro ON pro.id = note.project WHERE note.owner = '" . $userDetail->mem_id[0] . "' AND pro.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "')";
compt($tmpquery);
$valueNotes = $countEnregTotal;
$block1->contentRow(lang_strings("projects"), $valueProjects);
$block1->contentRow(lang_strings("tasks"), $valueTasks);
$block1->contentRow(lang_strings("notes"), $valueNotes);

if ($userDetail->mem_log_connected[0] > $dateunix-5 * 60) {
    $connected_result = lang_strings("yes") . " " . $z;
} else {
    $connected_result = lang_strings("no");
}

$block1->contentRow(lang_strings("connected"), $connected_result);

if ($layoutSession == LT_TWOPAGES) {
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->contentRow("", "");
    $block1->closeContent();
    $blockPage->closeTwoPages();
} else {
    $block1->closeContent();
}

$block1->closeForm();
$block1->openPaletteScript();

if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
    if ($id > 2) {
        $block1->paletteScript(0, "remove", "../users/deleteusers.php?id=$id", "true,true,true", lang_strings("delete"));
    }

    $block1->paletteScript(1, "edit", "../users/edituser.php?id=$id", "true,true,true", lang_strings("edit"));
}
$block1->paletteScript(2, "export", "../users/exportuser.php?id=$id", "true,true,true", lang_strings("export"));
$block1->closePaletteScript("", "");
require_once("../themes/" . THEME . "/footer.php");

?>
