<?php // $Revision: 1.11.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewworkcalendar.php,v 1.11.2.1 2007/11/22 07:52:35 luiswang Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if ($type == 'edit') {
    $bodyCommand = 'onLoad="document.wkCForm.hoursCalend.focus();"';
}

$thisYear = date("Y");

if (isset($_GET['yearCalend'])) {
    $yearCalend = $_GET['yearCalend'];
} else {
    $yearCalend = $thisYear;
}

$prevYear = $yearCalend - 1;
$nextYear = $yearCalend + 1;

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $commentsCalend = $_POST['commentsCalend'];
    $hoursCalend = $_POST['hoursCalend'];
    $typeCalend = $_POST['typeCalend'];

    if ($hoursCalend == '') {
        $error = lang_strings('worked_hours') . ' ' . lang_strings('error_required');
        $bodyCommand = 'onLoad="document.wkCForm.hoursCalend.focus();"';
    } else if (!is_numeric($hoursCalend)) {
        $error = lang_strings('worked_hours') . ' ' . lang_strings('error_numerical');
        $bodyCommand = 'onLoad="document.wkCForm.hoursCalend.focus();document.wkCForm.hoursCalend.select();"';
    } else if ($hoursCalend > 24) {
        $error = lang_strings('worked_hours') . ' ' . lang_strings('error_hours');
        $bodyCommand = 'onLoad="document.wkCForm.hoursCalend.focus();document.wkCForm.hoursCalend.select();"';
    }

    if ($error == '') {
        if ($action == 'update') {
            $commentsCalend = htmlentities($commentsCalend, ENT_QUOTES, $htmlEntityCharset);
            $tmpquery1 = "UPDATE " . $tableCollab["workcalendar"] . " SET type='$typeCalend',hours='$hoursCalend',comments='$commentsCalend' WHERE id='$id'";
            connectSql("$tmpquery1");
            header("Location: ../administration/viewworkcalendar.php?yearCalend=$yearCalend&type=view&msg=update");
            exit;
        }
    } else {
        $hoursCalend_highlight = true;
    }
}

if (isset($_GET['type'])) {
    $type = $_GET['type'] ;
} else {
    $type = "view";
}

$tmpquery = " WHERE wca.year='$yearCalend'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);

if ($comptListWorkCalendar == 0) {
    $currDate = $yearCalend . '-01-01';
    $lastDate = $yearCalend . '-12-31';

    while ($currDate <= $lastDate) {
        $weekDay = date('w', mktime(12, 0, 0, substr($currDate, 5, 2), substr($currDate, 8, 2), $yearCalend));

        if ($weekDay == 0 || $weekDay == 6) {
            $hours = 0;
            $dt = DT_WEEKEND;
        } else {
            $hours = 8;
            $dt = DT_WORKDAY;
        }

        $tmpquery = "INSERT INTO " . $tableCollab['workcalendar'] . "(year,date,type,hours,comments) VALUES ('$yearCalend','$currDate','$dt','$hours','')";
        connectSql("$tmpquery");
        $currDate = date('Y-m-d', mktime(12, 0, 0, substr($currDate, 5, 2), substr($currDate, 8, 2)+1, $yearCalend));
    }

    $tmpquery = " WHERE wca.year='$yearCalend'";
    $listWorkCalendar = new request();
    $listWorkCalendar->openWorkCalendar($tmpquery);
    $comptListWorkCalendar = count($listWorkCalendar->wca_id);
}

require_once('../themes/' . THEME . '/header.php');

if ($type == "edit") {
    $blockPage = new block();
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php', lang_strings('administration'), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$yearCalend&amp;type=view", lang_strings('workcalendar_management') . " $yearCalend", in));
    $blockPage->itemBreadcrumbs(lang_strings('edit'));
    $blockPage->closeBreadcrumbs();
    $block1 = new block();
    $block1->heading($monthNameArray[$monthCalend] . " $dayCalend");
    $block1->form = "wkC";
    $block1->openForm("../administration/viewworkcalendar.php?yearCalend=$yearCalend&amp;monthCalend=$monthCalend&amp;dayCalend=$dayCalend&amp;id=$id&amp;type=edit#" . $block1->form . "Anchor");
    echo "<input type=\"hidden\" name=\"action\" value=\"update\">";

    if ($error != '') {
        $block1->headingError(lang_strings('errors'));
        $block1->contentError($error);
    }

    $block1->openContent();
    $block1->contentTitle(lang_strings("details"));
    $typeSel = "<select name=\"typeCalend\" onchange=\"changeType(this)\">";

    foreach ($dayType as $key => $value) {
        if ($key == $typeCalend) {
            $typeSel .= "<option value=\"$key\" selected>$value</option>";
        } else {
            $typeSel .= "<option value=\"$key\">$value</option>";
        }
    }

    $typeSel .= "</select>";
    $block1->contentRow(lang_strings("type"), $typeSel);

    if ($hoursCalend_highlight) {
        $block1->contentRow("* " . lang_strings("working_hours"), "<input size=\"8\" value=\"$hoursCalend\" class=\"input_hours_highlight\" name=\"hoursCalend\" maxlength=\"8\" type=\"TEXT\">&nbsp;" . lang_strings("hours"));
    } else {
        $block1->contentRow("* " . lang_strings("working_hours"), "<input size=\"8\" value=\"$hoursCalend\" class=\"input_hours\" name=\"hoursCalend\" maxlength=\"8\" type=\"TEXT\">&nbsp;" . lang_strings("hours"));
    }

    $block1->contentRow(lang_strings("comments"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"commentsCalend\" cols=\"47\">$commentsCalend</textarea>");
    $block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
    $block1->closeContent();
    $block1->closeForm();
} else if ($type == "view") {
    $blockPage = new block();
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php', lang_strings('administration'), in));
    $blockPage->itemBreadcrumbs(lang_strings('workcalendar_management'));
    $blockPage->closeBreadcrumbs();
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$prevYear&amp;type=view", lang_strings("previous_year"), in) . " | " . $blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$thisYear&amp;type=view", lang_strings("this_year"), in) . " | " . $blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$nextYear&amp;type=view", lang_strings("next_year"), in));
    $blockPage->closeBreadcrumbs();

    if (isset($_GET['msg'])) {
        $msg = $_GET['msg'];
        require_once('../includes/messages.php');
        $blockPage->messagebox($msgLabel);
    } 

    $block1 = new block();
    $block1->heading(lang_strings('workcalendar') . " $yearCalend");
    $currDate = $yearCalend . '-01-01';
    $month = 1;

    for ($monthRow=0; $monthRow<3; $monthRow++) {
        echo "<table border=0 width=95% cellPadding=5 cellSpacing=0 class=listing>";

        for ($monthCol=0; $monthCol<4; $monthCol++) {
            echo "<td align=center width=25%>";
            echo "<table border=0 cellPadding=1 cellSpacing=1>";
            echo "<caption><strong>" . $monthNameArray[$month] . "</strong></caption><tr>";

            for ($daynumber=0; $daynumber<7; $daynumber++) {
                echo "<th width=14% class=calendDays>" . $dayShortNameArray[$daynumber] . "</th>";
            }

            echo "</tr>";
            $firstDay = date("w", mktime(12, 0, 0, $month, 1, $yearCalend));
            $lastDay = date("Y-m-d", mktime(12, 0, 0, $month+1, 0, $yearCalend));
            $day = 1;

            for ($dayRow=0; $dayRow<6; $dayRow++) {
                echo "<tr>";

                for ($dayCol=0; $dayCol<7; $dayCol++) {
                    if (($dayRow == 0 && $dayCol < $firstDay) || ($currDate > $lastDay)) {
                         echo "<td width=14% class=even>&nbsp;</td>";
                    } else {
                        $h = array_search($currDate, $listWorkCalendar->wca_date);

                        if ($listWorkCalendar->wca_type[$h] == DT_WEEKEND) {
                            $classCell = "weekend";
                        } else if ($listWorkCalendar->wca_type[$h] == DT_WORKDAY) {
                            $classCell = "workday";
                        } else if ($listWorkCalendar->wca_type[$h] == DT_STATUTORY_HOLIDAY) {
                            $classCell = "statutoryHoliday";
                        } else if ($listWorkCalendar->wca_type[$h] == DT_MAKEUP_HOLIDAY) {
                            $classCell = "makeupHoliday";
                        } else {
                            $classCell = "workday";
                        }

                        $comments = $currDate . " " . convert_html2txt(html_entity_decode($listWorkCalendar->wca_comments[$h], ENT_QUOTES, $htmlEntityCharset)) . " (" . $listWorkCalendar->wca_hours[$h] . lang_strings('hours') . ")";
                        echo "<td width=14% class=\"$classCell\"><acronym title=\"$comments\">" . $blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$yearCalend&amp;monthCalend=$month&amp;dayCalend=$day&amp;id=" . $listWorkCalendar->wca_id[$h] . "&amp;typeCalend=" . $listWorkCalendar->wca_type[$h] . "&amp;hoursCalend=" . $listWorkCalendar->wca_hours[$h] . "&amp;commentsCalend=" . html_entity_decode($listWorkCalendar->wca_comments[$h], ENT_QUOTES, $htmlEntityCharset) . "&amp;type=edit", $day, in) . "</acronym></td>";
                        $day++;
                        $currDate = date('Y-m-d', mktime(12, 0, 0, substr($currDate, 5, 2), substr($currDate, 8, 2)+1, $yearCalend));
                    }
                }

                echo "</tr>";
            }

            $month++;
            echo "</table></td>";
        }

        echo "</table>";
    }

    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$prevYear&amp;type=view", lang_strings("previous_year"), in) . " | " . $blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$thisYear&amp;type=view", lang_strings("this_year"), in) . " | " . $blockPage->buildLink("../administration/viewworkcalendar.php?yearCalend=$nextYear&amp;type=view", lang_strings("next_year"), in));
    $blockPage->closeBreadcrumbs();
}

require_once('../themes/' . THEME . '/footer.php');

?>
<script>
function changeType(theObj) {
    if (theObj.selectedIndex == 0) {
        document.wkCForm.hoursCalend.value = 0;
    } else if (theObj.selectedIndex == 1) {
        document.wkCForm.hoursCalend.value = 0;
    } else if (theObj.selectedIndex == 2) {
        document.wkCForm.hoursCalend.value = 0;
    } else if (theObj.selectedIndex == 3) {
        document.wkCForm.hoursCalend.value = 8;
    }
}
</script>
