<?php // $Revision: 1.23 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewcalendar.php,v 1.23 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

function _dayOfWeek($timestamp)
{
    return intval(strftime("%w", $timestamp) + 1);
} 

$year = date("Y");
$month = date("n");
$day = date("j");
if (strlen($month) == 1) {
    $month = "0$month";
} 
if (strlen($day) == 1) {
    $day = "0$day";
} 
$dateToday = "$year-$month-$day";

$tmpquery = " WHERE id='$idSession'";
$sortingDetail = new request();
$sortingDetail->openSorting($tmpquery);
if ($sortingDetail->sor_calendar_view[0] == NULL) {
    $lastDateCalend = $dateToday;
    $lastViewCalend = "0";
} else {
    $lastDateCalend = substr($sortingDetail->sor_calendar_view[0], 0, 10);
    $lastViewCalend = trim(substr($sortingDetail->sor_calendar_view[0], 10));
}

if ($type == "") {
    $type = "monthPreview";
    if ($sortingDetail->sor_calendar_view[0] == NULL) {
        $viewCalend = "0";
    } else {
        $viewCalend = $lastViewCalend;
    }
} else if ($type == "monthPreview" && $viewCalend == "") {
    $viewCalend = $S_VIEW;
}

if ($dateCalend == "") {
    if ($sortingDetail->sor_calendar_view[0] == NULL) {
        $dateCalend = $dateToday;
    } else {
        $dateCalend = $lastDateCalend;
    }
} 
$year = substr("$dateCalend", 0, 4);
$month = substr("$dateCalend", 5, 2);
$day = substr("$dateCalend", 8, 2);

if ($type == "monthPreview" && ($lastDateCalend != $dateCalend || $lastViewCalend != $viewCalend)) {
    $newCalendarView = $dateCalend . $viewCalend;
    $tmpquery = "UPDATE " . $tableCollab["sorting"] . " set calendar_view='$newCalendarView' WHERE id='$idSession'";
    connectSql("$tmpquery") ;
}

if ($viewCalend != 0) {
    $tmpquery = " WHERE tea.project='$viewCalend'";
    $listTeam = new request();
    $listTeam->openTeams($tmpquery);
}

$yearDay = date("Y");
$monthDay = date("n");
$dayDay = date("d");

$dayName = date("w", mktime(12, 0, 0, $month, $day, $year));
$monthName = date("n", mktime(12, 0, 0, $month, $day, $year));
$dayName = $dayNameArray[$dayName];
$monthName = $monthNameArray[$monthName];

$daysmonth = date("t", mktime(12, 0, 0, $month, $day, $year));
$firstday = date("w", mktime(12, 0, 0, $month, 1, $year));
$padmonth = date("m", mktime(12, 0, 0, $month, $day, $year));
$padday = date("d", mktime(12, 0, 0, $month, $day, $year));

if ($firstday == 0) {
    $firstday = 7;
} 

if ($type == "calendEdit") {
    $bodyCommand = "onLoad=\"document.calendForm.subject.focus();\"";

    if ($action == "update") {
        if ($shortname == "") {
            $error = lang_strings("blank_fields");
            $bodyCommand = 'onLoad="document.calendForm.shortname.focus();"';
            $shortname_highlight = true;
        } else {
            if ($recurring == "") {
                $recurring = "0";
            } else {
                $dateStart_A = substr("$dateStart", 0, 4);
                $dateStart_M = substr("$dateStart", 5, 2);
                $dateStart_J = substr("$dateStart", 8, 2);
                $dayRecurr = _dayOfWeek(mktime(12, 12, 12, $dateStart_M, $dateStart_J, $dateStart_A));
            }

            if ($reminder == '1') {
                if ($reminder_time1 == 0) {
                    $reminder_time1 = $reminder_time2;
                    $reminder_time2 = 0;
                } else if ($reminder_time1 == $reminder_time2) {
                    $reminder_time2 = 0;
                }
            } else {
                $reminder_time1 = 0;
                $reminder_time2 = 0;
            }

            $description = htmlentities($description, ENT_QUOTES, $htmlEntityCharset);
            $tmpquery = "UPDATE " . $tableCollab["calendar"] . " SET subject='$subject',description='$description',shortname='$shortname',date_start='$dateStart',date_end='$dateEnd',time_start='$time_start',time_end='$time_end',reminder='$reminder',reminder_time1='$reminder_time1',reminder_time2='$reminder_time2',recurring='$recurring',recur_day='$dayRecurr' WHERE id = '$dateEnreg'";
            connectSql("$tmpquery");
            header("Location: ../calendar/viewcalendar.php?viewCalend=$viewCalend&dateEnreg=$dateEnreg&dateCalend=$dateCalend&type=calendDetail&msg=update");
            exit;
        }
    }

    if ($action == "add") {
        if ($shortname == "") {
            $error = lang_strings("blank_fields");
            $bodyCommand = 'onLoad="document.calendForm.shortname.focus();"';
            $shortname_highlight = true;
        } else {
            if ($recurring == "") {
                $recurring = "0";
            } else {
                $dateStart_A = substr("$dateStart", 0, 4);
                $dateStart_M = substr("$dateStart", 5, 2);
                $dateStart_J = substr("$dateStart", 8, 2);
                $dayRecurr = _dayOfWeek(mktime(12, 12, 12, $dateStart_M, $dateStart_J, $dateStart_A));
            }

            if ($reminder == '1') {
                if ($reminder_time1 == 0) {
                    $reminder_time1 = $reminder_time2;
                    $reminder_time2 = 0;
                } else if ($reminder_time1 == $reminder_time2) {
                    $reminder_time2 = 0;
                }
            } else {
                $reminder_time1 = 0;
                $reminder_time2 = 0;
            }

            $description = htmlentities($description, ENT_QUOTES, $htmlEntityCharset);

            if ($viewCalend == 0) {
                $tmpquery = "INSERT INTO " . $tableCollab["calendar"] . "(owner,subject,description,shortname,date_start,date_end,time_start,time_end,reminder,reminder_time1,reminder_time2,recurring,recur_day) VALUES('$idSession','$subject','$description','$shortname','$dateStart','$dateEnd','$time_start','$time_end','$reminder','$reminder_time1','$reminder_time2','$recurring','$dayRecurr')";
            } else {
                $tmpquery = "INSERT INTO " . $tableCollab["calendar"] . "(project,subject,description,shortname,date_start,date_end,time_start,time_end,reminder,reminder_time1,reminder_time2,recurring,recur_day) VALUES('$viewCalend','$subject','$description','$shortname','$dateStart','$dateEnd','$time_start','$time_end','$reminder','$reminder_time1','$reminder_time2','$recurring','$dayRecurr')";
            }

            connectSql("$tmpquery");
            $tmpquery = $tableCollab["calendar"];
            last_id($tmpquery);
            $num = $lastId[0];
            unset($lastId);
            header("Location: ../calendar/viewcalendar.php?viewCalend=$viewCalend&dateEnreg=$num&dateCalend=$dateCalend&type=calendDetail&msg=add&");
            exit;
        }
    }
}

if ($type == "calendEdit") {
    if ($dateEnreg == "" && $id != "") {
        $dateEnreg = $id;
    }

    if ($id != "") {
        if ($viewCalend == 0) {
            $tmpquery = "WHERE cal.owner = '$idSession' AND cal.id = '$dateEnreg'";
        } else {
            $tmpquery = "WHERE cal.project = '$viewCalend' AND cal.id = '$dateEnreg'";
        }

        $detailCalendar = new request();
        $detailCalendar->openCalendar($tmpquery);
        $comptDetailCalendar = count($detailCalendar->cal_id);

        if ($comptDetailCalendar == "0") {
            header('Location: ../calendar/viewcalendar.php');
            exit;
        }
    }
}

if ($type == "calendDetail") {
    if ($dateEnreg == "" && $id != "") {
        $dateEnreg = $id;
    }

    if ($viewCalend == 0) {
        $tmpquery = "WHERE cal.owner = '$idSession' AND cal.id = '$dateEnreg'";
    } else {
        $tmpquery = "WHERE cal.project = '$viewCalend' AND cal.id = '$dateEnreg'";
    }

    $detailCalendar = new request();
    $detailCalendar->openCalendar($tmpquery);
    $comptDetailCalendar = count($detailCalendar->cal_id);

    if ($comptDetailCalendar == "0") {
        header("Location: ../calendar/viewcalendar.php");
        exit;
    }
}

require_once("../themes/" . THEME . "/header.php");

if ($type == "calendEdit") {
    if ($error == "") {
        if ($id != "") {
            $subject = $detailCalendar->cal_subject[0];
            $description = html_entity_decode($detailCalendar->cal_description[0], ENT_QUOTES, $htmlEntityCharset);
            $shortname = $detailCalendar->cal_shortname[0];
            $dateStart = $detailCalendar->cal_date_start[0];
            $dateEnd = $detailCalendar->cal_date_end[0];
            $time_start = $detailCalendar->cal_time_start[0];
            $time_end = $detailCalendar->cal_time_end[0];
            $reminder = $detailCalendar->cal_reminder[0];
            $reminder_time1 = $detailCalendar->cal_reminder_time1[0];
            $reminder_time2 = $detailCalendar->cal_reminder_time2[0];
            $recurring = $detailCalendar->cal_recurring[0];
        } else {
            $subject = "";
            $description = "";
            $shortname = "";
            $dateStart = $dateCalend;
            $dateEnd = $dateCalend;
            $time_start = "09:00";
            $time_end = "10:00";
            $reminder = "0";
            $reminder_time1 = "0";
            $reminder_time2 = "0";
            $recurring = "0";
        }
    }

    if ($reminder == "0") {
        $checked1_b = "checked"; //false
        $disabled1 = "disabled";
    } else {
        $checked2_b = "checked"; //true
    }

    if ($recurring == "1") {
        $checked2_a = "checked"; //true
    }

    $blockPage = new block();
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?type=monthPreview", lang_strings("calendar"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=monthPreview&amp;dateCalend=$dateCalend", "$monthName $year", in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=dayList&amp;dateCalend=$dateCalend", "$dayName $day $monthName $year", in));

    if ($id != "") {
        $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=calendDetail&amp;dateCalend=$dateCalend&amp;dateEnreg=$dateEnreg", $detailCalendar->cal_shortname[0], in));
        $blockPage->itemBreadcrumbs(lang_strings("edit"));
    } else {
        $blockPage->itemBreadcrumbs(lang_strings("add"));
    }

    $blockPage->closeBreadcrumbs();

    if ($msg != "") {
        require_once("../includes/messages.php");
        $blockPage->messagebox($msgLabel);
    }

    $block1 = new block();
    $block1->form = "calend";

    if ($id != "") {
        $block1->openForm("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateEnreg=$dateEnreg&amp;dateCalend=$dateCalend&amp;type=$type&amp;action=update#" . $block1->form . "Anchor");
    } else {
        $block1->openForm("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateEnreg=$dateEnreg&amp;dateCalend=$dateCalend&amp;type=$type&amp;action=add#" . $block1->form . "Anchor");
    }

    if ($error != "") {
        $block1->headingError(lang_strings("errors"));
        $block1->contentError($error);
    }

    if ($id != "") {
        $block1->heading(lang_strings("edit") . ": " . $detailCalendar->cal_shortname[0]);
    } else {
        $block1->heading(lang_strings("add") . ":");
    }

    $block1->openContent();
    $block1->contentTitle(lang_strings("details"));

    if ($viewCalend != 0) {
        $block1->contentRow(lang_strings('project'), $listTeam->tea_pro_name[0]);
    }

    $block1->contentRow(lang_strings("subject"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"subject\" value=\"$subject\">");
    $block1->contentRow(lang_strings("description"), "<textarea class=\"textarea_3rows\" name=\"description\" cols=\"35\" rows=\"3\">$description</textarea>");

    if ($shortname_highlight) {
        $block1->contentRow("* " . lang_strings("shortname") . $blockPage->printHelp("calendar_shortname"), "<input size=\"24\" class=\"input_text_highlight\" maxlength=\"128\" type=\"text\" name=\"shortname\" value=\"$shortname\">");
    } else {
        $block1->contentRow("* " . lang_strings("shortname") . $blockPage->printHelp("calendar_shortname"), "<input size=\"24\" class=\"input_text\" maxlength=\"128\" type=\"text\" name=\"shortname\" value=\"$shortname\">");
    }

    $block1->contentRow(lang_strings("date_start"), "<input type=\"text\" class=\"input_datetime\" name=\"dateStart\" id=\"sel1\" size=\"20\" value=\"$dateStart\" readonly><button type=\"reset\" id=\"trigger_a\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");
    $block1->contentRow(lang_strings("date_end"), "<input type=\"text\" class=\"input_datetime\" name=\"dateEnd\" id=\"sel3\" size=\"20\" value=\"$dateEnd\" readonly><button type=\"reset\" id=\"trigger_b\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel3\", button:\"trigger_b\" });</script>");
    $stmSel = "<select name=\"time_start\" class=\"input_datetime\" onchange=\"changeStartTime(this)\">";

    foreach ($timestampArray as $key => $value) {
        if ($key == $time_start) {
            $stmSel .= "<option value=\"$key\" selected>$value</option>";
        } else {
            $stmSel .= "<option value=\"$key\">$value</option>";
        }

        if ($key == "23:30") break;
    }

    $stmSel .= "</select>";
    $block1->contentRow(lang_strings("time_start"), $stmSel);
    $etmSel = "<select name=\"time_end\" class=\"input_datetime\" onchange=\"changeEndTime(this)\">";

    foreach ($timestampArray as $key => $value) {
        if ($key == "00:00") continue;

        if ($key == $time_end) {
            $etmSel .= "<option value=\"$key\" selected>$value</option>";
        } else {
            $etmSel .= "<option value=\"$key\">$value</option>";
        }
    }

    $etmSel .= "</select>";
    $block1->contentRow(lang_strings("time_end"), $etmSel);
    $block1->contentRow(lang_strings("calendar_reminder"), "<input type=\"radio\" name=\"reminder\" onclick=\"disableReminderTime()\" value=\"0\" $checked1_b> " . lang_strings("no") . "&nbsp;<input type=\"radio\" name=\"reminder\" onclick=\"enableReminderTime()\" value=\"1\" $checked2_b> " . lang_strings("yes"));
    $remSel = "<select name=\"reminder_time1\" $disabled1 onchange=\"changeReminder(this)\">";

    foreach ($reminderTimeArray as $key => $value) {
        if ($key == $reminder_time1) {
            $remSel .= "<option value=\"$key\" selected>$value</option>";
        } else {
            $remSel .= "<option value=\"$key\">$value</option>";
        }
    }

    $remSel .= "</select> " . lang_strings("calendar_reminder_time2") . " <select name=\"reminder_time2\" $disabled1 onchange=\"changeReminder(this)\">";

    foreach ($reminderTimeArray as $key => $value) {
        if ($key == $reminder_time2) {
            $remSel .= "<option value=\"$key\" selected>$value</option>";
        } else {
            $remSel .= "<option value=\"$key\">$value</option>";
        }
    }

    $remSel .= "</select> " . lang_strings("calendar_reminder_time3");
    $block1->contentRow(lang_strings("calendar_reminder_time1"), $remSel);
    $block1->contentRow(lang_strings("calendar_recurring"), "<input type=\"checkbox\" name=\"recurring\" value=\"1\" $checked2_a>");
    $block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
    $block1->closeContent();
    $block1->closeForm();
}

if ($type == "calendDetail") {
    $reminder = $detailCalendar->cal_reminder[0];
    $reminder_time1 = $detailCalendar->cal_reminder_time1[0];
    $reminder_time2 = $detailCalendar->cal_reminder_time2[0];
    $recurring = $detailCalendar->cal_recurring[0];

    if ($reminder == "0") {
        $reminder = lang_strings("no");
    } else {
        $reminder = lang_strings("yes");
    }

    if ($recurring == "0") {
        $recurring = lang_strings("no");
    } else {
        $recurring = lang_strings("yes");
    }

    $blockPage = new block();
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?type=monthPreview", lang_strings("calendar"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=monthPreview&amp;dateCalend=$dateCalend", "$monthName $year", in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=dayList&amp;dateCalend=$dateCalend", "$dayName $day $monthName $year", in));
    $blockPage->itemBreadcrumbs($detailCalendar->cal_shortname[0]);
    $blockPage->closeBreadcrumbs();

    if ($msg != "") {
        require_once("../includes/messages.php");
        $blockPage->messagebox($msgLabel);
    } 

    $block1 = new block();

    $block1->form = "calend";
    $block1->openForm("../calendar/viewcalendar.php#" . $block1->form . "Anchor");

    if ($error != "") {
        $block1->headingError(lang_strings("errors"));
        $block1->contentError($error);
    } 

    $block1->heading($detailCalendar->cal_shortname[0]);
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, "remove", lang_strings("delete"));
    $block1->paletteIcon(1, "edit", lang_strings("edit"));
    $block1->paletteIcon(2, "export", lang_strings("export"));
    $block1->closePaletteIcon();
    $block1->openContent();
    $block1->contentTitle(lang_strings("details"));

    if ($viewCalend != 0) {
        $block1->contentRow(lang_strings('project'), $listTeam->tea_pro_name[0]);
    }

    $block1->contentRow(lang_strings("subject"), $detailCalendar->cal_subject[0]);
    $block1->contentRow(lang_strings("description"), nl2br(html_entity_decode($detailCalendar->cal_description[0], ENT_QUOTES, $htmlEntityCharset)));
    $block1->contentRow(lang_strings("shortname") . $blockPage->printHelp("calendar_shortname"), $detailCalendar->cal_shortname[0]);
    $block1->contentRow(lang_strings("date_start"), $detailCalendar->cal_date_start[0]);
    $block1->contentRow(lang_strings("date_end"), $detailCalendar->cal_date_end[0]);
    $block1->contentRow(lang_strings("time_start"), $detailCalendar->cal_time_start[0]);
    $block1->contentRow(lang_strings("time_end"), $detailCalendar->cal_time_end[0]);
    $reminderContent = $reminder;

    if ($reminder == lang_strings('yes')) {
        $reminderContent .= " (" . lang_strings("calendar_reminder_time1") . " " . $reminderTimeArray[$reminder_time1];

        if ($reminder_time2 != "0") {
            $reminderContent .= " " . lang_strings("calendar_reminder_time2") . $reminderTimeArray[$reminder_time2];
        }

        $reminderContent .= " " . lang_strings("calendar_reminder_time3") . ")";
    }

    $block1->contentRow(lang_strings("calendar_reminder"), $reminderContent);
    $block1->contentRow(lang_strings("calendar_recurring"), $recurring);
    $block1->closeContent();
    $block1->closeForm();
    $block1->openPaletteScript();
    $block1->paletteScript(0, "remove", "../calendar/deletecalendar.php?id=$dateEnreg", "true,true,true", lang_strings("delete"));
    $block1->paletteScript(1, "edit", "../calendar/viewcalendar.php?viewCalend=$viewCalend&id=$dateEnreg&type=calendEdit&dateCalend=$dateCalend", "true,true,true", lang_strings("edit"));
    $block1->paletteScript(2, "export", "../calendar/exportcalendar.php?id=$dateEnreg", "true,true,true", lang_strings("export"));
    $block1->closePaletteScript("", "");
}

$blockPage = new block();

if ($type == "dayList") {
    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?type=monthPreview", lang_strings("calendar"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=monthPreview&amp;dateCalend=$dateCalend", "$monthName $year", in));
    $blockPage->itemBreadcrumbs("$dayName $day $monthName $year");
    $blockPage->closeBreadcrumbs();

    $block1 = new block();

    $block1->form = "calendList";
    $block1->openForm("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;type=$type&amp;dateCalend=$dateCalend#" . $block1->form . "Anchor");

    if ($viewCalend == 0) {
        $heading_posfix = "(" . lang_strings('cal_personal') . lang_strings('calendar') . ")";
    } else {
        $heading_posfix = "(" . lang_strings('project') . lang_strings('calendar') . "-" . $listTeam->tea_pro_name[0] . ")";
    }
    $block1->heading("$dayName $day $monthName $year" . $heading_posfix);

    $block1->openPaletteIcon();

    $block1->paletteIcon(0, "add", lang_strings("add"));
    $block1->paletteIcon(1, "remove", lang_strings("delete"));
    $block1->paletteIcon(2, "info", lang_strings("view"));
    $block1->paletteIcon(3, "edit", lang_strings("edit"));

    $block1->closePaletteIcon();

    $block1->sorting("calendar", $sortingUser->sor_calendar[0], "cal.date_end DESC", $sortingFields = array(0 => "cal.shortname", 1 => "cal.subject", 2 => "cal.date_start", 3 => "cal.date_end"));

    $dayRecurr = _dayOfWeek(mktime(12, 12, 12, $month, $day, $year));
    if ($viewCalend == 0) {
        $tmpquery = "WHERE cal.owner = '$idSession' AND ((cal.date_start <= '$dateCalend' AND cal.date_end >= '$dateCalend' AND cal.recurring = '0') OR ((cal.date_start <= '$dateCalend' AND cal.date_end <= '$dateCalend') AND cal.recurring = '1' AND cal.recur_day = '$dayRecurr')) ORDER BY cal.shortname";
    } else {
        $tmpquery = "WHERE cal.project = '$viewCalend' AND ((cal.date_start <= '$dateCalend' AND cal.date_end >= '$dateCalend' AND cal.recurring = '0') OR ((cal.date_start <= '$dateCalend' AND cal.date_end <= '$dateCalend') AND cal.recurring = '1' AND cal.recur_day = '$dayRecurr')) ORDER BY cal.shortname";
    }
    $listCalendar = new request();
    $listCalendar->openCalendar($tmpquery);
    $comptListCalendar = count($listCalendar->cal_id);

    if ($comptListCalendar != "0") {
        $block1->openResults();

        $block1->labels($labels = array(0 => lang_strings("shortname"), 1 => lang_strings("subject"), 2 => lang_strings("date_start"), 3 => lang_strings("date_end")), "false");

        for ($i = 0;$i < $comptListCalendar;$i++) {
            $block1->openRow();
            $block1->checkboxRow($listCalendar->cal_id[$i]);
            if ($listCalendar->cal_reminder[$i] == '1') {
                $block1->cellRow("<img src=\"../themes/" . THEME . "/bell.gif\" alt=\"" . lang_strings('calendar_reminder') . "\">&nbsp;" . $blockPage->buildLink("../calendar/viewcalendar.php?dateEnreg=" . $listCalendar->cal_id[$i] . "&amp;viewCalend=$viewCalend&amp;type=calendDetail&amp;dateCalend=$dateCalend", $listCalendar->cal_shortname[$i], in));
            } else {
                $block1->cellRow($blockPage->buildLink("../calendar/viewcalendar.php?dateEnreg=" . $listCalendar->cal_id[$i] . "&amp;viewCalend=$viewCalend&amp;type=calendDetail&amp;dateCalend=$dateCalend", $listCalendar->cal_shortname[$i], in));
            }
            $block1->cellRow($listCalendar->cal_subject[$i]);
            $block1->cellRow($listCalendar->cal_date_start[$i]);
            $block1->cellRow($listCalendar->cal_date_end[$i]);
            $block1->closeRow();
        } 
        $block1->closeResults();
    } else {
        $block1->noresults();
    } 
    $block1->closeFormResults();

    $block1->openPaletteScript();
    $block1->paletteScript(0, "add", "../calendar/viewcalendar.php?viewCalend=$viewCalend&dateCalend=$dateCalend&type=calendEdit", "true,false,false", lang_strings("add"));
    $block1->paletteScript(1, "remove", "../calendar/deletecalendar.php?", "false,true,true", lang_strings("delete"));
    $block1->paletteScript(2, "info", "../calendar/viewcalendar.php?viewCalend=$viewCalend&dateCalend=$dateCalend&type=calendDetail", "false,true,false", lang_strings("view"));
    $block1->paletteScript(3, "edit", "../calendar/viewcalendar.php?viewCalend=$viewCalend&dateCalend=$dateCalend&type=calendEdit", "false,true,false", lang_strings("edit"));
    $block1->closePaletteScript($comptListCalendar, $listCalendar->cal_id);
} 

if ($type == "monthPreview") {
    if ($month == 1) {
        $pyear = $year - 1;
        $pmonth = 12;
    } else {
        $pyear = $year;
        $pmonth = $month - 1;
    } 

    if ($month == 12) {
        $nyear = $year + 1;
        $nmonth = 1;
    } else {
        $nyear = $year;
        $nmonth = $month + 1;
    } 

    $yearToday = date("Y");
    $monthToday = date("n");
    $dayToday = date("j");

    if (strlen($monthToday) == 1) {
        $monthToday = "0$monthToday";
    } 

    if (strlen($pmonth) == 1) {
        $pmonth = "0$pmonth";
    } 

    if (strlen($nmonth) == 1) {
        $nmonth = "0$nmonth";
    } 

    if (strlen($dayToday) == 1) {
        $dayToday = "0$dayToday";
    } 

    $datePast = "$pyear-$pmonth-01";
    $dateNext = "$nyear-$nmonth-01";
    $dateToday = "$yearToday-$monthToday-$dayToday";

    echo "<table cellspacing=\"0\" width=\"100%\" border=\"0\" cellpadding=\"0\"><tr><td width=\"50%\">";

    $blockPage->openBreadcrumbs();
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../calendar/viewcalendar.php?", lang_strings("calendar"), in));
    $blockPage->itemBreadcrumbs("$monthName $year");
    $blockPage->closeBreadcrumbs();

    echo "</td><td>";
    echo "<table cellspacing=\"0\" width=\"100%\" border=\"0\" cellpadding=\"0\"><tr><td nowrap align=\"right\" class=\"footerCell\">" . $blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$datePast&amp;type=$type", lang_strings("previous"), in) . " | " . $blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$dateToday&amp;type=$type", lang_strings("today"), in) . " | " . $blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$dateNext&amp;type=$type", lang_strings("next"), in) . "</td></tr><tr><td height=\"5\" colspan=\"2\"><img width=\"1\" height=\"5\" border=\"0\" src=\"../themes/" . THEME . "/spacer.gif\" alt=\"\"></td></tr></table>";
    echo "</td></tr></table>";
    $block2 = new block();
    $block2->form = "caV";
    $block2->openForm("../calendar/viewcalendar.php?dateCalend=$dateCalend&amp;type=$type#" . $block2->form . "Anchor");

    if ($profilSession == PF_USER) {
        echo "<input type=\"hidden\" name=\"S_VIEW\" value=\"0\">";
    } else {
        $tmpquery = "WHERE tea.member = '$idSession' ORDER BY tea.project";
        $teamList = new request();
        $teamList->openTeams($tmpquery);
        $comptTeamList = count($teamList->tea_id);
        $viewSel = "<select name=\"S_VIEW\" onchange=\"document.caVForm.submit()\">";

        if ($viewCalend == 0) {
            $viewSel .= "<option value=\"0\" selected>" . lang_strings('cal_personal') . "</option>";
        } else {
            $viewSel .= "<option value=\"0\">" . lang_strings('cal_personal') . "</option>";
        }

        for ($t = 0; $t < $comptTeamList; $t++) {
            if ($viewCalend == $teamList->tea_project[$t]) {
                $viewSel .= "<option value=\"" . $teamList->tea_project[$t] . "\" selected>" . lang_strings('project') . ":" . $teamList->tea_pro_name[$t] . "</option>";
            } else {
                $viewSel .= "<option value=\"" . $teamList->tea_project[$t] . "\">" . lang_strings('project') . ":" . $teamList->tea_pro_name[$t] . "</option>";
            }
        }

        $viewSel .= "</select>";
        $block2->contentRow(lang_strings("view"), $viewSel);
    }

    $block2->heading("$monthName $year");
    echo "<table border=0 cellpadding=0 cellspacing=2 width=100% class=listing><tr>";

    for($daynumber = 1; $daynumber < 8; $daynumber++) {
        echo "<td width=14% class=calendDays>&nbsp;$dayNameArray[$daynumber]</td>";
    }

    echo "</tr>";
    // Print the calendar
    echo "<tr>";

    if ($viewCalend == 0) {
        $tmpquery = " INNER JOIN " . $tableCollab["tasks_resource"] . " res ON res.task=tas.id WHERE res.type='members' AND res.resource='$idSession' ORDER BY tas.name";
    } else {
        $tmpquery = "WHERE tas.project = '$viewCalend' ORDER BY tas.name";
    }

    $listTasks = new request();
    $listTasks->openTasks($tmpquery);
    $comptListTasks = count($listTasks->tas_id);

    if ($viewCalend == 0) {
        $tmpquery = "WHERE att.member = '$idSession'";
        $listAttendants = new request();
        $listAttendants->openAttendants($tmpquery);
        $comptListAttendants = count($listAttendants->att_id);
        $meetingIdList = "";

        for ($m = 0; $m < $comptListAttendants; $m++) {
            if ($meetingIdList != "") {
                $meetingIdList .= ", ";
            }
            $meetingIdList .= $listAttendants->att_meeting[$m];
        }

        if ($meetingIdList == "") {
            $tmpquery = "WHERE mee.id = -1";
        } else {
            $tmpquery = "WHERE mee.id IN (" . $meetingIdList . ") ORDER BY mee.name";
        }
    } else {
        $tmpquery = "WHERE mee.project = '$viewCalend' ORDER BY mee.name";
    }

    $listMeetings = new request();
    $listMeetings->openMeetings($tmpquery);
    $comptListMeetings = count($listMeetings->mee_id);
    $tmpquery = "WHERE date BETWEEN '" . $year . "-" . $month . "-01' AND '" . $year . "-" . $month . "-31'";
    $listWorkCalendar = new request();
    $listWorkCalendar->openWorkCalendar($tmpquery);
    $comptListWorkCalendar = count($listWorkCalendar->wca_id);

    for ($g = 0;$g < $comptListTasks;$g++) {
        if (substr($listTasks->tas_start_date[$g], 0, 7) == substr($dateCalend, 0, 7)) {
            $gantt = "true";
            break;
        }
    }

    for ($i = 1; $i < $daysmonth + $firstday; $i++) {
        $a = $i - $firstday + 1;
        $day = $i - $firstday + 1;

        if (strlen($a) == 1) {
            $a = "0$a";
        }

        if (strlen($month) == 1) {
            $month = "0$month";
        }

        $dateLink = "$year-$month-$a";
        $todayClass = "";
        $dayRecurr = _dayOfWeek(mktime(12, 12, 12, $month, $a, $year));
        $comptListCalendarScan = "0";

        if ($viewCalend == 0) {
            $tmpquery = "WHERE cal.owner = '$idSession' AND ((cal.date_start <= '$dateLink' AND cal.date_end >= '$dateLink' AND cal.recurring = '0') OR ((cal.date_start <= '$dateLink' AND cal.date_end <= '$dateLink') AND cal.recurring = '1' AND cal.recur_day = '$dayRecurr')) ORDER BY cal.shortname";
        } else {
            $tmpquery = "WHERE cal.project = '$viewCalend' AND ((cal.date_start <= '$dateLink' AND cal.date_end >= '$dateLink' AND cal.recurring = '0') OR ((cal.date_start <= '$dateLink' AND cal.date_end <= '$dateLink') AND cal.recurring = '1' AND cal.recur_day = '$dayRecurr')) ORDER BY cal.shortname";
        }

        $listCalendarScan = new request();
        $listCalendarScan->openCalendar($tmpquery);
        $comptListCalendarScan = count($listCalendarScan->cal_id);

        if (($i < $firstday) || ($a == "00")) {
            echo "<td width=14% class=even>&nbsp;</td>";
        } else {
            $holidayComments = "";

            if ($comptListWorkCalendar == 0) {
                if ($dayHourArray[($i % 7)] == 0) {
                    $classCell = "weekend";
                } else {
                    $classCell = "workday";
                }
            } else {
                $h = array_search($dateLink, $listWorkCalendar->wca_date);

                if ($listWorkCalendar->wca_comments[$h] != "") {
                    $holidayComments = "<I>" . nl2br(html_entity_decode($listWorkCalendar->wca_comments[$h], ENT_QUOTES, $htmlEntityCharset)) . "</I>";
                }

                if ($listWorkCalendar->wca_type[$h] == DT_WEEKEND) {
                    $classCell = "weekend";
                } else if ($listWorkCalendar->wca_type[$h] == DT_WORKDAY) {
                    $classCell = "workday";
                } else if ($listWorkCalendar->wca_type[$h] == DT_STATUTORY_HOLIDAY) {
                    $classCell = "statutoryHoliday";
                } else if ($listWorkCalendar->wca_type[$h] == DT_MAKEUP_HOLIDAY) {
                    $classCell = "makeupHoliday";
                } else {
                    $classCell = "workday";
                }
            }

            if ($dateLink == $dateToday) {
                $classCell = "old";
            }

            echo "<td width=14% align=left valign=top class=\"$classCell\" onmouseover=\"this.style.backgroundColor='" . $block2->highlightOn . "'\" onmouseout=\"this.style.backgroundColor='" . $highlightOff . "'\"><div align=right>";
            if ($holidayComments != "") {
                echo $holidayComments . "&nbsp;";
            }
            echo $blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$dateLink&amp;type=dayList", $day, in) . "</div>";

            if ($comptListCalendarScan != "0") {
                for ($h = 0;$h < $comptListCalendarScan;$h++) {
                    if ($listCalendarScan->cal_reminder[$h] == '1') {
                        echo "<img src=\"../themes/" . THEME . "/bell.gif\" alt=\"" . lang_strings('calendar_reminder') . "\">&nbsp;";
                    }
                    echo $blockPage->buildLink("../calendar/viewcalendar.php?viewCalend=$viewCalend&amp;dateEnreg=" . $listCalendarScan->cal_id[$h] . "&amp;type=calendDetail&amp;dateCalend=$dateLink", $listCalendarScan->cal_shortname[$h], in) . "<br>";
                } 
            } 
            if ($comptListMeetings != "0") {
                for ($h = 0;$h < $comptListMeetings;$h++) {
                    if ($listMeetings->mee_date[$h] == $dateLink) {
                        if ($listMeetings->mee_reminder[$h] == '1') {
                            echo "<img src=\"../themes/" . THEME . "/bell.gif\" alt=\"" . lang_strings('calendar_reminder') . "\">&nbsp;";
                        }
                        echo lang_strings("meeting") . ": ";
                        echo $blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$h], $listMeetings->mee_name[$h], in) . "<br>";
                    } 
                }
            }
            if ($comptListTasks != "0") {
                for ($h = 0;$h < $comptListTasks;$h++) {
                    if ($listTasks->tas_start_date[$h] == $dateLink && $listTasks->tas_start_date[$h] != $listTasks->tas_due_date[$h]) {
                        echo lang_strings("task") . ": ";
                        echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], $listTasks->tas_name[$h], in) . " (" . lang_strings("start_date") . ")<br>";
                    } 

                    if ($listTasks->tas_start_date[$h] != '--' && $listTasks->tas_start_date[$h] < $dateLink && $listTasks->tas_start_date[$h] != $listTasks->tas_due_date[$h] && $dateLink < $listTasks->tas_due_date[$h] && $dayHourArray[($i % 7)] > 0) {
                        echo lang_strings("task") . ": ";
                        echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], $listTasks->tas_name[$h], in) . "<br>";
                    }

                    if ($listTasks->tas_due_date[$h] == $dateLink && $listTasks->tas_start_date[$h] != $listTasks->tas_due_date[$h]) {
                        echo lang_strings("task") . ": ";
                        if ($listTasks->tas_due_date[$h] <= $date && $listTasks->tas_completion[$h] != "10") {
                            echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], "<b>" . $listTasks->tas_name[$h] . "</b>", in) . " (" . lang_strings("due_date") . ")<br>";
                        } else {
                            echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], $listTasks->tas_name[$h], in) . " (" . lang_strings("due_date") . ")<br>";
                        } 
                    } 

                    if ($listTasks->tas_start_date[$h] == $dateLink && $listTasks->tas_due_date[$h] == $dateLink) {
                        echo lang_strings("task") . ": ";
                        if ($listTasks->tas_due_date[$h] <= $date && $listTasks->tas_completion[$h] != "10") {
                            echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], "<b>" . $listTasks->tas_name[$h] . "</b>", in) . "<br>";
                        } else {
                            echo $blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$h], $listTasks->tas_name[$h], in) . "<br>";
                        } 
                    } 
                } 
            } 
            if ($comptListTasks == "0" || $comptListMeetings == "0" || $comptListCalendarScan == "0") {
                echo "<br>";
            } 
            echo "</td>";
        } 

        if (($i % 7) == 0) {
            echo "</tr><tr>\n";
        } 
    } 

    if (($i % 7) != 1) {
        echo "</tr><tr>\n";
    } 

    echo "</table>";
    $block2->closeForm();

    if ($activeJpgraph == "true" && $gantt == "true") {
        // show the expanded or compact Gantt Chart
        if ($_GET['base'] == 1) {
            echo "<a href='viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$dateCalend&amp;base=0&amp;type=$type'>expand</a><br>";
        } else {
            echo "<a href='viewcalendar.php?viewCalend=$viewCalend&amp;dateCalend=$dateCalend&amp;base=1&amp;type=$type'>compact</a><br>";
        }

        echo "<img src=\"graphtasks.php?viewCalend=$viewCalend&amp;dateCalend=$dateCalend&amp;base=" . $_GET['base'] . "\" alt=\"\"><br>
<span class=\"listEvenBold\">" . $blockPage->buildLink("http://www.aditus.nu/jpgraph/", "JpGraph", powered) . "</span>";
    } 
} 

require_once("../themes/" . THEME . "/footer.php");

?>

<script>
function disableReminderTime() {
    document.calendForm.reminder_time1.disabled = true;
    document.calendForm.reminder_time2.disabled = true;
}

function enableReminderTime() {
    document.calendForm.reminder_time1.disabled = false;
    document.calendForm.reminder_time2.disabled = false;
}

function changeStartTime(theObj)
{
    var x=document.calendForm.time_end.value;
    var y=theObj.value;
    var hs=y.substr(0, 2);
    var ms=y.substr(3, 2);
    var hi=parseInt(hs);

    if (x<=y) {
        hi++;

        if (hi == 24) ms = "00";

        if (hi < 10)
            hs = "0" + hi.toString();
        else
            hs = hi.toString();

        document.calendForm.time_end.value = hs + ":" + ms;
    }
}

function changeEndTime(theObj)
{
    var x=document.calendForm.time_start.value;
    var y=theObj.value;
    var hs=y.substr(0, 2);
    var ms=y.substr(3, 2);
    var hi=parseInt(hs);

    if (x>=y) {
        hi--;

        if (hi < 0) {
            hi = 0;
            ms = "00";
        }

        if (hi < 10)
            hs = "0" + hi.toString();
        else
            hs = hi.toString();

        document.calendForm.time_start.value = hs + ":" + ms;
    }
}

function changeReminder(theObj)
{
    var x=document.calendForm.reminder_time1.value;
    var y=document.calendForm.reminder_time2.value;
    var x1=parseInt(x);
    var y1=parseInt(y);

    if (x1 == y1) {
        document.calendForm.reminder_time2.value = "0";
    } else if (x1 < y1) {
        document.calendForm.reminder_time1.value = y;
        document.calendForm.reminder_time2.value = x;
    }
}
</script>
