<?php // $Revision: 1.18 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: messages.php,v 1.18 2006/07/28 09:57:01 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

switch ($msg) {
    case demo:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("demo_mode") . " " . $blockPage->buildLink($urlContact, lang_strings("sourceforge_link"), out);
        break;

    case permissiondenied:
        $msgLabel = lang_strings("no_permissions");
        break;

    case logout:
        $msgLabel = lang_strings("success_logout");
        break;

    case noteOwner:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("note_owner");
        break;

    case taskOwner:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("task_owner");
        break;

    case meetingOwner:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("meeting_owner");
        break;

    case projectOwner:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("project_owner");
        break;

    case email_pwd:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("email_pwd");
        break;

    case deleteTopic:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : $num of $num discussions were deleted.";
        break;

    case closeTopic:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : $num of $num discussions were closed.";
        break;

    case createProjectSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("project_site_created");
        break;

    case removeProjectSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("project_site_deleted");
        break;

    case addClientToSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("add_user_project_site");
        break;

    case removeClientToSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("remove_user_project_site");
        break;

    case deleteTeamOwnerMix:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("delete_teamownermix");
        break;

    case deleteTeamOwner:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("delete_teamowner");
        break;

    case deleteYourselfMix:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("delete_yourselfmix");
        break;

    case deleteYourself:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("delete_yourself");
        break;

    case addToSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("add_project_site_success");
        break;

    case removeToSite:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("remove_project_site_success");
        break;

    case updateFile:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("update_comment_file");
        break;

    case addFile:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("add_file_success");
        break;

    case deleteFile:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("delete_file_success");
        break;

    case add:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("addition_succeeded");
        break;

    case delete:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("deletion_succeeded");
        break;

    case addReport:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("report_created");
        break;

    case deleteReport:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("deleted_reports");
        break;

    case addAssignment:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("addition_succeeded") . ", " . lang_strings("add_optional") . " " . $blockPage->buildLink("assignmentcomment.php?task=" . $taskDetail->tas_id[0] . "&amp;id=$assids", "<b>" . lang_strings("assignment_comment") . "</b>", in);
        break;

    case updateAssignment:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("modification_succeeded") . ", " . lang_strings("add_optional") . " " . $blockPage->buildLink("assignmentcomment.php?task=" . $taskDetail->tas_id[0] . "&amp;id=$assids", "<b>" . lang_strings("assignment_comment") . "</b>", in);
        break;

    case deleteAssignment:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("deletion_succeeded") . ", " . lang_strings("add_optional") . " " . $blockPage->buildLink("assignmentcomment.php?task=" . $taskDetail->tas_id[0] . "&amp;id=$assids", "<b>" . lang_strings("assignment_comment") . "</b>", in);
        break;

    case update:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("modification_succeeded");
        break;

    case blankUser:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("blank_user");
        break;

    case blankClient:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("blank_organization");
        break;

    case blankProject:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("blank_project");
        break;

    case settingsNotwritable:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("settings_notwritable");
        break;

    case email:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("email_sent");
        break;

    case emailpwd:
        $msgLabel = '<b>' . lang_strings('success') . '</b> : ' . lang_strings('email_pwd');
        break;

    case addMeeting:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("addition_succeeded");
        break;

    case updateAttendants:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("attendants_modification_succeeded");
        break;

    case taskDependency:
        $msgLabel = "<b>" . lang_strings("errors") . "</b> " . lang_strings("interdependency_failed");
        break;

    case addPredecessor:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("add_predecessor_success");
        break;

    case deletePredecessor:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("delete_predecessor_success");
        break;

    case dateLack:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("lack_of_dates");
        break;

    case ftokError:
        $msgLabel = "<b>" . lang_strings("errors") . "</b> : " . lang_strings("ftok_error");
        break;

    case semgetError:
        $msgLabel = "<b>" . lang_strings("errors") . "</b> : " . lang_strings("sem_get_error");
        break;

    case semacquireError:
        $msgLabel = "<b>" . lang_strings("errors") . "</b> : " . lang_strings("sem_acquire_error");
        break;

    case noAvailableResources:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_available_resources");
        break;

    case noMilestone:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_milestone_indentation");
        break;

    case leadingTask:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_leading_task_indentation");
        break;

    case leadingSubTask:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_leading_subtask_indentation");
        break;

    case loopError:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("result_in_a_loop_indentation");
        break;

    case indentation:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("task_indent_success");
        break;

    case noParentTask:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_parent_task_unindentation");
        break;

    case unindentation:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("task_unindent_success");
        break;

    case diffLevel:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("tasks_in_different_levels");
        break;

    case diffParent:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("tasks_belong_to_different_parent");
        break;

    case diffPhase:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("tasks_belong_to_different_phase");
        break;

    case noMilestoneGroup:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_milestone_belong_to_task_group");
        break;

    case noPartialTaskType:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_partial_task_type");
        break;

    case noPartialTaskTypeCopy:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_partial_task_type_cpy");
        break;

    case noPartialSubmitted:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_partial_submitted");
        break;

    case addToSubmitted:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("add_submitted_item_success");
        break;

    case removeToSubmitted:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("remove_submitted_item_success");
        break;

    case appraiserMissing:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("appraiser_missing");
        break;

    case deleteDependencies:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("delete_dependencies_success");
        break;

    case submitTimesheet:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("submit_timesheets_success");
        break;

    case approveTimesheet:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("approve_timesheets_success");
        break;

    case rejectTimesheet:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("reject_timesheets_success");
        break;

    case actionMissing:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("action_missing");
        break;

    case timeticketInUse:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("timeticket_in_use");
        break;

    case noWorkCalendar:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_workcalendar");
        break;

    case noSupervisors:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_supervisors");
        break;

    case sortingsResetted:
        $msgLabel = "<b>" . lang_strings("success") . "</b> : " . lang_strings("sortings_resetted");
        break;

    case noAvailableUsers:
        $msgLabel = "<b>" . lang_strings("attention") . "</b> : " . lang_strings("no_available_users");
        break;

} 

?>
