<?php // $Revision: 1.16.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */
/**
 * $Id: upgrade.php,v 1.16.2.1 2007/11/22 01:17:18 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

require_once('../languages/help_en.php');
$versionNew = 'Dwins-1.3';
$dateheure = date("Y-m-d H:i");
$dateheures = date("Y-m-d H:i:s");
$step = $_REQUEST['step'];

if ($step == "") {
    $step = "1";
}

$dbTypList = array("pg","my");
$checkList = array(
    "/administration/systeminfo.php" => "File",
    "/administration/updatesettings.php" => "File",
    "/installation/db_var.inc.php" => "File",
    "/installation/setup_db.php" => "File",
    "/installation/setup_settings.php" => "File",
    "/includes/library.php" => "File",
    "/includes/request.class.php" => "File",
    "/includes/settings.php" => "File",
    "/includes/jpgraph" => "Directory",
    "/files" => "Directory",
    "/logos_clients" => "Directory");
$setTitle = "netOffice Dwins Web-Based Upgrade";
define('THEME', 'sitespring');
$blank = "true";
require_once("../themes/" . THEME . "/block.class.php");
require_once("../themes/" . THEME . "/header.php");
$block1 = new block();
$block1->form = "upgrade";
$block1->openForm("../installation/upgrade.php?#" . $block1->form . "Anchor");

switch ($step) {
    case "1":
        $block1->heading("License");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");
        $copying = file_get_contents("../docs/copying.txt");
        $block1->contentRow("", "<pre>$copying</pre>");
        echo "<input type=\"hidden\" name=\"step\" value=\"2\">";
        $submitName = "check file permissions";
        break;
    case "2":
        $error = false;

        foreach ($checkList as $fileChk => $fileTyp) {
            if (is_writable(".." . $fileChk) == false) {
                $error = true;
                break;
            }
        }

        if ($error) {
            $block1->headingError("Errors found!");
            $block1->contentError("In order for the package to work correctly, the following files must be writeable by the server. Please change the permission setting for these files. (i.e. 'chmod 666 file_name' and 'chmod 777 dir_name' on a UNIX/LINUX server, or check the properties of the file and make sure the read-only flag is not set on a Windows server)");
            echo "<input type=\"hidden\" name=\"step\" value=\"2\">";
            $submitName = "Reload";
        } else {
            echo "<input type=\"hidden\" name=\"step\" value=\"3\">";
            $submitName = "Settings";
        }

        $block1->heading("Check File Permissions");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");

        foreach($checkList as $fileChk => $fileTyp) {
            if (is_writable(".." . $fileChk)) {
                $block1->contentRow("<img src=\"ok.gif\"/>", "$fileTyp $fileChk is writable.", "false", "");
            } else {
                $block1->contentRow("<img src=\"wrong.gif\"/>", "<b>$fileTyp $fileChk is NOT writable.</b>", "false", "");
            }
        }

        if (!$error) {
            $block1->contentRow("", "");
            $block1->contentRow("", "No errors detected.");
        }

        break;
    case "3":
        $action = $_REQUEST['action'];
        $tbprefix = $_REQUEST['tbprefix'];
        $enableTinyMCENew = $_REQUEST['enableTinyMCENew'];
        $cryptKey = get_crypt_key();

        if ($action == "save") {
            if ($tbprefix == '') {
                $error = 'Must be insert the Table prefix.';
            } else if ($_FILES['upload']['name'] == "") {
                $error = 'No files linked.';
            } else {
                require_once($_FILES['upload']['tmp_name']);

                if ($tbprefix == $tablePrefix) {
                    $error = 'The old table prefix and the new one are the same, please choose another table prefix.';
                }
            }
        }

        if ($error != '') {
            $block1->headingError("Errors found!");
            $block1->contentError($error);
            $action = "";
        }

        if ($action != "save") {
            if ($enableTinyMCENew == 'true') {
                $checked1_w = 'checked';
            } else {
                $checked2_w = 'checked';
            }

            $block1->heading("Settings");
            $block1->openContent();
            $block1->contentTitle("&nbsp;");
            $block1->contentRow("* Table prefix [<a href=\"javascript:void(0);\" onmouseover=\"return overlib('" . addslashes($help["setup_myprefix"]) . "',ABOVE,SNAPX,550,BGCOLOR,'#5B7F93',FGCOLOR,'#C4D3DB');\" onmouseout=\"return nd();\">Help</a>]", "<input size=\"44\" value=\"$tbprefix\" style=\"width: 200px\" name=\"tbprefix\" maxlength=\"100\" type=\"text\">");
            $block1->contentRow("Javascript HTML WYSIWYG editor", '<input type="radio" name="enableTinyMCENew" value="false" '.$checked2_w.'> Off&nbsp;<input type="radio" name="enableTinyMCENew" value="true" '.$checked1_w.'> On');
            $block1->contentRow("* Previous settings.php", "<input size=\"44\" class=\"input_text\" name=\"upload\" type=\"FILE\">");
            echo "<input type=\"hidden\" name=\"step\" value=\"3\">";
            echo "<input type=\"hidden\" name=\"action\" value=\"save\">";
            $submitName = "Save";
            break;
        }
    case "4":
        $error = false;
        $block1->heading("Save settings");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");
        $dbtype = "my";

        foreach ($checkList as $fileChk => $fileTyp) {
            if ($fileTyp == "File" && $fileChk != "/includes/settings.php") {
                $content = file_get_contents(".." . $fileChk . "." . $dbtype);

                if (write_file($content, ".." . $fileChk)) {
                    $block1->contentRow("<img src=\"ok.gif\"/>", "$fileTyp $fileChk copied.", "false", "");
                } else {
                    $block1->contentRow("<img src=\"wrong.gif\"/>", "<b>$fileTyp $fileChk DID NOT copy.</b>", "false", "");
                    $error = true;
                }
            }
        }

        if (!$error) {
            $htmlEntityCharset = version_compare(phpversion(), "5", ">=") == 1 ? 'UTF-8' : 'ISO-8859-1';
            require_once('./upgrade_settings.php');

            if (write_file($settingsNew, "../includes/settings.php")) {
                $block1->contentRow("<img src=\"ok.gif\"/>", "File /includes/settings.php created.", "false", "");
            } else {
                $block1->contentRow("<img src=\"wrong.gif\"/>", "<b>File /includes/settings.php DID NOT create.</b>", "false", "");
                $error = true;
            }
        }

        if (!$error) {
            if (version_compare(phpversion(), "5", ">=") == 1) {
                $dirCpy = "/includes/jpgraph-2.0beta";
            } else {
                $dirCpy = "/includes/jpgraph-1.19";
            }

            if (dircpy(".." . $dirCpy, "../includes/jpgraph")) {
                $block1->contentRow("<img src=\"ok.gif\"/>", "Files in /includes/jpgraph created.", "false", "");
            } else {
                $block1->contentRow("<img src=\"wrong.gif\"/>", "<b>Files in /includes/jpgraph DID NOT create.</b>", "false", "");
                $error = true;
            }
        }

        if (!$error) {
            $block1->contentRow("", "");
            $block1->contentRow("", "Configuration data has been saved successfully.");
            $submitName = "Check database";
            echo "<input type=\"hidden\" name=\"step\" value=\"5\">";
        } else {
            $submitName = "Restart from the beginning";
            echo "<input type=\"hidden\" name=\"step\" value=\"\">";
        }

        break;
    case "5":
        $block1->heading("Check database");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");
        require_once("../includes/settings.php");
        $my = mysql_connect(MYSERVER, MYLOGIN, MYPASSWORD);
        $error = false;

        if (mysql_errno() == 0) {
            $block1->contentRow("<img src=\"ok.gif\"/>", "Connection to database server is OK.", "false", "");
            mysql_select_db(MYDATABASE, $my);

            if (mysql_errno() == 0) {
                $block1->contentRow("<img src=\"ok.gif\"/>", "Database " . MYDATABASE . " exists and connectable.", "false", "");
            } else {
                $block1->contentRow("<img src=\"wrong.gif\"/>", "Database " . MYDATABASE . " does not exists.", "false", "");
                $error = true;
            }

            mysql_close($my);
        } else {
            $block1->contentRow("<img src=\"wrong.gif\"/>", "Could not connect to the database server.", "false", "");
            $error = true;
        }

        $block1->contentRow("", "");

        if ($error) {
            $block1->contentRow("", "Please check the database server and its configuration.");
            $submitName = "Reload";
            echo "<input type=\"hidden\" name=\"step\" value=\"5\">";
        } else {
            $block1->contentRow("", "No errors detected.");
            $block1->contentRow("<input value=\"dump\" name=\"dump\" type=\"checkbox\" checked>", "Dump SQLs", "false", "");
            $submitName = "Data migration";
            echo "<input type=\"hidden\" name=\"step\" value=\"6\">";
        }

        break;
    case "6":
        $dump = $_REQUEST['dump'];
        $block1->heading("Data migration");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");
        $error = false;
        require_once("../includes/settings.php");

        if ($versionPrev == "2.5.3-pl1") {
            include_once('./upgrade_db2.5.3-pl1.php');
        } else if ($versionPrev == "2.6.0b1") {
            include_once('./upgrade_db2.6.0b1.php');
        } else if ($versionPrev == "2.6.0b2") {
            include_once('./upgrade_db2.6.0b2.php');
        } else if ($versionPrev == "Dwins-1.2.2") {
            include_once('./upgrade_dbDwins-1.2.2.php');
        } else {
            $block1->contentRow("<img src=\"wrong.gif\"/>", "Upgrade from netOffice v$versionPrev is impossible.");
            $submitName = "Restart from the beginning";
            echo "<input type=\"hidden\" name=\"step\" value=\"\">";
            $error = true;
            break;
        }

        $my = mysql_connect(MYSERVER, MYLOGIN, MYPASSWORD);
        mysql_select_db(MYDATABASE, $my);
        $error = false;

        for ($con = 0; $con < count($SQL); $con++) {
            mysql_query($SQL[$con]); 

            if (mysql_errno() != 0) {
                $block1->contentRow("<img src=\"wrong.gif\"/>", $SQL[$con], "false", "");
                $block1->contentRow("", mysql_error());
                $error = true;
            } else if ($dump == "dump") {
                $block1->contentRow("<img src=\"ok.gif\"/>", $SQL[$con], "false", "");
            }
        }

        mysql_close($my);

        if (!$error && $enableTinyMCE == "true") {
            include_once('./upgrade_nl2br.php');
            $my = mysql_connect(MYSERVER, MYLOGIN, MYPASSWORD);
            mysql_select_db(MYDATABASE, $my);

            for ($con = 0; $con < count($SQL); $con++) {
                mysql_query($SQL[$con]); 

                if (mysql_errno() != 0) {
                    $block1->contentRow("<img src=\"wrong.gif\"/>", $SQL[$con], "false", "");
                    $block1->contentRow("", mysql_error());
                    $error = true;
                } else if ($dump == "dump") {
                    $block1->contentRow("<img src=\"ok.gif\"/>", $SQL[$con], "false", "");
                }
            }

            mysql_close($my);
        }

        if ($error) {
            $submitName = "Check database again";
            echo "<input type=\"hidden\" name=\"step\" value=\"5\">";
        } else {
            $block1->contentRow("", "");
            $block1->contentRow("", "Data was migrated successfully.");
            $submitName = "Finish";
            echo "<input type=\"hidden\" name=\"root\" value=\"$root\">";
            echo "<input type=\"hidden\" name=\"step\" value=\"7\">";
        }

        break;
    case "7":
        foreach ($dbTypList as $dbTyp) {
            foreach ($checkList as $fileChk => $fileTyp) {
                $pathName = ".." . $fileChk . "." . $dbTyp;

                if ($fileTyp == "File" && $fileChk != "/includes/settings.php" && file_exists($pathName)) {
                    @unlink($pathName);
                }
            }
        }

        rmdirr('../includes/jpgraph-1.19');
        rmdirr('../includes/jpgraph-2.0beta');
        $root = $_REQUEST['root'];
        $block1->heading("Installation Complete");
        $block1->openContent();
        $block1->contentTitle("&nbsp;");
        $block1->contentRow("Your site", $block1->buildLink($root, "Click HERE to see the home page of your site.", "in"));
        $block1->contentRow("Support", $block1->buildLink("http://netofficedwins.sourceforge.net", "Visit netOffice Dwins", "in"));
        break;
}

if ($step != "7") {
    $block1->contentRow("", "<input type=\"SUBMIT\" name=\"save\" value=\"$submitName\" $saveDisabled>");
}

$block1->closeContent();
$block1->closeForm();
$footerDev = false;
require_once("../themes/" . THEME . "/footer.php");

// Write file
function write_file($content, $dest)
{
    $fp = @fopen($dest, 'wb+');
    $fw = fwrite($fp, $content);
    fclose($fp);
    return $fw;
}

// Generates the unique [en|de]cryption key for your installation
function get_crypt_key()
{
  srand((double)microtime()*1000000);
  return(md5(uniqid(rand(),1)));
}

// copy a directory and all subdirectories and files (recursive)
// void dircpy( str 'source directory', str 'destination directory' [, bool 'overwrite existing files'] )
function dircpy($source, $dest, $overwrite = false){
    if ($handle = opendir($source)) { // if the folder exploration is sucsessful, continue
        while (false !== ($file = readdir($handle))) { // as long as storing the next file to $file is successful, continue
            if ($file != '.' && $file != '..') {
                $path = $source . '/' . $file;

                if (is_file($path)) {
                    if (!is_file($dest . '/' . $file) || $overwrite)
                        if (!@copy($path, $dest . '/' . $file)) {
                            return false;
                        }
                } elseif (is_dir($path)) {
                    if (!is_dir($dest . '/' . $file))
                        mkdir($dest . '/' . $file); // make subdirectory before subdirectory is copied

                    dircpy($path, $dest . '/' . $file, $overwrite); //recurse!
                }
            }
       }

       closedir($handle);
    }

    return true;
} // end of dircpy()

/**
 * Delete a file, or a folder and its contents
 *
 * @author      Aidan Lister <aidan@php.net>
 * @version     1.0.2
 * @param       string   $dirname    Directory to delete
 * @return      bool     Returns TRUE on success, FALSE on failure
 */
function rmdirr($dirname)
{
    // Sanity check
    if (!file_exists($dirname)) {
        return false;
    }
 
    // Simple delete for a file
    if (is_file($dirname)) {
        usleep(10);
        return unlink($dirname);
    }
 
    // Loop through the folder
    $dir = dir($dirname);
    while (false !== $entry = $dir->read()) {
        // Skip pointers
        if ($entry == '.' || $entry == '..') {
            continue;
        }
 
        // Recurse
        rmdirr("$dirname/$entry");
    }
 
    // Clean up
    $dir->close();
    usleep(10);
    return rmdir($dirname);
}

?>
