<?php // $Revision: 1.46 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: lang_en.php,v 1.46 2006/09/25 07:59:03 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// translator(s): Stphane Dion <contact@sdion.net>
$topicNote = array(1 => 'Phone Conversation',
    2 => 'Conference Notes',
    3 => 'General Notes'
    );

$phaseArraySets = array(
    // Define the names of your phase sets
    'sets' => array(1 => 'Website', 2 => 'Application'), 
    // List the individual items within each phase set.
    // Website Set
    1 => array(0 => 'Concept', 1 => 'Planning', 2 => 'Development',
        3 => 'Testing', 4 => 'Rollout', 5 => 'Maintenance'), 
    // Application Set
    2 => array(0 => 'Concept', 1 => 'Planning', 2 => 'Development',
        3 => 'Testing', 4 => 'Rollout', 5 => 'Maintenance')
    );

$autoLogoutOptions = array(
    0 => 'Disabled',
    300 => '5 minutes',
    600 => '10 minutes',
    900 => '15 minutes',
    1800 => '30 minutes',
    2700 => '45 minutes',
    3600 => '60 minutes'
    );

$startPageOptions = array(
    'general/home.php' => 'Home page',
    'calendar/viewcalendar.php' => 'Calendar',
    'bookmarks/listbookmarks.php?view=my' => 'My Bookmarks',
    'reports/createreport.php?typeReports=custom' => 'Reports',
    'timesheet/viewtimesheet.php' => 'Timesheet'
    );

$setCharset = 'ISO-8859-1';

$byteUnits = array('Bytes', 'KB', 'MB', 'GB');

$dayNameArray = array(0 => 'Sunday', 1 => 'Monday', 2 => 'Tuesday', 3 => 'Wednesday', 4 => 'Thursday', 5 => 'Friday', 6 => 'Saturday', 7 => 'Sunday');
$dayShortNameArray = array(0 => 'Sun', 1 => 'Mon', 2 => 'Tue', 3 => 'Wed', 4 => 'Thu', 5 => 'Fri', 6 => 'Sat', 7 => 'Sun');

$monthNameArray = array(1 => 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');

$status = array(
    ST_CLIENT_COMPLETED => 'Client Completed',
    ST_COMPLETED => 'Completed',
    ST_NOT_STARTED => 'Not Started',
    ST_OPEN => 'Open',
    ST_SUSPENDED => 'Suspended'
    );

$profil = array(
    PF_ADMINISTRATOR => 'Administrator',
    PF_PROJECT_MANAGER => 'Project Manager',
    PF_USER => 'User',
    PF_CLIENT_USER => 'Client User',
    PF_DISABLED => 'Disabled',
    PF_PROJECT_MANAGER_ADMINISTRATOR => 'Project Manager Administrator',
    PF_HR_MANAGER => 'HR Manager'
    );

$priority = array(
    PR_NONE => 'None',
    PR_VERY_LOW => 'Very low',
    PR_LOW => 'Low',
    PR_MEDIUM => 'Medium',
    PR_HIGH => 'High',
    PR_VERY_HIGH => 'Very high'
    );

$statusTopic = array(0 => 'Closed', 1 => 'Open');
$statusTopicBis = array(0 => 'Yes', 1 => 'No');

$statusPublish = array(PB_YES => 'Yes', PB_NO => 'No');

$statusFile = array(
    FS_APPROVED => 'Approved',
    FS_APPROVED_WITH_CHANGES => 'Approved With Changes',
    FS_NEEDS_APPROVAL => 'Needs Approval',
    FS_NO_APPROVALS_NEEDED => 'No Approvals Needed',
    FS_NOT_APPROVED => 'Not Approved'
    );

$phaseStatus = array(
    PS_NOT_STARTED => 'Not started',
    PS_OPEN => 'Open',
    PS_COMPLETE => 'Complete',
    PS_SUSPENDED => 'Suspended'
    );

$requestStatus = array(RQ_NEW => 'New', RQ_OPEN => 'Open', RQ_COMPLETE => 'Complete');

$projectType = array(
    PT_INTERNAL_PROJECT => 'Internal project',
    PT_EXTERNAL_PROJECT => 'External project',
    2 => 'Research',
    3 => 'Administration',
    4 => 'Training'
    );

$strings['please_login'] = 'Please log in';
$strings['requirements'] = 'System Requirements';
$strings['login'] = 'Log In';
$strings['no_items'] = 'No items to display';
$strings['logout'] = 'Log Out';
$strings['preferences'] = 'Preferences';
$strings['my_tasks'] = 'My Tasks';
$strings['edit_task'] = 'Edit Task';
$strings['copy_task'] = 'Copy Task';
$strings['add_task'] = 'Add Task';
$strings['delete_tasks'] = 'Delete Tasks';
$strings['assignment_history'] = 'Assignment History';
$strings['assigned_on'] = 'Assigned On';
$strings['assigned_by'] = 'Assigned By';
$strings['to'] = 'To';
$strings['comment'] = 'Comment';
$strings['task_assigned'] = 'Task assigned to ';
$strings['task_unassigned'] = 'Task assigned to Unassigned (Unassigned)';
$strings['edit_multiple_tasks'] = 'Edit Multiple Tasks';
$strings['tasks_selected'] = 'tasks selected. Choose new values for these tasks, or select [No Change] to retain current values.';
$strings['assignment_comment'] = 'Assignment Comment';
$strings['no_change'] = '[No Change]';
$strings['my_discussions'] = 'My Discussions';
$strings['discussions'] = 'Discussions';
$strings['delete_discussions'] = 'Delete Discussions';
$strings['delete_discussions_note'] = 'Note: Discussions cannot be reopened once they are deleted.';
$strings['topic'] = 'Topic';
$strings['posts'] = 'Posts';
$strings['latest_post'] = 'Latest Post';
$strings['my_reports'] = 'My Reports';
$strings['reports'] = 'Reports';
$strings['create_report'] = 'Create Report';
$strings['report_intro'] = 'Select your task reporting parameters here and save the query on the results page after running your report.';
$strings['admin_intro'] = 'Project settings and configuration.';
$strings['copy_of'] = 'Copy of ';
$strings['add'] = 'Add';
$strings['delete'] = 'Delete';
$strings['remove'] = 'Remove';
$strings['copy'] = 'Copy';
$strings['view'] = 'View';
$strings['edit'] = 'Edit';
$strings['update'] = 'Update';
$strings['details'] = 'Details';
$strings['none'] = 'None';
$strings['close'] = 'Close';
$strings['new'] = 'New';
$strings['select_all'] = 'Select All';
$strings['unassigned'] = 'Unassigned';
$strings['administrator'] = 'Administrator';
$strings['my_projects'] = 'My Projects';
$strings['project'] = 'Project';
$strings['active'] = 'Active';
$strings['inactive'] = 'Inactive';
$strings['project_id'] = 'Project ID';
$strings['edit_project'] = 'Edit Project';
$strings['copy_project'] = 'Copy Project';
$strings['add_project'] = 'Add Project';
$strings['clients'] = 'Clients';
$strings['organization'] = 'Client Organization';
$strings['client_projects'] = 'Client Projects';
$strings['client_users'] = 'Client Users';
$strings['edit_organization'] = 'Edit Client Organization';
$strings['add_organization'] = 'Add Client Organization';
$strings['organizations'] = 'Client Organizations';
$strings['info'] = 'Info';
$strings['status'] = 'Status';
$strings['owner'] = 'Owner';
$strings['home'] = 'Home';
$strings['projects'] = 'Projects';
$strings['files'] = 'Files';
$strings['search'] = 'Search';
$strings['admin'] = 'Admin';
$strings['user'] = 'User';
$strings['project_manager'] = 'Project Manager';
$strings['due'] = 'Due';
$strings['task'] = 'Task';
$strings['tasks'] = 'Tasks';
$strings['team'] = 'Team';
$strings['add_team'] = 'Add Team Members';
$strings['team_members'] = 'Team Members';
$strings['full_name'] = 'Full name';
$strings['title'] = 'Title';
$strings['user_name'] = 'User Name';
$strings['work_phone'] = 'Work Phone';
$strings['priority'] = 'Priority';
$strings['name'] = 'Name';
$strings['id'] = 'ID';
$strings['description'] = 'Description';
$strings['phone'] = 'Phone';
$strings['url'] = 'URL';
$strings['address'] = 'Address';
$strings['comments'] = 'Comments';
$strings['created'] = 'Created';
$strings['assigned'] = 'Assigned';
$strings['modified'] = 'Modified';
$strings['assigned_to'] = 'Assigned to';
$strings['due_date'] = 'Due Date';
$strings['estimated_time'] = 'Estimated Time';
$strings['actual_time'] = 'Actual Time';
$strings['delete_following'] = 'Delete the following?';
$strings['cancel'] = 'Cancel';
$strings['and'] = 'and';
$strings['administration'] = 'Administration';
$strings['user_management'] = 'User Management';
$strings['system_information'] = 'System Information';
$strings['product_information'] = 'Product Information';
$strings['system_properties'] = 'System Properties';
$strings['create'] = 'Create';
$strings['report_save'] = 'Save this report query to your homepage so you can run the query again.';
$strings['report_name'] = 'Report Name';
$strings['save'] = 'Save';
$strings['matches'] = 'Matches';
$strings['match'] = 'Match';
$strings['report_results'] = 'Report Results';
$strings['success'] = 'Success';
$strings['addition_succeeded'] = 'Addition succeeded';
$strings['deletion_succeeded'] = 'Deletion succeeded';
$strings['report_created'] = 'Created report';
$strings['deleted_reports'] = 'Deleted reports';
$strings['modification_succeeded'] = 'Modification succeeded';
$strings['errors'] = 'Errors found!';
$strings['blank_user'] = 'The user cannot be found.';
$strings['blank_organization'] = 'The client organization cannot be located.';
$strings['blank_project'] = 'The project cannot be located.';
$strings['blank_task'] = 'The task cannot be located.';
$strings['user_profile'] = 'User Profile';
$strings['change_password'] = 'Change Password';
$strings['change_password_user'] = 'Change the user\'s password.';
$strings['old_password_error'] = 'The old password you entered is incorrect. Please re-enter the old password.';
$strings['new_password_error'] = 'The two passwords you entered did not match. Please re-enter your new password.';
$strings['notifications'] = 'Notifications';
$strings['change_password_intro'] = 'Enter your old password then enter and confirm your new password.';
$strings['old_password'] = 'Old Password';
$strings['password'] = 'Password';
$strings['new_password'] = 'New Password';
$strings['confirm_password'] = 'Confirm Password';
$strings['email'] = 'E-Mail';
$strings['home_phone'] = 'Home Phone';
$strings['mobile_phone'] = 'Mobile Phone';
$strings['fax'] = 'Fax';
$strings['permissions'] = 'Permissions';
$strings['administrator_permissions'] = 'Administrator Permissions';
$strings['project_manager_permissions'] = 'Project Manager Permissions';
$strings['user_permissions'] = 'User Permissions';
$strings['account_created'] = 'Account Created';
$strings['edit_user'] = 'Edit User';
$strings['edit_user_details'] = 'Edit the user account details.';
$strings['change_user_password'] = 'Change the user\'s password.';
$strings['select_permissions'] = 'Select permissions for this user';
$strings['add_user'] = 'Add User';
$strings['enter_user_details'] = 'Enter details for the user account you are creating.';
$strings['enter_password'] = 'Enter the user\'s password.';
$strings['success_logout'] = 'You have successfully logged out. You can log back in by typing your user name and password below.';
$strings['invalid_login'] = 'The user name and/or password you entered is invalid. Please re-enter your login information.';
$strings['profile'] = 'Profile';
$strings['user_details'] = 'User account details.';
$strings['edit_user_account'] = 'Edit your account information.';
$strings['no_permissions'] = 'You do not have sufficient permissions to perform that action.';
$strings['discussion'] = 'Discussion';
$strings['retired'] = 'Retired';
$strings['last_post'] = 'Last Post';
$strings['post_reply'] = 'Post Reply';
$strings['posted_by'] = 'Posted By';
$strings['when'] = 'When';
$strings['post_to_discussion'] = 'Post to Discussion';
$strings['message'] = 'Message';
$strings['delete_reports'] = 'Delete Reports';
$strings['delete_projects'] = 'Delete Projects';
$strings['delete_organizations'] = 'Delete Client Organizations';
$strings['delete_organizations_note'] = 'Note: This will delete all client users for these client organizations, and disassociate all open projects from these client organizations.';
$strings['delete_messages'] = 'Delete Messages';
$strings['attention'] = 'Attention';
$strings['delete_teamownermix'] = 'Removal successful, but the project owner cannot be removed from the project team.';
$strings['delete_teamowner'] = 'You cannot remove the project owner from the project team.';
$strings['delete_yourselfmix'] = 'Removal successful, but yourself cannot be removed from the project team.';
$strings['delete_yourself'] = 'You cannot remove yourself from the project team.';
$strings['enter_keywords'] = 'Enter keywords';
$strings['search_options'] = 'Keyword and Search Options';
$strings['search_note'] = 'You must enter information in the Search for field.';
$strings['search_results'] = 'Search Results';
$strings['users'] = 'Users';
$strings['search_for'] = 'Search for';
$strings['results_for_keywords'] = 'Search results for keywords';
$strings['add_discussion'] = 'Add Discussion';
$strings['delete_users'] = 'Delete User Accounts';
$strings['reassignment_user'] = 'Project and Task Reassignment';
$strings['there'] = 'There are';
$strings['owned_by'] = 'owned by the users above.';
$strings['reassign_to'] = 'Before deleting users, reassign these to';
$strings['no_files'] = 'No files linked';
$strings['published'] = 'Published';
$strings['project_site'] = 'Project Site';
$strings['approval_tracking'] = 'Approval Tracking';
$strings['size'] = 'Size';
$strings['add_project_site'] = 'Add to Project Site';
$strings['remove_project_site'] = 'Remove from Project Site';
$strings['more_search'] = 'More search options';
$strings['results_with'] = 'Find Results With';
$strings['search_topics'] = 'Search Topics';
$strings['search_properties'] = 'Search Properties';
$strings['date_restrictions'] = 'Date Restrictions';
$strings['case_sensitive'] = 'Case Sensitive';
$strings['yes'] = 'Yes';
$strings['no'] = 'No';
$strings['sort_by'] = 'Sort by';
$strings['type'] = 'Type';
$strings['date'] = 'Date';
$strings['all_words'] = 'all of the words';
$strings['any_words'] = 'any of the words';
$strings['exact_match'] = 'exact match';
$strings['all_dates'] = 'All dates';
$strings['between_dates'] = 'Between dates';
$strings['all_content'] = 'All content';
$strings['all_properties'] = 'All properties';
$strings['no_results_search'] = 'The search returned no results.';
$strings['no_results_report'] = 'The report returned no results.';
$strings['schema_date'] = 'YYYY/MM/DD';
$strings['hours'] = 'hours';
$strings['choice'] = 'Choice';
$strings['missing_file'] = 'Missing file !';
$strings['project_site_created'] = 'The project site was successfully created.';
$strings['project_site_deleted'] = 'The project site was successfully deleted.';
$strings['add_user_project_site'] = 'The user was successfully granted permission to access the Project Site.';
$strings['remove_user_project_site'] = 'User permission was successfully removed.';
$strings['add_project_site_success'] = 'The addition to the project site succeeded.';
$strings['remove_project_site_success'] = 'The removal from the project site succeeded.';
$strings['add_file_success'] = 'Linked 1 content item.';
$strings['delete_file_success'] = 'Unlinking succeeded.';
$strings['update_comment_file'] = 'The file comment was updated successfully.';
$strings['session_false'] = 'Session error';
$strings['logs'] = 'Logs';
$strings['logout_time'] = 'Auto Log Out';
$strings['noti_foot1'] = 'This notification was generated by NetOffice.';
$strings['noti_foot2'] = 'To view your NetOffice Home Page, visit:';
$strings['noti_taskassignment1'] = 'New task:';
$strings['noti_taskassignment2'] = 'A task has been assigned to you:';
$strings['noti_moreinfo'] = 'For more information, please visit:';
$strings['noti_prioritytaskchange1'] = 'Task priority changed:';
$strings['noti_prioritytaskchange2'] = 'The priority of the following task has changed:';
$strings['noti_statustaskchange1'] = 'Task status changed:';
$strings['noti_statustaskchange2'] = 'The status of the following task has changed:';
$strings['login_username'] = 'You must enter a user name.';
$strings['login_password'] = 'Please enter a password.';
$strings['login_clientuser'] = 'This is a client user account. You cannot access NetOffice with a client user account.';
$strings['user_already_exists'] = 'There is already a user with this name. Please choose a variation of the user\'s name.';
$strings['noti_duedatetaskchange1'] = 'Task due date changed:';
$strings['noti_duedatetaskchange2'] = 'The due date of the following task has changed:';
$strings['company'] = 'Company';
$strings['show_all'] = 'Show All';
$strings['information'] = 'Information';
$strings['delete_message'] = 'Delete this message';
$strings['project_team'] = 'Project Team';
$strings['document_list'] = 'Document List';
$strings['bulletin_board'] = 'Bulletin Board';
$strings['bulletin_board_topic'] = 'Bulletin Board Topic';
$strings['create_topic'] = 'Create a New Topic';
$strings['topic_form'] = 'Topic Form';
$strings['enter_message'] = 'Enter your message';
$strings['upload_file'] = 'Upload a File';
$strings['upload_form'] = 'Upload Form';
$strings['upload'] = 'Upload';
$strings['document'] = 'Document';
$strings['approval_comments'] = 'Approval Comments';
$strings['client_tasks'] = 'Client Tasks';
$strings['team_tasks'] = 'Team Tasks';
$strings['team_member_details'] = 'Project Team Member Details';
$strings['client_task_details'] = 'Client Task Details';
$strings['team_task_details'] = 'Team Task Details';
$strings['language'] = 'Language';
$strings['welcome'] = 'Welcome';
$strings['your_projectsite'] = 'to Your Project Site';
$strings['contact_projectsite'] = 'If you have any questions about the extranet or the information found here, please contact the project lead';
$strings['company_details'] = 'Company Details';
$strings['database'] = 'Backup and restore database';
$strings['company_info'] = 'Edit your company informations';
$strings['create_projectsite'] = 'Create Project Site';
$strings['projectsite_url'] = 'Project Site URL';
$strings['design_template'] = 'Design Template';
$strings['preview_design_template'] = 'Preview Template Design';
$strings['delete_projectsite'] = 'Delete Project Site';
$strings['add_file'] = 'Add File';
$strings['linked_content'] = 'Linked Content';
$strings['edit_file'] = 'Edit file details';
$strings['permitted_client'] = 'Permitted Client Users';
$strings['grant_client'] = 'Grant Permission to View Project Site';
$strings['add_client_user'] = 'Add Client User';
$strings['edit_client_user'] = 'Edit Client User';
$strings['client_user'] = 'Client User';
$strings['client_change_status'] = 'Change your status below when you have completed this task';
$strings['project_status'] = 'Project Status';
$strings['view_projectsite'] = 'View Project Site';
$strings['enter_login'] = 'Enter your login to receive new password';
$strings['send'] = 'Send';
$strings['no_login'] = 'Login not found in database';
$strings['email_pwd'] = 'Password sent';
$strings['no_email'] = 'User without email';
$strings['forgot_pwd'] = 'Forgot password ?';
$strings['project_owner'] = 'You can make changes only on your own projects.';
$strings['connected'] = 'Connected';
$strings['session'] = 'Session';
$strings['last_visit'] = 'Last visit';
$strings['compteur'] = 'Count';
$strings['ip'] = 'Ip';
$strings['task_owner'] = 'You have no permission to change this task.';
$strings['export'] = 'Export';
$strings['browse_cvs'] = 'Browse CVS';
$strings['repository'] = 'CVS Repository';
$strings['reassignment_clientuser'] = 'Task Reassignment';
$strings['organization_already_exists'] = 'That name is already in use in the system. Please choose another.';
$strings['blank_organization_field'] = 'You must enter the client organization name.';
$strings['blank_fields'] = 'mandatory fields';
$strings['projectsite_login_fails'] = 'We are unable to confirm the user name and password combination.';
$strings['start_date'] = 'Start date';
$strings['completion'] = 'Completion';
$strings['update_available'] = 'An update is available!';
$strings['version_current'] = 'You are currently using version';
$strings['version_latest'] = 'The latest version is';
$strings['sourceforge_link'] = 'See project page on Sourceforge';
$strings['demo_mode'] = 'Demo mode. Action not allowed.';
$strings['setup_erase'] = 'Erase the file setup.php!!';
$strings['no_file'] = 'No file selected';
$strings['exceed_size'] = 'Exceed max file size';
$strings['no_php'] = 'Php file not allowed';
$strings['approval_date'] = 'Approval date';
$strings['approver'] = 'Approver';
$strings['error_database'] = 'Can\'t connect to database';
$strings['error_server'] = 'Can\'t connect to server';
$strings['version_control'] = 'Version Control';
$strings['vc_status'] = 'Status';
$strings['vc_last_in'] = 'Date last modified';
$strings['ifa_comments'] = 'Approval comments';
$strings['ifa_command'] = 'Change approval status';
$strings['vc_version'] = 'Version';
$strings['ifc_revisions'] = 'Peer Reviews';
$strings['ifc_revision_of'] = 'Review of version';
$strings['ifc_add_revision'] = 'Add Peer Review';
$strings['ifc_update_file'] = 'Update file';
$strings['ifc_last_date'] = 'Date last modified';
$strings['ifc_version_history'] = 'Version History';
$strings['ifc_delete_file'] = 'Delete file and all child versions & reviews';
$strings['ifc_delete_version'] = 'Delete Selected Version';
$strings['ifc_delete_review'] = 'Delete Selected Review';
$strings['ifc_no_revisions'] = 'There are currently no revisions of this document';
$strings['unlink_files'] = 'Unlink Files';
$strings['remove_team'] = 'Remove Team Members';
$strings['remove_team_info'] = 'Remove these users from the project team?';
$strings['remove_team_client'] = 'Remove Permission to View Project Site';
$strings['note'] = 'Note';
$strings['notes'] = 'Notes';
$strings['subject'] = 'Subject';
$strings['delete_note'] = 'Delete Notes Entries';
$strings['add_note'] = 'Add Note Entry';
$strings['edit_note'] = 'Edit Note Entry';
$strings['version_increm'] = 'Select the version change to apply:';
$strings['url_dev'] = 'Development site url';
$strings['url_prod'] = 'Final site url';
$strings['note_owner'] = 'You can make changes only on your own notes.';
$strings['alpha_only'] = 'Alpha-numeric only in login';
$strings['edit_notifications'] = 'Edit E-mail Notifications';
$strings['edit_notifications_info'] = 'Select events for which you wish to receive E-mail notification.';
$strings['select_deselect'] = 'Select/Deselect All';
$strings['noti_addprojectteam1'] = 'Added to project team :';
$strings['noti_addprojectteam2'] = 'You have been added to the project team for :';
$strings['noti_removeprojectteam1'] = 'Removed from project team :';
$strings['noti_removeprojectteam2'] = 'You have been removed from the project team for :';
$strings['noti_newpost1'] = 'New post :';
$strings['noti_newpost2'] = 'A post was added to the following discussion :';
$strings['edit_noti_taskassignment'] = 'I am assigned to a new task.';
$strings['edit_noti_statustaskchange'] = 'The status of one of my tasks changes.';
$strings['edit_noti_prioritytaskchange'] = 'The priority of one of my tasks changes.';
$strings['edit_noti_duedatetaskchange'] = 'The due date of one of my tasks changes.';
$strings['edit_noti_addprojectteam'] = 'I am added to a project team.';
$strings['edit_noti_removeprojectteam'] = 'I am removed from a project team.';
$strings['edit_noti_newpost'] = 'A new post is made to a discussion.';
$strings['add_optional'] = 'Add an optional';
$strings['assignment_comment_info'] = 'Add comments about the assignment of this task';
$strings['my_notes'] = 'My Notes';
$strings['edit_settings'] = 'Edit settings';
$strings['max_upload'] = 'Max file size';
$strings['project_folder_size'] = 'Project folder size';
$strings['calendar'] = 'Calendar';
$strings['date_start'] = 'Start date';
$strings['date_end'] = 'End date';
$strings['time_start'] = 'Start time';
$strings['time_end'] = 'End time';
$strings['calendar_reminder'] = 'Reminder';
$strings['shortname'] = 'Short name';
$strings['calendar_recurring'] = 'Event recurs every week on this day';
$strings['edit_database'] = 'Edit database';
$strings['noti_newtopic1'] = 'New discussion :';
$strings['noti_newtopic2'] = 'A new discussion was added to the following project :';
$strings['edit_noti_newtopic'] = 'A new discussion topic was created.';
$strings['today'] = 'Today';
$strings['previous'] = 'Previous';
$strings['next'] = 'Next';
$strings['help'] = 'Help';
$strings['complete_date'] = 'Complete date';
$strings['scope_creep'] = 'Scope creep';
$strings['days'] = 'Days';
$strings['logo'] = 'Logo';
$strings['remember_password'] = 'Remember Password';
$strings['client_add_task_note'] = 'Note: The entered task is registered into the data base, appears here however only if it one assigned to a team member!';
$strings['noti_clientaddtask1'] = 'Task added by client :';
$strings['noti_clientaddtask2'] = 'A new task was added by client from project site to the following project :';
$strings['phase'] = 'Phase';
$strings['phases'] = 'Phases';
$strings['phase_id'] = 'Phase ID';
$strings['current_phase'] = 'Active phase(s)';
$strings['total_tasks'] = 'Total Tasks';
$strings['uncomplete_tasks'] = 'Uncompleted Tasks';
$strings['no_current_phase'] = 'No phase is currently active';
$strings['true'] = 'True';
$strings['false'] = 'False';
$strings['enable_phases'] = 'Enable Phases';
$strings['phase_enabled'] = 'Phase Enabled';
$strings['order'] = 'Order';
$strings['options'] = 'Options';
$strings['support'] = 'Support';
$strings['support_request'] = 'Support Request';
$strings['support_requests'] = 'Support Requests';
$strings['support_id'] = 'Request ID';
$strings['my_support_request'] = 'My Support Requests';
$strings['introduction'] = 'Introduction';
$strings['submit'] = 'Submit';
$strings['support_management'] = 'Support Management';
$strings['date_open'] = 'Date Opened';
$strings['date_close'] = 'Date Closed';
$strings['add_support_request'] = 'Add Support Request';
$strings['add_support_response'] = 'Add Support Response';
$strings['respond'] = 'Respond';
$strings['delete_support_request'] = 'Support request deleted';
$strings['delete_request'] = 'Delete support request';
$strings['delete_support_post'] = 'Delete support post';
$strings['new_requests'] = 'New requests';
$strings['open_requests'] = 'Open requests';
$strings['closed_requests'] = 'Complete requests';
$strings['manage_new_requests'] = 'Manage new requests';
$strings['manage_open_requests'] = 'Manage open requests';
$strings['manage_closed_requests'] = 'Manage complete requests';
$strings['responses'] = 'Responses';
$strings['edit_status'] = 'Edit Status';
$strings['noti_support_request_new2'] = 'You have submited a support request regarding: ';
$strings['noti_support_post2'] = 'A new response has been added to your support request. Please review the details below.';
$strings['noti_support_status2'] = 'Your support request has been updated. Please review the details below.';
$strings['noti_support_team_new2'] = 'A new support request has been added to project: ';
// 2.0
$strings['delete_subtasks'] = 'Delete subtasks';
$strings['add_subtask'] = 'Add subtask';
$strings['edit_subtask'] = 'Edit subtask';
$strings['subtask'] = 'Subtask';
$strings['subtasks'] = 'Subtasks';
$strings['show_details'] = 'Show details';
$strings['updates_task'] = 'Task update history';
$strings['updates_subtask'] = 'Subtask update history';
// 2.1
$strings['go_projects_site'] = 'Go to projects site';
$strings['bookmark'] = 'Bookmark';
$strings['bookmarks'] = 'Bookmarks';
$strings['bookmark_category'] = 'Category';
$strings['bookmark_category_new'] = 'New category';
$strings['bookmarks_all'] = 'All';
$strings['bookmarks_my'] = 'My Bookmarks';
$strings['my'] = 'My';
$strings['bookmarks_private'] = 'Private';
$strings['shared'] = 'Shared';
$strings['private'] = 'Private';
$strings['add_bookmark'] = 'Add bookmark';
$strings['edit_bookmark'] = 'Edit bookmark';
$strings['delete_bookmarks'] = 'Delete bookmarks';
$strings['team_subtask_details'] = 'Team Subtask Details';
$strings['client_subtask_details'] = 'Client Subtask Details';
$strings['client_change_status_subtask'] = 'Change your status below when you have completed this subtask';
$strings['disabled_permissions'] = 'Disabled account';
$strings['user_timezone'] = 'Timezone (GMT)';
// 2.2
$strings['project_manager_administrator_permissions'] = 'Project Manager Administrator';
$strings['bug'] = 'Bug Tracking';
// 2.3
$strings['report'] = 'Report';
$strings['license'] = 'License';
// 2.4
$strings['settings_notwritable'] = 'Settings.php file is not writable';
// 2.5
$strings['name_print'] = 'Name printed';
$strings['calculation'] = 'Calculation';
$strings['items'] = 'Items';
$strings['position'] = 'Position';
$strings['completed'] = 'Completed';
$strings['service'] = 'Service';
$strings['service_management'] = 'Service Management';
$strings['hourly_rate'] = 'Hourly rate';
$strings['add_service'] = 'Add Service';
$strings['edit_service'] = 'Edit Service';
$strings['delete_services'] = 'Delete Services';
$strings['worked_hours'] = 'Worked hours';
$strings["loghours"] = 'Log Hours';
$strings["logtime"] = 'Log Time';
$strings["loggedby"] = 'Logged by';
$strings["error_required"] = 'is required';
$strings["error_numerical"] = 'must be numerical';
$strings["hours_updated"] = 'Task Hours Updated';
$strings['add_task_time'] = 'Add Task Time';
$strings['edit_task_time'] = 'Edit Task Time';
$strings['delete_task_time'] = 'Delete Task Time';
$strings['task_time'] = 'Task Time';
// 2.5.1
$strings["email_users"] = "Email Users";
$strings["email_following"] = "Email Following";
$strings["email_sent"] = "Your email was successfully sent.";
$strings['all'] = 'All';
$strings['custom_reports'] = 'Custom Reports';
$strings['custom_report_intro'] = 'Choose the custom report below based on its description that best fits your reporting needs.';
$strings['completed_task_report'] = 'Completed Task';
$strings['completed_task_report_desc'] = 'This report provides a listing of the
tasks completed during the previous month.';
$strings['time_report'] = 'Time Report';
$strings['time_report_desc'] = 'This report provides a listing of the hours logged by employee for each project for the previous month and allows you the opportunity to export that information.';
$strings['overdue_tasks'] = 'Overdue Tasks';
$strings['overdue_tasks_desc'] = 'This report displays a listing of the overdue tasks within all the projects.';
$strings['project_snapshot'] = 'Project Snapshot';
$strings['project_snapshot_desc'] = 'This report provides for the user signed on a overview look at the projects where they are deemed as the owner and the tasks associated with the project.';
$strings['pending_tasks'] = 'Pending Tasks';
$strings['pending_tasks_desc'] = 'This report provides an enterprise view of the projects tasks that have been entered for the projects.';
$strings['pm_report'] = 'PM Report';
$strings['pm_report_desc'] = 'This report displays the projects assigned by resource and those projects not yet assigned.';
$strings['project_phasestatus'] = 'Project Phase Status';
$strings['project_phasestatus_desc'] = 'Shows a basic overview of all active projects and their phases';
$strings['resource_usage'] = 'Resource Usage';
$strings['resource_usage_desc'] = 'This report summarizes total time logged for projects and organizations.';
// 2.5.2
$strings['install_erase'] = 'Remove the installation directory and its contents!!';
$strings['error_phpversion'] = 'Your PHP version must be greater than or equal to 4.1.0 to run NetOffice!';
$strings['display_options'] = 'Display Options';
$strings['member_items'] = "Member Items";
$strings['project_totals'] = "Project Totals";
$strings['organization_totals'] = "Organization Totals";
$strings['member_totals'] = "Member Totals";
$strings['member_period_totals'] = "Member Period Totals";
// 2.5.3
$strings['project_breakdown'] = "Project Breakdown";
$strings['project_breakdown_desc'] = "Project list itemizing owner, status, and partner";
$strings['start_page'] = 'Start on';
$strings['task_id'] = 'Task ID';

// dwins custom

$dayHourArray = array(
    0 => "0",
    1 => "8",
    2 => "8",
    3 => "8",
    4 => "8",
    5 => "8",
    6 => "0",
    7 => "0"
    );
$taskPredecessorTypes = array(
    "FS" => "Finish to Start",
    "FF" => "Finish to Finish",
    "SF" => "Start to Finish",
    "SS" => "Start to Start"
    );
$timestampArray = array(
    "00:00" => "AM 00:00",
    "00:30" => "AM 00:30",
    "01:00" => "AM 01:00",
    "01:30" => "AM 01:30",
    "02:00" => "AM 02:00",
    "02:30" => "AM 02:30",
    "03:00" => "AM 03:00",
    "03:30" => "AM 03:30",
    "04:00" => "AM 04:00",
    "04:30" => "AM 04:30",
    "05:00" => "AM 05:00",
    "05:30" => "AM 05:30",
    "06:00" => "AM 06:00",
    "06:30" => "AM 06:30",
    "07:00" => "AM 07:00",
    "07:30" => "AM 07:30",
    "08:00" => "AM 08:00",
    "08:30" => "AM 08:30",
    "09:00" => "AM 09:00",
    "09:30" => "AM 09:30",
    "10:00" => "AM 10:00",
    "10:30" => "AM 10:30",
    "11:00" => "AM 11:00",
    "11:30" => "AM 11:30",
    "12:00" => "PM 12:00",
    "12:30" => "PM 12:30",
    "13:00" => "PM 01:00",
    "13:30" => "PM 01:30",
    "14:00" => "PM 02:00",
    "14:30" => "PM 02:30",
    "15:00" => "PM 03:00",
    "15:30" => "PM 03:30",
    "16:00" => "PM 04:00",
    "16:30" => "PM 04:30",
    "17:00" => "PM 05:00",
    "17:30" => "PM 05:30",
    "18:00" => "PM 06:00",
    "18:30" => "PM 06:30",
    "19:00" => "PM 07:00",
    "19:30" => "PM 07:30",
    "20:00" => "PM 08:00",
    "20:30" => "PM 08:30",
    "21:00" => "PM 09:00",
    "21:30" => "PM 09:30",
    "22:00" => "PM 10:00",
    "22:30" => "PM 10:30",
    "23:00" => "PM 11:00",
    "23:30" => "PM 11:30",
    "24:00" => "AM 00:00"
    );
$reminderTimeArray = array(
    "0"     => "--",
    "5"     => "5 minutes",
    "15"    => "15 minutes",
    "30"    => "30 minutes",
    "60"    => "1 hour",
    "120"   => "2 hours",
    "180"   => "3 hours",
    "360"   => "6 hours",
    "720"   => "12 hours",
    "1440"  => "1 day",
    "2880"  => "2 days",
    "4320"  => "3 days",
    "5760"  => "4 days",
    "7200"  => "5 days",
    "8640"  => "6 days",
    "10080" => "1 week",
    "11520" => "8 days",
    "12960" => "9 days",
    "14400" => "10 days",
    "15840" => "11 days",
    "17280" => "12 days",
    "18720" => "13 days",
    "20160" => "2 weeks"
    );
$resourceTypeArray = array(
    "members"    => "Human"
    );
$personEvaluationValueArray = array(
    1 => array("percent" => 0.2, "display" => "Unsatisfactory"),
    2 => array("percent" => 0.4, "display" => "Poor"),
    3 => array("percent" => 0.6, "display" => "Fair"),
    4 => array("percent" => 0.8, "display" => "Good"),
    5 => array("percent" => 1,   "display" => "Excellent")
    );
$personEvaluationTypeArray = array(
    0   => "Task",
    1   => "Project Management"
    );
$personEvaluationItemArraySets = array(
    // Define the names of person evaluation item sets
    'sets' => array(
        0    => "Document - Software Development Plan",
        1    => "Document - System Specification",
        2    => "Document - System Analysis",
        3    => "Document - System Design",
        4    => "Document - Program Specification",
        5    => "Coding",
        6    => "Unit Test",
        7    => "Document - System Manual",
        8    => "Document - Software Integration Test Plan",
        9    => "Document - Software Integration Test Report",
        10   => "Software Integration Test",
        11   => "Document - System Installation/Usage Guide",
        12   => "Document - System Integration Test Plan",
        13   => "Document - System Integration Test Report",
        14   => "System Integration Test",
        15   => "Document - System Deployment Plan",
        16   => "System Deployment",
        17   => "Bug Tracking",
        18   => "Training",
        100  => "Document - Teaching Material",
        101  => "Teaching",
        102  => "Attend Class",
        103  => "Self-Study",
        104  => "System Maintenance",
        1000 => "Project Management"
        ),
    // List the individual items within each person evaluation item set.
    // Document - Software Development Plan Set
    0 => array(0 => "300", 1 => "item"),
    // Document - System Specification Set
    1 => array(0 => "300", 1 => "item"),
    // Document - System Analysis Set
    2 => array(0 => "150", 1 => "day"),
    // Document - System Design Set
    3 => array(0 => "150", 1 => "day"),
    // Document - Program Specification Set
    4 => array(0 => "100", 1 => "day"),
    // Coding Set
    5 => array(0 => "100", 1 => "day"),
    // Unit Test Set
    6 => array(0 => "100", 1 => "day"),
    // Document - System Manual Set
    7 => array(0 => "100", 1 => "day"),
    // Document - Software Integration Test Plan Set
    8 => array(0 => "150", 1 => "day"),
    // Document - Software Integration Test Report Set
    9 => array(0 => "150", 1 => "day"),
    // Software Integration Test Set
    10 => array(0 => "150", 1 => "day"),
    // Document - System Installation/Usage Guide Set
    11 => array(0 => "150", 1 => "day"),
    // Document - System Integration Test Plan Set
    12 => array(0 => "150", 1 => "day"),
    // Document - System Integration Test Report Set
    13 => array(0 => "150", 1 => "day"),
    // System Integration Test Set
    14 => array(0 => "150", 1 => "day"),
    // Document - System Deployment Plan Set
    15 => array(0 => "150", 1 => "day"),
    // System Deployment Set
    16 => array(0 => "150", 1 => "day"),
    // Bug Tracking Set
    17 => array(0 => "50", 1 => "day"),
    // Training Set
    18 => array(0 => "40", 1 => "hour"),
    // Document - Teaching Material Set
    100 => array(0 => "0", 1 => "item"),
    // Teaching Set
    101 => array(0 => "40", 1 => "hour"),
    // Attend Class Set
    102 => array(0 => "20", 1 => "hour"),
    // Self-Study Set
    103 => array(0 => "500", 1 => "qtr"),
    // System Maintenance Set
    104 => array(0 => "500", 1 => "qtr"),
    // Project Management Set
    1000 => array(0 => "1000", 1 => "item")
    );
$personEvaluationUnitArray = array(
    "item" => "Item",
    "day"  => "Day",
    "hour" => "Hour",
    "qtr"  => "Qtr"
    );
$personEvaluationPhaseArray = array(
    // List the individual default person evaluation items within each phase set.
    'Concept'      => '0',
    'Planning'     => '2',
    'Development'  => '5',
    'Testing'      => '6',
    'Rollout'      => '16',
    'Maintenance'  => '104'
    );
$statusEvaluation = array(PE_SUBMITTED => "Yes", PE_OPEN => "No");
$milestoneis = array(MS_YES => 'Yes', MS_NO => 'No');
$statusTimesheet = array(
    TS_SUBMITTED => "Submitted", 
    TS_OPEN => "Open",
    TS_APPROVED => "Approved",
    TS_REJECTED => "Rejected"
    );
$workTypes = array(
    WT_PROJECT => 'Project', 
    WT_OTHERS => 'Others', 
    WT_SALES => 'Sales', 
    WT_LEAVE => 'Leave'
    );
$hourCodeArray = array(
    0     => "Document - Software Development Plan",
    1     => "Document - System Specification",
    2     => "Document - System Analysis",
    3     => "Document - System Design",
    4     => "Document - Program Specification",
    5     => "Coding",
    6     => "Unit Test",
    7     => "Document - System Manual",
    8     => "Document - Software Integration Test Plan",
    9     => "Document - Software Integration Test Report",
    10    => "Software Integration Test",
    11    => "Document - System Installation/Usage Guide",
    12    => "Document - System Integration Test Plan",
    13    => "Document - System Integration Test Report",
    14    => "System Integration Test",
    15    => "Document - System Deployment Plan",
    16    => "System Deployment",
    17    => "Bug Tracking",
    18    => "Training",
    100   => "Document - Teaching Material",
    101   => "Teaching",
    102   => "Attend Class",
    103   => "Self Study",
    104   => "System Maintenance",
    105   => "Recruiting",
    106   => "Self Study",
    107   => "Vendor Product Presentation",
    108   => "Outside Seminar",
    109   => "Outside Training",
    110   => "Internal Seminar",
    111   => "Internal Training",
    112   => "Meeting",
    199   => "Misc.",
    10000 => "First Call",
    10001 => "Presale Call",
    10002 => "Requirement Discussion",
    10003 => "Proposal Preparation",
    10004 => "Quotation Preparation",
    10005 => "Contract Preparation",
    10006 => "Marketing Activity",
    10099 => "Misc.",
    10100 => "Annual Leave",
    10101 => "Sick Leave",
    10102 => "Leave Of Absence",
    10103 => "Bank Holiday",
    10104 => "Mourning Leave",
    10105 => "Honeymoon",
    10106 => "Maternity Leave"
    );
$dayType = array(
    DT_WEEKEND => 'Weekend',
    DT_STATUTORY_HOLIDAY => 'Statutory holiday',
    DT_MAKEUP_HOLIDAY => 'Makeup holiday',
    DT_WORKDAY => 'Workday'
    );

$billingFlag = array(
    BF_YES => 'Billable',
    BF_NO => 'Non-Billable'
    );

$actionType = array(
    AT_TIMESHEET => 'Timesheet',
    AT_LEAVE => 'Leave'
    );

$strings['hours_logged'] = 'Hours Logged';
$strings['hours_logged_from'] = 'from';
$strings['hours_logged_to'] = 'to';
$strings['hours_total'] = 'Total';
$strings['ru_detail'] = 'Resource Usage Detail';
$strings['ru_detail_from'] = 'from';
$strings['ru_detail_to'] = 'to';
$strings['ru_total_project'] = 'Total project hours';
$strings['ru_total_org'] = 'Total for organization';
$strings['ru_total_mem'] = 'Total for members';
$strings['ru_subtotal'] = 'Subtotal';
$strings['meetings'] = 'Meetings';
$strings['meeting'] = 'Meeting';
$strings['edit_meeting'] = 'Edit Meeting';
$strings['copy_meeting'] = 'Copy Meeting';
$strings['add_meeting'] = 'Add Meeting';
$strings['delete_meetings'] = 'Delete Meeting';
$strings['me_agenda'] = 'Agenda';
$strings['me_location'] = 'Location';
$strings['me_minutes'] = 'Minutes';
$strings['me_chairman'] = 'Chairman';
$strings['me_recorder'] = 'Recorder';
$strings['attendants'] = 'Attendants';
$strings['select_all_but_clients'] = 'Select All but Clients';
$strings['start_time'] = 'Start Time';
$strings['end_time'] = 'End Time';
$strings['meeting_id'] = 'Meeting ID';
$strings['updates_meeting'] = 'Meeting update history';
$strings['add_meeting_time'] = 'Add Meeting Time';
$strings['edit_meeting_time'] = 'Edit Meeting Time';
$strings['delete_meeting_time'] = 'Delete Meeting Time';
$strings['meeting_time'] = 'Meeting Time';
$strings['edit_noti_meetingassignment'] = 'I am assigned to a new meeting.';
$strings['edit_noti_statusmeetingchange'] = 'The status of one of my meetings changes.';
$strings['edit_noti_prioritymeetingchange'] = 'The priority of one of my meetings changes.';
$strings['edit_noti_locationmeetingchange'] = 'The location of one of my meetings changes.';
$strings['edit_noti_timemeetingchange'] = 'The date/time of one of my meetings changes.';
$strings['edit_noti_checklogtime'] = 'Remind me to log time weekly.';
$strings['edit_noti_todolist'] = 'Show me today todo list.';
$strings['edit_noti_timesheetapproved'] = 'My timesheet has been approved.';
$strings['edit_noti_timesheetrejected'] = 'My timesheet has been rejected.';
$strings['noti_meetingassignment1'] = 'New meeting:';
$strings['noti_meetingassignment2'] = 'A meeting has been assigned to you:';
$strings['noti_prioritymeetingchange1'] = 'Meeting priority changed:';
$strings['noti_prioritymeetingchange2'] = 'The priority of the following meeting has changed:';
$strings['noti_statusmeetingchange1'] = 'Meeting status changed:';
$strings['noti_statusmeetingchange2'] = 'The status of the following meeting has changed:';
$strings['noti_locationmeetingchange1'] = 'Meeting location changed:';
$strings['noti_locationmeetingchange2'] = 'The location of the following meeting has changed:';
$strings['noti_timemeetingchange1'] = 'Meeting time changed:';
$strings['noti_timemeetingchange2'] = 'The time of the following meeting has changed:';
$strings['noti_checklogtime1'] = 'Log time missing:';
$strings['noti_checklogtime2'] = 'The logtime of the following days was not fully logged:';
$strings['noti_todolist1'] = 'To Do List:';
$strings['noti_todolist2'] = 'The followings are today\'s todo list:';
$strings['noti_todolist3'] = 'OverDue List:';
$strings['noti_todolist4'] = 'Task List:';
$strings['noti_todolist5'] = 'Meeting List:';
$strings['noti_todolist6'] = 'Reminder List:';
$strings['noti_todolist7'] = 'The followings are today\'s reminder List:';
$strings['noti_todolist8'] = 'Reminder List:';
$strings['noti_orphan1'] = 'Orphan Task List:';
$strings['noti_orphan2'] = 'The following tasks are assigned to invalid users, please re-assign:';
$strings['attendants_modification_succeeded'] = 'Attendants modification succeeded';
$strings['cal_personal'] = 'Personal';
$strings['fixed_duration'] = 'Fixed Duration';
$strings['milestone'] = 'Milestone';
$strings['interdependency_failed'] = 'Task interdependency conflict, update failed';
$strings['hour'] = 'hour';
$strings['duration'] = 'Duration';
$strings['task_dependencies'] = 'Task Dependencies';
$strings['lag'] = 'Lag';
$strings['predecessor'] = 'Predecessor';
$strings['add_predecessor'] = 'Add Task Predecessor';
$strings['edit_predecessor'] = 'Edit Task Predecessor';
$strings['delete_predecessors'] = 'Delete Task Predecessors';
$strings['add_predecessor_success'] = 'The addition to the task succeeded.';
$strings['delete_predecessor_success'] = 'The predecessor was successfully deleted.';
$strings['no_possible_tasks'] = 'There are no possible tasks.';
$strings['lack_of_dates'] = 'Start date and due date needed.';
$strings['ftok_error'] = 'Mutex lock failed, contact system administrator immediately!!';
$strings['sem_get_error'] = 'Mutex lock failed, contact system administrator immediately!!';
$strings['sem_acquire_error'] = 'Transaction failed, try again later';
$strings['calendar_reminder_time1'] = 'Send a reminder';
$strings['calendar_reminder_time2'] = 'before and';
$strings['calendar_reminder_time3'] = 'before the event';
$strings["send_reminder1"] = "Personal Reminder List:";
$strings["send_reminder2"] = "The followings are personal reminder list:";
$strings["send_reminder3"] = "Project Reminder List:";
$strings["send_reminder4"] = "The followings are ";
$strings["send_reminder5"] = " project reminder list:";
$strings["send_reminder6"] = "Meeting Reminder:";
$strings['meeting_reminder'] = 'Reminder';
$strings['meeting_reminder_time1'] = 'Send a reminder';
$strings['meeting_reminder_time2'] = 'before and';
$strings['meeting_reminder_time3'] = 'before the meeting';
$strings['add_resource'] = 'Add Task Resource';
$strings['edit_resource'] = 'Edit Task Resource';
$strings['delete_resources'] = 'Delete Task Resources';
$strings['no_available_resources'] = 'There are no resources available of this type.';
$strings['delete_resource_success'] = 'The resource was successfully deleted.';
$strings['supervisor'] = 'Supervisor';
$strings['agent'] = 'Agent';
$strings['person_evaluation'] = 'Person Evaluation';
$strings['person_evaluations'] = 'Person Evaluations';
$strings['open_items'] = 'Open';
$strings['submitted_items'] = 'Submitted';
$strings['item'] = 'Item';
$strings['appraiser'] = 'Appraiser';
$strings['member'] = 'Member';
$strings['standard'] = 'Standard';
$strings['value'] = 'Value';
$strings['submitted'] = 'Submitted';
$strings['add_person_evaluation'] = 'Add Person Evaluation';
$strings['delete_person_evaluations'] = 'Delete Person Evaluations';
$strings['edit_person_evaluation'] = 'Edit Person Evaluation';
$strings['copy_person_evaluation'] = 'Copy Person Evaluation';
$strings['add_submitted_items'] = 'Add To Submitted Items';
$strings['remove_submitted_items'] = 'Remove From Submitted Items';
$strings['points'] = 'points';
$strings['no_partial_task_type'] = "Delete person evaluations with 'task' type not allowed.";
$strings['no_partial_task_type_cpy'] = "Copy person evaluations with 'task' type not allowed.";
$strings['no_partial_submitted'] = "Delete submitted person evaluations not allowed.";
$strings['add_submitted_item_success'] = "The addition to the submitted items succeeded.";
$strings['remove_submitted_item_success'] = "The removal from the submitted items succeeded.";
$strings['appraiser_missing'] = "Add/Remove submitted item without appraiser not allowed.";
$strings['person_performance_report'] = 'Person Performance Report';
$strings['person_performance_report_desc'] = 'This report provides a listing of employee performance and allows you the opportunity to export that information.';
$strings['leave_report'] = 'Leave Report';
$strings['leave_report_desc'] = 'This report provides a listing of employee leaves and allows you the opportunity to export that information.';
$strings['my_meetings'] = 'My Meetings';
$strings['dwins_link'] = 'See project page on Dwins.com';
$strings['noti_meetingminutes1'] = 'Meeting Minutes:';
$strings['noti_meetingminutes2'] = 'The followings are meeting minutes:';
$strings['indentation'] = 'Indentation';
$strings['unindentation'] = 'Unindentation';
$strings['taskgroup'] = 'Task Group';
$strings['add_taskgroup'] = 'Add Task Group';
$strings['edit_taskgroup'] = 'Edit Task Group';
$strings['copy_taskgroup'] = 'Copy Task Group';
$strings['task_indentation'] = 'Task Indentation';
$strings['task_unindentation'] = 'Task Unindentation';
$strings['no_milestone_indentation'] = "Can not move milestone";
$strings['no_leading_task_indentation'] = "Can not move leading task";
$strings['no_leading_subtask_indentation'] = "Can not move leading subtask";
$strings['result_in_a_loop_indentation'] = 'Can not move the task, since it would result in a loop.';
$strings['task_indent_success'] = 'The task was successfully indented.';
$strings['no_parent_task_unindentation'] = 'Can not move the task, since it has no parent task.';
$strings['task_unindent_success'] = 'The task was successfully unindented.';
$strings['tasks_in_different_levels'] = 'Can not group tasks in different level.';
$strings['tasks_belong_to_different_parent'] = 'Can not group tasks with different parent task.';
$strings['tasks_belong_to_different_phase'] = 'Can not group tasks with different parent phase.';
$strings['no_milestone_belong_to_task_group'] = 'Can not group milestones.';
$strings['delete_dependencies'] = 'Delete Task Dependencies';
$strings['delete_dependencies_success'] = 'All task dependencies were successfully deleted.';
$strings['delete_subtasks'] = 'Sub-tasks in the following tasks will be deleted too';
$strings['meeting_details'] = 'Meeting Details';
$strings['working_hours'] = 'Working hours';
$strings['timesheet'] = 'Timesheet';
$strings['hr_manager_permissions'] = 'HR Manager Permissions';
$strings['hourtype'] = 'Hour Type';
$strings['hourcode'] = 'Hour Code';
$strings['billable'] = 'Billable';
$strings['submit_timesheet'] = 'Submit Timesheet';
$strings['edit_work_hours'] = 'Edit Work Hours';
$strings['delete_work_hours'] = 'Delete Work Hours';
$strings['month'] = 'Month';
$strings['actual'] = 'Actual';
$strings['timesheet_report'] = 'Timesheet Report';
$strings['timesheet_report_desc'] = 'This report provides a listing of the hours logged by employee for project/sales/leaving/others for the previous month and allows you the opportunity to export that information.';
$strings['actived'] = 'Actived members';
$strings['last_month'] = 'Last month';
$strings['between_months'] = 'Between months';
$strings['delayed_list'] = 'Delayed list';
$strings['workcalendar'] = 'Workcalendar';
$strings['workcalendar_management'] = 'Workcalendar Management';
$strings['this_year'] = 'This Year';
$strings['previous_year'] = 'Previous Year';
$strings['next_year'] = 'Next Year';
$strings['billing'] = 'Billing';
$strings["timesheet_management"] = "Timesheet Management";
$strings["edit_timesheet"] = "Edit Timesheet";
$strings['approve_timesheet'] = 'Approve Timesheet';
$strings['reject_timesheet'] = 'Reject Timesheet';
$strings['submit_timesheets_success'] = 'The timesheets was successfully submitted.';
$strings['approve_timesheets_success'] = 'The timesheets was successfully approved.';
$strings['reject_timesheets_success'] = 'The timesheets was successfully rejected.';
$strings['submit_following'] = 'Submit the following?';
$strings['approve_following'] = 'Approve the following?';
$strings['reject_following'] = 'Reject the following?';
$strings['theme'] = 'Theme';
$strings["noti_timesheetsubmit1"] = "Timesheet submitted:";
$strings["noti_timesheetsubmit2"] = "The following timesheet has submitted:";
$strings["noti_timesheetapproval1"] = "Timesheet approved:";
$strings["noti_timesheetapproval2"] = "The following timesheet has approved:";
$strings["noti_timesheetreject1"] = "Timesheet rejected:";
$strings["noti_timesheetreject2"] = "The following timesheet has rejected:";
$strings["layout"] = "Layout";
$strings['action_expired'] = 'The action has expired';
$strings["more_approval"] = "More approval";
$strings["approval_history"] = "Approval History";
$strings["error_hours"] = 'must be less than or equal to 24';
$strings['view_work_hours'] = 'View Work Hours';
$strings['view_task_time'] = 'View Task Time';
$strings['view_meeting_time'] = 'View Meeting Time';
$strings['add_work_hours'] = 'Add Work Hours';
$strings['leave'] = 'Leave';
$strings['leaves'] = 'Leaves';
$strings['leave_management'] = 'Leave Management';
$strings['add_leave'] = 'Add Leave';
$strings['edit_leave'] = 'Edit Leave';
$strings['delete_leaves'] = 'Delete Leaves';
$strings['year'] = 'Year';
$strings['leave_request'] = 'Leave Request';
$strings['leave_request_id'] = 'Leave Request ID';
$strings['leave_requests'] = 'Leave Requests';
$strings['add_leave_request'] = 'Add Leave Request';
$strings['edit_leave_request'] = 'Edit Leave Request';
$strings['delete_leave_request'] = 'Delete Leave Request';
$strings['noti_leaverequest1'] = 'Leave request:';
$strings['noti_leaverequest2'] = 'The following leave has requested:';
$strings['noti_leavechanged1'] = 'Leave request changed:';
$strings['noti_leavechanged2'] = 'The following leave request has changed:';
$strings['noti_leavewithdraw1'] = 'Leave request withdraw:';
$strings['noti_leavewithdraw2'] = 'The following leave request has withdraw:';
$strings['noti_leaveapproval1'] = 'Leave request approved:';
$strings['noti_leaveapproval2'] = 'The following leave request has approved:';
$strings['noti_leavereject1'] = 'Leave request rejected:';
$strings['noti_leavereject2'] = 'The following leave request has rejected:';
$strings['approve_leaverequest'] = 'Approve Leave Request';
$strings['reject_leaverequest'] = 'Reject Leave Request';
$strings['approve_leaverequest_success'] = 'The leave request was successfully approved.';
$strings['reject_leaverequest_success'] = 'The leave request was successfully rejected.';
$strings['proposer'] = 'Proposer';
$strings['edit_noti_leaveapproved'] = 'My leave request has been approved.';
$strings['edit_noti_leaverejected'] = 'My leave request has been rejected.';
$strings['hours_left'] = 'Hours Left';
$strings['action_missing'] = 'This notification is out-of-order !';
$strings['overtime'] = 'Overtime';
$strings['work_hours'] = 'Work Hours';
$strings['timeticket_management'] = 'TimeTicket Management';
$strings['add_timeticket'] = 'Add TimeTicket';
$strings['edit_timeticket'] = 'Edit TimeTicket';
$strings['delete_timetickets'] = 'Delete TimeTickets';
$strings['timeticket'] = 'TimeTicket';
$strings['calculate'] = 'Calculate';
$strings['meeting_owner'] = 'You have no permission to change this meeting.';
$strings['timeticket_in_use'] = 'This timeticket is in use.';
$strings['here'] = 'Here';
$strings['assigned_to_above'] = 'assigned to the users above.';
$strings['actions'] = 'Actions';
$strings['need_to_approve'] = 'need the users above to approve.';
$strings['parent_task'] = 'Parent Task';
$strings['no_workcalendar'] = 'Workcalendar missing, please contact with your HR manager.';
$strings['edit_noti_clientaddtask'] = 'A new task is added by client from project site.';
$strings['no_supervisors'] = 'Nobody to approve your leave request, please contact with your HR manager.';
$strings['member_allocation'] = 'Member Allocation';
$strings['member_allocation_desc'] = 'This report summarizes member allocation by employee and used for determining an individuals future workload. Only current active and non-client users are selectable and only open projects and tasks are shown.';
$strings['daily_total'] = 'Daily Totals';
$strings['overdue_hours'] = 'Overdue Hours';
$strings['reset_sortings'] = 'Reset All Sorting Values';
$strings['sortings_resetted'] = 'All sorting default values were restored.';
$strings['opposite'] = 'Opposite';
$strings['no_available_users'] = 'There are no users available for this action.';
$strings['invalid_email'] = 'E-Mail is not valid.';
$strings["simple_search"] = "Simple Search";
$strings["advance_search"] = "Advance Search";
$strings["keywords_too_short"] = "Keywords must has at least 2 char length";
$strings["dear"] = "Dear";
$strings["invalid_depth"] = "Parameter depth must greater than 0.";


?>
