<?php // $Revision: 1.1.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: lang_fr.php,v 1.1.2.1 2007/02/07 13:53:18 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// translator(s): Stphane Dion <contact@sdion.net>
// translator(s): Yannick Quenec'hdu <yquenechdu@gmail.com>
$topicNote = array(1 => 'Conversation tlphonique',
    2 => 'Notes De Confrence',
    3 => 'Notes Gnrales'
    );

$phaseArraySets = array(
    // Define the names of your phase sets
    'sets' => array(1 => 'Site Web', 2 => 'Application'), 
    // List the individual items within each phase set.
    // Website Set
    1 => array(0 => 'Conception', 1 => 'Planning', 2 => 'Dveloppement',
        3 => 'Test', 4 => 'Excution', 5 => 'Maintenance'), 
    // Application Set
    2 => array(0 => 'Conception', 1 => 'Planning', 2 => 'Dveloppement',
        3 => 'Test', 4 => 'Excution', 5 => 'Maintenance')
    );

$autoLogoutOptions = array(
    0 => 'Dsactiv',
    300 => '5 minutes',
    600 => '10 minutes',
    900 => '15 minutes',
    1800 => '30 minutes',
    2700 => '45 minutes',
    3600 => '60 minutes'
    );

$startPageOptions = array(
    'general/home.php' => 'Accueil',
    'calendar/viewcalendar.php' => 'Calendrier',
    'bookmarks/listbookmarks.php?view=my' => 'Signets',
    'reports/createreport.php?typeReports=custom' => 'Rapports',
    'timesheet/viewtimesheet.php' => 'Feuille de temps'
    );

#$setCharset = 'UTF-8';
$setCharset = 'ISO8859-1';

$byteUnits = array('Octets', 'Ko', 'Mo', 'Go');

$dayNameArray = array(1 => 'Lundi', 2 => 'Mardi', 3 => 'Mercredi', 4 => 'Jeudi', 5 => 'Vendredi', 6 => 'Samedi', 7 => 'Dimanche');
$dayShortNameArray = array(0 => 'Dim', 1 => 'Lun', 2 => 'Mar', 3 => 'Mec', 4 => 'Jeu', 5 => 'Ven', 6 => 'Sam', 7 => 'Dim');

$monthNameArray = array(1 => 'Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Aout', 'Septembre', 'Octobre', 'Novembre', 'Decembre');

$status = array(
		ST_CLIENT_COMPLETED => 'Complet (client)',
    ST_COMPLETED => 'Complet',
    ST_NOT_STARTED => 'Non commenc',
    ST_OPEN => 'Ouvert',
    ST_SUSPENDED => 'suspendu'
    );
    
$profil = array(
    PF_ADMINISTRATOR => 'Administrateur',
    PF_PROJECT_MANAGER => 'Chef de Projet',
    PF_USER => 'Utilisateur',
    PF_CLIENT_USER => 'Utilisateur Client',
    PF_DISABLED => 'Dsactiv',
    PF_PROJECT_MANAGER_ADMINISTRATOR => 'Admin chef de projet',
    PF_HR_MANAGER => 'Responsable RH'
    );
    
$priority = array(
    PR_NONE => 'Vide',
    PR_VERY_LOW => 'Trs faible',
    PR_LOW => 'Faible',
    PR_MEDIUM => 'Moyenne',
    PR_HIGH => 'Haute',
    PR_VERY_HIGH => 'Trs haute'
    );

$statusTopic = array(0 => 'Ferm', 1 => 'Ouvert');
$statusTopicBis = array(0 => 'Oui', 1 => 'Non');

$statusPublish = array(PB_YES => 'Oui', PB_NO => 'Non');

$statusFile = array(
    FS_APPROVED => 'Approuv',
    FS_APPROVED_WITH_CHANGES => 'Approuv avec changements',
    FS_NEEDS_APPROVAL => 'Approbation requise',
    FS_NO_APPROVALS_NEEDED => 'Aucune approbation ncessaire',
    FS_NOT_APPROVED => 'Non approuv'
    );
    
$phaseStatus = array(
    PS_NOT_STARTED => 'Non commenc',
    PS_OPEN => 'Ouvert',
    PS_COMPLETE => 'Complet',
    PS_SUSPENDED => 'Suspendu'
    );
    
$requestStatus = array(RQ_NEW => 'Nouveau', RQ_OPEN => 'Ouvert', RQ_COMPLETE => 'Complet');

$projectType = array(
    PT_INTERNAL_PROJECT => 'projet interne',
    PT_EXTERNAL_PROJECT => 'projet externe',
    2 => 'Recherche',
    3 => 'Administration',
    4 => 'Formation'
    );
    
$strings['please_login'] = 'Connectez-vous';
$strings['requirements'] = 'Configuration Requise';
$strings['login'] = 'Connexion';
$strings['no_items'] = 'Pas d\'enregistrements';
$strings['logout'] = 'Dconnexion';
$strings['preferences'] = 'Prfrences';
$strings['my_tasks'] = 'Mes Tches';
$strings['edit_task'] = 'diter une tche';
$strings['copy_task'] = 'Copier une tche';
$strings['add_task'] = 'Ajouter une tche';
$strings['delete_tasks'] = 'Effacer les tches';
$strings['assignment_history'] = 'Historique des assignations';
$strings['assigned_on'] = 'Assigne ';
$strings['assigned_by'] = 'Assigne par';
$strings['to'] = 'A';
$strings['comment'] = 'Commentaire';
$strings['task_assigned'] = 'Tche assigne ';
$strings['task_unassigned'] = 'Tche assigne  Non assigne';
$strings['edit_multiple_tasks'] = 'diter plusieurs tches';
$strings['tasks_selected'] = 'tches slectionnes. Choisissez de nouvelles valeurs pour ces tches, ou slectionnez [Pas de changement] pour conserver les valeurs d\'origine.';
$strings['assignment_comment'] = 'Commentaire d\'assignement';
$strings['no_change'] = '[Pas de changement]';
$strings['my_discussions'] = 'Mes Discussions';
$strings['discussions'] = 'Discussions';
$strings['delete_discussions'] = 'Effacer les discussions';
$strings['delete_discussions_note'] = 'Note : Les discussions ne peuvent pas tre rouvertes aprs avoir t effaces.';
$strings['topic'] = 'Sujet';
$strings['posts'] = 'Messages';
$strings['latest_post'] = 'Dernier Message';
$strings['my_reports'] = 'Mes Rapports';
$strings['reports'] = 'Rapports';
$strings['create_report'] = 'Crer un rapport';
$strings['report_intro'] = 'Choisissez vos paramtres pour l\'tat des tches souhait et sauvegardez votre requte dans la page de rsultat aprs avoir lanc le rapport.';
$strings['admin_intro'] = 'Information et Configuration.';
$strings['copy_of'] = 'Copie de ';
$strings['add'] = 'Ajouter';
$strings['delete'] = 'Supprimer';
$strings['remove'] = 'Effacer';
$strings['copy'] = 'Copier';
$strings['view'] = 'Voir';
$strings['edit'] = 'diter';
$strings['update'] = 'Modifier';
$strings['details'] = 'Dtails';
$strings['none'] = 'Vide';
$strings['close'] = 'Fermer';
$strings['new'] = 'Nouveau';
$strings['select_all'] = 'Slectionner tout';
$strings['unassigned'] = 'Non assign';
$strings['administrator'] = 'Administrateur';
$strings['my_projects'] = 'Mes Projets';
$strings['project'] = 'Projet';
$strings['active'] = 'Actif';
$strings['inactive'] = 'Inactif';
$strings['project_id'] = 'Numro Projet';
$strings['edit_project'] = 'diter le projet';
$strings['copy_project'] = 'Copier le projet';
$strings['add_project'] = 'Ajouter un projet';
$strings['clients'] = 'Clients';
$strings['organization'] = 'Client';
$strings['client_projects'] = 'Projets Client';
$strings['client_users'] = 'Utilisateurs Client';
$strings['edit_organization'] = 'diter un client';
$strings['add_organization'] = 'Ajouter un client';
$strings['organizations'] = 'Clients';
$strings['info'] = 'Info';
$strings['status'] = 'Statut';
$strings['owner'] = 'Propritaire';
$strings['home'] = 'Accueil';
$strings['projects'] = 'Projets';
$strings['files'] = 'Fichiers';
$strings['search'] = 'Recherche';
$strings['admin'] = 'Admin';
$strings['user'] = 'Utilisateur';
$strings['project_manager'] = 'Chef de projet';
$strings['due'] = 'Echance';
$strings['task'] = 'Tche';
$strings['tasks'] = 'Tches';
$strings['team'] = 'quipe';
$strings['add_team'] = 'Ajouter un membre  l\'quipe';
$strings['team_members'] = 'Membres de l\'quipe';
$strings['full_name'] = 'Nom complet';
$strings['title'] = 'Fonction';
$strings['user_name'] = 'Utilisateur';
$strings['work_phone'] = 'Tlphone Travail';
$strings['priority'] = 'Priorit';
$strings['name'] = 'Nom';
$strings['id'] = 'ID';
$strings['description'] = 'Description';
$strings['phone'] = 'Tlphone';
$strings['url'] = 'URL';
$strings['address'] = 'Adresse';
$strings['comments'] = 'Commentaires';
$strings['created'] = 'Cr';
$strings['assigned'] = 'Assigne';
$strings['modified'] = 'Modifi';
$strings['assigned_to'] = 'Assigne ';
$strings['due_date'] = 'Date d\'chance';
$strings['estimated_time'] = 'Temps estim';
$strings['actual_time'] = 'Temps rel';
$strings['delete_following'] = 'Effacer les lments suivants ?';
$strings['cancel'] = 'Annuler';
$strings['and'] = 'et';
$strings['administration'] = 'Administration';
$strings['user_management'] = 'Gestion des utilisateurs';
$strings['system_information'] = 'Information Systme';
$strings['product_information'] = 'Information Produit';
$strings['system_properties'] = 'Proprits Systme';
$strings['create'] = 'Crer';
$strings['report_save'] = 'Sauvegarder cette requte sur votre page d\'accueil pour pouvoir la lancer  nouveau.';
$strings['report_name'] = 'Nom du rapport';
$strings['save'] = 'Sauvegarder';
$strings['matches'] = 'Rsultats';
$strings['match'] = 'Rsultat';
$strings['report_results'] = 'Rsultats de la requte';
$strings['success'] = 'Succs';
$strings['addition_succeeded'] = 'Ajout russi';
$strings['deletion_succeeded'] = 'Suppression russie';
$strings['report_created'] = 'Rapport cr';
$strings['deleted_reports'] = 'Rapports effacs';
$strings['modification_succeeded'] = 'Modification russie';
$strings['errors'] = 'Erreurs trouves!';
$strings['blank_user'] = 'L\'utilisateur ne peut pas tre trouv.';
$strings['blank_organization'] = 'Le client ne peut pas tre trouv.';
$strings['blank_project'] = 'Le projet ne peut pas tre trouv.';
$strings['user_profile'] = 'Profil utilisateur';
$strings['change_password'] = 'Changement mot de passe';
$strings['change_password_user'] = 'Changer le mot de passe utilisateur.';
$strings['old_password_error'] = 'L\'ancien mot de passe saisi est incorrect. Veuillez le saisir  nouveau.';
$strings['new_password_error'] = 'Les 2 mots de passe saisie ne correspondent pas. Veuillez re-saisir votre nouveau mot de passe.';
$strings['notifications'] = 'Notifications';
$strings['change_password_intro'] = 'Saisissez votre ancien mot de passe puis le nouveau et la confirmation.';
$strings['old_password'] = 'Ancien Mot de passe';
$strings['password'] = 'Mot de passe';
$strings['new_password'] = 'Nouveau Mot de passe';
$strings['confirm_password'] = 'Confirmer le mot de passe';
$strings['email'] = 'Adresse mail';
$strings['home_phone'] = 'Tlphone domicile';
$strings['mobile_phone'] = 'Tlphone portable';
$strings['fax'] = 'Fax';
$strings['permissions'] = 'Permissions';
$strings['administrator_permissions'] = 'Permissions Administrateur';
$strings['project_manager_permissions'] = 'Permissions Chef de projet';
$strings['user_permissions'] = 'Permissions utilisateur';
$strings['account_created'] = 'Compte cr';
$strings['edit_user'] = 'Editer l\'utilisateur';
$strings['edit_user_details'] = 'Editer les dtails du compte utilisateur.';
$strings['change_user_password'] = 'Changer le mot de passe utilisateur.';
$strings['select_permissions'] = 'Slectionner les permissions pour l\'utilisateur.';
$strings['add_user'] = 'Ajouter un utilisateur';
$strings['enter_user_details'] = 'Entrer les dtails pour le nouveau compte utilisateur.';
$strings['enter_password'] = 'Entrer le mot de passe utilisateur.';
$strings['success_logout'] = 'Vous vous tes dconnect avec succs. Vous pouvez vous reconnecter en saisissant votre nom d\'utilisateur et votre mot de passe ci-dessous.';
$strings['invalid_login'] = 'Le nom d\'utilisateur et/ou le mot de passe saisi sont incorrects. Saisissez  nouveau vos informations de connexion.';
$strings['profile'] = 'Profil';
$strings['user_details'] = 'Dtails du compte utilisateur.';
$strings['edit_user_account'] = 'Editer vos informations.';
$strings['no_permissions'] = 'Vous n\'avez pas les permissions ncessaires pour effectuer cette action.';
$strings['discussion'] = 'Discussion';
$strings['retired'] = 'Retire';
$strings['last_post'] = 'Dernier message';
$strings['post_reply'] = 'Poster une rponse';
$strings['posted_by'] = 'Post par';
$strings['when'] = 'Quand';
$strings['post_to_discussion'] = 'Poster une rponse';
$strings['message'] = 'Message';
$strings['delete_reports'] = 'Effacer des tats';
$strings['delete_projects'] = 'Effacer des projets';
$strings['delete_organizations'] = 'Effacer des clients';
$strings['delete_organizations_note'] = 'Note: Les utilisateurs de ces clients seront effacs et les projets r-associs.';
$strings['delete_messages'] = 'Effacer les messages';
$strings['attention'] = 'Attention';
$strings['delete_teamownermix'] = 'Suppression russie, mais le propritaire du projet ne peut pas tre supprim de l\'quipe.';
$strings['delete_teamowner'] = 'Vous ne pouvez pas supprimer le propritaire du projet de l\'quipe.';
$strings['delete_yourselfmix'] = 'suppression russie, mais vous ne pouvez pas tre supprim de l\'quipe projet.';
$strings['delete_yourself'] = 'vous ne pouvez pas tre supprim de l\'quipe projet.';
$strings['enter_keywords'] = 'Saisir des mots cls';
$strings['search_options'] = 'Mots cls et options de recherche';
$strings['search_note'] = 'Vous devez saisir des informations dans le champ de recherche.';
$strings['search_results'] = 'Rsultats de recherche';
$strings['users'] = 'Utilisateurs';
$strings['search_for'] = 'Rechercher';
$strings['results_for_keywords'] = 'Rsultats de recherche pour le(s) mot(s) cl(s)';
$strings['add_discussion'] = 'Ajouter un sujet';
$strings['delete_users'] = 'Effacer les comptes utilisateur';
$strings['reassignment_user'] = 'Rassignation de projet et tche';
$strings['there'] = 'Il y a';
$strings['owned_by'] = 'lis aux utilisateurs ci-dessus.';
$strings['reassign_to'] = 'Avant d\'effacer les utilisateurs, rassigner ';
$strings['no_files'] = 'Aucun fichier associ';
$strings['published'] = 'Publi';
$strings['project_site'] = 'Site Projet';
$strings['approval_tracking'] = 'Approbations';
$strings['size'] = 'Taille';
$strings['add_project_site'] = 'Ajouter au Site Projet';
$strings['remove_project_site'] = 'Retirer du Site Projet';
$strings['more_search'] = 'Plus d\'options de recherche';
$strings['results_with'] = 'Trouver rsultat avec';
$strings['search_topics'] = 'Recherche de sujet';
$strings['search_properties'] = 'Proprits de recherche';
$strings['date_restrictions'] = 'Restrictions de date';
$strings['case_sensitive'] = 'Sensible  la case';
$strings['yes'] = 'Oui';
$strings['no'] = 'Non';
$strings['sort_by'] = 'Trier par';
$strings['type'] = 'Type';
$strings['date'] = 'Date';
$strings['all_words'] = 'all of the words';
$strings['any_words'] = 'any of the words';
$strings['exact_match'] = 'correspondance exacte';
$strings['all_dates'] = 'Toutes les dates';
$strings['between_dates'] = 'Entre les dates';
$strings['all_content'] = 'Tout le contenu';
$strings['all_properties'] = 'Toutes les proprits';
$strings['no_results_search'] = 'La recherche n\'a pas donn de rsultats.';
$strings['no_results_report'] = 'La recherche n\'a pas donn de rsultats.';
$strings['schema_date'] = 'AAAA/MM/JJ';
$strings['hours'] = 'heures';
$strings['choice'] = 'Choix';
$strings['missing_file'] = 'Fichier absent!';
$strings['project_site_created'] = 'Le site projet a t cr avec succs.';
$strings['project_site_deleted'] = 'Le site projet a t effac avec succs.';
$strings['add_user_project_site'] = 'Les utilisateurs ont t autoriss  accder au site projet.';
$strings['remove_user_project_site'] = 'Les permissions utilisateur ont t retires avec succs.';
$strings['add_project_site_success'] = 'L\'ajout au site projet est russi.';
$strings['remove_project_site_success'] = 'La suppression du site projet est russie.';
$strings['add_file_success'] = 'Fichier associ.';
$strings['delete_file_success'] = 'Fichier retir.';
$strings['update_comment_file'] = 'Le commentaire du fichier a t mis  jour avec succs.';
$strings['session_false'] = 'Erreur de session';
$strings['logs'] = 'Logs';
$strings['logout_time'] = 'Dconnexion automatique';
$strings['noti_foot1'] = 'Cette notification a t gnre par PhpCollab.';
$strings['noti_foot2'] = 'Pour accder  la page d\'accueil de PhpCollab, visitez :';
$strings['noti_taskassignment1'] = 'Nouvelle tche :';
$strings['noti_taskassignment2'] = 'Une tche vous a t assigne :';
$strings['noti_moreinfo'] = 'Pour plus d\'informations, visitez :';
$strings['noti_prioritytaskchange1'] = 'Priorit d\'une tche modifie :';
$strings['noti_prioritytaskchange2'] = 'La priorit de la tche suivante a t modifie :';
$strings['noti_statustaskchange1'] = 'Statut d\'une tche modifie :';
$strings['noti_statustaskchange2'] = 'Le statut de la tche suivante a t modifi :';
$strings['login_username'] = 'Vous devez saisir un nom d\'utilisateur';
$strings['login_password'] = 'Saisissez un mot de passe.';
$strings['login_clientuser'] = 'Il s\'agit d\'un compte utilisateur client. Vous ne pouvez pas accder  PhpCollab avec ce type de compte.';
$strings['user_already_exists'] = 'Il y a dj un utilisateur avec ce nom. Choisissez un nom d\'utilisateur diffrent.';
$strings['noti_duedatetaskchange1'] = 'Date d\'chances d\'une tche modifie :';
$strings['noti_duedatetaskchange2'] = 'La date d\'chance de la tche suivante a t modifie :';
$strings['company'] = 'Socit';
$strings['show_all'] = 'Montrer tout';
$strings['information'] = 'Information';
$strings['delete_message'] = 'Effacer ce message';
$strings['project_team'] = 'Equipe projet';
$strings['document_list'] = 'Liste documents';
$strings['bulletin_board'] = 'Discussions';
$strings['bulletin_board_topic'] = 'Sujet de discussion';
$strings['create_topic'] = 'Crer un nouveau sujet';
$strings['topic_form'] = 'Formulaire';
$strings['enter_message'] = 'Entrez votre message';
$strings['upload_file'] = 'Envoyez un fichier';
$strings['upload_form'] = 'Formulaire d\'envoi';
$strings['upload'] = 'Fichier';
$strings['document'] = 'Document';
$strings['approval_comments'] = 'Commentaires d\'approbation';
$strings['client_tasks'] = 'Tches clients';
$strings['team_tasks'] = 'Tches quipe';
$strings['team_member_details'] = 'Dtails des membres de l\'quipe';
$strings['client_task_details'] = 'Dtails tche client';
$strings['team_task_details'] = 'Dtails tche membres de l\'quipe';
$strings['language'] = 'Langage';
$strings['welcome'] = 'Bienvenue';
$strings['your_projectsite'] = 'dans votre site projet';
$strings['contact_projectsite'] = 'Si vous avez des questions concernant l\'extranet ou les informations indiques sur ce site, contactez le responsable projet';
$strings['company_details'] = 'Dtails Socit';
$strings['database'] = 'Sauvegarde et restauration de la base';
$strings['company_info'] = 'Editer les informations sur votre socit';
$strings['create_projectsite'] = 'Crer le site projet';
$strings['projectsite_url'] = 'Adresse du site projet';
$strings['design_template'] = 'Modle de site';
$strings['preview_design_template'] = 'Aperu du modle';
$strings['delete_projectsite'] = 'Supprimer le site projet';
$strings['add_file'] = 'Ajouter un fichier';
$strings['linked_content'] = 'Fichiers';
$strings['edit_file'] = 'Editer le commentaire du fichier';
$strings['permitted_client'] = 'Utilisateurs Client Authoriss';
$strings['grant_client'] = 'Attribuer les accs au Site Projet';
$strings['add_client_user'] = 'Ajouter un Utilisateur Client';
$strings['edit_client_user'] = 'Editer l\'Utilisateur Client';
$strings['client_user'] = 'Utilisateur Client';
$strings['client_change_status'] = 'Changez le statut ci-dessous quand vous avez fini la tche';
$strings['project_status'] = 'Statut du projet';
$strings['view_projectsite'] = 'Voir le site projet';
$strings['enter_login'] = 'Saisissez votre identifiant pour recevoir votre nouveau mot de passe';
$strings['send'] = 'Envoyer';
$strings['no_login'] = 'Nom d\'utilisateur non prsent';
$strings['email_pwd'] = 'Mot de passe envoy';
$strings['no_email'] = 'Utilisateur sans e-mail';
$strings['forgot_pwd'] = 'Mot de passe oubli ?';
$strings['project_owner'] = 'Vous pouvez faire des changements sur vos propres projets uniquement.';
$strings['connected'] = 'Connect';
$strings['session'] = 'Session';
$strings['last_visit'] = 'Dernire visite';
$strings['compteur'] = 'Compteur';
$strings['ip'] = 'Ip';
$strings['task_owner'] = 'Vous ne faites pas partie de l\'quipe dans ce projet.';
$strings['export'] = 'Exporter';
$strings['browse_cvs'] = 'consulter CVS';
$strings['repository'] = 'dpt CVS';
$strings['reassignment_clientuser'] = 'Rassignation de tche';
$strings['organization_already_exists'] = 'Le nom indiqu est dj en utilis. Veuillez en spcifier un diffrent.';
$strings['blank_organization_field'] = 'Vous devez indiquer le nom du client.';
$strings['blank_fields'] = 'champ requis';
$strings['projectsite_login_fails'] = 'L\'usager et/ou le mot de passe ne sont pas valides.';
$strings['start_date'] = 'Date de dbut';
$strings['completion'] = 'Compltion';
$strings['update_available'] = 'Une nouvelle version est disponible!';
$strings['version_current'] = 'Vous utilisez actuellement la version';
$strings['version_latest'] = 'La dernire version est la';
$strings['sourceforge_link'] = 'Voir la page projet sur SourceForge';
$strings['demo_mode'] = 'Mode dmo. Action non autorise.';
$strings['setup_erase'] = 'Effacez le fichier setup.php!!';
$strings['no_file'] = 'Pas de fichier slectionn';
$strings['exceed_size'] = 'Dpassement de la taille maximum';
$strings['no_php'] = 'Fichiers PHP non autoriss';
$strings['approval_date'] = 'Date d\'approbation';
$strings['approver'] = 'Approbateur';
$strings['error_database'] = 'Connexion impossible  la base de donnes';
$strings['error_server'] = 'Connexion impossible au serveur de base de donnes';
$strings['version_control'] = 'Contrle de version';
$strings['vc_status'] = 'Statut';
$strings['vc_last_in'] = 'Date de dernire modification';
$strings['ifa_comments'] = 'Commentaires d\'approbation';
$strings['ifa_command'] = 'Changer le statut d\'approbation';
$strings['vc_version'] = 'Version';
$strings['ifc_revisions'] = 'Critiques';
$strings['ifc_revision_of'] = 'Critique de la version';
$strings['ifc_add_revision'] = 'Ajouter une critique';
$strings['ifc_update_file'] = 'Mettre  jour le fichier';
$strings['ifc_last_date'] = 'Date de la dernire modification';
$strings['ifc_version_history'] = 'Historique des versions';
$strings['ifc_delete_file'] = 'Effacer le fichier et tous ceux qui lui sont apparents';
$strings['ifc_delete_version'] = 'Effacer la version slectionne';
$strings['ifc_delete_review'] = 'Effacer la critique slectionne';
$strings['ifc_no_revisions'] = 'Il n\'y a aucune rvision de ce document en ce moment';
$strings['unlink_files'] = 'Enlever les fichiers';
$strings['remove_team'] = 'Enlever des quipiers';
$strings['remove_team_info'] = 'Enlever ces utilisateurs de l\'quipe du projet ?';
$strings['remove_team_client'] = 'Rvoquer les permissions permettant de visionner le site du projet';
$strings['note'] = 'Note';
$strings['notes'] = 'Notes';
$strings['subject'] = 'Sujet';
$strings['delete_note'] = 'Effacer les notes';
$strings['add_note'] = 'Ajouter une note';
$strings['edit_note'] = 'Editer une note';
$strings['version_increm'] = 'Slectionnez l\'incrmentation  appliquer:';
$strings['url_dev'] = 'Adresse du site de dveloppement';
$strings['url_prod'] = 'Adresse du site final';
$strings['note_owner'] = 'Vous pouvez modifier uniquement vos notes.';
$strings['alpha_only'] = 'Caractres alpha-numrique uniquement pour l\'identifiant';
$strings['edit_notifications'] = 'Editer les notifications par e-mail';
$strings['edit_notifications_info'] = 'Slectionnez les lments pour lesquels vous souhaitez recevoir une notification par e-mail.';
$strings['select_deselect'] = 'Slectionner/Dselectionner tout';
$strings['noti_addprojectteam1'] = 'Ajout  l\'quipe du projet:';
$strings['noti_addprojectteam2'] = 'Vous avez t ajout  l\'quipe pour le projet :';
$strings['noti_removeprojectteam1'] = 'Retir de l\'quipe projet :';
$strings['noti_removeprojectteam2'] = 'Vous avez t retir de l\'quipe pour le projet :';
$strings['noti_newpost1'] = 'Nouveau message dans la discussion :';
$strings['noti_newpost2'] = 'Un nouveau message a t ajout dans la discussion suivante :';
$strings['edit_noti_taskassignment'] = 'J\'ai t assign  une nouvelle tche';
$strings['edit_noti_statustaskchange'] = 'Le statut d\'une de mes tches a chang';
$strings['edit_noti_prioritytaskchange'] = 'La priorit d\'une de mes tches a chang';
$strings['edit_noti_duedatetaskchange'] = 'La date d\'chance d\'une de mes tches a chang';
$strings['edit_noti_addprojectteam'] = 'J\'ai t ajout  une quipe projet.';
$strings['edit_noti_removeprojectteam'] = 'J\'ai t retir d\'une quipe projet.';
$strings['edit_noti_newpost'] = 'Un nouveau message a t ajout  une discussion dans laquelle je participe.';
$strings['add_optional'] = 'Ajouter un ';
$strings['assignment_comment_info'] = 'Ajoutez des commentaires concernant l\'assignation de cette tche';
$strings['my_notes'] = 'Mes Notes';
$strings['edit_settings'] = 'Editer le fichier des paramtres';
$strings['max_upload'] = 'Taille maximum pour un fichier';
$strings['project_folder_size'] = 'Taille du dossier pour le projet';
$strings['calendar'] = 'Calendrier';
$strings['date_start'] = 'Date de dbut';
$strings['date_end'] = 'Date de fin';
$strings['time_start'] = 'Heure de dbut';
$strings['time_end'] = 'Heure de fin';
$strings['calendar_reminder'] = 'Rappel';
$strings['shortname'] = 'Etiquette';
$strings['calendar_recurring'] = 'L\'vnement se rpte chaque semaine, ce jour l';
$strings['edit_database'] = 'Editer la base de donnes';
$strings['noti_newtopic1'] = 'Nouvelle discussion :';
$strings['noti_newtopic2'] = 'Une nouvelle discussion a t ajoute au project suivant :';
$strings['edit_noti_newtopic'] = 'Une nouvelle discussion a t ajoute au project dont je fais partie.';
$strings['today'] = 'Aujourd\'hui';
$strings['previous'] = 'Prcdent';
$strings['next'] = 'Suivant';
$strings['help'] = 'Aide';
$strings['complete_date'] = 'Date d\'achvement';
$strings['scope_creep'] = 'Dpassement du temps prvu';
$strings['days'] = 'Jours';
$strings['logo'] = 'Logo';
$strings['remember_password'] = 'Se souvenir du mot de passe';
$strings['client_add_task_note'] = 'Note: La tche entre est enregistre dans la base de donnes. Elle apparat cependant ici uniquement si elle a t assigne  un membre de l\'quipe !';
$strings['noti_clientaddtask1'] = 'Tche ajoute par un client :';
$strings['noti_clientaddtask2'] = 'Une tche a t ajoute par un client  partir du site projet pour le projet suivant :';
$strings['phase'] = 'Phase';
$strings['phases'] = 'Phases';
$strings['phase_id'] = 'ID de phase';
$strings['current_phase'] = 'Phase(s) active(s)';
$strings['total_tasks'] = 'Nbre total de tches';
$strings['uncomplete_tasks'] = 'Tches non termines';
$strings['no_current_phase'] = 'Aucune phase n\'est active en ce moment';
$strings['true'] = 'Vrai';
$strings['false'] = 'Faux';
$strings['enable_phases'] = 'Activer les phases';
$strings['phase_enabled'] = 'Phase active';
$strings['order'] = 'Ordre';
$strings['options'] = 'Options';
$strings['support'] = 'Support';
$strings['support_request'] = 'Demande d\'assistances';
$strings['support_requests'] = 'Demandes d\'assistances';
$strings['support_id'] = 'ID de demande';
$strings['my_support_request'] = 'Mes demandes d\'assistance';
$strings['introduction'] = 'Introduction';
$strings['submit'] = 'Soumettre';
$strings['support_management'] = 'Gestion du support';
$strings['date_open'] = 'Date de la demande';
$strings['date_close'] = 'Date de la rsolution';
$strings['add_support_request'] = 'Ajouter une demande d\'assistance';
$strings['add_support_response'] = 'Ajouter une rponse';
$strings['respond'] = 'Rpondre';
$strings['delete_support_request'] = 'Demande d\'assistance efface';
$strings['delete_request'] = 'Effacer la demande d\'assistance';
$strings['delete_support_post'] = 'Effacer la rponse du service de support';
$strings['new_requests'] = 'Nouvelles demandes';
$strings['open_requests'] = 'Requtes ouvertes';
$strings['closed_requests'] = 'Requtes traites';
$strings['manage_new_requests'] = 'Grer les nouvelles requtes';
$strings['manage_open_requests'] = 'Grer les requtes ouvertes';
$strings['manage_closed_requests'] = 'Grer les requtes traites';
$strings['responses'] = 'Rponses';
$strings['edit_status'] = 'Editer le statut';
$strings['noti_support_request_new2'] = 'Vous venez de soumettre une demande d\'assistance  propos de : ';
$strings['noti_support_post2'] = 'Une nouvelle rponse a t ajoute  votre demande d\'assistance. Veuillez prendre connaisance des dtails ci-dessous.';
$strings['noti_support_status2'] = 'Votre requte d\'assistance a t mise  jour. Veuillez prendre connaissance des dtails ci-dessous.';
$strings['noti_support_team_new2'] = 'Une nouvelle demande d\'assistance a t ajoute au projet : ';
// 2.0
$strings['delete_subtasks'] = 'Effacer les sous-tches';
$strings['add_subtask'] = 'Ajouter une sous-tche';
$strings['edit_subtask'] = 'Editer une sous-tche';
$strings['subtask'] = 'Sous-tche';
$strings['subtasks'] = 'Sous-tches';
$strings['show_details'] = 'Montrer le dtail';
$strings['updates_task'] = 'Historique des mises  jour de la tche';
$strings['updates_subtask'] = 'Historique des mises  jour de la sous-tche';
// 2.1
$strings['go_projects_site'] = 'Aller au site des projets';
$strings['bookmark'] = 'Signets';
$strings['bookmarks'] = 'Signets';
$strings['bookmark_category'] = 'Catgorie';
$strings['bookmark_category_new'] = 'Nouvelle catgorie';
$strings['bookmarks_all'] = 'Tout';
$strings['bookmarks_my'] = 'Mes signets';
$strings['my'] = 'Personnel';
$strings['bookmarks_private'] = 'Priv';
$strings['shared'] = 'Partager';
$strings['private'] = 'Priv';
$strings['add_bookmark'] = 'Ajouter un signet';
$strings['edit_bookmark'] = 'Editer un signet';
$strings['delete_bookmarks'] = 'Effacer un signet';
$strings['team_subtask_details'] = 'Dtails des sous-tches d\'une quipe';
$strings['client_subtask_details'] = 'Dtails des sous-tches d\'un client';
$strings['client_change_status_subtask'] = 'Changez votre tat ci-dessous aprs avoir termin cette sous-tche';
$strings['disabled_permissions'] = 'Dsactiver le compte';
$strings['user_timezone'] = 'Fuseau horaire (GMT)';
// 2.2
$strings['project_manager_administrator_permissions'] = 'Administrateur de gestionnaire de projet';
$strings['bug'] = 'Gestionnaire d\'anomalie';
// 2.3
$strings['report'] = 'Rapport';
$strings['license'] = 'License';
// 2.4
$strings['settings_notwritable'] = 'Le fichier Settings.php est protg en criture';
// 2.5
$strings['name_print'] = 'Nom imprim';
$strings['calculation'] = 'Calcul';
$strings['items'] = 'Elments';
$strings['position'] = 'Position';
$strings['completed'] = 'Complet';
$strings['service'] = 'Service';
$strings['service_management'] = 'Gestionnaire de service';
$strings['hourly_rate'] = 'Taux horaire';
$strings['add_service'] = 'Ajouter service';
$strings['edit_service'] = 'Editer service';
$strings['delete_services'] = 'Supprimer services';
$strings['worked_hours'] = 'Heures travailles';
$strings['loghours'] = 'Heures journalises';
$strings['logtime'] = 'Temps journaliss';
$strings['loggedby'] = 'enregistr par';
$strings['error_required'] = 'est exig';
$strings['error_numerical'] = 'doit tre en numrique';
$strings['hours_updated'] = 'Heure des taches mises  jour';
$strings['add_task_time'] = 'Ajouter tche';
$strings['edit_task_time'] = 'Edition des tches';
$strings['delete_task_time'] = 'Supprimer tche';
$strings['task_time'] = 'Taches';
// 2.5.1 
$strings['email_users'] = 'courriel utilisateur';
$strings['email_following'] = 'Suivi courriel';
$strings['email_sent'] = 'Votre courriel  t envoy avec succs.';
$strings['all'] = 'Tous';
$strings['custom_reports'] = 'Rapports personnaliss';
$strings['custom_report_intro'] = 'Choisissez le rapport personnalis ci-dessous (selon la description qui s\'adapte le mieux votre besoin).';
$strings['completed_task_report'] = 'Tache complte';
$strings['completed_task_report_desc'] = 'Ce rapport fournit une liste des tches acheves durant le mois prcdent.';
$strings['time_report'] = 'Rapport de temps';
$strings['time_report_desc'] = 'Ce rapport fournit une liste des heures enregistre par le collaborateur pour chaque projet pendant le mois prcdent et vous permet d\'exporter cette information.';
$strings['overdue_tasks'] = 'Taches en retard';
$strings['overdue_tasks_desc'] = 'Ce rapport affiche une liste des charges en retard pour tous les projets.';
$strings['project_snapshot'] = 'Instantan de projet';
$strings['project_snapshot_desc'] = 'Ce rapport fournit pour l\'utilisateur connect une vue d\'ensemble des projets o il est considr comme propritaire et les tches associes au projet.';
$strings['pending_tasks'] = 'Taches en attente';
$strings['pending_tasks_desc'] = 'Ce rapport fournit une vue entreprise des tches projets qui sont entres pour les projets.';
$strings['pm_report'] = 'Rapport PM';
$strings['pm_report_desc'] = 'Ce rapport affiche les projets assigns par ressource et les projets non assigns .';
$strings['project_phasestatus'] = 'Statut de phase de projet';
$strings['project_phasestatus_desc'] = 'Affiche une vue d\'ensemble synthtique de tous les projets actifs et de leurs phases';
$strings['resource_usage'] = 'Usage des ressources';
$strings['resource_usage_desc'] = 'Ce rapport rcapitule le temps total enregistr pour les projets et les organismes';
// 2.5.2
$strings['install_erase'] = 'Supprimer le rpertoire d\'installation et son contenu !!';
$strings['error_phpversion'] = 'Votre version de PHP doit tre suprieure ou gale  la version 4.1.0 pour excuter NetOffice!';
$strings['display_options'] = 'Afficher Options';
$strings['member_items'] = 'Attributs des membres';
$strings['project_totals'] = 'Totalits des Projets';
$strings['organization_totals'] = 'Totalits des organisations';
$strings['member_totals'] = 'Total des membres';
$strings['member_period_totals'] = 'Totalits des priodes de Membre';
// 2.5.3
$strings['project_breakdown'] = 'Projet en chec';
$strings['project_breakdown_desc'] = 'La liste projet dtaillant le propritaire, le statut, et le partenaire';
$strings['start_page'] = 'Commence le';
$strings['task_id'] = 'Tache ID';

// dwins custom

$dayHourArray = array(
    0 => '0',
    1 => '8',
    2 => '8',
    3 => '8',
    4 => '8',
    5 => '8',
    6 => '0',
    7 => '0'
    );
$taskPredecessorTypes = array(
    'FS' => 'Fini au dbut',
    'FF' => 'Fini  la Fin',
    'SF' => 'Commence  la fin',
    'SS' => 'Commence au dbut'
    );
$timestampArray = array(
    '00:00' => '00:00',
    '00:30' => '00:30',
    '01:00' => '01:00',
    '01:30' => '01:30',
    '02:00' => '02:00',
    '02:30' => '02:30',
    '03:00' => '03:00',
    '03:30' => '03:30',
    '04:00' => '04:00',
    '04:30' => '04:30',
    '05:00' => '05:00',
    '05:30' => '05:30',
    '06:00' => '06:00',
    '06:30' => '06:30',
    '07:00' => '07:00',
    '07:30' => '07:30',
    '08:00' => '08:00',
    '08:30' => '08:30',
    '09:00' => '09:00',
    '09:30' => '09:30',
    '10:00' => '10:00',
    '10:30' => '10:30',
    '11:00' => '11:00',
    '11:30' => '11:30',
    '12:00' => '12:00',
    '12:30' => '12:30',
    '13:00' => '13:00',
    '13:30' => '13:30',
    '14:00' => '14:00',
    '14:30' => '14:30',
    '15:00' => '15:00',
    '15:30' => '15:30',
    '16:00' => '16:00',
    '16:30' => '16:30',
    '17:00' => '17:00',
    '17:30' => '17:30',
    '18:00' => '18:00',
    '18:30' => '18:30',
    '19:00' => '19:00',
    '19:30' => '19:30',
    '20:00' => '20:00',
    '20:30' => '20:30',
    '21:00' => '21:00',
    '21:30' => '21:30',
    '22:00' => '22:00',
    '22:30' => '22:30',
    '23:00' => '23:00',
    '23:30' => '23:30',
    '24:00' => '24:00'
    );
$reminderTimeArray = array(
    '0'     => '--',
    '5'     => '5 minutes',
    '15'    => '15 minutes',
    '30'    => '30 minutes',
    '60'    => '1 heure',
    '120'   => '2 heures',
    '180'   => '3 heures',
    '360'   => '6 heures',
    '720'   => '12 heures',
    '1440'  => '1 jour',
    '2880'  => '2 jours',
    '4320'  => '3 jours',
    '5760'  => '4 jours',
    '7200'  => '5 jours',
    '8640'  => '6 jours',
    '10080' => '1 semaine',
    '11520' => '8 jours',
    '12960' => '9 jours',
    '14400' => '10 jours',
    '15840' => '11 jours',
    '17280' => '12 jours',
    '18720' => '13 jours',
    '20160' => '2 semaines'
    );
$resourceTypeArray = array(
    'members'    => 'Humain'
    );
$personEvaluationValueArray = array(
    1 => array('pourcentage' => 0.2, 'Affiche' => 'insatisfait'),
    2 => array('pourcentage' => 0.4, 'Affiche' => 'mauvais'),
    3 => array('pourcentage' => 0.6, 'Affiche' => 'moyen'),
    4 => array('pourcentage' => 0.8, 'Affiche' => 'Bon'),
    5 => array('pourcentage' => 1,   'Affiche' => 'Excellent')
    );
$personEvaluationTypeArray = array(
    0   => 'Tche',
    1   => 'Gestion de projet'
    );
$personEvaluationItemArraySets = array(
    // Define the names of person evaluation item sets
    'sets' => array(
        0    => 'Document - Plan de dveloppement',
        1    => 'Document - spcification systme',
        2    => 'Document - Analyse du systme',
        3    => 'Document - Spcifications dtailles',
        4    => 'Document - Specification du programme',
        5    => 'Dveloppement',
        6    => 'Test unitaire',
        7    => 'Document - Manuel systme',
        8    => 'Document - Test d\'intgration',
        9    => 'Document - Rapport du test d\'intgration',
        10   => 'Test d\'intgration',
        11   => 'Document - Installation',
        12   => 'Document - Test d\'intgration',
        13   => 'Document - Rapport du test d\'intgration',
        14   => 'Test d\'intgration',
        15   => 'Document - Dploiement',
        16   => 'Dploiement',
        17   => 'Anomalie',
        18   => 'Formation',
        100  => 'Document - Formation',
        101  => 'Formation',
        102  => 'Suivi de formation',
        103  => 'Self-Study',
        104  => 'Maintenance systme',
        1000 => 'PGestion de projet'
        ),
    // List the individual items within each person evaluation item set.
    // Document - Software Development Plan Set
    0 => array(0 => '300', 1 => 'Article'),
    // Document - System Specification Set
    1 => array(0 => '300', 1 => 'Article'),
    // Document - System Analysis Set
    2 => array(0 => '150', 1 => 'jour'),
    // Document - System Design Set
    3 => array(0 => '150', 1 => 'jour'),
    // Document - Program Specification Set
    4 => array(0 => '100', 1 => 'jour'),
    // Coding Set
    5 => array(0 => '100', 1 => 'jour'),
    // Unit Test Set
    6 => array(0 => '100', 1 => 'jour'),
    // Document - System Manual Set
    7 => array(0 => '100', 1 => 'jour'),
    // Document - Software Integration Test Plan Set
    8 => array(0 => '150', 1 => 'jour'),
    // Document - Software Integration Test Report Set
    9 => array(0 => '150', 1 => 'jour'),
    // Software Integration Test Set
    10 => array(0 => '150', 1 => 'jour'),
    // Document - System Installation/Usage Guide Set
    11 => array(0 => '150', 1 => 'jour'),
    // Document - System Integration Test Plan Set
    12 => array(0 => '150', 1 => 'jour'),
    // Document - System Integration Test Report Set
    13 => array(0 => '150', 1 => 'jour'),
    // System Integration Test Set
    14 => array(0 => '150', 1 => 'jour'),
    // Document - System Deployment Plan Set
    15 => array(0 => '150', 1 => 'jour'),
    // System Deployment Set
    16 => array(0 => '150', 1 => 'jour'),
    // Bug Tracking Set
    17 => array(0 => '50', 1 => 'jour'),
    // Training Set
    18 => array(0 => '40', 1 => 'heure'),
    // Document - Teaching Material Set
    100 => array(0 => '0', 1 => 'Artcile'),
    // Teaching Set
    101 => array(0 => '40', 1 => 'heure'),
    // Attend Class Set
    102 => array(0 => '20', 1 => 'heure'),
    // Self-Study Set
    103 => array(0 => '500', 1 => 'quantit'),
    // System Maintenance Set
    104 => array(0 => '500', 1 => 'quantit'),
    // Project Management Set
    1000 => array(0 => '1000', 1 => 'Article')
    );
$personEvaluationUnitArray = array(
    'item' => 'Article',
    'day'  => 'jour',
    'hour' => 'Heure',
    'qtr'  => 'Qantit'
    );
$personEvaluationPhaseArray = array(
    // List the individual default person evaluation items within each phase set.
    'Conception'      => '0',
    'Planning'     => '2',
    'Developpement'  => '5',
    'Test'      => '6',
    'Excution'      => '16',
    'Maintenance'  => '104'
    );
$statusEvaluation = array(PE_SUBMITTED => 'Oui', PE_OPEN => 'Non');
$milestoneis = array(MS_YES => 'Oui', MS_NO => 'Non');
$statusTimesheet = array(
    TS_SUBMITTED => 'Soumis', 
    TS_OPEN => 'Ouvert',
    TS_APPROVED => 'Approuv',
    TS_REJECTED => 'Rejet'
    );
$workTypes = array(
    WT_PROJECT => 'Projet', 
    WT_OTHERS => 'Autres', 
    WT_SALES => 'Ventes', 
    WT_LEAVE => 'Sortie'
    );
$hourCodeArray = array(
    0     => 'Document - Plan de dveloppement de l\'application',
    1     => 'Document - Spcification Systme',
    2     => 'Document - Analyse systme',
    3     => 'Document - Spcifications dtailles du systme',
    4     => 'Document - Spcification de l\'application',
    5     => 'Coding',
    6     => 'Unit Test',
    7     => 'Document - Manuel systme',
    8     => 'Document - Plan de test de l\'application',
    9     => 'Document - Rapport du test de l\'application',
    10    => 'Test d\'intgration de l\'application',
    11    => 'Document - installation systme/Guide d\'utilisation',
    12    => 'Document - Plan de test du systme',
    13    => 'Document - Rapport du test systme',
    14    => 'Test d\'intgration du systme',
    15    => 'Document - Plan de dploiement',
    16    => 'Dploiement',
    17    => 'Suivi d\'anomalie',
    18    => 'Formation',
    100   => 'Document - matriel de formation',
    101   => 'Formateur',
    102   => 'Formation suivi',
    103   => 'Autoformation',
    104   => 'Maintenance systme',
    105   => 'Recrutement',
    106   => 'Autoformation',
    107   => 'Prsentation produit',
    108   => 'Sminaire externe',
    109   => 'Formation externe',
    110   => 'Sminaire interne',
    111   => 'Formation interne',
    112   => 'Runion',
    199   => 'Divers.',
    10000 => 'Premire entrevue',
    10001 => 'Avant vente',
    10002 => 'Runion technique',
    10003 => 'Proposition de Presentation',
    10004 => 'Quotation',
    10005 => 'Prparation Contrat',
    10006 => 'Activit Marketing',
    10099 => 'divers.',
    10100 => 'Sortie annuelle',
    10101 => 'Cong de maladie',
    10102 => 'Absence autoris',
    10103 => 'Jour fri',
    10104 => 'Cong de deuil',
    10105 => 'Lune de miel',
    10106 => 'Cong de maternit'
    );
$dayType = array(
    DT_WEEKEND => 'Weekend',
    DT_STATUTORY_HOLIDAY => 'Cong statutaire',
    DT_MAKEUP_HOLIDAY => 'Vacances',
    DT_WORKDAY => 'Jour ouvrable'
    );

$billingFlag = array(
    BF_YES => 'Facturable',
    BF_NO => 'non Facturable'
    );

$actionType = array(
    AT_TIMESHEET => 'Feuille de temps',
    AT_LEAVE => 'Sortie'
    );

$strings['hours_logged'] = 'Heures enregistres';
$strings['hours_logged_from'] = 'Depuis le';
$strings['hours_logged_to'] = '';
$strings['hours_total'] = 'Total';
$strings['ru_detail'] = 'Dtails de l\'utilisation des ressources';
$strings['ru_detail_from'] = 'Depuis';
$strings['ru_detail_to'] = '';
$strings['ru_total_project'] = 'Total heures projet';
$strings['ru_total_org'] = 'Total pour l\'organisation';
$strings['ru_total_mem'] = 'Total pour les membres';
$strings['ru_subtotal'] = 'Sous-total';
$strings['meetings'] = 'Runions';
$strings['meeting'] = 'Runion';
$strings['edit_meeting'] = 'Editer Runion';
$strings['copy_meeting'] = 'Copier Runion';
$strings['add_meeting'] = 'Ajouter Runion';
$strings['delete_meetings'] = 'Supprimer Runion';
$strings['me_agenda'] = 'Agenda';
$strings['me_location'] = 'Lieu';
$strings['me_minutes'] = 'Compte-rendu';
$strings['me_chairman'] = 'Responsable';
$strings['me_recorder'] = 'Greffier';
$strings['attendants'] = 'Invits';
$strings['select_all_but_clients'] = 'Choisir tout sauf des clients';
$strings['start_time'] = 'Date de dbut';
$strings['end_time'] = 'Date de fin';
$strings['meeting_id'] = 'Runion ID';
$strings['updates_meeting'] = 'Mise  jour historique des runions';
$strings['add_meeting_time'] = 'Ajouter date de runion';
$strings['edit_meeting_time'] = 'Editer date de runion';
$strings['delete_meeting_time'] = 'Supprimer date de runion';
$strings['meeting_time'] = 'Date de runion';
$strings['edit_noti_meetingassignment'] = 'Je suis assign  une nouvelle runion.';
$strings['edit_noti_statusmeetingchange'] = 'Le statut d\'une de mes runions a chang.';
$strings['edit_noti_prioritymeetingchange'] = 'La priorit d\'une de mes runions a chang.';
$strings['edit_noti_locationmeetingchange'] = 'Le lieu d\'une de mes runions a chang.';
$strings['edit_noti_timemeetingchange'] = 'La date/heure d\'une de mes runions a chang.';
$strings['edit_noti_checklogtime'] = 'Me rappeler d\'enregistrer le temps par semaine.';
$strings['edit_noti_todolist'] = 'Afficher ma liste d\'action pour ce jour.';
$strings['edit_noti_timesheetapproved'] = 'Ma feuille de temps a t approuve.';
$strings['edit_noti_timesheetrejected'] = 'Ma feuille de temps a t rejete.';
$strings['noti_meetingassignment1'] = 'Nouvelle runion:';
$strings['noti_meetingassignment2'] = 'Une runion vous a t assigne:';
$strings['noti_prioritymeetingchange1'] = 'La priorit de la runion a chang:';
$strings['noti_prioritymeetingchange2'] = 'La priorit de la runion suivante a chang:';
$strings['noti_statusmeetingchange1'] = 'Le statut de la runion a chang:';
$strings['noti_statusmeetingchange2'] = 'Le statut de la runion suivante a chang:';
$strings['noti_locationmeetingchange1'] = 'Le lieu de la runion a chang:';
$strings['noti_locationmeetingchange2'] = 'Le lieu de la runion suivante a chang:';
$strings['noti_timemeetingchange1'] = 'L\'horaire de la runion a chang:';
$strings['noti_timemeetingchange2'] = 'L\'horaire de la runion suivante a chang:';
$strings['noti_checklogtime1'] = 'Enregistrement de l\'horaire absent:';
$strings['noti_checklogtime2'] = 'La journalisation des jours suivants n\'a pas t entirement enregistre:';
$strings['noti_todolist1'] = 'Liste des activits (todo):';
$strings['noti_todolist2'] = 'La liste des actions pour aujourd\'hui est la suivante:';
$strings['noti_todolist3'] = 'Liste des retards:';
$strings['noti_todolist4'] = 'Liste des tches:';
$strings['noti_todolist5'] = 'Liste des runions:';
$strings['noti_todolist6'] = 'Reminder List:';
$strings['noti_todolist7'] = 'La liste des rappels pour aujourd\'hui est la suivante:';
$strings['noti_todolist8'] = 'Liste de rappel:';
$strings['noti_orphan1'] = 'Liste des tches orphelines:';
$strings['noti_orphan2'] = 'Les taches suivantes ont t assignes  des utilisateurs invalides, rassigner les taches SVP:';
$strings['attendants_modification_succeeded'] = 'Modification des invits russie avec succs';
$strings['cal_personal'] = 'Personnel';
$strings['fixed_duration'] = 'Dure fixe';
$strings['milestone'] = 'Jalon';
$strings['interdependency_failed'] = 'Conflit entre les dpendances de tches, la mise  jour a chou';
$strings['hour'] = 'heure';
$strings['duration'] = 'Dure';
$strings['task_dependencies'] = 'Dpendance de tches';
$strings['lag'] = 'retard';
$strings['predecessor'] = 'Predcesseur';
$strings['add_predecessor'] = 'Ajouter une dpendance avec une tche qui prcde';
$strings['edit_predecessor'] = 'Editer une tche qui prcde';
$strings['delete_predecessors'] = 'Supprimer une tche qui prcde';
$strings['add_predecessor_success'] = 'Ajout avec succs.';
$strings['delete_predecessor_success'] = 'la dpendance a t supprime avec succs.';
$strings['no_possible_tasks'] = 'Il n\'y a pas de tche possible.';
$strings['lack_of_dates'] = 'les dates de dbut et d\'chance sont ncessaires.';
$strings['ftok_error'] = 'blocage Mutex  chou, contacter l\'administrateur immdiatement !!';
$strings['sem_get_error'] = 'blocage Mutex  chou, contacter l\'administrateur immdiatement !!';
$strings['sem_acquire_error'] = 'La transaction a chou, essayer plus tard';
$strings['calendar_reminder_time1'] = 'M\'envoyer un rappel';
$strings['calendar_reminder_time2'] = 'Avant et';
$strings['calendar_reminder_time3'] = 'Avant l\'vnement';
$strings['send_reminder1'] = 'Liste de rappel personnelle:';
$strings['send_reminder2'] = 'La liste des rappels personnel est la suivante:';
$strings['send_reminder3'] = 'Liste de rappel projet:';
$strings['send_reminder4'] = 'Les suivants sont ';
$strings['send_reminder5'] = ' Liste de rappel des projets:';
$strings['send_reminder6'] = 'Rappel des runions:';
$strings['meeting_reminder'] = 'Rappel';
$strings['meeting_reminder_time1'] = 'Envoyer un rappel';
$strings['meeting_reminder_time2'] = 'Avant et';
$strings['meeting_reminder_time3'] = 'Avant la runion';
$strings['add_resource'] = 'Ajouter une tche de ressource';
$strings['edit_resource'] = 'Editer une tche de ressource';
$strings['delete_resources'] = 'Supprimer une tache de ressource';
$strings['no_available_resources'] = 'Il n\'y a aucune ressource de ce type disponible.';
$strings['delete_resource_success'] = 'La ressource a t supprime avec succs.';
$strings['supervisor'] = 'Superviseur';
$strings['agent'] = 'Agent';
$strings['person_evaluation'] = 'Evaluation de Personne';
$strings['person_evaluations'] = 'Evaluation des personnes';
$strings['open_items'] = 'Ouvert';
$strings['submitted_items'] = 'Trait';
$strings['item'] = 'Elment';
$strings['appraiser'] = 'Expert';
$strings['member'] = 'Membre';
$strings['standard'] = 'Standard';
$strings['value'] = 'Valeur';
$strings['submitted'] = 'Trait';
$strings['add_person_evaluation'] = 'Ajouter valuation de personne';
$strings['delete_person_evaluations'] = 'supprimer valuation de personne';
$strings['edit_person_evaluation'] = 'Editer valuation de personne';
$strings['copy_person_evaluation'] = 'Copier valuation de personne';
$strings['add_submitted_items'] = 'Ajouter aux lments traits';
$strings['remove_submitted_items'] = 'Supprimer des lments traits';
$strings['points'] = 'points';
$strings['no_partial_task_type'] = 'Supprimer valuation de personne avec la "tache" type non autorise.';
$strings['no_partial_task_type_cpy'] = 'Copier valuation de personne avec la "tache" type non autorise.';
$strings['no_partial_submitted'] = 'Supprim des valuations de personne soumises non autorises.';
$strings['add_submitted_item_success'] = 'L\'ajout aux lments soumis a russi avec succs.';
$strings['remove_submitted_item_success'] = 'La suppression aux lments soumis a russi avec succs.';
$strings['appraiser_missing'] = 'Ajouter/Supprimer l\'lment soumis sans expert non autoris.';
$strings['person_performance_report'] = 'Rapport de performance des personnes';
$strings['person_performance_report_desc'] = 'Ce rapport fournit un listing des performances des collaborateurs et vous permet d\'exporter ces informations.';
$strings['leave_report'] = 'Rapport des absences';
$strings['leave_report_desc'] = 'Ce rapport fournit un listing des absences des collaborateurs et vous permet d\'exporter ces informations.';
$strings['my_meetings'] = 'Mes runions';
$strings['dwins_link'] = 'Voir la page du projet sur Dwins.com';
$strings['noti_meetingminutes1'] = 'Compte rendu de la runion:';
$strings['noti_meetingminutes2'] = 'Les comptes-rendus de runions sont les suivants:';
$strings['indentation'] = 'Indentation';
$strings['unindentation'] = 'supprimer indentation';
$strings['taskgroup'] = 'Groupe de taches';
$strings['add_taskgroup'] = 'Ajouter groupe de taches';
$strings['edit_taskgroup'] = 'Editer groupe de taches';
$strings['copy_taskgroup'] = 'Copier groupe de taches';
$strings['task_indentation'] = 'Indentation de tache';
$strings['task_unindentation'] = 'Supprimer une indentation de tche';
$strings['no_milestone_indentation'] = 'Ne peut pas bouger le jalon';
$strings['no_leading_task_indentation'] = 'Ne peut pas dplacer la tche principale';
$strings['no_leading_subtask_indentation'] = 'Ne peut pas dplacer la sous-tche principale';
$strings['result_in_a_loop_indentation'] = 'Ne peut pas dplacer la tche, cela aboutirait  une boucle.';
$strings['task_indent_success'] = 'La tche a t indente avec succs.';
$strings['no_parent_task_unindentation'] = 'Ne peut pas bouger la tche, il n\'a aucune tche parent.';
$strings['task_unindent_success'] = 'la suppression de l\'indentation de la tche a russi avec succs.';
$strings['tasks_in_different_levels'] = 'Ne peut pas grouper les tches en diffrents niveaux.';
$strings['tasks_belong_to_different_parent'] = 'Ne peut pas grouper les tches avec diffrentes tches parents.';
$strings['tasks_belong_to_different_phase'] = 'Ne peut pas grouper les tches avec diffrentes phases.';
$strings['no_milestone_belong_to_task_group'] = 'Ne peut grouper les jalons.';
$strings['delete_dependencies'] = 'Supprimer dpendance de tche';
$strings['delete_dependencies_success'] = 'Toutes les dpendances de tche ont t supprimes avec succs.';
$strings['delete_subtasks'] = 'Les sous-tches dans les tches suivantes seront aussi supprimes.';
$strings['meeting_details'] = 'Details runion';
$strings['working_hours'] = 'Horaire de travail';
$strings['timesheet'] = 'Feuille de temps';
$strings['hr_manager_permissions'] = 'Permissions responsable RH';
$strings['hourtype'] = 'Type d\'heure';
$strings['hourcode'] = 'Code horaire';
$strings['billable'] = 'Facturable';
$strings['submit_timesheet'] = 'Soumettre feuille de temps';
$strings['edit_work_hours'] = 'Editer horaire de travail';
$strings['delete_work_hours'] = 'Supprimer horaire de travail';
$strings['month'] = 'Mois';
$strings['actual'] = 'Actuel';
$strings['timesheet_report'] = 'Rapport de feuille de temps';
$strings['timesheet_report_desc'] = 'Ce rapport fournit un listing des heures journalises par collaborateurs pour les projets/ventes/Absences/autres pour le mois prcdent et permet d\'exporter les informations.';
$strings['actived'] = 'Membres activs';
$strings['last_month'] = 'Dernier mois';
$strings['between_months'] = 'entre les mois';
$strings['delayed_list'] = 'Liste des retards';
$strings['workcalendar'] = 'Calendrier des activits';
$strings['workcalendar_management'] = 'Gestion du calendrier des activits';
$strings['this_year'] = 'Cette anne';
$strings['previous_year'] = 'Anne prcdente';
$strings['next_year'] = 'Anne prochaine';
$strings['billing'] = 'Facture';
$strings['timesheet_management'] = 'Gestion feuille de temps';
$strings['edit_timesheet'] = 'Editer feuille de temps';
$strings['approve_timesheet'] = 'Approuver feuille de temps';
$strings['reject_timesheet'] = 'Rejeter Timesheet';
$strings['submit_timesheets_success'] = 'La feuille de temps a t soumise avec succs.';
$strings['approve_timesheets_success'] = 'La feuille de temps a t approuve avec succs.';
$strings['reject_timesheets_success'] = 'La feuille de temps a t rejete avec succs.';
$strings['submit_following'] = 'Soumetter les suivants ?';
$strings['approve_following'] = 'Approuver les suivants ?';
$strings['reject_following'] = 'Rejeter les suivants ?';
$strings['theme'] = 'Thme';
$strings['noti_timesheetsubmit1'] = 'Feuille de temps soumise:';
$strings['noti_timesheetsubmit2'] = 'Les feuilles de temps suivantes ont t soumises:';
$strings['noti_timesheetapproval1'] = 'Les feuilles de temps approuves:';
$strings['noti_timesheetapproval2'] = 'Les feuilles de temps suivantes ont t approuves:';
$strings['noti_timesheetreject1'] = 'Feuille de temps rejet:';
$strings['noti_timesheetreject2'] = 'Les feuilles de temps suivantes ont t rejetes:';
$strings['layout'] = 'disposition';
$strings['action_expired'] = 'L\'action a expir';
$strings['more_approval'] = 'Plus d\'approbation';
$strings['approval_history'] = 'Historique des approbations';
$strings['error_hours'] = 'Doit tre infrieur ou gal  24';
$strings['view_work_hours'] = 'Voir heures de travail';
$strings['view_task_time'] = 'Voir temps des tches';
$strings['view_meeting_time'] = 'Voir horaire de runions';
$strings['add_work_hours'] = 'Ajouter heure de travail';
$strings['leave'] = 'Absence';
$strings['leaves'] = 'Absences';
$strings['leave_management'] = 'Gestion des absences';
$strings['add_leave'] = 'Ajouter une absence';
$strings['edit_leave'] = 'Editer absence';
$strings['delete_leaves'] = 'Supprimer une absence';
$strings['year'] = 'anne';
$strings['leave_request'] = 'Demande d\'absence';
$strings['leave_request_id'] = 'ID demande d\'absence';
$strings['leave_requests'] = 'Demandes d\'absences';
$strings['add_leave_request'] = 'Ajouter une demande d\'absence';
$strings['edit_leave_request'] = 'Editer une demande d\'absence';
$strings['delete_leave_request'] = 'Supprimer une demande d\'absence';
$strings['noti_leaverequest1'] = 'Demande d\'absence:';
$strings['noti_leaverequest2'] = 'Le cong suivant a t demand:';
$strings['noti_leavechanged1'] = 'la demande d\'absence a chang:';
$strings['noti_leavechanged2'] = 'La demande d\'absence suivante a chang:';
$strings['noti_leavewithdraw1'] = 'Demande d\'absence retire:';
$strings['noti_leavewithdraw2'] = 'La demande d\'absence suivante a t retire:';
$strings['noti_leaveapproval1'] = 'Demandes d\'absences approuves:';
$strings['noti_leaveapproval2'] = 'La demande d\'absence suivante a t approuve:';
$strings['noti_leavereject1'] = 'Demandes d\'absences rejetes:';
$strings['noti_leavereject2'] = 'La demande d\'absence suivante a t rejete:';
$strings['approve_leaverequest'] = 'Demandes d\'absences approuves';
$strings['reject_leaverequest'] = 'Demandes d\'absences rejetes';
$strings['approve_leaverequest_success'] = 'La demande d\'absence a t approuve avec succs.';
$strings['reject_leaverequest_success'] = 'La demande d\'absence a t rejete avec succs.';
$strings['proposer'] = 'Proposer';
$strings['edit_noti_leaveapproved'] = 'Ma demande d\'absence a t approuve.';
$strings['edit_noti_leaverejected'] = 'Ma demande d\'absence a t rejete.';
$strings['hours_left'] = 'Hours Left';
$strings['action_missing'] = 'La notification est en panne !';
$strings['overtime'] = 'Heures supplmentaires';
$strings['work_hours'] = 'Heures de travail';
$strings['timeticket_management'] = 'Gestion des tickets';
$strings['add_timeticket'] = 'Ajouter ticket';
$strings['edit_timeticket'] = 'Editer ticket';
$strings['delete_timetickets'] = 'Supprimer ticket';
$strings['timeticket'] = 'Tickets';
$strings['calculate'] = 'Calcuer';
$strings['meeting_owner'] = 'Vous n\'avez pas la permission de changer cette runion.';
$strings['timeticket_in_use'] = 'Le ticket est en cours d\'utilisation.';
$strings['here'] = 'Ici';
$strings['assigned_to_above'] = 'Assign aux utilisateurs ci-dessus.';
$strings['actions'] = 'Actions';
$strings['need_to_approve'] = 'Besoin d\'utilisateurs ci-dessus pour approuver.';
$strings['parent_task'] = 'Tche parent';
$strings['no_workcalendar'] = 'calendrier de travail manquant, contacter le responsable RH.';
$strings['edit_noti_clientaddtask'] = 'Une nouvelle tche est ajoute par le client du site de projet.';
$strings['no_supervisors'] = 'Personne pour approuver votre requte d\'absence, vous devez prendre contact avec votre responsable RH.';
$strings['member_allocation'] = 'Rpartion des membres';
$strings['member_allocation_desc'] = 'Ce rapport rcapitule la rpartition des membres par collaborateur et est utilis pour dterminer les futures charges de travail individuel. Seuls les utilisateurs actifs sont slectionnables et seulement les projets ouverts et les tches sont affichs.';
$strings['daily_total'] = 'Totaux quotidiens';
$strings['overdue_hours'] = 'Heures en retard';
$strings['reset_sortings'] = 'Reinitialisation de toutes les valeurs';
$strings['sortings_resetted'] = 'Toutes les valeurs par dfaut ont t restaures.';
$strings['opposite'] = 'Oppos';
$strings['no_available_users'] = 'Il n\'y a pas d\'utilisateur disponible pour cette action.';
$strings['invalid_email'] = 'Le courriel n\'est pas valide.';
$strings['simple_search'] = 'Recherche simple';
$strings['advance_search'] = 'Recherche avance';
$strings['keywords_too_short'] = 'Les mots-cls doivent avoir au moins 2 caractres';
$strings['dear'] = 'Chre';
?>