<?php // $Revision: 1.13.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: approveleave.php,v 1.13.2.1 2007/11/22 07:52:43 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

function add_supervisors($id, $login, $name, $agent, $prevLogin, $owner)
{
    global $listSupervisors, $idSession;

    if ($id == $idSession || $id == $owner) return;

    $comptListSupervisors = count($listSupervisors->mem_id);

    for ($i=0; $i<$comptListSupervisors; $i++) {
        if ($id == $listSupervisors->mem_id[$i]) break;
    }

    if ($i < $comptListSupervisors) return;

    $nowYmdHi = date("Y-m-dH:i");
    $tmpquery = "WHERE lea.owner='$id' AND lea.sdate<='$nowYmdHi' AND lea.edate>='$nowYmdHi' AND lea.status='" . TS_APPROVED . "'";
    $leaveRequestDetail = new request();
    $leaveRequestDetail->openLeaveRequests($tmpquery);
    $listSupervisors->mem_id[] = $id;
    $listSupervisors->mem_name[] = $login . " / " . $name;
    $listSupervisors->prevLogin[] = $prevLogin;

    if (count($leaveRequestDetail->lea_id) > 0) {
        $listSupervisors->mem_leave_type[] = $leaveRequestDetail->lea_type[0];
        $tmpquery = "WHERE mem.id='$agent'";
        $agentDetail = new request();
        $agentDetail->openMembers($tmpquery);

        if (count($agentDetail->mem_id) > 0) {
            add_supervisors($agentDetail->mem_id[0], $agentDetail->mem_login[0], $agentDetail->mem_name[0], $agentDetail->mem_agent[0], $login, $owner);
        }
    } else {
        $listSupervisors->mem_leave_type[] = "";
    }
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);

if ($monthTS == "") {
    $monthTS = $monthThis;
    $sdate = $sdateThis;
}

$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[date("Y-m-d", $sdate1)] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = date("Y-m-d", $sdate1);
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = date("Y-m-d", $sdate1);
    }

    $sdate1 = mktime(12,0,0,date("m",$sdate1),date("d",$sdate1)+1,date("Y",$sdate1));
}

if ($action == "") {
    $tmpquery = "WHERE act.id='$id'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);
    $owner = $actionDetail->act_owner[0];
    $appraiser = $actionDetail->act_appraiser[0];
    $action_data = $actionDetail->act_action_data[0];
    $tmpquery = "WHERE mem.id='$appraiser'";
    $memberDetail = new request();
    $memberDetail->openMembers($tmpquery);

    if (count($memberDetail->mem_id) > 0 && $memberDetail->mem_supervisor[0] != "0") {
        add_supervisors($memberDetail->mem_supervisor[0], $memberDetail->mem_mem2_login[0], $memberDetail->mem_mem2_name[0], $memberDetail->mem_mem2_agent[0], "", $id);
    }
}

if ($appraiser != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=manage&monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
    exit;
}

if ($action == "approve") {
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $new_action_data = $action_data . ",appraiser=$appraiser,comments=$comm,modified=$dateheure,status=" . TS_APPROVED;

    if ($forward == "") {
        $tmpquery1 = "UPDATE " . $tableCollab['leave_requests'] . " SET status='" . TS_APPROVED . "',approved='$dateheure',modified='$dateheure' WHERE id='$re'";
        connectSql("$tmpquery1");
        $tmpquery1 = "UPDATE " . $tableCollab['actions'] . " SET action_data='$new_action_data',status='" . ST_COMPLETED . "',modified='$dateheure' WHERE id='$id'";
        connectSql("$tmpquery1");
        $tmpquery = "WHERE mem.id='$owner'";
        $memberDetail = new request();
        $memberDetail->openMembers($tmpquery);
        $tmpquery = "WHERE det.timeticket='" . $memberDetail->mem_timeticket[0] . "' ORDER BY det.stamp";
        $detailTimeTickets = new request();
        $detailTimeTickets->openTimeTicketsDetail($tmpquery);
        $comptDetailTimeTickets = count($detailTimeTickets->det_id);

        for ($i=0; $i<$comptDetailTimeTickets; $i++) {
            $timeTicketsWork[$detailTimeTickets->det_stamp[$i]] = $detailTimeTickets->det_work[$i];
        }

        $tmpquery = "WHERE date>='$sd' AND date<='$dd'";
        $listWorkCalendar = new request();
        $listWorkCalendar->openWorkCalendar($tmpquery);
        $comptListWorkCalendar = count($listWorkCalendar->wca_id);

        for ($i=0; $i<$comptListWorkCalendar; $i++) {
            $listWorkHours[$listWorkCalendar->wca_date[$i]] = $listWorkCalendar->wca_hours[$i];
        }

        $sStamp = mktime(substr($st, 0, 2), substr($st, 3, 2), 0, substr($sd, 5, 2), substr($sd, 8, 2), substr($sd, 0, 4));
        $eStamp = mktime(substr($dt, 0, 2), substr($dt, 3, 2), 0, substr($dd, 5, 2), substr($dd, 8, 2), substr($dd, 0, 4));
        $date1 = $sd;
        $hr = 0;

        while ($sStamp < $eStamp) {
            $date2 = date("Y-m-d", $sStamp);

            if ($date1 != $date2) {
                if ($hr > 0) {
                    $tmpquery1 = "INSERT INTO " . $tableCollab['work_hours'] . " (project,work,owner,date,hours,comments,billing,created) VALUES ('0','$ty','$owner','$date1','$hr','$comm','" . BF_NO . "','$dateheure')";
                    connectSql("$tmpquery1");
                }

                $date1 = $date2;
                $hr = 0;
            }

            if ($timeTicketsWork[date('H:i', $sStamp)] == '0' && $hr < $listWorkHours[$date1]) {
                $hr += 0.5;
            }

            $sStamp += 1800;
        }

        if ($hr > 0) {
            $tmpquery1 = "INSERT INTO " . $tableCollab['work_hours'] . " (project,work,owner,date,hours,comments,billing,created) VALUES ('0','$ty','$owner','$date1','$hr','$comm','" . BF_NO . "','$dateheure')";
            connectSql("$tmpquery1");
        }

        if ($notifications == "true") {
            $num = $id;
            require_once("../leaves/noti_leaveapproved.php");
        }
    } else {
        $tmpquery1 = "UPDATE " . $tableCollab['actions'] . " SET action_data='$new_action_data',appraiser='$forward',modified='$dateheure' WHERE id='$id'";
        connectSql("$tmpquery1");
        $appraiser = $forward;
        $num = $id;
        require_once("../leaves/noti_leavesubmitted.php");
    }

    header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=manage&monthTS=$monthTS&sdate=$sdate&msg=approveTimesheet");
    exit;
}

$listActionData = split(",", $actionDetail->act_action_data[0]);
list($nam, $re) = split("=", $listActionData[0]);
$tmpquery = "WHERE lea.id='$re'";
$leaveRequestDetail = new request();
$leaveRequestDetail->openLeaveRequests($tmpquery);
$ty = $leaveRequestDetail->lea_type[0];
$sd = substr($leaveRequestDetail->lea_sdate[0], 0, 10);
$st = substr($leaveRequestDetail->lea_sdate[0], 10, 5);
$dd = substr($leaveRequestDetail->lea_edate[0], 0, 10);
$dt = substr($leaveRequestDetail->lea_edate[0], 10, 5);
$hr = $leaveRequestDetail->lea_hours[0];
$comm = html_entity_decode($leaveRequestDetail->lea_comments[0], ENT_QUOTES, $htmlEntityCharset);
$tmpquery = "WHERE tea.member='$owner'";
$listTeamMembers = new request();
$listTeamMembers->openTeams($tmpquery);
$comptListTeamMembers = count($listTeamMembers->tea_id);

for ($i=0; $i<$comptListTeamMembers; $i++) {
    add_supervisors($listTeamMembers->tea_pro_owner[$i], $listTeamMembers->tea_mem2_login[$i], $listTeamMembers->tea_mem2_name[$i], $listTeamMembers->tea_mem2_agent[$i], "", $id);
}

$tmpquery = "WHERE mem.id='$owner'";
$memberDetail = new request();
$memberDetail->openMembers($tmpquery);

if (count($memberDetail->mem_id) > 0 && $memberDetail->mem_supervisor[0] != "0") {
    add_supervisors($memberDetail->mem_supervisor[0], $memberDetail->mem_mem2_login[0], $memberDetail->mem_mem2_name[0], $memberDetail->mem_mem2_agent[0], "", $id);
}

$comptListSupervisors = count($listSupervisors->mem_id);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
$blockPage->itemBreadcrumbs(lang_strings('approve_leaverequest'));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = 'amT';
$block1->openForm("../leaves/approveleave.php?");
$block1->heading(lang_strings("approve_leaverequest"));
$block1->openContent();
$block1->contentTitle(lang_strings("approve_following"));
echo "<input type=\"hidden\" name=\"action\" value=\"approve\">";
echo "<input type=\"hidden\" name=\"owner\" value=\"$owner\">";
echo "<input type=\"hidden\" name=\"appraiser\" value=\"$appraiser\">";
echo "<input type=\"hidden\" name=\"id\" value=\"$id\">";
echo "<input type=\"hidden\" name=\"action_data\" value=\"$action_data\">";
echo "<input type=\"hidden\" name=\"re\" value=\"$re\">";
echo "<input type=\"hidden\" name=\"sd\" value=\"$sd\">";
echo "<input type=\"hidden\" name=\"st\" value=\"$st\">";
echo "<input type=\"hidden\" name=\"dd\" value=\"$dd\">";
echo "<input type=\"hidden\" name=\"dt\" value=\"$dt\">";
echo "<input type=\"hidden\" name=\"ty\" value=\"$ty\">";
$block1->contentRow(lang_strings("proposer"), $actionDetail->act_mem_login[0] . " / " . $actionDetail->act_mem_name[0]);
$block1->contentRow(lang_strings("type"), $hourCodeArray[$ty]);
$block1->contentRow(lang_strings("time_start"), $sd . " " . $timestampArray[$st]);
$block1->contentRow(lang_strings("time_end"), $dd . " " . $timestampArray[$dt]);
$block1->contentRow(lang_strings("hours"), $hr);
$block1->contentRow(lang_strings("comments"), nl2br($comm));
$block1->contentRow(lang_strings("approval_comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'></textarea>");

if ($comptListSupervisors > 0) {
    $moreApprovalSel = "<select name=\"forward\"><option value=\"\" selected>" . lang_strings('none') . "</option>";

    for ($i=0; $i<$comptListSupervisors; $i++) {
        $moreApprovalSel .= "<option value=\"" . $listSupervisors->mem_id[$i] . "\">" . $listSupervisors->mem_name[$i];

        if ($listSupervisors->prevLogin[$i] != "") {
            $moreApprovalSel .= " - " . $listSupervisors->prevLogin[$i] . " " . lang_strings('agent');
        }

        if ($listSupervisors->mem_leave_type[$i] != "") {
            $moreApprovalSel .= " ( " . $hourCodeArray[$listSupervisors->mem_leave_type[$i]] . " )";
        }

        $moreApprovalSel .= "</option>";
    }

    $moreApprovalSel .= "</select>";
    $block1->contentRow(lang_strings("more_approval"), $moreApprovalSel);
}

$block1->contentRow("", "<input type='submit' name='submit' value='" . lang_strings('submit') . "'>");
$block1->contentTitle(lang_strings("approval_history"));
$comptHist = 0;
$actionData = split(",", $actionDetail->act_action_data[0]);

foreach ($actionData as $dataEntry) {
    $pos = strpos($dataEntry, "=");
    $nam = substr($dataEntry, 0, $pos);
    $val = substr($dataEntry, $pos+1);

    if ($nam == "appraiser") {
        $appraiserH[$comptHist] = $val;
    } else if ($nam == "comments") {
        $commentsH[$comptHist] = html_entity_decode($val, ENT_QUOTES, $htmlEntityCharset);
    } else if ($nam == "modified") {
        $modifiedH[$comptHist] = $val;
    } else if ($nam == "status") {
        $statusH[$comptHist] = $val;
        $comptHist++;
    }
}

if ($comptHist > 0) {
    for ($j=$comptHist-1; $j>=0; $j--) {
        $tmpquery = "WHERE mem.id='" . $appraiserH[$j] . "'";
        $memberDetailH = new request();
        $memberDetailH->openMembers($tmpquery);

        if ($commentsH[$j] == "") {
            $block1->contentRow($statusTimesheet[$statusH[$j]], $memberDetailH->mem_name[0] . "&nbsp;<i>" . $modifiedH[$j] . "</i>");
        } else {
            $block1->contentRow($statusTimesheet[$statusH[$j]], $memberDetailH->mem_name[0] . "&nbsp;<i>" . $modifiedH[$j] . "</i><br>" . nl2br($commentsH[$j]));
        }
    }
} else {
    $block1->contentRow("", lang_strings("no_items"));
}

$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
