<?php // $Revision: 1.14.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editleaverequest.php,v 1.14.2.1 2007/11/22 07:52:47 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$monthTS = $_GET['monthTS'];
$sdate = $_GET['sdate'];

function check_workcalendar($yearCalend)
{
    global $tableCollab, $monthTS, $sdate, $countEnregTotal;

    $tmpquery = "SELECT wca.id FROM " . $tableCollab['workcalendar'] . " wca WHERE wca.year='$yearCalend'";
    compt($tmpquery);

    if ($countEnregTotal > 0) return;

    header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=noWorkCalendar");
    exit;
}

function add_supervisors($id, $login, $name, $agent, $prevLogin, $owner)
{
    global $listSupervisors, $idSession;

    if ($id == $idSession || $id == $owner) return;

    $comptListSupervisors = count($listSupervisors->mem_id);

    for ($i=0; $i<$comptListSupervisors; $i++) {
        if ($id == $listSupervisors->mem_id[$i]) break;
    }

    if ($i < $comptListSupervisors) return;

    $nowYmdHi = date("Y-m-dH:i");
    $tmpquery = "WHERE lea.owner='$id' AND lea.sdate<='$nowYmdHi' AND lea.edate>='$nowYmdHi' AND lea.status='" . TS_APPROVED . "'";
    $leaveRequestDetail = new request();
    $leaveRequestDetail->openLeaveRequests($tmpquery);
    $listSupervisors->mem_id[] = $id;
    $listSupervisors->mem_name[] = $login . " / " . $name;
    $listSupervisors->prevLogin[] = $prevLogin;

    if (count($leaveRequestDetail->lea_id) > 0) {
        $listSupervisors->mem_leave_type[] = $leaveRequestDetail->lea_type[0];
        $tmpquery = "WHERE mem.id='$agent'";
        $agentDetail = new request();
        $agentDetail->openMembers($tmpquery);

        if (count($agentDetail->mem_id) > 0) {
            add_supervisors($agentDetail->mem_id[0], $agentDetail->mem_login[0], $agentDetail->mem_name[0], $agentDetail->mem_agent[0], $login, $owner);
        }
    } else {
        $listSupervisors->mem_leave_type[] = "";
    }
}

if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $tmpquery = "WHERE lea.id='$id'";
    $leaveRequestDetail = new request();
    $leaveRequestDetail->openLeaveRequests($tmpquery);

    if ($leaveRequestDetail->lea_owner[0] != $idSession || $leaveRequestDetail->lea_status[0] == TS_APPROVED) {
        header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=manage&monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
        exit;
    }
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[date("Y-m-d", $sdate1)] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = date("Y-m-d", $sdate1);
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = date("Y-m-d", $sdate1);
    }

    $sdate1 = mktime(12,0,0,date("m",$sdate1),date("d",$sdate1)+1,date("Y",$sdate1));
}

$tmpquery = "WHERE mem.id='$idSession'";
$memberDetail = new request();
$memberDetail->openMembers($tmpquery);
$tmpquery = "WHERE det.timeticket='" . $memberDetail->mem_timeticket[0] . "' ORDER BY det.stamp";
$detailTimeTickets = new request();
$detailTimeTickets->openTimeTicketsDetail($tmpquery);
$comptDetailTimeTickets = count($detailTimeTickets->det_id);

for ($i=0; $i<$comptDetailTimeTickets; $i++) {
    if ($detailTimeTickets->det_work[$i] == '0') {
        $timeSelOptions[] = $detailTimeTickets->det_stamp[$i];
    } else if ($i>0 && $detailTimeTickets->det_work[$i-1] == '0') {
        $timeSelOptions[] = $detailTimeTickets->det_stamp[$i];
    }

    $timeTicketsWork[$detailTimeTickets->det_stamp[$i]] = $detailTimeTickets->det_work[$i];
}

$comptTimeSelOptions = count($timeSelOptions);

if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $ty = $_POST['ty'];
    $sd = $_POST['sd'];
    $st = $_POST['st'];
    $dd = $_POST['dd'];
    $dt = $_POST['dt'];
    $comm = $_POST['comm'];
    // replace quotes by html code in name and address
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $appraiser = $_POST['appraiser'];
    $tmpquery = "WHERE date>='$sd' AND date<='$dd'";
    $listWorkCalendar = new request();
    $listWorkCalendar->openWorkCalendar($tmpquery);
    $comptListWorkCalendar = count($listWorkCalendar->wca_id);

    for ($i=0; $i<$comptListWorkCalendar; $i++) {
        $listWorkHours[$listWorkCalendar->wca_date[$i]] = $listWorkCalendar->wca_hours[$i];
    }

    $hr = 0;
    $hr1 = 0;
    $sStamp = mktime(substr($st, 0, 2), substr($st, 3, 2), 0, substr($sd, 5, 2), substr($sd, 8, 2), substr($sd, 0, 4));
    $eStamp = mktime(substr($dt, 0, 2), substr($dt, 3, 2), 0, substr($dd, 5, 2), substr($dd, 8, 2), substr($dd, 0, 4));
    $date1 = $sd;

    while ($sStamp < $eStamp) {
        $date2 = date('Y-m-d', $sStamp);

        if ($date2 != $date1) {
            $date1 = $date2;
            $hr1 = 0;
        }

        if ($timeTicketsWork[date('H:i', $sStamp)] == '0') {
            $hr1 += 0.5;

            if ($hr1 <= $listWorkHours[$date1]) {
                $hr += 0.5;
            }
        }

        $sStamp += 1800;
    }

    if ($action == 'add') {
        $tmpquery1 = "INSERT INTO " . $tableCollab['leave_requests'] . " (owner,type,sdate,edate,hours,status,comments,created) VALUES ('$idSession','$ty','$sd$st','$dd$dt','$hr','" . TS_SUBMITTED . "','$comm','$dateheure')";
        connectSql($tmpquery1);
        $tmpquery = $tableCollab['leave_requests'];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);
        $actionData = "request=$num,";
        $tmpquery1 = "INSERT INTO " . $tableCollab["actions"] . " (owner,action,action_data,appraiser,status,created) VALUES ('$idSession','" . AT_LEAVE . "','$actionData','$appraiser','" . ST_OPEN . "','$dateheure')";
        connectSql($tmpquery1);
        $tmpquery = $tableCollab["actions"];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);
        require_once("../leaves/noti_leavesubmitted.php");
        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=add");
        exit;
    } else if ($action == 'update') {
        $tmpquery = "WHERE act.owner='$idSession' AND act.action='" . AT_LEAVE . "' AND act.action_data LIKE 'request=$id,%'";
        $actionDetail = new request();
        $actionDetail->openActions($tmpquery);

        if (count($actionDetail->act_id) > 0) {
            $newActionData = $actionDetail->act_action_data[0] . ",changed=$dateheure";
            $tmpquery1 = "UPDATE " . $tableCollab['actions'] . " SET action_data='$newActionData',appraiser='$appraiser',status='" . ST_OPEN . "',modified='$dateheure' WHERE id='" . $actionDetail->act_id[0] . "'";
            connectSql($tmpquery1);
            $num = $actionDetail->act_id[0];
            $old_appraiser = $actionDetail->act_appraiser[0];
        } else {
            $actionData = "request=$id,";
            $tmpquery1 = "INSERT INTO " . $tableCollab["actions"] . " (owner,action,action_data,appraiser,status,created) VALUES ('$idSession','" . AT_LEAVE . "','$actionData','$appraiser','" . ST_OPEN . "','$dateheure')";
            connectSql($tmpquery1);
            $tmpquery = $tableCollab["actions"];
            last_id($tmpquery);
            $num = $lastId[0];
            $old_appraiser = $appraiser;
            unset($lastId);
        }

        $tmpquery1 = "UPDATE " . $tableCollab['leave_requests'] . " SET type='$ty',sdate='$sd$st',edate='$dd$dt',hours='$hr',status='" . TS_SUBMITTED . "',comments='$comm',modified='$dateheure' WHERE id='$id'";
        connectSql($tmpquery1);

        if ($old_appraiser == $appraiser) {
            require_once("../leaves/noti_leavechanged.php");
        } else {
            require_once("../leaves/noti_leavesubmitted.php");
            $recipient = $old_appraiser;
            require_once("../leaves/noti_leavewithdraw.php");
        }

        header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=update");
        exit;
    }
}

if ($ty == "") {
    if ($id == '') {
        $ty = LV_ANNUAL;
        $sd = date('Y-m-d');
        $st = '09:00';
        $dd = date('Y-m-d');
        $dt = '10:00';
    } else {
        $ty = $leaveRequestDetail->lea_type[0];
        $sd = substr($leaveRequestDetail->lea_sdate[0], 0, 10);
        $st = substr($leaveRequestDetail->lea_sdate[0], 10, 5);
        $dd = substr($leaveRequestDetail->lea_edate[0], 0, 10);
        $dt = substr($leaveRequestDetail->lea_edate[0], 10, 5);
        $hr = $leaveRequestDetail->lea_hours[0];
        $comm = html_entity_decode($leaveRequestDetail->lea_comments[0], ENT_QUOTES, $htmlEntityCharset);
    }
}

$sy = substr($sd, 0, 4);
$dy = substr($dd, 0, 4);
check_workcalendar($sy);

if ($dy != $sy) {
    check_workcalendar($dy);
}

$tmpquery = "WHERE date>='$sd' AND date<='$dd'";
$listWorkCalendar = new request();
$listWorkCalendar->openWorkCalendar($tmpquery);
$comptListWorkCalendar = count($listWorkCalendar->wca_id);

for ($i=0; $i<$comptListWorkCalendar; $i++) {
    $listWorkHours[$listWorkCalendar->wca_date[$i]] = $listWorkCalendar->wca_hours[$i];
}

$hr = 0;
$hr1 = 0;
$sStamp = mktime(substr($st, 0, 2), substr($st, 3, 2), 0, substr($sd, 5, 2), substr($sd, 8, 2), substr($sd, 0, 4));
$eStamp = mktime(substr($dt, 0, 2), substr($dt, 3, 2), 0, substr($dd, 5, 2), substr($dd, 8, 2), substr($dd, 0, 4));
$sdate1 = $sd;

while ($sStamp < $eStamp) {
    $date2 = date('Y-m-d', $sStamp);

    if ($date2 != $date1) {
        $date1 = $date2;
        $hr1 = 0;
    }

    if ($timeTicketsWork[date('H:i', $sStamp)] == '0') {
        $hr1 += 0.5;

        if ($hr1 <= $listWorkHours[$date1]) {
            $hr += 0.5;
        }
    }

    $sStamp += 1800;
}

$hoursLeft[LV_ANNUAL] = 0;
$hoursLeft[LV_SICK] = 0;
$hoursLeft[LV_ABSENCE] = 0;
$today = date("Y-m-d");
$tmpquery = "WHERE lea.owner='$idSession' AND lea.year='" . substr($sd, 0, 4) . "' AND lea.due_date>'$today'";
$listLeaves = new request();
$listLeaves->openLeaves($tmpquery);
$comptListLeaves = count($listLeaves->lea_id);

for ($i=0; $i<$comptListLeaves; $i++) {
    $hoursLeft[$listLeaves->lea_type[$i]] += $listLeaves->lea_hours[$i];
}

$tmpquery = "WHERE wkh.work IN ('" . LV_ANNUAL . "','" . LV_SICK . "','" . LV_ABSENCE . "') AND wkh.owner='$idSession' AND wkh.date LIKE '" . substr($sd, 0, 4) . "%'";
$listLeaveHours = new request();
$listLeaveHours->openWorkHours($tmpquery);
$comptListLeaveHours = count($listLeaveHours->wkh_id);

for ($i=0; $i<$comptListLeaveHours; $i++) {
    $hoursLeft[$listLeaveHours->wkh_work[$i]] -= $listLeaveHours->wkh_hours[$i];
}

if ($hoursLeft[LV_ANNUAL] == 0 && $hoursLeft[LV_SICK] == 0 && $hoursLeft[LV_ABSENCE] == 0 && $ty < LV_BANKHOLIDAY) {
    $ty = LV_BANKHOLIDAY;
}

if (count($memberDetail->mem_id) > 0 && $memberDetail->mem_supervisor[0] != "0") {
    add_supervisors($memberDetail->mem_supervisor[0], $memberDetail->mem_mem2_login[0], $memberDetail->mem_mem2_name[0], $memberDetail->mem_mem2_agent[0], "", $id);
}

$tmpquery = "WHERE tea.member='$idSession'";
$listTeamMembers = new request();
$listTeamMembers->openTeams($tmpquery);
$comptListTeamMembers = count($listTeamMembers->tea_id);

for ($i=0; $i<$comptListTeamMembers; $i++) {
    add_supervisors($listTeamMembers->tea_pro_owner[$i], $listTeamMembers->tea_mem2_login[$i], $listTeamMembers->tea_mem2_name[$i], $listTeamMembers->tea_mem2_agent[$i], "", $id);
}

if (count($listSupervisors->mem_id) == 0) {
    $tmpquery = "WHERE mem.id NOT IN ('1','2') AND mem.profil IN ('" . PF_ADMINISTRATOR . "','" . PF_HR_MANAGER . "')";
    $listAdministrators = new request();
    $listAdministrators->openMembers($tmpquery);
    $comptListAdministrators = count($listAdministrators->mem_id);

    for ($i=0; $i<$comptListAdministrators; $i++) {
        add_supervisors($listAdministrators->mem_id[$i], $listAdministrators->mem_login[$i], $listAdministrators->mem_name[$i], $listAdministrators->mem_agent[$i], "", $id);
    }
}

$comptListSupervisors = count($listSupervisors->mem_id);

if ($comptListSupervisors == 0) {
    header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=edit&monthTS=$monthTS&sdate=$sdate&msg=noSupervisors");
    exit;
}

$tmpquery = "SELECT mem.id FROM " . $tableCollab['members'] . " mem WHERE mem.supervisor='$idSession'";
compt($tmpquery);
$bodyCommand = "onLoad=\"document.leaEForm.ty.focus();\"";
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings("timesheet"), in));

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $countEnregTotal == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

if (is_numeric($id)) {  // edit leave request
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../leaves/viewleaverequest.php?id=$id&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings("leave_request") . " #$id", in));
    $blockPage->itemBreadcrumbs(lang_strings("edit_leave_request"));
} else {
    $blockPage->itemBreadcrumbs(lang_strings("add_leave_request"));
}

$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "leaE";

if (is_numeric($id)) {  // edit leave request
    $block1->openForm("../leaves/editleaverequest.php?id=$id&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;action=update#" . $block1->form . "Anchor");
    $block1->heading(lang_strings("edit_leave_request") . " : #$id");
} else {
    $block1->openForm("../leaves/editleaverequest.php?monthTS=$monthTS&amp;sdate=$sdate&amp;action=add#" . $block1->form . "Anchor");
    $block1->heading(lang_strings("add_leave_request"));
}

$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$typeSel = "<select name=\"ty\" onchange=\"reloadPage()\">";

for ($i=LV_ANNUAL; $i <= LV_MATERNITY; $i++) {
    if (($hoursLeft[$i] <= 0) && ($i == LV_ANNUAL || $i == LV_SICK || $i == LV_ABSENCE))
        continue;

    if ($i == $ty) {
        $typeSel .= "      <option value=\"$i\" selected>" . $hourCodeArray[$i] . "</option>";
    } else {
        $typeSel .= "      <option value=\"$i\">" . $hourCodeArray[$i] . "</option>";
    }
}

$typeSel .= "
    </select>";
$block1->contentRow(lang_strings('type'), $typeSel);
$timestartSel = "
<input type=\"text\" class=\"input_datetime\" name=\"sd\" id=\"sel1\" size=\"20\" value=\"$sd\" readonly>
<button type=\"reset\" id=\"trigger_a\">...</button>
<script type=\"text/javascript\">
function closeSel1(cal)
{
    var x=document.leaEForm;
    var a=x.sd.value;
    var b=x.dd.value;

    if (a > b) {
        x.dd.value = a;
    }

    cal.hide();
    x.action=\"\";
    document.leaEForm.submit();
    return true;
};
Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\", onClose:closeSel1 });
</script>
&nbsp;
<select name=\"st\" class=\"input_datetime\" onchange=\"changeStartTime(this)\">";

for ($i=0; $i<$comptTimeSelOptions-1; $i++) {
    $selOpt = $timeSelOptions[$i];

    if ($selOpt == $st) {
        $timestartSel .= "<option value=\"$selOpt\" selected>" . $timestampArray[$selOpt] . "</option>";
    } else {
        $timestartSel .= "<option value=\"$selOpt\">" . $timestampArray[$selOpt] . "</option>";
    }
}

$timestartSel .= "
    </select>";
$block1->contentRow(lang_strings('time_start'), $timestartSel);
$timeendSel = "
<input type=\"text\" class=\"input_datetime\" name=\"dd\" id=\"sel2\" size=\"20\" value=\"$dd\" readonly>
<button type=\"reset\" id=\"trigger_b\">...</button>
<script type=\"text/javascript\">
function closeSel2(cal)
{
    var x=document.leaEForm;
    var a=x.sd.value;
    var b=x.dd.value;

    if (a > b) {
        x.dd.value = a;
    }

    cal.hide();
    x.action=\"\";
    document.leaEForm.submit();
    return true;
};
Calendar.setup({ inputField:\"sel2\", button:\"trigger_b\", onClose:closeSel2 });
</script>
&nbsp;
<select name=\"dt\" class=\"input_datetime\" onchange=\"changeEndTime(this)\">";

for ($i=1; $i<$comptTimeSelOptions; $i++) {
    $selOpt = $timeSelOptions[$i];

    if ($selOpt == $dt) {
        $timeendSel .= "<option value=\"$selOpt\" selected>" . $timestampArray[$selOpt] . "</option>";
    } else {
        $timeendSel .= "<option value=\"$selOpt\">" . $timestampArray[$selOpt] . "</option>";
    }
}

$timeendSel .= "
    </select>";
$block1->contentRow(lang_strings('time_end'), $timeendSel);
$hoursContent = $hr;

if ($ty == LV_ANNUAL || $ty == LV_SICK || $ty == LV_ABSENCE) {
    $hoursContent .= "&nbsp;&nbsp;" . lang_strings('hours_left') . "&nbsp;:&nbsp;" . $hoursLeft[$ty];
}

$block1->contentRow(lang_strings("hours"), $hoursContent);
$block1->contentRow(lang_strings("comments"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"comm\" cols=\"47\">$comm</textarea>");

if ($comptListSupervisors > 0) {
    $moreApprovalSel = "<select name=\"appraiser\">";
    $defaultAppraisor = "";

    for ($i=0; $i<$comptListSupervisors; $i++) {
        $moreApprovalSel .= "<option value=\"" . $listSupervisors->mem_id[$i] . "\"";

        if ($defaultAppraisor == "" && $listSupervisors->mem_leave_type[$i] == "") {
            $moreApprovalSel .= " selected";
            $defaultAppraisor = $listSupervisors->mem_id[$i];
        }

        $moreApprovalSel .= ">" . $listSupervisors->mem_name[$i];

        if ($listSupervisors->prevLogin[$i] != "") {
            $moreApprovalSel .= " - " . $listSupervisors->prevLogin[$i] . " " . lang_strings('agent');
        }

        if ($listSupervisors->mem_leave_type[$i] != "") {
            $moreApprovalSel .= " ( " . $hourCodeArray[$listSupervisors->mem_leave_type[$i]] . " )";
        }

        $moreApprovalSel .= "</option>";
    }

    $moreApprovalSel .= "</select>";
    $block1->contentRow(lang_strings("approver"), $moreApprovalSel);
}

$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>

<script>

function reloadPage()
{
    var x=document.leaEForm;
    x.action="";
    document.leaEForm.submit();
}

function changeStartTime(theObj)
{
    var x=document.leaEForm.dt.selectedIndex;
    var y=theObj.selectedIndex;
    var z=theObj.length;

    if (x<=y) {
        x = y + 1;

        if (x >= z) x = z - 1;

        document.leaEForm.dt.selectedIndex = x;
    }

    reloadPage();
}

function changeEndTime(theObj)
{
    var x=document.leaEForm.st.selectedIndex;
    var y=theObj.selectedIndex;

    if (x>=y) {
        x = y - 1;

        if (x <= -1) x = 0;

        document.leaEForm.st.selectedIndex = x;
    }

    reloadPage();
}

</script>
