<?php // $Revision: 1.8 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listleaves.php,v 1.8 2006/03/13 03:01:39 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs(lang_strings("leave_management"));
$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "leL";
$block1->openForm("../leaves/listleaves.php#" . $block1->form . "Anchor");
$block1->headingToggle(lang_strings("leave_management"));
$block1->openPaletteIcon();
$block1->paletteIcon(0, "add", lang_strings("add"));
$block1->paletteIcon(1, "remove", lang_strings("delete"));
$block1->paletteIcon(2, "info", lang_strings("view"));
$block1->paletteIcon(3, "edit", lang_strings("edit"));
$block1->closePaletteIcon();
$block1->sorting("leaves", $sortingUser->sor_leaves[0], "lea.year DESC", $sortingFields = array(0 => 'mem.name', 1 => 'mem.title', 2 => 'mem.login', 3 => "lea.year", 4 => "lea.type", 5 => "lea.hours", 6 => "lea.due_date"));
$today = date("Y-m-d");
$tmpquery = "WHERE lea.due_date>'$today' ORDER BY $block1->sortingValue";
$listLeaves = new request();
$listLeaves->openLeaves($tmpquery);
$comptListLeaves = count($listLeaves->lea_id);

if ($comptListLeaves != "0") {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings('full_name'), 1 => lang_strings('title'), 2 => lang_strings('user_name'), 3 => lang_strings("year"), 4 => lang_strings("type"), 5 => lang_strings("hours"), 6 => lang_strings("due_date")), "true");

    for ($i = 0;$i < $comptListLeaves;$i++) {
        $block1->openRow();
        $block1->checkboxRow($listLeaves->lea_id[$i]);
        $block1->cellRow($listLeaves->lea_mem_name[$i]);
        $block1->cellRow($listLeaves->lea_mem_title[$i]);
        $block1->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listLeaves->lea_owner[$i], $listLeaves->lea_mem_login[$i], in));
        $block1->cellRow($listLeaves->lea_year[$i]);
        $block1->cellRow($hourCodeArray[$listLeaves->lea_type[$i]]);
        $block1->cellRow($listLeaves->lea_hours[$i]);
        $block1->cellRow($listLeaves->lea_due_date[$i]);
        $block1->closeRow();
    }

    $block1->closeResults();
} else {
    $block1->noresults();
}

$block1->closeToggle();
$block1->closeFormResults();
$block1->openPaletteScript();
$block1->paletteScript(0, "add", "../leaves/editleave.php?", "true,false,false", lang_strings("add"));
$block1->paletteScript(1, "remove", "../leaves/deleteleaves.php?", "false,true,true", lang_strings("delete"));
$block1->paletteScript(2, "info", "../leaves/viewleave.php?", "false,true,false", lang_strings("view"));
$block1->paletteScript(3, "edit", "../leaves/editleave.php?", "false,true,false", lang_strings("edit"));
$block1->closePaletteScript($comptListLeaves, $listLeaves->lea_id);
require_once("../themes/" . THEME . "/footer.php");

?>
