<?php // $Revision: 1.19.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editmeeting.php,v 1.19.2.1 2007/08/30 14:56:54 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onload=\"document.emDForm.mn.focus();\"";

if ($id != "") {
    $tmpquery = "WHERE mee.id = '$id'";
    $meetingDetail = new request();
    $meetingDetail->openMeetings($tmpquery);
    $project = $meetingDetail->mee_project[0];
    $tmpquery = "WHERE att.meeting = '$id' ORDER BY att.member";
    $attendantDetail = new request();
    $attendantDetail->openAttendants($tmpquery);
    $comptAttendantDetail = count($attendantDetail->att_id);
    $tmpquery = "WHERE att.meeting='$id' AND att.member='$idSession'";
    $meetingAttended = new request();
    $meetingAttended->openAttendants($tmpquery);
    $comptMeetingAttended = count($meetingAttended->att_id);
} else {
    $comptAttendantDetail = 0 ;
    $comptMeetingAttended = 0;
} 

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if ($id == "") {
    if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
        header('Location: ../general/permissiondenied.php');
        exit;
    }
} else {
    if (!(($teamMember == 'true' && ($profilSession == PF_PROJECT_MANAGER || $meetingDetail->mee_owner[0] == $idSession || $comptMeetingAttended > 0)) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
        header("Location: ../meetings/listmeetings.php?project=$project&msg=meetingOwner");
        exit;
    }
} 

if ($stm != "" && $etm != "" && $stm > $etm) {
    $etm = $stm;
}

if ($action != '' && $mn == '') {
    $error = lang_strings("blank_fields");
    $bodyCommand = "onload=\"document.emDForm.mn.focus();\"";
    $mn_highlight = true;
} else if ($action != '' && $ma == '') {
    $error = lang_strings("blank_fields");
    $bodyCommand = "onload=\"document.emDForm.ma.focus();\"";
    $ma_highlight = true;
}

if ($error == '') {
// case update meeting
if ($id != "") {
    // case update meeting
    if ($action == "update") {
        // concat values from date selector and replace quotes by html code in name
        $ma = htmlentities($ma, ENT_QUOTES, $htmlEntityCharset);
        $ml = htmlentities($ml, ENT_QUOTES, $htmlEntityCharset);
        $mm = htmlentities($mm, ENT_QUOTES, $htmlEntityCharset);
        $mc = $S_CSEL[0];
        $mr = $S_RSEL[0];

        if ($reminder == '1') {
            if ($reminder_time1 == 0) {
                $reminder_time1 = $reminder_time2;
                $reminder_time2 = 0;
            } else if ($reminder_time1 == $reminder_time2) {
                $reminder_time2 = 0;
            }
        }

        if ($reminder_time1 == '') {
            $reminder_time1 = '0';
        }

        if ($reminder_time2 == '') {
            $reminder_time2 = '0';
        }

        // case copy meeting
        if ($cpy == "true") {
            if ($pub == "") {
                $pub = PB_NO;
            }

            // Insert Meeting details
            $tmpquery1 = "INSERT INTO " . $tableCollab["meetings"] . "(project,name,agenda,location,minutes,chairman,recorder,status,priority,date,start_time,end_time,reminder,reminder_time1,reminder_time2,created,published) VALUES('$project','$mn','$ma','$ml','$mm','$mc','$mr','$st','$pr','$md','$stm','$etm','$reminder','$reminder_time1','$reminder_time2','$dateheures','$pub')";
            connectSql("$tmpquery1");
            $tmpquery = $tableCollab["meetings"];
            last_id($tmpquery);
            $num = $lastId[0];
            unset($lastId);
            $listMemId = array();

            if ($S_ATSEL[0] == "ALL") {
                $tmpquery2 = "WHERE tea.project = '$project'";
                $listTeam1 = new request();
                $listTeam1->openTeams($tmpquery2);

                foreach ($listTeam1->tea_mem_id as $mem_id1) {
                    $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                    connectSql("$tmpquery3");
                    $listMemId[] = $mem_id1;
                    $mr = $mem_id1;
                }
            } else if ($S_ATSEL[0] == "NOCLIENTS") {
                $tmpquery2 = "WHERE tea.project = '$project' AND mem.profil != '" . PF_CLIENT_USER . "'";
                $listTeam1 = new request();
                $listTeam1->openTeams($tmpquery2);

                foreach ($listTeam1->tea_mem_id as $mem_id1) {
                    $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                    connectSql("$tmpquery3");
                    $listMemId[] = $mem_id1;
                    $mr = $mem_id1;
                }
            } else {
                $comptATSEL = count($S_ATSEL);

                foreach ($S_ATSEL as $mem_id1) {
                    $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                    connectSql("$tmpquery3");
                    $listMemId[] = $mem_id1;
                    $mr = $mem_id1;
                }
            }

            $att_mem_id_list = "";
            sort($listMemId);

            foreach ($listMemId as $mem_id1) {
                if ($att_mem_id_list != "") {
                    $att_mem_id_list .= ",";
                }
                $att_mem_id_list .= $mem_id1;
            }

            if ($mr != "0") {
                $tmpquery4 = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$mr' WHERE id = '$num'";
                connectSql($tmpquery4);
            }
            if ($att_mem_id_list != "") {
                // send meeting assignment mail if notifications = true
                if ($notifications == "true") {
                    require_once("../meetings/noti_meetingassignment.php");
                } 
            } 
            // create meeting sub-folder if filemanagement = true
            if ($fileManagement == "true") {
                createDir("files/$project/meetings");
                createDir("files/$project/meetings/$num");
            } 
            header("Location: ../meetings/viewmeeting.php?id=$num&msg=addMeeting");
            exit;
        // case update meeting
        } else {
            if ($pub == "") {
                $pub = PB_NO;
            } 
            $tmpquery5 = "UPDATE " . $tableCollab["meetings"] . " SET name='$mn',agenda='$ma',location='$ml',minutes='$mm',chairman='$mc',recorder='$mr',status='$st',priority='$pr',date='$md',start_time='$stm',end_time='$etm',reminder='$reminder',reminder_time1='$reminder_time1',reminder_time2='$reminder_time2',modified='$dateheures',published='$pub' WHERE id = '$id'";

            // if project different from past value, set project number in meetings table
            if ($project != $old_project) {
                $tmpquery6 = "UPDATE " . $tableCollab["meetings"] . " SET project='$project' WHERE id = '$id'";
                $tmpquery7 = "UPDATE " . $tableCollab["meetings_attachment"] . " SET project='$project' WHERE meeting = '$id'";
                $tmpquery8 = "UPDATE " . $tableCollab["meetings_time"] . " SET project='$project' WHERE meeting = '$id'";
                $tmpquery9 = "UPDATE " . $tableCollab["attendants"] . " SET project='$project' WHERE meeting = '$id'";
                connectSql($tmpquery6);
                connectSql($tmpquery7);
                connectSql($tmpquery8);
                connectSql($tmpquery9);
                createDir("files/$project/meetings");
                createDir("files/$project/meetings/$id");
                $dir = opendir("../files/$old_project/meetings/$id");
                if (is_resource($dir)) {
                    while ($v = readdir($dir)) {
                        if ($v != '.' && $v != '..') {
                            copy("../files/$old_project/meetings/$id/" . $v, "../files/$project/meetings/$id/" . $v);
                            @unlink("../files/$old_project/meetings/$id/" . $v);
                        } 
                    } 
                } 
            } 
            // if attendants different from past value, insert into assignment
            // add new assigned_to in team members (only if doesn't already exist)
            $listMemId = array();

            if ($S_ATSEL[0] == "ALL") {
                $tmpquery2 = "WHERE tea.project = '$project'";
                $listTeam1 = new request();
                $listTeam1->openTeams($tmpquery2);

                foreach ($listTeam1->tea_mem_id as $mem_id1) {
                    $listMemId[] = $mem_id1;
                }
            } else if ($S_ATSEL[0] == "NOCLIENTS") {
                $tmpquery2 = "WHERE tea.project = '$project' AND mem.profil != '" . PF_CLIENT_USER . "'";
                $listTeam1 = new request();
                $listTeam1->openTeams($tmpquery2);

                foreach ($listTeam1->tea_mem_id as $mem_id1) {
                    $listMemId[] = $mem_id1;
                }
            } else {
                foreach ($S_ATSEL as $mem_id1) {
                    $listMemId[] = $mem_id1;
                }
            }

            $old_attendants = str_replace("**", ",", $old_attendants);
            $att_mem_id_list = "";
            sort($listMemId);

            foreach ($listMemId as $mem_id1) {
                if ($att_mem_id_list != "") {
                    $att_mem_id_list .= ",";
                }
                $att_mem_id_list .= $mem_id1;
            }

            if ($att_mem_id_list != $old_attendants) {
                $tmpquery9 = "DELETE FROM " . $tableCollab["attendants"] . " WHERE meeting='$id'";
                connectSql("$tmpquery9");

                foreach ($listMemId as $mem_id1) {
                    $tmpquery9 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$id','$mem_id1','$pub',1)";
                    connectSql("$tmpquery9");
                }

                $msg = "updateAttendants";
                connectSql("$tmpquery5");
                $tmpquery = "WHERE mee.id = '$id'";
                $meetingDetail = new request();
                $meetingDetail->openMeetings($tmpquery);
                // send meeting assignment mail if notifications = true
                if ($notifications == "true") {
                    require_once("../meetings/noti_meetingassignment.php");
                } 
            } else {
                $msg = "update";
                connectSql("$tmpquery5");
                $tmpquery = "WHERE mee.id = '$id'";
                $meetingDetail = new request();
                $meetingDetail->openMeetings($tmpquery);
                // send status meeting change mail if notifications = true
                if ($comptATSEL != "0" && $st != $old_st) {
                    if ($notifications == "true") {
                        require_once("../meetings/noti_statusmeetingchange.php");
                    } 
                } 
                // send priority meeting change mail if notifications = true
                if ($comptATSEL != "0" && $pr != $old_pr) {
                    if ($notifications == "true") {
                        require_once("../meetings/noti_prioritymeetingchange.php");
                    } 
                } 
                // send location meeting change mail if notifications = true
                if ($comptATSEL != "0" && $ml != $old_location) {
                    if ($notifications == "true") {
                        require_once("../meetings/noti_locationmeetingchange.php");
                    } 
                } 
                // send date/time meeting change mail if notifications = true
                if ($comptATSEL != "0" && ($md != $old_date || $stm != $old_start_time || $etm != $old_end_time)) {
                    if ($notifications == "true") {
                        require_once("../meetings/noti_timemeetingchange.php");
                    } 
                } 
            } 

            if ($ml != $old_location) {
                $cUp .= "\n[location:$ml]";
            }
            if ($st != $old_st) {
                $cUp .= "\n[status:$st]";
            }
            if ($pr != $old_pr) {
                $cUp .= "\n[priority:$pr]";
            }
            if ($md != $old_date) {
                $cUp .= "\n[date:$md]";
            }
            if ($stm != $old_start_time) {
                $cUp .= "\n[stime:$stm]";
            }
            if ($etm != $old_end_time) {
                $cUp .= "\n[etime:$etm]";
            }

            if ($cUp != "" || $st != $old_st || $pr != $old_pr || $md != $old_date || $ml != $old_location || $stm != $old_start_time || $etm != $old_end_time) {
                $cUp = htmlentities($cUp, ENT_QUOTES, $htmlEntityCharset);
                $tmpquery6 = "INSERT INTO " . $tableCollab["updates"] . "(type,item,member,comments,created) VALUES ('M','$id','$idSession','$cUp','$dateheures')";
                connectSql($tmpquery6);
            }

            header("Location: ../meetings/viewmeeting.php?id=$id&msg=$msg");
            exit;
        }
    }

    // set value in form
    $mn = $meetingDetail->mee_name[0];
    $ma = html_entity_decode($meetingDetail->mee_agenda[0], ENT_QUOTES, $htmlEntityCharset);
    $ml = html_entity_decode($meetingDetail->mee_location[0], ENT_QUOTES, $htmlEntityCharset);
    $mm = html_entity_decode($meetingDetail->mee_minutes[0], ENT_QUOTES, $htmlEntityCharset);
    $mc = $meetingDetail->mee_chairman[0];
    $mr = $meetingDetail->mee_recorder[0];
    $md = $meetingDetail->mee_date[0];
    $stm = $meetingDetail->mee_start_time[0];
    $etm = $meetingDetail->mee_end_time[0];
    $pub = $meetingDetail->mee_published[0];
    $reminder = $meetingDetail->mee_reminder[0];
    $reminder_time1 = $meetingDetail->mee_reminder_time1[0];
    $reminder_time2 = $meetingDetail->mee_reminder_time2[0];

    if ($pub == PB_YES) {
        $checkedPub = "checked";
    }
}

// case add meeting
if ($id == "") {
    // case add meeting
    if ($action == "add") {
        // concat values from date selector and replace quotes by html code in name
        $ma = htmlentities($ma, ENT_QUOTES, $htmlEntityCharset);
        $ml = htmlentities($ml, ENT_QUOTES, $htmlEntityCharset);
        $mm = htmlentities($mm, ENT_QUOTES, $htmlEntityCharset);
        $mc = $S_CSEL[0];
        $mr = "0";

        if ($reminder == '1') {
            if ($reminder_time1 == 0) {
                $reminder_time1 = $reminder_time2;
                $reminder_time2 = 0;
            } else if ($reminder_time1 == $reminder_time2) {
                $reminder_time2 = 0;
            }
        }

        if ($reminder_time1 == '') {
            $reminder_time1 = '0';
        }

        if ($reminder_time2 == '') {
            $reminder_time2 = '0';
        }

        if ($pub == "") {
            $pub = PB_NO;
        }

        $tmpquery1 = "INSERT INTO " . $tableCollab["meetings"] . "(project,name,agenda,location,minutes,chairman,recorder,status,priority,date,start_time,end_time,reminder,reminder_time1,reminder_time2,created,published) VALUES('$project','$mn','$ma','$ml','$mm','$mc','$mr','$st','$pr','$md','$stm','$etm','$reminder','$reminder_time1','$reminder_time2','$dateheures','$pub')";
        connectSql("$tmpquery1");
        $tmpquery = $tableCollab["meetings"];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);
        $listMemId = array();

        if ($S_ATSEL[0] == "ALL") {
            $tmpquery2 = "WHERE tea.project = '$project'";
            $listTeam1 = new request();
            $listTeam1->openTeams($tmpquery2);

            foreach ($listTeam1->tea_mem_id as $mem_id1) {
                $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                connectSql("$tmpquery3");
                $listMemId[] = $mem_id1;
                $mr = $mem_id1;
            }
        } else if ($S_ATSEL[0] == "NOCLIENTS") {
            $tmpquery2 = "WHERE tea.project = '$project' AND mem.profil != '" . PF_CLIENT_USER . "'";
            $listTeam1 = new request();
            $listTeam1->openTeams($tmpquery2);

            foreach ($listTeam1->tea_mem_id as $mem_id1) {
                $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                connectSql("$tmpquery3");
                $listMemId[] = $mem_id1;
                $mr = $mem_id1;
            }
        } else {
            foreach ($S_ATSEL as $mem_id1) {
                $tmpquery3 = "INSERT INTO " . $tableCollab["attendants"] . "(project,meeting,member,published,authorized) VALUES('$project','$num','$mem_id1','$pub',1)";
                connectSql("$tmpquery3");
                $listMemId[] = $mem_id1;
                $mr = $mem_id1;
            }
        }

        $att_mem_id_list = "";
        sort($listMemId);

        foreach ($listMemId as $mem_id1) {
            if ($att_mem_id_list != "") {
                $att_mem_id_list .= ",";
            }

            $att_mem_id_list .= $mem_id1;
        }

        if ($mr != "0") {
            $tmpquery4 = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$mr' WHERE id = '$num'";
            connectSql($tmpquery4);
        }

        if ($att_mem_id_list != "") {
            // send meeting assignment mail if notifications = true
            if ($notifications == "true") {
                require_once("../meetings/noti_meetingassignment.php");
            }
        }

        // create meeting sub-folder if filemanagement = true
        if ($fileManagement == "true") {
            createDir("files/$project/meetings");
            createDir("files/$project/meetings/$num");
        }

        header("Location: ../meetings/viewmeeting.php?id=$num&msg=addMeeting");
        exit;
    }

    // set default values
    $meetingDetail->mee_priority[0] = $projectDetail->pro_priority[0];
    $meetingDetail->mee_status[0] = ST_NOT_STARTED;
}
}

if ($projectDetail->pro_org_id[0] == "1") {
    $projectDetail->pro_org_name[0] = lang_strings("none");
}

require_once("../themes/" . THEME . "/header.php");

if ($id != "") {
    if ($reminder == "0") {
        $checked1_b = "checked"; //false
        $disabled1 = "disabled";
    } else {
        $checked2_b = "checked"; //true
        $disabled1 = "";
    } 
} else {
    $checked1_b = "checked"; //false
    $disabled1 = "disabled";
}

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));

if ($id == "") {
    $blockPage->itemBreadcrumbs(lang_strings("add_meeting"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $meetingDetail->mee_id[0], $meetingDetail->mee_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("edit_meeting"));
}

$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "emD";

if ($id == "") {
    $block1->openForm("../meetings/editmeeting.php?project=$project&amp;action=add#" . $block1->form . "Anchor");
} else {
    $block1->openForm("../meetings/editmeeting.php?project=$project&amp;id=$id&amp;action=update&amp;cpy=$cpy#" . $block1->form . "Anchor");
    echo "<input type=\"hidden\" name=\"old_pr\" value=\"" . $meetingDetail->mee_priority[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_st\" value=\"" . $meetingDetail->mee_status[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_project\" value=\"" . $meetingDetail->mee_project[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_org_id\" value=\"" . $projectDetail->pro_org_id[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_location\" value=\"" . $meetingDetail->mee_location[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_date\" value=\"" . $meetingDetail->mee_date[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_start_time\" value=\"" . $meetingDetail->mee_start_time[0] . "\">";
    echo "<input type=\"hidden\" name=\"old_end_time\" value=\"" . $meetingDetail->mee_end_time[0] . "\">";
    $att_mem_id_list = "";

    for ($i = 0; $i < $comptAttendantDetail; $i++) {
        if ($att_mem_id_list != "") {
            $att_mem_id_list .= "**";
        }

        $att_mem_id_list .= $attendantDetail->att_mem_id[$i];
    }

    echo "<input type=\"hidden\" name=\"old_attendants\" value=\"" . $att_mem_id_list . "\">";
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
} 

if ($id == "") {
    $block1->heading(lang_strings("add_meeting"));
} else {
    if ($cpy == "true") {
        $block1->heading(lang_strings("copy_meeting") . " : " . $meetingDetail->mee_name[0]);
    } else {
        $block1->heading(lang_strings("edit_meeting") . " : " . $meetingDetail->mee_name[0]);
    }
}

$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$tmpquery = "WHERE tea.member = '$idSession' ORDER BY pro.name";
$listProjects = new request();
$listProjects->openTeams($tmpquery);
$comptListProjects = count($listProjects->tea_id);
$proSel = "<select name=\"project\">";

for ($i = 0;$i < $comptListProjects;$i++) {
    if ($listProjects->tea_pro_id[$i] == $projectDetail->pro_id[0]) {
        $proSel .= "<option value=\"" . $listProjects->tea_pro_id[$i] . "\" selected>" . $listProjects->tea_pro_name[$i] . "</option>";
    } else {
        $proSel .= "<option value=\"" . $listProjects->tea_pro_id[$i] . "\">" . $listProjects->tea_pro_name[$i] . "</option>";
    }
}

$proSel .= "</select>";
$block1->contentRow(lang_strings("project"), $proSel);
$block1->contentRow(lang_strings("organization"), $projectDetail->pro_org_name[0]);
$block1->contentTitle(lang_strings("details"));
$nameInput = "<input size=\"44\" value=\"";

if ($cpy == "true") {
    $nameInput .= lang_strings("copy_of");
}

if ($mn_highlight) {
    $nameInput .= "$mn\" class=\"input_text_highlight\" name=\"mn\" maxlength=\"100\" type=\"TEXT\">";
} else {
    $nameInput .= "$mn\" class=\"input_text\" name=\"mn\" maxlength=\"100\" type=\"TEXT\">";
}

$block1->contentRow("* " . lang_strings("name"), $nameInput);

if ($ma_highlight) {
    $block1->contentRow("* " . lang_strings("me_agenda"), "<textarea rows=\"6\" class=\"textarea_6rows_highlight\" name=\"ma\" cols=\"47\">$ma</textarea>");
} else {
    $block1->contentRow("* " . lang_strings("me_agenda"), "<textarea rows=\"6\" class=\"textarea_6rows\" name=\"ma\" cols=\"47\">$ma</textarea>");
}

$block1->contentRow(lang_strings("me_location"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"ml\" cols=\"47\">$ml</textarea>");
$tmpquery = "WHERE tea.project = '$project'";
$listTeam = new request();
$listTeam->openTeams($tmpquery);
$comptListTeam = count($listTeam->tea_id);
$chairmanSel = "<select name=\"S_CSEL[]\">";

for ($i=0; $i<$comptListTeam; $i++) {
    $chairmanSel .= "<option value=\"" . $listTeam->tea_mem_id[$i] . "\"";

    if ($listTeam->tea_mem_id[$i] == $mc)
        $chairmanSel .= " selected";

    $chairmanSel .= ">" . $listTeam->tea_mem_login[$i] . " / " . $listTeam->tea_mem_name[$i];

    if ($listTeam->tea_mem_profil[$i] == PF_CLIENT_USER)
        $chairmanSel .= " (" . lang_strings("client_user") . ")";

    $chairmanSel .= "</option>";
}

$chairmanSel .= "</select>";
$block1->contentRow(lang_strings("me_chairman"), $chairmanSel);
$statusSel = "<select name=\"st\">";
$comptSta = count($status);

for ($i = 0;$i < $comptSta;$i++) {
    if ($meetingDetail->mee_status[0] == $i) {
        $statusSel .= "<option value=\"$i\" selected>$status[$i]</option>";
    } else {
        $statusSel .= "<option value=\"$i\">$status[$i]</option>";
    } 
} 

$statusSel .= "</select>";
$block1->contentRow(lang_strings("status"), $statusSel);
$prioritySel = "<select name=\"pr\">";
$comptPri = count($priority);

for ($i = 0;$i < $comptPri;$i++) {
    if ($meetingDetail->mee_priority[0] == $i) {
        $prioritySel .= "<option value=\"$i\" selected>$priority[$i]</option>";
    } else {
        $prioritySel .= "<option value=\"$i\">$priority[$i]</option>";
    } 
} 

$prioritySel .= "</select>";
$block1->contentRow(lang_strings("priority"), $prioritySel);

if ($md == "") {
    $md = $date;
}

$block1->contentRow(lang_strings("date"), "<input type=\"text\" class=\"input_datetime\" name=\"md\" id=\"sel1\" size=\"20\" value=\"$md\" readonly><button type=\"reset\" id=\"trigger_a\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");

if ($stm == "") {
    $stm = "09:00";
}

if ($etm == "") {
    $etm = "10:00";
}

$stmSel = "<select name=\"stm\" class=\"input_datetime\" onchange=\"changeStartTime(this)\">";

foreach ($timestampArray as $key => $value) {
    if ($key == $stm) {
        $stmSel .= "<option value=\"$key\" selected>$value</option>";
    } else {
        $stmSel .= "<option value=\"$key\">$value</option>";
    }

    if ($key == "23:30") break;
}

$stmSel .= "</select>";
$block1->contentRow(lang_strings("start_time"), $stmSel);
$etmSel = "<select name=\"etm\" class=\"input_datetime\" onchange=\"changeEndTime(this)\">";

foreach ($timestampArray as $key => $value) {
    if ($key == "00:00") continue;

    if ($key == $etm) {
        $etmSel .= "<option value=\"$key\" selected>$value</option>";
    } else {
        $etmSel .= "<option value=\"$key\">$value</option>";
    }
}

$etmSel .= "</select>";
$block1->contentRow(lang_strings("end_time"), $etmSel);
$block1->contentRow(lang_strings("meeting_reminder"), "<input type=\"radio\" name=\"reminder\" onclick=\"disableReminderTime()\" value=\"0\" $checked1_b> " . lang_strings("no") . "&nbsp;<input type=\"radio\" name=\"reminder\" onclick=\"enableReminderTime()\" value=\"1\" $checked2_b> " . lang_strings("yes"));
$reminder1Sel = "<select name=\"reminder_time1\" $disabled1>";

foreach ($reminderTimeArray as $key => $value) {
    if ($key == $reminder_time1) {
        $reminder1Sel .= "<option value=\"$key\" selected>$value</option>";
    } else {
        $reminder1Sel .= "<option value=\"$key\">$value</option>";
    }
}

$reminder1Sel .= "</select> " . lang_strings("meeting_reminder_time2") . " <select name=\"reminder_time2\" $disabled1>";

foreach ($reminderTimeArray as $key => $value) {
    if ($key == $reminder_time2) {
        $reminder1Sel .= "<option value=\"$key\" selected>$value</option>";
    } else {
        $reminder1Sel .= "<option value=\"$key\">$value</option>";
    }
}

$reminder1Sel .= "</select> " . lang_strings("meeting_reminder_time3");
$block1->contentRow(lang_strings("meeting_reminder_time1"), $reminder1Sel);
$block1->contentRow(lang_strings("published"), "<input size=\"32\" value=\"0\" name=\"pub\" type=\"checkbox\" $checkedPub>");
$block1->contentTitle(lang_strings("attendants"));
$selectSize = $comptListTeam + 2;
$attendSel = "<select name=\"S_ATSEL[]\" size=\"" . $selectSize . "\" multiple>";

if ($comptAttendantDetail == "0") {
    $attendSel .= "<option selected value=\"ALL\">" . lang_strings("select_all") . "</option>";
} else {
    $attendSel .= "<option value=\"ALL\">" . lang_strings("select_all") . "</option>";
}

$attendSel .= "<option value=\"NOCLIENTS\">" . lang_strings("select_all_but_clients") . "</option>";

for ($i = 0; $i < $comptListTeam; $i++) {
    $attendSel .= "<option ";

    for ($j = 0; $j < $comptAttendantDetail; $j++) {
        if ($attendantDetail->att_mem_id[$j] == $listTeam->tea_mem_id[$i]) {
            $attendSel .= "selected ";
            break;
        }
    }

    $attendSel .= "value=\"" . $listTeam->tea_mem_id[$i] . "\">" . $listTeam->tea_mem_login[$i] . " / " . $listTeam->tea_mem_name[$i];

    if ($listTeam->tea_mem_profil[$i] == PF_CLIENT_USER)
        $attendSel .= " (" . lang_strings("client_user") . ")";

    $attendSel .= "</option>";
}

$attendSel .= "</select>";
$block1->contentRow("", $attendSel);

if ($id!="" && $cpy!="true") {
    $block1->contentTitle(lang_strings("me_minutes"));

    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\"></td><td><textarea rows=\"9\" class=\"textarea_9rows\" name=\"mm\" cols=\"70\">$mm</textarea></td></tr>";

    if ($comptListSum != "0") {
        echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">" . lang_strings("me_recorder") . " :</td><td><select name=\"S_RSEL[]\">";

        for ($i = 0; $i < $comptListTeam; $i++) {
            echo "<option value=\"" . $listTeam->tea_mem_id[$i] . "\"";
            if ($id != "") {
                if ($listTeam->tea_mem_id[$i] == $mr) {
                    echo " selected";
                }
            }
            else {
                if ($listTeam->tea_mem_id[$i] == $_SESSION['idSession']) {
                    echo " selected";
                }
            }
            echo ">" . $listTeam->tea_mem_login[$i] . " / " . $listTeam->tea_mem_name[$i] . "</option>";
        }

        for ($i = 0; $i < $comptListClientMem; $i++) {
            echo "<option value=\"" . $listClientMem->mem_id[$i] . "\">" . $listClientMem->mem_login[$i] . " / " . $listClientMem->mem_name[$i] . " (" . lang_strings("client_user") . ")</option>";
        }

        echo "</select></td></tr>";
    }
}

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>

<script>
function disableReminderTime() {
    document.emDForm.reminder_time1.disabled = true;
    document.emDForm.reminder_time2.disabled = true;
}

function enableReminderTime() {
    document.emDForm.reminder_time1.disabled = false;
    document.emDForm.reminder_time2.disabled = false;
}

function changeStartTime(theObj)
{
    var x=document.emDForm.etm.selectedIndex;
    var y=theObj.selectedIndex;
    var z=theObj.length;

    if (x<=y) {
        x = y + 1;

        if (x >= z) x = z - 1;

        document.emDForm.etm.selectedIndex = x;
    }
}

function changeEndTime(theObj)
{
    var x=document.emDForm.stm.selectedIndex;
    var y=theObj.selectedIndex;

    if (x>=y) {
        x = y - 1;

        if (x <= -1) x = 0;

        document.emDForm.stm.selectedIndex = x;
    }
}
</script>
