<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: noti_meetingminutes.php,v 1.9 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$tmpquery = "WHERE mee.id=$id";
$meetingNoti = new request();
$meetingNoti->openMeetings($tmpquery);
$tmpquery = "WHERE pro.id = '$project'";
$projectNoti = new request();
$projectNoti->openProjects($tmpquery);
$tmpquery = "WHERE att.meeting=$id AND mem.profil<>'" . PF_CLIENT_USER . "' AND mem.email_work<>''";
$attendantsNoti = new request();
$attendantsNoti->openAttendants($tmpquery);
$comptAttendantsNoti = count($attendantsNoti->att_id);
$tmpquery = "WHERE att.meeting=$id AND mem.profil='" . PF_CLIENT_USER . "' AND mem.email_work<>''";
$clientsNoti = new request();
$clientsNoti->openAttendants($tmpquery);
$comptClientsNoti = count($clientsNoti->att_id);
$tmpquery = "WHERE mat.meeting=$id";
$attachmentsNoti = new request();
$attachmentsNoti->openMeetingsAttachment($tmpquery);
$comptAttachmentsNoti = count($attachmentsNoti->mat_id);

if ($comptClientsNoti > 0 && $meetingNoti->mee_mem_organization[0] != "1" && $projectNoti->pro_published[0] == PB_YES && $meetingNoti->mee_published[0] == PB_YES) {
    $mail = new notification();
    $mail->getUserinfo($idSession, "from");

    for ($i=0; $i<$comptClientsNoti; $i++) {
        $mail->getUserinfo($clientsNoti->att_member[$i], "to");
    }

    $mail->partSubject = lang_strings("noti_meetingminutes1");
    $mail->partMessage = lang_strings("noti_meetingminutes2");

    if ($projectNoti->pro_org_id[0] == "1") {
        $projectNoti->pro_org_name[0] = lang_strings("none");
    }

    if ($meetingNoti->mee_priority[0] == PR_HIGH || $meetingNoti->mee_priority[0] == PR_VERY_HIGH) {
        $mail->Priority = "1";
    } else {
        $mail->Priority = "3";
    }

    $idStatus = $meetingNoti->mee_status[0];
    $idPriority = $meetingNoti->mee_priority[0];
    $mail->openBody();
    $mail->openContent();
    $mail->contentRow(lang_strings("meeting"), $meetingNoti->mee_name[0]);
    $mail->contentRow(lang_strings("me_agenda"), nl2br(html_entity_decode($meetingNoti->mee_agenda[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->contentRow(lang_strings("date"), $meetingNoti->mee_date[0]);
    $mail->contentRow(lang_strings("start_time"), $meetingNoti->mee_start_time[0]);
    $mail->contentRow(lang_strings("end_time"), $meetingNoti->mee_end_time[0]);
    $mail->contentRow(lang_strings("me_location"), nl2br(html_entity_decode($meetingNoti->mee_location[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->contentRow(lang_strings("priority"), $priority[$idPriority]);
    $mail->contentRow(lang_strings("status"), $status[$idStatus]);
    $mail->contentRow(lang_strings("project"), $projectNoti->pro_name[0] . " (" . $projectNoti->pro_id[0] . ")");
    $mail->contentRow(lang_strings("organization"), $projectNoti->pro_org_name[0]);
    $mail->contentRow(lang_strings("me_minutes"), nl2br(html_entity_decode($meetingNoti->mee_minutes[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->closeContent();
    $mail->note("$root/general/login.php?url=projects_site/home.php%3Fproject=" . $projectNoti->pro_id[0]);
    $mail->closeBody();
    $subject = $mail->partSubject . " " . $meetingNoti->mee_name[0];
    $mail->Subject = $subject;

    for ($i = 0;$i < $comptAttachmentsNoti;$i++) {
        if ($attachmentsNoti->mat_published[$i] != PB_YES) {
            continue;
        }

        // construct file path and test whether file exists/is accessible
        $name = $attachmentsNoti->mat_name[$i];
        $project = $attachmentsNoti->mat_project[$i];
        $meeting = $attachmentsNoti->mat_meeting[$i];
        $path = "files/" . $project . '/meetings/' . $meeting . "/" . $name;

        if (fileExists($path)) {
            $mail->AddAttachment($path);
        }
    }

    $mail->Send();
}

if ($comptAttendantsNoti > 0) {
    $mail = new notification();
    $mail->getUserinfo($idSession, "from");

    for ($i=0; $i<$comptAttendantsNoti; $i++) {
        $mail->getUserinfo($attendantsNoti->att_member[$i], "to");
    }

    $mail->partSubject = lang_strings("noti_meetingminutes1");
    $mail->partMessage = lang_strings("noti_meetingminutes2");

    if ($projectNoti->pro_org_id[0] == "1") {
        $projectNoti->pro_org_name[0] = lang_strings("none");
    }

    if ($meetingNoti->mee_priority[0] == PR_HIGH || $meetingNoti->mee_priority[0] == PR_VERY_HIGH) {
        $mail->Priority = "1";
    } else {
        $mail->Priority = "3";
    }

    $idStatus = $meetingNoti->mee_status[0];
    $idPriority = $meetingNoti->mee_priority[0];
    $mail->openBody();
    $mail->openContent();
    $mail->contentRow(lang_strings("meeting"), $meetingNoti->mee_name[0]);
    $mail->contentRow(lang_strings("me_agenda"), nl2br(html_entity_decode($meetingNoti->mee_agenda[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->contentRow(lang_strings("date"), $meetingNoti->mee_date[0]);
    $mail->contentRow(lang_strings("start_time"), $meetingNoti->mee_start_time[0]);
    $mail->contentRow(lang_strings("end_time"), $meetingNoti->mee_end_time[0]);
    $mail->contentRow(lang_strings("me_location"), nl2br(html_entity_decode($meetingNoti->mee_location[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->contentRow(lang_strings("priority"), $priority[$idPriority]);
    $mail->contentRow(lang_strings("status"), $status[$idStatus]);
    $mail->contentRow(lang_strings("project"), $projectNoti->pro_name[0] . " (" . $projectNoti->pro_id[0] . ")");
    $mail->contentRow(lang_strings("organization"), $projectNoti->pro_org_name[0]);
    $mail->contentRow(lang_strings("me_minutes"), nl2br(html_entity_decode($meetingNoti->mee_minutes[0], ENT_QUOTES, $htmlEntityCharset)));
    $mail->closeContent();

    if ($meetingNoti->mee_mem_organization[0] == "1") {
        $mail->note("$root/general/login.php?url=meetings/viewmeeting.php%3Fid=$id");
    } else if ($meetingNoti->mee_mem_organization[0] != "1" && $projectNoti->pro_published[0] == PB_YES && $meetingNoti->mee_published[0] == PB_YES) {
        $mail->note("$root/general/login.php?url=projects_site/home.php%3Fproject=" . $projectNoti->pro_id[0]);
    }

    $mail->closeBody();
    $subject = $mail->partSubject . " " . $meetingNoti->mee_name[0];
    $mail->Subject = $subject;

    for ($i = 0;$i < $comptAttachmentsNoti;$i++) {
        // construct file path and test whether file exists/is accessible
        $name = $attachmentsNoti->mat_name[$i];
        $project = $attachmentsNoti->mat_project[$i];
        $meeting = $attachmentsNoti->mat_meeting[$i];
        $path = "files/" . $project . '/meetings/' . $meeting . "/" . $name;

        if (fileExists($path)) {
            $mail->AddAttachment($path);
        }
    }

    $mail->Send();
}

?>
