<?php // $Revision: 1.18 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewmeeting.php,v 1.18 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$id = $_REQUEST['id'];
$tmpquery = "WHERE mee.id = '$id'";
$meetingDetail = new request();
$meetingDetail->openMeetings($tmpquery);
$tmpquery = "WHERE pro.id = '" . $meetingDetail->mee_project[0] . "'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$teamMember = "false";
$tmpquery = "WHERE tea.project = '" . $meetingDetail->mee_project[0] . "' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
}

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header("Location:../general/permissiondenied.php");
    exit;
}

if ($action == "email") {
    require_once("../meetings/noti_meetingminutes.php");
    $msg = "email";
} else if ($action == "publish") {
    if ($addToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["meetings"] . " SET published='0' WHERE id = '" . $id . "'";
        connectSql("$tmpquery1");
        $msg = "addToSite";
    }

    if ($removeToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["meetings"] . " SET published='1' WHERE id = '" . $id . "'";
        connectSql("$tmpquery1");
        $msg = "removeToSite";
    }

    if ($addToSiteFile == "true") {
        $id = str_replace("**", ",", $id);
        $tmpquery1 = "UPDATE " . $tableCollab["meetings_attachment"] . " SET published='" . PB_YES . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql("$tmpquery1");
        $msg = "addToSite";
        $id = $meeting;
    }

    if ($removeToSiteFile == "true") {
        $id = str_replace("**", ",", $id);
        $tmpquery1 = "UPDATE " . $tableCollab["meetings_attachment"] . " SET published='" . PB_NO . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql("$tmpquery1");
        $msg = "removeToSite";
        $id = $meeting;
    }
}

$tmpquery = "WHERE att.meeting = '$id'";
$attendantDetail = new request();
$attendantDetail->openAttendants($tmpquery);
$comptAttendantDetail = count($attendantDetail->att_id);
$reminder = $meetingDetail->mee_reminder[0];
$reminder_time1 = $meetingDetail->mee_reminder_time1[0];
$reminder_time2 = $meetingDetail->mee_reminder_time2[0];

if ($reminder == "0") {
    $reminder = lang_strings("no");
} else {
    $reminder = lang_strings("yes");
}

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../meetings/listmeetings.php?project=" . $projectDetail->pro_id[0], lang_strings("meetings"), in));
$blockPage->itemBreadcrumbs($meetingDetail->mee_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

if ($fileManagement == "true") {
    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->openTwoPages("twopagesMore");
    }
}

$block1 = new block();
$block1->form = "mdD";
$block1->openForm("../meetings/viewmeeting.php#" . $block1->form . "Anchor");
$block1->headingToggle(lang_strings("meeting") . " : " . $meetingDetail->mee_name[0]);
$block1->openPaletteIcon();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteIcon(0, "remove", lang_strings("delete"));
    $block1->paletteIcon(1, "copy", lang_strings("copy"));
    // $block1->paletteIcon(2,"export",lang_strings("export"));

    if ($sitePublish == "true") {
        $block1->paletteIcon(3, "add_projectsite", lang_strings("add_project_site"));
        $block1->paletteIcon(4, "remove_projectsite", lang_strings("remove_project_site"));
    }
} 

$block1->paletteIcon(5, "edit", lang_strings("edit"));
$block1->paletteIcon(6, "timelog", lang_strings("loghours"));
$block1->closePaletteIcon();

if ($projectDetail->pro_org_id[0] == "1") {
    $projectDetail->pro_org_name[0] = lang_strings("none");
}

$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$block1->contentRow(lang_strings("organization"), $projectDetail->pro_org_name[0]);
$block1->contentRow(lang_strings("created"), createDate($meetingDetail->mee_created[0], $timezoneSession));
$block1->contentRow(lang_strings("modified"), createDate($meetingDetail->mee_modified[0], $timezoneSession));
$block1->contentTitle(lang_strings("details"));
$block1->contentRow(lang_strings("name"), $meetingDetail->mee_name[0]);
$block1->contentRow(lang_strings('meeting_id'), $meetingDetail->mee_id[0]);
$idStatus = $meetingDetail->mee_status[0];
$idPriority = $meetingDetail->mee_priority[0];
$idPublish = $meetingDetail->mee_published[0];
$block1->contentRow(lang_strings("status"), $status[$idStatus]);
$block1->contentRow(lang_strings("priority"), $priority[$idPriority]);

if ($meetingDetail->mee_date[0] <= $date && $idStatus != ST_COMPLETED) {
    $block1->contentRow(lang_strings("date"), "<b>" . $meetingDetail->mee_date[0] . "</b>");
} else {
    $block1->contentRow(lang_strings("date"), $meetingDetail->mee_date[0]);
}

$block1->contentRow(lang_strings("start_time"), $meetingDetail->mee_start_time[0]);
$block1->contentRow(lang_strings("end_time"), $meetingDetail->mee_end_time[0]);
$block1->contentRow(lang_strings("me_agenda"), nl2br(html_entity_decode($meetingDetail->mee_agenda[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings("me_location"), nl2br(html_entity_decode($meetingDetail->mee_location[0], ENT_QUOTES, $htmlEntityCharset)));

if ($meetingDetail->mee_chairman_login[0] == "") {
    $block1->contentRow(lang_strings("me_chairman"), "");
} else {
    $block1->contentRow(lang_strings("me_chairman"), $blockPage->buildLink('../users/viewuser.php?id=' . $meetingDetail->mee_chairman[0], $meetingDetail->mee_chairman_login[0], in) . " / " . $blockPage->buildLink($meetingDetail->mee_chairman_email[0], $meetingDetail->mee_chairman_name[0], mail));
}

$reminderStr = $reminder;

if ($reminder == lang_strings('yes')) {
    $reminderStr .= " (" . lang_strings("meeting_reminder_time1") . " " . $reminderTimeArray[$reminder_time1];

    if ($reminder_time2 != "0") {
        $reminderStr .= " " . lang_strings("meeting_reminder_time2") . $reminderTimeArray[$reminder_time2];
    }

    $reminderStr .= " " . lang_strings("meeting_reminder_time3") . ")";
}

$block1->contentRow(lang_strings("meeting_reminder"), $reminderStr);

for ($i = 0; $i < $comptAttendantDetail; $i++) {
    if ($i == 0) {
        $column1 = lang_strings("attendants");
    } else {
        $column1 = "";
    }

    $tmpquery = "WHERE mem.organization = '" . $projectDetail->pro_org_id[0] . "' AND mem.profil = '" . PF_CLIENT_USER . "' AND mem.id = '" . $attendantDetail->att_mem_id[$i] . "'";
    $clientMem = new request();
    $clientMem->openMembers($tmpquery);
    $column2 = $attendantDetail->att_mem_login[$i] . " / " . $attendantDetail->att_mem_name[$i];

    if (count($clientMem->mem_id) != 0) {
        $column2 .= " (" . lang_strings("client_user") . ")";
    }

    $block1->contentRow($column1, $column2);
}

if ($meetingDetail->mee_recorder_login[0] == "") {
    $block1->contentRow(lang_strings("me_recorder"), "");
} else {
    $block1->contentRow(lang_strings("me_recorder"), $blockPage->buildLink('../users/viewuser.php?id=' . $meetingDetail->mee_recorder[0], $meetingDetail->mee_recorder_login[0], in) . " / " . $blockPage->buildLink($meetingDetail->mee_recorder_email[0], $meetingDetail->mee_recorder_name[0], mail));
}

if ($meetingDetail->mee_minutes[0] == "" && $fileManagement == "true") {
    $tmpquery = "WHERE mat.meeting = '$id' AND mat.vc_parent = '0'";
    $listMeetingAttachments = new request();
    $listMeetingAttachments->openMeetingsAttachment($tmpquery, 1, 1);
    $comptListMeetingAttachments = count($listMeetingAttachments->mat_id);
} else {
    $comptListMeetingAttachments = 0;
}

$minutesContent = nl2br(html_entity_decode($meetingDetail->mee_minutes[0], ENT_QUOTES, $htmlEntityCharset));

if ($comptAttendantDetail > 0 && ($comptListMeetingAttachments > 0 || $meetingDetail->mee_minutes[0] != "")) {
    $minutesContent .= "&nbsp;" . $blockPage->buildLink("../meetings/viewmeeting.php?action=email&project=" . $projectDetail->pro_id[0] . "&id=" . $meetingDetail->mee_id[0], "<img src=\"../themes/" . THEME . "/email.gif\" alt=\"$id\">", in);
}

$block1->contentRow(lang_strings("me_minutes"), $minutesContent);

if ($sitePublish == "true") {
    $block1->contentRow(lang_strings("published"), $statusPublish[$idPublish]);
} 

$block1->contentTitle(lang_strings("updates_meeting"));
$tmpquery = "WHERE upd.type='M' AND upd.item = '$id' ORDER BY upd.created DESC";
$listUpdates = new request();
$listUpdates->openUpdates($tmpquery);
$comptListUpdates = count($listUpdates->upd_id);

if ($comptListUpdates != "0") {
    $j = 1;

    for ($i = 0;$i < $comptListUpdates;$i++) {
        $updHist = "";
        $upd_comm = nl2br(html_entity_decode($listUpdates->upd_comments[$i], ENT_QUOTES, $htmlEntityCharset));

        if (ereg("\[status:([0-9])\]", $upd_comm)) {
            preg_match("|\[status:([0-9])\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[status:([0-9])\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("status") . " " . $status[$matches[1]];
        } 

        if (ereg("\[priority:([0-9])\]", $upd_comm)) {
            preg_match("|\[priority:([0-9])\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[priority:([0-9])\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("priority") . " " . $priority[$matches[1]];
        } 

        if (ereg("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", $upd_comm)) {
            preg_match("|\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("due_date") . " " . $matches[1];
        } 

        $abbrev = substr($upd_comm, 0, 100);
        $updHist .= "<b>" . $j . ".</b> <i>" . createDate($listUpdates->upd_created[$i], $timezoneSession) . "</i> $abbrev";

        if (100 < strlen($upd_comm)) {
            $updHist .= "...";
        } 

        $block1->contentRow("", $updHist);
        $j++;
    } 

    $block1->contentRow("", $blockPage->buildLink("../meetings/historymeeting.php?type=M&amp;item=$id", lang_strings("show_details"), in));
} else {
    $block1->contentRow("", lang_strings("no_items"));
} 

$block1->closeContent();
$block1->closeToggle();
$block1->closeForm();
$block1->openPaletteScript();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteScript(0, "remove", "../meetings/deletemeetings.php?project=" . $meetingDetail->mee_project[0] . "&id=" . $meetingDetail->mee_id[0] . "", "true,true,false", lang_strings("delete"));
    $block1->paletteScript(1, "copy", "../meetings/editmeeting.php?project=" . $meetingDetail->mee_project[0] . "&id=" . $meetingDetail->mee_id[0] . '&cpy=true', "true,true,false", lang_strings("copy"));
    // $block1->paletteScript(2,"export","export.php?","true,true,false",lang_strings("export"));

    if ($sitePublish == "true") {
        $block1->paletteScript(3, "add_projectsite", "../meetings/viewmeeting.php?addToSite=true&id=" . $meetingDetail->mee_id[0] . "&action=publish", "true,true,true", lang_strings("add_project_site"));
        $block1->paletteScript(4, "remove_projectsite", "../meetings/viewmeeting.php?removeToSite=true&id=" . $meetingDetail->mee_id[0] . "&action=publish", "true,true,true", lang_strings("remove_project_site"));
    }
}

$block1->paletteScript(5, "edit", "../meetings/editmeeting.php?project=" . $meetingDetail->mee_project[0] . "&id=" . $meetingDetail->mee_id[0] . '&cpy=false', "true,true,false", lang_strings("edit"));
$block1->paletteScript(6, "timelog", "../meetings/addmeetingtime.php?id=" . $meetingDetail->mee_id[0], "true,true,false", lang_strings("loghours"));
$block1->closePaletteScript("", "");

if ($fileManagement == "true") {
    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->turnPage();
    }

    $block2 = new block();
    $block2->form = "mdC";
    $block2->openForm("../meetings/viewmeeting.php?id=$id#" . $block2->form . "Anchor");
    $block2->headingToggle(lang_strings("linked_content"));
    $block2->openPaletteIcon();
    $block2->paletteIcon(0, "add", lang_strings("add"));
    $block2->paletteIcon(1, "remove", lang_strings("delete"));

    if ($sitePublish == "true") {
        $block2->paletteIcon(2, "add_projectsite", lang_strings("add_project_site"));
        $block2->paletteIcon(3, "remove_projectsite", lang_strings("remove_project_site"));
    }

    $block2->paletteIcon(4, "info", lang_strings("view"));
    $block2->paletteIcon(5, "edit", lang_strings("edit"));
    $block2->closePaletteIcon();
    $block2->sorting("meetings_attachment", $sortingUser->sor_meetings_attachment[0], "mat.name ASC", $sortingFields = array(0 => "mat.extension", 1 => "mat.name", 2 => "mat.date", 3 => "mat.status", 4 => "mat.published"));
    $tmpquery = "WHERE mat.meeting = '$id' AND mat.vc_parent = '0' ORDER BY $block2->sortingValue";
    $listAttachments = new request();
    $listAttachments->openMeetingsAttachment($tmpquery);
    $comptListFiles = count($listAttachments->mat_id);

    if ($comptListFiles != "0") {
        $block2->openResults();
        $block2->labels($labels = array(0 => lang_strings("type"), 1 => lang_strings("name"), 2 => lang_strings("date"), 3 => lang_strings("approval_tracking"), 4 => lang_strings("published")), "true");
        require_once("../includes/files_types.php");

        for ($i = 0;$i < $comptListFiles;$i++) {
            $existFile = "false";
            $idStatus = $listAttachments->mat_status[$i];
            $idPublish = $listAttachments->mat_published[$i];
            $type = file_info_type($listAttachments->mat_extension[$i]);

            if (fileExists("files/" . $listAttachments->mat_project[$i] . "/meetings/" . $listAttachments->mat_meeting[$i] . "/" . $listAttachments->mat_name[$i])) {
                $existFile = "true";
            }

            $block2->openRow();
            $block2->checkboxRow($listAttachments->mat_id[$i]);

            if ($existFile == "true") {
                $block2->cellRow($blockPage->buildLink("../meetings/viewfile.php?id=" . $listAttachments->mat_id[$i], $type, icone));
            } else {
                $block2->cellRow("&nbsp;");
            }

            if ($existFile == "true") {
                $block2->cellRow($blockPage->buildLink("../meetings/viewfile.php?id=" . $listAttachments->mat_id[$i], $listAttachments->mat_name[$i], in));
            } else {
                $block2->cellRow(lang_strings("missing_file") . " (" . $listAttachments->mat_name[$i] . ")");
            }

            $block2->cellRow($listAttachments->mat_date[$i]);
            $block2->cellRow($blockPage->buildLink("../meetings/viewfile.php?id=" . $listAttachments->mat_id[$i], $statusFile[$idStatus], in));

            if ($sitePublish == "true") {
                $block2->cellRow($statusPublish[$idPublish]);
            }

            $block2->closeRow();
        }

        $block2->closeResults();
    } else {
        $block2->noresults();
    }

    $block2->closeToggle();
    $block2->closeFormResults();
    $block2->openPaletteScript();
    $block2->paletteScript(0, "add", "../meetings/addfile.php?project=" . $meetingDetail->mee_project[0] . "&meeting=$id", "true,false,false", lang_strings("add"));
    $block2->paletteScript(1, "remove", "../meetings/deletefiles.php?project=" . $projectDetail->pro_id[0] . "&meeting=" . $meetingDetail->mee_id[0] . "", "false,true,true", lang_strings("delete"));

    if ($sitePublish == "true") {
        $block2->paletteScript(2, "add_projectsite", "../meetings/viewmeeting.php?addToSiteFile=true&meeting=" . $meetingDetail->mee_id[0] . "&action=publish", "false,true,true", lang_strings("add_project_site"));
        $block2->paletteScript(3, "remove_projectsite", "../meetings/viewmeeting.php?removeToSiteFile=true&meeting=" . $meetingDetail->mee_id[0] . "&action=publish", "false,true,true", lang_strings("remove_project_site"));
    }

    $block2->paletteScript(4, "info", "../meetings/viewfile.php?", "false,true,false", lang_strings("view"));
    $block2->paletteScript(5, "edit", "../meetings/viewfile.php?edit=true", "false,true,false", lang_strings("edit"));
    $block2->closePaletteScript($comptListFiles, $listAttachments->mat_id);

    if ($layoutSession == LT_TWOPAGES) {
        $blockPage->closeTwoPages();
    }
} 

require_once("../themes/" . THEME . "/footer.php");

?>
