<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editnote.php,v 1.7 2006/07/31 02:03:24 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.ntEForm.subject.focus();\"";

if ($id != "") {
    $tmpquery = "WHERE note.id = '$id'";
    $noteDetail = new request();
    $noteDetail->openNotes($tmpquery);
    $tmpquery = "WHERE pro.id = '" . $noteDetail->note_project[0] . "'";
    $project = $noteDetail->note_project[0];

    if ($noteDetail->note_owner[0] != $idSession) {
        header("Location: ../notes/listnotes.php?project=$project&msg=noteOwner");
        exit;
    }
}

$tmpquery = "WHERE tea.member = '$idSession' ORDER BY pro.name";
$listProjects = new request();
$listProjects->openTeams($tmpquery);
$comptListProjects = count($listProjects->tea_id);

if ($comptListProjects == 0) {
    header("Location:../general/permissiondenied.php");
    exit;
}

if ($action != '' && $subject == '') {
    $error = lang_strings('blank_fields');
    $bodyCommand = "onLoad=\"document.ntEForm.subject.focus();\"";
    $subject_highlight = true;
} else if ($action != '' && $description == '') {
    $error = lang_strings('blank_fields');
    $bodyCommand = "onLoad=\"document.ntEForm.description.focus();\"";
    $description_highlight = true;
}

if ($error == '') {
// case update note entry
if ($id != "") {
    // case update note entry
    if ($action == "update") {
        $description = htmlentities($description, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery5 = "UPDATE " . $tableCollab["notes"] . " SET project='$projectMenu',topic='$topic',subject='$subject',description='$description',date='$dd',owner='$idSession' WHERE id = '$id'";
        $msg = "update";
        connectSql("$tmpquery5");
        header("Location: ../notes/viewnote.php?id=$id&msg=$msg");
        exit;
    }

    // set value in form
    $dd = $noteDetail->note_date[0];
    $subject = $noteDetail->note_subject[0];
    $description = html_entity_decode($noteDetail->note_description[0], ENT_QUOTES, $htmlEntityCharset);
    $topic = $noteDetail->note_topic[0];
}
// case add note entry
if ($id == "") {
    // case add note entry
    if ($action == "add") {
        $description = htmlentities($description, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery1 = "INSERT INTO " . $tableCollab["notes"] . "(project,topic,subject,description,date,owner,published) VALUES('$projectMenu','$topic','$subject','$description','$dd','$idSession','" . PB_NO . "')";
        connectSql("$tmpquery1");
        $tmpquery = $tableCollab["notes"];
        last_id($tmpquery);
        $num = $lastId[0];
        unset($lastId);
        header("Location: ../notes/viewnote.php?id=$num&msg=add");
        exit;
    }
}
}

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../notes/listnotes.php?project=" . $projectDetail->pro_id[0], lang_strings("notes"), in));

if ($id == "") {
    $blockPage->itemBreadcrumbs(lang_strings("add_note"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../notes/viewnote.php?id=" . $noteDetail->note_id[0], $noteDetail->note_subject[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("edit_note"));
}

$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "ntE";

if ($id == "") {
    $block1->openForm("../notes/editnote.php?project=$project&amp;id=$id&amp;action=add#" . $block1->form . "Anchor");
} else {
    $block1->openForm("../notes/editnote.php?project=$project&amp;id=$id&amp;action=update#" . $block1->form . "Anchor");
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id == "") {
    $block1->heading(lang_strings("add_note"));
} else {
    $block1->heading(lang_strings("edit_note") . " : " . $noteDetail->note_subject[0]);
}

$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$proSel = "<select name=\"projectMenu\">";

for ($i = 0;$i < $comptListProjects;$i++) {
    if ($listProjects->tea_pro_id[$i] == $noteDetail->note_project[0] || $project == $listProjects->tea_pro_id[$i]) {
        $proSel .= "<option value=\"" . $listProjects->tea_pro_id[$i] . "\" selected>" . $listProjects->tea_pro_name[$i] . "</option>";
    } else {
        $proSel .= "<option value=\"" . $listProjects->tea_pro_id[$i] . "\">" . $listProjects->tea_pro_name[$i] . "</option>";
    }
}

$proSel .= "</select>";
$block1->contentRow(lang_strings("project"), $proSel);

// date
if ($dd == '') {
    $dd = $date;
}

$block1->contentRow(lang_strings("date"), "<input type=\"text\" class=\"input_datetime\" name=\"dd\" id=\"sel3\" size=\"20\" value=\"$dd\" readonly><button type=\"reset\" id=\"trigger_b\">...</button><script type=\"text/javascript\">Calendar.setup({ inputField:\"sel3\", button:\"trigger_b\" });</script>");
$topSel = "<select name=\"topic\">";
$comptTopic = count($topicNote);

for ($i = 1;$i <= $comptTopic;$i++) {
    if ($topic == $i) {
        $topSel .= "<option value=\"$i\" selected>$topicNote[$i]</option>";
    } else {
        $topSel .= "<option value=\"$i\">$topicNote[$i]</option>";
    }
}

$topSel .= "</select>";
$block1->contentRow(lang_strings("topic"), $topSel);

if ($subject_highlight) {
    $block1->contentRow("* " . lang_strings("subject"), "<input size=\"44\" value=\"$subject\" class=\"input_text_highlight\" name=\"subject\" maxlength=\"100\" type=\"TEXT\">");
} else {
    $block1->contentRow("* " . lang_strings("subject"), "<input size=\"44\" value=\"$subject\" class=\"input_text\" name=\"subject\" maxlength=\"100\" type=\"TEXT\">");
}

if ($description_highlight) {
    $block1->contentRow("* " . lang_strings("description"), "<textarea rows=\"3\" class=\"textarea_3rows_highlight\" name=\"description\" cols=\"47\">$description</textarea>");
} else {
    $block1->contentRow("* " . lang_strings("description"), "<textarea rows=\"3\" class=\"textarea_3rows\" name=\"description\" cols=\"47\">$description</textarea>");
}

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
