<?php // $Revision: 1.7 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletepersonevaluations.php,v 1.7 2006/09/05 02:59:48 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE pro.owner='$idSession'";
$projectsList = new request();
$projectsList->openProjects($tmpquery);
$comptProjectsList = count($projectsList->pro_id);

$projectsId = "";
for ($i = 0;$i < $comptProjectsList;$i++) {
    if ($projectsId != "") {
        $projectsId .= ",";
    }
    $projectsId .= "'" . $projectsList->pro_id[$i] . "'";
}

$teamMembers = "";
if ($projectsId != "") {
    $tmpquery = "WHERE tea.project IN($projectsId)";
    $teamList = new request();
    $teamList->openTeams($tmpquery);
    $comptTeamList = count($teamList->tea_id);

    for ($i = 0;$i < $comptTeamList;$i++) {
        if ($teamMembers != "") {
            $teamMembers .= ",";
        }
        $teamMembers .= "'" . $teamList->tea_member[$i] . "'";
    }
}

$tmpquery = "WHERE mem.supervisor='$idSession'";
if ($teamMembers != "") {
    $tmpquery .= " OR mem.id IN($teamMembers)";
}
$supervisorList = new request();
$supervisorList->openMembers($tmpquery);
$comptSupervisorList = count($supervisorList->mem_id);

if ($comptSupervisorList == 0) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

$ids = str_replace("**", ",", $id);

$tmpquery = "WHERE eva.id IN($ids) AND eva.type='0'";
$check1 = new request();
$check1->openPersonEvaluations($tmpquery);
$comptCheck1 = count($check1->eva_id);
if ($comptCheck1 > 0) {
    header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=noPartialTaskType");
    exit;
}

$tmpquery = "WHERE eva.id IN($ids) AND eva.submitted='" . PE_SUBMITTED . "'";
$check2 = new request();
$check2->openPersonEvaluations($tmpquery);
$comptCheck2 = count($check2->eva_id);
if ($comptCheck2 > 0) {
    header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=noPartialSubmitted");
    exit;
}

if ($action == "delete") {
    $id = str_replace("**", ",", $id);
    $tmpquery1 = "DELETE FROM " . $tableCollab["person_evaluations"] . " WHERE id IN($id)";
    connectSql("$tmpquery1");

    header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=delete");
    exit;
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs(lang_strings('person_evaluations'));
$blockPage->itemBreadcrumbs(lang_strings("delete_person_evaluations"));
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();

$block1->form = "saP";
$block1->openForm("../person_evaluations/deletepersonevaluations.php?action=delete&amp;show=$show&amp;id=$id");

$block1->heading(lang_strings("delete_person_evaluations"));

$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));

$id = str_replace("**", ",", $id);
$tmpquery = "WHERE eva.id IN($id) ORDER BY eva.item";
$listPersonEvaluations = new request();
$listPersonEvaluations->openPersonEvaluations($tmpquery);
$comptListPersonEvaluations = count($listPersonEvaluations->eva_id);

for ($i = 0;$i < $comptListPersonEvaluations;$i++) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">#" . $listPersonEvaluations->eva_id[$i] . "</td><td>" . $personEvaluationItemArraySets['sets'][$listPersonEvaluations->eva_item[$i]] . "</td></tr>";
} 

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"delete\" 
value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" 
onClick=\"history.back();\"></td></tr>";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
