<?php // $Revision: 1.8 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: listpersonevaluations.php,v 1.8 2006/07/03 06:04:24 luis Exp $
 * 
 * Copyright (c) 2004 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

/**
 * listpersonevaluations.php
 * 
 * list person evaluations grouped by either 'Open', 'Submitted',
 * or 'All'.
 */

$checkSession = true;
require_once('../includes/library.php');

if (isset($_GET['show'])) {
    $show = $_GET['show'];
} else {
    $show = 'open';
}

if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $id = $_GET['id'];

    if (strstr($id, "**") != "") {
        $id = str_replace("**", ",", $id);
        $tmpquery = "WHERE eva.id IN($id) AND eva.appraiser='0'";
        $multi = true;
    } else {
        $tmpquery = "WHERE eva.id='$id' AND eva.appraiser='0'";
    }

    $checkList = new request();
    $checkList->openPersonEvaluations($tmpquery);
    $comptCheckList = count($checkList->eva_id);

    if ($comptCheckList != '0') {
        header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=appraiserMissing");
        exit;
    }

    if ($action == "add") {
        if ($multi) {
            $tmpquery1 = "UPDATE " . $tableCollab["person_evaluations"] . " SET submitted='" . PE_SUBMITTED . "',appraiser='$idSession',modified='$dateheure' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["person_evaluations"] . " SET submitted='" . PE_SUBMITTED . "',appraiser='$idSession',modified='$dateheure' WHERE id = '$id'";
        }

        connectSql("$tmpquery1");
        header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=addToSubmitted");
        exit;
    } else if ($action == "del") {
        if ($multi) {
            $tmpquery1 = "UPDATE " . $tableCollab["person_evaluations"] . " SET submitted='" . PE_OPEN . "',appraiser='$idSession',modified='$dateheure' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["person_evaluations"] . " SET submitted='" . PE_OPEN . "',appraiser='$idSession',modified='$dateheure' WHERE id = '$id'";
        }

        connectSql("$tmpquery1");
        header("Location: ../person_evaluations/listpersonevaluations.php?show=$show&msg=removeToSubmitted");
        exit;
    }
}

$teamMembers = "";
$tmpquery = "WHERE pro.owner='$idSession'";
$teamList = new request();
$teamList->openTeams($tmpquery);
$comptTeamList = count($teamList->tea_id);

for ($i = 0;$i < $comptTeamList;$i++) {
    if ($teamMembers != "") {
        $teamMembers .= ",";
    }

    $teamMembers .= "'" . $teamList->tea_member[$i] . "'";
}

$tmpquery = "WHERE mem.supervisor='$idSession'";

if ($teamMembers != "") {
    $tmpquery .= " OR mem.id IN($teamMembers)";
}

$supervisorList = new request();
$supervisorList->openMembers($tmpquery);
$comptSupervisorList = count($supervisorList->mem_id);

if ($comptSupervisorList == 0) {
    $readOnly = true;
} else {
    $readOnly = false;
}

$tmpquery = "WHERE mem.profil NOT IN ('" . PF_CLIENT_USER . "','" . PF_DISABLED . "','" . PF_DELETED . "')";
$allMembers = new request();
$allMembers->openMembers($tmpquery);
$comptAllMembers = count($allMembers->mem_id);
$following = "";

for ($i = 0;$i < $comptSupervisorList;$i++) {
    if ($following != "") {
        $following .= ",";
    }

    $following .= "'" . $supervisorList->mem_id[$i] . "'";
    $tmpquery = "WHERE mem.supervisor='" . $supervisorList->mem_id[$i] . "'";
    $subSupervisorList = new request();
    $subSupervisorList->openMembers($tmpquery);
    $comptSubSupervisorList = count($subSupervisorList->mem_id);

    for ($j = 0;$j < $comptSubSupervisorList;$j++) {
        $supervisorList->mem_id[$comptSupervisorList] = $subSupervisorList->mem_id[$j];
        $comptSupervisorList++;
    }

    if ($comptSupervisorList > $comptAllMembers) {
        break;
    }
}

require_once('../themes/' . THEME . '/header.php');
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=open', lang_strings('person_evaluations'), in));

if ($show == 'open') {
    $blockPage->itemBreadcrumbs(lang_strings('open_items') . ' | ' . $blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=submitted', lang_strings('submitted_items'), in) . ' | ' . $blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=all', lang_strings('all'), in));
} else if ($show == 'submitted') {
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=open', lang_strings('open_items'), in) . ' | ' . lang_strings('submitted_items') . ' | ' . $blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=all', lang_strings('all'), in));
} else if ($show == 'all') {
    $blockPage->itemBreadcrumbs($blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=open', lang_strings('open_items'), in) . ' | ' . $blockPage->buildLink('../person_evaluations/listpersonevaluations.php?show=submitted', lang_strings('submitted_items'), in) . ' | ' . lang_strings('all'));
} 

$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
}

$blockPage->bornesNumber = '1';
$block1 = new block();
$block1->form = 'peL';
$block1->openForm('../person_evaluations/listpersonevaluations.php?show=' . $show . '#' . $block1->form . 'Anchor');
$block1->heading(lang_strings('person_evaluations'));
$block1->openPaletteIcon();

if (!$readOnly) {
    $block1->paletteIcon(0, 'add', lang_strings('add'));

    if ($show != "submitted") {
        $block1->paletteIcon(1, 'remove', lang_strings('delete'));
    }
}

$block1->paletteIcon(2, 'info', lang_strings('view'));

if (!$readOnly) {
    $block1->paletteIcon(3, 'edit', lang_strings('edit'));
    $block1->paletteIcon(4, 'copy', lang_strings('copy'));
    $block1->paletteIcon(13, 'add_submitted_items', lang_strings('add_submitted_items'));
    $block1->paletteIcon(14, 'remove_submitted_items', lang_strings('remove_submitted_items'));
}

$block1->closePaletteIcon();
$block1->borne = $blockPage->returnBorne('1');
$block1->rowsLimit = 20;
$block1->sorting('person_evaluations', $sortingUser->sor_person_evaluations[0], 'eva.item ASC', $sortingFields = array(0 => 'eva.id', 1 => 'eva.type', 2 => 'eva.item', 3 => 'mem2.login', 4 => 'mem.login', 5 => 'eva.value', 6 => 'eva.submitted'));

if ($readOnly) {
    $tmpquery = "WHERE eva.member='$idSession'";
} else {
    $tmpquery = "WHERE (eva.member IN ($following) OR eva.member='$idSession')";
}

if ($show == 'open') {
    $tmpquery .= " AND eva.submitted='" . PE_OPEN . "' ORDER BY " . $block1->sortingValue;
} else if ($show == 'submitted') {
    $tmpquery .= " AND eva.submitted='" . PE_SUBMITTED . "' ORDER BY " . $block1->sortingValue;
} else if ($show == 'all') {
    $tmpquery .= " ORDER BY " . $block1->sortingValue;
} 

$block1->recordsTotal = compt($initrequest['person_evaluations'] . ' ' . $tmpquery);
$listPersonEvaluations = new request();
$listPersonEvaluations->openPersonEvaluations($tmpquery, $block1->borne, $block1->rowsLimit);
$comptListPersonEvaluations = count($listPersonEvaluations->eva_id);

if ($comptListPersonEvaluations != 0) {
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings('type'), 2 => lang_strings('item'), 3 => lang_strings('member'), 4 => lang_strings('appraiser'), 5 => lang_strings('value'), 6 => lang_strings('submitted')), 'true');

    for ($i = 0; $i < $comptListPersonEvaluations; $i++) {
        $personEvaluationType = $personEvaluationTypeArray[$listPersonEvaluations->eva_type[$i]];

        if ($listPersonEvaluations->eva_type[$i] == 0) {
            $tmpquery1 = "WHERE tas.id='" . $listPersonEvaluations->eva_item[$i] . "'";
            $taskDetail = new request();
            $taskDetail->openTasks($tmpquery1);
            $personEvaluationItem = $blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in);

            if ($taskDetail->tas_type[0] >= 0)
                $personEvaluationItem .= " (" . $personEvaluationItemArraySets['sets'][$taskDetail->tas_type[0]] . ")";
        } else {
            $personEvaluationItem = $personEvaluationItemArraySets['sets'][$listPersonEvaluations->eva_item[$i]];
        }

        if ($listPersonEvaluations->eva_appraiser[$i] == 0) {
            $appraiser = lang_strings('none');
        } else {
            $appraiser = $blockPage->buildLink($listPersonEvaluations->eva_mem_email_work[$i], $listPersonEvaluations->eva_mem_login[$i], mail);
        }

        if ($listPersonEvaluations->eva_value[$i] == '0') {
            $valueContent = lang_strings('none');
        } else {
            $valueContent = $personEvaluationValueArray[$listPersonEvaluations->eva_value[$i]]['display'];
        }

        $block1->openRow();
        $block1->checkboxRow($listPersonEvaluations->eva_id[$i]);
        $block1->cellRow($blockPage->buildLink("../person_evaluations/viewpersonevaluation.php?show=$show&id=" . $listPersonEvaluations->eva_id[$i], $listPersonEvaluations->eva_id[$i], in));
        $block1->cellRow($personEvaluationType);
        $block1->cellRow($personEvaluationItem);
        $block1->cellRow($blockPage->buildLink($listPersonEvaluations->eva_mem2_email_work[$i], $listPersonEvaluations->eva_mem2_login[$i], mail));
        $block1->cellRow($appraiser);
        $block1->cellRow($valueContent);
        $block1->cellRow($statusEvaluation[$listPersonEvaluations->eva_submitted[$i]]);
        $block1->closeRow();
    }

    $block1->closeResults();
    $block1->bornesFooter(1, $blockPage->bornesNumber, '', 'show=' . $show);
} else {
    $block1->noresults();
}

$block1->closeFormResults();
$block1->openPaletteScript();

if (!$readOnly) {
    $block1->paletteScript(0, 'add', "../person_evaluations/editpersonevaluation.php?show=$show", 'true,false,false', lang_strings('add'));

    if ($show != "submitted") {
        $block1->paletteScript(1, 'remove', "../person_evaluations/deletepersonevaluations.php?show=$show", 'false,true,true', lang_strings('delete'));
    }
}

$block1->paletteScript(2, 'info', "../person_evaluations/viewpersonevaluation.php?show=$show", 'false,true,false', lang_strings('view'));

if (!$readOnly) {
    $block1->paletteScript(3, 'edit', "../person_evaluations/editpersonevaluation.php?show=$show", 'false,true,false', lang_strings('edit'));
    $block1->paletteScript(4, 'copy', "../person_evaluations/editpersonevaluation.php??show=$show&cpy=true", 'false,true,false', lang_strings('copy'));
    $block1->paletteScript(13, 'add_submitted_items', "../person_evaluations/listpersonevaluations.php?show=$show&action=add&submitted=true", 'false,true,true', lang_strings('add_submitted_items'));
    $block1->paletteScript(14, 'remove_submitted_items', "../person_evaluations/listpersonevaluations.php?show=$show&action=del", 'false,true,true', lang_strings('remove_submitted_items'));
}

$block1->closePaletteScript($comptListPersonEvaluations, $listPersonEvaluations->eva_id);
require_once('../themes/' . THEME . '/footer.php');

?>
