<?php // $Revision: 1.24.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewphase.php,v 1.24.2.1 2007/02/04 14:56:44 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$taskgroupList = array();

function add_taskgroup_to_changelist($parent, $level)
{
    global $taskgroupList;

    if (array_key_exists($parent, $taskgroupList))
        return;

    $taskgroupList[$parent] = $level;

    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    if ($parentDetail->tas_parent_task[0] != 0) {
        add_taskgroup_to_changelist($parentDetail->tas_parent_task[0], $parentDetail->tas_level[0]);
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }
            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }
            $newCompletion += $completion;
            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }
            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }
            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;
            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }
            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;
            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }
            $newPublished = $published;
        }
    }
    $newCompletion = substr($newCompletion / $newSubtask, 0, 1);

    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='" . TG_YES . "', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
}

if ($action == "publish") {
    $tmpquery = "WHERE pha.id = '$phase'";
} else {
    $tmpquery = "WHERE pha.id = '$id'";
}

$phaseDetail = new request();
$phaseDetail->openPhases2($tmpquery);
$project = $phaseDetail->pha_project_id[0];
$phase = $phaseDetail->pha_id[0];

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if ($action == "publish") {
    $id1 = str_replace("**", ",", $id);

    if ($addToSite == "true") {
        $multi = strstr($id, "**");
        if ($multi != "") {
            $id = str_replace("**", ",", $id);
            $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        } 
        connectSql("$tmpquery1");
        $msg = "addToSite";
        $id = $phase;
    } 

    if ($removeToSite == "true") {
        $multi = strstr($id, "**");
        if ($multi != "") {
            $id = str_replace("**", ",", $id);
            $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_NO . "' WHERE id = '$id'";
        } 
        connectSql("$tmpquery1");
        $msg = "removeToSite";
        $id = $phase;
    }

    if ($addToSite == 'true' || $removeToSite == 'true') {
        $criticalSection = enter_critical_section();

        if ($criticalSection == -1) {
            header("Location: ../tasks/viewphase.php?id=$id&msg=$msg");
            exit;
        }

        $tmpquery = "WHERE tas.id IN ($id1)";
        $listTasks = new request();
        $listTasks->openTasks($tmpquery);
        $comptListTasks = count($listTasks->tas_id);

        for ($i=0; $i<$comptListTasks; $i++) {
            add_taskgroup_to_changelist($listTasks->tas_parent_task[$i], $listTasks->tas_level[$i]);
        }

        if (count($taskgroupList) > 0) {
            arsort($taskgroupList, SORT_NUMERIC);
            reset($taskgroupList);

            while (list($parentTask, $level) = each($taskgroupList)) {
                change_parent_task($parentTask);
            }
        }

        leave_critical_section($criticalSection);
    }

    if ($addToSiteFile == "true") {
        $multi = strstr($id, "**");
        if ($multi != "") {
            $id = str_replace("**", ",", $id);
            $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        } 
        connectSql("$tmpquery1");
        $msg = "addToSite";
        $id = $phase;
    } 

    if ($removeToSiteFile == "true") {
        $multi = strstr($id, "**");
        if ($multi != "") {
            $id = str_replace("**", ",", $id);
            $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_NO . "' WHERE id = '$id'";
        } 
        connectSql("$tmpquery1");
        $msg = "removeToSite";
        $id = $phase;
    } 
} 

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/listphases.php?id=" . $projectDetail->pro_id[0], lang_strings("phases"), in));
$blockPage->itemBreadcrumbs($phaseDetail->pha_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
} 

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesLess");
}

$block1 = new block();
$block1->form = "pppD";
$block1->openForm("../projects/listprojects.php#" . $block1->form . "Anchor");
$block1->headingToggle(lang_strings("phase") . " : " . $phaseDetail->pha_name[0]);

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, "edit", lang_strings("edit"));
    $block1->closePaletteIcon();
}

if ($phaseDetail->pha_status[0] == PS_NOT_STARTED) {
    $phaseStart = lang_strings("none");
    $phaseEnd = lang_strings("none");
} else if ($phaseDetail->pha_status[0] == PS_COMPLETE) {
    $phaseStart = $phaseDetail->pha_date_start[0];
    $phaseEnd = $phaseDetail->pha_date_end[0];
} else {
    $phaseStart = $phaseDetail->pha_date_start[0];
    $phaseEnd = lang_strings("none");
}

$block1->openContent();
$block1->contentTitle(lang_strings("details"));
$block1->contentRow(lang_strings("name"), $phaseDetail->pha_name[0]);
$block1->contentRow(lang_strings("phase_id"), $phaseDetail->pha_id[0]);
$block1->contentRow(lang_strings("status"), $phaseStatus[$phaseDetail->pha_status[0]]);
$block1->contentRow(lang_strings("total_tasks"), $phaseDetail->pha_total_tasks[0]);
$block1->contentRow(lang_strings("uncomplete_tasks"), $phaseDetail->pha_uncompleted_tasks[0]);
$block1->contentRow(lang_strings("milestone"), $phaseDetail->pha_milestones[0]);
$block1->contentRow(lang_strings("date_start"), $phaseStart);
$block1->contentRow(lang_strings("date_end"), $phaseEnd);
$block1->contentRow(lang_strings("comments"), nl2br(html_entity_decode($phaseDetail->pha_comments[0], ENT_QUOTES, $htmlEntityCharset)));

$block1->closeContent();
$block1->closeToggle();
$block1->closeForm();

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_ADMINISTRATOR || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
    $block1->openPaletteScript();
    $block1->paletteScript(0, "edit", "../phases/editphase.php?id=$id", "true,true,true", lang_strings("edit"));
    $block1->closePaletteScript($comptListPhaese, $listPhases->pha_id);
} 

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

$block2 = new block();
$block2->form = "saP";
$block2->openForm("../phases/viewphase.php?id=$id#" . $block2->form . "Anchor");
$block2->headingToggle(lang_strings("tasks"));
$block2->openPaletteIcon();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteIcon(0, "add", lang_strings("add"));
    $block2->paletteIcon(1, "remove", lang_strings("delete"));
    $block2->paletteIcon(2, "copy", lang_strings("copy")); 
    // $block1->paletteIcon(3,"export",lang_strings("export"));

    if ($sitePublish == "true") {
        $block2->paletteIcon(4, "add_projectsite", lang_strings("add_project_site"));
        $block2->paletteIcon(5, "remove_projectsite", lang_strings("remove_project_site"));
    } 
} 

$block2->paletteIcon(6, "info", lang_strings("view"));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteIcon(7, "edit", lang_strings("edit"));
    $block2->paletteIcon(8, "timelog", lang_strings("loghours"));
}

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteIcon(9, "dependency", lang_strings("add_predecessor"));
    $block2->paletteIcon(10, "unlink", lang_strings("delete_dependencies"));
    $block2->paletteIcon(11, "indentation", lang_strings("indentation"));
    $block2->paletteIcon(12, "unindentation", lang_strings("unindentation"));
    $block2->paletteIcon(13, "add_taskgroup", lang_strings("add_taskgroup"));
}

$block2->closePaletteIcon();
$block2->sorting("tasks", $sortingUser->sor_tasks[0], "tas.name ASC", $sortingFields = array(0 => "tas.id", 1 => "tas.name", 2 => "tas.priority", 3 => "tas.status", 4 => "tas.completion", 5 => "tas.due_date", 6 => "tas.assigned_to", 7 => "tas.published"));
$tmpquery = "WHERE tas.project = '$project' AND tas.parent_phase = '" . $phaseDetail->pha_order_num[0] . "' AND tas.level='0' ORDER BY " . $block2->sortingValue;
$listTasks = new request();
$listTasks->openTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);

if ($comptListTasks != "0") {
    $block2->openResults();
    $block2->labels($labels = array(0 => lang_strings("id"),1 => lang_strings("task"), 2 => lang_strings("priority"), 3 => lang_strings("status"), 4 => lang_strings("completion"), 5 => lang_strings("due_date"), 6 => lang_strings("assigned_to"), 7 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListTasks;$i++) {
        if ($listTasks->tas_due_date[$i] == "") {
            $listTasks->tas_due_date[$i] = lang_strings("none");
        }

        $tmpquery = "SELECT id FROM " . $tableCollab['tasks'] . " WHERE parent_task='" . $listTasks->tas_id[$i] . "'";
        $comptSubTasks = compt($tmpquery);

        if ($comptSubTasks > 0) {
            $namePostfix = "&nbsp;&nbsp;($comptSubTasks&nbsp;" . lang_strings('subtasks') . ")";
        } else {
            $namePostfix = '';
        }

        $idStatus = $listTasks->tas_status[$i];
        $idPriority = $listTasks->tas_priority[$i];
        $idPublish = $listTasks->tas_published[$i];
        $complValue = ($listTasks->tas_completion[$i] > 0) ? $listTasks->tas_completion[$i] . "0 %": $listTasks->tas_completion[$i] . " %";
        $block2->openRow();
        $block2->checkboxRow($listTasks->tas_id[$i]);
        $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_id[$i], in));

        if ($idStatus == 1) {
            $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_name[$i] . $namePostfix, instrike));
        } else {
            $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_name[$i] . $namePostfix, in));
        }

        if ($listTasks->tas_milestone[$i] == MS_YES) {
            $block2->cellRow("") ;
            $block2->cellRow("") ;
            $block2->cellRow("") ;
        } else {
            $block2->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
            $block2->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
            $block2->cellRow($complValue);
        }

        if ($listTasks->tas_milestone[$i] == MS_YES) {
            $block2->cellRow($listTasks->tas_due_date[$i]);
        } else if ($listTasks->tas_due_date[$i] <= $date) {
            $block2->cellRow("<b>" . $listTasks->tas_due_date[$i] . "</b>");
        } else {
            $block2->cellRow($listTasks->tas_due_date[$i]);
        } 

        if ($listTasks->tas_start_date[$i] != "--" && $listTasks->tas_due_date[$i] != "--") {
            $gantt = "true";
        } 

        if ($listTasks->tas_milestone[$i] == MS_YES) {
            $block2->cellRow("") ;
        } else if ($listTasks->tas_assigned_to[$i] == "0") {
            $block2->cellRow(lang_strings("unassigned"));
        } else {
            $tmpquery = " AND res.task='" . $listTasks->tas_id[$i] . "'";
            $resourceUsage = new request();
            $resourceUsage->openTaskHumanResource($tmpquery);
            $comptResourceUsage = count($resourceUsage->res_id);
            $assignedToStrings = "";

            for ($j = 0;$j < $comptResourceUsage;$j++) {
                if ($j > 0) {
                    $assignedToStrings .= "&nbsp;";
                }

                $assignedToStrings .= $blockPage->buildLink($resourceUsage->res_mem_email_work[$j], $resourceUsage->res_mem_login[$j], mail);
            }

            $block2->cellRow($assignedToStrings);
        } 

        echo "</td>";

        if ($sitePublish == "true") {
            $block2->cellRow($statusPublish[$idPublish]);
        } 

        $block2->closeRow();
    } 
    $block2->closeResults();

    if ($activeJpgraph == "true" && $gantt == "true") {
        // show the expanded or compact Gantt Chart
        if ($_GET['base'] == 1) {
            echo "<a href='viewphase.php?id=$id&amp;base=0'>expand</a><br>";
        } else {
            echo "<a href='viewphase.php?id=$id&amp;base=1'>compact</a><br>";
        }

        echo "<img src=\"graphtasks.php?project=" . $projectDetail->pro_id[0] . "&amp;phase=" . $phaseDetail->pha_order_num[0] . "&amp;base=" . $_GET['base'] . "\" alt=\"\"><br>
<span class=\"listEvenBold\">" . $blockPage->buildLink("http://www.aditus.nu/jpgraph/", "JpGraph", powered) . "</span>";
    } 
} else {
    $block2->noresults();
} 

$block2->closeToggle();
$block2->closeFormResults();
$block2->openPaletteScript();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteScript(0, "add", "../tasks/edittask.php?project=$project&phase=" . $phaseDetail->pha_order_num[0] . "", "true,false,false", lang_strings("add"));
    $block2->paletteScript(1, "remove", "../tasks/deletetasks.php?project=$project", "false,true,true", lang_strings("delete"));
    $block2->paletteScript(2, "copy", "../tasks/edittask.php?project=$project&cpy=true", "false,true,false", lang_strings("copy"));
    // $block1->paletteScript(3,"export","export.php?","false,true,true",lang_strings("export"));

    if ($sitePublish == "true") {
        $block2->paletteScript(4, "add_projectsite", "../phases/viewphase.php?addToSite=true&phase=$phase&action=publish", "false,true,true", lang_strings("add_project_site"));
        $block2->paletteScript(5, "remove_projectsite", "../phases/viewphase.php?removeToSite=true&phase=$phase&action=publish", "false,true,true", lang_strings("remove_project_site"));
    } 
} 

$block2->paletteScript(6, "info", "../tasks/viewtask.php?", "false,true,false", lang_strings("view"));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteScript(7, "edit", "../tasks/edittask.php?project=$project&phase=" . $phaseDetail->pha_order_num[0] . "", "false,true,false", lang_strings("edit"));
    $block2->paletteScript(8, "timelog", "../tasks/addtasktime.php?project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,true,false", lang_strings("loghours"));
}

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block2->paletteScript(9, "dependency", "../tasks/addpredecessor.php?project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,true,false", lang_strings("add_predecessor"));
    $block2->paletteScript(10, "unlink", "../tasks/deletedependencies.php?project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,true,false", lang_strings("delete_dependencies"));
    $block2->paletteScript(11, "indentation", "../tasks/indentation.php?project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,true,false", lang_strings("indentation"));
    $block2->paletteScript(12, "unindentation", "../tasks/unindentation.php?project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,true,false", lang_strings("unindentation"));
    $block2->paletteScript(13, "add_taskgroup", "../tasks/edittask.php?action=taskgroup&project=$project&phase=" . $phaseDetail->pha_order_num[0], "false,false,true", lang_strings("add_taskgroup"));
} 

$block2->closePaletteScript($comptListTasks, $listTasks->tas_id);

if ($fileManagement == "true") {
    $block3 = new block();
    $block3->form = "tdC";
    $block3->openForm("../phases/viewphase.php?id=$id#" . $block3->form . "Anchor");
    $block3->headingToggle(lang_strings("linked_content"));
    $block3->openPaletteIcon();

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block3->paletteIcon(0, "add", lang_strings("add"));
        $block3->paletteIcon(1, "remove", lang_strings("delete"));

        if ($sitePublish == "true") {
            $block3->paletteIcon(2, "add_projectsite", lang_strings("add_project_site"));
            $block3->paletteIcon(3, "remove_projectsite", lang_strings("remove_project_site"));
        } 
    } 

    $block3->paletteIcon(4, "info", lang_strings("view"));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block3->paletteIcon(5, "edit", lang_strings("edit"));
    } 

    $block3->closePaletteIcon();
    $block3->sorting("files", $sortingUser->sor_files[0], "fil.name ASC", $sortingFields = array(0 => "fil.extension", 1 => "fil.name", 2 => "fil.task", 3 => "fil.date", 4 => "fil.status", 5 => "fil.published"));
    $tmpquery = "WHERE fil.project = '" . $projectDetail->pro_id[0] . "' AND fil.phase = '" . $phaseDetail->pha_id[0] . "' AND fil.vc_parent = '0' ORDER BY $block3->sortingValue";
    $listFiles = new request();
    $listFiles->openFiles($tmpquery);
    $comptListFiles = count($listFiles->fil_id);

    if ($comptListFiles != "0") {
        $block3->openResults();
        $block3->labels($labels = array(0 => lang_strings("type"), 1 => lang_strings("name"), 2 => lang_strings("task"), 3 => lang_strings("date"), 4 => lang_strings("approval_tracking"), 5 => lang_strings("published")), "true");
        require_once("../includes/files_types.php");

        for ($i = 0;$i < $comptListFiles;$i++) {
            $existFile = "false";
            $idStatus = $listFiles->fil_status[$i];
            $idPublish = $listFiles->fil_published[$i];
            $type = file_info_type($listFiles->fil_extension[$i]);

            if ($listFiles->fil_task[$i] != '0') {
                if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_task[$i] . '/' . $listFiles->fil_name[$i])) {
                    $existFile = 'true';
                }
            } else {
                if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_name[$i])) {
                    $existFile = 'true';
                }
            }

            $block3->openRow();
            $block3->checkboxRow($listFiles->fil_id[$i]);

            if ($existFile == "true") {
                $block3->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $type, icone));
            } else {
                $block3->cellRow("&nbsp;");
            } 

            if ($existFile == "true") {
                $block3->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $listFiles->fil_name[$i], in));
            } else {
                $block3->cellRow(lang_strings("missing_file") . " (" . $listFiles->fil_name[$i] . ")");
            } 

            if ($listFiles->fil_task[$i] != '0') {
                $block3->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listFiles->fil_task[$i], $listFiles->fil_tas_name[$i], in));
            } else {
                $block3->cellRow('&nbsp;');
            }

            $block3->cellRow($listFiles->fil_date[$i]);
            $block3->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $statusFile[$idStatus], in));

            if ($sitePublish == "true") {
                $block3->cellRow($statusPublish[$idPublish]);
            } 

            $block3->closeRow();
        } 

        $block3->closeResults();
    } else {
        $block3->noresults();
    } 

    $block3->closeToggle();
    $block3->closeFormResults();
    $block3->openPaletteScript();

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block3->paletteScript(0, "add", "../linkedcontent/addfile.php?project=" . $projectDetail->pro_id[0] . "&phase=" . $phaseDetail->pha_id[0] . "", "true,false,false", lang_strings("add"));
        $block3->paletteScript(1, "remove", "../linkedcontent/deletefiles.php?project=" . $projectDetail->pro_id[0] . "&phase=" . $phaseDetail->pha_id[0] . "&sendto=phasedetail", "false,true,true", lang_strings("delete"));

        if ($sitePublish == "true") {
            $block3->paletteScript(2, "add_projectsite", "../phases/viewphase.php?addToSiteFile=true&phase=" . $phaseDetail->pha_id[0] . "&action=publish", "false,true,true", lang_strings("add_project_site"));
            $block3->paletteScript(3, "remove_projectsite", "../phases/viewphase.php?removeToSiteFile=true&phase=" . $phaseDetail->pha_id[0] . "&action=publish", "false,true,true", lang_strings("remove_project_site"));
        } 
    } 

    $block3->paletteScript(4, "info", "../linkedcontent/viewfile.php?", "false,true,false", lang_strings("view"));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block3->paletteScript(5, "edit", "../linkedcontent/viewfile.php?edit=true", "false,true,false", lang_strings("edit"));
    } 

    $block3->closePaletteScript($comptListFiles, $listFiles->fil_id);
} 

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
