<?php // $Revision: 1.16 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: updateuser.php,v 1.16 2006/06/30 15:36:38 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.udUForm.fn.focus();\"";
$tmpquery = "WHERE mem.id = '$idSession'";
$userPrefs = new request();
$userPrefs->openMembers($tmpquery);
$comptUserPrefs = count($userPrefs->mem_id);

if ($comptUserPrefs == "0") {
    header("Location: ../users/listusers.php?msg=blankUser");
    exit;
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];

    if ($action == "update") {
        if ($fn == '') {
            $error = lang_strings("blank_fields");
            $bodyCommand = "onLoad=\"document.udUForm.fn.focus();\"";
            $fn_highlight = true;
        } else if ($em != '' && !ValidateMail($em)) {
            $error = lang_strings("invalid_email");
            $bodyCommand = "onLoad=\"document.udUForm.em.focus();\"";
            $em_highlight = true;
        } else {
            if (($logout_time < "30" && $logout_time != "0") || !is_numeric($logout_time)) {
                $logout_time = "30";
            }

            $tmpquery = "UPDATE " . $tableCollab["members"] . " SET name='$fn',title='$tit',email_work='$em',phone_work='$wp',phone_home='$hp',mobile='$mp',fax='$fax',logout_time='$logout_time',timezone='$tz',last_page='$start_page',theme='$theme',layout='$layout' WHERE id = '$idSession'";
            connectSql($tmpquery);
            $logouttimeSession = $logout_time;
            $timezoneSession = $tz;
            $dateunixSession = date("U");
            $nameSession = $fn; 
            // save to the session
            $_SESSION['logouttimeSession'] = $logouttimeSession;
            $_SESSION['timezoneSession'] = $timezoneSession;
            $_SESSION['dateunixSession'] = $dateunixSession;
            $_SESSION['nameSession'] = $nameSession;
            $_SESSION['themeSession'] = $theme;
            $_SESSION['layoutSession'] = $layout;

            // if mantis bug tracker enabled
            if ($enableMantis == "true") {
                // Call mantis function for user profile changes..!!!
                require_once ("../mantis/user_profile.php");
            }

            header("Location: ../preferences/updateuser.php?msg=update");
            exit;
        }
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../preferences/updateuser.php?", lang_strings("preferences"), in));

if ($notifications == "true") {
    $blockPage->itemBreadcrumbs(lang_strings("user_profile") . "&nbsp; | &nbsp;" . $blockPage->buildLink("../preferences/updatepassword.php?", lang_strings("change_password"), in) . "&nbsp; | &nbsp;" . $blockPage->buildLink("../preferences/updatenotifications.php?", lang_strings("notifications"), in) . "&nbsp; | &nbsp;" . $blockPage->buildLink("../preferences/resetsortings.php?", lang_strings("reset_sortings"), in));
} else {
    $blockPage->itemBreadcrumbs(lang_strings("user_profile") . "&nbsp; | &nbsp;" . $blockPage->buildLink("../preferences/updatepassword.php?", lang_strings("change_password"), in) . "&nbsp; | &nbsp;" . $blockPage->buildLink("../preferences/resetsortings.php?", lang_strings("reset_sortings"), in));
}

$blockPage->closeBreadcrumbs();

if (isset($_GET['msg'])) {
    $msg = $_GET['msg'];
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "udU";
$block1->openForm("../preferences/updateuser.php?#" . $block1->form . "Anchor");
echo "<input type=\"hidden\" name=\"action\" value=\"update\">";

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
} else {
    $fn = $userPrefs->mem_name[0];
    $tit = $userPrefs->mem_title[0];
    $em = $userPrefs->mem_email_work[0];
    $wp = $userPrefs->mem_phone_work[0];
    $hp = $userPrefs->mem_phone_home[0];
    $mp = $userPrefs->mem_mobile[0];
    $fax = $userPrefs->mem_fax[0];
    $logout_time = $userPrefs->mem_logout_time[0];
    $tz = $userPrefs->mem_timezone[0];
    $start_page = $userPrefs->mem_last_page[0];
    $theme = $userPrefs->mem_theme[0];
    $layout = $userPrefs->mem_layout[0];
}

$block1->heading(lang_strings("user_profile"));
$block1->openPaletteIcon();
$block1->paletteIcon(0, "export", lang_strings("export"));
$block1->closePaletteIcon();
$block1->openContent();
$block1->contentTitle(lang_strings("edit_user_account"));

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages();
    $block1->openContent();
}

if ($fn_highlight) {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text_highlight\" type=\"text\" name=\"fn\" value=\"$fn\">");
} else {
    $block1->contentRow("* " . lang_strings("full_name"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"fn\" value=\"$fn\">");
}

$block1->contentRow(lang_strings("title"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"tit\" value=\"$tit\">");

if ($em_highlight) {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text_highlight\" type=\"text\" name=\"em\" value=\"$em\">");
} else {
    $block1->contentRow(lang_strings("email"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"em\" value=\"$em\">");
}

$block1->contentRow(lang_strings("work_phone"), "<input size=\"14\" class=\"input_text\" type=\"text\" name=\"wp\" value=\"$wp\">");
$block1->contentRow(lang_strings("home_phone"), "<input size=\"14\" class=\"input_text\" type=\"text\" name=\"hp\" value=\"$hp\">");
$block1->contentRow(lang_strings("mobile_phone"), "<input size=\"14\" class=\"input_text\" type=\"text\" name=\"mp\" value=\"$mp\">");
$block1->contentRow(lang_strings("fax"), "<input size=\"14\" class=\"input_text\" type=\"text\" name=\"fax\" value=\"$fax\">");

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->openContent();
}

// build the select menu
$logoutMenu = '<select name="logout_time" id="logout_time">';

foreach ($autoLogoutOptions as $key => $value) {
    if ($logout_time == $key) {
        $logoutMenu .= '<option value="' . $key . '" selected>' . $value . '</option>';
    } else {
        $logoutMenu .= '<option value="' . $key . '">' . $value . '</option>';
    }
}

$logoutMenu .= '</select>';
$block1->contentRow(lang_strings('logout_time') . $blockPage->printHelp('user_autologout'),$logoutMenu);

if ($gmtTimezone == "true") {
    $selectTimezone = "<select name=\"tz\">";

    for ($i = -12;$i <= + 12;$i++) {
        if ($tz == $i) {
            $selectTimezone .= "<option value=\"$i\" selected>$i</option>";
        } else {
            $selectTimezone .= "<option value=\"$i\">$i</option>";
        }
    }

    $selectTimezone .= "</select>";
    $block1->contentRow(lang_strings("user_timezone") . $blockPage->printHelp("user_timezone"), $selectTimezone);
}

// let the user select the prefered startpage
$startPageMenu = '<select name="start_page" id="start_page">';

// if admin user then add the admin page to array
if ($userPrefs->mem_profil[0] == PF_ADMINISTRATOR || $userPrefs->mem_profil[0] == PF_HR_MANAGER) {
    $startPageOptions = array_merge(array('administration/admin.php' => 'Administration page'), $startPageOptions);
}

// build the select list
foreach ($startPageOptions as $key => $value) {
    if ($start_page == $key) {
        $startPageMenu .= '<option value="' . $key . '" selected>' . $value . '</option>';
    } else {
        $startPageMenu .= '<option value="' . $key . '">' . $value . '</option>';
    }
}

$startPageMenu .= '</select>';
$block1->contentRow(lang_strings('start_page'), $startPageMenu);
// let the user select the prefered theme
$themeMenu = '<select name="theme" id="theme">';
// build the select list
$themeDir = opendir('../themes');

while ($themeFile = readdir($themeDir)) {
    if ($themeFile != 'index.php' && $themeFile != '..' && $themeFile != '.' && $themeFile != 'CVS') {
        if ($themeFile == $theme) {
            $themeMenu .= '<option value="' . $themeFile . '" selected>' . $themeFile . '</option>';
        } else {
            $themeMenu .= '<option value="' . $themeFile . '">' . $themeFile . '</option>';
        }
    }
}

closedir($themeDir);
$themeMenu .= '</select>';
$block1->contentRow(lang_strings('theme'), $themeMenu);
// let the user select the prefered layout
$layoutMenu = '<select name="layout" id="layout">';

// build the select list
if ($layout == LT_LONGLIST) {
    $layoutLonglistSelected = 'selected';
} else {
    $layoutTwopagesSelected = 'selected';
}

$layoutMenu .= "<option value=\"" . LT_LONGLIST . "\" $layoutLonglistSelected>longlist</option>";
$layoutMenu .= "<option value=\"" . LT_TWOPAGES . "\" $layoutTwopagesSelected>twopages</option>";
$layoutMenu .= '</select>';
$block1->contentRow(lang_strings('layout'), $layoutMenu);

if ($userPrefs->mem_profil[0] == PF_ADMINISTRATOR) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("administrator_permissions"));
} else if ($userPrefs->mem_profil[0] == PF_PROJECT_MANAGER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("project_manager_permissions"));
} else if ($userPrefs->mem_profil[0] == PF_USER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("user_permissions"));
} else if ($userPrefs->mem_profil[0] == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("project_manager_administrator_permissions"));
} else if ($userPrefs->mem_profil[0] == PF_HR_MANAGER) {
    $block1->contentRow(lang_strings("permissions"), lang_strings("hr_manager_permissions"));
}

$block1->contentRow(lang_strings("account_created"), createDate($userPrefs->mem_created[0], $timezoneSession));
$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

$block1->closeForm();
$block1->openPaletteScript();
$block1->paletteScript(0, "export", "../users/exportuser.php?id=$idSession", "true,true,true", lang_strings("export"));
$block1->closePaletteScript("", "");
require_once("../themes/" . THEME . "/footer.php");

?>
