<?php // $Revision: 1.30.2.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewproject.php,v 1.30.2.5 2007/11/24 13:45:38 luiswang Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

$taskgroupList = array();

function add_taskgroup_to_changelist($parent, $level)
{
    global $taskgroupList;

    if (array_key_exists($parent, $taskgroupList))
        return;

    $taskgroupList[$parent] = $level;

    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    if ($parentDetail->tas_parent_task[0] != 0) {
        add_taskgroup_to_changelist($parentDetail->tas_parent_task[0], $parentDetail->tas_level[0]);
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }
            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }
            $newCompletion += $completion;
            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }
            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }
            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;
            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }
            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;
            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }
            $newPublished = $published;
        }
    }
    $newCompletion = substr($newCompletion / $newSubtask, 0, 1);

    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='" . TG_YES . "', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
}

$id = $_REQUEST['id'];
$msg = $_REQUEST['msg'];
$action = $_REQUEST['action'];
$project = $_REQUEST['project'];
$addToSiteTask = $_REQUEST['addToSiteTask'];
$removeToSiteTask = $_REQUEST['removeToSiteTask'];
$closeTopic = $_REQUEST['closeTopic'];
$addToSiteTopic = $_REQUEST['addToSiteTopic'];
$removeToSiteTopic = $_REQUEST['removeToSiteTopic'];
$addToSiteTeam = $_REQUEST['addToSiteTeam'];
$removeToSiteTeam = $_REQUEST['removeToSiteTeam'];
$addToSiteFile = $_REQUEST['addToSiteFile'];
$removeToSiteFile = $_REQUEST['removeToSiteFile'];
$addToSiteNote = $_REQUEST['addToSiteNote'];
$removeToSiteNote = $_REQUEST['removeToSiteNote'];

if ($action == 'publish') {
    $id1 = str_replace('**', ',', $id);
    $closeTopic = $_GET['closeTopic'];
    if ($closeTopic == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET status='0' WHERE id IN($id)";
            $pieces = explode(',', $id);
            $num = count($pieces);
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET status='0' WHERE id = '$id'";
            $num = 1;
        } 
        connectSql($tmpquery1);
        $msg = 'closeTopic';
        $id = $project;
    } 

    $addToSiteTask = $_GET['addToSiteTask'];
    if ($addToSiteTask == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['tasks'] . " SET published='" . PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['tasks'] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        } 
        connectSql($tmpquery1);
        $msg = 'addToSite';
        $id = $project;
    } 

    $removeToSiteTask = $_GET['removeToSiteTask'];
    if ($removeToSiteTask == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['tasks'] . " SET published='" . PB_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['tasks'] . " SET published='" . PB_NO . "' WHERE id = '$id'";
        }
        connectSql($tmpquery1);
        $msg = 'removeToSite';
        $id = $project;
    } 

    if ($addToSiteTask == 'true' || $removeToSiteTask == 'true') {
        $criticalSection = enter_critical_section();

        if ($criticalSection == -1) {
            header("Location: ../tasks/viewproject.php?id=$id&msg=$msg");
            exit;
        }

        $tmpquery = "WHERE tas.id IN ($id1)";
        $listTasks = new request();
        $listTasks->openTasks($tmpquery);
        $comptListTasks = count($listTasks->tas_id);

        for ($i=0; $i<$comptListTasks; $i++) {
            add_taskgroup_to_changelist($listTasks->tas_parent_task[$i], $listTasks->tas_level[$i]);
        }

        if (count($taskgroupList) > 0) {
            arsort($taskgroupList, SORT_NUMERIC);
            reset($taskgroupList);

            while (list($parentTask, $level) = each($taskgroupList)) {
                change_parent_task($parentTask);
            }
        }

        leave_critical_section($criticalSection);
    }

    $addToSiteTopic = $_GET['addToSiteTopic'];
    if ($addToSiteTopic == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PB_YES . "' WHERE id = '$id'";
        }
        connectSql($tmpquery1);
        $msg = 'addToSite';
        $id = $project;
    } 

    $removeToSiteTopic = $_GET['removeToSiteTopic'];
    if ($removeToSiteTopic == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PS_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['topics'] . " SET published='" . PS_NO . "' WHERE id = '$id'";
        }
        connectSql($tmpquery1);
        $msg = 'removeToSite';
        $id = $project;
    } 

    $addToSiteTeam = $_GET['addToSiteTeam'];
    if ($addToSiteTeam == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['teams'] . " SET published='" . PB_YES . "' WHERE member IN($id) AND project = '$project'";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['teams'] . " SET published='" . PB_YES . "' WHERE member = '$id' AND project = '$project'";
        } 
        connectSql($tmpquery1);
        $msg = 'addToSite';
        $id = $project;
    } 

    $removeToSiteTeam = $_GET['removeToSiteTeam'];
    if ($removeToSiteTeam == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['teams'] . " SET published='" . PS_NO . "' WHERE member IN($id) AND project = '$project'";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['teams'] . " SET published='" . PS_NO . "' WHERE member = '$id' AND project = '$project'";
        }
        connectSql($tmpquery1);
        $msg = 'removeToSite';
        $id = $project;
    } 

    $addToSiteFile = $_GET['addToSiteFile'];
    if ($addToSiteFile == 'true') {
        $id = str_replace('**', ',', $id);
        $tmpquery1 = 'UPDATE ' . $tableCollab['files'] . " SET published='" . PB_YES . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql($tmpquery1);
        $msg = 'addToSite';
        $id = $project;
    } 

    $removeToSiteFile = $_GET['removeToSiteFile'];
    if ($removeToSiteFile == 'true') {
        $id = str_replace('**', ',', $id);
        $tmpquery1 = 'UPDATE ' . $tableCollab['files'] . " SET published='" . PB_NO . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql($tmpquery1);
        $msg = 'removeToSite';
        $id = $project;
    } 

    $addToSiteNote = $_GET['addToSiteNote'];
    if ($addToSiteNote == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['notes'] . " SET published='". PB_YES . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['notes'] . " SET published='". PB_YES . "' WHERE id = '$id'";
        } 
        connectSql($tmpquery1);
        $msg = 'addToSite';
        $id = $project;
    } 

    $removeToSiteNote = $_GET['removeToSiteNote'];
    if ($removeToSiteNote == 'true') {
        $multi = strstr($id, '**');
        if ($multi != '') {
            $id = str_replace('**', ',', $id);
            $tmpquery1 = 'UPDATE ' . $tableCollab['notes'] . " SET published='" . PS_NO . "' WHERE id IN($id)";
        } else {
            $tmpquery1 = 'UPDATE ' . $tableCollab['notes'] . " SET published='" . PS_NO . "' WHERE id = '$id'";
        } 
        connectSql($tmpquery1);
        $msg = 'removeToSite';
        $id = $project;
    } 
} 

if ($msg == 'demo') {
    $id = $project;
} 

$tmpquery = "WHERE pro.id = '$id'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);
$comptProjectDetail = count($projectDetail->pro_id);

if ($comptProjectDetail == '0') {
    header('Location: ../projects/listprojects.php?msg=blankProject');
    exit;
} 

$tmpquery = "WHERE tas.project = '$id' AND tas.milestone <> '" . MS_YES . "' AND tas.level='0' ORDER BY tas.name";
$listTasksTime = new request();
$listTasksTime->openTasks($tmpquery);
$comptListTasksTime = count($listTasksTime->tas_id);

if ($comptListTasksTime != '0') {
    for ($i = 0; $i < $comptListTasksTime; $i++) {
        $estimated_time = $estimated_time + $listTasksTime->tas_estimated_time[$i];
    } 
}
// get Project Actual Time
$projActualTime = new request();
$proj_time = $projActualTime->getProjectTime($id);
// Project Scope Creep
$diff_time = $proj_time - $estimated_time ;
if ($diff_time > 0) {
    $diff_time = '<b>+' . $diff_time . '</b>';
} 

$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$id' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);
if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
} 

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

if ($enableHelpSupport == 'true' && ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    $tmpquery = "WHERE sr.status = '" . RQ_NEW . "' AND sr.project = '" . $projectDetail->pro_id[0] . "'";
    $listNewRequests = new request();
    $listNewRequests->openSupportRequests($tmpquery);
    $comptListNewRequests = count($listNewRequests->sr_id);

    $tmpquery = "WHERE sr.status = '" . RQ_OPEN . "' AND sr.project = '" . $projectDetail->pro_id[0] . "'";
    $listOpenRequests = new request();
    $listOpenRequests->openSupportRequests($tmpquery);
    $comptListOpenRequests = count($listOpenRequests->sr_id);

    $tmpquery = "WHERE sr.status = '" . RQ_COMPLETE . "' AND sr.project = '" . $projectDetail->pro_id[0] . "'";
    $listCompleteRequests = new request();
    $listCompleteRequests->openSupportRequests($tmpquery);
    $comptListCompleteRequests = count($listCompleteRequests->sr_id);
} 

require_once('../themes/' . THEME . '/header.php');

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../projects/listprojects.php', lang_strings('projects'), in));
$blockPage->itemBreadcrumbs($projectDetail->pro_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != '') {
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
} 

$blockPage->bornesNumber = '6';

$idStatus = $projectDetail->pro_status[0];
$idPriority = $projectDetail->pro_priority[0];

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesLess");
}

$block1 = new block();
$block1->form = 'pdD';
$block1->openForm('../projects/listprojects.php#' . $block1->form . 'Anchor');
$block1->headingToggle(lang_strings('project') . ' : ' . $projectDetail->pro_name[0]);
$block1->openPaletteIcon();

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteIcon(0, 'remove', lang_strings('delete'));
    $block1->paletteIcon(1, 'copy', lang_strings('copy'));
    $block1->paletteIcon(2, 'export', lang_strings('export'));
    $block1->paletteIcon(3, 'edit', lang_strings('edit'));
} 

if ($enable_cvs == 'true') {
    $block1->paletteIcon(4, 'cvs', lang_strings('browse_cvs'));
} 

// if mantis bug tracker enabled
if ($enableMantis == 'true') {
    $block1->paletteIcon(5, 'bug', lang_strings('bug'));
} 

$block1->closePaletteIcon();
$block1->openContent();
$block1->contentTitle(lang_strings('details'));

$block1->contentRow(lang_strings('name'), $projectDetail->pro_name[0]);
$block1->contentRow(lang_strings('project_id'), $projectDetail->pro_id[0]);
$block1->contentRow(lang_strings('priority'), $priority[$idPriority]);
// List open phases and link to phase details
if ($projectDetail->pro_phase_set[0] != '0') {
    $tmpquery = "WHERE pha.project_id = '$id' AND status = '" . PS_OPEN . "' ORDER BY pha.order_num";
    $currentPhase = new request();
    $currentPhase->openPhases($tmpquery);
    $comptCurrentPhase = count($currentPhase->pha_id);
    if ($comptCurrentPhase == 0) {
        $block1->contentRow(lang_strings('current_phase'), lang_strings('no_current_phase'));
    } else {
        for ($i = 0; $i < $comptCurrentPhase; $i++) {
            if ($i != $comptCurrentPhase) {
                $pnum = $i + 1;
                $phasesList .= "$pnum.<a href=\"../phases/viewphase.php?id=" . $currentPhase->pha_id[$i] . '">' . $currentPhase->pha_name[$i] . '</a>  ';
            } 
        } 
        $block1->contentRow(lang_strings('current_phase'), $phasesList);
    } 
} else {
    $block1->contentRow(lang_strings('phase_enabled'), lang_strings('false'));
} 

$block1->contentRow(lang_strings('description'), nl2br(html_entity_decode($projectDetail->pro_description[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings('url_dev'), $blockPage->buildLink($projectDetail->pro_url_dev[0], $projectDetail->pro_url_dev[0], out));
$block1->contentRow(lang_strings('url_prod'), $blockPage->buildLink($projectDetail->pro_url_prod[0], $projectDetail->pro_url_prod[0], out));
$block1->contentRow(lang_strings('owner'), $blockPage->buildLink('../users/viewuser.php?id=' . $projectDetail->pro_mem_id[0], $projectDetail->pro_mem_name[0], in) . ' (' . $blockPage->buildLink($projectDetail->pro_mem_email_work[0], $projectDetail->pro_mem_login[0], mail) . ')');
$block1->contentRow(lang_strings('created'), createDate($projectDetail->pro_created[0], $timezoneSession));
$block1->contentRow(lang_strings('modified'), createDate($projectDetail->pro_modified[0], $timezoneSession));
if ($projectDetail->pro_org_id[0] == '1') {
    $block1->contentRow(lang_strings('organization'), lang_strings('none'));
} else {
    $block1->contentRow(lang_strings('organization'), $blockPage->buildLink('../clients/viewclient.php?id=' . $projectDetail->pro_org_id[0], $projectDetail->pro_org_name[0], in));
} 

$block1->contentRow(lang_strings('status'), $status[$idStatus]);
$block1->contentRow(lang_strings('type'), $projectType[$projectDetail->pro_type[0]]);

if ($fileManagement == 'true') {
    $block1->contentRow(lang_strings('max_upload') . $blockPage->printHelp('max_file_size'), convertSize($projectDetail->pro_upload_max[0]));
    $block1->contentRow(lang_strings('project_folder_size') . $blockPage->printHelp('project_disk_space'), convertSize(folder_info_size("files/" . $projectDetail->pro_id[0] . "/")));
} 
$block1->contentRow(lang_strings('estimated_time'), $estimated_time . ' ' . lang_strings('hours'));
$block1->contentRow(lang_strings('actual_time'), $proj_time . ' ' . lang_strings('hours'));
$block1->contentRow(lang_strings('scope_creep') . $blockPage->printHelp('project_scope_creep'), $diff_time . ' ' . lang_strings('hours'));
if ($sitePublish == 'true') {
    if ($projectDetail->pro_published[0] == PS_NO) {
        $block1->contentRow(lang_strings('project_site'), '&lt;' . $blockPage->buildLink('../projects/addprojectsite.php?id=' . $id, lang_strings('create') . '...', in) . '&gt;');
    } else {
        $block1->contentRow(lang_strings('project_site'), '&lt;' . $blockPage->buildLink('../projects/viewprojectsite.php?id=' . $id, lang_strings('details'), in) . '&gt;');
    } 
}

if ($enableHelpSupport == 'true' && ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) && $supportType == 'team') {
    $block1->contentTitle(lang_strings('support'));
    $block1->contentRow(lang_strings('new_requests'), $comptListNewRequests . ' - ' . $blockPage->buildLink('../support/support.php?action=new&amp;project=' . $projectDetail->pro_id[0], lang_strings('manage_new_requests'), in));
    $block1->contentRow(lang_strings('open_requests'), $comptListOpenRequests . ' - ' . $blockPage->buildLink('../support/support.php?action=open&amp;project=' . $projectDetail->pro_id[0], lang_strings('manage_open_requests'), in));
    $block1->contentRow(lang_strings('closed_requests'), $comptListCompleteRequests . ' - ' . $blockPage->buildLink('../support/support.php?action=complete&amp;project=' . $projectDetail->pro_id[0], lang_strings('manage_closed_requests'), in));
} 

$block1->closeContent();
$block1->closeToggle();
$block1->closeForm();
$block1->openPaletteScript();

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteScript(0, 'remove', '../projects/deleteproject.php?id=' . $id, 'true,true,false', lang_strings('delete'));
    $block1->paletteScript(1, 'copy', '../projects/editproject.php?id=' . $projectDetail->pro_id[0] . '&cpy=true', 'true,true,false', lang_strings('copy'));
    $block1->paletteScript(2, 'export', '../projects/exportproject.php?languageSession=' . $languageSession . '&type=project&id=' . $projectDetail->pro_id[0], 'true,true,false', lang_strings('export'));
    $block1->paletteScript(3, 'edit', '../projects/editproject.php?id=' . $projectDetail->pro_id[0] . '&cpy=false', 'true,true,false', lang_strings('edit'));
}

if ($enable_cvs == 'true') {
    $block1->paletteScript(4, 'cvs', '../browsecvs/browsecvs.php?id=' . $id, 'true,true,false', lang_strings('browse_cvs'));
}

if ($enableMantis == 'true') {
    $block1->paletteScript(5, 'bug', $pathMantis . 'login.php?id=' . $projectDetail->pro_id[0] . "url=http://{$HTTP_HOST}{$REQUEST_URI}&f_username=$loginSession&f_password=$passwordSession", 'true,true,false', lang_strings('bug'));
}

$block1->closePaletteScript('', '');

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

// Phase or Task list block
if ($projectDetail->pro_phase_set[0] != '0') {
    $block7 = new block();
    $block7->form = 'wbSe';
    $block7->openForm('../projects/viewproject.php?id=' . $id . '&amp;#' . $block7->form . 'Anchor');
    $block7->headingToggle(lang_strings('phases'));
    $block7->openPaletteIcon();
    $block7->paletteIcon(0, 'info', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block7->paletteIcon(1, 'edit', lang_strings('edit'));
    }

    $block7->closePaletteIcon();
    $block7->sorting('phases', $sortingUser->sor_phases[0], 'pha.order_num ASC', $sortingFields = array(0 => 'pha.order_num', 1 => 'pha.name', 2 => 'none', 3 => 'none', 4 => 'none', 5 => 'pha.status', 6 => 'pha.date_start', 7 => 'pha.date_end'));
    $tmpquery = "WHERE pha.project_id = '$id' ORDER BY " . $block7->sortingValue;
    $listPhases = new request();
    $listPhases->openPhases2($tmpquery);
    $comptListPhases = count($listPhases->pha_id);

    if ($comptListPhases != '0') {
        $block7->openResults();
        $block7->labels($labels = array(0 => lang_strings('order'), 1 => lang_strings('name'), 2 => lang_strings('total_tasks'), 3 => lang_strings('uncomplete_tasks'), 4 => lang_strings('milestone'), 5 => lang_strings('status'), 6 => lang_strings('date_start'), 7 => lang_strings('date_end')), 'false');

        for ($i = 0;$i < $comptListPhases;$i++) {
            if ($listPhases->pha_status[$i] == PS_NOT_STARTED) {
                $phaseStart = lang_strings("none");
                $phaseEnd = lang_strings("none");
            } else if ($listPhases->pha_status[$i] == PS_COMPLETE) {
                $phaseStart = $listPhases->pha_date_start[$i];
                $phaseEnd = $listPhases->pha_date_end[$i];
            } else {
                $phaseStart = $listPhases->pha_date_start[$i];
                $phaseEnd = lang_strings("none");
            }

            $block7->openRow();
            $block7->checkboxRow($listPhases->pha_id[$i]);
            $block7->cellRow($listPhases->pha_order_num[$i]);
            $block7->cellRow($blockPage->buildLink('../phases/viewphase.php?id=' . $listPhases->pha_id[$i], $listPhases->pha_name[$i], in));
            $block7->cellRow($listPhases->pha_total_tasks[$i]);
            $block7->cellRow($listPhases->pha_uncompleted_tasks[$i]);
            $block7->cellRow($listPhases->pha_milestones[$i]);
            $block7->cellRow('<img src="../themes/' . THEME . '/gfx_status/phase_' . $listPhases->pha_status[$i] . '.gif" alt="' . $phaseStatus[$listPhases->pha_status[$i]] . '">&nbsp;' . $phaseStatus[$listPhases->pha_status[$i]], '', true);
            $block7->cellRow($phaseStart);
            $block7->cellRow($phaseEnd);
            $block7->closeRow();
        }

        $block7->closeResults();
    } else {
        $block7->noresults();
    }

    $block7->closeToggle();
    $block7->closeFormResults();
    $block7->openPaletteScript();
    $block7->paletteScript(0, 'info', '../phases/viewphase.php', 'false,true,true', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block7->paletteScript(1, 'edit', '../phases/editphase.php', 'false,true,true', lang_strings('edit'));
    } 

    $block7->closePaletteScript($comptListPhases, $listPhases->pha_id);
} else {
    $block2 = new block();

    $block2->form = 'wbTuu';
    $block2->openForm('../projects/viewproject.php?id=' . $projectDetail->pro_id[0] . '#' . $block2->form . 'Anchor');

    $block2->headingToggle(lang_strings('tasks'));

    $block2->openPaletteIcon();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteIcon(0, 'add', lang_strings('add'));
        $block2->paletteIcon(1, 'remove', lang_strings('delete'));
        $block2->paletteIcon(2, 'copy', lang_strings('copy'));
        // $block2->paletteIcon(3,'export',lang_strings('export'));
        if ($sitePublish == 'true') {
            $block2->paletteIcon(4, 'add_projectsite', lang_strings('add_project_site'));
            $block2->paletteIcon(5, 'remove_projectsite', lang_strings('remove_project_site'));
        } 
    } 

    $block2->paletteIcon(6, 'info', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteIcon(7, 'edit', lang_strings('edit'));
        $block2->paletteIcon(8, 'timelog', lang_strings('loghours'));
    }

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteIcon(9, 'dependency', lang_strings('add_predecessor'));
        $block2->paletteIcon(10, 'unlink', lang_strings('delete_dependencies'));
        $block2->paletteIcon(11, 'indentation', lang_strings('indentation'));
        $block2->paletteIcon(12, 'unindentation', lang_strings('unindentation'));
        $block2->paletteIcon(13, 'add_taskgroup', lang_strings('add_taskgroup'));
    }

    $block2->closePaletteIcon();
    $block2->borne = $blockPage->returnBorne('1');
    $block2->rowsLimit = '5';
    $block2->sorting('project_tasks', $sortingUser->sor_project_tasks[0], 'tas.name ASC', $sortingFields = array(0 => 'tas.id', 1 => 'tas.name', 2 => 'tas.priority', 3 => 'tas.status', 4 => 'tas.completion', 5 => 'tas.due_date', 6 => 'tas.assigned_to', 7 => 'tas.published'));
    $tmpquery = "WHERE tas.project = '$id' AND tas.level='0' ORDER BY $block2->sortingValue";
    $listTasks = new request();
    $listTasks->openTasks($tmpquery, $block2->borne, $block2->rowsLimit);
    $comptListTasks = count($listTasks->tas_id);
    $block2->recordsTotal = compt($initrequest['tasks'] . ' ' . $tmpquery);

    if ($comptListTasks != '0') {
        $block2->openResults();
        $block2->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings('name'), 2 => lang_strings('priority'), 3 => lang_strings('status'), 4 => lang_strings('completion'), 5 => lang_strings('due_date'), 6 => lang_strings('assigned_to'), 7 => lang_strings('published')), 'true');

        for ($i = 0; $i < $comptListTasks; $i++) {
            if ($listTasks->tas_due_date[$i] == '') {
                $listTasks->tas_due_date[$i] = lang_strings('none');
            }

            $tmpquery = "SELECT id FROM " . $tableCollab['tasks'] . " WHERE parent_task='" . $listTasks->tas_id[$i] . "'";
            $comptSubTasks = compt($tmpquery);

            if ($comptSubTasks > 0) {
                $namePostfix = "&nbsp;&nbsp;($comptSubTasks&nbsp;" . lang_strings('subtasks') . ")";
            } else {
                $namePostfix = '';
            }

            $idStatus = $listTasks->tas_status[$i];
            $idPriority = $listTasks->tas_priority[$i];
            $idPublish = $listTasks->tas_published[$i];
            $complValue = ($listTasks->tas_completion[$i] > 0) ? $listTasks->tas_completion[$i] . '0 %': $listTasks->tas_completion[$i] . ' %';
            $block2->openRow();
            $block2->checkboxRow($listTasks->tas_id[$i]);
            $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_id[$i], in));

            if ($idStatus == ST_COMPLETED) {
                $block2->cellRow($blockPage->buildLink('../tasks/viewtask.php?id=' . $listTasks->tas_id[$i], $listTasks->tas_name[$i] . $namePostfix, instrike));
            } else {
                $block2->cellRow($blockPage->buildLink('../tasks/viewtask.php?id=' . $listTasks->tas_id[$i], $listTasks->tas_name[$i] . $namePostfix, in));
            }

            if ($listTasks->tas_milestone[$i] == MS_YES) {
                $block2->cellRow("");
                $block2->cellRow("");
                $block2->cellRow("");
            } else {
                $block2->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
                $block2->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
                $block2->cellRow($complValue);
            }

            if ($listTasks->tas_milestone[$i] == MS_YES) {
                $block2->cellRow($listTasks->tas_due_date[$i]);
            } else if ($listTasks->tas_due_date[$i] <= $date && $listTasks->tas_completion[$i] != '10') {
                $block2->cellRow('<b>' . $listTasks->tas_due_date[$i] . '</b>');
            } else {
                $block2->cellRow($listTasks->tas_due_date[$i]);
            }

            if ($listTasks->tas_start_date[$i] != "--" && $listTasks->tas_due_date[$i] != '--') {
                $gantt = 'true';
            }

            if ($listTasks->tas_milestone[$i] == MS_YES) {
                $block2->cellRow("");
            } else if ($listTasks->tas_assigned_to[$i] == '0') {
                $block2->cellRow(lang_strings('unassigned'));
            } else {
                $tmpquery = " AND res.task='" . $listTasks->tas_id[$i] . "'";
                $resourceUsage = new request();
                $resourceUsage->openTaskHumanResource($tmpquery);
                $comptResourceUsage = count($resourceUsage->res_id);
                $assignedToStrings = "";

                for ($j = 0;$j < $comptResourceUsage;$j++) {
                    if ($j > 0) {
                        $assignedToStrings .= "&nbsp;";
                    }

                    $assignedToStrings .= $blockPage->buildLink($resourceUsage->res_mem_email_work[$j], $resourceUsage->res_mem_login[$j], mail);
                }

                $block2->cellRow($assignedToStrings);
            }

            if ($sitePublish == 'true') {
                $block2->cellRow($statusPublish[$idPublish]);
            }

            $block2->closeRow();
        }

        $block2->closeResults();
        $block2->bornesFooter('1', $blockPage->bornesNumber, '../tasks/listtasks.php?project=' . $id, 'id=' . $id);

        if ($activeJpgraph == 'true' && $gantt == 'true') {
            // show the expanded or compact Gantt Chart
            if ($_GET['base'] == 1) {
                echo "<a href='../projects/viewproject.php?id=" . $projectDetail->pro_id[0] . "'>expand</a><br>";
            } else {
                echo "<a href='../projects/viewproject.php?id=" . $projectDetail->pro_id[0] . "&amp;base=1'>compact</a><br>";
            }

            echo '<img src="../projects/graphtasks.php?project=' . $projectDetail->pro_id[0] . '&amp;base=' . $_GET['base'] . '" alt=""><br>
<span class="listEvenBold">' . $blockPage->buildLink('http://www.aditus.nu/jpgraph/', 'JpGraph', powered) . '</span>';
        }
    } else {
        $block2->noresults();
    }

    $block2->closeToggle();
    $block2->closeFormResults();
    $block2->openPaletteScript();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteScript(0, 'add', '../tasks/edittask.php?project=' . $projectDetail->pro_id[0], 'true,false,false', lang_strings('add'));
        $block2->paletteScript(1, 'remove', '../tasks/deletetasks.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('delete'));
        $block2->paletteScript(2, 'copy', '../tasks/edittask.php?project=' . $projectDetail->pro_id[0] . '&cpy=true', 'false,true,false', lang_strings('copy'));
        // $block2->paletteScript(3,'export','../projects/exportproject.php','false,true,true',lang_strings('export'));
        if ($sitePublish == 'true') {
            $block2->paletteScript(4, 'add_projectsite', '../projects/viewproject.php?addToSiteTask=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
            $block2->paletteScript(5, 'remove_projectsite', '../projects/viewproject.php?removeToSiteTask=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
        }
    }

    $block2->paletteScript(6, 'info', '../tasks/viewtask.php', 'false,true,false', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteScript(7, 'edit', '../tasks/edittask.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('edit'));
        $block2->paletteScript(8, 'timelog', '../tasks/addtasktime.php', 'false,true,false', lang_strings('loghours'));
    }

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block2->paletteScript(9, 'dependency', '../tasks/addpredecessor.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('add_predecessor'));
        $block2->paletteScript(10, 'unlink', '../tasks/deletedependencies.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('delete_dependencies'));
        $block2->paletteScript(11, 'indentation', '../tasks/indentation.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('indentation'));
        $block2->paletteScript(12, 'unindentation', '../tasks/unindentation.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('unindentation'));
        $block2->paletteScript(13, 'add_taskgroup', '../tasks/edittask.php?action=taskgroup&project=' . $projectDetail->pro_id[0], 'false,false,true', lang_strings('add_taskgroup'));
    } 

    $block2->closePaletteScript($comptListTasks, $listTasks->tas_id);
}

$block3 = new block();

$block3->form = 'pdH';
$block3->openForm('../projects/viewproject.php?id=' . $id . '#' . $block3->form . 'Anchor');

$block3->headingToggle(lang_strings('discussions'));

$block3->openPaletteIcon();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block3->paletteIcon(0, 'add', lang_strings('add'));
} 
if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block3->paletteIcon(1, 'remove', lang_strings('delete'));
    $block3->paletteIcon(2, 'lock', lang_strings('close'));
    if ($sitePublish == 'true') {
        $block3->paletteIcon(3, 'add_projectsite', lang_strings('add_project_site'));
        $block3->paletteIcon(4, 'remove_projectsite', lang_strings('remove_project_site'));
    } 
}
$block3->paletteIcon(5, 'info', lang_strings('view'));
$block3->closePaletteIcon();

$block3->borne = $blockPage->returnBorne('2');
$block3->rowsLimit = '5';

$block3->sorting('project_discussions', $sortingUser->sor_project_discussions[0], 'topic.last_post DESC', $sortingFields = array(0 => 'topic.subject', 1 => 'mem.login', 2 => 'topic.posts', 3 => 'topic.last_post', 4 => 'topic.status', 5 => 'topic.published'));

$tmpquery = "WHERE topic.project = '$id' ORDER BY $block3->sortingValue";

$block3->recordsTotal = compt($initrequest['topics'] . ' ' . $tmpquery);

$listTopics = new request();
$listTopics->openTopics($tmpquery, $block3->borne, $block3->rowsLimit);
$comptListTopics = count($listTopics->top_id);

if ($comptListTopics != '0') {
    $block3->openResults();

    $block3->labels($labels = array(0 => lang_strings('topic'), 1 => lang_strings('owner'), 2 => lang_strings('posts'), 3 => lang_strings('last_post'), 4 => lang_strings('status'), 5 => lang_strings('published')), 'true');

    for ($i = 0;$i < $comptListTopics;$i++) {
        $idStatus = $listTopics->top_status[$i];
        $idPublish = $listTopics->top_published[$i];
        $block3->openRow();
        $block3->checkboxRow($listTopics->top_id[$i]);
        $block3->cellRow($blockPage->buildLink('../topics/viewtopic.php?id=' . $listTopics->top_id[$i], $listTopics->top_subject[$i], in));
        $block3->cellRow($blockPage->buildLink($listTopics->top_mem_email_work[$i], $listTopics->top_mem_login[$i], mail));
        $block3->cellRow($listTopics->top_posts[$i]);

        if ($listTopics->top_last_name[$i] == '') {
            $lastName = "";
        } else {
            $lastName = " (".$listTopics->top_last_name[$i].")";
        }

        if ($listTopics->top_last_post[$i] > $lastvisiteSession) {
            $block1->cellRow("<b>" . createDate($listTopics->top_last_post[$i], $timezoneSession) . "$lastName</b>");
        } else {
            $block1->cellRow(createDate($listTopics->top_last_post[$i], $timezoneSession) . $lastName);
        }

        $block3->cellRow($statusTopic[$idStatus]);

        if ($sitePublish == 'true') {
            $block3->cellRow($statusPublish[$idPublish]);
        }

        $block3->closeRow();
    }

    $block3->closeResults();
    $block3->bornesFooter('2', $blockPage->bornesNumber, '../topics/listtopics.php?project=' . $id, 'id=' . $id);
} else {
    $block3->noresults();
}

$block3->closeToggle();
$block3->closeFormResults();

$block3->openPaletteScript();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block3->paletteScript(0, 'add', '../topics/addtopic.php?project=' . $projectDetail->pro_id[0], 'true,false,false', lang_strings('add'));
} 
if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block3->paletteScript(1, 'remove', '../topics/deletetopics.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('delete'));
    $block3->paletteScript(2, 'lock', '../projects/viewproject.php?closeTopic=true&project=' . $id . '&action=publish', 'false,true,true', lang_strings('close'));
    if ($sitePublish == 'true') {
        $block3->paletteScript(3, 'add_projectsite', '../projects/viewproject.php?addToSiteTopic=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
        $block3->paletteScript(4, 'remove_projectsite', '../projects/viewproject.php?removeToSiteTopic=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
    } 
} 

$block3->paletteScript(5, 'info', '../topics/viewtopic.php', 'false,true,false', lang_strings('view'));
$block3->closePaletteScript($comptListTopics, $listTopics->top_id);

$block4 = new block();
$block4->form = 'pdM';
$block4->openForm('../projects/viewproject.php?id=' . $projectDetail->pro_id[0] . '#' . $block4->form . 'Anchor');
$block4->headingToggle(lang_strings('team'));
$block4->openPaletteIcon();

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block4->paletteIcon(0, 'add', lang_strings('add'));
    $block4->paletteIcon(1, 'remove', lang_strings('delete'));

    if ($sitePublish == 'true') {
        $block4->paletteIcon(2, 'add_projectsite', lang_strings('add_project_site'));
        $block4->paletteIcon(3, 'remove_projectsite', lang_strings('remove_project_site'));
    }
}

$block4->paletteIcon(4, 'info', lang_strings('view'));
$block4->paletteIcon(5,'email',lang_strings('email'));
$block4->closePaletteIcon();
$block4->borne = $blockPage->returnBorne('3');
$block4->rowsLimit = '5';
$block4->sorting('team', $sortingUser->sor_team[0], 'mem.name ASC', $sortingFields = array(0 => 'mem.name', 1 => 'mem.title', 2 => 'mem.login', 3 => 'mem.phone_work', 4 => 'log.connected', 5 => 'tea.published'));
$tmpquery = "WHERE tea.project = '$id' AND mem.profil != '" . PF_CLIENT_USER . "' ORDER BY $block4->sortingValue";
$block4->recordsTotal = compt($initrequest['teams'] . ' ' . $tmpquery);
$listTeam = new request();
$listTeam->openTeams($tmpquery, $block4->borne, $block4->rowsLimit);
$comptListTeam = count($listTeam->tea_id);
$block4->openResults();
$block4->labels($labels = array(0 => lang_strings('full_name'), 1 => lang_strings('title'), 2 => lang_strings('user_name'), 3 => lang_strings('work_phone'), 4 => lang_strings('connected'), 5 => lang_strings('published')), 'true');

for ($i = 0; $i < $comptListTeam; $i++) {
    if ($listTeam->tea_mem_phone_work[$i] == '') {
        $listTeam->tea_mem_phone_work[$i] = lang_strings('none');
    }

    if ($listTeam->tea_mem_title[$i] == '') {
        $listTeam->tea_mem_title[$i] = lang_strings('none');
    }

    $idPublish = $listTeam->tea_published[$i];
    $block4->openRow();
    $block4->checkboxRow($listTeam->tea_mem_id[$i]);

    if ($listTeam->tea_mem_profil[$i] == PF_DISABLED) {
        $block4->cellRow($blockPage->buildLink('../users/viewuser.php?id=' . $listTeam->tea_mem_id[$i], $listTeam->tea_mem_name[$i], instrike));
    } else {
        $block4->cellRow($blockPage->buildLink('../users/viewuser.php?id=' . $listTeam->tea_mem_id[$i], $listTeam->tea_mem_name[$i], in));
    }

    $block4->cellRow($listTeam->tea_mem_title[$i]);
    $block4->cellRow($blockPage->buildLink($listTeam->tea_mem_email_work[$i], $listTeam->tea_mem_login[$i], mail));
    $block4->cellRow($listTeam->tea_mem_phone_work[$i]);

    if ($listTeam->tea_log_connected[$i] > $dateunix-5 * 60) {
        $block4->cellRow(lang_strings('yes') . ' ' . $z);
    } else {
        $block4->cellRow(lang_strings('no'));
    }

    if ($sitePublish == 'true') {
        $block4->cellRow($statusPublish[$idPublish]);
    }

    $block4->closeRow();
} 

$block4->closeResults();
$block4->bornesFooter('3', $blockPage->bornesNumber, '../teams/listusers.php?id=' . $id, 'id=' . $id);
$block4->closeToggle();
$block4->closeFormResults();
$block4->openPaletteScript();

if ($idSession == $projectDetail->pro_owner[0] || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block4->paletteScript(0, 'add', '../teams/adduser.php?project=' . $projectDetail->pro_id[0], 'true,false,false', lang_strings('add'));
    $block4->paletteScript(1, 'remove', '../teams/deleteusers.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('delete'));

    if ($sitePublish == 'true') {
        $block4->paletteScript(2, 'add_projectsite', '../projects/viewproject.php?addToSiteTeam=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
        $block4->paletteScript(3, 'remove_projectsite', '../projects/viewproject.php?removeToSiteTeam=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
    }
}

$block4->paletteScript(4, 'info', '../users/viewuser.php?', 'false,true,false', lang_strings('view'));
$block4->paletteScript(5,'email','../users/emailusers.php','false,true,true',lang_strings('email'));
$block4->closePaletteScript($comptListTeam, $listTeam->tea_mem_id);

if ($fileManagement == 'true') {
    $block5 = new block();
    $block5->form = 'tdC';
    $block5->openForm('../projects/viewproject.php?id=' . $id . '#' . $block5->form . 'Anchor');
    $block5->headingToggle(lang_strings('linked_content'));
    $block5->openPaletteIcon();

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
        $block5->paletteIcon(0, 'add', lang_strings('add'));
        $block5->paletteIcon(1, 'remove', lang_strings('delete'));

        if ($sitePublish == 'true') {
            $block5->paletteIcon(2, 'add_projectsite', lang_strings('add_project_site'));
            $block5->paletteIcon(3, 'remove_projectsite', lang_strings('remove_project_site'));
        } 
    }

    $block5->paletteIcon(4, 'info', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
        $block5->paletteIcon(5, 'edit', lang_strings('edit'));
    } 

    $block5->closePaletteIcon();
    $block5->borne = $blockPage->returnBorne('4');
    $block5->rowsLimit = '5';
    $block5->sorting('files', $sortingUser->sor_files[0], 'fil.name ASC', $sortingFields = array(0 => 'fil.extension', 1 => 'fil.name', 2 => 'fil.task', 3 => 'fil.date', 4 => 'fil.status', 5 => 'fil.published'));
    $tmpquery = "WHERE fil.project = '$id' AND fil.vc_parent = '0' ORDER BY $block5->sortingValue";
    $block5->recordsTotal = compt($initrequest['files'] . ' ' . $tmpquery);
    $listFiles = new request();
    $listFiles->openFiles($tmpquery, $block5->borne, $block5->rowsLimit);
    $comptListFiles = count($listFiles->fil_id);

    if ($comptListFiles != '0') {
        $block5->openResults();
        $block5->labels($labels = array(0 => lang_strings('type'), 1 => lang_strings('name'), 2 => lang_strings('task'), 3 => lang_strings('date'), 4 => lang_strings('approval_tracking'), 5 => lang_strings('published')), 'true');
        require_once('../includes/files_types.php');

        for ($i = 0; $i < $comptListFiles; $i++) {
            $existFile = 'false';
            $idStatus = $listFiles->fil_status[$i];

            $idPublish = $listFiles->fil_published[$i];
            $type = file_info_type($listFiles->fil_extension[$i]);

            if ($listFiles->fil_task[$i] != '0') {
                if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_task[$i] . '/' . $listFiles->fil_name[$i])) {
                    $existFile = 'true';
                }
            } else {
                if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_name[$i])) {
                    $existFile = 'true';
                }
            } 

            $block5->openRow();
            $block5->checkboxRow($listFiles->fil_id[$i]);

            if ($existFile == 'true') {
                $block5->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $type, icone));
            } else {
                $block5->cellRow('&nbsp;');
            } 

            if ($existFile == 'true') {
                $block5->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $listFiles->fil_name[$i], in));
            } else {
                $block5->cellRow(lang_strings('missing_file') . ' (' . $listFiles->fil_name[$i] . ')');
            } 

            if ($listFiles->fil_task[$i] != '0') {
                $block5->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listFiles->fil_task[$i], $listFiles->fil_tas_name[$i], in));
            } else {
                $block5->cellRow('&nbsp;');
            }

            $block5->cellRow($listFiles->fil_date[$i]);
            $block5->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $statusFile[$idStatus], in));

            if ($sitePublish == 'true') {
                $block5->cellRow($statusPublish[$idPublish]);
            } 

            $block5->closeRow();
        } 

        $block5->closeResults();
        $block5->bornesFooter('4', $blockPage->bornesNumber, '../linkedcontent/listfiles.php?project=' . $id, 'id=' . $id);
    } else {
        $block5->noresults();
    } 

    $block5->closeToggle();
    $block5->closeFormResults();
    $block5->openPaletteScript();

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
        $block5->paletteScript(0, 'add', '../linkedcontent/addfile.php?project=' . $id, 'true,false,false', lang_strings('add'));
        $block5->paletteScript(1, 'remove', '../linkedcontent/deletefiles.php?project=' . $id, 'false,true,true', lang_strings('delete'));

        if ($sitePublish == 'true') {
            $block5->paletteScript(2, 'add_projectsite', '../projects/viewproject.php?addToSiteFile=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
            $block5->paletteScript(3, 'remove_projectsite', '../projects/viewproject.php?removeToSiteFile=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
        }
    }

    $block5->paletteScript(4, 'info', '../linkedcontent/viewfile.php', 'false,true,false', lang_strings('view'));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
        $block5->paletteScript(5, 'edit', '../linkedcontent/viewfile.php?edit=true', 'false,true,false', lang_strings('edit'));
    } 

    $block5->closePaletteScript($comptListFiles, $listFiles->fil_id);
} 

$block6 = new block();
$block6->form = 'wbJ';
$block6->openForm('../projects/viewproject.php?id=' . $projectDetail->pro_id[0] . '#' . $block6->form . 'Anchor');
$block6->headingToggle(lang_strings('notes'));

$block6->openPaletteIcon();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block6->paletteIcon(0, 'add', lang_strings('add'));
    $block6->paletteIcon(1, 'remove', lang_strings('delete'));
    // $block6->paletteIcon(2,'export',lang_strings('export'));
    if ($sitePublish == 'true') {
        $block6->paletteIcon(3, 'add_projectsite', lang_strings('add_project_site'));
        $block6->paletteIcon(4, 'remove_projectsite', lang_strings('remove_project_site'));
    } 
}

$block6->paletteIcon(5, 'info', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block6->paletteIcon(6, 'edit', lang_strings('edit'));
}

$block6->closePaletteIcon();

$block6->borne = $blockPage->returnBorne('5');
$block6->rowsLimit = '5';

$comptTopic = count($topicNote);

if ($comptTopic != '0') {
    $block6->sorting('notes', $sortingUser->sor_notes[0], 'note.date DESC', $sortingFields = array(0 => 'note.subject', 1 => 'note.topic', 2 => 'note.date', 3 => 'mem.login', 4 => 'note.published'));
} else {
    $block6->sorting('notes', $sortingUser->sor_notes[0], 'note.date DESC', $sortingFields = array(0 => 'note.subject', 1 => 'note.date', 2 => 'mem.login', 3 => 'note.published'));
} 

$tmpquery = "WHERE note.project = '$id' ORDER BY $block6->sortingValue";

$block6->recordsTotal = compt($initrequest['notes'] . ' ' . $tmpquery);

$listNotes = new request();

$listNotes->openNotes($tmpquery, $block6->borne, $block6->rowsLimit);
$comptListNotes = count($listNotes->note_id);

if ($comptListNotes != '0') {
    $block6->openResults();
    if ($comptTopic != '0') {
        $block6->labels($labels = array(0 => lang_strings('subject'), 1 => lang_strings('topic'), 2 => lang_strings('date'), 3 => lang_strings('owner'), 4 => lang_strings('published')), 'true');
    } else {
        $block6->labels($labels = array(0 => lang_strings('subject'), 1 => lang_strings('date'), 2 => lang_strings('owner'), 3 => lang_strings('published')), 'true');
    } 
    for ($i = 0; $i < $comptListNotes; $i++) {
        $idPublish = $listNotes->note_published[$i];
        $block6->openRow();
        $block6->checkboxRow($listNotes->note_id[$i]);
        $block6->cellRow($blockPage->buildLink('../notes/viewnote.php?id=' . $listNotes->note_id[$i], $listNotes->note_subject[$i], in));
        if ($comptTopic != '0') {
            $block6->cellRow($topicNote[$listNotes->note_topic[$i]]);
        } 
        $block6->cellRow($listNotes->note_date[$i]);
        $block6->cellRow($blockPage->buildLink($listNotes->note_mem_email_work[$i], $listNotes->note_mem_login[$i], mail));
        if ($sitePublish == 'true') {
            $block6->cellRow($statusPublish[$idPublish]);
        } else {
            $block6->cellRow('&nbsp;');
        } 
        $block6->closeRow();
    } 

    $block6->closeResults();

    $block6->bornesFooter('5', $blockPage->bornesNumber, '../notes/listnotes.php?project=' . $id, 'id=' . $id);
} else {
    $block6->noresults();
} 
$block6->closeToggle();
$block6->closeFormResults();

$block6->openPaletteScript();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block6->paletteScript(0, 'add', '../notes/editnote.php?project=' . $projectDetail->pro_id[0], 'true,false,false', lang_strings('add'));
    $block6->paletteScript(1, 'remove', '../notes/deletenotes.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('delete'));
    // $block6->paletteScript(2,'export','../projects/exportproject.php','false,true,true',lang_strings('export'));
    if ($sitePublish == 'true') {
        $block6->paletteScript(3, 'add_projectsite', '../projects/viewproject.php?addToSiteNote=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
        $block6->paletteScript(4, 'remove_projectsite', '../projects/viewproject.php?removeToSiteNote=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
    } 
} 

$block6->paletteScript(5, 'info', '../notes/viewnote.php', 'false,true,false', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block6->paletteScript(6, 'edit', '../notes/editnote.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('edit'));
}
$block6->closePaletteScript($comptListNotes, $listNotes->note_id);

$block8 = new block();
$block8->form = 'wbK';
$block8->openForm('../projects/viewproject.php?id=' . $projectDetail->pro_id[0] . '#' . $block8->form . 'Anchor');
$block8->headingToggle(lang_strings('meetings'));

$block8->openPaletteIcon();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block8->paletteIcon(0, 'add', lang_strings('add'));
    $block8->paletteIcon(1, 'remove', lang_strings('delete'));
    $block8->paletteIcon(2, 'copy', lang_strings('copy'));
    // $block8->paletteIcon(3,'export',lang_strings('export'));
    if ($sitePublish == 'true') {
        $block8->paletteIcon(4, 'add_projectsite', lang_strings('add_project_site'));
        $block8->paletteIcon(5, 'remove_projectsite', lang_strings('remove_project_site'));
    } 
}

$block8->paletteIcon(6, 'info', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block8->paletteIcon(7, 'edit', lang_strings('edit'));
    $block8->paletteIcon(8, 'timelog', lang_strings('loghours'));
}

$block8->closePaletteIcon();

$block8->borne = $blockPage->returnBorne('6');
$block8->rowsLimit = '5';

$block8->sorting('meetings', $sortingUser->sor_meetings[0], 'mee.date DESC', $sortingFields = array(0 => 'mee.id', 1 => 'mee.name', 2 => 'mee.priority', 3 => 'mee.status', 4 => 'mee.date'));

$tmpquery = "WHERE mee.project = '$id' ORDER BY $block8->sortingValue";

$block8->recordsTotal = compt($initrequest['meetings'] . ' ' . $tmpquery);

$listMeetings = new request();

$listMeetings->openMeetings($tmpquery, $block8->borne, $block8->rowsLimit);
$comptListMeetings = count($listMeetings->mee_id);

if ($comptListMeetings != '0') {
    $block8->openResults();
    $block8->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings('meeting'), 2 => lang_strings('priority'), 3 => lang_strings('status'), 4 => lang_strings('date')), 'true');
    for ($i = 0; $i < $comptListMeetings; $i++) {
        $idStatus = $listMeetings->mee_status[$i];
        $idPriority = $listMeetings->mee_priority[$i];

        $block8->openRow();
        $block8->checkboxRow($listMeetings->mee_id[$i]);

        if ($listMeetings->mee_reminder[$i] == '1') {
            $block8->cellRow("<img src=\"../themes/" . THEME . "/bell.gif\" alt=\"" . $listMeetings->mee_id[$i] . "\">&nbsp;" . $blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_id[$i], in));
        } else {
            $block8->cellRow($blockPage->buildLink('../meetings/viewmeeting.php?id=' . $listMeetings->mee_id[$i], $listMeetings->mee_id[$i], in));
        }

        if ($idStatus == ST_COMPLETED) {
            $block8->cellRow($blockPage->buildLink('../meetings/viewmeeting.php?id=' . $listMeetings->mee_id[$i], $listMeetings->mee_name[$i], instrike));
        } else {
            $block8->cellRow($blockPage->buildLink('../meetings/viewmeeting.php?id=' . $listMeetings->mee_id[$i], $listMeetings->mee_name[$i], in));
        }

        $block8->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
        $block8->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);

        if ($listMeetings->mee_date[$i] <= $date && $idStatus != ST_COMPLETED) {
            $block8->cellRow("<b>" . $listMeetings->mee_date[$i] . "</b>");
        } else {
            $block8->cellRow($listMeetings->mee_date[$i]);
        }

        $block8->closeRow();
    } 

    $block8->closeResults();

    $block8->bornesFooter('6', $blockPage->bornesNumber, '../meetings/listmeetings.php?project=' . $id, 'id=' . $id);
} else {
    $block8->noresults();
} 
$block8->closeToggle();
$block8->closeFormResults();

$block8->openPaletteScript();
if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block8->paletteScript(0, 'add', '../meetings/editmeeting.php?project=' . $projectDetail->pro_id[0], 'true,false,false', lang_strings('add'));
    $block8->paletteScript(1, 'remove', '../meetings/deletemeetings.php?project=' . $projectDetail->pro_id[0], 'false,true,true', lang_strings('delete'));
    $block8->paletteScript(2, 'copy', '../meetings/editmeeting.php?project=' . $projectDetail->pro_id[0] . "&cpy=true", 'false,true,false', lang_strings('copy'));
    if ($sitePublish == 'true') {
        $block8->paletteScript(4, 'add_projectsite', '../projects/viewproject.php?addToSiteNote=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('add_project_site'));
        $block8->paletteScript(5, 'remove_projectsite', '../projects/viewproject.php?removeToSiteNote=true&project=' . $projectDetail->pro_id[0] . '&action=publish', 'false,true,true', lang_strings('remove_project_site'));
    } 
} 

$block8->paletteScript(6, 'info', '../meetings/viewmeeting.php', 'false,true,false', lang_strings('view'));

if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR) {
    $block8->paletteScript(7, 'edit', '../meetings/editmeeting.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('edit'));
    $block8->paletteScript(8, 'timelog', '../meetings/addmeetingtime.php?project=' . $projectDetail->pro_id[0], 'false,true,false', lang_strings('loghours'));
}
$block8->closePaletteScript($comptListMeetings, $listMeetings->mee_id);

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once('../themes/' . THEME . '/footer.php');

?>
