<?php // $Revision: 1.5 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: export_leaves.php,v 1.5 2006/04/24 00:18:07 luis Exp $
 * 
 * Copyright (c) 2005 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// configuration options
// set up the member selection
if ($_GET['S_ATSEL']) {
    if ($_GET['S_ATSEL'] == 'ALL') {
        $S_mem = "ALL";
    } else {
        $S_mem = $_GET['S_ATSEL'];
    } 
} else {
    $S_mem = "ALL";
} 

// a date range was selected
if ($_GET{'S_COMPLETEDATE'} == 'DATERANGE') {
    $dateRange = true; 
    // get the range start date (if given)
    if ($_GET{'S_SDATE2'}) {
        $s_sdate2 = $_GET{'S_SDATE2'};
    } else {
        $s_sdate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), "1", date("Y")));
    } 
    // get the range end date
    if ($_GET{'S_EDATE2'}) {
        $s_edate2 = $_GET{'S_EDATE2'};
    } else {
        $s_edate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), date("d"), date("Y")));
    } 
} else {
    // select all dates
    $dateRange = false;
} 

// end of configuration
// this is the filename the 'save as' file window will bring up by default
$filename = "leaves";
$checkSession = false;
require_once("../includes/library.php");

function which_crlf()
{
    $the_crlf = "\n"; 
    // The 'NETOFFICE_USR_OS' constant is defined in "../includes/defines.lib.php"
    // Win case
    if (NETOFFICE_USR_OS == 'Win') {
        $the_crlf = "\r\n";
    } 
    // Mac case
    else if (NETOFFICE_USR_OS == 'Mac') {
        $the_crlf = "\r";
    } 
    // Others
    else {
        $the_crlf = "\n";
    } 

    return $the_crlf;
} 

@set_time_limit(600);
$crlf = which_crlf();

/**
 * Send headers depending on whether the user choosen to download a dump file
 * or not
 */

$reportHeader = "\"" . lang_strings("leaves") . "\"";

if ($dateRange) {
    $reportHeader .= ",\"" . lang_strings("hours_logged_from") . "\",\"$s_sdate2\",\"" . lang_strings("hours_logged_to") . "\",\"$s_edate2\"";
}

$reportHeader .= $crlf;
$query = " WHERE wkh.work IN ('" . LV_ANNUAL . "','" . LV_SICK . "','" . LV_ABSENCE . "','" . LV_BANKHOLIDAY . "','" . LV_MOURNING . "','" . LV_HONEYMOON . "','" . LV_MATERNITY . "')";

// a member selection was made
if ($S_mem != 'ALL' && $S_mem != "") {
    $query .= " AND wkh.owner IN($S_mem)";
} 
// a date range was selected
if ($dateRange) {
    $query .= " AND (wkh.date <= '$s_edate2'  AND wkh.date >= '$s_sdate2')";
} 

$tmpquery = "$query ORDER BY wkh.owner";
$listWorkHours = new request();
$listWorkHours->openWorkHours($tmpquery);
$comptListWorkHours = count($listWorkHours->wkh_id);

$dump_buffer = $reportHeader . $crlf;

if ($comptListWorkHours != "0") {
    /**
     * Construct the header row
     */

    $dump_buffer .= "\"" . lang_strings("user_name") . "\",\"" . $hourCodeArray[LV_ANNUAL] . "\",\"" . $hourCodeArray[LV_SICK] . "\",\"" . $hourCodeArray[LV_ABSENCE] . "\",\"" . $hourCodeArray[LV_BANKHOLIDAY] . "\",\"" . $hourCodeArray[LV_MOURNING] . "\",\"" . $hourCodeArray[LV_HONEYMOON] . "\",\"" . $hourCodeArray[LV_MATERNITY] . "\"" . $crlf;
    $lastMember = $listWorkHours->wkh_owner[0];
    $lastMemberName = $listWorkHours->wkh_mem_name[0];
    $totalMember = array(LV_ANNUAL => 0, LV_SICK => 0, LV_ABSENCE => 0, LV_BANKHOLIDAY => 0, LV_MOURNING => 0, LV_HONEYMOON => 0, LV_MATERNITY => 0);

    for ($i = 0;$i < $comptListWorkHours;$i++) {
        if ($lastMember != $listWorkHours->wkh_owner[$i]) {
            $dump_buffer .= "\"" . $lastMemberName . "\",";
            $dump_buffer .= $totalMember[LV_ANNUAL] . ",";
            $dump_buffer .= $totalMember[LV_SICK] . ",";
            $dump_buffer .= $totalMember[LV_ABSENCE] . ",";
            $dump_buffer .= $totalMember[LV_BANKHOLIDAY] . ",";
            $dump_buffer .= $totalMember[LV_MOURNING] . ",";
            $dump_buffer .= $totalMember[LV_HONEYMOON] . ",";
            $dump_buffer .= $totalMember[LV_MATERNITY];
            $dump_buffer .= $crlf;
            $lastMember = $listWorkHours->wkh_owner[$i];
            $lastMemberName = $listWorkHours->wkh_mem_name[$i];
            $totalMember = array(LV_ANNUAL => 0, LV_SICK => 0, LV_ABSENCE => 0, LV_BANKHOLIDAY => 0, LV_MOURNING => 0, LV_HONEYMOON => 0, LV_MATERNITY => 0, 0 => 0);
        }

        $totalMember[$listWorkHours->wkh_work[$i]] += $listWorkHours->wkh_hours[$i];
    }

    $dump_buffer .= "\"" . $lastMemberName . "\",";
    $dump_buffer .= $totalMember[LV_ANNUAL] . ",";
    $dump_buffer .= $totalMember[LV_SICK] . ",";
    $dump_buffer .= $totalMember[LV_ABSENCE] . ",";
    $dump_buffer .= $totalMember[LV_BANKHOLIDAY] . ",";
    $dump_buffer .= $totalMember[LV_MOURNING] . ",";
    $dump_buffer .= $totalMember[LV_HONEYMOON] . ",";
    $dump_buffer .= $totalMember[LV_MATERNITY];
    $dump_buffer .= $crlf;
} 

$ext = 'csv';
$mime_type = 'text/x-csv';
// Send headers
header('Content-Type: ' . $mime_type);
$content_disp = (NETOFFICE_USR_BROWSER_AGENT == 'IE') ? 'inline' : 'attachment';
header('Content-Disposition:  ' . $content_disp . '; filename="' . $filename . '.' . $ext . '"');
header('Pragma: no-cache');
header('Expires: 0');

echo $dump_buffer;

?>
