<?php // $Revision: 1.8 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: exportcompleted.php,v 1.8 2006/04/24 00:18:07 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
// get the configured information
// set up the member selection
if ($_GET['S_ATSEL']) {
    if ($_GET['S_ATSEL'] == 'ALL') {
        $S_mem = "ALL";
    } else {
        $S_mem = $_GET['S_ATSEL'];
    }
} else {
    $S_mem = "ALL";
}

// a date range was selected
if ($_GET{'S_COMPLETEDATE'} == 'DATERANGE') {
    $daterange = true; 
    // get the range start date (if given)
    if ($_GET{'S_SDATE2'}) {
        $s_sdate2 = $_GET{'S_SDATE2'};
    } else {
        $s_sdate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), "1", date("Y")));
    }

    // get the range end date
    if ($_GET{'S_EDATE2'}) {
        $s_edate2 = $_GET{'S_EDATE2'};
    } else {
        $s_edate2 = date("Y-m-d",
            mktime (12, 0, 0, date("m"), date("d"), date("Y")));
    }
} else {
    // select all dates
    $daterange = false;
}

// this is the filename the 'save as' file window will bring up by default
$filename = "completed";
$export = "true";
$checkSession = false;
require_once("../includes/library.php");

function which_crlf()
{
    $the_crlf = "\n"; 
    // The 'NETOFFICE_USR_OS' constant is defined in "../includes/defines.lib.php"
    // Win case
    if (NETOFFICE_USR_OS == 'Win') {
        $the_crlf = "\r\n";
    }
    // Mac case
    else if (NETOFFICE_USR_OS == 'Mac') {
        $the_crlf = "\r";
    }
    // Others
    else {
        $the_crlf = "\n";
    }

    return $the_crlf;
}

@set_time_limit(600);
$crlf = which_crlf();

/**
 * Send headers depending on whether the user choosen to download a dump file
 * or not
 */

$query = " WHERE tas.status = " . ST_COMPLETED . " AND tas.milestone <> '" . MS_YES . "'";
$headerText = "\"" . lang_strings('completed_task_report') . "\"";

// a date range was selected
if ($daterange) {
    $query .= "AND (tas.complete_date <= '$s_edate2'  AND tas.complete_date >= '$s_sdate2')";
    $headerText .= ",\"" . lang_strings("hours_logged_from") . "\",\"$s_sdate2\",\"" . lang_strings("hours_logged_to") . "\",\"$s_edate2\"";
}

$headerText .= $crlf;

// a member selection was made
if ($S_mem != "ALL" && $S_mem != "") {
    $query = " INNER JOIN " . $tableCollab['tasks_resource'] . " res ON res.task=tas.id " . $query . " AND res.type='members' AND res.resource IN($S_mem)";
}

$tmpquery = "$query";
$listTasks = new request();
$listTasks->openHierarchyOfTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);
$dump_buffer = $headerText . $crlf;

if ($comptListTasks != "0") {
    /**
     * Construct the header row
     */

    $dump_buffer .= "\"" . lang_strings("project") . "\",\"" . lang_strings("task") . "\",\"" . lang_strings("complete_date") . "\",\"" . lang_strings("assigned_to") . "\"" . $crlf;

    for ($i = 0;$i < $comptListTasks;$i++) {
        /**
         * The individual fields
         */
        // project name
        $dump_buffer .= "\"" . $listTasks->tas_pro_name[$i] . "\","; 
        // task name
        $dump_buffer .= "\"" . $listTasks->tas_name[$i] . "\","; 
        // complete date
        $dump_buffer .= "\"" . $listTasks->tas_complete_date[$i] . "\",";
        // member name
        $tmpquery = " AND res.task='" . $listTasks->tas_id[$i] . "'";
        $resourceUsage = new request();
        $resourceUsage->openTaskHumanResource($tmpquery);
        $comptResourceUsage = count($resourceUsage->res_id);

        for ($j = 0;$j < $comptResourceUsage;$j++) {
            if ($j > 0) $dump_buffer .= ",";

            $dump_buffer .= "\"" . $resourceUsage->res_mem_login[$j] . "\""; 
        }

        $dump_buffer .= $crlf;
    }
}

$ext = 'csv';
$mime_type = 'text/x-csv';
// Send headers
header('Content-Type: ' . $mime_type);
$content_disp = (NETOFFICE_USR_BROWSER_AGENT == 'IE') ? 'inline' : 'attachment';
header('Content-Disposition:  ' . $content_disp . '; filename="' . $filename . '.' . $ext . '"');
header('Pragma: no-cache');
header('Expires: 0');
echo $dump_buffer;

?>
