<?php // $Revision: 1.12 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: resultssearch.php,v 1.12 2006/07/31 02:03:24 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
require_once("../themes/" . THEME . "/header.php");
$searchFor = strtolower(urldecode($searchfor));
$motS = split(" ", $searchFor);
$nombre_motS = count($motS);

foreach ($motS as $s) {
    $mots[] = htmlentities($s, ENT_QUOTES, $htmlEntityCharset);
}

$nombre_mots = count($mots);

if ($searchType == "simple") {
    $validNotes = "true";
    $validOrganizations = "true";
    $validProjects = "true";
    $validTasks = "true";
    $validTopics = "true";
    $validMembers = "true";
    $validMeetings = "true";
    $validFiles = "true";
}

$searchProjects = "WHERE ((lower(pro.name) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchProjects .= " AND lower(pro.name) like '%$motS[$z]%' ";
    $z++;
}

$searchProjects .= ") OR (lower(pro.description) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchProjects .= " AND lower(pro.description) like '%$mots[$y]%' ";
    $y++;
}

$searchProjects .= ") OR (lower(org.name) like '%$motS[0]%'";
$x = 1;

while ($x < $nombre_motS) {
    $searchProjects .= " AND lower(org.name) like '%$motS[$x]%' ";
    $x++;
}

$searchProjects .= "))";
$searchTasks = "WHERE ((lower(tas.name) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchTasks .= " AND lower(tas.name) like '%$motS[$z]%' ";
    $z++;
}

$searchTasks .= ") OR (lower(tas.description) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchTasks .= " AND lower(tas.description) like '%$mots[$y]%' ";
    $y++;
}

$searchTasks .= "))";
$searchMembers = "WHERE ((lower(mem.login) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchMembers .= " AND lower(mem.login) like '%$motS[$z]%' ";
    $z++;
}

$searchMembers .= ") OR (lower(mem.name) like '%$motS[0]%'";
$y = 1;

while ($y < $nombre_motS) {
    $searchMembers .= " AND lower(mem.name) like '%$motS[$y]%' ";
    $y++;
}

$searchMembers .= "))";
$searchOrganizations = "WHERE (lower(org.name) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchOrganizations .= " AND lower(org.name) like '%$motS[$z]%' ";
    $z++;
}

$searchOrganizations .= ")";
$searchTopics = "WHERE (lower(topic.subject) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchTopics .= " AND lower(topic.subject) like '%$motS[$z]%' ";
    $z++;
}

$searchTopics .= ")";
$searchNotes = "WHERE ((lower(note.subject) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchNotes .= " AND lower(note.subject) like '%$motS[$z]%' ";
    $z++;
}

$searchNotes .= ") OR (lower(note.description) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchNotes .= " AND lower(note.description) like '%$mots[$y]%' ";
    $y++;
}

$searchNotes .= "))";
$searchMeetings = "WHERE ((lower(mee.name) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchMeetings .= " AND lower(mee.name) like '%$motS[$z]%' ";
    $z++;
}

$searchMeetings .= ") OR (lower(mee.agenda) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchMeetings .= " AND lower(mee.agenda) like '%$mots[$y]%' ";
    $y++;
}

$searchMeetings .= ") OR (lower(mee.location) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchMeetings .= " AND lower(mee.location) like '%$mots[$y]%' ";
    $y++;
}

$searchMeetings .= ") OR (lower(mee.minutes) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchMeetings .= " AND lower(mee.minutes) like '%$mots[$y]%' ";
    $y++;
}

$searchMeetings .= "))";
$searchFiles = "WHERE ((lower(fil.name) like '%$motS[0]%'";
$z = 1;

while ($z < $nombre_motS) {
    $searchFiles .= " AND lower(fil.name) like '%$motS[$z]%' ";
    $z++;
}

$searchFiles .= ") OR (lower(fil.comments) like '%$mots[0]%'";
$y = 1;

while ($y < $nombre_mots) {
    $searchFiles .= " AND lower(fil.comments) like '%$mots[$y]%' ";
    $y++;
}

$searchFiles .= "))";
$blockPage = new block();
$block1 = new block();
$block1->borne = $blockPage->returnBorne("1");
$block1->rowsLimit = "10";
$block1->sorting("projects", $sortingUser->sor_projects[0], "pro.name ASC", $sortingFields = array(0 => "pro.id", 1 => "pro.name", 2 => "pro.priority", 3 => "org.name", 4 => "pro.status", 5 => "mem.login", 6 => "pro.published"));

if ($projectsFilter == "true" && $profilSession != PF_HR_MANAGER) {
    $tmpquery = "LEFT OUTER JOIN " . $tableCollab["teams"] . " teams ON teams.project = pro.id ";
    $tmpquery .= "$searchProjects AND teams.member = '$idSession' ORDER BY $block1->sortingValue";
} else {
    $tmpquery = "$searchProjects ORDER BY $block1->sortingValue";
}

$comptListProjects = "0";

if ($validProjects == "true") {
    $block1->recordsTotal = compt($initrequest["projects"] . " " . $tmpquery);
    $listProjects = new request();
    $listProjects->openProjects($tmpquery, $block1->borne, $block1->rowsLimit);
    $comptListProjects = count($listProjects->pro_id); 
}

$block2 = new block();
$block2->borne = $blockPage->returnBorne("2");
$block2->rowsLimit = "10";
$block2->sorting("home_tasks", $sortingUser->sor_home_tasks[0], "tas.name ASC", $sortingFields = array(0 => "tas.name", 1 => "tas.priority", 2 => "tas.status", 3 => "tas.due_date", 4 => "tas.assigned_to", 5 => "tas.project", 6 => "tas.published"));

if ($projectsFilter == "true") {
    $tmpquery = "LEFT OUTER JOIN " . $tableCollab["teams"] . " teams ON teams.project = pro.id ";
    $tmpquery .= "WHERE pro.status IN(" . ST_CLIENT_COMPLETED . "," . ST_NOT_STARTED . "," . ST_OPEN . ") AND teams.member = '$idSession' ORDER BY pro.id";
    $listProjectsFilter = new request();
    $listProjectsFilter->openProjects($tmpquery);
    $comptListProjectsFilter = count($listProjectsFilter->pro_id);

    if ($comptListProjectsFilter != "0") {
        for ($i = 0;$i < $comptListProjectsFilter;$i++) {
            $filterResults .= $listProjectsFilter->pro_id[$i];
            if ($comptListProjectsFilter-1 != $i) {
                $filterResults .= ",";
            }
        }
    }
}

if ($projectsFilter == "true") {
    if ($comptListProjectsFilter != "0") {
        $tmpquery = "$searchTasks AND pro.id IN($filterResults) ORDER BY $block2->sortingValue";
    } else {
        $validTasks = "false";
    }
} else {
    $tmpquery = "$searchTasks ORDER BY $block2->sortingValue";
}

$comptListTasks = "0";

if ($validTasks == "true") {
    $block2->recordsTotal = compt($initrequest["tasks"] . " " . $tmpquery);
    $listTasks = new request();
    $listTasks->openTasks($tmpquery, $block2->borne, $block2->rowsLimit);
    $comptListTasks = count($listTasks->tas_id); 
}

$block3 = new block();
$block3->borne = $blockPage->returnBorne("3");
$block3->rowsLimit = "10";
$block3->sorting("users", $sortingUser->sor_users[0], "mem.name ASC", $sortingFields = array(0 => "mem.name", 1 => "mem.login", 2 => "mem.email_work", 3 => "mem.phone_work", 4 => "log.connected"));

if ($demoMode == true) {
    $tmpquery = "$searchMembers ORDER BY $block3->sortingValue";
} else {
    $tmpquery = "$searchMembers AND mem.id != '2' ORDER BY $block3->sortingValue";
}

$comptListMembers = "0";

if ($validMembers == "true") {
    $block3->recordsTotal = compt($initrequest["members"] . " " . $tmpquery);
    $listMembers = new request();
    $listMembers->openMembers($tmpquery, $block3->borne, $block3->rowsLimit);
    $comptListMembers = count($listMembers->mem_id); 
}

$block4 = new block();
$block4->borne = $blockPage->returnBorne("4");
$block4->rowsLimit = "10";
$block4->sorting("organizations", $sortingUser->sor_organizations[0], "org.name ASC", $sortingFields = array(0 => "org.name", 1 => "org.url", 2 => "org.phone"));

if ($clientsFilter == "true" && $profilSession == PF_USER) {
    $teamMember = "false";
    $tmpquery = "WHERE tea.member = '$idSession'";
    $memberTest = new request();
    $memberTest->openTeams($tmpquery);
    $comptMemberTest = count($memberTest->tea_id);

    if ($comptMemberTest == "0") {
        $listClients = "false";
    } else {
        for ($i = 0;$i < $comptMemberTest;$i++) {
            $clientsOk .= $memberTest->tea_org2_id[$i];
            if ($comptMemberTest-1 != $i) {
                $clientsOk .= ",";
            }
        }

        if ($clientsOk == "") {
            $listClients = "false";
        } else {
            $tmpquery = "$searchOrganizations AND org.id IN($clientsOk) AND org.id != '1' ORDER BY $block4->sortingValue";
        }
    }
} else if ($clientsFilter == "true" && $profilSession == PF_PROJECT_MANAGER) {
    $tmpquery = "$searchOrganizations AND org.owner = '$idSession' AND org.id != '1' ORDER BY $block4->sortingValue";
} else {
    $tmpquery = "$searchOrganizations AND org.id != '1' ORDER BY $block4->sortingValue";
}

$comptListOrganizations = "0";

if ($validOrganizations == "true") {
    $block4->recordsTotal = compt($initrequest["organizations"] . " " . $tmpquery);
    $listOrganizations = new request();
    $listOrganizations->openOrganizations($tmpquery, $block4->borne, $block4->rowsLimit);
    $comptListOrganizations = count($listOrganizations->org_id); 
}

$block5 = new block();
$block5->borne = $blockPage->returnBorne("5");
$block5->rowsLimit = "10";
$block5->sorting("home_discussions", $sortingUser->sor_home_discussions[0], "topic.last_post DESC", $sortingFields = array(0 => "topic.subject", 1 => "mem.login", 2 => "topic.posts", 3 => "topic.last_post", 4 => "topic.status", 5 => "topic.project", 6 => "topic.published"));

if ($projectsFilter == "true") {
    if ($comptListProjectsFilter != "0") {
        $tmpquery = "$searchTopics AND topic.project IN($filterResults) ORDER BY $block5->sortingValue";
    } else {
        $validTopics = "false";
    }
} else {
    $tmpquery = "$searchTopics ORDER BY $block5->sortingValue";
}

$comptListTopics = "0";

if ($validTopics == "true") {
    $block5->recordsTotal = compt($initrequest["topics"] . " " . $tmpquery);
    $listTopics = new request();
    $listTopics->openTopics($tmpquery, $block5->borne, $block5->rowsLimit);
    $comptListTopics = count($listTopics->top_id); 
}

$block6 = new block();
$comptTopic = count($topicNote);
$block6->borne = $blockPage->returnBorne("6");
$block6->rowsLimit = "10";

if ($comptTopic != "0") {
    $block6->sorting("notes", $sortingUser->sor_notes[0], "note.date DESC", $sortingFields = array(0 => "note.subject", 1 => "note.topic", 2 => "note.date", 3 => "mem.login", 4 => "note.published"));
} else {
    $block6->sorting("notes", $sortingUser->sor_notes[0], "note.date DESC", $sortingFields = array(0 => "note.subject", 1 => "note.date", 2 => "mem.login", 3 => "note.published"));
}

if ($projectsFilter == "true") {
    if ($comptListProjectsFilter != "0") {
        $tmpquery = "$searchNotes AND note.project IN($filterResults) ORDER BY $block6->sortingValue";
    } else {
        $validNotes = "false";
    }
} else {
    $tmpquery = "$searchNotes ORDER BY $block6->sortingValue";
}

$comptListNotes = "0";

if ($validNotes == "true") {
    $block6->recordsTotal = compt($initrequest["notes"] . " " . $tmpquery);
    $listNotes = new request();
    $listNotes->openNotes($tmpquery, $block6->borne, $block6->rowsLimit);
    $comptListNotes = count($listNotes->note_id); 
}

$block7 = new block();
$block7->borne = $blockPage->returnBorne("7");
$block7->rowsLimit = "10";
$block7->sorting("meetings", $sortingUser->sor_meetings[0], 'mee.date DESC', $sortingFields = array(0 => 'mee.id', 1 => 'mee.name', 2 => 'mee.priority', 3 => 'mee.status', 4 => 'mee.date'));

if ($projectsFilter == "true") {
    if ($comptListProjectsFilter != "0") {
        $tmpquery = "$searchMeetings AND mee.project IN($filterResults) ORDER BY $block7->sortingValue";
    } else {
        $validMeetings = "false";
    }
} else {
    $tmpquery = "$searchMeetings ORDER BY $block7->sortingValue";
}

$comptListMeetings = "0";

if ($validMeetings == "true") {
    $block7->recordsTotal = compt($initrequest["meetings"] . " " . $tmpquery);
    $listMeetings = new request();
    $listMeetings->openMeetings($tmpquery, $block7->borne, $block7->rowsLimit);
    $comptListMeetings = count($listMeetings->mee_id); 
}

$block8 = new block();
$block8->borne = $blockPage->returnBorne("8");
$block8->rowsLimit = "10";
$block8->sorting('files', $sortingUser->sor_files[0], 'fil.name ASC', $sortingFields = array(0 => 'fil.extension', 1 => 'fil.name', 2 => 'fil.date', 3 => 'fil.status', 4 => 'fil.published'));

if ($projectsFilter == "true") {
    if ($comptListProjectsFilter != "0") {
        $tmpquery = "$searchFiles AND fil.project IN($filterResults) ORDER BY $block8->sortingValue";
    } else {
        $validFiles = "false";
    }
} else {
    $tmpquery = "$searchFiles ORDER BY $block8->sortingValue";
}

$comptListFiles = "0";

if ($validFiles == "true") {
    $block8->recordsTotal = compt($initrequest["files"] . " " . $tmpquery);
    $listFiles = new request();
    $listFiles->openFiles($tmpquery, $block8->borne, $block8->rowsLimit);
    $comptListFiles = count($listFiles->fil_id); 
}

$comptTotal = $block1->recordsTotal + $block2->recordsTotal + $block3->recordsTotal + $block4->recordsTotal + $block5->recordsTotal + $block6->recordsTotal + $block7->recordsTotal + $block8->recordsTotal;
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../search/createsearch.php?searchfor=$searchfor&searchType=$searchType&validNotes=$validNotes&validOrganizations=$validOrganizations&validProjects=$validProjects&validTasks=$validTasks&validTopics=$validTopics&validMembers=$validMembers&validMeetings=$validMeetings&validFiles=$validFiles", lang_strings("search"), in));
$blockPage->itemBreadcrumbs(lang_strings("search_results"));
$blockPage->closeBreadcrumbs();
$blockPage->bornesNumber = "8";
$block0 = new block();
$block0->openContent();
$block0->contentTitle(lang_strings("results_for_keywords") . " : <b>$searchfor</b>");
echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td>";

if ($comptTotal == "1") {
    echo "1&#160;" . lang_strings("match");
} 
if ($comptTotal > "1" || $comptTotal == "0") {
    echo "$comptTotal&#160;" . lang_strings("matches");
} 

if ($comptTotal == "0") {
    echo "<br>" . lang_strings("no_results_search");
} else {
} 

echo "</td></tr>";

$block0->closeContent();

if ($comptListProjects != "0") {
    $block1->form = "ProjectForm";
    $block1->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block1->form . "Anchor");
    $block1->headingToggle(lang_strings("search_results") . " : " . lang_strings("projects") . " ($block1->recordsTotal)");
    $block1->openPaletteIcon();
    $block1->paletteIcon(0, "export", lang_strings("export"));
    $block1->closePaletteIcon();
    $block1->openResults();
    $block1->labels($labels = array(0 => lang_strings("id"), 1 => lang_strings("project"), 2 => lang_strings("priority"), 3 => lang_strings("organization"), 4 => lang_strings("status"), 5 => lang_strings("owner"), 6 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListProjects;$i++) {
        if ($listProjects->pro_org_id[$i] == "1") {
            $listProjects->pro_org_name[$i] = lang_strings("none");
        }

        $idStatus = $listProjects->pro_status[$i];
        $idPriority = $listProjects->pro_priority[$i];
        $block1->openRow();
        $block1->checkboxRow($listProjects->pro_id[$i]);
        $block1->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listProjects->pro_id[$i], $listProjects->pro_id[$i], in));
        $block1->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listProjects->pro_id[$i], $listProjects->pro_name[$i], in));
        $block1->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
        $block1->cellRow($listProjects->pro_org_name[$i]);
        $block1->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
        $block1->cellRow($blockPage->buildLink($listProjects->pro_mem_email_work[$i], $listProjects->pro_mem_login[$i], mail));

        if ($sitePublish == "true") {
            if ($listProjects->pro_published[$i] == "1") {
                $block1->cellRow("&lt;" . $blockPage->buildLink("../projects/addprojectsite.php?id=" . $listProjects->pro_id[$i], lang_strings("create") . "...", in) . "&gt;");
            } else {
                $block1->cellRow("&lt;" . $blockPage->buildLink("../projects/viewprojectsite.php?id=" . $listProjects->pro_id[$i], lang_strings("details"), in) . "&gt;");
            }
        }

        $block1->closeRow();
    }

    $block1->closeResults();
    $block1->bornesFooter("1", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");
    $block1->closeToggle();
    $block1->closeFormResults();
    $block1->openPaletteScript();
    $block1->paletteScript(0, "export", "../projects/exportproject.php?languageSession=$languageSession&type=project", "false,true,false", lang_strings("export"));
    $block1->closePaletteScript($comptListProjects, $listProjects->pro_id);
}

if ($comptListTasks != "0") {
    $block2->form = "TaskForm";
    $block2->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block2->form . "Anchor");

    $block2->headingToggle(lang_strings("search_results") . " : " . lang_strings("tasks") . " ($block2->recordsTotal)");

    $block2->openResults();

    $block2->labels($labels = array(0 => lang_strings("task"), 1 => lang_strings("priority"), 2 => lang_strings("status"), 3 => lang_strings("due_date"), 4 => lang_strings("assigned_to"), 5 => lang_strings("project"), 6 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListTasks;$i++) {
        if ($listTasks->tas_due_date[$i] == "") {
            $listTasks->tas_due_date[$i] = lang_strings("none");
        } 
        $idStatus = $listTasks->tas_status[$i];
        $idPriority = $listTasks->tas_priority[$i];
        $idPublish = $listTasks->tas_published[$i];
        $block2->openRow();
        $block2->checkboxRow($listTasks->tas_id[$i]);
        $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listTasks->tas_id[$i], $listTasks->tas_name[$i], in));
        $block2->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
        // $block2->cellRow($status[$idStatus]);
        $block2->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
        if ($listTasks->tas_due_date[$i] <= $date && $listTasks->tas_completion[$i] != "10") {
            $block2->cellRow("<b>" . $listTasks->tas_due_date[$i] . "</b>");
        } else {
            $block2->cellRow($listTasks->tas_due_date[$i]);
        } 
        if ($listTasks->tas_assigned_to[$i] == "0") {
            $block2->cellRow(lang_strings("unassigned"));
        } else {
            $tmpquery = " AND res.task='" . $listTasks->tas_id[$i] . "'";
            $listTaskHumanResources = new request();
            $listTaskHumanResources->openTaskHumanResource($tmpquery);
            $comptListTaskHumanResources = count($listTaskHumanResources->res_id);
            $assignedTo = "";

            for ($j=0; $j<$comptListTaskHumanResources; $j++) {
                if ($assignedTo != "") $assignedTo .= ",";

                $assignedTo .= $blockPage->buildLink($listTaskHumanResources->res_mem_email_work[$j], $listTaskHumanResources->res_mem_login[$j], mail);
            }

            $block2->cellRow($assignedTo);
        } 
        $block2->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTasks->tas_project[$i], $listTasks->tas_pro_name[$i], in));
        if ($sitePublish == "true") {
            $block2->cellRow($statusPublish[$idPublish]);
        } 
        $block2->closeRow();
    } 

    $block2->closeResults();

    $block2->bornesFooter("2", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block2->closeToggle();
    $block2->closeFormResults();
} 

if ($comptListMembers != "0") {
    $block3->form = "UserForm";
    $block3->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block3->form . "Anchor");

    $block3->headingToggle(lang_strings("search_results") . " : " . lang_strings("users") . " ($block3->recordsTotal)");

    $block3->openResults();

    $block3->labels($labels = array(0 => lang_strings("full_name"), 1 => lang_strings("user_name"), 2 => lang_strings("email"), 3 => lang_strings("work_phone"), 4 => lang_strings("connected")), "false");

    for ($i = 0;$i < $comptListMembers;$i++) {
        $block3->openRow();
        $block3->checkboxRow($listMembers->mem_id[$i]);
        $block3->cellRow($blockPage->buildLink("../users/viewuser.php?id=" . $listMembers->mem_id[$i], $listMembers->mem_name[$i], in));
        $block3->cellRow($listMembers->mem_login[$i]);
        $block3->cellRow($blockPage->buildLink($listMembers->mem_email_work[$i], $listMembers->mem_email_work[$i], mail));
        $block3->cellRow($listMembers->mem_phone_work[$i]);
        if ($listMembers->mem_profil[$i] == PF_CLIENT_USER) {
            $z = "(Client on project site)";
        } else {
            $z = "";
        } 
        if ($listMembers->mem_log_connected[$i] > $dateunix-5 * 60) {
            $block3->cellRow(lang_strings("yes") . " " . $z);
        } else {
            $block3->cellRow(lang_strings("no"));
        } 
        $block3->closeRow();
    } 

    $block3->closeResults();

    $block3->bornesFooter("3", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block3->closeToggle();
    $block3->closeFormResults();
} 

if ($comptListOrganizations != "0") {
    $block4->form = "ClientForm";
    $block4->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block4->form . "Anchor");

    $block4->headingToggle(lang_strings("search_results") . " : " . lang_strings("organizations") . " ($block4->recordsTotal)");

    $block4->openResults();

    $block4->labels($labels = array(0 => lang_strings("name"), 1 => lang_strings("url"), 2 => lang_strings("phone")), "false");

    for ($i = 0;$i < $comptListOrganizations;$i++) {
        $block4->openRow();
        $block4->checkboxRow($listOrganizations->org_id[$i]);
        $block4->cellRow($blockPage->buildLink("../clients/viewclient.php?id=" . $listOrganizations->org_id[$i], $listOrganizations->org_name[$i], in));
        $block4->cellRow($blockPage->buildLink($listOrganizations->org_url[$i], $listOrganizations->org_url[$i], out));
        $block4->cellRow($listOrganizations->org_phone[$i]);
        $block4->closeRow();
    } 

    $block4->closeResults();

    $block4->bornesFooter("4", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block4->closeToggle();
    $block4->closeFormResults();
} 

if ($comptListTopics != "0") {
    $block5->form = "ThreadTopicForm";
    $block5->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block5->form . "Anchor");

    $block5->headingToggle(lang_strings("search_results") . " : " . lang_strings("discussions") . " ($block5->recordsTotal)");

    $block5->openResults();

    $block5->labels($labels = array(0 => lang_strings("topic"), 1 => lang_strings("owner"), 2 => lang_strings("posts"), 3 => lang_strings("latest_post"), 4 => lang_strings("status"), 5 => lang_strings("project"), 6 => lang_strings("published")), "true");

    for ($i = 0;$i < $comptListTopics;$i++) {
        $idStatus = $listTopics->top_status[$i];
        $idPublish = $listTopics->top_published[$i];
        $block5->openRow();
        $block5->checkboxRow($listTopics->top_id[$i]);
        $block5->cellRow($blockPage->buildLink("../topics/viewtopic.php?id=" . $listTopics->top_id[$i], $listTopics->top_subject[$i], in));
        $block5->cellRow($blockPage->buildLink($listTopics->top_email_work[$i], $listTopics->top_mem_login[$i], mail));
        $block5->cellRow($listTopics->top_posts[$i]);
        if ($listTopics->top_last_post[$i] > $lastvisiteSession) {
            $block5->cellRow("<b>" . $listTopics->top_last_post[$i] . "</b>");
        } else {
            $block5->cellRow($listTopics->top_last_post[$i]);
        } 
        $block5->cellRow($statusTopic[$idStatus]);
        $block5->cellRow($blockPage->buildLink("../projects/viewproject.php?id=" . $listTopics->top_pro_id[$i], $listTopics->top_pro_name[$i], in));
        if ($sitePublish == "true") {
            $block5->cellRow($statusPublish[$idPublish]);
        } 
        $block5->closeRow();
    } 

    $block5->closeResults();

    $block5->bornesFooter("5", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block5->closeToggle();
    $block5->closeFormResults();
} 

if ($comptListNotes != "0") {
    $block6->form = "notesForm";
    $block6->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block6->form . "Anchor");

    $block6->headingToggle(lang_strings("search_results") . " : " . lang_strings("notes") . " ($block6->recordsTotal)");

    $block6->openResults();

    if ($comptTopic != "0") {
        $block6->labels($labels = array(0 => lang_strings("subject"), 1 => lang_strings("topic"), 2 => lang_strings("date"), 3 => lang_strings("owner"), 4 => lang_strings("published")), "true");
    } else {
        $block6->labels($labels = array(0 => lang_strings("subject"), 1 => lang_strings("date"), 2 => lang_strings("owner"), 3 => lang_strings("published")), "true");
    } 

    for ($i = 0;$i < $comptListNotes;$i++) {
        $idPublish = $listNotes->note_published[$i];
        $block6->openRow();
        $block6->checkboxRow($listNotes->note_id[$i]);
        $block6->cellRow($blockPage->buildLink("../notes/viewnote.php?id=" . $listNotes->note_id[$i], $listNotes->note_subject[$i], in));
        if ($comptTopic != "0") {
            $block6->cellRow($topicNote[$listNotes->note_topic[$i]]);
        } 

        $block6->cellRow($listNotes->note_date[$i]);
        $block6->cellRow($blockPage->buildLink($listNotes->note_mem_email_work[$i], $listNotes->note_mem_login[$i], mail));
        if ($sitePublish == "true") {
            $block6->cellRow($statusPublish[$idPublish]);
        } 
        $block6->closeRow();
    } 
    $block6->closeResults();

    $block6->bornesFooter("6", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block6->closeToggle();
    $block6->closeFormResults();
} 

if ($comptListMeetings != "0") {
    $block7->form = "meetingsForm";
    $block7->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block7->form . "Anchor");
    $block7->headingToggle(lang_strings("search_results") . " : " . lang_strings("meetings") . " ($block7->recordsTotal)");
    $block7->openResults();
    $block7->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings('meeting'), 2 => lang_strings('priority'), 3 => lang_strings('status'), 4 => lang_strings('date')), 'true');

    for ($i = 0;$i < $comptListMeetings;$i++) {
        $idStatus = $listMeetings->mee_status[$i];
        $idPriority = $listMeetings->mee_priority[$i];

        $idPublish = $listMeetings->mee_published[$i];

        $block7->openRow();
        $block7->checkboxRow($listMeetings->mee_id[$i]);

        if ($listMeetings->mee_reminder[$i] == '1') {
            $block7->cellRow("<img src=\"../themes/" . THEME . "/bell.gif\" alt=\"" . $listMeetings->mee_id[$i] . "\">&nbsp;" . $blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_id[$i], in));
        } else {
            $block7->cellRow($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_id[$i], in));
        }

        if ($idStatus == ST_COMPLETED) {
            $block7->cellRow($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_name[$i], instrike));
        } else {
            $block7->cellRow($blockPage->buildLink("../meetings/viewmeeting.php?id=" . $listMeetings->mee_id[$i], $listMeetings->mee_name[$i], in));
        } 

        $block7->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
        $block7->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);

        if ($listMeetings->mee_date[$i] <= $date && $idStatus != ST_COMPLETED) {
            $block7->cellRow("<b>" . $listMeetings->mee_date[$i] . "</b>");
        } else {
            $block7->cellRow($listMeetings->mee_date[$i]);
        } 

        $block7->cellRow($complValue);

        $block7->closeRow();
    } 
    $block7->closeResults();

    $block7->bornesFooter("7", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block7->closeToggle();
    $block7->closeFormResults();
} 

if ($comptListFiles != '0') {
    $block8->form = "filesForm";
    $block8->openForm("../search/resultssearch.php?searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles#" . $block8->form . "Anchor");
    $block8->headingToggle(lang_strings("search_results") . " : " . lang_strings("files") . " ($block8->recordsTotal)");
    $block8->openResults();
    $block8->labels($labels = array(0 => lang_strings('type'), 1 => lang_strings('name'), 2 => lang_strings('date'), 3 => lang_strings('approval_tracking'), 4 => lang_strings('published')), 'true');
    require_once('../includes/files_types.php');

    for ($i = 0; $i < $comptListFiles; $i++) {
        $existFile = 'false';
        $idStatus = $listFiles->fil_status[$i];

        $idPublish = $listFiles->fil_published[$i];
        $type = file_info_type($listFiles->fil_extension[$i]);
        if (fileExists("files/" . $listFiles->fil_project[$i] . '/' . $listFiles->fil_name[$i])) {
            $existFile = 'true';
        } 
        $block8->openRow();
        $block8->checkboxRow($listFiles->fil_id[$i]);

        if ($existFile == 'true') {
            $block8->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $type, icone));
        } else {
            $block8->cellRow('&nbsp;');
        } 

        if ($existFile == 'true') {
            $block8->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $listFiles->fil_name[$i], in));
        } else {
            $block8->cellRow(lang_strings('missing_file') . ' (' . $listFiles->fil_name[$i] . ')');
        } 
        $block8->cellRow($listFiles->fil_date[$i]);
        $block8->cellRow($blockPage->buildLink('../linkedcontent/viewfile.php?id=' . $listFiles->fil_id[$i], $statusFile[$idStatus], in));
        if ($sitePublish == 'true') {
            $block8->cellRow($statusPublish[$idPublish]);
        } 
        $block8->closeRow();
    } 
    $block8->closeResults();

    $block8->bornesFooter("8", $blockPage->bornesNumber, "", "searchfor=$searchfor&amp;validNotes=$validNotes&amp;validOrganizations=$validOrganizations&amp;validProjects=$validProjects&amp;validTasks=$validTasks&amp;validTopics=$validTopics&amp;validMembers=$validMembers&amp;validMeetings=$validMeetings&amp;validFiles=$validFiles");

    $block8->closeToggle();
    $block8->closeFormResults();
}

require_once("../themes/" . THEME . "/footer.php");

?>
