<?php // $Revision: 1.10 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editservice.php,v 1.10 2006/07/08 13:38:03 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.svEForm.n.focus();\"";

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/permissiondenied.php");
    exit;
}

if ($action != '') {
    if ($n == '') {
        $error = lang_strings("blank_fields");
        $bodyCommand = "onLoad=\"document.svEForm.n.focus();\"";
        $n_highlight = true;
    } else if ($np == '') {
        $error = lang_strings("blank_fields");
        $bodyCommand = "onLoad=\"document.svEForm.np.focus();\"";
        $np_highlight = true;
    } else if ($hr == '') {
        $error = lang_strings("blank_fields");
        $bodyCommand = "onLoad=\"document.svEForm.hr.focus();\"";
        $hr_highlight = true;
    } else if (!is_numeric($hr)) {
        $error = lang_strings("error_numerical");
        $bodyCommand = "onLoad=\"document.svEForm.hr.focus();document.svEForm.hr.select();\"";
        $hr_highlight = true;
    }
}

if ($id != '') {
    $tmpquery = "WHERE serv.id = '$id'";
    $detailService = new request();
    $detailService->openServices($tmpquery);
    $comptDetailService = count($detailService->serv_id);
}

if ($error == '') {
    // case update user
    if ($id != "") {
        // case update user
        if ($action == "update") {
            // replace quotes by html code in name and address
            $tmpquery = "UPDATE " . $tableCollab["services"] . " SET name='$n',name_print='$np',hourly_rate='$hr' WHERE id = '$id'";
            connectSql($tmpquery);
            header("Location: ../services/listservices.php?msg=update");
            exit;
        }

        // set values in form
        $n = $detailService->serv_name[0];
        $np = $detailService->serv_name_print[0];
        $hr = $detailService->serv_hourly_rate[0];
    }

    // case add user
    if ($id == "") {
        if ($action == "add") {
            // replace quotes by html code in name and address
            $tmpquery1 = "INSERT INTO " . $tableCollab["services"] . " (name,name_print,hourly_rate) VALUES ('$n','$np','$hr')";
            connectSql($tmpquery1);
            header("Location: ../services/listservices.php?msg=add");
            exit;
        }
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../services/listservices.php?", lang_strings("service_management"), in));

if ($id == "") {
    $blockPage->itemBreadcrumbs(lang_strings("add_service"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../services/viewservice.php?id=$id", $detailService->serv_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("edit_service"));
}

$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();
$block1->form = "svE";

if ($id == "") {
    $block1->openForm("../services/editservice.php?action=add#" . $block1->form . "Anchor");
} else {
    $block1->openForm("../services/editservice.php?id=$id&amp;action=update#" . $block1->form . "Anchor");
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id == "") {
    $block1->heading(lang_strings("add_service"));
} else {
    $block1->heading(lang_strings("edit_service") . " : " . $detailService->serv_name[0]);
}

$block1->openContent();
$block1->contentTitle(lang_strings("details"));

if ($n_highlight) {
    $block1->contentRow("* " . lang_strings("name"), "<input size=\"24\" class=\"input_text_highlight\" type=\"text\" name=\"n\" value=\"$n\" maxlength=\"154\">");
} else {
    $block1->contentRow("* " . lang_strings("name"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"n\" value=\"$n\" maxlength=\"154\">");
}

if ($np_highlight) {
    $block1->contentRow("* " . lang_strings("name_print"), "<input size=\"24\" class=\"input_text_highlight\" type=\"text\" name=\"np\" value=\"$np\" maxlength=\"154\">");
} else {
    $block1->contentRow("* " . lang_strings("name_print"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"np\" value=\"$np\" maxlength=\"154\">");
}

if ($hr_highlight) {
    $block1->contentRow("* " . lang_strings("hourly_rate"), "<input size=\"24\" class=\"input_text_highlight\" type=\"text\" name=\"hr\" value=\"$hr\" maxlength=\"154\">");
} else {
    $block1->contentRow("* " . lang_strings("hourly_rate"), "<input size=\"24\" class=\"input_text\" type=\"text\" name=\"hr\" value=\"$hr\" maxlength=\"154\">");
}

$block1->contentRow("", "<input type=\"submit\" name=\"Save\" value=\"" . lang_strings("save") . "\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
