<?php // $Revision: 1.12 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deletetasks.php,v 1.12 2006/07/25 06:00:17 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

$teamMember = 'false';
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
} 

if (!(($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR)) {
    header('Location: ../general/permissiondenied.php');
    exit;
}

$taskgroupList = array();

function add_taskgroup_to_changelist($parent, $level)
{
    global $taskgroupList;

    if (array_key_exists($parent, $taskgroupList))
        return;

    $taskgroupList[$parent] = $level;

    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    if ($parentDetail->tas_parent_task[0] != 0) {
        add_taskgroup_to_changelist($parentDetail->tas_parent_task[0], $parentDetail->tas_level[0]);
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }
            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }
            $newCompletion += $completion;
            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }
            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }
            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;
            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }
            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;
            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }
            $newPublished = $published;
        }
    }
    $newCompletion = substr($newCompletion / $newSubtask, 0, 1);

    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='" . TG_YES . "', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
}

function delete_subtasks($id)
{
    global $fileManagement, $tableCollab;

    $tmpquery = "WHERE tas.id IN($id)";
    $listTasks = new request();
    $listTasks->openTasks($tmpquery);
    $comptListTasks = count($listTasks->tas_id);

    if ($comptListTasks > 0) {
        $rc = $listTasks->tas_parent_phase[0];
    } else {
        $rc = 0;
    }

    $subtasks = "";
    for ($i = 0;$i < $comptListTasks;$i++) {
        if ($listTasks->tas_task_group[$i] == TG_YES) {
            $tmpquery = "WHERE tas.parent_task='" . $listTasks->tas_id[$i] . "'";
            $listSubtasks = new request();
            $listSubtasks->openTasks($tmpquery);
            $comptListSubtasks = count($listSubtasks->tas_id);

            for ($j = 0;$j < $comptListSubtasks;$j++) {
                if ($subtasks != "") {
                    $subtasks .= ",";
                }

                $subtasks .= "'" . $listSubtasks->tas_id[$j] . "'";
            }
        }
    }

    if ($subtasks != "") {
        delete_subtasks($subtasks);
    }

    if ($fileManagement == "true") {
        for ($i = 0;$i < $comptListTasks;$i++) {
            delDir("files/" . $listTasks->tas_project[$i] . "/" . $listTasks->tas_id[$i]);
        } 
    }

    $tmpquery1 = "DELETE FROM " . $tableCollab["tasks"] . " WHERE id IN($id)";
    $tmpquery2 = "DELETE FROM " . $tableCollab["assignments"] . " WHERE task IN($id)";
    $tmpquery3 = "DELETE FROM " . $tableCollab["tasks_time"] . " WHERE task IN($id)";
    $tmpquery4 = "DELETE FROM " . $tableCollab["tasks_predecessor"] . " WHERE task IN($id) OR predecessor IN($id)";
    $tmpquery5 = "DELETE FROM " . $tableCollab["tasks_resource"] . " WHERE task IN($id)";
    $tmpquery6 = "DELETE FROM " . $tableCollab["person_evaluations"] . " WHERE type='0' AND item IN($id)";

    connectSql("$tmpquery1");
    connectSql("$tmpquery2");
    connectSql("$tmpquery3");
    connectSql("$tmpquery4");
    connectSql("$tmpquery5");
    connectSql("$tmpquery6");

    return $rc;
}

if ($action == "delete") {
    $criticalSection = enter_critical_section();

    if ($criticalSection == -1) {
        if ($project != "") {
            header("Location: ../projects/viewproject.php?id=$project&msg=$msg");
        } else {
            header("Location: ../general/home.php?msg=$msg");
        } 
        exit;
    }

    $id = str_replace("**", ",", $id);
    $tmpquery = "WHERE tas.id IN ($id)";
    $listTasks = new request();
    $listTasks->openTasks($tmpquery);
    $comptListTasks = count($listTasks->tas_id);
    $parentPhase = delete_subtasks($id);

    if ($parentPhase != "0") {
        // change parent phase status
        $tmpquery = " WHERE tas.parent_phase='" . $parentPhase . "'";
        $statusList = new request();
        $statusList->openTasks($tmpquery);
        $comptStatusList = count($statusList->tas_id);
        $statusArray = array(0, 0, 0, 0, 0);
        for ($j = 0;$j < $comptStatusList; $j++) {
            $statusArray[$statusList->status[$j]]++;
        }
        if ($comptStatusList == 0) {
            $parentPhaseStatus = PS_NOT_STARTED;
        } else if ($statusArray[ST_COMPLETED] == $comptStatusList) {
            $parentPhaseStatus = PS_COMPLETE;
        } else if ($statusArray[ST_NOT_STARTED] == $comptStatusList) {
            $parentPhaseStatus = PS_NOT_STARTED;
        } else if ($statusArray[ST_SUSPENDED] == $comptStatusList) {
            $parentPhaseStatus = PS_SUSPENDED;
        } else {
            $parentPhaseStatus = PS_OPEN;
        }
        $tmpquery = " WHERE pha.id='" . $parentPhase . "'";
        $phaseStatus = new request();
        $phaseStatus->openPhases($tmpquery);
        if ($phaseStatus->pha_status[0] != $parentPhaseStatus) {
            $tmpquery = "UPDATE " . $tableCollab["phases"] . " SET status='$parentPhaseStatus' WHERE id='" . $parentPhase . "'";
            connectSql("$tmpquery");
        }
    }

    // update parent tasks
    for ($i=0; $i<$comptListTasks; $i++) {
        if ($listTasks->tas_parent_task[$i] != 0) {
            add_taskgroup_to_changelist($listTasks->tas_parent_task[$i], $listTasks->tas_level[$i]);
        }
    }

    if (count($taskgroupList) > 0) {
        arsort($taskgroupList, SORT_NUMERIC);
        reset($taskgroupList);

        while (list($parentTask, $level) = each($taskgroupList)) {
            change_parent_task($parentTask);
        }
    }

    leave_critical_section($criticalSection);

    if ($project != "") {
        header("Location: ../projects/viewproject.php?id=$project&msg=delete");
        exit;
    } else {
        header("Location: ../general/home.php?msg=delete");
        exit;
    }
}

require_once("../themes/" . THEME . "/header.php");

$blockPage = new block();
$blockPage->openBreadcrumbs();
if ($project != "") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
    $blockPage->itemBreadcrumbs(lang_strings("delete_tasks"));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../general/home.php?", lang_strings("home"), in));
    $blockPage->itemBreadcrumbs(lang_strings("my_tasks"));
}
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

$block1 = new block();

$block1->form = "saP";
$block1->openForm("../tasks/deletetasks.php?project=$project&amp;action=delete&amp;id=$id");

$block1->heading(lang_strings("delete_tasks"));

$block1->openContent();

$id = str_replace("**", ",", $id);
$tmpquery = "WHERE tas.id IN($id) AND tas.task_group='" . TG_YES . "'";
$listTaskGroups = new request();
$listTaskGroups->openTasks($tmpquery);
$comptListTaskGroups = count($listTaskGroups->tas_id);

$block1ContentTitle = lang_strings("delete_following");
if ($comptListTaskGroups > 0) {
    $block1ContentTitle .= "&nbsp;&nbsp;<b>" . lang_strings("attention") . "</b> : " . lang_strings("delete_subtasks");
}
$block1->contentTitle($block1ContentTitle);

$tmpquery = "WHERE tas.id IN($id) ORDER BY tas.name";
$listTasks = new request();
$listTasks->openTasks($tmpquery);
$comptListTasks = count($listTasks->tas_id);

for ($i = 0;$i < $comptListTasks;$i++) {
    echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">#" . $listTasks->tas_id[$i] . "</td><td>" . $listTasks->tas_name[$i];
    if ($listTasks->tas_task_group[$i] == TG_YES) {
        echo "&nbsp;&nbsp;(&nbsp;" . $listTasks->tas_subtask[$i] . "&nbsp;&nbsp;";
        if ($listTasks->tas_subtask[$i] > 1) {
            echo lang_strings('subtasks');
        } else {
            echo lang_strings('subtask');
        }
        echo "&nbsp;)";
    }
    echo "</td></tr>";
} 

echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td><input type=\"submit\" name=\"delete\" 
value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" 
onClick=\"history.back();\"></td></tr>";

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
