<?php // $Revision: 1.11 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: edittasktime.php,v 1.11 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

// Make sure this person has the right to log hours for this task
$tmpquery = "WHERE tim.id='$id'";
$taskTimeDetail = new request();
$taskTimeDetail->openTaskTime($tmpquery);
$project = $taskTimeDetail->tim_project[0];
$task = $taskTimeDetail->tim_task[0];
$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);

if ($comptMemberTest == '0') {
    $teamMember = 'false';
} else {
    $teamMember = 'true';
}

if ($teamMember == 'false' && $projectsFilter == "true" && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header("Location:../general/permissiondenied.php");
    exit;
} 

// Check field values
if ($_GET['action'] == 'edit') {
    $msgLabel .= ''; // init
     
    // make sure we have the required information
    if (!empty($hr)) {
        if (!is_numeric($hr)) {
            // we need this to be numeric
            $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours')
             . ' ' . lang_strings('error_numerical');
        } 
    } else {
        // we need this to be numeric
        $msgLabel = '<b>' . lang_strings('attention') . '</b> : ' . lang_strings('worked_hours')
         . ' ' . lang_strings('error_required');
    } 
    // update task time in database
    if (empty($msgLabel)) {
        $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
        $tmpquery1  = "UPDATE " . $tableCollab['tasks_time'] . " ";
        $tmpquery1 .= "SET owner='$owner', date='$ld', hours='$hr', ";
        $tmpquery1 .= "comments='$comm', billing='$bf', modified='$dateheures' ";
        $tmpquery1 .= "WHERE id=$id";
        connectSql($tmpquery1);
        header("Location: ../tasks/addtasktime.php?id=$task&msg=update");
        exit;
    } 
} 

// Project Detail
$tmpquery = "WHERE pro.id = '$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

// Task Detail
$tmpquery = "WHERE tas.id = '$task'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);

if ($taskDetail->tas_estimated_time[0] < 1) {
    $taskDetail->tas_estimated_time[0] = 0;
}

// set billing flag
$bf = $taskTimeDetail->tim_billing[0];

if ($taskDetail->tas_service[0] == '0') {
    $tmpquery = " WHERE serv.id='" . $taskDetail->tas_service[0] . "'";
    $serviceDetail = new request();
    $serviceDetail->openServices($tmpquery);
}

// get actual time for task
$taskActualTime = new request();
$actualTime = $taskActualTime->getTaskTime($task);
require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=" . $projectDetail->pro_id[0], $projectDetail->pro_name[0], in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=" . $projectDetail->pro_id[0], lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/viewtask.php?id=" . $taskDetail->tas_id[0], $taskDetail->tas_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("edit_task_time"));
$blockPage->closeBreadcrumbs();
// message for success/failure
if ($msgLabel) {
    $blockPage->messagebox($msgLabel);
}

$blockPage->bornesNumber = "1";
$block1 = new block();
$block1->form = "saT";
$block1->openForm("../tasks/edittasktime.php?id=$id&task=$task&amp;action=edit#" . $block1->form . "Anchor");
$block1->heading(lang_strings("edit_task_time") . " : " . $taskDetail->tas_name[0]);
$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
$block1->contentRow(lang_strings("tasks"), $taskDetail->tas_name[0]);
$block1->contentRow(lang_strings("description"), nl2br(html_entity_decode($taskDetail->tas_description[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings("estimated_time"), $taskDetail->tas_estimated_time[0] . " " . lang_strings("hours"));
$block1->contentRow(lang_strings("actual_time"), $actualTime . " " . lang_strings("hours"));
$block1->contentTitle(lang_strings("edit_task_time"));
// owner
if ($profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $tmpquery = "WHERE tea.project = '$project' AND mem.profil<>'" . PF_CLIENT_USER . "' ORDER BY mem.name";
    $projmem = new request();
    $projmem->openTeams($tmpquery);
    $comptProjmem = count($projmem->tea_mem_id);
    $ownerSel = "<select name='owner'>";

    // get project team listing for owner select lists, default to logged user
    for ($i = 0;$i < $comptProjmem;$i++) {
        if ($taskTimeDetail->tim_owner[0] == $projmem->tea_mem_id[$i]) {
            $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "' selected>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
        } else {
            $ownerSel .= "<option value='" . $projmem->tea_mem_id[$i] . "'>" . $projmem->tea_mem_name[$i] . "$clientUser</option>";
        } 
    } 

    $ownerSel .= "</select>";
    $block1->contentRow(lang_strings('owner'), $ownerSel);
} else {
    echo "<input type=\"hidden\" name=\"owner\" value=\"$idSession\">";
    $block1->contentRow(lang_strings('owner'), $taskTimeDetail->tim_mem_name[0]);
}

// date
if ($ld == '') {
    $ld = $date;
} 

$block1->contentRow(lang_strings('date'), "
  <input type='text' class='input_datetime' name='ld' id='sel1' size='20' 
  value='" . $taskTimeDetail->tim_date[0] . "' readonly><button type='reset' id=\"trigger_a\">...</button>
<script type=\"text/javascript\">Calendar.setup({ inputField:\"sel1\", button:\"trigger_a\" });</script>");
// billing
$bfSel = "<select name=\"bf\">";

if ($bf == BF_NO) {
    $bfSel .= "<option value='" . BF_NO . "' selected>" . lang_strings("none") . "</option>";
} else {
    $bfSel .= "<option value='" . BF_NO . "'>" . lang_strings("none") . "</option>";
}

if ($taskDetail->tas_service[0] != '0') {
    if ($bf == BF_YES) {
        $bfSel .= "<option value=\"" . BF_YES . "\" selected>" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    } else {
        $bfSel .= "<option value=\"" . BF_YES . "\">" . $serviceDetail->serv_name_print[0] . " (" . lang_strings("hourly_rate") . " $" . $serviceDetail->serv_hourly_rate[0] . ")</option>";
    }
}

$bfSel .= "</select>";
$block1->contentRow(lang_strings("service"), $bfSel);
// hours
$block1->contentRow(lang_strings("worked_hours"), "<input size='20' value='" . $taskTimeDetail->tim_hours[0] . "' class='input_hours' name='hr' maxlength='6' type='text'>");
// comments
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>" . html_entity_decode($taskTimeDetail->tim_comments[0], ENT_QUOTES, $htmlEntityCharset) . "</textarea>");
$block1->contentRow("", "<input type='SUBMIT' value='" . lang_strings("update") . "'><input type='button' name='cancel' value='" . lang_strings('cancel') . "' onClick='history.back();'>");
$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
