<?php // $Revision: 1.10 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: noti_prioritytaskchange.php,v 1.10 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$tmpquery = "WHERE tas.id IN ($id)";
$taskNoti = new request();
$taskNoti->openTasks($tmpquery);
$comptTaskNoti = count($taskNoti->tas_id);
$tmpquery = "WHERE pro.id = '$project'";
$projectNoti = new request();
$projectNoti->openProjects($tmpquery);
$tmpquery = "WHERE noti.member IN ($at) AND noti.priorityTaskChange='0' AND mem.email_work<>''";
$listNotifications = new request();
$listNotifications->openNotifications($tmpquery);
$comptListNotifications = count($listNotifications->not_id);

if ($projectNoti->pro_org_id[0] == "1") {
    $projectNoti->pro_org_name[0] = lang_strings("none");
}

for ($i=0; $i<$comptTaskNoti; $i++) {
    if ($taskNoti->tas_priority[$i] == PR_HIGH || $taskNoti->tas_priority[$i] == PR_VERY_HIGH) {
        $pr = "1";
    } else {
        $pr = "3";
    }

    $complValue = ($taskNoti->tas_completion[$i] > 0) ? $taskNoti->tas_completion[$i] . "0 %": $taskNoti->tas_completion[$i] . " %";
    $idStatus = $taskNoti->tas_status[$i];
    $idPriority = $taskNoti->tas_priority[$i];
    $mail = new notification();
    $comptRecipients = 0;

    for ($k=0; $k<$comptListNotifications; $k++) {
        if ($listNotifications->not_mem_organization[$k] == "1") {
            $mail->getUserinfo($listNotifications->not_member[$k], "to");
            $comptRecipients++ ;
        }
    }

    if ($comptRecipients > 0) {
        $mail->getUserinfo($idSession, "from");
        $mail->partSubject = lang_strings("noti_prioritytaskchange1");
        $mail->partMessage = lang_strings("noti_prioritytaskchange2");
        $subject = $mail->partSubject . " " . $taskNoti->tas_name[$i];
        $mail->Priority = $pr;
        $mail->openBody();
        $mail->openContent();
        $mail->contentRow(lang_strings("task"), $taskNoti->tas_name[$i]);
        $mail->contentRow(lang_strings("start_date"), $taskNoti->tas_start_date[$i]);
        $mail->contentRow(lang_strings("due_date"), $taskNoti->tas_due_date[$i]);
        $mail->contentRow(lang_strings("completion"), $complValue);
        $mail->contentRow(lang_strings("priority"), $priority[$idPriority]);
        $mail->contentRow(lang_strings("status"), $status[$idStatus]);
        $mail->contentRow(lang_strings("description"), nl2br(html_entity_decode($taskNoti->tas_description[$i], ENT_QUOTES, $htmlEntityCharset)));
        $mail->contentRow(lang_strings("project"), $projectNoti->pro_name[0] . " (" . $projectNoti->pro_id[0] . ")");
        $mail->contentRow(lang_strings("organization"), $projectNoti->pro_org_name[0]);
        $mail->closeContent();
        $mail->note("$root/general/login.php?url=tasks/viewtask.php%3Fid=" . $taskNoti->tas_id[$i]);
        $mail->closeBody();
        $mail->Subject = $subject;
        $mail->Send();
    }

    if ($projectNoti->pro_published[0] == PB_YES && $taskNoti->tas_published[$i] == PB_YES) {
        $mail = new notification();
        $comptRecipients = 0;

        for ($k=0; $k<$comptListNotifications; $k++) {
            if ($listNotifications->not_mem_organization[$k] != "1") {
                $mail->getUserinfo($listNotifications->not_member[$k], "to");
                $comptRecipients++ ;
            }
        }

        if ($comptRecipients > 0) {
            $mail->getUserinfo($idSession, "from");
            $mail->partSubject = lang_strings("noti_prioritytaskchange1");
            $mail->partMessage = lang_strings("noti_prioritytaskchange2");
            $subject = $mail->partSubject . " " . $taskNoti->tas_name[$i];
            $mail->Priority = $pr;
            $mail->openBody();
            $mail->openContent();
            $mail->contentRow(lang_strings("task"), $taskNoti->tas_name[$i]);
            $mail->contentRow(lang_strings("start_date"), $taskNoti->tas_start_date[$i]);
            $mail->contentRow(lang_strings("due_date"), $taskNoti->tas_due_date[$i]);
            $mail->contentRow(lang_strings("completion"), $complValue);
            $mail->contentRow(lang_strings("priority"), $priority[$idPriority]);
            $mail->contentRow(lang_strings("status"), $status[$idStatus]);
            $mail->contentRow(lang_strings("description"), nl2br(html_entity_decode($taskNoti->tas_description[$i], ENT_QUOTES, $htmlEntityCharset)));
            $mail->contentRow(lang_strings("project"), $projectNoti->pro_name[0] . " (" . $projectNoti->pro_id[0] . ")");
            $mail->contentRow(lang_strings("organization"), $projectNoti->pro_org_name[0]);
            $mail->closeContent();
            $mail->note("$root/general/login.php?url=projects_site/home.php%3Fproject=" . $projectNoti->pro_id[0]);
            $mail->closeBody();
            $mail->Subject = $subject;
            $mail->Send();
        }
    }
}

?>
