<?php // $Revision: 1.34 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewtask.php,v 1.34 2006/08/14 06:02:05 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$taskgroupList = array();

function add_taskgroup_to_changelist($parent, $level)
{
    global $taskgroupList;

    if (array_key_exists($parent, $taskgroupList))
        return;

    $taskgroupList[$parent] = $level;

    $tmpquery = "WHERE tas.id='$parent'";
    $parentDetail = new request();
    $parentDetail->openTasks($tmpquery);

    if ($parentDetail->tas_parent_task[0] != 0) {
        add_taskgroup_to_changelist($parentDetail->tas_parent_task[0], $parentDetail->tas_level[0]);
    }
}

function change_parent_task($parent)
{
    global $tableCollab, $dateheures;

    $tmpquery = "WHERE tas.parent_task='$parent'";
    $subtaskList = new request();
    $subtaskList->openTasks($tmpquery);
    $newSubtask = count($subtaskList->tas_id);

    for ($i = 0;$i < $newSubtask;$i++) {
        $priority = $subtaskList->tas_priority[$i];
        $status = $subtaskList->tas_status[$i];
        $completion = $subtaskList->tas_completion[$i];
        $start_date = $subtaskList->tas_start_date[$i];
        $due_date = $subtaskList->tas_due_date[$i];
        $estimated_time = $subtaskList->tas_estimated_time[$i];
        $actual_time = $subtaskList->tas_actual_time[$i];
        $complete_date = $subtaskList->tas_complete_date[$i];
        $published = $subtaskList->tas_published[$i];

        if ($i > 0) {
            if ($newPriority < $priority) {
                $newPriority = $priority;
            }
            if ($status == ST_NOT_STARTED || $newStatus == ST_NOT_STARTED) {
                $newStatus = ST_NOT_STARTED;
            } else if ($status == ST_OPEN || $newStatus == ST_OPEN) {
                $newStatus = ST_OPEN;
            } else if ($status == ST_SUSPENDED || $newStatus == ST_SUSPENDED) {
                $newStatus = ST_SUSPENDED;
            } else if ($status == ST_CLIENT_COMPLETED || $newStatus == ST_CLIENT_COMPLETED) {
                $newStatus = ST_CLIENT_COMPLETED;
            }
            $newCompletion += $completion;
            if ($newStartDate > $start_date) {
                $newStartDate = $start_date;
            }
            if ($newDueDate < $due_date) {
                $newDueDate = $due_date;
            }
            $newEstimatedTime += $estimated_time;
            $newActualTime += $actual_time;
            if ($newStatus == ST_COMPLETED) {
                if ($newCompleteDate < $complete_date) {
                    $newCompleteDate = $complete_date;
                }
            } else {
                $newCompleteDate = '--';
            }
            if ($published == PB_YES) {
                $newPublished = PB_YES;
            }
        } else {
            $newPriority = $priority;
            $newStatus = $status;
            $newCompletion = $completion;
            $newStartDate = $start_date;
            $newDueDate = $due_date;
            $newEstimatedTime = $estimated_time;
            $newActualTime = $actual_time;
            if ($newStatus == ST_COMPLETED) {
                $newCompleteDate = $complete_date;
            } else {
                $newCompleteDate = '--';
            }
            $newPublished = $published;
        }
    }
    $newCompletion = substr($newCompletion / $newSubtask, 0, 1);

    $tmpquery = "UPDATE " . $tableCollab['tasks'] . " SET priority='$newPriority', status='$newStatus', completion='$newCompletion', start_date='$newStartDate', due_date='$newDueDate', estimated_time='$newEstimatedTime', actual_time='$newActualTime', published='$newPublished', complete_date='$newCompleteDate', modified='$dateheures', task_group='" . TG_YES . "', subtask='$newSubtask' WHERE id='$parent'";
    connectSql("$tmpquery");
}

$id = $_REQUEST['id'];
$tmpquery = "WHERE tas.id = '$id'";
$taskDetail = new request();
$taskDetail->openTasks($tmpquery);
$project = $taskDetail->tas_project[0];
$tmpquery = "WHERE pro.id='$project'";
$projectDetail = new request();
$projectDetail->openProjects($tmpquery);

if ($projectDetail->pro_enable_phase[0] != "0") {
    $tPhase = $taskDetail->tas_parent_phase[0];
    $tmpquery = "WHERE pha.project_id = '$project' AND pha.order_num = '$tPhase'";
    $targetPhase = new request();
    $targetPhase->openPhases($tmpquery);
} 

$teamMember = "false";
$tmpquery = "WHERE tea.project = '$project' AND tea.member = '$idSession'";
$memberTest = new request();
$memberTest->openTeams($tmpquery);
$comptMemberTest = count($memberTest->tea_id);

if ($comptMemberTest == "0") {
    $teamMember = "false";
} else {
    $teamMember = "true";
} 

if ($teamMember == 'false' && $projectsFilter == 'true' && $profilSession != PF_PROJECT_MANAGER_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $profilSession != PF_ADMINISTRATOR) {
    header("Location:../general/permissiondenied.php");
    exit;
}

if ($action == "publish") {
    if ($addToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_YES . "' WHERE id = '" . $id . "'";
        connectSql("$tmpquery1");
        $msg = "addToSite";
        $taskDetail->tas_published[0] = PB_YES;
    } 

    if ($removeToSite == "true") {
        $tmpquery1 = "UPDATE " . $tableCollab["tasks"] . " SET published='" . PB_NO . "' WHERE id = '" . $id . "'";
        connectSql("$tmpquery1");
        $msg = "removeToSite";
        $taskDetail->tas_published[0] = PB_NO;
    } 

    if ($addToSiteFile == "true") {
        $id = str_replace("**", ",", $id);
        $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_YES . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql("$tmpquery1");
        $msg = "addToSite";
        $id = $task;
    } 

    if ($removeToSiteFile == "true") {
        $id = str_replace("**", ",", $id);
        $tmpquery1 = "UPDATE " . $tableCollab["files"] . " SET published='" . PB_NO . "' WHERE id IN($id) OR vc_parent IN ($id)";
        connectSql("$tmpquery1");
        $msg = "removeToSite";
        $id = $task;
    } 

    if ($addToSite == "true" || $removeToSite == "true") {
        $criticalSection = enter_critical_section();

        if ($criticalSection == -1) {
            header("Location: ../tasks/viewtask.php?id=$id&msg=$msg");
            exit;
        }

        $tmpquery = "WHERE tas.id='$id'";
        $listTasks = new request();
        $listTasks->openTasks($tmpquery);
        $comptListTasks = count($listTasks->tas_id);

        for ($i=0; $i<$comptListTasks; $i++) {
            add_taskgroup_to_changelist($listTasks->tas_parent_task[$i], $listTasks->tas_level[$i]);
        }

        if (count($taskgroupList) > 0) {
            arsort($taskgroupList, SORT_NUMERIC);
            reset($taskgroupList);

            while (list($parentTask, $level) = each($taskgroupList)) {
                change_parent_task($parentTask);
            }
        }

        leave_critical_section($criticalSection);
    }
} 

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/listprojects.php?", lang_strings("projects"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../projects/viewproject.php?id=$project", $projectDetail->pro_name[0], in));

if ($projectDetail->pro_phase_set[0] != "0") {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/listphases.php?id=$project", lang_strings("phases"), in));
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../phases/viewphase.php?id=" . $targetPhase->pha_id[0], $targetPhase->pha_name[0], in));
}

$blockPage->itemBreadcrumbs($blockPage->buildLink("../tasks/listtasks.php?project=$project", lang_strings("tasks"), in));
$blockPage->itemBreadcrumbs($taskDetail->tas_name[0]);
$blockPage->closeBreadcrumbs();

if ($msg != "") {
    require_once("../includes/messages.php");
    $blockPage->messagebox($msgLabel);
}

if ($error != "") {
    $blockPage->headingError(lang_strings("errors"));
    $blockPage->contentError(lang_strings($error));
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesLess");
}

$block1 = new block();
$block1->form = "tdD";
$block1->openForm("../tasks/viewtask.php#" . $block1->form . "Anchor");

if ($taskDetail->tas_task_group[0] == TG_YES) {
    $block1->headingToggle(lang_strings("taskgroup") . " : " . $taskDetail->tas_name[0]);
    $tmpquery = "WHERE tas.parent_task = '$id'";
    $listSubTasks = new request();
    $listSubTasks->openTasks($tmpquery);
    $comptListSubTasks = count($listSubTasks->tas_id);
} else {
    $block1->headingToggle(lang_strings("task") . " : " . $taskDetail->tas_name[0]);
}

$block1->openPaletteIcon();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteIcon(0, "remove", lang_strings("delete"));
    $block1->paletteIcon(1, "copy", lang_strings("copy"));
    // $block1->paletteIcon(2,"export",lang_strings("export"));

    if ($sitePublish == "true" && $taskDetail->tas_task_group[0] != TG_YES) {
        $block1->paletteIcon(3, "add_projectsite", lang_strings("add_project_site"));
        $block1->paletteIcon(4, "remove_projectsite", lang_strings("remove_project_site"));
    } 
}

$block1->paletteIcon(5, "edit", lang_strings("edit"));

if ($taskDetail->tas_milestone[0] != MS_YES) {
    $block1->paletteIcon(6, "timelog", lang_strings("loghours"));
}

$block1->closePaletteIcon();

if ($projectDetail->pro_org_id[0] == "1") {
    $projectDetail->pro_org_name[0] = lang_strings("none");
}

$block1->openContent();
$block1->contentTitle(lang_strings("info"));
$block1->contentRow(lang_strings("project"), $blockPage->buildLink("../projects/viewproject.php?id=$project", $projectDetail->pro_name[0], in));

if ($projectDetail->pro_phase_set[0] != "0") {
    $block1->contentRow(lang_strings("phase"), $blockPage->buildLink("../phases/viewphase.php?id=" . $targetPhase->pha_id[0], $targetPhase->pha_name[0], in));
}

if ($taskDetail->tas_parent_task[0] != "0") {
    $tmpquery = "WHERE tas.id='" . $taskDetail->tas_parent_task[0] . "'";
    $parentTaskDetail = new request();
    $parentTaskDetail->openTasks($tmpquery);
    $block1->contentRow(lang_strings("parent_task"), $blockPage->buildLink("../tasks/viewtask.php?id=" . $parentTaskDetail->tas_id[0], $parentTaskDetail->tas_name[0], in));
}

$block1->contentRow(lang_strings("organization"), $projectDetail->pro_org_name[0]);
$block1->contentRow(lang_strings("created"), createDate($taskDetail->tas_created[0], $timezoneSession));

if ($taskDetail->tas_milestone[0] != MS_YES) {
    $block1->contentRow(lang_strings("assigned"), createDate($taskDetail->tas_assigned[0], $timezoneSession));
}

$block1->contentRow(lang_strings("modified"), createDate($taskDetail->tas_modified[0], $timezoneSession));
$block1->contentTitle(lang_strings("details"));
$block1->contentRow(lang_strings("name"), $taskDetail->tas_name[0]);
$block1->contentRow(lang_strings('task_id'), $taskDetail->tas_id[0]);
$block1->contentRow(lang_strings("description"), nl2br(html_entity_decode($taskDetail->tas_description[0], ENT_QUOTES, $htmlEntityCharset)));

if ($taskDetail->tas_milestone[0] != MS_YES) {
    $tmpquery = "WHERE id='" . $taskDetail->tas_service[0] . "'";
    $serviceDetail = new request();
    $serviceDetail->openServices($tmpquery);

    $servicePrintName = $serviceDetail->serv_name_print[0];
    $serviceHourlyRate = $serviceDetail->serv_hourly_rate[0];

    if ($servicePrintName) {
        $block1->contentRow(lang_strings("service"), $servicePrintName . ' (' . lang_strings('hourly_rate') . ' $' . $serviceHourlyRate . ')');
    } else {
        $block1->contentRow(lang_strings("service"), lang_strings('none'));
    } 
}

$idStatus = $taskDetail->tas_status[0];
$idPriority = $taskDetail->tas_priority[0];
$idPublish = $taskDetail->tas_published[0];
$complValue = ($taskDetail->tas_completion[0] > 0) ? $taskDetail->tas_completion[0] . "0 %": $taskDetail->tas_completion[0] . " %";

$block1->contentRow(lang_strings("milestone"), $milestoneis[$taskDetail->tas_milestone[0]]);
if ($taskDetail->tas_milestone[0] != MS_YES) {
    $block1->contentRow(lang_strings("status"), $status[$idStatus]);
    $block1->contentRow(lang_strings("completion"), $complValue);
    $block1->contentRow(lang_strings("priority"), $priority[$idPriority]);
    $block1->contentRow(lang_strings("start_date"), $taskDetail->tas_start_date[0]);
    if ($taskDetail->tas_due_date[0] <= $date && $taskDetail->tas_completion[0] != "10") {
        $block1->contentRow(lang_strings("due_date"), "<b>" . $taskDetail->tas_due_date[0] . "</b>");
    } else {
        $block1->contentRow(lang_strings("due_date"), $taskDetail->tas_due_date[0]);
    } 
    $taskActualTime = new request();
    $actual_time = $taskActualTime->getTaskTime($id);
    if ($taskDetail->tas_complete_date[0] != "" && $taskDetail->tas_complete_date[0] != "--" && $taskDetail->tas_due_date[0] != "--") {
        $diff = $actual_time - $taskDetail->tas_estimated_time[0] ;
        if ($diff > 0) {
            $diff = "<b>+$diff</b>";
        } 
        $block1->contentRow(lang_strings("complete_date"), $taskDetail->tas_complete_date[0]);
        $block1->contentRow(lang_strings("scope_creep") . $blockPage->printHelp("task_scope_creep"), "$diff " . lang_strings("hours"));
    } 
    $block1->contentRow(lang_strings("estimated_time"), $taskDetail->tas_estimated_time[0] . " " . lang_strings("hours"));
    $block1->contentRow(lang_strings("actual_time"), $actual_time . " " . lang_strings("hours"));
    if ($sitePublish == "true") {
        $block1->contentRow(lang_strings("published"), $statusPublish[$idPublish]);
    } 
} else {
    $block1->contentRow(lang_strings("date"), $taskDetail->tas_due_date[0]);
}

$block1->contentRow(lang_strings("comments"), nl2br(html_entity_decode($taskDetail->tas_comments[0], ENT_QUOTES, $htmlEntityCharset)));

if ($taskDetail->tas_milestone[0] != MS_YES) {
    if ($taskDetail->tas_type[0] != "99999") {
        $block1->contentRow(lang_strings("type"), $personEvaluationItemArraySets['sets'][$taskDetail->tas_type[0]]);
    } else {
        $block1->contentRow(lang_strings("type"), lang_strings('none'));
    }
}

$block1->contentTitle(lang_strings("updates_task"));
$tmpquery = "WHERE upd.type='1' AND upd.item = '$id' ORDER BY upd.created DESC";
$listUpdates = new request();
$listUpdates->openUpdates($tmpquery);
$comptListUpdates = count($listUpdates->upd_id);
echo "<tr class=\"odd\"><td valign=\"top\" class=\"leftvalue\">&nbsp;</td><td>";

if ($comptListUpdates != "0") {
    for ($i = 0,$j = 1;$i < $comptListUpdates;$i++,$j++) {
        if ($i == 5) {
            echo "...<br>";
            break;
        }

        $upd_comm = nl2br(html_entity_decode($listUpdates->upd_comments[$i], ENT_QUOTES, $htmlEntityCharset));

        if (ereg("\[status:([0-9])\]", $upd_comm)) {
            preg_match("|\[status:([0-9])\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[status:([0-9])\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("status") . " " . $status[$matches[1]];
        }

        if (ereg("\[priority:([0-9])\]", $upd_comm)) {
            preg_match("|\[priority:([0-9])\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[priority:([0-9])\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("priority") . " " . $priority[$matches[1]];
        }

        if (ereg("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", $upd_comm)) {
            preg_match("|\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]|i", $upd_comm, $matches);
            $upd_comm = ereg_replace("\[datedue:([0-9]{4}-[0-9]{1,2}-[0-9]{1,2})\]", "", $upd_comm . "<br>");
            $upd_comm .= lang_strings("due_date") . " " . $matches[1];
        }

        $abbrev = substr($upd_comm, 0, 100);
        echo "<b>" . $j . ".</b> <i>" . createDate($listUpdates->upd_created[$i], $timezoneSession) . "</i> $abbrev";

        if (100 < strlen($upd_comm)) {
            echo "...<br>";
        } else {
            echo "<br>";
        }
    }

    echo "<br>" . $blockPage->buildLink("../tasks/historytask.php?type=1&amp;item=$id", lang_strings("show_details"), in);
} else {
    echo lang_strings("no_items");
}

echo "</td></tr>";

$block1->closeContent();
$block1->closeToggle();
$block1->closeForm();
$block1->openPaletteScript();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block1->paletteScript(0, "remove", "../tasks/deletetasks.php?project=$project&id=$id", "true,true,false", lang_strings("delete"));
    $block1->paletteScript(1, "copy", "../tasks/edittask.php?project=$project&id=$id&cpy=true", "true,true,false", lang_strings("copy"));
    // $block1->paletteScript(2,"export","export.php?","true,true,false",lang_strings("export"));

    if ($sitePublish == "true" && $taskDetail->tas_task_group[0] != TG_YES) {
        $block1->paletteScript(3, "add_projectsite", "../tasks/viewtask.php?addToSite=true&id=$id&action=publish", "true,true,true", lang_strings("add_project_site"));
        $block1->paletteScript(4, "remove_projectsite", "../tasks/viewtask.php?removeToSite=true&id=$id&action=publish", "true,true,true", lang_strings("remove_project_site"));
    } 
}

$block1->paletteScript(5, "edit", "../tasks/edittask.php?project=$project&id=$id&cpy=false", "true,true,false", lang_strings("edit"));

if ($taskDetail->tas_milestone[0] != MS_YES) {
    $block1->paletteScript(6, "timelog", "../tasks/addtasktime.php?id=$id", "true,true,false", lang_strings("loghours"));
}

$block1->closePaletteScript("", "");

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->turnPage();
}

// --- linked content block ---

if ($fileManagement == "true") {
    $block2 = new block();
    $block2->form = "tdC";
    $block2->openForm("../tasks/viewtask.php?id=$id#" . $block2->form . "Anchor");
    $block2->headingToggle(lang_strings("linked_content"));
    $block2->openPaletteIcon();
    $block2->paletteIcon(0, "add", lang_strings("add"));
    $block2->paletteIcon(1, "remove", lang_strings("delete"));

    if ($sitePublish == "true") {
        $block2->paletteIcon(2, "add_projectsite", lang_strings("add_project_site"));
        $block2->paletteIcon(3, "remove_projectsite", lang_strings("remove_project_site"));
    }

    $block2->paletteIcon(4, "info", lang_strings("view"));
    $block2->paletteIcon(5, "edit", lang_strings("edit"));
    $block2->closePaletteIcon();

    if ($taskDetail->tas_task_group[0] == TG_YES) {
        $listTaskIDs = $id;

        for ($i = 0;$i < $comptListSubTasks;$i++) {
            $listTaskIDs .= "," . $listSubTasks->tas_id[$i];
        }

        $block2->sorting("files", $sortingUser->sor_files[0], "fil.name ASC", $sortingFields = array(0 => "fil.extension", 1 => "fil.name", 2 => "fil.task", 3 => "fil.date", 4 => "fil.status", 5 => "fil.published"));
        $tmpquery = "WHERE fil.task IN ($listTaskIDs) AND fil.vc_parent = '0' ORDER BY " . $block2->sortingValue;
    } else {
        $block2->sorting("files", $sortingUser->sor_files[0], "fil.name ASC", $sortingFields = array(0 => "fil.extension", 1 => "fil.name", 2 => "fil.date", 3 => "fil.status", 4 => "fil.published"));
        $tmpquery = "WHERE fil.task = '$id' AND fil.vc_parent = '0' ORDER BY " . $block2->sortingValue;
    }

    $listFiles = new request();
    $listFiles->openFiles($tmpquery);
    $comptListFiles = count($listFiles->fil_id);

    if ($comptListFiles != "0") {
        $block2->openResults();

        if ($taskDetail->tas_task_group[0] == TG_YES) {
            $block2->labels($labels = array(0 => lang_strings("type"), 1 => lang_strings("name"), 2 => lang_strings("task"), 3 => lang_strings("date"), 4 => lang_strings("approval_tracking"), 5 => lang_strings("published")), "true");
        } else {
            $block2->labels($labels = array(0 => lang_strings("type"), 1 => lang_strings("name"), 2 => lang_strings("date"), 3 => lang_strings("approval_tracking"), 4 => lang_strings("published")), "true");
        }

        require_once("../includes/files_types.php");

        for ($i = 0;$i < $comptListFiles;$i++) {
            $existFile = "false";
            $idStatus = $listFiles->fil_status[$i];
            $idPublish = $listFiles->fil_published[$i];
            $type = file_info_type($listFiles->fil_extension[$i]);

            if (fileExists("files/" . $listFiles->fil_project[$i] . "/" . $listFiles->fil_task[$i] . "/" . $listFiles->fil_name[$i])) {
                $existFile = "true";
            } 

            $block2->openRow();
            $block2->checkboxRow($listFiles->fil_id[$i]);

            if ($existFile == "true") {
                $block2->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $type, icone));
            } else {
                $block2->cellRow("&nbsp;");
            }

            if ($existFile == "true") {
                $block2->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $listFiles->fil_name[$i], in));
            } else {
                $block2->cellRow(lang_strings("missing_file") . " (" . $listFiles->fil_name[$i] . ")");
            }

            if ($taskDetail->tas_task_group[0] == TG_YES) {
                $block2->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listFiles->fil_task[$i], $listFiles->fil_tas_name[$i], in));
            }

            $block2->cellRow($listFiles->fil_date[$i]);
            $block2->cellRow($blockPage->buildLink("../linkedcontent/viewfile.php?id=" . $listFiles->fil_id[$i], $statusFile[$idStatus], in));

            if ($sitePublish == "true") {
                $block2->cellRow($statusPublish[$idPublish]);
            }

            $block2->closeRow();
        }

        $block2->closeResults();
    } else {
        $block2->noresults();
    }

    $block2->closeToggle();
    $block2->closeFormResults();
    $block2->openPaletteScript();
    $block2->paletteScript(0, "add", "../linkedcontent/addfile.php?project=$project&task=$id", "true,false,false", lang_strings("add"));
    $block2->paletteScript(1, "remove", "../linkedcontent/deletefiles.php?project=$project&task=" . $taskDetail->tas_id[0] . "", "false,true,true", lang_strings("delete"));

    if ($sitePublish == "true") {
        $block2->paletteScript(2, "add_projectsite", "../tasks/viewtask.php?addToSiteFile=true&task=" . $taskDetail->tas_id[0] . "&action=publish", "false,true,true", lang_strings("add_project_site"));
        $block2->paletteScript(3, "remove_projectsite", "../tasks/viewtask.php?removeToSiteFile=true&task=" . $taskDetail->tas_id[0] . "&action=publish", "false,true,true", lang_strings("remove_project_site"));
    }

    $block2->paletteScript(4, "info", "../linkedcontent/viewfile.php?", "false,true,false", lang_strings("view"));
    $block2->paletteScript(5, "edit", "../linkedcontent/viewfile.php?edit=true", "false,true,false", lang_strings("edit"));
    $block2->closePaletteScript($comptListFiles, $listFiles->fil_id);
}


if ($taskDetail->tas_task_group[0] != TG_YES) {
    // --- task dependencies block ---
    $block4 = new block();
    $block4->form = "ahP";
    $block4->openForm("../tasks/viewtask.php?id=$id#" . $block4->form . "Anchor");
    $block4->headingToggle(lang_strings("task_dependencies"));
    $block4->openPaletteIcon();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block4->paletteIcon(0, "add", lang_strings("add"));
        $block4->paletteIcon(1, "remove", lang_strings("delete"));
        $block4->paletteIcon(5, "edit", lang_strings("edit"));
    }

    $block4->closePaletteIcon();
    $block4->sorting("predecessors", $sortingUser->sor_predecessors[0], "tas2.due_date", $sortingFields = array(0 => "tas2.name", 1 => "tas2.start_date", 2 => "tas2.due_date", 3 => "mem2.login", 4 => "pre.type", 5 => "pre.lag"));
    $tmpquery = "WHERE pre.task='$id' OR pre.predecessor='$id' ORDER BY $block4->sortingValue";
    $listPredecessor = new request();
    $listPredecessor->openTaskPredecessor($tmpquery);
    $comptListPredecessor = count($listPredecessor->pre_id);

    if ($comptListPredecessor != "0") {
        $block4->openResults();
        $block4->labels($labels = array(0 => lang_strings("task"), 1 => lang_strings("start_date"), 2 => lang_strings("due_date"), 3 => lang_strings("type"), 4 => lang_strings("lag")), "true");

        for ($i = 0;$i < $comptListPredecessor;$i++) {
            $block4->openRow();
            $block4->checkboxRow($listPredecessor->pre_id[$i]);

            if ($listPredecessor->pre_task[$i] == $id) {
                $block4->cellRow($blockPage->buildLink('../tasks/viewtask.php?id=' . $listPredecessor->pre_predecessor[$i], $listPredecessor->pre_tas2_name[$i], in));
                $block4->cellRow($listPredecessor->pre_tas2_start_date[$i]);

                if ($listPredecessor->pre_tas2_milestone[$i] == MS_YES) {
                    $block4->cellRow($listPredecessor->pre_tas2_due_date[$i]);
                } else if ($listPredecessor->pre_tas2_due_date[$i] <= $date && $listPredecessor->pre_tas2_completion[$i] != '10') {
                    $block4->cellRow('<b>' . $listPredecessor->pre_tas2_due_date[$i] . '</b>');
                } else {
                    $block4->cellRow($listPredecessor->pre_tas2_due_date[$i]);
                }

                $block4->cellRow($taskPredecessorTypes[$listPredecessor->pre_type[$i]]);
            } else {
                $block4->cellRow($blockPage->buildLink('../tasks/viewtask.php?id=' . $listPredecessor->pre_task[$i], $listPredecessor->pre_tas_name[$i], in));
                $block4->cellRow($listPredecessor->pre_tas_start_date[$i]);

                if ($listPredecessor->pre_tas_milestone[$i] == MS_YES) {
                    $block4->cellRow($listPredecessor->pre_tas_due_date[$i]);
                } else if ($listPredecessor->pre_tas_due_date[$i] <= $date && $listPredecessor->pre_tas_completion[$i] != '10') {
                    $block4->cellRow('<b>' . $listPredecessor->pre_tas_due_date[$i] . '</b>');
                } else {
                    $block4->cellRow($listPredecessor->pre_tas_due_date[$i]);
                }

                $block4->cellRow($taskPredecessorTypes[$listPredecessor->pre_type[$i]] . "(" . lang_strings('opposite') . ")");
            }

            $block4->cellRow($listPredecessor->pre_lag[$i]);
            $block4->closeRow();
        }

        $block4->closeResults();
    } else {
        $block4->noresults();
    }

    $block4->closeToggle();
    $block4->closeFormResults();
    $block4->openPaletteScript();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block4->paletteScript(0, "add", "../tasks/addpredecessor.php?project=$project&id=$id", "true,false,false", lang_strings("add"));
        $block4->paletteScript(1, "remove", "../tasks/deletepredecessors.php?project=$project&task=" . $taskDetail->tas_id[0] . "", "false,true,true", lang_strings("delete"));
        $block4->paletteScript(5, "edit", "../tasks/editpredecessor.php?project=$project&task=$id", "false,true,false", lang_strings("edit"));
    }

    $block4->closePaletteScript($comptListPredecessor, $listPredecessor->pre_id);
}



if ($taskDetail->tas_milestone[0] != MS_YES) {


// --- sub-tasks block ---

if ($taskDetail->tas_task_group[0] == TG_YES) {
    $block6 = new block();
    $block6->form = "stL";
    $block6->openForm("../tasks/viewtask.php?id=$id#" . $block6->form . "Anchor");
    $block6->headingToggle(lang_strings("subtasks"));
    $block6->openPaletteIcon();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteIcon(0, "add", lang_strings("add"));
        $block6->paletteIcon(1, "remove", lang_strings("delete"));
        $block6->paletteIcon(2, "copy", lang_strings("copy")); 

        if ($sitePublish == "true") {
            $block6->paletteIcon(4, "add_projectsite", lang_strings("add_project_site"));
            $block6->paletteIcon(5, "remove_projectsite", lang_strings("remove_project_site"));
        }
    } 

    $block6->paletteIcon(6, "info", lang_strings("view"));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteIcon(7, "edit", lang_strings("edit"));
        $block6->paletteIcon(8, "timelog", lang_strings("loghours"));
    }

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteIcon(9, "dependency", lang_strings("add_predecessor"));
        $block6->paletteIcon(10, "unlink", lang_strings("delete_dependencies"));
        $block6->paletteIcon(11, "indentation", lang_strings("indentation"));
        $block6->paletteIcon(12, "unindentation", lang_strings("unindentation"));
        $block6->paletteIcon(13, "add_taskgroup", lang_strings("add_taskgroup"));
    }

    $block6->closePaletteIcon();
    $block6->sorting("subtasks", $sortingUser->sor_subtasks[0], "tas.due_date ASC", $sortingFields = array(0 => "tas.id", 1 => "tas.name", 2 => "tas.priority", 3 => "tas.status", 4 => "tas.completion", 5 => "tas.due_date", 6 => "tas.assigned_to", 7 => "tas.published"));
    $tmpquery = "WHERE tas.parent_task = '$id' ORDER BY " . $block6->sortingValue;
    $listSubTasks = new request();
    $listSubTasks->openTasks($tmpquery);
    $comptListSubTasks = count($listSubTasks->tas_id);

    if ($comptListSubTasks != "0") {
        $block6->openResults();
        $block6->labels($labels = array(0 => lang_strings('id'), 1 => lang_strings("task"), 2 => lang_strings("priority"), 3 => lang_strings("status"), 4 => lang_strings("completion"), 5 => lang_strings("due_date"), 6 => lang_strings('assigned_to'), 7 => lang_strings('published')), "true");

        for ($i = 0;$i < $comptListSubTasks;$i++) {
            $idStatus = $listSubTasks->tas_status[$i];
            $idPriority = $listSubTasks->tas_priority[$i];
            $idPublish = $listSubTasks->tas_published[$i];
            $complValue = ($listSubTasks->tas_completion[$i] > 0) ? $listSubTasks->tas_completion[$i] . "0 %": $listSubTasks->tas_completion[$i] . " %";
            $block6->openRow();
            $block6->checkboxRow($listSubTasks->tas_id[$i]);
            $block6->cellRow($blockPage->buildLink("../tasks/viewtask.php?id=" . $listSubTasks->tas_id[$i], $listSubTasks->tas_id[$i], in));

            if ($idStatus == ST_COMPLETED) {
                $block6->cellRow($leadingSpace . $blockPage->buildLink("../tasks/viewtask.php?id=" . $listSubTasks->tas_id[$i], $listSubTasks->tas_name[$i], instrike));
            } else {
                $block6->cellRow($leadingSpace. $blockPage->buildLink("../tasks/viewtask.php?id=" . $listSubTasks->tas_id[$i], $listSubTasks->tas_name[$i], in));
            }

            $block6->cellRow('<img src="../themes/' . THEME . '/gfx_priority/' . $idPriority . '.gif" alt="' . $priority[$idPriority] . '">&nbsp;' . $priority[$idPriority], '', true);
            $block6->cellRow('<img src="../themes/' . THEME . '/gfx_status/' . $idStatus . '.gif" alt="' . $status[$idStatus] . '">&nbsp;' . $status[$idStatus], '', true);
            $block6->cellRow($complValue);

            if ($listSubTasks->tas_due_date[$i] <= $date && $listSubTasks->tas_completion[$i] != '10') {
                $block6->cellRow('<b>' . $listSubTasks->tas_due_date[$i] . '</b>');
            } else {
                $block6->cellRow($listSubTasks->tas_due_date[$i]);
            }

            if ($listSubTasks->tas_start_date[$i] != "--" && $listSubTasks->tas_due_date[$i] != "--") {
                $gantt = "true";
            }

            if ($listSubTasks->tas_assigned_to[$i] == "0") {
                $block6->cellRow(lang_strings("unassigned"));
            } else {
                $tmpquery = " AND res.task='" . $listSubTasks->tas_id[$i] . "'";
                $resourceUsage = new request();
                $resourceUsage->openTaskHumanResource($tmpquery);
                $comptResourceUsage = count($resourceUsage->res_id);
                $assignedToStrings = "";

                for ($j = 0;$j < $comptResourceUsage;$j++) {
                    if ($j > 0) {
                        $assignedToStrings .= "&nbsp;";
                    }

                    $assignedToStrings .= $blockPage->buildLink($resourceUsage->res_mem_email_work[$j], $resourceUsage->res_mem_login[$j], mail);
                }

                $block6->cellRow($assignedToStrings);
            }

            if ($sitePublish == "true") {
                $block6->cellRow($statusPublish[$idPublish]);
            }

            $block6->closeRow();
        }

        $block6->closeResults();

        if ($activeJpgraph == "true" && $gantt == "true") {
            // show the expanded or compact Gantt Chart
            if ($_GET['base'] == 1) {
                echo "<a href='viewtask.php?id=$id'>expand</a><br>";
            } else {
                echo "<a href='viewtask.php?id=$id&amp;base=1'>compact</a><br>";
            }

            echo "<img src=\"graphtasks.php?parent_task=$id&amp;base=" . $_GET['base'] . "\" alt=\"\"><br><span class=\"listEvenBold\">" . $blockPage->buildLink("http://www.aditus.nu/jpgraph/", "JpGraph", powered) . "</span>";
        }
    } else {
        $block6->noresults();
    } 

    $block6->closeToggle();
    $block6->closeFormResults();
    $block6->openPaletteScript();

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteScript(0, "add", "../tasks/edittask.php?project=$project&task=$id", "true,false,false", lang_strings("add"));
        $block6->paletteScript(1, "remove", "../tasks/deletetasks.php?project=$project&task=$id", "false,true,true", lang_strings("delete"));
        $block6->paletteScript(2, "copy", "../tasks/edittask.php?project=$project&cpy=true", "false,true,false", lang_strings("copy")); 

        if ($sitePublish == "true") {
            $block6->paletteScript(4, "add_projectsite", "../tasks/listtasks.php?addToSite=true&project=$project&action=publish", "false,true,true", lang_strings("add_project_site"));
            $block6->paletteScript(5, "remove_projectsite", "../tasks/listtasks.php?removeToSite=true&project=$project&action=publish", "false,true,true", lang_strings("remove_project_site"));
        }
    }

    $block6->paletteScript(6, "info", "../tasks/viewtask.php?", "false,true,false", lang_strings("view"));

    if ($teamMember == 'true' || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteScript(7, "edit", "../tasks/edittask.php?project=$project", "false,true,true", lang_strings("edit"));
        $block6->paletteScript(8, "timelog", "../tasks/addtasktime.php?", "false,true,false", lang_strings("loghours"));
    }

    if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
        $block6->paletteScript(9, "dependency", "../tasks/addpredecessor.php?project=$project", "false,true,false", lang_strings("add_predecessor"));
        $block6->paletteScript(10, "unlink", "../tasks/deletedependencies.php?project=$project", "false,true,false", lang_strings("delete_dependencies"));
        $block6->paletteScript(11, "indentation", "../tasks/indentation.php?project=$project", "false,true,false", lang_strings("indentation"));
        $block6->paletteScript(12, "unindentation", "../tasks/unindentation.php?project=$project", "false,true,false", lang_strings("unindentation"));
        $block6->paletteScript(13, "add_taskgroup", "../tasks/edittask.php?action=taskgroup&project=$project", "false,false,true", lang_strings("add_taskgroup"));
    }

    $block6->closePaletteScript($comptListSubTasks, $listSubTasks->tas_id);
}


// --- resource usage block ---

$block5 = new block();
$block5->form = "aaU";
$block5->openForm("../tasks/viewtask.php?id=$id#" . $block5->form . "Anchor");
$block5->headingToggle(lang_strings("resource_usage"));
$block5->openPaletteIcon();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block5->paletteIcon(0, "add", lang_strings("add"));
    $block5->paletteIcon(1, "remove", lang_strings("delete"));
    $block5->paletteIcon(5, "edit", lang_strings("edit"));
} 

$block5->closePaletteIcon();
$block5->sorting("tasks_resource", $sortingUser->sor_tasks_resource[0], "res.type ASC", $sortingFields = array(0 => "none", 1 => "res.type", 2 => "res.support", 3 => "res.created"));

$tmpquery = "WHERE res.task = '$id' ORDER BY $block5->sortingValue";
$listResource = new request();
$listResource->openTaskResource($tmpquery);
$comptListResource = count($listResource->res_id);

if ($comptListResource != "0") {
    $block5->openResults();

    $block5->labels($labels = array(0 => lang_strings("user_name"), 1 => lang_strings("type"), 2 => lang_strings("support"), 3 => lang_strings("assigned_on")), "false");

    for ($i = 0;$i < $comptListResource;$i++) {
        $nameValue = $listResource->res_resource[$i];
        if ($listResource->res_type[$i] == "members") {
            $tmpquery = "WHERE mem.id='" . $listResource->res_resource[$i] . "'";
            $resourceDetail = new request();
            $resourceDetail->openMembers($tmpquery);
            $nameValue = $blockPage->buildLink("../users/viewuser.php?id=" . $resourceDetail->mem_id[0], $resourceDetail->mem_login[0], in);
        }
        $typeValue = $resourceTypeArray[$listResource->res_type[$i]];
        $supportValue = $listResource->res_support[$i] . "0 %";

        $block5->openRow();
        $block5->checkboxRow($listResource->res_id[$i]);
        $block5->cellRow($nameValue);
        $block5->cellRow($typeValue);
        $block5->cellRow($supportValue);
        $block5->cellRow(createDate($listResource->res_created[$i], $timezoneSession));
        $block5->closeRow();
    }
    $block5->closeResults();
} else {
    $block5->noresults();
} 

$block5->closeToggle();
$block5->closeFormResults();
$block5->openPaletteScript();

if (($teamMember == 'true' && $profilSession == PF_PROJECT_MANAGER) || $profilSession == PF_PROJECT_MANAGER_ADMINISTRATOR || $profilSession == PF_HR_MANAGER || $profilSession == PF_ADMINISTRATOR) {
    $block5->paletteScript(0, "add", "../tasks/editresource.php?project=$project&task=$id", "true,false,false", lang_strings("add"));
    $block5->paletteScript(1, "remove", "../tasks/deleteresources.php?project=$project&task=$id", "false,true,true", lang_strings("delete"));
    $block5->paletteScript(5, "edit", "../tasks/editresource.php?action=edit&project=$project&task=$id", "false,true,false", lang_strings("edit"));
} 

$block5->closePaletteScript($comptListResource, $listResource->res_id);



// --- assignment history block ---

$block3 = new block();
$block3->form = "ahT";
$block3->openForm("../tasks/viewtask.php?id=$id#" . $block3->form . "Anchor");
$block3->headingToggle(lang_strings("assignment_history"));
$block3->sorting("assignment", $sortingUser->sor_assignment[0], "ass.assigned DESC", $sortingFields = array(0 => "ass.comments", 1 => "mem1.login", 2 => "mem2.login", 3 => "ass.assigned"));
$tmpquery = "WHERE ass.task = '$id' ORDER BY $block3->sortingValue";
$listAssign = new request();
$listAssign->openAssignments($tmpquery);
$comptListAssign = count($listAssign->ass_id);
$block3->openResults($checkbox = "false");
$block3->labels($labels = array(0 => lang_strings("comment"), 1 => lang_strings("assigned_by"), 2 => lang_strings("to"), 3 => lang_strings("assigned_on")), "false");

for ($i = 0;$i < $comptListAssign;$i++) {
    $block3->openRow();
    $block3->checkboxRow($listAssign->ass_id[$i], $checkbox = "false");
    $ass_comm = nl2br(html_entity_decode($listAssign->ass_comments[$i], ENT_QUOTES, $htmlEntityCharset));

    if ($ass_comm != "") {
        $block3->cellRow($ass_comm);
    } else if ($listAssign->ass_assigned_to[$i] == "0") {
        $block3->cellRow(lang_strings("task_unassigned"));
    } else {
        $block3->cellRow(lang_strings("task_assigned") . " " . $listAssign->ass_mem2_login[$i] . " (" . $listAssign->ass_mem2_name[$i] . ")");
    }

    $block3->cellRow($blockPage->buildLink($listAssign->ass_mem1_email_work[$i], $listAssign->ass_mem1_login[$i], mail));

    if ($listAssign->ass_assigned_to[$i] == "0") {
        $block3->cellRow(lang_strings("unassigned"));
    } else {
        $block3->cellRow($blockPage->buildLink($listAssign->ass_mem2_email_work[$i], $listAssign->ass_mem2_login[$i], mail));
    }

    $block3->cellRow(createDate($listAssign->ass_assigned[$i], $timezoneSession));
    $block3->closeRow();
}

$block3->closeResults();
$block3->closeToggle();
$block3->closeFormResults();
}

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
