<?php // $Revision: 1.14 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: header.php,v 1.14 2006/06/30 15:36:38 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

echo "$setDoctype
$setCopyright
<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=$setCharset\">
<title>$setTitle</title>
<meta name=\"robots\" content=\"none\">
<meta name=\"description\" content=\"$setDescription\">
<meta name=\"keywords\" content=\"$setKeywords\">
<script type=\"text/Javascript\">
<!--
var gBrowserOK = true;
var gOSOK = true;
var gCookiesOK = true;
var gFlashOK = true;
// -->
</script>
<script type=\"text/javascript\" src=\"../javascript/general.js\"></script>
<script type=\"text/JavaScript\" src=\"../javascript/overlib_mini.js\"></script>
<script type=\"text/JavaScript\" src=\"../javascript/calendar.js\"></script>
<script type=\"text/JavaScript\" src=\"../javascript/lang/calendar-{$lang}.js\"></script>
<script type=\"text/JavaScript\" src=\"../javascript/calendar-setup.js\"></script>";

if ($enableTinyMCE == "true") {
echo "
<script type=\"text/javascript\" src=\"../includes/tinymce/tiny_mce_gzip.php\"></script>
<script type=\"text/javascript\">tinyMCE.init({mode:\"textareas\",language:\"{$lang}\",theme:\"advanced\",plugins:\"insertdatetime,print,fullscreen,preview\",theme_advanced_buttons3_add:\"insertdate,inserttime,print,fullscreen,preview\",plugin_insertdate_dateFormat : \"%Y-%m-%d\",plugin_insertdate_timeFormat:\"%H:%M:%S\"});</script>
<link rel=\"stylesheet\" href=\"../themes/" . THEME . "/stylesheet.wysiwyg.css\" type=\"text/css\">";
} else {
echo "
<link rel=\"stylesheet\" href=\"../themes/" . THEME . "/stylesheet.css\" type=\"text/css\">";
}

echo "
<link rel=\"stylesheet\" href=\"../themes/" . THEME . "/calendar.css\" type=\"text/css\">
$headBonus
</head>
<body bgcolor=\"../themes/" . THEME . "/bg_main.gif\" $bodyCommand>";

echo "<div id=\"overDiv\" style=\"position:absolute; visibility:hidden; z-index:1000;\"></div>\n\n";

if ($blank != "true" && $version >= "2.0") {
    $tmpquery = "WHERE org.id = '1'";
    $clientHeader = new request();
    $clientHeader->openOrganizations($tmpquery);
} 
if (file_exists("../logos_clients/1." . $clientHeader->org_extension_logo[0]) && $blank != "true" && $version >= "2.0") {
    echo "<p id=\"header\"><img src=\"../logos_clients/1." . $clientHeader->org_extension_logo[0] . "\" border=\"0\" alt=\"" . $clientHeader->org_name[0] . "\"></p>\n\n";
} else {
    echo "<p id=\"header\">" . $setTitle . "</p>\n\n";
} 

$blockHeader = new block();

$blockHeader->openAccount();
if ($blank == "true") {
    $blockHeader->itemAccount("&nbsp;");
} else if ($notLogged == "true") {
    $blockHeader->itemAccount("&nbsp;");
} else {
    $blockHeader->itemAccount(lang_strings("user") . ": <b>" . $nameSession . "</b>");
    $blockHeader->itemAccount("&nbsp;[");
    $blockHeader->itemAccount($blockHeader->buildLink("../general/login.php?logout=true", lang_strings("logout"), in));
    $blockHeader->itemAccount("&nbsp;|&nbsp;");
    $blockHeader->itemAccount($blockHeader->buildLink("../projects_site/home.php?changeProject=true", lang_strings("go_projects_site"), inblank));
    $blockHeader->itemAccount("]");
} 
$blockHeader->closeAccount();

$blockHeader->openNavigation();
if ($blank == "true") {
    $blockHeader->itemNavigation("&nbsp;");
} else if ($notLogged == "true") {
    $blockHeader->itemNavigation($blockHeader->buildLink("../general/login.php", lang_strings("login"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../general/systemrequirements.php", lang_strings("requirements"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../general/license.php", lang_strings("license"), in));
} else {
    $blockHeader->itemNavigation($blockHeader->buildLink("../general/home.php", lang_strings("home"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../projects/listprojects.php", lang_strings("projects"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../clients/listclients.php", lang_strings("clients"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../reports/createreport.php", lang_strings("reports"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../search/createsearch.php", lang_strings("search"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../calendar/viewcalendar.php", lang_strings("calendar"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../bookmarks/listbookmarks.php?view=all", lang_strings("bookmarks"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../timesheet/viewtimesheet.php?", lang_strings("timesheet"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../person_evaluations/listpersonevaluations.php", lang_strings("person_evaluations"), in));
    $blockHeader->itemNavigation($blockHeader->buildLink("../preferences/updateuser.php", lang_strings("preferences"), in));

    if ($profilSession == PF_ADMINISTRATOR || $profilSession == PF_HR_MANAGER) {
        $blockHeader->itemNavigation($blockHeader->buildLink("../administration/admin.php", lang_strings("admin"), in));
    }
} 
$blockHeader->closeNavigation();

?>
