<?php // $Revision: 1.15.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: editmeetingtime.php,v 1.15.2.1 2007/11/22 07:53:01 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$bodyCommand = "onLoad=\"document.em1Form.hours.focus();\"";

if ($owner != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
    exit;
}

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);
$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", $sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", $sdate1) == $monthTS) {
            $datel = date("Y-m-d", $sdate1);
        }
    }

    if (date("Ym", $sdate1) == $monthTS) {
        $dateu = date("Y-m-d", $sdate1);
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

// Check field values
if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $commO = htmlentities($commO, ENT_QUOTES, $htmlEntityCharset);
     
    // make sure we have the required information
    if ($hours == '') {
        $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_required');
        $bodyCommand = "onLoad=\"document.em1Form.hours.focus();\"";
        $hours_highlight = true;
    } else if (!is_numeric($hours)) {
        $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_numerical');
        $bodyCommand = "onLoad=\"document.em1Form.hours.focus();document.em1Form.hours.select();\"";
        $hours_highlight = true;
    } else if ($hours > 24) {
        $error = lang_strings('worked_hours') . '&nbsp;' . lang_strings('error_hours');
        $bodyCommand = "onLoad=\"document.em1Form.hours.focus();document.em1Form.hours.select();\"";
        $hours_highlight = true;
    }

    // update task time in database
    if (empty($error)) {
        if ($action == 'update') {
            $tmpquery = "DELETE FROM " . $tableCollab['meetings_time'] . " WHERE project='$prj' AND meeting='$mee' AND owner='$owner' AND date='$dat' AND comments='$commO'";
            connectSql($tmpquery);
        }

        $tmpquery = "INSERT INTO " . $tableCollab['meetings_time'] . " (project,meeting,owner,date,hours,comments,created) VALUES ('$prj','$mee','$owner','$dat','$hours','$comm','$dateheures')";
        connectSql($tmpquery);

        if ($action == 'update') {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&id=$owner&msg=update");
        } else {
            header("Location: ../timesheet/viewtimesheet.php?monthTS=$monthTS&sdate=$sdate&id=$owner&msg=add");
        }
        exit;
    } 
}

if ($id != "") {
    $tmpquery = "WHERE mti.id='$id'";
    $meetingTimeDetail = new request();
    $meetingTimeDetail->openMeetingTime($tmpquery);
    $prj = $meetingTimeDetail->mti_project[0];
    $mee = $meetingTimeDetail->mti_meeting[0];
    $owner = $meetingTimeDetail->mti_owner[0];
    $tmpquery = " WHERE pro.id='$prj'";
    $projectDetail = new request();
    $projectDetail->openProjects($tmpquery);
} else {
    $tmpquery = " WHERE tea.member='$owner'";
    $listProjects = new request();
    $listProjects->openTeams($tmpquery);
    $comptListProjects = count($listProjects->tea_id);

    if ($prj == '' && $comptListProjects > 0) {
        $prj = $listProjects->tea_project[0];
    }

    if ($prj != '') {
        $tmpquery = "WHERE att.project='$prj' AND att.member='$owner' AND mee.date>='$datel' AND mee.date<='$dateu'";
        $listMeeAttendants = new request();
        $listMeeAttendants->openAttendants($tmpquery);
        $comptListMeeAttendants = count($listMeeAttendants->att_id);
    } else {
        $comptListMeeAttendants = 0;
    }

    if ($comptListMeeAttendants > 0) {
        if ($mee == '' || $prj != $prjO) {
            $mee = $listMeeAttendants->att_meeting[0];
        }
    } else {
        $mee = '';
    }
}

if ($mee != '') {
    $tmpquery = "WHERE mee.id='$mee'";
    $meetingDetail = new request();
    $meetingDetail->openMeetings($tmpquery);
    $dat = $meetingDetail->mee_date[0];
    $stime = $meetingDetail->mee_start_time[0];
    $etime = $meetingDetail->mee_end_time[0];
}

if ($prj == '' || $mee == '') {
    $saveDisabled = 'disabled';
}

if (empty($error) && $id != "") {
    $comm = html_entity_decode($meetingTimeDetail->mti_comments[0], ENT_QUOTES, $htmlEntityCharset);
    $hours = $meetingTimeDetail->mti_hours[0];
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));
$tmpquery = "SELECT id FROM " . $tableCollab["members"] . " WHERE supervisor='$idSession'";
$comptListFollowing = compt($tmpquery);

if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER && $comptListFollowing == 0) {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in));
} else {
    $blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
}

if ($id != "") {  // edit meeting time
    $blockPage->itemBreadcrumbs(lang_strings('edit_meeting_time'));
} else { // add meeting time
    $blockPage->itemBreadcrumbs(lang_strings('add_meeting_time'));
}

$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "em1";

if ($id != "") {  // edit meeting time
    $block1->openForm("../timesheet/editmeetingtime.php?action=update&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour&amp;id=$id#" . $block1->form . "Anchor");
} else { // add meeting time
    $block1->openForm("../timesheet/editmeetingtime.php?action=add&amp;monthTS=$monthTS&amp;sdate=$sdate&amp;owner=$owner&amp;section=workhour#" . $block1->form . "Anchor");
}

if ($error != "") {
    $block1->headingError(lang_strings("errors"));
    $block1->contentError($error);
}

if ($id != "") {
    $block1->heading(lang_strings('edit_meeting_time'));
} else {
    $block1->heading(lang_strings('add_meeting_time'));
}

$block1->openContent();
$block1->contentTitle(lang_strings('details'));

if ($id != '') {
    $block1->contentRow(lang_strings("project"), $projectDetail->pro_name[0]);
    $block1->contentRow(lang_strings("meeting"), $meetingDetail->mee_name[0]);
    echo "<input name=\"prj\" type=\"hidden\" value=\"" . $meetingTimeDetail->mti_project[0] . "\">";
    echo "<input name=\"mee\" type=\"hidden\" value=\"" . $meetingTimeDetail->mti_meeting[0] . "\">";
    echo "<input name=\"commO\" type=\"hidden\" value=\"" . html_entity_decode($meetingTimeDetail->mti_comments[0], ENT_QUOTES, $htmlEntityCharset) ."\">";
} else {
    // project
    echo "<input name=\"prjO\" type=\"hidden\" value=\"$prj\">";
    $projectSel = "<select name=\"prj\" onchange=\"changeOptions()\">";

    for ($i=0; $i<$comptListProjects; $i++) {
        $projectSel .= "<option value=\"" . $listProjects->tea_project[$i] . "\" ";

        if ($prj == $listProjects->tea_project[$i])
            $projectSel .= "selected";

        $projectSel .= ">" . $listProjects->tea_pro_name[$i] . "</option>";
    }

    $projectSel .= "</select>";
    $block1->contentRow(lang_strings("project"), $projectSel);

    // meeting
    $meetingSel = "<select name=\"mee\" onchange=\"changeOptions()\">";

    for ($i=0; $i<$comptListMeeAttendants; $i++) {
        $meetingSel .= "<option value=\"" . $listMeeAttendants->att_meeting[$i] . "\" ";

        if ($mee == $listMeeAttendants->att_meeting[$i])
            $meetingSel .= "selected";

        $meetingSel .= ">" . $listMeeAttendants->att_mee_name[$i] . "</option>";
    }

    $meetingSel .= "</select>";
    $block1->contentRow(lang_strings("meeting"), $meetingSel);
}

echo "<input name=\"dat\" type=\"hidden\" value=\"$dat\">";
$block1->contentRow(lang_strings("date"), $dat);
$block1->contentRow(lang_strings("start_time"), $stime);
$block1->contentRow(lang_strings("end_time"), $etime);
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'>$comm</textarea>");

if ($hours_highlight) {
    $block1->contentRow("* " . lang_strings('worked_hours'), "<input type=\"text\" class=\"input_hours_highlight\" name=\"hours\" size=\"6\" value=\"$hours\">");
} else {
    $block1->contentRow("* " . lang_strings('worked_hours'), "<input type=\"text\" class=\"input_hours\" name=\"hours\" size=\"6\" value=\"$hours\">");
}

$block1->contentRow("", "<input type=\"SUBMIT\" value=\"" . lang_strings("save") . "\" $saveDisabled>");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
<script>
function changeOptions()
{
    var x=document.em1Form;
    x.action="";
    document.em1Form.submit();
}
</script>
