<?php // $Revision: 1.20.2.1 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: rejecttimesheet.php,v 1.20.2.1 2007/11/22 07:53:04 luiswang Exp $
 * 
 * Copyright (c) 2007 by the netOffice Dwins developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

$year = date("Y");
$month = date("m");
$day = date("d");
$weekday = date("w", mktime(12, 0, 0, $month, $day, $year));
$sdateThis = mktime(12, 0, 0, $month, $day-$weekday, $year);
$monthThis = date("Ym", $sdateThis);

if ($monthTS == "") {
    $monthTS = $monthThis;
    $sdate = $sdateThis;
}

$monthName = $monthNameArray[date("n", mktime(12, 0, 0, substr($monthTS, 4, 2), 1, substr($monthTS, 0, 4)))];
$sdate1 = $sdate;

for ($daynumber=0; $daynumber<7; $daynumber++) {
    $dateC = date("Y-m-d", $sdate1);
    $listWeekday[$daynumber] = date("j", (int)$sdate1);
    $listDate[$dateC] = $daynumber;

    if ($datel == "") {
        if (date("Ym", (int)$sdate1) == $monthTS) {
            $datel = $dateC;
        }
    }

    if (date("Ym", (int)$sdate1) == $monthTS) {
        $dateu = $dateC;
    }

    list($an1, $mois1, $jour1) = split('-', $dateC, 3);
    $sdate1 = mktime(12,0,0,$mois1,$jour1+1,$an1);
}

if ($action == "") {
    $tmpquery = "WHERE tim.owner='$id' AND tim.month='$monthTS'";
    $timesheetDetail = new request();
    $timesheetDetail->openTimesheet($tmpquery);
    $comptTimesheetDetail = count($timesheetDetail->tim_owner);
    $tmpquery = "WHERE act.owner='$id' AND act.action='" . AT_TIMESHEET . "' AND act.action_data LIKE 'month=$monthTS,%'";
    $actionDetail = new request();
    $actionDetail->openActions($tmpquery);
    $comptActionDetail = count($actionDetail->act_id);

    if ($comptActionDetail > 0) {
        $action_id = $actionDetail->act_id[0];
        $appraiser = $actionDetail->act_appraiser[0];
        $action_data = $actionDetail->act_action_data[0];
    } else {
        $action_id = "0";
        $appraiser = "0";
        $action_data = "";
    }
}

if ($appraiser != $idSession && $profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=manage&monthTS=$monthTS&sdate=$sdate&msg=permissiondenied");
    exit;
}

if ($action == "reject") {
    $comm = htmlentities($comm, ENT_QUOTES, $htmlEntityCharset);
    $new_action_data = $action_data . ",appraiser=$appraiser,comments=$comm,modified=$dateheure,status=" . TS_REJECTED;
    $tmpquery1 = "UPDATE " . $tableCollab['timesheet'] . " SET status='" . TS_REJECTED . "',comments='$comm',rejected='$dateheure',modified='$dateheure' WHERE owner='$owner' AND month='$monthTS'";
    connectSql("$tmpquery1");

    if ($action_id != "0") {
        $tmpquery1 = "UPDATE " . $tableCollab['actions'] . " SET action_data='$new_action_data',status='" . ST_COMPLETED . "',modified='$dateheure' WHERE id='$action_id'";
    } else {
        $new_action_data = "month=$monthTS$new_action_data";
        $tmpquery1 = "INSERT INTO " . $tableCollab['actions'] . " (owner,action,action_data,appraiser,status,created) VALUES ('$owner','" . AT_TIMESHEET . "','$new_action_data','$appraiser','" . ST_COMPLETED . "','$dateheure')";
    }

    connectSql("$tmpquery1");

    if ($notifications == "true") {
        require_once("../timesheet/noti_rejecttimesheet.php");
    }

    header("Location: ../timesheet/viewtimesheet.php?typeTimesheet=manage&monthTS=$monthTS&sdate=$sdate&msg=rejectTimesheet");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet'), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=edit&amp;monthTS=$monthTS&amp;sdate=$sdate", "$monthName " . substr($monthTS, 0, 4), in) . " | " . $blockPage->buildLink("../timesheet/viewtimesheet.php?typeTimesheet=manage&amp;monthTS=$monthTS&amp;sdate=$sdate", lang_strings('timesheet_management'), in));
$blockPage->itemBreadcrumbs(lang_strings('reject_timesheet'));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = 'rmT';
$block1->openForm("../timesheet/rejecttimesheet.php?");
$block1->heading(lang_strings("reject_timesheet"));
$block1->openContent();
$block1->contentTitle(lang_strings("reject_following"));
echo "<input type=\"hidden\" name=\"action\" value=\"reject\">";
echo "<input type=\"hidden\" name=\"monthTS\" value=\"$monthTS\">";
echo "<input type=\"hidden\" name=\"owner\" value=\"$id\">";
echo "<input type=\"hidden\" name=\"action_id\" value=\"$action_id\">";
echo "<input type=\"hidden\" name=\"appraiser\" value=\"$idSession\">";
echo "<input type=\"hidden\" name=\"action_data\" value=\"$action_data\">";
$block1->contentRow(lang_strings("owner"), $timesheetDetail->tim_mem_login[0] . " / " . $timesheetDetail->tim_mem_name[0]);
$block1->contentRow(lang_strings("month"), "$monthName $yearTS");
$block1->contentRow(lang_strings("standard"), $timesheetDetail->tim_standard_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings("actual"), $timesheetDetail->tim_actual_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings("overtime"), $timesheetDetail->tim_overtime_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings("billable"), $timesheetDetail->tim_billable_hours[0] . " " . lang_strings('hours'));
$block1->contentRow(lang_strings("comments"), "<textarea rows='3' class='textarea_3rows' name='comm' cols='47'></textarea>");
$block1->contentRow("", "<input type='submit' name='submit' value='" . lang_strings('submit') . "'>");
$block1->contentTitle(lang_strings("approval_history"));
$noItems = 1;

if ($comptActionDetail > 0) {
    $actionData = split(",", $actionDetail->act_action_data[0]);
    $comptListHist = 0;

    foreach($actionData as $dataEntry) {
        $pos = strpos($dataEntry, "=");
        $nam = substr($dataEntry, 0, $pos);
        $val = substr($dataEntry, $pos+1);

        if ($nam == "appraiser") {
            $appraiserH[$comptListHist] = $val;
        } else if ($nam == "comments") {
            $commentsH[$comptListHist] = nl2br(html_entity_decode($val, ENT_QUOTES, $htmlEntityCharset));
        } else if ($nam == "modified") {
            $modifiedH[$comptListHist] = $val;
        } else if ($nam == "status") {
            $statusH[$comptListHist] = $val;
            $comptListHist++;
            $noItems = 0;
        }
    }

    if ($actionDetail->act_status[0] == ST_OPEN) {
        $block1->contentRow($statusFile[FS_NEEDS_APPROVAL], $actionDetail->act_mem2_name[0]);
    }

    for ($j=$comptListHist-1; $j>=0; $j--) {
        $tmpquery = "WHERE mem.id='" . $appraiserH[$j] . "'";
        $memberDetailH = new request();
        $memberDetailH->openMembers($tmpquery);
        $rightVal = $memberDetailH->mem_name[0] . "&nbsp;<i>" . $modifiedH[$j] . "</i>";

        if ($commentsH[$j] != "") {
            $rightVal .= "<br>" . $commentsH[$j];
        }

        $block1->contentRow($statusTimesheet[$statusH[$j]], $rightVal);
    }
}

if ($noItems == 1) {
    $block1->contentRow("", lang_strings('no_items'));
}

$block1->closeContent();
$block1->closeForm();

require_once("../themes/" . THEME . "/footer.php");

?>
