<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deleteclientusers.php,v 1.6 2006/04/14 09:44:02 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

// these user levels can't perform this action
if (($profilSession == PF_USER) || ($profilSession == PF_CLIENT_USER) || ($profilSession == PF_DISABLED)) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

$id = $_GET['id'];
$organization = $_GET['organization'];
$tmpquery = "WHERE org.id = '$organization'";
$detailOrganization = new request();
$detailOrganization->openOrganizations($tmpquery);
$comptDetailOrganization = count($detailOrganization->org_id);

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $at = $_POST['at'];

    if ($action == "delete") {
        $id = str_replace("**", ",", $id);
        $sqlList[] = "UPDATE " . $tableCollab["members"] . " SET profil='" . PF_DELETED . "' WHERE id IN($id)";

        if ($at == "0") {
            $sqlList[] = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$idSession' WHERE recorder IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        } else if ($at != "-1") {
            $sqlList[] = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$at' WHERE recorder IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        }

        if ($at != "0" && $at != "-1") {
            $sqlList[] = "UPDATE " . $tableCollab["assignments"] . " SET assigned_to='$at',assigned='$dateheures' WHERE assigned_to IN($id)";
        }

        $sqlList[] = "DELETE FROM " . $tableCollab["teams"] . " WHERE member IN($id)";
        $sqlList[] = "DELETE FROM " . $tableCollab["attendants"] . " WHERE member IN($id)";
        // find tasks need to change
        $tmpquery = " AND res.resource IN ($id) AND tas.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $listHumanRes = new request();
        $listHumanRes->openTaskHumanResource($tmpquery);
        $comptListHumanRes = count($listHumanRes->res_id);
        $listTaskMod = "";

        for ($i = 0;$i < $comptListHumanRes;$i++) {
            $sqlList[] =  "DELETE FROM " . $tableCollab["tasks_resource"] . " WHERE id='" . $listHumanRes->res_id[$i] . "'";

            if (!strstr($listTaskMod, "'" . $listHumanRes->res_task[$i] . "'")) {
                if ($listTaskMod != "") {
                    $listTaskMod .= ",";
                }

                $listTaskMod .= "'" . $listHumanRes->res_task[$i] . "'";
                $supportList[] = $listHumanRes->res_support[$i];
                $projectList[] = $listHumanRes->res_tas_project[$i];
            }
        }

        for ($i = 0;$i < count($sqlList); $i++) {
            connectSql($sqlList[$i]);
        }

        // re-caculate task.assigned_to value
        if ($listTaskMod != "") {
            $pieces = explode(",", $listTaskMod);

            for ($i = 0;$i < count($pieces); $i++) {
                if ($at != "0" && $at != "-1") {
                    $tmpquery = "INSERT INTO " . $tableCollab["tasks_resource"] . " (task,resource,type,support,created) VALUES (" . $pieces[$i] . ",'$at','members','" . $supportList[$i] . "','$dateheures')";
                    connectSql($tmpquery);
                    $tmpquery = "WHERE tea.project = '" . $projectList[$i] . "' AND tea.member = '$at'";
                    $listTeams = new request();
                    $listTeams->openTeams($tmpquery);
                    $comptListTeams = count($listTeams->tea_id);

                    if ($comptListTeams == "0") {
                        $sqlList[] = "INSERT INTO " . $tableCollab["teams"] . "(project,member,published,authorized) VALUES('" . $projectList[$i] . "','$at','" . PB_NO . "','0')";
                    }
                }

                $tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res WHERE res.task=" . $pieces[$i] . " AND res.type = 'members'";
                compt($tmpquery);
                $tmpquery = "UPDATE " . $tableCollab["tasks"] . " SET assigned_to='$countEnregTotal' WHERE id=" . $pieces[$i];
                connectSql($tmpquery);
            }
        }

        // if mantis bug tracker enabled
        if ($enableMantis == "true") {
            // Call mantis function to remove user
            require_once ("../mantis/user_delete.php");
        }

        header("Location: ../clients/viewclient.php?id=$organization&msg=delete");
        exit;
    }
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/listclients.php?", lang_strings("clients"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/viewclient.php?id=" . $detailOrganization->org_id[0], $detailOrganization->org_name[0], in));
$blockPage->itemBreadcrumbs(lang_strings("delete_users"));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "client_user_delete";
$block1->openForm("../users/deleteclientusers.php?organization=$organization&amp;id=$id");
echo "<input type=\"hidden\" name=\"action\" value=\"delete\">\n";
$block1->heading(lang_strings("delete_users"));
$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));
$id = str_replace("**", ",", $id);
$tmpquery = "WHERE mem.id IN($id) ORDER BY mem.name";
$listMembers = new request();
$listMembers->openMembers($tmpquery);
$comptListMembers = count($listMembers->mem_id);

for ($i = 0;$i < $comptListMembers;$i++) {
    $block1->contentRow("", $listMembers->mem_login[$i] . " / " . $listMembers->mem_name[$i]);
}

$tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res INNER JOIN " . $tableCollab["tasks"] . " tas ON tas.id=res.task WHERE res.resource IN($id) AND res.type = 'members' AND tas.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
compt($tmpquery);
$totalAssignments = $countEnregTotal;

if ($totalAssignments > 0) {
    $block1->contentTitle(lang_strings("reassignment_clientuser"));
    $block1->contentRow("", lang_strings("there") . " $totalAssignments " . lang_strings("tasks") . " " . lang_strings("assigned_to_above"));
    $tmpquery = "WHERE mem.id NOT IN ($id) AND mem.organization='$organization' AND mem.profil='" . PF_CLIENT_USER . "' ORDER BY mem.name";
    $reassign = new request();
    $reassign->openMembers($tmpquery);
    $comptReassign = count($reassign->mem_id);
    $reassignSel = "<select name=\"at\"><option value=\"0\" selected>" . lang_strings("unassigned") . "</option>";

    for ($i = 0;$i < $comptReassign;$i++) {
        $reassignSel .= "<option value=\"" . $reassign->mem_id[$i] . "\">" . $reassign->mem_login[$i] . " / " . $reassign->mem_name[$i] . "</option>";
    } 

    $reassignSel .= "</select>";
    $block1->contentRow("", "<b>" . lang_strings("reassign_to") . " : </b> " . $reassignSel);
} else {
    echo "<input type=\"hidden\" name=\"at\" value=\"-1\">\n";
}

$block1->contentRow("", "<input type=\"submit\" name=\"delete\" value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" onClick=\"history.back();\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
