<?php // $Revision: 1.6 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: deleteusers.php,v 1.6 2006/06/15 09:46:47 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");

// these user levels can't perform this action
if ($profilSession != PF_ADMINISTRATOR && $profilSession != PF_HR_MANAGER) {
    header("Location: ../general/home.php?msg=permissiondenied");
    exit;
}

if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $id = $_POST['id'];
    $at = $_POST['at'];

    if ($action == "delete") {
        if ($at == "0") {
            $atProject = $idSession;
        } else {
            $atProject = $at;
        }

        $id = str_replace("**", ",", $id);
        $sqlList[] = "UPDATE " . $tableCollab["members"] . " SET profil='" . PF_DELETED . "' WHERE id IN($id)";
        $sqlList[] = "UPDATE " . $tableCollab["projects"] . " SET owner='$atProject' WHERE owner IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $sqlList[] = "UPDATE " . $tableCollab["tasks"] . " SET owner='$atProject' WHERE owner IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $sqlList[] = "UPDATE " . $tableCollab["meetings"] . " SET chairman='$atProject' WHERE chairman IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $sqlList[] = "UPDATE " . $tableCollab["meetings"] . " SET recorder='$atProject' WHERE recorder IN($id) AND status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $sqlList[] = "UPDATE " . $tableCollab["actions"] . " SET appraiser='$atProject' WHERE appraiser IN($id) AND status='" . TS_OPEN . "'";

        if ($at != "0") {
            $sqlList[] = "UPDATE " . $tableCollab["assignments"] . " SET assigned_to='$at',assigned='$dateheures' WHERE assigned_to IN($id)";
        }

        $sqlList[] = "DELETE FROM " . $tableCollab["teams"] . " WHERE member IN($id)";
        $sqlList[] = "DELETE FROM " . $tableCollab["attendants"] . " WHERE member IN($id)";
        $tmpquery = "WHERE pro.owner IN($id)";
        $listProjects = new request();
        $listProjects->openProjects($tmpquery);
        $comptListProjects = count($listProjects->pro_id);

        for ($i = 0;$i < $comptListProjects;$i++) {
            $tmpquery = "WHERE tea.project = '" . $listProjects->pro_id[$i] . "' AND tea.member = '$atProject'";
            $listTeams = new request();
            $listTeams->openTeams($tmpquery);
            $comptListTeams = count($listTeams->tea_id);

            if ($comptListTeams == "0") {
                $sqlList[] = "INSERT INTO " . $tableCollab["teams"] . "(project,member,published,authorized) VALUES('" . $listProjects->pro_id[$i] . "','$atProject','" . PB_NO . "','0')";
            }
        }

        $tmpquery = "WHERE mee.chairman IN ($id)";
        $listMeetings = new request();
        $listMeetings->openMeetings($tmpquery);
        $comptListMeetings = count($listMeetings->mee_id);

        for ($i = 0;$i < $comptListMeetings;$i++) {
            $tmpquery = "WHERE att.meeting='" . $listMeetings->mee_id[$i] . "' AND att.member='$atProject'";
            $listAttendants = new request();
            $listAttendants->openAttendants($tmpquery);
            $comptListAttendants = count($listAttendants->att_id);

            if ($comptListAttendants == "0") {
                $sqlList[] = "INSERT INTO " . $tableCollab["attendants"] . " (project,meeting,member,published,authorized) VALUES ('" . $listMeetings->mee_project[$i] . "','" . $listMeetings->mee_id[$i] . "','$atProject','" . PB_NO . "','0')";
            }

            $tmpquery = "WHERE tea.project = '" . $listMeetings->mee_project[$i] . "' AND tea.member = '$atProject'";
            $listTeams = new request();
            $listTeams->openTeams($tmpquery);
            $comptListTeams = count($listTeams->tea_id);

            if ($comptListTeams == "0") {
                $sqlList[] = "INSERT INTO " . $tableCollab["teams"] . "(project,member,published,authorized) VALUES('" . $listProjects->pro_id[$i] . "','$atProject','" . PB_NO . "','0')";
            }
        }

        // find tasks need to change
        $tmpquery = " AND res.resource IN ($id) AND tas.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
        $listHumanRes = new request();
        $listHumanRes->openTaskHumanResource($tmpquery);
        $comptListHumanRes = count($listHumanRes->res_id);
        $listTaskMod = "";

        for ($i = 0;$i < $comptListHumanRes;$i++) {
            $sqlList[] =  "DELETE FROM " . $tableCollab["tasks_resource"] . " WHERE id='" . $listHumanRes->res_id[$i] . "'";

            if (!strstr($listTaskMod, "'" . $listHumanRes->res_task[$i] . "'")) {
                if ($listTaskMod != "") {
                    $listTaskMod .= ",";
                }

                $listTaskMod .= "'" . $listHumanRes->res_task[$i] . "'";
                $supportList[] = $listHumanRes->res_support[$i];
                $projectList[] = $listHumanRes->res_tas_project[$i];
            }
        }

        // if CVS repository enabled
        if ($enable_cvs == "true") {
            require_once("../includes/cvslib.php");
            $pieces = explode(",", $id);

            for ($j = 0;$j < count($pieces);$j++) {
                // remove the users from every repository
                $tmpquery = "WHERE tea.member = '$pieces[$j]'";
                $listTeams = new request();
                $listTeams->openTeams($tmpquery);
                $comptListTeams = count($listTeams->tea_id);

                for ($i = 0;$i < $comptListTeams;$i++) {
                    cvs_delete_user($listTeams->tea_mem_login[$i], $listTeams->tea_pro_id[$i]);
                }
            }
        }

        // re-caculate task.assigned_to value
        $pieces = explode(",", $listTaskMod);

        for ($i = 0;$i < count($pieces); $i++) {
            if ($at != "0") {
                $tmpquery = "INSERT INTO " . $tableCollab["tasks_resource"] . " (task,resource,type,support,created) VALUES (" . $pieces[$i] . ",'$at','members','" . $supportList[$i] . "','$dateheures')";
                connectSql($tmpquery);
                $tmpquery = "WHERE tea.project = '" . $projectList[$i] . "' AND tea.member = '$at'";
                $listTeams = new request();
                $listTeams->openTeams($tmpquery);
                $comptListTeams = count($listTeams->tea_id);

                if ($comptListTeams == "0") {
                    $sqlList[] = "INSERT INTO " . $tableCollab["teams"] . "(project,member,published,authorized) VALUES('" . $projectList[$i] . "','$at','" . PB_NO . "','0')";
                }
            }

            $tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res WHERE res.task=" . $pieces[$i] . " AND res.type = 'members'";
            compt($tmpquery);
            $sqlList[] = "UPDATE " . $tableCollab["tasks"] . " SET assigned_to='$countEnregTotal' WHERE id='" . $pieces[$i] . "'";
        }

        foreach ($sqlList as $tmpquery) {
            connectSql($tmpquery);
        }

        // if mantis bug tracker enabled
        if ($enableMantis == "true") {
            // Call mantis function to remove user
            require_once ("../mantis/user_delete.php");
        }

        header("Location: ../users/listusers.php?msg=delete");
        exit;
    }
} else {
    $id = $_GET['id'];
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../administration/admin.php?", lang_strings("administration"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../users/listusers.php?", lang_strings("user_management"), in));
$blockPage->itemBreadcrumbs(lang_strings("delete_users"));
$blockPage->closeBreadcrumbs();
$block1 = new block();
$block1->form = "user_delete";
$block1->openForm("../users/deleteusers.php?");
echo "<input type=\"hidden\" name=\"action\" value=\"delete\">\n";
echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
$block1->heading(lang_strings("delete_users"));
$block1->openContent();
$block1->contentTitle(lang_strings("delete_following"));
$id = str_replace("**", ",", $id);
$tmpquery = "WHERE mem.id IN($id) ORDER BY mem.name";
$listMembers = new request();
$listMembers->openMembers($tmpquery);
$comptListMembers = count($listMembers->mem_id);

for ($i = 0;$i < $comptListMembers;$i++) {
    $block1->contentRow("", $listMembers->mem_login[$i] . " / " . $listMembers->mem_name[$i]);
}

$tmpquery = "SELECT pro.id FROM " . $tableCollab["projects"] . " pro WHERE pro.owner IN($id) AND pro.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
compt($tmpquery);
$totalProjects = $countEnregTotal;
$tmpquery = "SELECT tas.id FROM " . $tableCollab["tasks"] . " tas WHERE tas.owner IN($id) AND tas.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
compt($tmpquery);
$totalTasks = $countEnregTotal;
$tmpquery = "SELECT mee.id FROM " . $tableCollab["meetings"] . " mee WHERE mee.chairman IN($id) AND mee.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
compt($tmpquery);
$totalMeetings = $countEnregTotal;
$tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res INNER JOIN " . $tableCollab["tasks"] . " tas ON tas.id=res.task WHERE res.resource IN($id) AND res.type = 'members' AND tas.status NOT IN ('" . ST_COMPLETED . "','" . ST_SUSPENDED . "')";
compt($tmpquery);
$totalAssignments = $countEnregTotal;
$tmpquery = "SELECT act.id FROM " . $tableCollab["actions"] . " act WHERE act.appraiser IN($id) AND act.status='" . TS_OPEN . "'";
compt($tmpquery);
$totalActions = $countEnregTotal;

if ($totalProjects > 0 || $totalTasks > 0 || $totalMeetings > 0 || $totalAssignments > 0 || $totalActions > 0) {
    $block1->contentTitle(lang_strings("reassignment_user"));

    if ($totalProjects > 0) {
        $block1->contentRow("", lang_strings("there") . " $totalProjects " . lang_strings("projects") . " " . lang_strings("owned_by"));
    }

    if ($totalTasks > 0) {
        $block1->contentRow("", lang_strings("there") . " $totalTasks " . lang_strings("tasks") . " " . lang_strings("owned_by"));
    }

    if ($totalMeetings > 0) {
        $block1->contentRow("", lang_strings("there") . " $totalMeetings " . lang_strings("meetings") . " " . lang_strings("owned_by"));
    }

    if ($totalAssignments > 0) {
        $block1->contentRow("", lang_strings("there") . " $totalAssignments " . lang_strings("tasks") . " " . lang_strings("assigned_to_above"));
    }

    if ($totalActions > 0) {
        $block1->contentRow("", lang_strings("there") . " $totalActions " . lang_strings("actions") . " " . lang_strings("need_to_approve"));
    }

    $tmpquery = "WHERE mem.profil NOT IN ('" . PF_CLIENT_USER . "','" . PF_DISABLED . "') AND mem.id NOT IN($id,1,2) ORDER BY mem.name";
    $reassign = new request();
    $reassign->openMembers($tmpquery);
    $comptReassign = count($reassign->mem_id);
    $reassignSel = "<select name=\"at\"><option value=\"0\" selected>" . lang_strings("unassigned") . "</option>";

    for ($i = 0;$i < $comptReassign;$i++) {
        $reassignSel .= "<option value=\"" . $reassign->mem_id[$i] . "\">" . $reassign->mem_login[$i] . " / " . $reassign->mem_name[$i] . "</option>";
    } 

    $reassignSel .= "</select>";
    $block1->contentRow("", "<b>" . lang_strings("reassign_to") . " : </b> " . $reassignSel);
} else {
    echo "<input type=\"hidden\" name=\"at\" value=\"0\">\n";
}

$block1->contentRow("", "<input type=\"submit\" name=\"delete\" value=\"" . lang_strings("delete") . "\"> <input type=\"button\" name=\"cancel\" value=\"" . lang_strings("cancel") . "\" onClick=\"history.back();\">");
$block1->closeContent();
$block1->closeForm();
require_once("../themes/" . THEME . "/footer.php");

?>
