<?php // $Revision: 1.10 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: viewclientuser.php,v 1.10 2006/08/16 01:11:42 luis Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once("../includes/library.php");
$id = $_GET['id'];
$organization = $_GET['organization'];
$tmpquery = "WHERE mem.id = '$id'";
$userDetail = new request();
$userDetail->openMembers($tmpquery);
$comptUserDetail = count($userDetail->mem_id);

if ($comptUserDetail == "0") {
    header("Location: ../clients/viewclient.php?msg=blankUser&id=$organization");
    exit;
}

$organization = $userDetail->mem_organization[0];

if ($clientsFilter == "true" && $profilSession == PF_USER) {
    $tmpquery = "WHERE tea.member = '$idSession' AND org2.id = '$organization'";
    $memberTest = new request();
    $memberTest->openTeams($tmpquery);
    $comptMemberTest = count($memberTest->tea_id);

    if ($comptMemberTest == "0") {
        header("Location: ../clients/listclients.php?msg=blankClient");
        exit;
    }
} else if ($clientsFilter == "true" && $profilSession == PF_PROJECT_MANAGER) {
    $tmpquery = "WHERE org.owner = '$idSession' AND org.id = '$organization'";
} else {
    $tmpquery = "WHERE org.id = '$organization'";
}

$detailClient = new request();
$detailClient->openOrganizations($tmpquery);
$comptDetailClient = count($detailClient->org_id);

if ($comptDetailClient == "0") {
    header("Location: ../clients/listclients.php?msg=blankClient");
    exit;
}

require_once("../themes/" . THEME . "/header.php");
$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/listclients.php?", lang_strings("clients"), in));
$blockPage->itemBreadcrumbs($blockPage->buildLink("../clients/viewclient.php?id=$organization", $detailClient->org_name[0], in));
$blockPage->itemBreadcrumbs($userDetail->mem_login[0]);
$blockPage->closeBreadcrumbs();

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->openTwoPages("twopagesMore");
}

$block1 = new block();
$block1->form = "cuserD";
$block1->openForm("../users/viewclientuser.php#" . $block1->form . "Anchor");
$block1->heading(lang_strings("client_user"));
$block1->openPaletteIcon();

if ($profilSession != PF_USER) {
    $block1->paletteIcon(0, "remove", lang_strings("delete"));
    $block1->paletteIcon(1, "edit", lang_strings("edit"));
}

$block1->paletteIcon(2, "export", lang_strings("export"));
$block1->closePaletteIcon();
$block1->openContent();
$block1->contentTitle(lang_strings("user_details"));
$block1->contentRow(lang_strings("user_name"), $userDetail->mem_login[0]);
$block1->contentRow(lang_strings("full_name"), $userDetail->mem_name[0]);
$block1->contentRow(lang_strings("organization"), $userDetail->mem_org_name[0]);
$block1->contentRow(lang_strings("email"), $userDetail->mem_email_work[0]);
$block1->contentRow(lang_strings("work_phone"), $userDetail->mem_phone_work[0]);
$block1->contentRow(lang_strings("home_phone"), $userDetail->mem_phone_home[0]);
$block1->contentRow(lang_strings("mobile_phone"), $userDetail->mem_mobile[0]);
$block1->contentRow(lang_strings("fax"), $userDetail->mem_fax[0]);
$block1->contentRow(lang_strings("comments"), nl2br(html_entity_decode($userDetail->mem_comments[0], ENT_QUOTES, $htmlEntityCharset)));
$block1->contentRow(lang_strings("account_created"), createDate($userDetail->mem_created[0], $timezoneSession));

if ($layoutSession == LT_TWOPAGES) {
    $block1->closeContent();
    $blockPage->turnPage();
    $block1->heading("&nbsp;");
    $block1->openPaletteIcon();
    $block1->closePaletteIcon();
    $block1->openContent();
}

$block1->contentTitle(lang_strings("information"));
$tmpquery = "SELECT res.id FROM " . $tableCollab["tasks_resource"] . " res LEFT OUTER JOIN " . $tableCollab["tasks"] . " tas ON tas.id = res.task LEFT OUTER JOIN " . $tableCollab["projects"] . " pro ON pro.id = tas.project WHERE res.resource = '" . $userDetail->mem_id[0] . "' AND res.type = 'members' AND tas.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "') AND pro.status IN('" . ST_CLIENT_COMPLETED . "','" . ST_NOT_STARTED . "','" . ST_OPEN . "')";
compt($tmpquery);
$valueTasks = $countEnregTotal;
$block1->contentRow(lang_strings("tasks"), $valueTasks);
$z = "(Client on project site)";

if ($userDetail->mem_log_connected[0] > $dateunix-5 * 60) {
    $connected_result = lang_strings("yes") . " " . $z;
} else {
    $connected_result = lang_strings("no");
}

$block1->contentRow(lang_strings("connected"), $connected_result);
$block1->closeContent();
$block1->closeForm();
$block1->openPaletteScript();

if ($profilSession != PF_USER) {
    $block1->paletteScript(0, "remove", "../users/deleteclientusers.php?id=$id&organization=$organization", "true,true,true", lang_strings("delete"));
    $block1->paletteScript(1, "edit", "../users/updateclientuser.php?id=$id&organization=$organization", "true,true,true", lang_strings("edit"));
}

$block1->paletteScript(2, "export", "../users/exportuser.php?id=$id", "true,true,true", lang_strings("export"));
$block1->closePaletteScript("", "");

if ($layoutSession == LT_TWOPAGES) {
    $blockPage->closeTwoPages();
}

require_once("../themes/" . THEME . "/footer.php");

?>
